--// tabele tymczasowe (obecne w bazie do momentu zamknięcia serwera).

-- przypominanie o dowodach osobistych
DROP TABLE IF EXISTS PRZYPOMNIENIE_DOWOD_OSOBISTY;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_DOWOD_OSOBISTY(
	DOWOD_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_D_OS_pk PRIMARY KEY (DOWOD_ID)
);

ALTER TABLE PRZYPOMNIENIE_DOWOD_OSOBISTY DROP CONSTRAINT IF EXISTS PRZYP_DWD_OD_fk;
ALTER TABLE PRZYPOMNIENIE_DOWOD_OSOBISTY DROP CONSTRAINT IF EXISTS PRZYP_DWD_OD_OSOBA_fk;

ALTER TABLE PRZYPOMNIENIE_DOWOD_OSOBISTY ADD CONSTRAINT PRZYP_DWD_OD_fk
	FOREIGN KEY (DOWOD_ID)
	REFERENCES DOWOD_OSOBISTY (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_DOWOD_OSOBISTY ADD CONSTRAINT PRZYP_DWD_OD_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;

-- przypominianie o decyzjach o alimentacji i odpłatności
DROP TABLE IF EXISTS PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI(
	DECYZJA_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_D_ALIMODPL_pk PRIMARY KEY (DECYZJA_ID)
);

ALTER TABLE PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI DROP CONSTRAINT IF EXISTS PRZYP_DECALIMODPL_fk;
ALTER TABLE PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI DROP CONSTRAINT IF EXISTS PRZYP_DECALIMODPLM_fk;

ALTER TABLE PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI ADD CONSTRAINT PRZYP_DECALIMODPL_fk
	FOREIGN KEY (DECYZJA_ID)
	REFERENCES DECYZJA_O_ODPLATNOSCI (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;

ALTER TABLE PRZYPOMNIENIE_DECYZJA_ALIMENTACJI_ODPLATNOSCI ADD CONSTRAINT PRZYP_DECALIMODPLM_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;


-- przypomninanie o meldunkach czasowych
DROP TABLE IF EXISTS PRZYPOMNIENIE_MELDUNEK_CZASOWY;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_MELDUNEK_CZASOWY(
	OSOBA_ID BIGINT(10) NOT NULL,
	MELDUNEK_ID BIGINT(10),
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_MELDUNEK_pk PRIMARY KEY (OSOBA_ID)
);

ALTER TABLE PRZYPOMNIENIE_MELDUNEK_CZASOWY DROP CONSTRAINT IF EXISTS PRZYP_MELDCZASOWY_fk;
ALTER TABLE PRZYPOMNIENIE_MELDUNEK_CZASOWY DROP CONSTRAINT IF EXISTS PRZYP_MELDCZASOWY_OSOBA_fk;

ALTER TABLE PRZYPOMNIENIE_MELDUNEK_CZASOWY ADD CONSTRAINT PRZYP_MELDCZASOWY_fk
	FOREIGN KEY (MELDUNEK_ID)
	REFERENCES MELDUNEK (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_MELDUNEK_CZASOWY ADD CONSTRAINT PRZYP_MELDCZASOWY_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;

-- przypominanie o wypisaniu recept
DROP TABLE IF EXISTS PRZYPOMNIENIE_RECEPTA;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_RECEPTA(
	LEK_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_RECEPTY_pk PRIMARY KEY (LEK_ID, OSOBA_ID)
);

ALTER TABLE PRZYPOMNIENIE_RECEPTA DROP CONSTRAINT IF EXISTS PRZYP_RECEPTA_fk;
ALTER TABLE PRZYPOMNIENIE_RECEPTA DROP CONSTRAINT IF EXISTS PRZYP_RECEPTA_OSOBA_fk;

ALTER TABLE PRZYPOMNIENIE_RECEPTA ADD CONSTRAINT PRZYP_RECEPTA_fk
	FOREIGN KEY (LEK_ID)
	REFERENCES LEK (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_RECEPTA ADD CONSTRAINT PRZYP_RECEPTA_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;

-- przypominanie o terminach indywidualnych planów wsparcia mieszkańca
DROP TABLE IF EXISTS PRZYPOMNIENIE_IPWM;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_IPWM(
	OSOBA_ID BIGINT(10) NOT NULL,
	IPWM_ID BIGINT(10),
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_IPWM_pk PRIMARY KEY (OSOBA_ID)
);

ALTER TABLE PRZYPOMNIENIE_IPWM DROP CONSTRAINT IF EXISTS PRZYP_IPWM_fk;
ALTER TABLE PRZYPOMNIENIE_IPWM DROP CONSTRAINT IF EXISTS PRZYP_IPWM_OSOBA_fk;

ALTER TABLE PRZYPOMNIENIE_IPWM ADD CONSTRAINT PRZYP_IPWM_fk
	FOREIGN KEY (IPWM_ID)
	REFERENCES PLAN_WSPARCIA_MIESZKANCA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_IPWM ADD CONSTRAINT PRZYP_IPWM_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
	
-- przypominanie o terminach oddawania odpadów medycznych
DROP TABLE IF EXISTS PRZYPOMNIENIE_ODPADY_MEDYCZNE;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_ODPADY_MEDYCZNE(
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	PRZEWIDYWANA_DATA DATE,
	CONSTRAINT TMP_PRZYP_ODPD_MED_pk PRIMARY KEY (RODZAJ_TERMINU)
);

-- przypomnienie o datach w informacjach dodatkowych
DROP TABLE IF EXISTS PRZYPOMNIENIE_INFORMACJA_D_DATA;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_INFORMACJA_D_DATA(
	INFORMACJA_POLE_WPIS_ID BIGINT(10) NOT NULL,
	INFORMACJA_WPIS_ID BIGINT(10) NOT NULL,
	INFORMACJA_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10),
	DATA DATE NOT NULL,
	CONSTRAINT TMP_PRZYP_INF_DOD_D_pk PRIMARY KEY (INFORMACJA_POLE_WPIS_ID)
);
ALTER TABLE PRZYPOMNIENIE_INFORMACJA_D_DATA ADD CONSTRAINT PRZYP_IDD_IDPW_fk
	FOREIGN KEY (INFORMACJA_POLE_WPIS_ID)
	REFERENCES INFORMACJA_DODATKOWA_POLE_WPIS (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_INFORMACJA_D_DATA ADD CONSTRAINT PRZYP_IDD_IDW_fk
	FOREIGN KEY (INFORMACJA_WPIS_ID)
	REFERENCES INFORMACJA_DODATKOWA_WPIS (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_INFORMACJA_D_DATA ADD CONSTRAINT PRZYP_IDD_ID_fk
	FOREIGN KEY (INFORMACJA_ID)
	REFERENCES INFORMACJA_DODATKOWA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_INFORMACJA_D_DATA ADD CONSTRAINT PRZYP_IDD_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
	

-- przypominianie o decyzjach o alimentacji i odpłatności
DROP TABLE IF EXISTS PRZYPOMNIENIE_UMOWA;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_UMOWA(
	UMOWA_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_UMOWA_pk PRIMARY KEY (UMOWA_ID)
);

ALTER TABLE PRZYPOMNIENIE_UMOWA DROP CONSTRAINT IF EXISTS PRZYP_UMOWA_fk;

ALTER TABLE PRZYPOMNIENIE_UMOWA ADD CONSTRAINT PRZYP_UMOWA_fk
	FOREIGN KEY (UMOWA_ID)
	REFERENCES UMOWA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_UMOWA ADD CONSTRAINT PRZYP_UMOWA_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;

	
-- przypominianie o orzeczeniu o niepełnosprawności
DROP TABLE IF EXISTS PRZYPOMNIENIE_ORZECZENIE_NIEPELNOSPRAWNOSC;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_ORZECZENIE_NIEPELNOSPRAWNOSC(
	ORZECZENIE_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	RODZAJ_TERMINU VARCHAR(50) NOT NULL,
	CONSTRAINT TMP_PRZYP_O_NIEPEL_pk PRIMARY KEY (ORZECZENIE_ID)
);
ALTER TABLE PRZYPOMNIENIE_ORZECZENIE_NIEPELNOSPRAWNOSC ADD CONSTRAINT PRZYP_O_NIEPEL_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_ORZECZENIE_NIEPELNOSPRAWNOSC ADD CONSTRAINT PRZYP_O_ORZECZENIE_fk
	FOREIGN KEY (ORZECZENIE_ID)
	REFERENCES ORZECZ_O_NIEPELNOSPRAW (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
	

-- przypomnienie o rozliczeniach zgonu
DROP TABLE IF EXISTS PRZYPOMNIENIE_ROZLICZENIE_ODEJSCIE_MIESZKANIEC;
CREATE TEMPORARY TABLE PRZYPOMNIENIE_ROZLICZENIE_ODEJSCIE_MIESZKANIEC(
	EWIDENCJA_ODEJSCIE_ID BIGINT(10) NOT NULL,
	OSOBA_ID BIGINT(10) NOT NULL,
	CONSTRAINT TMP_PRZYP_O_ROZL_ODEJSCIE_pk PRIMARY KEY (EWIDENCJA_ODEJSCIE_ID)
);
ALTER TABLE PRZYPOMNIENIE_ROZLICZENIE_ODEJSCIE_MIESZKANIEC ADD CONSTRAINT PRZYP_O_ROZL_ODEJSCIE_OSOBA_fk
	FOREIGN KEY (OSOBA_ID)
	REFERENCES OSOBA (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;
ALTER TABLE PRZYPOMNIENIE_ROZLICZENIE_ODEJSCIE_MIESZKANIEC ADD CONSTRAINT PRZYP_O_ROZL_ODEJSCIE_fk
	FOREIGN KEY (EWIDENCJA_ODEJSCIE_ID)
	REFERENCES EWIDENCJA_DPS (ID)
	ON DELETE CASCADE
	ON UPDATE NO ACTION;


--//@UNDO
-- SQL to undo the change goes here.