// http://victorblog.com/2012/12/20/make-angularjs-http-service-behave-like-jquery-ajax/
function transformDataToWWWEncodedForm(data) {
	/**
	 * Converts an object to x-www-form-urlencoded serialization.
	 * 
	 * @param {Object} obj
	 * @return {String}
	 */
	var param = function(obj) {
		var query = '';
		var value, fullSubName, subValue, innerObj, i;

		for (var name in obj) {
			value = obj[name];

			if (value instanceof Array) {
				for (i = 0; i < value.length; ++i) {
					subValue = value[i];
					fullSubName = name + '[' + i + ']';
					innerObj = {};
					innerObj[fullSubName] = subValue;
					query += param(innerObj) + '&';
				}
			} else if (value instanceof Object) {
				for (subName in value) {
					subValue = value[subName];
					fullSubName = name + '[' + subName + ']';
					innerObj = {};
					innerObj[fullSubName] = subValue;
					query += param(innerObj) + '&';
				}
			} else if (value !== undefined && value !== null) {
				query += encodeURIComponent(name) + '='
						+ encodeURIComponent(value) + '&';
			}
		}

		return query.length ? query.substr(0, query.length - 1) : query;
	};

	return angular.isObject(data) && String(data) !== '[object File]' ? param(data) : data;
}
