/**
 * Walidacja numeru IBAN
 * 
 * @param iban - IBAN
 * @return true/false - czy numer poprawny
 */
function validateIban(iban) {
	iban = iban || '';
	
	var isPoprawny = false;
	
	iban = iban.replace(new RegExp(' ', 'g'), '');
	
	// wysyłanie tylko przy całkowicie uzupełnionym numerze konta
	if(iban != '' && iban.length == 26) {
		$.ajax({
			url: root + "/rest/kontoBankowe/validate/" + iban,
	        type: "GET",
	        contentType: "application/json; charset=utf-8",
	        async: false,
	        jsonp: false,
	        error: function(jqXHR,textStatus,errorThrown) {
	        	isPoprawny = false;
	        },
	        success: function(data,textStatus,jqXHR) {
	        	isPoprawny = data;
	        }
		});
	};
	
	return isPoprawny;
}
	