/**
 * Walidacja IBAN
 */
ttV.directive('ttVKontoBankowe', function($http) {
	return {
		restrict: 'A',
		require: '?ngModel',
		link: function($scope, iElement, iAttrs, controller) {
			if (!controller) return;
			
			var validator = function(viewValue) {
				var isValid = validateIban(viewValue);
				controller.$setValidity('ttVKontoBankowe', isValid);
				
				return (isValid ? viewValue : undefined);
			};

			controller.$formatters.push(validator);
            controller.$parsers.unshift(validator);
            
            iAttrs.$observe('ttVKontoBankowe', function() {
            	validator(controller.$viewValue);
            });
		}
	};
});

/**
 * Informacja o zainstniałym błędzie
 */
tt.directive('ttVErrorMessage', function() {
	return {
		restrict: 'A',
		compile: function(tElement, tAttrs, transclude) {
			var $closestForm = $(tElement).closest("form");
			
			// jeśli submit to wykasuj wszystkie dotychczasowe błędy
			$closestForm.bind("submit", function() {
				$(".ttVErrorMessage").each(function(){$(this).html('');});
			});
			
			return {
				post: function postLink(scope, iElement, iAttrs, controller) {
					iAttrs.$observe('ttVErrorMessage', function(value) {
						iAttrs.$set('class', 'ttVErrorMessage');
						iAttrs.$set('id', value);
					});
				}
			};
		},
		link: function($scope, iElement, iAttrs, controller) {
		}
	};
});

	