
ttDPS.controller('swiadczenieWplataCtrl', ['$scope', '$http', '$timeout', 'dps.config', function($scope, $http, $timeout, dpsConfig) {
	// zachowanie jak wysłynie danych z przeglądarki
	$http.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8';
	$http.defaults.transformRequest = [transformDataToWWWEncodedForm];
	
	$scope.listaWplat = [];
	$scope.busy = false;
	$scope.page = 1;
	$scope.last = false;
	$scope.nextPage = function() {
		if ($scope.busy || $scope.last) return;
		pokazLoadImage();
	    $scope.busy = true;

	    // ładowanie po 100 rekordów
	    var url = __naprawa_url + "?wplatyData=1&listaWplat_p_=" + $scope.page + "&listaWplat_mr_=50";
	    $http.get(url)
	    	.success(function(data) {
	    		if(data.length > 0) {
			    	for (var i = 0; i < data.length; i++) {
			    		$scope.listaWplat.push(data[i]);
			    	}
			    	
			    	$scope.page += 1;
	    		} else {
	    			// załadowano wszystkie rekordy
	    			$scope.last = true;
	    		}
	    		
		    	$scope.busy = false;
				ukryjLoadImage();
		    })
		    .error(function() {
		    	ukryjLoadImage();
		    });
	};
	
	$scope.pomin = function(wplataAktualizowana) {
		var wplata = _.filter($scope.listaWplat, function(w){return w['WPLATA_ID'] == wplataAktualizowana['WPLATA_ID'];});
		
		$http.post(_WplataZeSwiadczeniaActionURL, {
				'pomin' : 1,
				'wplata.id' : wplataAktualizowana['WPLATA_ID']
			})
			.success(function(data) {
				$scope.pomijaneWplaty = data;
				
				wplataAktualizowana['STATUS_OPERACJI'] = 'DOING';
				setTimeout(function(){wplataAktualizowana['STATUS_OPERACJI'] = 'OK';}, 500);
			});
	};
	
	$scope.przywroc = function(wplataAktualizowana) {
		$http.post(_WplataZeSwiadczeniaActionURL, {
			'przywroc' : 1,
			'wplata.id' : wplataAktualizowana['WPLATA_ID']
		})
		.success(function(data) {
			$scope.pomijaneWplaty = data;
			
			// gdy operacja się powiodła w bazie
			if(_.indexOf($scope.pomijaneWplaty, wplataAktualizowana['WPLATA_ID']) < 0) {
				var listaWplat = _.filter($scope.listaWplat, function(w){return w['WPLATA_ID'] == wplataAktualizowana['WPLATA_ID'];});
				for(var wplataIdx in listaWplat) {
					var wplata = listaWplat[wplataIdx];
					
					wplata['WPLATA_SWIADCZENIE_ID'] = null;
					
					wplata['STATUS_OPERACJI'] = 'DOING';
					$timeout(function() {
						wplata['STATUS_OPERACJI'] = 'OK';
				    }, 500);
				}
			}
		});
	};
	
	$scope.przypisz = function(wplataAktualizowana) {
		$http.post(_WplataZeSwiadczeniaActionURL, {
			'przypisz' : 1,
			'wplata.id' : wplataAktualizowana['WPLATA_ID'],
			'wplata.swiadczenieId' : wplataAktualizowana['SWIADCZENIE_ID']
		})
		.success(function(data) {
			$scope.pomijaneWplaty = data;
			
			// gdy operacja się powiodła w bazie
			if((_.indexOf($scope.pomijaneWplaty, wplataAktualizowana['WPLATA_ID']) >= 0)) {
				var listaWplat = _.filter($scope.listaWplat, function(w){return w['WPLATA_ID'] == wplataAktualizowana['WPLATA_ID'];});
				for(var wplataIdx in listaWplat) {
					var wplata = listaWplat[wplataIdx];
					
					wplata['WPLATA_SWIADCZENIE_ID'] = wplataAktualizowana['SWIADCZENIE_ID'];
					
					wplata['STATUS_OPERACJI'] = 'DOING';
					$timeout(function() {
						wplata['STATUS_OPERACJI'] = 'OK';
				    }, 500);
				}
			}
		});
	};
	
}]);
