Number.prototype.toFixed = function (f) {
	var f = parseInt(f / 1 || 0);
	if (f < 0 || f > 20) {
		f = 0;
	}
	if (isNaN(this)) {
		return NaN;
	}
	var s = this < 0 ? "-" : "", x = Math.abs(this);
	if (x > Math.pow(10, 21)) {
		return s + x.toString();
	}
	var m = Math.round(x * Math.pow(10, f)).toString();
	if (!f) {
		return s + m;
	}
	while (m.length <= f) {
		m = "0" + m;
	}
	return s + m.substring(0, m.length - f) + "." + m.substring(m.length - f);
}

$.fn.extend({
	num: function(number, n) {
		var m = $(this).is(":input") ? "val" : "text";
		if (number == undefined) {
			return parseFloat($(this)[m]().replace(/[,]/g,"."));
		} else {
			if (isNaN(number)) {
				number = 0.0;
			}
			if (n == undefined) {
				$(this)[m](number.toString().replace(/[.]/g, ","));
			} else {
				$(this)[m](number.toFixed(n).replace(/[.]/g, ","));
			}
		}
	},
	sum: function() {
		var s = 0;
		$(this).each(function() {
			s += $(this).num();
		});
		return s;
	},
	avg: function() {
		return $(this).sum() / $(this).length;
	},
	min: function() {
		var m = null;
		$(this).each(function() {
			var num = $(this).num();
			if (!m || num < m)
				m = num;
		});
		return m;
	},
	max: function() {
		var m = null;
		$(this).each(function() {
			var num = $(this).num();
			if (!m || num > m)
				m = num;
		});
		return m;
	}
});
