// http://stackoverflow.com/questions/1060008/is-there-a-way-to-detect-if-a-browser-window-is-not-currently-active

function __usl_addEvent(obj, evType, fn, isCapturing) {
	if (isCapturing == null)
		isCapturing = false;
	if (obj.addEventListener) {
		// Firefox, Chrome
		obj.addEventListener(evType, fn, isCapturing);
		return true;
	} else if (obj.attachEvent) {
		// MSIE
		var r = obj.attachEvent('on' + evType, fn);
		return r;
	} else {
		return false;
	}
}

// register to the W3C Page Visibility API
var _usl_hidden = null;
var _usl_visibilityChange = null;
if (typeof document.mozHidden !== "undefined") {
	_usl_hidden = "mozHidden";
	_usl_visibilityChange = "mozvisibilitychange";
} else if (typeof document.msHidden !== "undefined") {
	_usl_hidden = "msHidden";
	_usl_visibilityChange = "msvisibilitychange";
} else if (typeof document.webkitHidden !== "undefined") {
	_usl_hidden = "webkitHidden";
	_usl_visibilityChange = "webkitvisibilitychange";
} else if (typeof document.hidden !== "hidden") {
	_usl_hidden = "hidden";
	_usl_visibilityChange = "visibilitychange";
}

if (_usl_hidden != null && _usl_visibilityChange != null) {
	__usl_addEvent(document, _usl_visibilityChange, function(event) {
		if(document[_usl_hidden]) {
			$.cookie("__window_name", null);
		} else {
			$.cookie("__window_name", window.name);
		}
	});
}

$(document).ready(function() {
	if(window.name == "") {
		window.name = "_window_" + new Date().getTime();
	}

	$(document).trigger(_usl_visibilityChange);
});
