(function ($) {
	
	var classes = {
        DynFilter : function (filter, id, property) {
            this.filter = filter;
            this.id = id;
            this.property = property;
        },
    };

	var dynFilter = null;
	
    var filterapi = {
        createDynDateFilter : function(filter, id, property) {
            if (dynFilter) {
                return;
            }

            dynFilter = new classes.DynFilter(filter, id, property);

            var cell = $(filter);
            var width = cell.width();
            var originalValue = cell.text();

            /* Enforce the width with a style. */
            cell.width(width);
            cell.parent().width(width);
           // cell.css('overflow', 'visible');

            cell.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width + 2) + 'px" value="" /></div>');
			
            var input = $('#dynFilterInput');

			input.layoutDate();
			input.datepicker({
		  			showOn			: "both",
		  			buttonText		: "",
		  			buttonImage		: root+"/img/calendarEmpty.gif",
		   			yearRange		: '-85y:+5y',
		   			buttonImageOnly : true,
		   			onClose: function(changedValue, inst) {
		                cell.text('');
		                cell.css('overflow', 'hidden');
		                if(changedValue.length < 10) {
		                	changedValue = "";
		                }
		                cell.text(changedValue);
		                $.jmesa.addFilterToLimit(dynFilter.id, dynFilter.property, changedValue);
		                dynFilter = null;
		   			}
			});
			
            input.val(originalValue);
            input.focus();
            
            $(input).keypress(function(event) {
                if (event.keyCode == 13) { /* Press the enter key. */
                    var changedValue = input.val();
                    cell.text('');
                    cell.css('overflow', 'hidden');
                    cell.text(changedValue);
                    $.jmesa.addFilterToLimit(dynFilter.id, dynFilter.property, changedValue);
                    $.jmesa.onInvokeAction(dynFilter.id, 'filter');
                    dynFilter = null;
                }
            });
        }
    };
    
    $.extend($.jmesa, filterapi);

})(jQuery);
