$.fn.extend({
	mySelect: function() {
		$(this).each(function() {
		// zmienne początkowe
			var $selectField = $(this);
			
			// unikalny identyfikator
			var id = $selectField.attr("id");
			if(id == null) {
				// nadawanie unikalnego
				id = "sel" + new Date().getTime() + '_' + Math.floor((Math.random() * 10000000) + 1);;
				$selectField.attr("id", id);
			}
			
			var options = $selectField.children("option");
			var currentVal = $selectField.val();
			var width = ($selectField.css("width") != null ? $selectField.css("width").split('p')[0] : '400');
			
			// przypisane funkcje
			var click = $selectField.attr("onclick");
			var change = $selectField.attr("onchange");

		// kreślenie DIVów dla select'a
			// jeżeli wyłączono selecta to go aktywuje
			if ($('#'+id).attr('disabled') == true) {
				$('#'+id).attr('disabled', '');
			}
			// zapobieganie powstawaniu duplikatów
			if ($('#'+id+'_divFirst').length = 1) {
				$('#'+id+'_divFirst').remove();
			}
			
			// kontener dla całego selecta
			var $divAll = $("<div class='allDiv'/>");
			$divAll.attr("id", id+"_divAll");
			
			// kontener divów zawsze widocznych przez użytkownika (aktualnie wybrana opcja)
			var $divFirst = $("<div class='divFirst'/>");
			if($selectField.is('.required')){
				$divFirst.addClass('required');
			}
			if($selectField.is('.error')){
				$divFirst.addClass('error');
			}
			$divFirst.attr('title', $selectField.attr('title'));
			//ustawia odpowiednia szerokosc widocznego pola div
			$divFirst.css('width', width+'px');
			$divFirst.attr("id", id+"_divFirst");
			//przypisanie do pierwszego pola div opcji rozwijania diva z listą opcji i jednocześnie
			//chowanie pozostalych menu jeśli były rozwiniete
			$divFirst.click(function() {
				$("#"+id+"_divBlock").toggle();
				$('div.divBlock').not($("#"+id+"_divBlock")).hide();
				return false;
			});

			// przechowuje informacje o aktualnie wybranej opcji
			var $divFirstDiv = $("<div class='divFirstDiv'/>");
			$divFirstDiv.attr("id", id+"_divFirstDiv");

			// kontener wszystkich opcji selecta (rozwijany)
			var $divBlock = $("<div class='divBlock'/>");
			$divBlock.attr("id", id+"_divBlock");
			$divBlock.css('width', width+'px');
						
			// ukrywanie rozwiniętego select po kliknięciu gdziekolwiek na stronie
			$('body').not('div').click(function() {
				$divBlock.hide();
			});

			options.each(function() {
				// zmienne do iterowania opcji selecta				
				var option = $(this);
				var val = option.val();
				var text = option.text();
				var $divList = $("<div class='divList'/>");
				var $divListDiv = $("<div class='divListDiv'/>");
				
				// sprawdza czy wartość selecta jest równa którejś z wartości iterowanych opcji
				// jeśli nie to ustawia pierwszą opcję, jeśli tak to wyświetla tę
				// wartość w pierwszym polu
				if (val == currentVal) {
					$divFirstDiv.text(text);
				}
						
				// podświetlanie opcji menu przy najechaniu kursora
				$divList
					.mouseover(function(){
						$divList.addClass('divListDivHover');
					})
					.mouseout(function(){
						$divList.removeClass('divListDivHover');
					});
				
				// po kliknięciu na wybraną opcje
				$divList.click(function() {
					var oldValue=($selectField.val() != null ? $selectField.val() : '');
					
					$divFirst.append($divFirstDiv);
					$("#"+id+"_divFirstDiv").text(text);
					$("#"+id+"_divBlock").hide();
					
					//ustawienie opcji we właściwym select'cie
					var newValue = ''; // nowa wybrana wartość
					$('#'+id+' > option').each(function (){
						var innerOption = $(this);
						var innerVal = innerOption.val();
						if (innerVal == val) {
							innerOption.attr('selected', 'selected');
							newValue=innerVal;
						}
					});
					
				// obsługa zdarzeń
					// click zawsze (bo przecież kliknięto w diva
					if(click != null && click != ''){
						$('#'+id).trigger('click');
					}
					// change tylko przy zmianie wartości
					if(change != null &&
							change != '' &&
							oldValue != newValue){
						$('#'+id).trigger('change');
					}
					
					return true;
				});

				$divListDiv.text(text);
				$divList.append($divListDiv);
				$divBlock.append($divList);
			});
			
			$divFirst.append($divFirstDiv);
			$divAll.append($divFirst);
			$divAll.append($divBlock);
			$(this).after($divAll);
		});
	},
	unMySelect: function() {
		//ustawia zmienne
		var id = $(this).attr("id");

		$('#'+id+"_divFirst").css("background", '#E6E6DF');
		$('#'+id+"_divFirst").css("border", '1px solid #696969');
		$('#'+id+"_divFirstDiv").css("background", '#E6E6DF');
		$('#'+id+"_divFirstDiv").css('color', '#696969');
		$('#'+id+"_divFirst").removeClass('required');
		$('#'+id+"_divBlock").empty();
	},
	readOnlyMySelect: function() {
		var id = $(this).attr("id");
		$('#'+id+"_divFirst").css("background", '#E6E6DF');
		$('#'+id+"_divFirst").css("border", '1px solid #696969');
		$('#'+id+"_divFirstDiv").css("background", '#E6E6DF');
		$('#'+id+"_divFirstDiv").css('color', '#696969');
		$('#'+id+"_divFirst").removeClass('required');
		$('#'+id+"_divBlock").empty();
	}
});
