(function($)
{
	$.fn.myTextValidation = function(options) {
		var settings = $.extend({
			// standardowy kolor tła
			backgroundColor	: '#FFFFFF',
			// kolor podświetlenia w przypadku wpisania błędnego znaku
			backgroudErrColor : '#FFCCCC',
			// [first,all,none]
			capitalize : 'none',
			// jeżeli capitalize == 'first' do stosuje dodatkowo ten regex 
			// przede wszystkim służy usuwaniu niechcianych znaków
			firstCharRegex : /(^|\s|\-)[a-zA-ZąęśćńłóżźĄĘŚĆŃŁÓŻŹőäÄöÖëËüÜ]/g,
			// maska dopasowująca znaki niechciane
			allCharRegex : /[^a-zA-ZąęśćńłóżźĄĘŚĆŃŁÓŻŹőäÄöÖëËüÜ]/g,
			// jeśli tekst nie pasuje to zamienia znaki niewłaściwe albo usuwa tekst po zdjęciu focusa
			// jeśli matchRegex == '' to nie waliduje tekstu
			matchRegex : /^([a-zA-ZąęśćńłóżźĄĘŚĆŃŁÓŻŹőäÄöÖëËüÜ]+[\-\s]{0,1}[\-]{0,1}[\s]{0,1})+$/
		}, options);
		
		return this.each(function() {
			var $elm = $(this);
			
			/*$this.keydown(
					function(e) {
					var key = e.charCode ? e.charCode : e.keyCode ? e.keyCode : 0;
					if(key >= 48 && key <= 57 || key >= 96 && key <= 105) {
						return false;
					}
			});*/

			$elm.keyup(function(eventObject) {
				var val = $(this).val();
				
				switch(settings.capitalize) {
					case 'first' :
						if(settings.firstCharRegex != '') {
							$elm.val(
									val.replace(settings.firstCharRegex, function(w){return w.toUpperCase();}));
						}
						break;
					
					case 'all':
						$elm.val(
								val.toUpperCase());
						break;
				}
				
				if (settings.matchRegex != '' &&
						settings.allCharRegex != '' &&
						! val.match(settings.matchRegex)) {
					$elm.val(
						val.replace(settings.allCharRegex, ""));
					$elm.css('background', settings.backgroudErrColor);
					setTimeout(function() {
						$elm.css('background', settings.backgroundColor);
					}, 500);
				}
			});

			$elm.blur(function(eventObject) {
				var val = $(this).val();

				if (settings.matchRegex != '' &&
						! val.match(settings.matchRegex) &&
						val.length > 1) {
					$elm.val('');
					$elm.css('background', settings.backgroudErrColor);
					setTimeout(function() { 
						$elm.css('background', settings.backgroundColor); 
					}, 1200);
				}
			});
		});
	};
})(jQuery);
