// zwraca nazwę słownika ukrytą jako parametr onclick przycisku wprowadzania danych
function getNSlownikaByOnclickValue(onclickText) {
	var indexSlownikStart = "slowoWprowadzanieAjax('".length;
	return onclickText.substring(indexSlownikStart, onclickText.indexOf("'", indexSlownikStart + 1));
}

//aktualizacja opcji dla selecta z pojedynczym wyborem
function selectPojedynczyAktualizujOpcje($select, listaOpcji, nowowprowadzona) {
	// usuwanie wszystkich dotychczasowych opcji dla select'a
	var wybranaOpcja = $select.val();
	$select.children().remove();
	// wstawianie informacji do wyboru
	$select.children().end().append('<option value="">--- wybierz lub wprowadź nową wartość ---</option>');
	for(i in listaOpcji) {
		// wstawianie wszystkich wartości z danego słownika oraz domyślne zaznaczanie nowowprowadzonej
		var tekstOpcji = '';
		if(listaOpcji[i].wartString != null) {
			tekstOpcji = listaOpcji[i].wartString;
		} else {
			tekstOpcji = listaOpcji[i].wartInt;
		}
		// jeśli była jakaś wybrana to jej nie zmieniaj na nową
		if(wybranaOpcja) {
			if(wybranaOpcja == listaOpcji[i].id) {
				$select.children().end().append('<option value="' + listaOpcji[i].id + '" selected>' + tekstOpcji + '</option>');
			} else {
				$select.children().end().append('<option value="' + listaOpcji[i].id + '">' + tekstOpcji + '</option>');
			}
		} else if(nowowprowadzona != null &&
				nowowprowadzona == listaOpcji[i].id) {
			$select.children().end().append('<option value="' + listaOpcji[i].id + '" selected>' + tekstOpcji + '</option>');
		} else {
			$select.children().end().append('<option value="' + listaOpcji[i].id + '">' + tekstOpcji + '</option>');
		}
	}
	
	// dla selecta mySelect (przeładowanie)
	if($select.hasClass('mySelect')) {
		$select.unMySelect();
		$select.mySelect();
	}
}

/*
 * Zapisuje wybrane słowo do wskazanego słownika oraz 
 * przeładowuje wszystkie opcje ustawiając tę nową opcję
 * jako wybraną;
 * 
 * dodatkowo przeładowuje wszystkie listy na stronie dotyczące tego samego słownika;
 * o ile przeznaczone są one także to przyjaznego uzytkownikowi wprowadzania słowników
 */
function zapiszSlowo(selectId) {
	pokazLoadImage();
	$("#slowoModal").dialog({disabled: true});
	var parametry = "zapisz=1&" + $("#slowoModalForm").serialize();
	$.post(_SlowoAjaxActionURL,
		parametry,
		function(data, textStatus, xhr) {
			$("#slowoModal").dialog({
				disabled: false
			});
			
			if(xhr.getResponseHeader('Ajax-Success')) {
				var $select = $("#" + selectId);
				
				// usuwanie dotychczasowej treści definicji słowa
				$("#slowoModalError").html('');
				$("#slowoModalContent").html('');
				
				var jsonObj = jQuery.parseJSON(data);
				// jeżeli select wielokrotnego wyboru (ze specyficznym wyświetlaniem)
				if($select.hasClass('asmSelect')) {
					for(i in jsonObj.listaOpcji) {
						// wstawianie wszystkich wartości z danego słownika oraz domyślne zaznaczanie nowowprowadzonej
						var tekstOpcji = '';
						if(jsonObj.listaOpcji[i].wartString != null) {
							tekstOpcji = jsonObj.listaOpcji[i].wartString;
						} else {
							tekstOpcji = jsonObj.listaOpcji[i].wartInt;
						}
						
						if(jsonObj.nowaOpcja == jsonObj.listaOpcji[i].id) {
							$select.children().end().append('<option value="' + jsonObj.listaOpcji[i].id + '" selected>' + tekstOpcji + '</option>');
							break;
						}
					}
					
					$select.change();
				} else {
					// aktualizacja danych dla selecta, przy którym wprowadzono nową wartość
					selectPojedynczyAktualizujOpcje($select, jsonObj.listaOpcji, jsonObj.nowaOpcja);
					
					// aktualizacja selectów dla tego samego słownika
					var nazwaSlownika = getNSlownikaByOnclickValue(
							$select.siblings("a")[0].attributes.onclick.nodeValue);
					// dla wszystkich przycisków wprowadzania słowników
					$("a.noweSlowoButton").each(function(){
						var $linkSlownik = $(this);
						var onClickText = $linkSlownik[0].attributes.onclick.nodeValue;
						var $linkSiblingSelect = $linkSlownik.siblings("select:eq(0)");
						
						// dla tego samego słownika również uaktualniam opcje
						if(getNSlownikaByOnclickValue(onClickText) == nazwaSlownika &&
								$linkSiblingSelect.attr("id") != selectId) {
							selectPojedynczyAktualizujOpcje($linkSiblingSelect, jsonObj.listaOpcji, null);
						}
					});
				}
			
				$("#slowoModal").dialog("close");
			} else {
				// czyszczenie formularza oraz wyświetlenie informacji o błędzie
				$("#slowoModalError").html('');
				$("#slowoModalContent").html('');
				$(data).appendTo('#slowoModalContent');
				
				unDatePick();
				datePick();
			}

			ukryjLoadImage();
		}, "text"
	);
}

/*
 * Wyświetlenie okienka dialogowego dla wprowadzenia nowego słowa do
 * słownika
 */
function slowoWprowadzanieAjax(nazwaSlownika, selectId) {
	pokazLoadImage();
	$.post(_SlowoAjaxActionURL,
		{
			"dodawanie" : 1,
			"nazwaSlownika" : nazwaSlownika
		},
		function(data, textStatus, xhr) {
			if(xhr.getResponseHeader('Ajax-Success')) {
				// wyświetlenie formularza dodawania słowa
				$("#slowoModalError").html('');
				$("#slowoModalContent").html('');
				$(data).appendTo('#slowoModalContent');

				// wyświetlenie modalnego okna wprowadzania danych
				$('#slowoModal').dialog({
					open: function(event, ui) {
						unDatePick();
						datePick();

						$("#slowoWartosc").focus();
					},
					width: 590,
					height: 220,
					modal: true,
					buttons: {
						"Zapisz": function() {
							zapiszSlowo(selectId);
						},
						"Anuluj": function() {
							$(this).dialog("close");
						}
					},
					close: function(event, ui) {
						$("#slowoModal").dialog("destroy");
						$("#slowoModalError").html('');
						$("#slowoModalContent").html('');
					}
				});
			} else {
				$("#slowoModalError").html(data);
				$("#slowoModalContent").html('');
				$("#slowoModal").show();
			}
			ukryjLoadImage();
		}, "text"
 	);
}
