<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaAktualizacji}" id="listaAktualizacji" var="aktualizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_PRZEPROWADZENIA" title="Data przeprowadzenia" styleClass="daneWyroznione"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${aktualizacja.dataPrzeprowadzenia}" pattern="${TIMESTAMP_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="description" title="Opis" sortable="false" filterable="false"/>
			<%-- opcja powinna być tylko dostępna dla programistów firmy TT --%>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
					<c:if test="${najnowszaAktualizacja.id == aktualizacja.id}">
						<div class="ikonki">
							<stripes:link beanclass="pl.topteam.dps.action.administracja.aktualizacjaBazy.ListaAktualizacjiAction" 
									class="noLoadImage" event="usun" onclick="return confirmation('Czy na pewno chcesz usunąć tę aktualizację?')">
								<stripes:param name="databaseChangelog.id" value="${aktualizacja.id}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</div>
					</c:if>
				</jmesa:htmlColumn>
			</c:if>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
