<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista wzorców autonumeracji</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="jmesaContainer">
			<jmesa:tableFacade items="${listaAutonumeracji}" id="listaAutonumeracji" var="autonumer" autoFilterAndSort="true"
					editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaAutonumeracji)}">
				<jmesa:htmlTable>
					<jmesa:htmlRow>
						<jmesa:htmlColumn title="Typ wzorca" property="typ" sortable="false" styleClass="daneWyroznione">
							<ttSec:secure roles="OG_U_AUTONUMERACJA" defaultText="${autonumer.typ.opis}">
								<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.AutonumeracjaAction" event="edycja">
									<stripes:param name="autonumer.typ" value="${autonumer.typ}"/>
									${autonumer.typ.opis}
								</stripes:link>
							</ttSec:secure>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn title="Bieżąca wartość" property="wartosc" sortable="false" styleClass="alignRight">
							<ttSec:secure roles="OG_U_AUTONUMERACJA" defaultText="${autonumer.wartosc}">
								<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.AutonumeracjaAction" event="edycja">
									<stripes:param name="autonumer.typ" value="${autonumer.typ}"/>
									${autonumer.wartosc}
								</stripes:link>
							</ttSec:secure>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn title="Operacje" sortable="false">
							<div class="ikonki">
								<ttSec:secure roles="OG_U_AUTONUMERACJA">
									<stripes:link beanclass="pl.topteam.dps.action.system.autonumeracja.AutonumeracjaAction" event="edycja">
										<stripes:param name="autonumer.typ" value="${autonumer.typ}"/>
										<img src="${root}/img/edit.gif" border="0" title="Edycja autonumeracji '${autonumer.typ.opis}'"/>
									</stripes:link>
								</ttSec:secure>
							</div>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</div>
	</stripes:layout-component>
</stripes:layout-render>