<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/czlonekRodzPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// autopodpowiedzi
				$("#czlonek").click();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" name="czlonekForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Dodawanie członka rodziny
					</legend>
					<stripes:hidden name="osobaRodzina.rodzinaId"></stripes:hidden>
					<stripes:hidden name="osobaRodzina.kodStopniaPokrewienstwa"></stripes:hidden>
					
					<c:set var="mCzlr" value="true"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/czlonekRodzPodpField.jsp" %>
					<div class="row">
						<div class="label">
							<label>
								zobowiązanie do dopłaty<br/>
								do utrzymania
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="osobaRodzina.zobowiazanyAlimentacja" title="Członek rodziny zobowiązany jest do alimentacji"/>
							<stripes:errors field="osobaRodzina.zobowiazanyAlimentacja"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								zwolnienie z dopłaty<br/>
								do utrzymania
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="osobaRodzina.zwolnionyAlimentacja" title="Członek rodziny zwolniony został z alimentacji"/>
							<stripes:errors field="osobaRodzina.zwolnionyAlimentacja"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapiszPrzypis" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>