<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/czlonekRodzPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// autopodpowiedzi
				$("#czlonek").click();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.InnaOsobaAction" name="czlonekForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Dodawanie przyjaciela rodziny
					</legend>
					<stripes:hidden name="osobaRodzina.rodzinaId"></stripes:hidden>
					<stripes:hidden name="osobaRodzina.kodStopniaPokrewienstwa"></stripes:hidden>
					
					<c:set var="mCzlr" value="true"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/czlonekRodzPodpField.jsp" %>
					<div class="row">
						<div class="label">
							<label>
								typ osoby
							</label>
						</div>
						<div class="input">
							<stripes:select name="osobaRodzina.typ" id="typOsoby" class="required" title="Typ osoby w rodzinie">
								<stripes:option value="">przyjaciel rodziny</stripes:option>
								<stripes:options-enumeration enum="pl.topteam.dps.enums.TypOsobyWRodzinie" label="opis"/>
							</stripes:select>
							<stripes:errors field="osobaRodzina.typ"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data od
							</label>
						</div>
						<div class="input">
							<stripes:text name="osobaRodzina.dataOd" class="data" title="Data od kiedy obowiązuje informacja" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="osobaRodzina.dataOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data do
							</label>
						</div>
						<div class="input">
							<stripes:text name="osobaRodzina.dataDo" class="data" title="Data od kiedy obowiązuje informacja" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="osobaRodzina.dataDo"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapiszPrzypis" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>