<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="osobaRodzina.id"/>
<stripes:hidden name="osobaRodzina.rodzinaId"/>
<stripes:hidden name="osobaRodzina.osobaId"/>
<stripes:hidden name="czlonek.id"/>
<stripes:hidden name="czlonek.importProgram"/>
<div class="row">
	<div class="label">
		<label>
			nazwisko i imię (imiona)
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.nazwisko" class="textValidationFCapitalize required" title="Nazwisko" onchange="sprawdzOsobePoDanych('czlonek');"/>
		<stripes:text name="czlonek.imie" class="textValidationFCapitalize required" title="Imię" onchange="sprawdzOsobePoDanych('czlonek');"/>
		<stripes:text name="czlonek.imieDrugie" class="textValidationFCapitalize" title="Imię drugie"/>
		<stripes:errors field="czlonek.nazwisko"/>
		<stripes:errors field="czlonek.imie"/>
		<stripes:errors field="czlonek.imieDrugie"/>
		<span class="tip">
			np. "Kos", "Jan", "Cezary"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nazwisko rodowe
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.nazwiskoRodowe" class="textValidationFCapitalize" title="Nazwisko rodowe"/>
		<stripes:errors field="czlonek.nazwiskoRodowe"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			PESEL
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.pesel" class="pesel" onchange="pesel(this.value, 'dataUrodzeniaD', 'plec', 'errorsPesel');sprawdzOsobePoDanych('czlonek');" title="PESEL"/>
		<stripes:errors field="czlonek.pesel"/>
		<div style="text-align: left; display: none;" id="errorsPeselDiv">
			<div class="bladlokalny">
				<img src="${root}/img/error.gif">
				<span id="errorsPesel"></span>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data, miejsce urodzenia
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.dataUrodzenia" class="data" id="dataUrodzeniaD" formatPattern="${DATE_PATTERN}"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:text name="czlonek.miejsceUrodzenia" class="textValidationFCapitalize" title="Miejsce urodzenia" style="width: 23em;"/>
		
		<stripes:errors field="czlonek.dataUrodzenia"/>
		<stripes:errors field="czlonek.miejsceUrodzenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data zgonu
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.dataZgonu" class="data" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="czlonek.dataZgonu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			stopień pokrewieństwa
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${empty actionBean.osobaRodzina.kodStopniaPokrewienstwa}">
				<%-- przy imporcie danych może się zdarzyć, że osoba nie ma ustawionego pokrewieństwa stąd daje możliwość ustawienia --%>
				<stripes:select name="osobaRodzina.kodStopniaPokrewienstwa" id="kodPokrewienstwa" class="mySelect required ie_fixposition"
						style="width: 250px;">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-collection collection="${kodStopniaPokrewienstwaSlownik}" label="wartString" value="kod"/>
				</stripes:select>
			</c:when>
			<c:otherwise>
				<stripes:select name="osobaRodzina.kodStopniaPokrewienstwa" id="kodPokrewienstwa" class="mySelect required ie_fixposition"
						disabled="disabled" style="width: 250px;">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-collection collection="${kodStopniaPokrewienstwaSlownik}" label="wartString" value="kod"/>
				</stripes:select>
				<stripes:hidden name="osobaRodzina.kodStopniaPokrewienstwa"/>
			</c:otherwise>
		</c:choose>
		<div style="clear: both;"></div>
		<stripes:errors field="osobaRodzina.kodStopniaPokrewienstwa"/>
	</div>
</div>
<c:if test="${empty daneCzlonkaRodziny}">
	<div class="row">
		<div class="label">
			<label>
				typ osoby
			</label>
		</div>
		<div class="input">
			<stripes:select name="osobaRodzina.typ" id="typOsoby" class="required" title="Typ osoby w rodzinie">
				<stripes:option value="">przyjaciel rodziny</stripes:option>
				<stripes:options-enumeration enum="pl.topteam.dps.enums.TypOsobyWRodzinie" label="opis"/>
			</stripes:select>
			<stripes:errors field="osobaRodzina.typ"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				data od
			</label>
		</div>
		<div class="input">
			<stripes:text name="osobaRodzina.dataOd" class="data" title="Data od kiedy obowiązuje informacja" formatPattern="${DATE_PATTERN}"/>
			<stripes:errors field="osobaRodzina.dataOd"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				data do
			</label>
		</div>
		<div class="input">
			<stripes:text name="osobaRodzina.dataDo" class="data" title="Data od kiedy obowiązuje informacja" formatPattern="${DATE_PATTERN}"/>
			<stripes:errors field="osobaRodzina.dataDo"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			nr telefonu kom.
		</label>
	</div>
	<div class="input">
		<stripes:text name="czlonek.telefonKom" title="Numer telefonu komórkowego"/>
		<stripes:errors field="czlonek.telefonKom"/>
	</div>
</div>
<c:if test="${not empty daneCzlonkaRodziny}">
	<div class="row">
		<div class="label">
			<label>
				zobowiązanie do dopłaty<br/>
				do utrzymania
			</label>
		</div>
		<div class="input">
			<stripes:checkbox name="osobaRodzina.zobowiazanyAlimentacja" title="Członek rodziny zobowiązany jest do alimentacji"/>
			<stripes:errors field="czlonek.zobowiazanyAlimentacja"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				zwolnienie z dopłaty<br/>
				do utrzymania
			</label>
		</div>
		<div class="input">
			<stripes:checkbox name="osobaRodzina.zwolnionyAlimentacja" title="Członek rodziny zwolniony został z alimentacji"/>
			<stripes:errors field="czlonek.zwolnionyAlimentacja"/>
		</div>
	</div>
</c:if>

<%-- DO ZROBIENIA --%>
<stripes:hidden name="czlonek.wyznanieId"/>
<stripes:hidden name="czlonek.wyksztalcenieId"/>

<div id="walidacjaDanychDiv" style="clear: both; margin-left: 10px;"></div>
