<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.OsobaWRodzinieDispatcherAction" style="width: 650px;">
				<stripes:hidden name="przypisanie"/>
				<fieldset>
					<legend>Informacja</legend>
					<p>
						Wszelkie osoby spoza rodziny mieszkańca należy rejestrować wybierając poniżej: 'inna osoba - brak pokrewieństwa'!<br/>
						
						Wszytkie pozycje oprócz ww. (ale włącznie z nowowprowadzonymi za pomocą opcji <img src="${root}/img/icons/add.png"/>)
						będą traktowane przez program jako członkowie rodziny mieszkańca!
					</p>
				</fieldset>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.przypisanie && actionBean.przypisanie}">Przypisanie osoby do rodziny</c:when>
							<c:otherwise>Dodawanie członka rodziny</c:otherwise>
						</c:choose>
					</legend>
					<div class="row">
						<div class="label">
							<label>stopień pokrewieństwa</label>
						</div>
						<div class="input">
							<stripes:select id="kodPokrewienstwa" name="kodStopniaPokrewienstwa" class="mySelect required" style="width: 350px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${kodStopniaPokrewienstwaSlownik}" label="wartString" value="kod"/>
							</stripes:select>
							&nbsp;&nbsp;
							<a class="imgButton noweSlowoButton" title="Wprowadź nowe słowo"
									onclick="slowoWprowadzanieAjax('KOD_STOPNIA_POKREWIENSTWA', 'kodPokrewienstwa'); return false;">
								<img src="${root}/img/icons/add.png" style="border: 0px;">
							</a>
							<div style="clear: both;"></div>
							<stripes:errors field="kodStopniaPokrewienstwa"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dispatch" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
