<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_listaPokoiURL" beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_listaPokoiURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Ewidencja pokoi</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer">
			<%@ include file="listaPokoiFiltr.jsp" %>
		</div>
		<div class="listFooterText">
			<ttSec:secure roles="ADM_U_DANE_DPS">
				<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojZakresAction" event="dodawanieKrok1">
					Szybkie wprowadzanie pokoi
				</stripes:link>
				&nbsp;&nbsp;
				<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojAction" event="dodawanie">
					Dodawanie pokoju
				</stripes:link>
			</ttSec:secure>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
