<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPokoi}" id="listaPokoi" var="pokoj" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="budynek" title="Budynek" styleClass="daneWyroznione"/>
			<jmesa:htmlColumn property="pietro" title="Piętro" styleClass="daneWyroznione"/>
			<jmesa:htmlColumn property="nr" title="Nr pokoju" styleClass="daneWyroznione"/>
			<jmesa:htmlColumn property="liczba_miejsc" title="Liczba miejsc">
				${pokoj.liczbaMiejsc}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje">
				<div class="ikonki">
					<ttSec:secure roles="ADM_U_DANE_DPS">
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.PokojEdycjaAction" event="edycja">
							<stripes:param name="dpsJednostkaPokoj.id" value="${pokoj.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace" alt="Edytuj pokój nr ${pokoj.nr}"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="ADM_U_DANE_DPS">
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.ListaPokoiAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć pokój nr /${pokoj.nr}/ ? ')">
							<stripes:param name="dpsJednostkaPokoj.id" value="${pokoj.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/daneJednostki/listaPokoi.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
