<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>
		Profile działalności
	</legend>
	<stripes:errors field="profileDzialanosci"/>
	<div class="jmesa">
		<table class="profileTab">
			<thead>
				<tr class="header">
					<td>
					</td>
					<c:forEach items="${actionBean.listaDostepnychProfili}" var="profil">
						<td>
							${profil.opis}
						</td>
					</c:forEach>
				</tr>
			</thead>
			<tbody class="tbody">
				<tr class="odd">
					<td>
						rodzaj
					</td>
					<c:forEach items="${actionBean.listaDostepnychProfili}" var="profil" varStatus="i">
						<td>
							<stripes:select name="profileDzialanosci[${profil.name()}].rodzaj" class="mySelect ${i.count == 1 ? 'required' : ''}" style="width: 200px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajProfiluJednostki" label="opis"/>
							</stripes:select>
							<stripes:errors field="profileDzialanosci[${profil.name()}].rodzaj"/>
						</td>
					</c:forEach>
				</tr>
				<tr class="even">
					<td>
						liczba miejsc<br/>
						(kob. + mężcz. = ogółem)&nbsp;
					</td>
					<c:forEach items="${actionBean.listaDostepnychProfili}" var="profil" varStatus="i">
						<td>
							<stripes:checkbox id="lmCheck${profil.name()}" name="profileDzialanosci[${profil.name()}].czyLiczbaMiejscOgolem"
									onchange="liczbaMiejsc('${profil.name()}');" value="true" title="Zaznacz by wpisać ogólną liczbę miejsc"></stripes:checkbox>
							&nbsp;
							<stripes:text id="lmOg${profil.name()}" class="numberInteger nChkb" name="profileDzialanosci[${profil.name()}].liczbaMiejsc"
									size="6" onchange="przeliczLiczbeMiejsc('${profil.name()}');"/>
							<stripes:errors field="profileDzialanosci[${profil.name()}].liczbaMiejsc"/>
						</td>
					</c:forEach>
				</tr>
				<tr class="odd">
					<td>
						liczba miejsc K / M
					</td>
					<c:forEach items="${actionBean.listaDostepnychProfili}" var="profil" varStatus="i">
						<td>
							<stripes:text id="lmKob${profil.name()}" class="numberInteger nChkb" name="profileDzialanosci[${profil.name()}].liczbaMiejscK"
									size="6" onchange="przeliczLiczbeMiejsc('${profil.name()}');"/>
							/
							<stripes:text id="lmMez${profil.name()}" class="numberInteger nChkb" name="profileDzialanosci[${profil.name()}].liczbaMiejscM"
									size="6" onchange="przeliczLiczbeMiejsc('${profil.name()}');"/>
							<stripes:errors field="profileDzialanosci[${profil.name()}].liczbaMiejscK"/>
						</td>
					</c:forEach>
				</tr>
			</tbody>
		</table>
	</div>
</fieldset>
<fieldset></fieldset>

<div class="row">
	<div class="label">
		<label>
			typ jednostki
		</label>
	</div>
	<div class="input">
		<stripes:select name="dpsJednostka.typ" class="required">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.TypJednostki" label="opis"/>
		</stripes:select>
		<stripes:errors field="dpsJednostka.typ"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			przystosowanie jednostki do<br/>
			potrzeb osób niepełnosprawnych
		</label>
	</div>
	<div class="input">
		<stripes:select name="daneOJednostce['PRZYSTOSOWANIE']" multiple="multiple" id="selPrzystJednostki" title="${OPCJA_WYBIERZ}">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.JednostkaUdogodnienia" label="opis"/>
		</stripes:select>
		<stripes:errors field="daneOJednostce['PRZYSTOSOWANIE'][]"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			organ prowadzący
		</label>
	</div>
	<div class="input">
		<stripes:select name="dpsJednostka.organProwadzacy" class="required">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.OrganProwadzacy" label="opis"/>
		</stripes:select>
		<stripes:errors field="dpsJednostka.organProwadzacy"/>
	</div>
</div>
