<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>
		Konta bankowe jednostki
	</legend>
	
	<ttSec:secure roles="ADM_U_DANE_DPS">
		<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSKontoBankoweAction" class="button" event="dodawanie">
			<stripes:param name="dpsJednostka.id" value="${actionBean.dpsJednostka.id}"></stripes:param>
			Wprowadź nowe
		</stripes:link>
		<div style="clear: both; height: 15px;">&nbsp;</div>
	</ttSec:secure>

	<div>
		<c:set var="i" value="0"/>
		<jmesa:tableFacade items="${actionBean.listaKontBankowych}" id="listaKontBankowych" var="konto" editable="false"
				view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(actionBean.listaKontBankowych)}">
			<jmesa:htmlTable styleClass="alignCenter" style="width: 450px;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="nr" title="IBAN" styleClass="daneWyroznione" sortable="false">
						<stripes:hidden name="listaKontBankowych[${i}].id"/>
						<stripes:hidden name="listaKontBankowych[${i}].iban"/>
						
						<c:set var="i" value="${i + 1}"/>
						${konto.PLIban}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" style="width: 100px;">
						<div class="ikonki">
							<ttSec:secure roles="ADM_U_DANE_DPS">
								<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSKontoBankoweAction" event="edycja">
									<stripes:param name="dpsJednostka.id" value="${actionBean.dpsJednostka.id}"/>
									<stripes:param name="kontoBankowe.id" value="${konto.id}"/>
									<img src="${root}/img/edit.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
							<ttSec:secure roles="ADM_U_DANE_DPS">
								<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.system.dpsJednostka.DaneDPSKontoBankoweAction" event="usun"
										onclick="return confirmation('Czy na pewno chcesz usunąć konto /${konto.iban}/ ? ')">
									<stripes:param name="dpsJednostka.id" value="${actionBean.dpsJednostka.id}"/>
									<stripes:param name="kontoBankowe.id" value="${konto.id}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/daneJednostki/edycjaRedirect.jsp')}"/>
									<img src="${root}/img/delete.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</div>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</div>
</fieldset>
