<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaUmow}" id="listaUmow" var="umowa" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Nr" styleClass="daneWyroznione" style="width: 100px;"/>
			<jmesa:htmlColumn property="data_od" title="Ważna od" filterable="false">
				<fmt:formatDate value="${umowa.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_do" title="Ważna do" filterable="false">
				<fmt:formatDate value="${umowa.dataDo}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwoty" title="Szczegóły" styleClass="alignRight" sortable="false" filterable="false">
				<c:set var="kwotaUmowy" value="${umowa.kwota}"/>
				<c:set var="listaKwot" value="${umowa.listaKwot}"/>
				<c:set var="umowaApteka" value="${umowa}"/>
				<%@ include file="listaKwoty.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_UMOWA_APTEKA">
						<stripes:link beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.EdycjaUmowyAction" event="edycja">
							<stripes:param name="umowaApteka.id" value="${umowa.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj umowę"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_R_UMOWA_APTEKA">
						<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
							<stripes:param name="contextMap['idUmowyZApteka']" value="${umowa.id}"></stripes:param>
							<stripes:param name="plik" value="umowaApteka${FILE_SEPARATOR_CHAR}realizacjaLekow.sql"/>
							<img src="${root}/img/pill.png" border="0" title="Podgląd realizacji umowy"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
							<stripes:param name="contextMap['idUmowyZApteka']" value="${umowa.id}"></stripes:param>
							<stripes:param name="plik" value="umowaApteka${FILE_SEPARATOR_CHAR}realizacjaLekowDlaMieszkancow.sql"/>
							<img src="${root}/img/ludzik.gif" border="0" title="Rozbicie realizacji na mieszkańców"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych" target="_blank">
							<stripes:param name="contextMap['idUmowyZApteka']" value="${umowa.id}"></stripes:param>
							<stripes:param name="plik" value="umowaApteka${FILE_SEPARATOR_CHAR}kwotyMieszkancow.sql"/>
							<img src="${root}/img/coins.png" border="0" title="Rozliczenie umowy"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_UMOWA_APTEKA">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.system.dpsJednostka.umowaZApteka.ListaUmowZAptekaAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć umowę nr ${umowa.nr} ? ')">
							<stripes:param name="umowaApteka.id" value="${umowa.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/daneJednostki/umowaZApteka/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń umowę z apteką"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
