<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- obliczenia kwoty, która pozostała z głównej kwoty decyzji --%>
<c:set var="sumaGlowna" value="0"/>
<c:forEach items="${listaKwot}" var="skladnik">
	<c:if test="${empty skladnik.kwota}">
		<c:set var="sumaGlowna" value="${sumaGlowna + skladnik.kwotaWykorzystana}"/>
	</c:if>
</c:forEach>

<jmesa:tableFacade items="${listaKwot}" id="listaKwot" var="skladnik"
		editable="false" maxRows="${fn:length(listaKwot)}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter" style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rodzaj" title="Rodzaj" styleClass="daneWyroznione alignLeft" sortable="false" style="width: 200px;">
				<c:set var="slowaSlownika" value="${kodRodzajuKwotyAptekaSlownik}"/>
				<c:set var="wartoscDoPorow" value="${skladnik.slowoId}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="alignRight" sortable="false">
				<c:set var="wartoscZeSlownika" value=""/>
				<c:set var="slowaSlownika" value="${kodRodzajuKwotyAptekaSlownik}"/>
				<c:set var="wartoscDoPorow" value="${skladnik.slowoId}"/>
				<%@ include file="/jsp/templatePages/ustawSlowoZeSlownikaWgId.jsp" %>

				<c:choose>
					<c:when test="${not empty wartoscZeSlownika && wartoscZeSlownika.kod == '001'}">
						<fmt:formatNumber value="${umowaApteka.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:when>
					<c:when test="${not empty skladnik.kwota}">
						<fmt:formatNumber value="${skladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaWykorzystana" title="Wykorzystano" styleClass="alignRight" sortable="false">
				<fmt:formatNumber value="${skladnik.kwotaWykorzystana}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaPozostala" title="Pozostało" styleClass="daneWyroznione alignRight" sortable="false">
				<c:choose>
					<c:when test="${not empty wartoscZeSlownika && wartoscZeSlownika.kod == '001'}">
						<c:set var="kwota" value="${umowaApteka.kwota - sumaGlowna}"/>
					</c:when>
					<c:when test="${not empty skladnik.kwota}">
						<c:set var="kwota" value="${(skladnik.kwota - skladnik.kwotaWykorzystana) > 0.00 ? (skladnik.kwota - skladnik.kwotaWykorzystana) : 0.00}"/>
					</c:when>
					<c:otherwise>
						<c:set var="kwota" value=""/>
					</c:otherwise>
				</c:choose>

				<c:choose>
					<c:when test="${empty kwota}">
						---
					</c:when>
					<c:when test="${kwota < 0.00 }">
						<span style="color: red;">
							<fmt:formatNumber value="${kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:when>
					<c:otherwise>
						<span>
							<fmt:formatNumber value="${kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<c:if test="${not empty includeKolumnyEdycji && includeKolumnyEdycji}">
				<%@ include file="listaKwotyKolumnaEdycji.jsp" %>
			</c:if>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
