<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<%@ include file="plikiIncludeDodawanieDecyzji.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.decyzja.oOdplatnosci.DecyzjaDzOOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="decyzjaDzOOdplatnosci.id"></stripes:hidden>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.decyzjaDzOOdplatnosci.id}">
								Dodawanie decyzji o odpłatności
							</c:when>
							<c:otherwise>
								Edycja decyzji o odpłatności
							</c:otherwise>
						</c:choose>
					</legend>
					
					<c:set var="nazwaPolaDecyzji" value="decyzjaDzOOdplatnosci"/>
					<%@ include file="/jsp/templatePages/polaDecyzjiDzOdplatnosc.jsp" %>
				</fieldset>

				<fieldset>
					<legend>
						Lista świadczeń
					</legend>
					<div class="row" id="divPobieraneSwiadczeniaRow">
						<div id="bledySwiadczenia"></div>					
						<c:choose>
							<c:when test="${empty actionBean.decyzjaSwiadczenieLista}">
								<c:set var="j" value="0" />
								<%@ include file="polaDodawanieSwiadczenia.jsp" %>
							</c:when>
							<c:otherwise>
								<c:forEach items="${actionBean.decyzjaSwiadczenieLista}" var="decyzjaSwiadczenie" varStatus="status">
									<c:if test="${not empty decyzjaSwiadczenie}">
										<c:set var="j" value="${status.index}" />
										<%@ include file="polaDodawanieSwiadczenia.jsp" %>
									</c:if>
								</c:forEach>
							</c:otherwise>
						</c:choose>
						<stripes:hidden name="j" value="${j}" />
					</div>
					<fieldset>
						<stripes:button id="dodajPobieraneSwiad" class="noLoadImage" name="dodajSwiad" value="Dodaj świadczenie"/>
					</fieldset>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiDzOOdplatnosciAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
