<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDecyzji}" id="listaDecyzji" var="decyzja" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaDecyzji)}">
	<jmesa:htmlTable style="min-width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Numer decyzji" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${decyzja.nr}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						${decyzja.nr}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ.opis" title="Typ decyzji" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${decyzja.typ.opis}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						${decyzja.typ.opis}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWydania" title="Data wydania" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${decyzja.dataWydania}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						<fmt:formatDate value="${decyzja.dataWydania}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="obowiazujeOd" title="Obowiązuje od" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${not empty decyzja.obowiazujeOd ? decyzja.obowiazujeOd : decyzja.dataWydania}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						<fmt:formatDate value="${not empty decyzja.obowiazujeOd ? decyzja.obowiazujeOd : decyzja.dataWydania}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="waznaDo" title="Ważna do" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${not empty decyzja.waznaDo ? decyzja.waznaDo : '&nbsp;'}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						<c:choose>
							<c:when test="${not empty decyzja.waznaDo}">
								<fmt:formatDate value="${decyzja.waznaDo}" pattern="${DATE_PATTERN}" />
							</c:when>
							<c:otherwise>
								-&nbsp;-&nbsp;-
							</c:otherwise>
						</c:choose>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ktoWydal" title="Organ wydający decyzję" sortable="false">
				<c:set var="slowaSlownika" value="${kodOrgWydajacyDecOOdplatnosciSlownik}"/>
				<c:set var="wartoscDoPorow" value="${decyzja.ktoWydalId}"/>
				<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgId.jsp" %>
				
				<ttSec:secure roles="SOC_U_DEC_ALIM" defaultText="${wartoscZmiennejZeSlownika}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
						<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
						${wartoscZmiennejZeSlownika}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_DEC_ALIM">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.DecyzjaOAlimentacjiEdycjaAction" event="edycja">
							<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_DEC_ALIM">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.ListaDecyzjiOAlimentacjiAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć decyzję /${decyzja.nr}/ ? ')">
							<stripes:param name="decyzjaOAlimentacji.id" value="${decyzja.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/decyzja/dps/oAlimentacji/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
