<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
		
		<style>
			.input {
				border: 1px solid #5F8DD3;
				margin-top: 15px;
			}
			
			.wewTabelka .input {
				border: 0px none;
			}
		</style>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.DecyzjaOOdplatnosciProjektAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Projekt decyzji o odpłatności (dodawanie krok 3-ci -&gt; odpłatność)
					</legend>
					
					<stripes:errors field="dochod.dataOd"/>
					<c:choose>
						<c:when test="${fn:length(listaDecyzjiKierujacych) == 1}">
							<stripes:hidden name="decyzjaOOdplatnosci.decyzjaKierujacaId"></stripes:hidden>
							<stripes:errors field="decyzjaOOdplatnosci.decyzjaKierujacaId"/>
						</c:when>
						<c:otherwise>
							<div class="tip">
								Zaznacz decyzję kierującą, na podstawie której obliczać odpłatność
								<stripes:errors field="decyzjaOOdplatnosci.decyzjaKierujacaId"/>
							</div>
							<c:forEach items="${listaDecyzjiKierujacych}" var="decyzjaKierujaca">
								<div class="row" style="display: block; margin-top: 5px;">
									<div class="label" style="vertical-align: middle;">
										<label>
											<stripes:radio name="decyzjaOOdplatnosci.decyzjaKierujacaId" value="${decyzjaKierujaca.id}"></stripes:radio>
										</label>
									</div>
									<div class="input">
										<div class="wewTabelka">
											<div class="row">
												<div class="label">
													nr
												</div>
												<div class="input">
													${not empty decyzjaKierujaca.nr ? decyzjaKierujaca.nr : 'POSTANOWIENIE'}
												</div>
											</div>
											<div class="row">
												<div class="label">
													data wydania
												</div>
												<div class="input">
													<fmt:formatDate value="${decyzjaKierujaca.dataWydania}" pattern="${DATE_PATTERN}"/>
												</div>
											</div>
											<div class="row">
												<div class="label">
													wydana na zasadach
												</div>
												<div class="input">
													${decyzjaKierujaca.wydanaNaZasadach.opis}
												</div>
											</div>
										</div>
									</div>
								</div>
							</c:forEach>
						</c:otherwise>
					</c:choose>

					<div class="tip">
						Zaznacz składniki, które mają być brane pod uwagę przy wyliczaniu dochodu
					</div>
					
					<fieldset>
						<legend>
							Składniki dochodu
							&nbsp;&nbsp;
							<stripes:button name="zaznaczDochody" class="noLoadImage" onclick="zaznacz('input[name^=\"skladnikiDochodu\"]', true)">Zaznacz wszystkie</stripes:button>
							<stripes:button name="odznaczDochody" class="noLoadImage" onclick="zaznacz('input[name^=\"skladnikiDochodu\"]', false)">Odznacz wszystkie</stripes:button>
						</legend>
					</fieldset>
					<c:choose>
						<c:when test="${not empty listaPobSwiadczen}">
							<c:forEach items="${listaPobSwiadczen}" var="pobSwiadczenie" varStatus="i">
								<div class="row" style="display: block; margin-top: 5px;">
									<div class="label" style="vertical-align: middle;">
										<label>
											<stripes:checkbox name="skladnikiDochodu[${i.count - 1}].swiadczenieId" value="${pobSwiadczenie.id}"></stripes:checkbox>
										</label>
									</div>
									<div class="input">
										<div class="wewTabelka">
											<div class="row">
												<div class="label">
													rodzaj świadczenia
												</div>
												<div class="input">
													${pobSwiadczenie.nazwa}
												</div>
											</div>
											<div class="row">
												<div class="label">
													kwota
												</div>
												<div class="input">
													<fmt:formatNumber value="${pobSwiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
												</div>
											</div>
											<c:forEach items="${pobSwiadczenie.dodatki}" var="dodatek" varStatus="j">
												<div class="row">
													<div class="label">
														dodatek
													</div>
													<div class="input">
														<c:set var="slowaSlownika" value="${kodDodatkuPobieranegoSwiadczeniaSlownik}"/>
														<c:set var="wartoscDoPorow" value="${dodatek.kodDodatkuId}"/>
														<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
														<c:choose>
															<c:when test="${stripes:enumName(dodatek.jednostka) == 'POLSKI_ZLOTY'}">
																(<fmt:formatNumber value="${empty dodatek.wartosc ? 0.00 : dodatek.wartosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
															</c:when>
															<c:when test="${stripes:enumName(dodatek.jednostka) != 'POLSKI_ZLOTY'}">
																(<fmt:formatNumber value="${empty dodatek.ekwiwalent ? 0.00 : dodatek.ekwiwalent}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
															</c:when>
														</c:choose>
													</div>
												</div>
											</c:forEach>
										</div>
									</div>
								</div>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<div class="row">
								<div> BRAK ZAREJESTROWANYCH POBIERANYCH ŚWIADCZEŃ WAŻNYCH PO DACIE <fmt:formatDate value="${actionBean.dochod.dataOd}" pattern="${DATE_PATTERN}"/>
							</div>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiOOdplatnosciAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok4" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
