<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.DecyzjaOOdplatnosciEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Edycja decyzji o odpłatności mieszkańca
						<c:if test="${not empty dochod}">
							(generowanej jako projekt)
						</c:if>
					</legend>
					<stripes:hidden name="decyzjaOOdplatnosci.id"/>
					<stripes:hidden name="decyzjaOOdplatnosci.typ"/>
					<stripes:hidden name="decyzjaOOdplatnosci.dochodId"/>
					
					<c:set var="poleDecyzjiOdplatnosc" value="decyzjaOOdplatnosci"/>
					<%@ include file="/jsp/templatePages/polaDecyzjiOdplatnosc.jsp" %>

					<c:if test="${not empty dochod}">
						<fieldset>
							<legend>
								Dochód wyliczony dla mieszkańca
							</legend>
							
							<div class="row">
								<div class="label">
									<label>
										stan na dzień
									</label>
								</div>
								<div class="input">
									<fmt:formatDate value="${dochod.dataOd}" pattern="${DATE_PATTERN}" />
								</div>
							</div>
							<div class="row">
								<div class="label">
									<label>
										kwota dochodu
									</label>
								</div>
								<div class="input">
									<fmt:formatNumber value="${dochod.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</div>
							</div>
							<div class="row">
								<div class="label">
									<label>
										${__procent_dochodu_odplatnosc}% kwoty dochodu
									</label>
								</div>
								<div class="input">
									<fmt:formatNumber value="${__procent_dochodu_odplatnosc * 0.01 * dochod.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</div>
							</div>
						</fieldset>
					</c:if>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiOOdplatnosciAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
