<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDecyzji}" id="listaDecyzji" var="decyzja" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaDecyzji)}">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Numer decyzji" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_UM" defaultText="${not empty decyzja.nr ? decyzja.nr : '---'}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.DecyzjaUmieszczajacaAction" event="edycja">
						<stripes:param name="decyzjaUmieszczajaca.id" value="${decyzja.id}"/>
						${not empty decyzja.nr ? decyzja.nr : '---'}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWydania" title="Data wydania" sortable="false">
				<ttSec:secure roles="SOC_U_DEC_UM" defaultText="${decyzja.dataWydania}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.DecyzjaUmieszczajacaAction" event="edycja">
						<stripes:param name="decyzjaUmieszczajaca.id" value="${decyzja.id}"/>
						<fmt:formatDate value="${decyzja.dataWydania}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ktoWydal" title="Organ wydający decyzję" sortable="false">
				<c:set var="slowaSlownika" value="${kodOrgWydajacyDecUmieszczajaceSlownik}"/>
				<c:set var="wartoscDoPorow" value="${decyzja.ktoWydalId}"/>
				<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgId.jsp" %>

				<ttSec:secure roles="SOC_U_DEC_UM" defaultText="${decyzja.nr}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.DecyzjaUmieszczajacaAction" event="edycja">
						<stripes:param name="decyzjaUmieszczajaca.id" value="${decyzja.id}"/>
						${wartoscZmiennejZeSlownika}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_DEC_UM">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.DecyzjaUmieszczajacaAction" event="edycja">
							<stripes:param name="decyzjaUmieszczajaca.id" value="${decyzja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_DEC_UM">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.ListaDecyzjiUmieszczajacychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć decyzję /${decyzja.nr}/ ? ')">
							<stripes:param name="decyzjaUmieszczajaca.id" value="${decyzja.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/decyzja/dps/umieszczajaca/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
