<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib  prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.KontoEdycjaAction" class="form-horizontal">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="konto.rodzaj"/>
				<fieldset>
					<legend>
						<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.konto.rodzaj.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.konto.rodzaj.opis, 1,fn:length(actionBean.konto.rodzaj.opis)))}"/>
						${_rodzajKont} (edycja)
					</legend>
					
					<stripes:hidden name="konto"/>

					<c:set var="poleDepPKonto" value="konto"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKonto.jsp" %>
					
					<fieldset>
						<legend>Podmiot</legend>
						<div class="row">
							<div class="label">
								<label>
									<c:choose>
										<c:when test="${not empty actionBean.podmiot.osoba}">
											osoba
										</c:when>
										<c:otherwise>
											instytucja
										</c:otherwise>
									</c:choose>
								</label>
							</div>
							<div class="input">
								<c:choose>
									<c:when test="${not empty actionBean.podmiot.osoba}">
										<stripes:hidden name="podmiot.osoba"/>
										${actionBean.podmiot.osoba.nazwiskoImie}
									</c:when>
									<c:otherwise>
										<stripes:hidden name="podmiot.instytucja"/>
										${actionBean.podmiot.instytucja.nazwa}
									</c:otherwise>
								</c:choose>
							</div>
						</div>
					</fieldset>
					<fieldset>
						<legend>Stan początkowy</legend>
						<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoInicjalizacja.jsp" %>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.KontoEdycjaAction" class="button" event="powrotListaKont">
							<stripes:param name="konto" value="${actionBean.konto.id}"/>
							<stripes:param name="podmiot.osoba" value="${not empty actionBean.podmiot.osoba ? actionBean.podmiot.osoba.id : ''}"/>
							<stripes:param name="podmiot.instytucja" value="${not empty actionBean.podmiot.instytucja ? actionBean.podmiot.instytucja.id : ''}"/>
							&laquo; Lista kont
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
