<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaKontActionURL" beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaKontAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/emptyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs {
				padding: 0.4em 0.4em;
			}
			.container-fluid, .col-md-6, .col-md-5 {
				padding-left: 0px;
				padding-right: 0px;
			}
			#konta-mieszkancy {
				border-right: 1px solid #5F8DD3;
				padding-left: 0px;
			}
			#konta-info {
				padding-left: 5px;
			}
			
			.affix-top {
			}
			.affix {
				position: fixed;
				top: 10px;
			}
			.affix-bottom {
			}
		</style>
		
		<c:set var="zakres_wybrany_idx" value="0" scope="request"/>
		<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
			<c:if test="${not empty actionBean.zakres && zakres == actionBean.zakres}">
				<c:set var="zakres_wybrany_idx" value="${i.index}"/>
			</c:if>
		</c:forEach>
		<script type="text/javascript">
			function reloadTable(id, page) {
				pokazLoadImage();
				
				$.get("${_ListaKontActionURL}",
					"rodzajKont=${actionBean.rodzajKont}&listaFiltr=1&" + id + "_p_=" + page,
					function(data) {
			        	$("#ui-tabs-lex-" + (page - 1)).html(data);
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				$("#tab-container-lex")
					.tabs({
						selected: ${zakres_wybrany_idx},
						select: function(event, ui) {
							reloadTable("listaKont", ui.index + 1);
							return true;
						}
					});
				
				$('#operacje_container').affix({
					offset: {
						top: function () {
							return $("#konta-info").offset().top - 10;
						}
					}
				});
				$("#operacje_container").bind("DOMNodeInserted", function() {
					var npbH = $("#operacje_container").height();
					var wH = $(window).height() - 80;
					$("#lista_operacji_container").height(Math.min(npbH, wH));
				});
			});
			
			//# sourceURL=listaKont.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<c:set var="zakres_wybrany_idx" value="0"/>
		<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
			<c:if test="${not empty actionBean.zakres && zakres == actionBean.zakres}">
				<c:set var="zakres_wybrany_idx" value="${i.index}"/>
			</c:if>
		</c:forEach>

		<div class="container-fluid">
			<div id="konta-mieszkancy" class="pull-left">
				<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
					<ul>
						<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
							<li><a href="#ui-tabs-lex-${i.index}">${zakres.from()}-${zakres.to()}</a></li>
						</c:forEach>
					</ul>
					<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
						<div id="ui-tabs-lex-${i.index}">
							<c:if test="${i.index == zakres_wybrany_idx}">
								<%@ include file="listaKontFiltr.jsp" %>
							</c:if>
						</div>
					</c:forEach>
				</div>
			</div>
			<div id="konta-info" class="pull-left">
				<div id="operacje_container_wrapper">
					<div id="operacje_container">
						<aa:zone id="lista_operacji_zone">
						</aa:zone>
					</div>
				</div>
			</div>
			<div style="clear: both;"></div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
