<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div id="lista_kont_container">
<jmesa:tableFacade items="${listaKont}" id="listaKont" var="konto" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		maxRows="${fn:length(listaKont)}">
	<jmesa:htmlTable style="width: 400px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="podmiot" title="Podmiot" styleClass="daneWyroznione nowrap" sortable="false" filterable="true">
				<c:choose>
					<c:when test="${not empty konto.podmiot.osoba}">
						${konto.podmiot.osoba.nazwiskoImie}
					</c:when>
					<c:otherwise>
						${konto.podmiot.instytucja.nazwa}
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr" sortable="false"></jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" styleClass="text-right" title="Stan pocz.<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false">
				<fmt:formatNumber value="${konto.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="bilans" styleClass="kwotaTd" title="Bilans<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false">
				<fmt:formatNumber value="${konto.bilans}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_DEPOZYT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.ListaOperacjiAction" event="listaOperacji"
								aa-refresh-zones="lista_operacji_zone" title="Podgląd operacji">
							<stripes:param name="konto" value="${konto.id}"/>
							<stripes:param name="podmiot.osoba" value="${not empty konto.podmiot.osoba ? konto.podmiot.osoba.id : ''}"/>
							<stripes:param name="podmiot.instytucja" value="${not empty konto.podmiot.instytucja ? konto.podmiot.instytucja.id : ''}"/>
							<img src="${root}/img/lupa.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_DEPOZYT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.KontoEdycjaAction" event="edycja" title="Edycja konta">
							<stripes:param name="konto" value="${konto.id}"/>
							<stripes:param name="podmiot.osoba" value="${not empty konto.podmiot.osoba ? konto.podmiot.osoba.id : ''}"/>
							<stripes:param name="podmiot.instytucja" value="${not empty konto.podmiot.instytucja ? konto.podmiot.instytucja.id : ''}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_DEPOZYT">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.ListaKontAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć to konto?')">
							<stripes:param name="konto" value="${konto.id}"/>
							<stripes:param name="zakres" value="${zakres}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/bledy/error.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
</div>
