<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaMieszkancow}" id="listaMieszkancow" var="mieszkaniec" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 350px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data_od" title="Data" styleClass="daneWyroznione" sortable="true" filterable="false">
				<fmt:formatDate value="${mieszkaniec.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Mieszkaniec" styleClass="daneWyroznione nowrap" sortable="true" filterable="true">
				${mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_C_DEPOZYT,SOC_C_KASA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" event="formularz"
								title="Załóż nowe konto depozytowe">
							<stripes:param name="konto.rodzaj" value="${actionBean.rodzajKont}"/>
							<stripes:param name="podmiotP.osoba" value="${mieszkaniec.id}"/>
							<img src="${root}/img/wykonaj.gif"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
