<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="kwotaW" value="0.0"/>
<c:set var="kwotaM" value="0.0"/>
<jmesa:tableFacade items="${listaOperacji}" id="listaOperacji" var="operacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 250px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false">
				<fmt:formatDate value="${operacja.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" sortable="false" filterable="false">
				<fmt:formatDate value="${operacja.dataKsiegowania}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaW" title="Kwota<br/>winien<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<c:if test="${actionBean.konto.id == operacja.kontoWId}">
					<c:set var="kwotaW" value="${kwotaW + operacja.kwota}"/>
					<fmt:formatNumber value="${operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaM" title="Kwota ma<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<c:if test="${actionBean.konto.id == operacja.kontoMId}">
					<c:set var="kwotaM" value="${kwotaM + operacja.kwota}"/>
					<fmt:formatNumber value="${operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="info" title="Informacja" sortable="false" filterable="false">
				<c:set var="_znanyTypOperacjiEntry" value="${mapaInformacjiOOperacji[operacja.id]}"/>
				<c:choose>
					<c:when test="${not empty _znanyTypOperacjiEntry}">
						${_znanyTypOperacjiEntry.key.opis}
						<c:choose>
							<c:when test="${stripes:enumName(_znanyTypOperacjiEntry.key) == 'WYPLATA_ZADLUZENIE'}">
								<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
									<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.KartotekaWyplataAction" event="zadluzenieMieszkanca"
											title="Przejdź do rozliczenia właściwego okresu w kartotece mieszk.">
										<stripes:param name="operacja" value="${operacja.id}"/>
										<img src="${root}/img/wykonaj.gif" class="iconspace"/>
									</stripes:link>
								</ttSec:secure>
							</c:when>
						</c:choose>
					</c:when>
					<c:when test="${not empty operacja.kontoWId}">
						inna wypłata
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div>
	<table class="pull-right text-right">
		<tr>
			<td>Razem winien (strona):</td>
			<td><strong><fmt:formatNumber value="${kwotaW}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}</strong></td>
		</tr>
		<tr>
			<td>Razem ma (strona):</td>
			<td><strong><fmt:formatNumber value="${kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}</strong></td>
		</tr>
	</table>
</div>
