<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib  prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.WydrukStanuAction" class="form-horizontal" target="_blank">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.rodzajKont.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.rodzajKont.opis, 1,fn:length(actionBean.rodzajKont.opis)))}"/>
						${_rodzajKont} (wydruk stanu)
					</legend>
					
					<stripes:hidden name="rodzajKont"/>
					<div class="row">
						<div class="label">
							<label for="stanNaDzien">
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ ewidencji
							</label>
						</div>
						<div class="input">
							<stripes:select name="typEwidencji" class="required" title="Typ ewidencji raportu">
								<stripes:options-collection collection="${actionBean.typyEwidencjiMieszkanca()}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typEwidencji"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-enumeration enum="pl.topteam.dps.birt.TypWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" class="button" event="podglad">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							&laquo; Lista kont
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit class="noLoadImage" name="drukuj" value="Drukuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
