<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOdsetek}" id="listaOdsetek" var="odsetki" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data_ksiegowania" title="Data<br/>księgowania" sortable="false" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<c:set var="isPodatekPozaProgramem" value="${odsetki.podatekPozaProgramem}"/>
				<c:set var="isPodatekPoliczony" value="${not empty odsetki.kwotaPodatek}"/>
				
				<fmt:formatDate value="${not empty odsetki.dataKsiegowania ? odsetki.dataKsiegowania : odsetki.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_ksiegowania_podatek" title="Data<br/>księgowania podatku" sortable="false" filterable="false">
				<fmt:formatDate value="${not empty odsetki.dataKsiegowaniaPodatek ? odsetki.dataKsiegowaniaPodate : odsetki.dataPodatek}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Odsetki<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="alignRight" sortable="false" filterable="false">
				<fmt:formatNumber value="${odsetki.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="podatek" title="Podatek<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="alignRight" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${isPodatekPozaProgramem}"> wlicz. </c:when>
					<c:when test="${isPodatekPoliczony}"><fmt:formatNumber value="${odsetki.kwotaPodatek}" pattern="${DOUBLE_PRECISION_PATTERN}"/></c:when>
					<c:otherwise> --- </c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_DEPOZYT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieEdycjaAction" event="edycja">
							<stripes:param name="odsetki" value="${odsetki.id}"/>
							<c:choose>
								<c:when test="${isPodatekPoliczony}"><img src="${root}/img/lupa.gif" class="iconspace"/></c:when>
								<c:otherwise><img src="${root}/img/edit.gif" class="iconspace"/></c:otherwise>
							</c:choose>
						</stripes:link>
						<c:choose>
							<c:when test="${not empty odsetki.szablonWydrukuId}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.WydrukOdsetekAction" event="drukuj" target="_blank" title="Drukuj">
									<stripes:param name="odsetki" value="${odsetki.id}"/>
									<stripes:param name="szablonWydruku.id" value="${odsetki.szablonWydrukuId}"/>
									<img src="${root}/img/printer.gif" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<a href="#">
									<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku (1)!"/>
								</a>
							</c:otherwise>
						</c:choose>
						<c:if test="${!isPodatekPozaProgramem}">
							<c:choose>
								<c:when test="${isPodatekPoliczony}">
									<stripes:link class="noLoadImage"  beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" event="usunPodatek"
											title="Usuń naliczony podatek" onclick="return confirmation('Czy na pewno chcesz usunąć te naliczenia podatku? ')">
										<stripes:param name="odsetki" value="${odsetki.id}"/>
										<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/depozyty/odsetki/lista.jsp')}"/>
										<img src="${root}/img/del.png" class="iconspace"/>
									</stripes:link>
								</c:when>
								<c:otherwise>
									<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczeniePodatekAction" event="naliczenie"
											title="Nalicz podatek">
										<stripes:param name="odsetki" value="${odsetki.id}"/>
										<img src="${root}/img/wykonaj.gif" class="iconspace"/>
									</stripes:link>
								</c:otherwise>
							</c:choose>
						</c:if>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć te naliczenia odsetek? ')">
							<stripes:param name="odsetki" value="${odsetki.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/depozyty/odsetki/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
