<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
			})
		});
		
		//# sourceURL=naliczenieEdycja.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieEdycjaAction" class="form-horizontal" role="form" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<aa:zone id="global_error_zone"></aa:zone>
				
				<c:set var="isPodatekPozaProgramem" value="${actionBean.odsetki.podatekPozaProgramem}"/>
				<c:set var="isPodatekPoliczony" value="${not empty actionBean.odsetki.kwotaPodatek}"/>
				<fieldset>
					<legend><c:choose><c:when test="${isPodatekPoliczony}">Podgląd</c:when><c:otherwise>Edycja</c:otherwise></c:choose> kwot odsetek (konta depozytowe)</legend>
					
					<c:set var="poleDepPOdsetki" value="odsetki"/>
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiOdczyt.jsp" %>
					<c:choose>
						<c:when test="${isPodatekPoliczony}">
							<stripes:hidden name="odsetki.podatekPozaProgramem"/>
						</c:when>
						<c:otherwise>
							<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiRozlPodatku.jsp" %>
						</c:otherwise>
					</c:choose>
					
					<ul id="tab_konta" class="nav nav-tabs">
						<li class="disabled">
							<a href="#ui-tabs-lex-konta" class="disabled">Konta</a>
						</li>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<li class="${i.count == 1 ? 'active' : ''}">
								<a href="#ui-tabs-lex-${i.count}">
									${zakres.from()}-${zakres.to()}
								</a>
							</li>
						</c:forEach>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div id="ui-tabs-lex-konta" class="tab-pane"></div>
						
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-lex-${i.count}" class="tab-pane ${i.count == 1 ? 'active' : ''}">
								<c:set var="listaPozycji" value="${actionBean.mapaPozycji[zakres]}"/>
								<%@ include file="naliczenieListaPozycji.jsp" %>
							</div>
						</c:forEach>
					</div>
					<hr/>
					<c:set var="poleSumaOdsetek" value="odsetki.kwota"/>
					<%@ include file="naliczenieSumaOdsetek.jsp" %>
					<c:if test="${isPodatekPoliczony}">
						<%@ include file="naliczenieSumaPodatek.jsp" %>
					</c:if>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
						<c:if test="${!isPodatekPoliczony}">
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</c:if>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
