<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
			})
		});
		
		//# sourceURL=naliczenie.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieKwotowoAction" class="form-horizontal" role="form" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Naliczenie odsetek (konta depozytowe)</legend>
					
					<c:set var="poleDepPOdsetki" value="odsetki"/>
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiOdczyt.jsp" %>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiKwotaOdczyt.jsp" %>
					
					<div>
						<c:set var="_kwotyOdsetekZones" value="suma_odsetek_zone"/>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<c:set var="_kwotyOdsetekZones" value="${_kwotyOdsetekZones},kwoty_odsetek_${i.count}_zone"/>
						</c:forEach>
						<stripes:submit name="krok2PrzeliczOdsetki" value="Odśwież odsetki" aa-refresh-zones="odsetki_zone,${_kwotyOdsetekZones}"/>
					</div>
					<div>
						<ul id="tab_konta" class="nav nav-tabs">
							<li class="disabled">
								<a href="#ui-tabs-lex-konta">Konta</a>
							</li>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li class="${i.count == 1 ? 'active' : ''}">
									<a href="#ui-tabs-lex-${i.count}">
										${zakres.from()}-${zakres.to()}
									</a>
								</li>
							</c:forEach>
						</ul>
						<div>&nbsp;</div>
						<div class="tab-content">
							<div id="ui-tabs-lex-konta" class="tab-pane"></div>
							
							<c:set var="mapaKont" value="${actionBean.mapaKont()}"/>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<div id="ui-tabs-lex-${i.count}" class="tab-pane ${i.count == 1 ? 'active' : ''}">
									<aa:zone id="kwoty_odsetek_${i.count}_zone">
										<c:set var="listaKont" value="${mapaKont[zakres]}"/>
										<%@ include file="naliczenieListaKont.jsp" %>
									</aa:zone>
								</div>
							</c:forEach>
						</div>
					</div>
					<hr/>
					<c:set var="poleSumaOdsetek" value="sumaOdsetek"/>
					<%@ include file="naliczenieSumaOdsetek.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
