<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty listaKont && fn:length(listaKont) > 0}">
	<jmesa:tableFacade items="${listaKont}" id="listaKont" var="konto" maxRows="${fn:length(listaKont)}"
			autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
		<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="podmiot" title="Podmiot">
					${konto.podmiot.nazwa}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kontoNr" title="Konto" sortable="false" filterable="false">
					${konto.nr}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" styleClass="kwotaTd" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]">
					<stripes:text name="mapaKwot[${konto.id}]" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
					<stripes:errors field="mapaKwot[${konto.id}]"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="wyliczenie" styleClass="kwotaTd" title="Dokładne<br/>wyliczenie">
					<stripes:text name="mapaKwotDokladnych[${konto.id}]" readonly="readonly" class="tetraPrecision required" size="11" formatPattern="${TETRA_PRECISION_PATTERN}"/>
					<stripes:errors field="mapaKwotDokladnych[${konto.id}]"/>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		<div class="text-center">
			--- BRAK KONT DLA TEGO ZAKRESU ---<br/><br/>
		</div>
	</c:otherwise>
</c:choose>