<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty listaPozycji && fn:length(listaPozycji) > 0}">
		<c:set var="i" value="-1"/>
		<jmesa:tableFacade items="${listaPozycji}" id="listaPozycji" var="pozycja" maxRows="${fn:length(listaPozycji)}"
				autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
			<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="podmiot" title="Podmiot">
						<c:set var="i" value="${i + 1}"/>
						
						<stripes:hidden name="mapaPozycji[${zakres}][${i}].id"/>
						<stripes:hidden name="mapaPozycji[${zakres}][${i}].operacja.id"/>
						<stripes:hidden name="mapaPozycji[${zakres}][${i}].operacja.kontoMId"/>
						<stripes:hidden name="mapaPozycji[${zakres}][${i}].operacja.podmiot.osoba"/>
						<stripes:hidden name="mapaPozycji[${zakres}][${i}].operacja.podmiot.instytucja"/>
						
						${pozycja.operacja.podmiot.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="konto" title="Konto">
						${pozycja.operacja.kontoM.nr}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]">
						<c:choose>
							<c:when test="${isPodatekPoliczony}">
								<stripes:text name="mapaPozycji[${zakres}][${i}].operacja.kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" readonly="readonly"/>
								<stripes:errors field="mapaPozycji[${zakres}][${i}].operacja.kwota"/>
							</c:when>
							<c:otherwise>
								<stripes:text name="mapaPozycji[${zakres}][${i}].operacja.kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
								<stripes:errors field="mapaPozycji[${zakres}][${i}].operacja.kwota"/>
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
					<c:if test="${!isPodatekPozaProgramem && isPodatekPoliczony}">
						<jmesa:htmlColumn property="kwotaPodatek" title="Podatek<br/>[${GL_JEDNOSTKA_MONETARNA}]">
							<stripes:text name="mapaPozycji[${zakres}][${i}].podatek.kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" readonly="readonly"/>
							<stripes:errors field="mapaPozycji[${zakres}][${i}].podatek.kwota"/>
						</jmesa:htmlColumn>
					</c:if>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		<div class="text-center">
			--- BRAK KONT DLA TEGO ZAKRESU ---<br/><br/>
		</div>
	</c:otherwise>
</c:choose>
