<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:forEach items="${listaPozycji}" var="pozycja" varStatus="i">
	<stripes:errors field="mapaPodatek[${pozycja.id}]"/>
	<stripes:errors field="mapaPodatekDokladny[${pozycja.id}]"/>
</c:forEach>
<c:choose>
	<c:when test="${not empty listaPozycji && fn:length(listaPozycji) > 0}">
		<c:set var="i" value="-1"/>
		<jmesa:tableFacade items="${listaPozycji}" id="listaPozycji" var="pozycja" maxRows="${fn:length(listaPozycji)}"
				autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
			<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="podmiot" title="Podmiot">
						${pozycja.operacja.podmiot.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="konto" title="Konto">
						${pozycja.operacja.kontoM.nr}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwotaOdsetek" styleClass="kwotaTd" title="Kwota<br/>odsetek<br/>[${GL_JEDNOSTKA_MONETARNA}]">
						<fmt:formatNumber value="${pozycja.operacja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" styleClass="kwotaTd" title="Kwota<br/>podatku<br/>[${GL_JEDNOSTKA_MONETARNA}]">
						<stripes:text name="mapaPodatek[${pozycja.id}]" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="wyliczenie" styleClass="kwotaTd" title="Dokładne<br/>wyliczenie">
						<stripes:text name="mapaPodatekDokladny[${pozycja.id}]" readonly="readonly" class="tetraPrecision required" size="11" formatPattern="${TETRA_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		<div class="text-center">
			--- BRAK OPERACJI DLA TEGO ZAKRESU ---<br/><br/>
		</div>
	</c:otherwise>
</c:choose>
