<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
			})
		});
		
		//# sourceURL=naliczeniePodatek.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczeniePodatekAction" class="form-horizontal" role="form" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<aa:zone id="global_error_zone"></aa:zone>
				
				<stripes:hidden name="odsetki"/>
				<fieldset>
					<legend>
						Podatek od odsetek z dnia <fmt:formatDate value="${not empty actionBean.odsetki.dataKsiegowania ? actionBean.odsetki.dataKsiegowania : actionBean.odsetki.data}" pattern="${DATE_PATTERN}" />
					</legend>
					
					<aa:zone id="podatek_zone">
						<c:set var="poleDepPOdsetki" value="odsetki"/>
						<%@ include file="/jsp/templateBootstrapPages/polaDepPOdsetkiPodatek.jsp" %>
					</aa:zone>
					
					<div>
						<c:set var="_kwotyPodatekZones" value="suma_podatek_zone"/>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<c:set var="_kwotyPodatekZones" value="${_kwotyPodatekZones},kwoty_podatek_${i.count}_zone"/>
						</c:forEach>
						<stripes:submit name="przeliczPodatek" value="Odśwież podatek" aa-refresh-zones="podatek_zone,${_kwotyPodatekZones}"/>
					</div>
					<div class="padding-top-10">
						<span class="daneWyroznione">UWAGA!</span><br/>
						Przy zaokrąglaniu podatku,zgodnie z wytycznymi ordynacji podatkowej,<br/>
						program stosuje zaokrąglenia do pełnych groszy zawsze w GÓRĘ!
					</div>
					<ul id="tab_konta" class="nav nav-tabs">
						<li class="disabled">
							<a href="#ui-tabs-lex-konta">Konta</a>
						</li>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<li class="${i.count == 1 ? 'active' : ''}">
								<a href="#ui-tabs-lex-${i.count}">
									${zakres.from()}-${zakres.to()}
								</a>
							</li>
						</c:forEach>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div id="ui-tabs-lex-konta" class="tab-pane"></div>
						
						<c:set var="mapaPozycjiOdsetek" value="${actionBean.mapaPozycjiOdsetek()}"/>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-lex-${i.count}" class="tab-pane ${i.count == 1 ? 'active' : ''}">
								<aa:zone id="kwoty_podatek_${i.count}_zone">
									<c:set var="listaPozycji" value="${mapaPozycjiOdsetek[zakres]}"/>
									<%@ include file="naliczenieListaPozycjiOdsetek.jsp" %>
								</aa:zone>
							</div>
						</c:forEach>
					</div>
					<hr/>
					<c:set var="isPodatekPoliczony" value="${false}"/>
					<%@ include file="naliczenieSumaPodatek.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
