<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
		$(document).ready(function() {
			$('.nav-tabs a').click(function (e) {
				var $this = $(this);
				$this.tab('show');
				
				var hiddenElemName = $this.attr("data-toggle");
				var hiddenElemValue = $this.attr("data-value");
				$("input[name='" + hiddenElemName + "']").val(hiddenElemValue);
			})
		});
		
		//# sourceURL=innaWyplata.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataAction" class="form-horizontal" role="form" style="min-width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors></stripes:errors>
				<stripes:hidden name="rodzajKont"/>
				<fieldset style="width: 750px;">
					<legend>
						Wypłata ("${actionBean.rodzajKont.opis}")
					</legend>
					
					<c:set var="poleDepPKontoOperacja" value="wyplata"/>
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoOperacjaDaty.jsp" %>
					
					<div>
						<stripes:hidden name="kontoZakres" value="${actionBean.zakresy()[0]}"/>
						<stripes:errors field="wyplata.kontoWId"/>
						<ul id="tab_konta" class="nav nav-tabs">
							<li class="disabled">
								<a href="#ui-tabs-lex-konta">Z konta</a>
							</li>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li class="${i.count == (actionBean.kontoZakres.ordinal() + 1) ? 'active' : ''}"><a href="#ui-tabs-lex-${i.count}" data-toggle="kontoZakres" data-value="${zakres}">${zakres.from()}-${zakres.to()}</a></li>
							</c:forEach>
						</ul>
						<div>&nbsp;</div>
						<div class="tab-content">
							<div id="ui-tabs-lex-konta" class="tab-pane"></div>
							
							<c:set var="mapaKont" value="${actionBean.mapaKont()}"/>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<div id="ui-tabs-lex-${i.count}" class="tab-pane ${i.count == (actionBean.kontoZakres.ordinal() + 1) ? 'active' : ''}">
									<c:set var="listaKont" value="${mapaKont[zakres]}"/>
									<%@ include file="innaWyplataKonta.jsp" %>
								</div>
							</c:forEach>
						</div>
					</div>
					<hr/>

					<stripes:errors field="podmiotNaRzecz"/>
					<stripes:hidden name="naRzeczPodmiotIdx"/>
					<ul id="tab_na_rzecz_podmiot" class="nav nav-tabs">
						<li class="disabled"><a href="#" data-toggle="tabnrz">Wpłata na rzecz</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 1 ? 'active' : ''}"><a href="#tab-nrz-pd-konto" data-toggle="naRzeczPodmiotIdx" data-value="1">podmiotu konta</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 2 ? 'active' : ''}"><a href="#tab-nrz-osoba" data-toggle="naRzeczPodmiotIdx" data-value="2">Osoba</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 3 ? 'active' : ''}"><a href="#tab-nrz-instytucja" data-toggle="naRzeczPodmiotIdx" data-value="3">Instytucja</a></li>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 1 ? 'active' : ''}" id="tab-nrz-pd-konto">
						</div>
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 2 ? 'active' : ''}" id="tab-nrz-osoba">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaOsoba" value="_"/>
							<c:set var="nazwaPoleOsoba" value="podmiotNaRzecz.osoba"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/osobaPodpField.jsp" %>
						</div>
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 3 ? 'active' : ''}" id="tab-nrz-instytucja">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaInstytucja" value="_"/>
							<c:set var="nazwaPoleInstytucja" value="podmiotNaRzecz.instytucja"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/instytucjaDoplacajacaPodpField.jsp" %>
						</div>
					</div>
					<hr/>
					
					<%@ include file="/jsp/templateBootstrapPages/polaDepPKontoOperacjaKwota.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista" class="button">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							&laquo; Lista wypłat
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
