<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty listaKont && fn:length(listaKont) > 0}">
	<jmesa:tableFacade items="${listaKont}" id="listaKont" var="konto" maxRows="${fn:length(listaKont)}"
			autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
		<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="wybor" title="_">
					<stripes:radio id="kontoRadio${konto.id}" name="wyplata.kontoWId" value="${konto.id}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="podmiot" title="Podmiot">
					<label class="cursorPointer" for="kontoRadio${konto.id}">${konto.podmiot.nazwa}</label>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kontoNr" title="Konto" sortable="false" filterable="false">
					<label class="cursorPointer" for="kontoRadio${konto.id}">${konto.nr}</label>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="bilans" title="Bilans<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false">
					<label class="cursorPointer" for="kontoRadio${konto.id}"><fmt:formatNumber value="${konto.bilans}" pattern="${DOUBLE_PRECISION_PATTERN}"/></label>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		<div class="text-center">
			--- BRAK KONT DLA TEGO ZAKRESU ---<br/><br/>
		</div>
	</c:otherwise>
</c:choose>
