<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWyplat}" id="listaWyplat" var="wyplata" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${not empty wyplata.dataKsiegowania ? wyplata.dataKsiegowania : wyplata.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="zKonta" title="Z konta" sortable="false" filterable="false">
				${wyplata.kontoW.nr} (${wyplata.kontoW.podmiot.nazwa})
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dla" title="Dla" sortable="false" filterable="false">
				${wyplata.podmiot.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="text-right">
				<fmt:formatNumber value="${wyplata.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_DEPOZYT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataEdycjaAction" event="edycja">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							<stripes:param name="wyplata" value="${wyplata.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć wypłatę?')">
							<stripes:param name="rodzajKont" value="${actionBean.rodzajKont}"/>
							<stripes:param name="wyplata" value="${wyplata.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/depozyty/wyplaty/listaInnych.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
