<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SkalaDefinicjaPodgladActionURL" beanclass="pl.topteam.dps.action.medyczni.diagnoza.skale.SkalaDefinicjaPodgladAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/akordeon2.css" />
		
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.scroll.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				var strIdTabeli = id.split("!");
				
				if(strIdTabeli[0] == 'listaKryteriow') {
					onInvokeActionKryteria(id);
				} else if(strIdTabeli[0] == 'listaGrup') {
					onInvokeActionGrupy(id);
				}
			}
		
			// filtr listy kryteriów oceny mieszkańca
			function onInvokeActionKryteria(id) {
				pokazLoadImage();
				
				var strIdTabeli = id.split("!");
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);
	
			    $.post("${_SkalaDefinicjaPodgladActionURL}",
					"podgladKryteriowFiltr=1&skala.id=" + strIdTabeli[1] + "&" + parameterString,
					function(data) {
			        	$("#jmesaContainerKryteria_" + strIdTabeli[1]).html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			// filtr listy grup
			function onInvokeActionGrupy(id) {
				pokazLoadImage();
				
				var strIdTabeli = id.split("!");
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);
				
			    $.post("${_SkalaDefinicjaPodgladActionURL}",
					"podgladGrupFiltr=1&skala.id=" + strIdTabeli[1] + "&" + parameterString,
					function(data) {
			        	$("#jmesaContainerGrupy_" + strIdTabeli[1]).html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(document).ready(function() {
				// zakładki
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");

				// rozwijane akordeony dla skal i informacji dodatkowych
				$(".akordeon2").accordion({
					header: "h3",
					active: false, // ustawić numer jeśli trzeba któryś pokazać (otworzyć)
					clearStyle: true,
					changestart: function(event, ui) {
						var $h3 = $(this).find('h3');
						pokazLoadImage();
						$h3
							.next("div")
							.load($h3.children("a").eq(0).attr("href"),
								function() {
									ukryjLoadImage();
									loadImage();
								}
							);
					}
				});
				
				// pokazanie danych właściwej skali, jeżeli na niej przeprowadzana była operacja
				<c:if test="${not empty actionBean.skala.id}">
					scrollToId("skala_" + ${actionBean.skala.id});
					$("#skala_" + ${actionBean.skala.id}).click();
				</c:if>
				
				// pokazanie danych właściwej informacji, jeżeli na niej przeprowadzana była operacja
				<c:if test="${not empty actionBean.informacjaDodatkowa.id}">
					scrollToId("informacjaDod_" + ${actionBean.informacjaDodatkowa.id});
					$("#informacjaDod_" + ${actionBean.informacjaDodatkowa.id}).click();
				</c:if>
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Definicja diagnozy (podgląd danych)</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">Dane ogólne</a>
						</li>
						<li>
							<a href="#" id="zaklSkale" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('skaleOceny', this);">Skale oceny</a>
						</li>
						<li>
							<a href="#" id="zaklInfDod" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('infoDodatkowe', this);">Inne informacje</a>
						</li>
					</ul>
				</div>
	
				<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction"
						style="border: 0px none;">
					<stripes:hidden name="skala.id"/>
					<stripes:hidden name="zakladka" id="zakladka" value="daneOgolne"/>
					<div id="tab-container">
						<div id="daneOgolne" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="podgladEdycjaDaneOgolne.jsp" %>
						</div>
	
						<div id="skaleOceny" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="podgladEdycjaSkaleOceny.jsp" %>
						</div>

						<div id="infoDodatkowe" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="podgladEdycjaInfoDodatkowe.jsp" %>
						</div>
					</div>
				</stripes:form>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>