<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Definiowanie typu informacji dodatkowej (krok - dane ogólne)</h3>
		<div class="formContainer">
			<stripes:form beanclass="${ttFn:classCanonicalName(actionBean)}">
				<stripes:hidden name="wykorzystanoPowrot"></stripes:hidden>
				<stripes:hidden name="informacjaDodatkowa.id"></stripes:hidden>
				
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<stripes:hidden name="informacjaDodatkowa.status" value="DEFINICJA_I_WPROWADZANIE"></stripes:hidden>
					<div class="row">
						<div class="label">
							<label>
								nazwa
							</label>
						</div>
						<div class="input">
							<stripes:text name="informacjaDodatkowa.nazwa" title="Nazwa"
								class="required" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" size="40"/>
							<stripes:errors field="informacjaDodatkowa.nazwa"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								kolejność
							</label>
						</div>
						<div class="input">
							<stripes:text name="informacjaDodatkowa.diagnozaInformacja.kolejnosc" title="Kolejność"
								class="numberInteger" readonly="${empty wszystkoReadonly ? readOnly : wszystkoReadonly}" size="5"/>
							<stripes:errors field="diagnozaInformacjaDodatkowa.kolejnosc"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.definicja.DefinicjaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="zakladka" value="zaklInfDod"/>
							<stripes:param name="informacjaDodatkowa.id" value="${actionBean.informacjaDodatkowa.id}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawaniePola" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>