<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// zakładki
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h4 class="alignCenter">Diagnoza mieszkańca (podgląd danych)</h4>
		<c:if test="${stripes:enumName(actionBean.diagnozaRealizacja.status) == 'NIEKOMPLETNA'}">
			<div class="alignCenter">
				<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaDispatcherAction"
						event="dispatch">
					<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"/>
					Uzupełnij brakujące elementy
				</stripes:link>
			</div>
		</c:if>
		<br/>
		<div class="formContainer2">
			<div id="kontenerLinkow" class="linki tab-container">
				<ul class="tabs">
					<li>
						<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">Dane ogólne</a>
					</li>
					<li>
						<a href="#" id="zaklSkale" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('skaleOceny', this);">Oceny wg skal</a>
					</li>
					<li>
						<a href="#" id="zaklInfDod" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('infoDodatkowe', this);">Inne informacje</a>
					</li>
				</ul>
			</div>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction">
				<stripes:hidden id="zakladka" name="zakladka" value="daneOgolne"/>
				<stripes:hidden name="diagnozaRealizacja.id" value=""/>
				
				<div id="tab-container">
					<div id="daneOgolne" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<c:if test="${not empty actionBean.diagnozaRealizacja.id}">
							<c:set var="readOnly" value="${true}"/>
						</c:if>
						
						<%@ include file="diagnozaPodgladDaneOgolne.jsp" %>
					</div>
					<div id="skaleOceny" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						<%@ include file="diagnozaPodgladListaSkal.jsp" %>
					</div>
					<div id="infoDodatkowe" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						<%@ include file="diagnozaPodgladListaInformacji.jsp" %>
					</div>
				</div>
			</stripes:form>
			
			<div class="alignCenter" style="padding-top: 10px;">
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.ListaRealizacjiAction"
						class="button" event="lista">
					&laquo; Wróć do listy
				</stripes:link>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
