<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaInformacji}" id="listaInformacji" var="informacja" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" maxRows="${fn:length(listaInformacji)}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable styleClass="alignCenter" style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Rodzaj informacji" styleClass="alignLeft" sortable="false">
				${informacja.informacjaDodatkowa.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data wprowadzenia" styleClass="alignLeft" sortable="false">
				<fmt:formatDate value="${informacja.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" styleClass="alignLeft" sortable="false">
				${informacja.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.InformacjaDodatkowaAction" event="edycja">
						<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"/>
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" event="usunInformacje"
							onclick="return confirmation('Czy na pewno chcesz usunąć ocenę mieszkańca wg skali /${ocena.skalaOcenyOsoby.nazwa}/ ? ')">
						<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"/>
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						<stripes:param name="zakladka" value="zaklInfDod"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/realizacja/diagnozaPodglad.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
