<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOcen}" id="listaOcen" var="ocena" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" maxRows="${fn:length(listaOcen)}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa skali" styleClass="daneWyroznione alignLeft" sortable="false">
				${ocena.skalaOcenyOsoby.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data oceny" styleClass="alignLeft" sortable="false">
				<fmt:formatDate value="${ocena.data}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.OcenaWgSkaliAction" event="edycja">
						<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"/>
						<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
						<stripes:param name="ocenaOsoby.skalaOcenyId" value="${ocena.skalaOcenyId}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" event="usunOcene"
							onclick="return confirmation('Czy na pewno chcesz usunąć ocenę wg skali -${ocena.skalaOcenyOsoby.nazwa}- ? ')">
						<stripes:param name="diagnozaRealizacja.id" value="${actionBean.diagnozaRealizacja.id}"/>
						<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
						<stripes:param name="zakladka" value="zaklSkale"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/realizacja/diagnozaPodglad.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
