<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRealizacji}" id="listaRealizacji" var="realizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" styleClass="daneWyroznione" sortable="false" filterable="false">
				${realizacja.nazwaDiagnozy}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wstepna" title="Wstępna" sortable="false" filterable="false">
				${not empty realizacja.czyWstepna && realizacja.czyWstepna ? 'TAK' : 'NIE'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${realizacja.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" sortable="false" filterable="false">
				${realizacja.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.DiagnozaEdycjaAction" event="edycja">
						<stripes:param name="diagnozaRealizacja.id" value="${realizacja.id}"></stripes:param>
						<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj wprowadzoną diagnozę"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.wydruk.WydrukDiagnozyAction"
							event="generuj" title="Drukuj DOCX">
						<stripes:param name="diagnozaRealizacja.id" value="${realizacja.id}"></stripes:param>
						<stripes:param name="typWydruku" value="DOCX"/>
						<img src="${root}/img/wykonajDOCX.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.wydruk.WydrukDiagnozyAction"
							event="generuj" title="Drukuj ODT">
						<stripes:param name="diagnozaRealizacja.id" value="${realizacja.id}"></stripes:param>
						<stripes:param name="typWydruku" value="ODT"/>
						<img src="${root}/img/wykonajODT.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.wydruk.WydrukDiagnozyAction"
							event="generuj" title="Drukuj PDF">
						<stripes:param name="diagnozaRealizacja.id" value="${realizacja.id}"></stripes:param>
						<stripes:param name="typWydruku" value="PDF"/>
						<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.ListaRealizacjiAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć diagnozę /${realizacja.nazwaDiagnozy}/ ? ')">
						<stripes:param name="diagnozaRealizacja.id" value="${realizacja.id}"></stripes:param>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/diagnoza/realizacja/lista.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
