<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Definicja dni wolnych dla świadczonych usług</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.dniWolne.DzienWolnyAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="swiadczenieDzienWolny.swiadczenieId"/>
				<stripes:hidden name="swiadczenieDzienWolny.data"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								świadczenie
							</label>
						</div>
						<div class="input">
							<stripes:select id="swiadczenieId" name="swiadczenieDzienWolny.swiadczenieId" class="mySelect" style="width: 300px;"
									title="Brak wyboru = ustaw dla wszystkich" disabled="disabled">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaSwiadczen}" label="nazwa" value="id"/>
							</stripes:select>
							<stripes:errors field="swiadczenieDzienWolny.swiadczenieId"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								rok-miesiąc
							</label>
						</div>
						<div class="input">
							<fmt:formatDate value="${actionBean.swiadczenieDzienWolny.data}" pattern="${YEAR_MONTH_PATTERN}" />
							<stripes:errors field="swiadczenieDzienWolny.data"/>
						</div>
					</div>
					
					<fieldset>
						<legend>Wybierz dni wolne od usług</legend>
						<div>
							
							<%@ include file="month.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.dniWolne.ListaDniWolnychAction"
								event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>