<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDniWolnych}" id="listaDniWolnych" var="dzienWolny" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" styleClass="daneWyroznione" sortable="false" filterable="false">
				${dzienWolny.swiadczenie.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="rokMiesiac" title="Rok-miesiąc" styleClass="daneWyroznione" sortable="false" filterable="false">
				<fmt:formatDate value="${dzienWolny.data}" pattern="${YEAR_MONTH_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dzien" title="Dni wolne" styleClass="daneWyroznione" sortable="false" filterable="false">
				<c:set var="listaDniRozmiar" value="${fn:length(dzienWolny.listaDni)}"/>
				<c:forEach items="${dzienWolny.listaDni}" var="dzien" varStatus="i">
					${dzien}<c:if test="${i.count < listaDniRozmiar}">,</c:if>
				</c:forEach>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_SWIADCZENIE">
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.dniWolne.DzienWolnyAction" event="edycja">
							<stripes:param name="swiadczenieDzienWolny.swiadczenieId" value="${dzienWolny.swiadczenieId}"/>
							<stripes:param name="swiadczenieDzienWolny.data" value="${dzienWolny.data}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_SWIADCZENIE">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.dniWolne.ListaDniWolnychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć wpisy dni wolnych ? ')">
							<stripes:param name="swiadczenieDzienWolny.swiadczenieId" value="${dzienWolny.swiadczenieId}"/>
							<stripes:param name="swiadczenieDzienWolny.data" value="${dzienWolny.data}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/dniWolne/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
