<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<style type="text/css">
	.toggleSelectable, .dayList {
		width: 280px;
	}

	.toggleSelectable li {
		margin: 1px;
		float: left;
		width: 25px;
		height: 23px;
		text-align: center;
		vertical-align: middle;
	}
	
	.dayList li {
		background: #D7E3F4;
		width: 25px;
		height: 20px;
		font-weight: bold;
		text-align: center;
		vertical-align: center;
	}
</style>
<div style="width: 300px; margin: 0px auto;">
	<c:choose>
		<c:when test="${empty liczbaDniWMiesiacu || empty pierwszyDzien}">
			<span class="daneWyroznione">ŹLE ZAIMPLEMENTOWANO UŻYCIE FORMULARZA KALENDARZA</span>
		</c:when>
		<c:otherwise>
			<ol class="dayList toggleSelectable">
				<li class="ui-widget-content">Pn</li>
				<li class="ui-widget-content">Wt</li>
				<li class="ui-widget-content">Śr</li>
				<li class="ui-widget-content">Czw</li>
				<li class="ui-widget-content">Pt</li>
				<li class="ui-widget-content">Sb</li>
				<li class="ui-widget-content" style="color: red;">N</li>
			</ol>
			<ol class="toggleSelectable">
			<%-- ile pustych komórek w stosunku do poniedziałku jako pierwszego dnia w tygodniu --%>
				<%--
					zaczynając tydzień od poniedziałku, a nie od niedzieli (jak Calendar)
					wartość lPustych w funkcji Calendar ma być następujące:
					Calendar	lPustych
					1			6
					2			0
					3			1
					4			2
					5			3
					6			4
					7			5
				--%>
				<c:choose>
					<c:when test="${pierwszyDzien == 1}">
						<c:set var="lPustych" value="6"/>
					</c:when>
					<c:otherwise>
						<c:set var="lPustych" value="${pierwszyDzien - 2}"/>
					</c:otherwise>
				</c:choose>
				<%-- wyświetlanie pustych elementów kalendarza (o ile będą takie) --%>
				<c:forEach begin="1" end="${lPustych}">
					<li class="empty ui-widget-content ui-state-disabled"></li>
				</c:forEach>
			<%-- wyświetlanie wszystkich dni z miesiąca (po kolei, wygląd ustalony jest poprzed szerokość listy) --%>	
				<c:forEach begin="1" end="${liczbaDniWMiesiacu}" var="dzien">
					<c:choose>
						<%-- jeżeli niedziela --%>
						<c:when test="${(lPustych + dzien) % 7 == 0}">
							<li class="ui-widget-content ${(not empty actionBean.listaDni && ttFn:collectionContainsToStringCompare(actionBean.listaDni, dzien)) ? 'ui-toggleSelected' : ''}"
									style="color: red;">
								${dzien}${kDzienTyg}
								<stripes:checkbox id="cz_${dzien}_chkb" name="listaDni" value="${dzien}" class="checkbox"></stripes:checkbox>
							</li>
						</c:when>
						<c:otherwise>
							<li class="ui-widget-content ${(not empty actionBean.listaDni && ttFn:collectionContainsToStringCompare(actionBean.listaDni, dzien)) ? 'ui-toggleSelected' : ''}">
								${dzien}${kDzienTyg}
								<stripes:checkbox id="cz_${dzien}_chkb" name="listaDni" value="${dzien}" class="checkbox"></stripes:checkbox>
							</li>
						</c:otherwise>
					</c:choose>
				</c:forEach>
			</ol>
		</c:otherwise>
	</c:choose>
</div>
