<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form style="border: 0px; padding: 10px;" beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.ListaDowodowOsobistychAction">
	Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
	<stripes:submit name="listaFiltr">Pokaż</stripes:submit>
</stripes:form>
<jmesa:tableFacade items="${listaDowodow}" id="listaDowodow" var="dowodOsobisty" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaDowodow)}">
	<jmesa:htmlTable style="min-width: 600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="seriaNr" title="Seria" sortable="false" styleClass="daneWyroznione">
				<ttSec:secure roles="SOC_U_DWD_OS" defaultText="${dowodOsobisty.seriaNr}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.DowodOsobistyAction" event="edycja">
						<stripes:param name="dowodOsobisty.id" value="${dowodOsobisty.id}"></stripes:param>
						${dowodOsobisty.seriaNr}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWydania" title="Data wydania" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="dataWaznosci" title="Data ważnosci" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="wydanyPrzez" title="Wydany przez" sortable="false">
				<c:set var="slowaSlownika" value="${kodOrganuWydDowodOsSlownik}"/>
				<c:set var="wartoscDoPorow" value="${dowodOsobisty.wydanyPrzezId}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>				
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_DWD_OS">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.DowodOsobistyAction" event="edycja">
							<stripes:param name="dowodOsobisty.id" value="${dowodOsobisty.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj świadczenie"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_DWD_OS">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.ListaDowodowOsobistychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć dowód osobisty nr ${dowodOsobisty.seriaNr} ? ')">
							<stripes:param name="dowodOsobisty.id" value="${dowodOsobisty.id}"></stripes:param>
							<c:choose>
								<c:when test="${not empty actionBean.osoba.ewidencjaDps && (stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA')}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/dowodOsobisty/listaMieszkaniec.jsp')}"/>
								</c:when>
								<c:when test="${not empty actionBean.osoba.ewidencjaDps && (stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON')}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/dowodOsobisty/listaOczekujacy.jsp')}"/>
								</c:when>
								<c:otherwise>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/dowodOsobisty/listaInnaOsoba.jsp')}"/>
								</c:otherwise>
							</c:choose>
							<img src="${root}/img/delete.gif" border="0" title="Usuń dowód osobisty"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
