<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Definicja raportu z dyżuru (krok - dane predefiniowane)</h3>
		<div class="formContainer">
			<stripes:form beanclass="${ttFn:classCanonicalName(actionBean)}">
				<stripes:hidden name="wykorzystanoPowrot"></stripes:hidden>
				<stripes:hidden name="informacjaDodatkowa.id"></stripes:hidden>
				<stripes:hidden name="informacjaDodatkowa.status"></stripes:hidden>
				<stripes:hidden name="informacjaDodatkowa.typ"></stripes:hidden>
			
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:errors field="typRaportu.id"/>

				<fieldset>
					<legend>
						Informacja o raporcie
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								nazwa
							</label>
						</div>
						<div class="input">
							<stripes:text name="informacjaDodatkowa.nazwa" title="Nazwa" class="required" size="40"/>
							<stripes:errors field="informacjaDodatkowa.nazwa"/>
						</div>
					</div>
					
					<stripes:hidden name="typRaportu.id"/>
					<c:set var="poleInformacjaRozszerzenie" value="typRaportu"/>
					<%@ include file="/jsp/templatePages/polaInformacjaRozszerzenieRaportPielegniarski.jsp" %>
				</fieldset>
				
				<fieldset>
					<legend>
						Pola raportu predefiniowane w programie
					</legend>
					
					<%@ include file="polaPredefiniowane.jsp" %>		
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.definicja.ListaDefinicjiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawaniePola" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>