<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaPolaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Definicja raportu z dyżuru (krok - wprowadzanie pól dodatkowych)</h3>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Edycja wprowadzonego pola
					</legend>
					
					<c:set var="typPola" value="${not empty actionBean.informacjaPole.typ ? actionBean.informacjaPole.typ : ''}"/>
					<%@ include file="/jsp/templatePages/polaInfomacjaDodPole.jsp" %>

					<fieldset>
						<%-- nr kolejny pola edytowanego --%>
						<stripes:hidden name="kolejnyNrPola"/>
						
						<stripes:submit name="anulowanieEdycjiPola" value="Anuluj zmiany"/>
						&nbsp;&nbsp;
						<stripes:submit name="zatwierdzanieEdycjaPola" value="Zatwierdź zmiany"/>
					</fieldset>
				</fieldset>
				
				<fieldset>
					<legend>
						Pola dodatkowe wprowadzone dla raportu:
						<span style="font-style: italic;">"${actionBean.informacjaDodatkowa.nazwa}"</span>
					</legend>

					<c:choose>
						<c:when test="${not empty actionBean.listaPol}">
							<%@ include file="informacjaPolaUkryte.jsp" %>
	
							<div>
								<c:set var="listaPolTabela" value="${actionBean.listaPol}"/>

								<%@ include file="informacjaPodgladPol.jsp" %>
							</div>
						</c:when>
						<c:otherwise>
							<div style="text-align: center;">
								NIE WPROWADZONO JESZCZE ŻADNEGO DODATKOWEGO POLA RAPORTU
							</div>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotDanePredefiniowane" value="« Powrót (dane predefiniowane)"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>