<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPolTabela}" id="listaPol" var="pole" maxRows="${fn:length(listaPolTabela)}"
		autoFilterAndSort="false" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter" style="text-align: center; width: 570px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Kolejność" property="kolejnosc">
				<span class="${actionBean.kolejnyNrPola == pole.kolejnosc ? 'daneWyroznioneNormal' : ''}">
					${pole.kolejnosc}
				</span>
				<stripes:errors field="pole_${pole.kolejnosc}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Nazwa" property="nazwa">
				<span class="${actionBean.kolejnyNrPola == pole.kolejnosc ? 'daneWyroznioneNormal' : ''}">
					${pole.nazwa}
				</span>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Typ" property="typ.opis">
				<span class="${actionBean.kolejnyNrPola == pole.kolejnosc ? 'daneWyroznioneNormal' : ''}">
					${pole.typ.opis}
				</span>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Czy<br/>wymagane?" property="wymagane">
				<span class="${actionBean.kolejnyNrPola == pole.kolejnosc ? 'daneWyroznioneNormal' : ''}">
					${(not empty pole.wymagane && pole.wymagane) ? 'TAK' : 'NIE'}
				</span>
			</jmesa:htmlColumn>
			<c:choose>
				<c:when test="${not empty wizardDodawanie}">
					<jmesa:htmlColumn title="Operacje" style="width: 20px;">
						<div class="ikonki">
							<a href="#" onclick="edytujPole(${pole.kolejnosc});">
								<img src="${root}/img/edit.gif" class="iconspace cursorPointer" title="Edytuj pole '${pole.nazwa}'"/>
							</a>
							<a href="#" onclick="usunPole(${pole.kolejnosc});">
								<img src="${root}/img/delete.gif" class="iconspace cursorPointer" title="Usuń pole '${pole.nazwa}'" />
							</a>
						</div>
					</jmesa:htmlColumn>
				</c:when>
				<c:otherwise>
				</c:otherwise>
			</c:choose>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

