<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaPolaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Podgląd typu informacji dodatkowej</h3>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<fieldset>
						<legend>
							Dane ogólne
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									nazwa
								</label>
							</div>
							<div class="input">
								<stripes:text name="informacjaDodatkowa.nazwa" title="Nazwa" class="required" size="40"/>
								<stripes:errors field="informacjaDodatkowa.nazwa"/>
							</div>
						</div>
					</fieldset>
					
					<fieldset>
						<legend>
							Pola predefiniowane wybrane do raportu
						</legend>
						
						<c:choose>
							<c:when test="${not empty listaPolPredefiniowanych}">
								<div align="center">
									<c:set var="listaPolTabela" value="${listaPolPredefiniowanych}"/>
	
									<%@ include file="informacjaPodgladPol.jsp" %>
								</div>
							</c:when>
							<c:otherwise>
								<div style="text-align: center;">
									NIE WYBRANO PREDEFINIOWANYCH PÓL RAPORTU
								</div>
							</c:otherwise>
						</c:choose>
					</fieldset>
	
					<fieldset>
						<legend>
							Pola dodatkowe wprowadzone do raportu
						</legend>
	
						<c:choose>
							<c:when test="${not empty listaPol}">
								<div align="center">
									<c:set var="listaPolTabela" value="${listaPol}"/>
	
									<%@ include file="informacjaPodgladPol.jsp" %>
								</div>
							</c:when>
							<c:otherwise>
								<div style="text-align: center;">
									NIE WPROWADZONO ŻADNEGO DODATKOWEGO POLA RAPORTU
								</div>
							</c:otherwise>
						</c:choose>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.definicja.ListaDefinicjiAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>