<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaRaportowActionURL" beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ListaRaportowAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaRaportowActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);

				        ukryjLoadImage();
				    }
			   );
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista raportów z dyżuru pielęgniarskiego</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
		<ttSec:secure roles="MED_C_RAPORT_DYZ">
			<div class="listFooterText">
				<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.RaportDyzurAction" event="definicjaInformacji">
					Generuj raport
				</stripes:link>
			</div>
		</ttSec:secure>
	</stripes:layout-component>

</stripes:layout-render>