<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRaportow}" id="listaRaportow" var="raport" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px; max-width: 750px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data utworzenia" sortable="true" filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${raport.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" sortable="true" filterable="true">
				${raport.informacjaDodatkowa.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_RAPORT_DYZ">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.RaportDyzurAction" event="edycja">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${raport.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_R_RAPORT_DYZ">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.wydruki.WydrukRaportuV1Action" event="generuj" class="noLoadImage">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${raport.id}"/>
							<stripes:param name="typWydruku" value="DOCX"/>
							<img src="${root}/img/wykonajDOCX.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.wydruki.WydrukRaportuV1Action" event="generuj" class="noLoadImage">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${raport.id}"/>
							<stripes:param name="typWydruku" value="ODT"/>
							<img src="${root}/img/wykonajODT.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.wydruki.WydrukRaportuV1Action" event="generuj" class="noLoadImage">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${raport.id}"/>
							<stripes:param name="typWydruku" value="PDF"/>
							<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_RAPORT_DYZ">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ListaRaportowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć raport z dnia (${ttFn:formatDate(raport.data, DATE_PATTERN)}) ? ')">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${raport.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/dyzur/realizacja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
