<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>
			<c:choose>
				<c:when test="${empty actionBean.informacjaDodatkowaWpis.id}">
					Nowy raport z dyżuru pielęgniarskiego (krok - uzupełnianie pól raportu)
				</c:when>
				<c:otherwise>
					Edycja raportu z dyżuru pielęgniarskiego
				</c:otherwise>
			</c:choose>
		</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.RaportDyzurAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<c:if test="${not empty actionBean.informacjaDodatkowaWpis.id}">
					<stripes:hidden name="informacjaDodatkowaWpis.id"></stripes:hidden>
				</c:if>
				<fieldset>
					<stripes:hidden name="informacjaDodatkowaWpis.informacjaDodatkowaId"></stripes:hidden>
					
					<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
						<c:if test="${not empty actionBean.informacjaDodatkowaWpis.id}">
							<stripes:hidden name="listaInformacji[${i.count - 1}].id"/>
						</c:if>
						<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ListaRaportowAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
