<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		
		<%@ include file="plikiIncludeMieszkaniec.jsp" %>
		<%@ include file="plikiIncludeZleceniodawca.jsp" %>
		<script type="text/javascript">
			$(document).ready(function() {
				// ustawienie adresów
				customShowHideAdres('elemAdresZleceniodawca');
				customShowHideAdres('elemAdresOsoba');
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Arkusz ewidencyjny (mieszkaniec)</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form id="arkMieszkForm" beanclass="pl.topteam.fund.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaFundacjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Umowa</legend>
					
					<c:set var="poleUmowa" value="decyzjaKierujaca"/>
					<%@ include file="/jsp/templatePages/polaUmowaFundacja.jsp" %>
				</fieldset>
				<fieldset id="fieldsetZleceniodawca">
					<c:choose>
						<c:when test="${empty actionBean.zleceniodawcaWybor || ! actionBean.zleceniodawcaWybor}">
							<%@ include file="polaEwidencjiZleceniodawcyFundacja.jsp" %>
						</c:when>
						<c:otherwise>
							<%@ include file="polaEwidencjiZleceniodawcyWyborFundacja.jsp" %>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<%@ include file="polaEwidencjiMieszkancaFundacja.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
