<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="plikiIncludeOczekujacy.jsp" %>
		
		<%@ include file="dodawanieDecKierPostanowienieHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Arkusz ewidencyjny (osoba oczekująca)</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaOczekujacegoAction">
				
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								data rejestracji
							</label>
						</div>
						<div class="input">
							<stripes:text name="ewidencjaDps.dataOd" class="data required" title="Data przybycia" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="ewidencjaDps.dataOd"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset>
					<legend>Dane osobowe</legend>
					
					<c:set var="poleOsoba" value="osoba"/>
					<%@ include file="/jsp/templatePages/polaOsobaOczekujacaDaneOsobowe.jsp" %>
				</fieldset>
				
				<%@ include file="polaEwidencjiOczekujacego.jsp" %>
				
				<%@ include file="dodawanieDecKierPostanowienieContent.jsp" %>

				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.oczekujacy.opcje.ListaOczekujacychAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit id="zapiszSubm" name="zapisz" value="Zapisz" style="display: none;"/>
						<stripes:button name="zapiszButton" value="Zapisz" onclick="submitForm();"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>