<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
	<script type="text/javascript" src="${root}/js/jmesa.js"></script>
</stripes:layout-component>

<stripes:layout-component name="content">
	<div class="formContainer2" align="center">
		<div class="form" style="width: 80%;">
			<div class="linki">
				<a id="lnkHistoriaEwid" href="#" class="aktywny">
					Historia ewidencji
				</a>
			</div>
			
			<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
			
			<jmesa:tableFacade items="${listaEwidencji}" id="listaEwidencji" var="ewidencja" editable="false"
					view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaEwidencji)}">
				<jmesa:htmlTable width="600px">
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="typ" title="Typ wpisu" sortable="false">
							<c:set var="ewidencja" value="${ewidencja}" scope="request"/>

							${ewidencja.typ.opis}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="dataOd" title="Data od" sortable="false">
							<fmt:formatDate value="${ewidencja.dataOd}" pattern="${DATE_PATTERN}" />
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="dataDo" title="Data do" sortable="false">
							<fmt:formatDate value="${ewidencja.dataDo}" pattern="${DATE_PATTERN}" />
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
							<c:catch var="e">
								<jsp:include page="historiaEwidencjiOsobyOpcje_${stripes:enumName(dpsJednostka.branch)}.jsp"/>
							</c:catch>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
			
			<c:if test="${empty e}">
				<c:catch var="e">
					<jsp:include page="historiaEwidencjiOsobyPrzyciski_${stripes:enumName(dpsJednostka.branch)}.jsp"/>
				</c:catch>
			</c:if>
			<%@ include file="/jsp/wyjatki/developerException.jsp" %>
		</div>
	</div>
</stripes:layout-component>
