<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="ikonki">
	<%-- EDYCJA WPISÓW EWIDENCYJNYCH (tylko jeśli jest to ostatni na liście)--%>
	<c:if test="${ewidencja.id == listaEwidencji[fn:length(listaEwidencji) - 1].id}">
		<c:choose>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
				<%-- tylko w przypadku gdy jest to jedyny wpis na liście (pierwsza rejestracja) --%>
				<c:if test="${fn:length(listaEwidencji) == 1}">
					<ttSec:secure roles="OG_U_MIESZKANIEC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaMieszkancaRejestracjaAction" event="edycja" title="Edycja">
							<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</c:if>
			</c:when>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
				<ttSec:secure roles="OG_U_MIESZKANIEC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaWyprowadzkiMieszkancaAction" event="edycja" title="Edycja">
						<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
				</ttSec:secure>
			</c:when>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
				<ttSec:secure roles="OG_U_MIESZKANIEC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaZgonuMieszkancaAction" event="edycja" title="Edycja">
						<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
				</ttSec:secure>
			</c:when>
			
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA'}">
				<%-- tylko w przypadku gdy jest to jedyny wpis na liście (pierwsza rejestracja) --%>
				<c:if test="${fn:length(listaEwidencji) == 1}">
					<ttSec:secure roles="OG_U_OCZEKUJACY">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaOczekujacegoRejestracjaAction" event="edycja" title="Edycja">
							<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</c:if>
			</c:when>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON'}">
				<ttSec:secure roles="OG_U_OCZEKUJACY">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaZgonuOczekujacegoAction" event="edycja" title="Edycja">
						<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
				</ttSec:secure>
			</c:when>
		</c:choose>
	</c:if>
	
	<%-- WYDRUK WPISÓW EWIDENCYJNYCH (tylko ZGON)--%>
	<c:if test="${stripes:enumName(ewidencja.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(ewidencja.typ) == 'OSOBA_OCZEKUJACA_ZGON'}">
		<c:choose>
			<c:when test="${not empty ewidencja.szablonWydrukuId}">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.WydrukZgonuAction" event="drukuj" target="_blank" title="Drukuj">
					<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
					<img src="${root}/img/printer.gif" class="iconspace"/>
				</stripes:link>
			</c:when>
			<c:otherwise>
				<a href="#">
					<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku !"/>
				</a>
			</c:otherwise>
		</c:choose>
	</c:if>
	
	<%-- USUWANIE WPISÓW EWIDENCYJNYCH (tylko jeśli jest to ostatni i nie jedyny wpis; środkowych wpisów nie usuwać !!!) --%>
	<c:if test="${fn:length(listaEwidencji) > 1 && ewidencja.id == listaEwidencji[fn:length(listaEwidencji) - 1].id}">
		<ttSec:secure roles="OG_U_MIESZKANIEC">
			<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" event="usun"
					onclick="return confirmation('Czy na pewno chcesz usunąć wpis zgonu ? ')" title="Usuń">
				<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/ewidencja/historiaEwidencjiMieszkanca.jsp')}"/>
					</c:when>
					<c:otherwise>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/ewidencja/historiaEwidencjiOczekujacego.jsp')}"/>
					</c:otherwise>
				</c:choose>
				<img src="${root}/img/delete.gif" class="iconspace"/>
			</stripes:link>
		</ttSec:secure>
	</c:if>
</div>
