<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="ikonki">
	<%-- operacje dozwolone tylko dla ostatnich wpisów na liście --%>
	<c:if test="${ewidencja.id == listaEwidencji[fn:length(listaEwidencji) - 1].id}">
		<%-- EDYCJA WPISÓW EWIDENCYJNYCH --%>
		<c:choose>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
				<ttSec:secure roles="OG_U_MIESZKANIEC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaZgonuMieszkancaAction" event="edycja" title="Edycja">
						<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
				</ttSec:secure>
		
				<%-- WYDRUK WPISÓW EWIDENCYJNYCH (tylko ZGON)--%>
				<c:choose>
					<c:when test="${not empty ewidencja.szablonWydrukuId}">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.WydrukZgonuAction" event="drukuj" target="_blank" title="Drukuj">
							<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
							<img src="${root}/img/printer.gif" class="iconspace"/>
						</stripes:link>
					</c:when>
					<c:otherwise>
						<a href="#">
							<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku !"/>
						</a>
					</c:otherwise>
				</c:choose>
			</c:when>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
				<ttSec:secure roles="OG_U_MIESZKANIEC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaWyprowadzkiMieszkancaAction" event="edycja" title="Edycja">
						<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
				</ttSec:secure>
			</c:when>
			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA'}">
				<%-- wpis jest nieedytowalny (ale usuwalny) z uwagi na autoamtyczny charakter jego wstawienia --%>
			</c:when>
		</c:choose>
		
		<%-- USUWANIE WPISÓW EWIDENCYJNYCH --%>
		<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) != 'MIESZKANIEC'}">
			<ttSec:secure roles="OG_U_MIESZKANIEC">
				<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" event="usun"
						onclick="return confirmation('Czy na pewno chcesz usunąć wpis zgonu ? ')" title="Usuń">
					<stripes:param name="ewidencjaDps.id" value="${ewidencja.id}"/>
					<c:choose>
						<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/ewidencja/historiaEwidencjiMieszkanca.jsp')}"/>
						</c:when>
						<c:otherwise>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/ewidencja/historiaEwidencjiOczekujacego.jsp')}"/>
						</c:otherwise>
					</c:choose>
					<img src="${root}/img/delete.gif" class="iconspace"/>
				</stripes:link>
			</ttSec:secure>
		</c:if>
	</c:if>
</div>
