<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<c:set var="poleEwidencja" value="ewidencjaDps"/>
	<c:set var="dataOdTekst" value="data przybycia"/>
	<%@ include file="/jsp/templatePages/polaEwidencjaMieszkaniec.jsp" %>
</fieldset>

<fieldset>
	<legend>Dane osobowe</legend>
	
	<c:set var="poleOsoba" value="osoba"/>
	<c:set var="miejsceUrodzeniaRequired" value="${true}"/>
	<%@ include file="/jsp/templatePages/polaMieszkaniecDaneOsobowe.jsp" %>
	
	<div>
		<fieldset>
			<legend>Dowód osobisty</legend>
			
			<c:set var="poleDowodOsobisty" value="dowodOsobisty"/>
			<c:set var="klasaWymagane" value=""/>
			<c:set var="dataWydaniaKlasaWymagane" value=""/>
			<%@ include file="/jsp/templatePages/polaDowodOsobisty.jsp" %>
		</fieldset>
	</div>
</fieldset>

<fieldset>
	<legend>Pobierane świadczenia</legend>
	<div class="row" id="divPobieraneSwiadczeniaRow">
		<div id="bledySwiadczenia"></div>
		<%-- wypisywanie świadczeń, które zostały dodane wcześniej (np. po wystąpieniu błędu) --%>
		<c:choose>
			<c:when test="${not empty actionBean.listaPobierSwiadczen}">
				<c:forEach items="${actionBean.listaPobierSwiadczen}" var="pobieraneSwiadczenie" varStatus="status">
					<c:if test="${not empty pobieraneSwiadczenie}">
						<c:set var="j" value="${status.count - 1}"/>
						<%@ include file="pobieraneSwiadczenie.jsp" %>
					</c:if>
				</c:forEach>
				<stripes:hidden name="j" value="${fn:length(actionBean.listaPobierSwiadczen)}"/>
			</c:when>
			<c:otherwise>
				<stripes:hidden name="j" value="0"/>
			</c:otherwise>
		</c:choose>
	</div>
	<fieldset>
		<stripes:button id="dodajPobieraneSwiad" class="noLoadImage" name="dodajSwiad" value="Dodaj świadczenie"/>
	</fieldset>
</fieldset>

<fieldset>
	<legend>Orzeczenia o niepełnosprawności</legend>
	<div class="row" id="divOrzeczNiepelnosprRow">
		<div id="bledyOrzeczenia"></div>
		<%-- wypisywanie świadczeń, które zostały dodane wcześniej (np. po wystąpieniu błędu) --%>
		<c:choose>
			<c:when test="${not empty actionBean.listaOrzeczONiepelnospraw}">
				<c:forEach items="${actionBean.listaOrzeczONiepelnospraw}" varStatus="status">
					<c:set scope="page" var="i" value="${status.count - 1}"/>
					<%@ include file="orzeczenieNiepelnosprawosc.jsp" %>
				</c:forEach>
				<stripes:hidden name="i" value="${fn:length(actionBean.listaOrzeczONiepelnospraw)}"/>
			</c:when>
			<c:otherwise>
				<stripes:hidden name="i" value="0"/>
			</c:otherwise>
		</c:choose>
	</div>
	<fieldset>
		<stripes:button id="dodajOrzeczNiepelspr" class="noLoadImage" name="dodajOrzecz" value="Dodaj orzeczenie"/>
	</fieldset>
</fieldset>
<a name="kotwicaAdres"></a>
<div style="padding: 10px 0px 10px 10px;">
	<stripes:checkbox id="status_elemAdresPobStaly" name="statusAdresuPobStalego" onchange="customShowHideAdres('elemAdresPobStaly');"/>
	<label for="status_elemAdresPobStaly" class="cursorPointer">&nbsp;Ostatni adres pobytu stałego jest nieznany</label>
</div>
<fieldset class="elemAdresPobStaly">
	<stripes:hidden name="ostPobytStaly.id"/>
	<stripes:hidden name="ostPobytStaly.typ" value="POBYTU_STALEGO"/>
	<legend>
		Ostatni adres pobytu stałego&nbsp;&nbsp;&nbsp;
		<stripes:text id="ostPobytStalyPodp_adres" name="adresPodp_ostPobytStaly" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostPobytStaly');"/>
		<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
			<img src="${root}/img/help.gif" border="0"/>
		</a>
		
		&nbsp;
		<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
		<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
		</legend>

	<c:set var="nazwaPolaAdresu" value="ostPobytStaly"/>
	<c:set var="klasaWymagane" value="required"/>
	<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
</fieldset>
<div class="elemAdresPobStaly elemMiejZamieszkania" style="padding-top: 5px; padding-bottom: 5px;">
	<a class="button noLoadImage" href="#kotwicaAdres" onclick="kopiujAdres('ostPobytStaly', 'ostMiejZamieszkania');">
		 <b>\/</b> Kopiuj z adresu pobytu stałego
	</a>
</div>
<div style="padding: 10px 0px 10px 10px;">
	<stripes:checkbox id="status_elemMiejZamieszkania" name="statusAdresuZamieszkania" onchange="customShowHideAdres('elemMiejZamieszkania');"/>
	<label for="status_elemMiejZamieszkania" class="cursorPointer">&nbsp;Ostatnie miejsce zamieszkania nie jest znane</label>
</div>
<fieldset class="elemMiejZamieszkania">
	<stripes:hidden name="ostMiejZamieszkania.id"/>
	<stripes:hidden name="ostMiejZamieszkania.typ" value="ZAMIESZKANIA"/>
	<legend>
		Ostatnie miejsce zamieszkania&nbsp;&nbsp;&nbsp;
		<stripes:text id="ostMiejZamieszkaniaPodp_adres" name="adresPodp_ostMiejZamieszkania" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostMiejZamieszkania');"/>
		<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy2" name="Funkcja podpowiadania adresów">
			<img src="${root}/img/help.gif" border="0"/>
		</a>
		
		&nbsp;
		<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
		<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
	</legend>
	
	<c:set var="nazwaPolaAdresu" value="ostMiejZamieszkania"/>
	<c:set var="klasaWymagane" value="required"/>
	<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
</fieldset>

