<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<fieldset>
	<legend>Mieszkaniec</legend>
	
	<c:set var="poleOsoba" value="osoba"/>
	<c:set var="daneMalzonka" value="${true}"/>
	<c:set var="miejsceUrodzeniaRequired" value="${false}"/>
	<%@ include file="/jsp/templatePages/polaMieszkaniecDaneOsobowe.jsp" %>
	
	<div>
		<fieldset>
			<legend>Dowód osobisty</legend>
			
			<c:set var="poleDowodOsobisty" value="dowodOsobisty"/>
			<c:set var="klasaWymagane" value=""/>
			<c:set var="dataWydaniaKlasaWymagane" value=""/>
			<%@ include file="/jsp/templatePages/polaDowodOsobisty.jsp" %>
		</fieldset>
	</div>
	<div>
		<div class="elemAdresPobStaly elemAdresOsoba" style="padding-top: 5px; padding-bottom: 5px;">
			<a class="button noLoadImage" href="#kotwicaAdres" onclick="kopiujAdres('adresZleceniodawca', 'adresOsoba');">
				 <b>\/</b> Kopiuj z adresu zleceniodawcy
			</a>
		</div>
		<div style="padding: 10px 0px 10px 10px;">
			<stripes:checkbox id="status_elemAdresOsoba" name="statusAdresuOsoba" onchange="customShowHideAdres('elemAdresOsoba');"/>
			<label for="status_elemAdresOsoba" class="cursorPointer">&nbsp;Ostatnie miejsce zamieszkania nie jest znane</label>
		</div>
		<fieldset class="elemAdresOsoba">
			<stripes:hidden name="adresOsoba.id"/>
			<stripes:hidden name="adresOsoba.typ" value="ZAMIESZKANIA"/>
			<legend>
				Ostatnie miejsce zamieszkania&nbsp;&nbsp;&nbsp;
				<stripes:text id="adresOsobaPodp_adres" name="adresPodp_adresOsoba" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adresOsoba');"/>
				<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy2" name="Funkcja podpowiadania adresów">
					<img src="${root}/img/help.gif" border="0"/>
				</a>
				
				&nbsp;
				<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
				<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
			</legend>
			
			<c:set var="nazwaPolaAdresu" value="adresOsoba"/>
			<c:set var="klasaWymagane" value="required"/>
			<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
		</fieldset>
	</div>
</fieldset>

<fieldset>
	<legend>
		Warunki umowy
	</legend>
	
	<c:set var="poleEwidencja" value="ewidencjaDps"/>
	<c:set var="poleUmowa" value="umowa"/>
	<%@ include file="/jsp/templatePages/polaEwidencjaMieszkaniecFundacja.jsp" %>
	
	<c:set var="poleOdplatnosc" value="odplatnoscSkladnik"/>
	<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnikDzienneRozliczenia.jsp" %>
	
	<c:set var="poleParametryUmowy" value="listaParametrowUmowy"/>
	<%@ include file="/jsp/templatePages/polaUmowaFundacjaParametry.jsp" %>
</fieldset>

<fieldset>
	<legend>Pobierane świadczenia</legend>
	<div class="row" id="divPobieraneSwiadczeniaRow">
		<div id="bledySwiadczenia"></div>
		<%-- wypisywanie świadczeń, które zostały dodane wcześniej (np. po wystąpieniu błędu) --%>
		<c:choose>
			<c:when test="${not empty actionBean.listaPobierSwiadczen}">
				<c:forEach items="${actionBean.listaPobierSwiadczen}" var="pobieraneSwiadczenie" varStatus="status">
					<c:if test="${not empty pobieraneSwiadczenie}">
						<c:set var="j" value="${status.count - 1}"/>
						<%@ include file="pobieraneSwiadczenie.jsp" %>
					</c:if>
				</c:forEach>
				<stripes:hidden name="j" value="${fn:length(actionBean.listaPobierSwiadczen)}"/>
			</c:when>
			<c:otherwise>
				<stripes:hidden name="j" value="0"/>
			</c:otherwise>
		</c:choose>
	</div>
	<fieldset>
		<stripes:button id="dodajPobieraneSwiad" class="noLoadImage" name="dodajSwiad" value="Dodaj świadczenie"/>
	</fieldset>
</fieldset>

<fieldset>
	<legend>Orzeczenia o niepełnosprawności</legend>
	<div class="row" id="divOrzeczNiepelnosprRow">
		<div id="bledyOrzeczenia"></div>
		<%-- wypisywanie świadczeń, które zostały dodane wcześniej (np. po wystąpieniu błędu) --%>
		<c:choose>
			<c:when test="${not empty actionBean.listaOrzeczONiepelnospraw}">
				<c:forEach items="${actionBean.listaOrzeczONiepelnospraw}" varStatus="status">
					<c:set scope="page" var="i" value="${status.count - 1}"/>
					<%@ include file="orzeczenieNiepelnosprawosc.jsp" %>
				</c:forEach>
				<stripes:hidden name="i" value="${fn:length(actionBean.listaOrzeczONiepelnospraw)}"/>
			</c:when>
			<c:otherwise>
				<stripes:hidden name="i" value="0"/>
			</c:otherwise>
		</c:choose>
	</div>
	<fieldset>
		<stripes:button id="dodajOrzeczNiepelspr" class="noLoadImage" name="dodajOrzecz" value="Dodaj orzeczenie"/>
	</fieldset>
</fieldset>
