<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="plikiIncludeMieszkaniec.jsp" %>
		<script type="text/javascript">
			$(document).ready(function() {
				// ustawienie adresów
				customShowHideAdres('elemAdresPobStaly');
				customShowHideAdres('elemMiejZamieszkania');
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Arkusz ewidencyjny (mieszkaniec) (wer. 2 - osoba wcześniej rejestrowana jako mieszkaniec)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction">
				<stripes:hidden name="osoba.id"/>
				<stripes:hidden name="osoba.importProgram"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<c:set var="poleEwidencja" value="ewidencjaDps"/>
				<c:set var="dataOdTekst" value="data przybycia"/>
				<%@ include file="/jsp/templatePages/polaEwidencjaMieszkaniec.jsp" %>

				<fieldset>
					<legend>Dane osobowe</legend>

					<c:set var="poleOsoba" value="osoba"/>
					<c:set var="miejsceUrodzeniaRequired" value="${true}"/>
					<%@ include file="/jsp/templatePages/polaMieszkaniecDaneOsobowe.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" class="button" event="opcje">
							<stripes:param name="osoba.id" value="${actionBean.osoba.id}"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapiszPowrotDoMieszkanca" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>