<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:forEach items="${listaGrupUprawnien}" var="grupaUprawnien" varStatus="i">
	<%-- wypisywanie uprawnień wg grup (omijając specjalną grupę, do której należą wszystkie uprawnienia) --%>
	<c:if test="${stripes:enumName(grupaUprawnien) != 'WSZYSTKIE' && stripes:enumName(grupaUprawnien) != 'NIEWIDOCZNE_DLA_ADMINISTRATORA'}">
		<c:choose>
			<c:when test="${ttFn:collectionContainsToStringCompare(licencjaTTDps.pakiet.prefixyUprawnien, grupaUprawnien.przedrostek)}">
				<%-- można ustawiać bo uprawnienia są objęte ważną licencją --%>
				<fieldset>
					<label class="daneWyroznione">
						Sekcja uprawnień: ${grupaUprawnien.opis}
					</label>
		
					<div class="row">
						<div class="label" style="vertical-align: bottom;">
							<label>
								&nbsp;
							</label>
						</div>
						<div class="input">
							<table class="role_${typUprawnienia}" width="100%">
								<thead>
									<tr>
										<th class="cursorPointer" onclick="toggleCol($('table.rola_${grupaUprawnien}'), 0)" width="25%">przeglądanie</th>
										<th class="cursorPointer" onclick="toggleCol($('table.rola_${grupaUprawnien}'), 1)" width="25%">dodawanie</th>
										<th class="cursorPointer" onclick="toggleCol($('table.rola_${grupaUprawnien}'), 2)" width="25%">aktualizacja</th>
										<th class="cursorPointer" onclick="toggleCol($('table.rola_${grupaUprawnien}'), 3)" width="25%">usuwanie</th>
									</tr>
								</thead>
							</table>
						</div>
					</div>
					<c:forEach items="${listaTypowUprawnien}" var="typUprawnienia" varStatus="j">
						<c:if test="${stripes:enumName(typUprawnienia.grupaUprawnien) == stripes:enumName(grupaUprawnien)}">
							<div class="row hover">
								<div class="label" style="vertical-align: bottom;">
									<label class="cursorPointer" onclick="toggleRow($('table.rola_${typUprawnienia}'), 0)">
										${typUprawnienia.opis}
									</label>
								</div>
								<div class="input">
									<table class="rola_${grupaUprawnien} rola_${typUprawnienia}" width="100%">
										<tbody>
											<tr>
												<td style="text-align: center; width: 25%;">
													<%-- R --%>
													<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}R_${stripes:enumName(typUprawnienia)}"/>
													<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
														<stripes:checkbox name="role[R_${stripes:enumName(typUprawnienia)}]" 
															title="'przeglądanie' ${typUprawnienia.opis} (skr: ${grupaUprawnien.przedrostek}R_${stripes:enumName(typUprawnienia)})"/>
														<stripes:errors field="${grupaUprawnien.przedrostek}R_${stripes:enumName(typUprawnienia)}"></stripes:errors>
													</c:if>
												</td>
												<td style="text-align: center; width: 25%;">
													<%-- C --%>
													<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}C_${stripes:enumName(typUprawnienia)}"/>
													<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
														<stripes:checkbox name="role[C_${stripes:enumName(typUprawnienia)}]" 
															title="'dodawanie' ${typUprawnienia.opis} (skr: ${grupaUprawnien.przedrostek}C_${stripes:enumName(typUprawnienia)})"/>
														<stripes:errors field="${grupaUprawnien.przedrostek}C_${stripes:enumName(typUprawnienia)}"></stripes:errors>
													</c:if>
												</td>
												<td style="text-align: center; width: 25%;">
													<%-- U --%>
													<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}U_${stripes:enumName(typUprawnienia)}"/>
													<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
														<stripes:checkbox name="role[U_${stripes:enumName(typUprawnienia)}]" 
															title="'aktualizacja' ${typUprawnienia.opis} (skr: ${grupaUprawnien.przedrostek}U_${stripes:enumName(typUprawnienia)})"/>
														<stripes:errors field="${grupaUprawnien.przedrostek}U_${stripes:enumName(typUprawnienia)}"></stripes:errors>
													</c:if>
												</td>
												<td style="text-align: center; width: 25%;">
													<%-- D --%>
													<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}D_${stripes:enumName(typUprawnienia)}"/>
													<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
														<stripes:checkbox name="role[D_${stripes:enumName(typUprawnienia)}]" 
															title="'usuwanie' ${typUprawnienia.opis} (skr: ${grupaUprawnien.przedrostek}D_${stripes:enumName(typUprawnienia)})"/>
														<stripes:errors field="${grupaUprawnien.przedrostek}D_${stripes:enumName(typUprawnienia)}"></stripes:errors>
													</c:if>
												</td>
											</tr>
										</tbody>
									</table>
								</div>
							</div>
						</c:if>
					</c:forEach>
				</fieldset>
			</c:when>
			<c:otherwise>
				<%-- BRAK WAŻNEJ LICENCJI NA TE UPRAWNIENIA (ale wcześniejsze ustawienia zachowujemy) --%>
				<fieldset>
					<label class="daneWyroznione">
						Sekcja uprawnień: ${grupaUprawnien.opis} (brak licencji)
					</label>
					<%--
						jeśli nie ma licencji to ustawienia uprawnień powinny zostać dla pracowników
						tak by po jej ponownym zakupie nie ustawiać ich na nowo
						
						(dotyczy tylko edycji właściwości grupy a nie zakładania nowej)
					--%>
					<c:if test="${not empty actionBean.grupa.id}">
						<c:forEach items="${listaTypowUprawnien}" var="typUprawnienia" varStatus="j">
							<c:if test="${stripes:enumName(typUprawnienia.grupaUprawnien) == stripes:enumName(grupaUprawnien)}">
								<%-- R --%>
								<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}R_${stripes:enumName(typUprawnienia)}"/>
								<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
									<stripes:hidden name="role[R_${stripes:enumName(typUprawnienia)}]"/>
								</c:if>
								<%-- C --%>
								<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}C_${stripes:enumName(typUprawnienia)}"/>
								<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
									<stripes:hidden name="role[C_${stripes:enumName(typUprawnienia)}]"/>
								</c:if>
								<%-- U --%>
								<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}U_${stripes:enumName(typUprawnienia)}"/>
								<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
									<stripes:hidden name="role[U_${stripes:enumName(typUprawnienia)}]"/>
								</c:if>
								<%-- D --%>
								<c:set var="nazwaUprawnienia" value="${grupaUprawnien.przedrostek}D_${stripes:enumName(typUprawnienia)}"/>
								<c:if test="${ttFn:collectionContainsToStringCompare(listaUprawnien,nazwaUprawnienia)}">
									<stripes:hidden name="role[D_${stripes:enumName(typUprawnienia)}]"/>
								</c:if>
							</c:if>
						</c:forEach>
					</c:if>
				</fieldset>
			</c:otherwise>
		</c:choose>
	</c:if>
</c:forEach>
		