<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jako, że najpierw na stronie jest brane z pageScope to ustawiam --%>
<c:set var="kategoria" value="${kategoria}" scope="page"/>

<c:set var="rozmiarListy" value="0" scope="page"/>
<c:if test="${not empty kategoria.listaPodkategorii && fn:length(kategoria.listaPodkategorii) > 0}">
	<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaPodkategorii)}" scope="page"/>
</c:if>
<c:choose>
	<c:when test="${not empty kategoria.listaCzynnosci && fn:length(kategoria.listaCzynnosci) > 0}">
		<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaCzynnosci)}" scope="page"/>
	</c:when>
	<c:otherwise>
		<c:set var="rozmiarListy" value="50" scope="page"/>
	</c:otherwise>
</c:choose>

<c:set var="nazwaKategoriiSkrocona" value="${fn:substring(kategoria.nazwa, 0, 60)}..."/>
<c:set var="nazwaKategorii" value="${fn:length(kategoria.nazwa) > 60 ? nazwaKategoriiSkrocona : kategoria.nazwa}"/>
<li id="kat_${kategoria.id}" class="kategoria">
	<stripes:checkbox id="R_kat_${kategoria.id}" name="R_kat_${kategoria.id}"
			class="kategoria noLoadImage" title="'przeglądanie' ${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
	</stripes:checkbox>
	&nbsp;
	<stripes:checkbox id="C_kat_${kategoria.id}" name="C_kat_${kategoria.id}"
			class="kategoria noLoadImage" title="'dodawanie' ${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
	</stripes:checkbox>
<%--	&nbsp;
	<stripes:checkbox id="U_kat_${kategoria.id}" name="U_kat_${kategoria.id}"
			class="kategoria noLoadImage" title="'aktualizacja' ${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
	</stripes:checkbox>
--%>	&nbsp;
	<stripes:checkbox id="D_kat_${kategoria.id}" name="D_kat_${kategoria.id}"
			class="kategoria noLoadImage" title="'usuwanie' ${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
	</stripes:checkbox>
	${not empty nazwaKategorii ? nazwaKategorii : 'Kategoria ???'}

	<c:if test="${rozmiarListy > 0}">
		<ul>
			<c:forEach items="${kategoria.listaPodkategorii}" var="k" varStatus="j">
				<c:set var="kategoria" value="${k}" scope="request"/>
				<jsp:include page="/jsp/grupyPracownikow/katalogUslug/katalogDrzewkoKategoria.jsp" />
			</c:forEach>

			<c:forEach items="${kategoria.listaCzynnosci}" var="cz" varStatus="j">
				<c:set var="czynnosc" value="${cz}" scope="request"/>
				<jsp:include page="/jsp/grupyPracownikow/katalogUslug/katalogDrzewkoCzynnosc.jsp" />
			</c:forEach>
		</ul>
	</c:if>
</li>

