<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_listaGrupURL" beanclass="pl.topteam.dps.action.administracja.grupy.ListaGrupAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_listaGrupURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
				        ukryjLoadImage();
				    }
			   );
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista grup pracowników</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<ttSec:secure roles="ADM_C_GRUPA_PRACOW">
				<stripes:link beanclass="pl.topteam.dps.action.administracja.grupy.GrupaAction" event="dodawanie" class="button">
					Dodaj nową grupę
				</stripes:link> 
			</ttSec:secure>
			<div class="padding-top-10"></div>
		</c:if>
		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
