<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaPolaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Definiowanie typu informacji dodatkowej (krok - wprowadzanie pól)</h3>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Edycja wprowadzonego pola
					</legend>
					
					<c:set var="typPola" value="${not empty actionBean.informacjaPole.typ ? actionBean.informacjaPole.typ : ''}"/>
					<%@ include file="/jsp/templatePages/polaInfomacjaDodPole.jsp" %>

					<fieldset>
						<%-- nr kolejny pola edytowanego --%>
						<stripes:hidden name="kolejnyNrPola"/>
						
						<stripes:submit name="anulowanieEdycjiPola" value="Anuluj zmiany"/>
						&nbsp;&nbsp;
						<stripes:submit name="zatwierdzanieEdycjaPola" value="Zatwierdź zmiany"/>
					</fieldset>
				</fieldset>

				<c:if test="${not empty actionBean.listaPol}">
					<c:forEach items="${actionBean.listaPol}" var="pole" varStatus="i">
						<stripes:hidden name="listaPol[${i.count - 1}].kolejnosc"></stripes:hidden>
						<stripes:hidden name="listaPol[${i.count - 1}].nazwa"></stripes:hidden>
						<stripes:hidden name="listaPol[${i.count - 1}].nazwaSlownika"></stripes:hidden>
						<stripes:hidden name="listaPol[${i.count - 1}].jednostkaMiary"></stripes:hidden>
						<stripes:hidden name="listaPol[${i.count - 1}].typ"></stripes:hidden>
						<stripes:hidden name="listaPol[${i.count - 1}].wymagane"></stripes:hidden>
					</c:forEach>

					<fieldset>
						<legend>
							Podgląd wprowadzonych pól dla
							<span style="font-style: italic;">"${actionBean.informacjaDodatkowa.nazwa}"</span>
						</legend>
						<div align="center">
							<c:set var="listaPol" value="${actionBean.listaPol}"/>

							<%@ include file="informacjaPodgladPol.jsp" %>
						</div>
					</fieldset>
				</c:if>

				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotDaneOgolne" value="« Powrót (informacje ogólne)"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>