<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaInformacji}" id="listaInformacji" var="informacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwa" property="nazwa" sortable="true" filterable="true"/>
			<jmesa:htmlColumn title="Status" property="status" sortable="true" filterable="true" filterEditor="pl.topteam.dps.jmesa.view.editor.StatusTypuInformacjiDodatkowejDropListFilterEditor">
				${informacja.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" sortable="false" filterable="false">
				<div class="ikonki">
					<c:choose>
						<c:when test="${stripes:enumName(informacja.status) != 'DEFINICJA_ZABLOKOWANA'}">
							<ttSec:secure roles="OG_U_INFOR_DOD_DEF">
								<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.InformacjaEdycjaAction" event="dodawanieDaneOgolne">
									<stripes:param name="informacjaDodatkowa.id" value="${informacja.id}"/>
									<img src="${root}/img/edit.gif" border="0" title="Edycja '${informacja.nazwa}'" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
							<ttSec:secure roles="OG_D_INFOR_DOD_DEF">
								<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.ListaTypowInformacjiAction" event="usun"
										onclick="return confirmation('Czy na pewno chcesz usunąć definicję informacji /${informacja.nazwa}/ ? ')">
									<stripes:param name="informacjaDodatkowa.id" value="${informacja.id}"/>
									<img src="${root}/img/delete.gif" border="0" title="Usuwanie '${informacja.nazwa}'" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.definicja.InformacjaPodgladAction" event="podglad">
								<stripes:param name="informacjaDodatkowa.id" value="${informacja.id}"/>
								<img src="${root}/img/lupa.gif" border="0" title="Podgląd '${informacja.nazwa}'" class="iconspace"/>
							</stripes:link>
						</c:otherwise>
					</c:choose>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
