<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj
		</label>
	</div>
	<div class="input">
		<stripes:select class="mySelect ${not empty readonly ? 'readOnly' : ''} required" name="informacjaDodatkowaWpis.informacjaDodatkowaId" id="rodzajInfDod" 
				title="Rodzaj informacji" style="width: 250px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaTypowInformacji}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="informacjaDodatkowaWpis.informacjaDodatkowaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="informacjaDodatkowaWpis.data" class="data required" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="informacjaDodatkowaWpis.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			status
		</label>
	</div>
	<div class="input">
		<c:set var="__statusInformacjiBeanFieldValue" value="${ttFn:extractProperty(actionBean, 'informacjaDodatkowaWpis.status')}"/>
		<stripes:select class="required" name="informacjaDodatkowaWpis.status" title="Status informacji" style="min-width: 150px;">
			<c:choose>
				<c:when test="${empty __statusInformacjiBeanFieldValue}">
					<stripes:option label="${ttFn:enumLabel('pl.topteam.dps.enums.StatusInformacjiDodatkowej', 'AKTUALNA', 'opis')}" value="AKTUALNA"/>
				</c:when>
				<c:otherwise>
					<c:forEach items="${__statusInformacjiBeanFieldValue.transitions}" var="state">
						<stripes:option label="${state.opis}" value="${stripes:enumName(state)}"/>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="informacjaDodatkowaWpis.status"/>
	</div>
</div>

