<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaInformacji}" id="listaInformacji" var="informacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Rodzaj informacji" filterEditor="pl.topteam.dps.model.jmesaSupport.InformacjaDodatkowaDropList">
				<ttSec:secure roles="OG_U_INFOR_DOD_REAL" defaultText="${informacja.informacjaDodatkowa.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						${informacja.informacjaDodatkowa.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data wprowadzenia" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="OG_U_INFOR_DOD_REAL" defaultText="${informacja.data}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						<fmt:formatDate value="${informacja.data}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" sortable="true" filterable="true" filterEditor="pl.topteam.dps.jmesa.view.editor.StatusInformacjiDodatkowejDropListFilterEditor">
				<ttSec:secure roles="OG_U_INFOR_DOD_REAL" defaultText="${informacja.status.opis}">
					<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						${informacja.status.opis}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<%--
			<jmesa:htmlColumn property="przypomnienie" title="Przypominać o" sortable="false" filterable="false">
				<ttSec:secure roles="OG_U_INFOR_DOD_REAL" defaultText="${informacja.status.opis}">
					<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
						${not empty informacja.niePrzypominaj && informacja.niePrzypominaj ? 'NIE' : 'TAK'}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			 --%>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_INFOR_DOD_REAL">
						<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.InformacjaDodatkowaEdycjaAction" event="edycja">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_D_INFOR_DOD_REAL">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć tę informację ? ')">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${informacja.id}"/>
 							<c:choose>
								<c:when test="${empty actionBean.osoba.ewidencjaDps}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/informacjaDodatkowa/realizacja/listaOsoba.jsp')}"/>
								</c:when>
								<c:when test="${not empty actionBean.osoba.ewidencjaDps && (stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA')}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/informacjaDodatkowa/realizacja/listaMieszkaniec.jsp')}"/>
								</c:when>
								<c:otherwise>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/informacjaDodatkowa/realizacja/listaOczekujacy.jsp')}"/>
								</c:otherwise>
							</c:choose>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
