<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/struktura.css"/>
		<link rel="stylesheet" type="text/css" href="${root}/css/tree.css"/>
		<style type="text/css">
			input {
				position:relative;
				top: -3px;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/jquery.tree.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.tree.cookie.js"></script>
		<script type="text/javascript">
			$(function() {
				$("#struktura").tree({
					plugins: {
						cookie: {
							prefix : "strukturaAuto_",
							types : { selected: false, open: true},
							keep_opened: false,
							options : {
								path: "/"
							}
						}
					}
				});

				// otwarcie wszystkich rozwijalnych elementów
				$("li:has(ul)", $("#struktura")).removeClass("closed").addClass("open");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Autonumeracja katalogu usług</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.AutonumeracjaKataloguAction" style="width: 80%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<img src="${root}/img/obiekty/rootKatalog.png"/>
					Katalog usług
					<div id="struktura" class="tree" style="min-height: 400px;">
						<ul>
							<%-- licznik dla poziomu głównego kategorii --%>
							<c:set var="kolejnosc" value="0" scope="page"/>
							<c:forEach items="${listaKategorii}" var="k" varStatus="i">
								<%-- zwiększam numer na aktualnym poziomie --%>
								<c:set var="kolejnosc" value="${(not empty k.kolejnosc && k.kolejnosc != domyslnaKolejnoscKategorii) ? k.kolejnosc : kolejnosc + 1}" scope="page"/>
								<%-- przekazuję numer kategorii do wyświetlenia (kategoria jest jeszcze na tym samym poziomie) --%>
								<c:set var="kolejnosc" value="${kolejnosc}" scope="request"/>

								<c:set var="kategoria" value="${k}" scope="request"/>
								<jsp:include page="autonumeracjaKataloguDrzewkoKategoria.jsp" />
							</c:forEach>
						</ul>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>