<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jako, że najpierw na stronie jest brane z pageScope to ustawiam --%>
<c:set var="kategoria" value="${kategoria}" scope="page"/>

<c:set var="rozmiarListy" value="0" scope="page"/>
<c:if test="${not empty kategoria.listaPodkategorii && fn:length(kategoria.listaPodkategorii) > 0}">
	<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaPodkategorii)}" scope="page"/>
</c:if>
<c:choose>
	<c:when test="${not empty kategoria.listaCzynnosci && fn:length(kategoria.listaCzynnosci) > 0}">
		<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaCzynnosci)}" scope="page"/>
	</c:when>
	<c:otherwise>
		<c:set var="rozmiarListy" value="50" scope="page"/>
	</c:otherwise>
</c:choose>

<li id="kat_${kategoria.id}" class="kategoria">
	<c:choose>
		<c:when test="${not empty kategoria.dataOd || not empty kategoria.dataDo}">
			<img src="${root}/img/obiekty/katalogCzasowy.png"/>
		</c:when>
		<c:otherwise>
			<img src="${root}/img/obiekty/katalog.png"/>
		</c:otherwise>
	</c:choose>
	&nbsp;
	<stripes:text name="mapaKolejnosciKategorii[${kategoria.id}]" size="2" value="${kolejnosc}"/>
	<stripes:errors field="mapaKolejnosciKategorii[${kategoria.id}]"/>
	${kategoria.nazwa}

	<c:if test="${rozmiarListy > 0}">
		<ul>
			<%-- licznik dla aktualnego poziomu zagłębienia --%>
			<c:set var="kolejnosc" value="0" scope="page"/>
			
			<c:forEach items="${kategoria.listaPodkategorii}" var="k" varStatus="j">
				<%-- zwiększam numer na aktualnym poziomie --%>
				<c:set var="kolejnosc" value="${(not empty k.kolejnosc && k.kolejnosc != domyslnaKolejnoscKategorii) ? k.kolejnosc : kolejnosc + 1}" scope="page"/>
				<%-- przekazuję numer kategorii do wyświetlenia (kategoria jest jeszcze na tym samym poziomie) --%>
				<c:set var="kolejnosc" value="${kolejnosc}" scope="request"/>
			
				<c:set var="kategoria" value="${k}" scope="request"/>
				<jsp:include page="autonumeracjaKataloguDrzewkoKategoria.jsp" />
			</c:forEach>
			
			<c:forEach items="${kategoria.listaCzynnosci}" var="cz" varStatus="j">
				<%-- zwiększam numer na aktualnym poziomie --%>
				<c:set var="kolejnosc" value="${(not empty cz.kolejnosc && cz.kolejnosc != domyslnaKolejnoscCzynnosci) ? cz.kolejnosc : kolejnosc + 1}" scope="page"/>
				<%-- przekazuję numer kategorii do wyświetlenia (czynność jest jeszcze na tym samym poziomie) --%>
				<c:set var="kolejnosc" value="${kolejnosc}" scope="request"/>
				
				<c:set var="czynnosc" value="${cz}" scope="request"/>
				<jsp:include page="autonumeracjaKataloguDrzewkoCzynnosc.jsp" />
			</c:forEach>
		</ul>
	</c:if>
</li>
