<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/katalogUslugLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<div class="form">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Nazwa
					</legend>
					${actionBean.katUslKategoria.nazwa}
				</fieldset>
				<fieldset>
					<legend>
						Operacje
					</legend>
					<ttSec:secure roles="OG_U_KAT_USLUG" defaultText="<div style=\"color: red;\">Brak uprawnień do edycji katalogu usług</div>" escapeXml="false">
						<div class="ikonki" style="text-align: left !important;">
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaAction" class="iconspace button" event="dodawanie">
								<stripes:param name="katUslKategoria.nadkategoriaId" value="${actionBean.katUslKategoria.nadkategoriaId}"/>
								Dodaj równorzędną kategorię
							</stripes:link>
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaAction" class="iconspace button" event="dodawanie">
								<stripes:param name="katUslKategoria.nadkategoriaId" value="${actionBean.katUslKategoria.id}"/>
								Dodaj podkategorię
							</stripes:link>
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaEdycjaAction" class="iconspace button" event="edycja">
								<stripes:param name="katUslKategoria.id" value="${actionBean.katUslKategoria.id}"/>
								Edytuj kategorię
							</stripes:link>
							<br/><br/>
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscAction" class="iconspace button" event="dodawanie">
								<stripes:param name="katUslCzynnosc.kategoriaId" value="${actionBean.katUslKategoria.id}"/>
								Dodaj czynność
							</stripes:link>
							<br/><br/>
							<stripes:link class="button iconspace noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" event="usun"
									onclick="return confirmation('Czy na pewno chcesz usunąć tę kategorię ? ')">
								<stripes:param name="katUslKategoria.id" value="${actionBean.katUslKategoria.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/katalogUslug/operacjeKategorii.jsp')}"/>
								Usuń tę kategorię
							</stripes:link>
						</div>
					</ttSec:secure>
				</fieldset>
				<c:if test="${not empty actionBean.katUslKategoria.opis}">
					<fieldset>
						<legend>
							Opis
						</legend>
						${actionBean.katUslKategoria.opis}
					</fieldset>
				</c:if>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
