<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.simulate.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
		<script>
			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.RealizacjaCzynnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:hidden name="planWsparciaRealizacja.id"></stripes:hidden>
				<stripes:hidden name="planWsparciaRealizacja.dataRealizacji"></stripes:hidden>

				<fieldset>
					<legend>
						Zaznacz czynności wykonane dnia
						<fmt:formatDate value="${actionBean.planWsparciaRealizacja.dataRealizacji}" pattern="${DATE_PATTERN}" />
					</legend>

					<%@ include file="listaCzynnosci.jsp" %>

					<fieldset>
						<legend>
							Uwagi do realizacji planu
						</legend>
						<stripes:hidden name="uwagiRealizacjaPlanu.id"></stripes:hidden>
						<%@ include file="/jsp/templatePages/polaUwagiRealizacjaPlanu.jsp" %>
					</fieldset>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link href="/mieszkaniec/katalogUslug/realizacja/ListaWpisowPracownika.action#dzien${ttFn:formatDate(actionBean.planWsparciaRealizacja.dataRealizacji,DATE_PATTERN)}" event="listaDzisiaj" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
