<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// autopodpowiedzi
				$("#osoba").click();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Realizacja planu wsparcia mieszkańca (krok 1 - wybór mieszkańca)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.SzybkieWprowadzanieRealizacjiCzynnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								data realizacji
							</label>
						</div>
						<div class="input">
							<stripes:text name="planWsparciaRealizacja.dataRealizacji" class="data required" title="Data realizacji czynności" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="planWsparciaRealizacja.dataRealizacji"/>
						</div>
					</div>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAsOsobaPodpField.jsp" %>
				</fieldset>
					
				<fieldset class="submit">
					<div>
						<stripes:submit name="krok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
