<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.simulate.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
		<script>
			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Realizacja planu wsparcia mieszkańca (krok 2 - wybór czynności)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.SzybkieWprowadzanieRealizacjiCzynnosciAction"
					style="width: 70%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:hidden name="planWsparciaRealizacja.id"></stripes:hidden>
				
				<fieldset>
					<legend>
						Zaznacz czynności wykonane dnia
						<fmt:formatDate value="${actionBean.planWsparciaRealizacja.dataRealizacji}" pattern="${DATE_PATTERN}" />
						dla ${actionBean.osoba.nazwiskoImie}
					</legend>

					<%@ include file="listaCzynnosci.jsp" %>

					<fieldset>
						<legend>
							Uwagi do realizacji planu
						</legend>
						<stripes:hidden name="uwagiRealizacjaPlanu.id"></stripes:hidden>
						<%@ include file="/jsp/templatePages/polaUwagiRealizacjaPlanu.jsp" %>
					</fieldset>
				</fieldset>
				<fieldset>
					<legend>
						Instrukcje dot. dalszego wprowadzania
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								kontynuuj wprowadzanie<br/>
								dla innego mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="kontynujWprowadzanie" title="Czy po zapisie danych wrócić do formularza wprowadzania" value="true"/>
							<stripes:errors field="kontynujWprowadzanie"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.SzybkieWprowadzanieRealizacjiCzynnosciAction"
								event="krok1">
							Zmień mieszkańca
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
