<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="planWsparciaRealizacja" value="${listaPlanow[0]}" scope="request"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkCzynnTydz");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<c:forEach items="${dniTygodnia}" var="dzienTygodnia" varStatus="status">
						<c:set var="realizacjaPlanu" value="${mapaRealizacjiPlanow[dzienTygodnia][0]}"/>
						<c:set var="listaCzynnosci" value="${mapaZrealizowanychCzynnosci[dzienTygodnia]}"/>
						<c:set var="listaUwag" value="${mapaUwag[dzienTygodnia]}"/>
						<fieldset id="dzien${ttFn:formatDate(dzienTygodnia,DATE_PATTERN)}">
							<legend>
								<fmt:formatDate value="${dzienTygodnia}" pattern="EEEE, ${DATE_PATTERN}" />
							</legend>
							<div align="left" style="padding-bottom: 10px;">
								<ttSec:secure roles="NW_C_KAT_USL_CZYNN">
									<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.RealizacjaCzynnosciAction" event="uzupelnijPlan">
										<stripes:param name="planWsparciaRealizacja.id" value="${realizacjaPlanu.id}"></stripes:param>
										<stripes:param name="planWsparciaRealizacja.dataRealizacji" value="${dzienTygodnia}"></stripes:param>
										Uzupełnij realizację czynności
									</stripes:link>
								</ttSec:secure>
							</div>
							
							<%@ include file="listaOstTydzienCzynnosci.jsp" %>
							<%@ include file="listaUwagDoPlanu.jsp" %>
						</fieldset>
					</c:forEach>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
