<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaWpisowPracownikaPodgladActionURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaPodgladAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
		
		<script type="text/javascript">
			function poprawJMesaTable() {
				<%-- ukrywanie niepotrzebnych elemetnów filtrowania JMESA --%>
				$("img[alt='Separator']").hide();
				$("img[alt='Filtr']").hide();
				$("img[alt='Wyczyść']").hide();
				$("select[name='maxRows']").hide();

				<%-- ustawianie stanu na dzień na konkretny dzień wybrany --%>
				if($("#dataRealizacjiPlanu").html() != null) {
					$("input[name='stanNaDzien']").val(
							$("#dataRealizacjiPlanu").html());
				}
			}
		
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);
	
			    $.post("${_ListaWpisowPracownikaPodgladActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	poprawJMesaTable();
			  			ukryjLoadImage();
			    	}
		    	);
			}
	
			$(document).ready(function() {
	        	poprawJMesaTable();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkCzynnSprzedTyg");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<stripes:form style="border: 0px; padding: 10px;" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaPodgladAction">
					Realizacja w dniu: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>
					&nbsp;&nbsp;&nbsp;
					<stripes:submit name="listaNaDzien">Pokaż</stripes:submit>
					<stripes:errors field="stanNaDzien"></stripes:errors>
				</stripes:form>
				<div id="jmesaContainer">
					<%@ include file="listaSprzedTygodniaFiltr.jsp" %>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
