<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${fn:length(listaPlanow) > 0}">
		<jmesa:tableFacade items="${listaPlanow}" maxRows="${ileRekordow}" limit="${wynikLimit}" id="listaPlanow" var="realizacja" 
				exportTypes="" editable="false" autoFilterAndSort="false" view="pl.topteam.utils.jmesa.view.FullTableWithoutStatusView">
			<jmesa:htmlTable style="width: 600px;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="dataRealizacji" title="Data realizacji" 
						sortable="false" filterable="false" style="text-align:center; vertical-align: middle;">
							<span id="dataRealizacjiPlanu"><fmt:formatDate value="${realizacja.dataRealizacji}" pattern="${DATE_PATTERN}" /></span>
							(<fmt:formatDate value="${realizacja.dataRealizacji}" pattern="EEEE" />)
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="nazwa" title="Wykonane czynności" sortable="false" filterable="false">
						<%@ include file="listaSprzedTygodniaCzynnosci.jsp" %>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:when>
	<c:when test="${fn:length(listaPlanow) == 0 && fn:length(actionBean.context.validationErrors['stanNaDzien']) > 0}">
		<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaPodgladAction" event="lista" class="button">
			Przejdź do najwcześniejszej realizacji na liście
		</stripes:link>
	</c:when>
	<c:when test="${fn:length(listaPlanow) == 0 && fn:length(actionBean.context.validationErrors['stanNaDzien']) == 0}">
		Nie znaleziono 
		<c:choose>
			<c:when test="${empty actionBean.stanNaDzien}">
				wprowadzonych realizacji dla planu wsparcia
			</c:when>
			<c:otherwise>
				wprowadzonej realizacji planu wsparcia	
				na dzień <fmt:formatDate value="${actionBean.stanNaDzien}" pattern="${DATE_PATTERN}" />
			</c:otherwise>
		</c:choose>
		<br/><br/>
		<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaPodgladAction" event="lista" class="button">
			Przejdź do listy
		</stripes:link>
	</c:when>
</c:choose>

<%@ include file="listaUwagDoPlanu.jsp" %>
