<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="listaLinki.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkRaportRealizacji");
				});
			</script>
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.RaportRealizacjiPlanuWsparciaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								rok
							</label>
						</div>
						<div class="input">
							<stripes:text name="rok" class="rok required" title="Rok, za który generujemy raport" size="9"/>
							<stripes:errors field="rok"/>
						</div>
					</div>
					
					<c:set var="klasaWymagane" value="required"/>
					<c:set var="miesiacReadOnly" value="${false}"/>
					<c:set var="poleMiesiac" value="miesiac"/>
					<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-enumeration enum="pl.topteam.dps.raport.TypWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit class="noLoadImage" name="generuj" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
