<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaKwalifikacji}" id="listaKwalifikacji" var="kwalifikacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 400px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="true" filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_KWALIFIKACJA_PIEL" defaultText="${kwalifikacja.data}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.KwalifikacjaAction" event="edycja">
						<stripes:param name="kwalifikacja.id" value="${kwalifikacja.id}"/>
						<fmt:formatDate value="${kwalifikacja.data}" pattern="${DATE_PATTERN}"/>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_KWALIFIKACJA_PIEL">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.KwalifikacjaAction" event="edycja">
							<stripes:param name="kwalifikacja.id" value="${kwalifikacja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj kwalifikację"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_R_KWALIFIKACJA_PIEL">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.WydrukKwalifikacjiAction" event="generuj" class="noLoadImage">
							<stripes:param name="kwalifikacja.id" value="${kwalifikacja.id}"/>
							<stripes:param name="typWydruku" value="PDF"></stripes:param>
							<img src="${root}/img/wykonajPDF.gif" class="iconspace" title="Drukuj do PDF"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_KWALIFIKACJA_PIEL">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.ListaKwalifikacjiAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć kwalifikację przeprowadzoną w dniu ${ttFn:formatDate(kwalifikacja.data, 'yyyy-MM-dd')} ? ')">
							<stripes:param name="kwalifikacja.id" value="${kwalifikacja.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/kwalifikacjaPacjenta/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace" title="Usuń kwalifikację"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
