<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:catch>
	<c:set var="kategoriaWybrana" value="${actionBean.katUslKategoria}" scope="request"/>
</c:catch>
<c:catch>
	<c:set var="czynnoscWybrana" value="${actionBean.katUslCzynnosc}" scope="request"/>
</c:catch>
<c:choose>
	<c:when test="${not empty kategoriaWybrana}">
		<c:choose>
			<c:when test="${not empty kategoriaWybrana.id}">
				<c:set var="wybrany" value="kat_${kategoriaWybrana.id}"/>
			</c:when>
			<c:otherwise>
				<c:set var="wybrany" value="kat_"/>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:when test="${not empty czynnoscWybrana}">
		<c:choose>
			<c:when test="${not empty czynnoscWybrana.id}">
				<c:set var="wybrany" value="czynnosc_${czynnoscWybrana.id}"/>
			</c:when>
			<c:otherwise>
				<c:set var="wybrany" value="czynnosc_"/>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:otherwise>
		<c:set var="wybrany" value="pk"/>
	</c:otherwise>
</c:choose>

<stripes:url var="_kategoriaActionDodawanieURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaAction" event="dodawanie" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_autonumeracjaKataloguKatalogURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.AutonumeracjaKataloguAction" event="katalog" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_kategoriaEdycjaEdycjaURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.KategoriaEdycjaAction" event="edycja" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_czynnoscDodawanieURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscAction" event="dodawanie" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_czynnoscEdycjaEdycjaURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscEdycjaAction" event="edycja" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_czynnoscEdycjaUsunURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.CzynnoscEdycjaAction" event="usun" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_listaKategoriiUsunURL" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction" event="usun" prependContext="true" scope="page" addSourcePage="false"/>
<script type="text/javascript">
	var menuRoot = [
   		{
   			'Dodaj kategorię': {
   				icon: '${root}/img/icons/add.png',
   				onclick: function(item, menuRoot) {
   					pokazLoadImage();
   					document.location.href = '${_kategoriaActionDodawanieURL}';
   				}
   			}
   		},
   		$.contextMenu.separator,
   		{
   			'Autonumeracja katalogu': {
   				icon: '${root}/img/icons/help.png',
   				onclick: function(item, menuRoot) {
   					pokazLoadImage();
   					document.location.href = '${_autonumeracjaKataloguKatalogURL}';
   				}
   			}
   		}
   	];

	var menuKategoria = [
		{
			'Dodaj podkategorię': {
				icon:'${root}/img/icons/add.png',
				onclick: function(item, menuKategoria) {
   					pokazLoadImage();
					$.Params.load(this.href);
					document.location.href = '${_kategoriaActionDodawanieURL}&katUslKategoria.nadkategoriaId=' + $.Params.get("katUslKategoria.id");
				}
			}
		},
		{
			'Edytuj': {
				icon:'${root}/img/icons/edit.png',
				onclick: function(item, menuKategoria) {
   					pokazLoadImage();
					$.Params.load(this.href);
					document.location.href = '${_kategoriaEdycjaEdycjaURL}&katUslKategoria.id=' + $.Params.get("katUslKategoria.id");
				}
			}
		},
		$.contextMenu.separator,
		{
			'Dodaj czynność': {
				icon:'${root}/img/icons/add.png',
				onclick: function(item, menuKategoria) {
   					pokazLoadImage();
					$.Params.load(this.href);
					document.location.href = '${_czynnoscDodawanieURL}&katUslCzynnosc.kategoriaId=' + $.Params.get("katUslKategoria.id");
				}
			}
		},
		$.contextMenu.separator,
		{
			'Usuń': {
		    	onclick: function(menuItem,menuKategoria) {
					if (confirm('Operacji usuwania nie można cofnąć! Czy kontynuować?')) {
						$.Params.load(this.href);
						document.location.href = '${_listaKategoriiUsunURL}&katUslKategoria.id=' + $.Params.get("katUslKategoria.id");
		        	}
				},
			  	icon: '${root}/img/icons/delete.png'
			}
		}
	];

	var menuCzynnosc = [
   		{
   			'Edytuj': {
   		    	onclick: function(menuItem,menuKategoria) {
					pokazLoadImage();
					$.Params.load(this.href);
					document.location.href = '${_czynnoscEdycjaEdycjaURL}&katUslCzynnosc.id=' + $.Params.get("katUslCzynnosc.id");
   				},
   			  	icon: '${root}/img/icons/edit.png'
   			}
   		},
   		$.contextMenu.separator,
   		{
   			'Usuń':{
   		    	onclick:function(menuItem,menuKategoria) {
   		     		if (confirm('Operacji usuwania nie można cofnąć! Czy kontynuować?')) {
						$.Params.load(this.href);
						document.location.href = '${_czynnoscEdycjaUsunURL}&katUslCzynnosc.id=' + $.Params.get("katUslCzynnosc.id");
   		        	}
   				},
   			  	icon: '${root}/img/icons/delete.png'
   			}
   		}
   	];

	var ignoreOnSelect = true;

	function beforeShowMenu() {
		var temp1 = $("#kat_");
	  	var temp2 = $("#czynnosc_");
	  	if(temp1.length==0 && temp2.length==0) {
			var menuItems = $(this.menu).find('.context-menu-item');
			menuItems.show();

			// włączanie możliwości wyszukiwania
			enableElem($("#sugKatCzynnosci"));

			return true;
		} else {
			// blokowanie wyszukiwania elementów w drzewku
			disableElem($("#sugKatCzynnosci"));
			
			return false;
		}
	}
	
   	function onSelectMenuItem(node, treeObj) {
   		var temp1 = $("#kat_");
	  	var temp2 = $("#czynnosc_");
		
	  	if(temp1.length != 0 || temp2.length != 0) {
	  		ignoreOnSelect = true;

	  		// jeżeli zaznaczono inny element niż ten nowododawany (to zaznacz ten nowododawany)
	  		var id = $(node).attr("id");
			if(id != "kat_" && id != "czynnosc_") {
		  		if(temp1.length != 0) {
		  			treeObj.select_branch(temp1, false);
		  		} else if(temp2.length != 0) {
		  			treeObj.select_branch(temp2, false);
			  	}
			}
		} else if (!ignoreOnSelect) {
			document.location.href = $(node).children("a").attr("href");
		} else {
			ignoreOnSelect = false;
		}
   	}
	
	$(function() {
		$("#struktura").tree({
			plugins: {
				cookie: {
					prefix : "struktura_",
					types : { selected: false, open: false },
					keep_opened: true,
					options : {
						path: "/"
					}
				}
			},
			callback: {
				onselect: function(node, treeObj) {
					return onSelectMenuItem(node, treeObj);
				}
			},
			selected: ["${wybrany}"],
			opened: ["${wybrany}"]
		});
	
		$('#pk').contextMenu(menuRoot, {
			theme: 'vista',
			beforeShow: function() {
				return beforeShowMenu();
			}
		});

		$('#struktura a.kategoria').contextMenu(menuKategoria, {
			theme: 'vista',
			beforeShow: function() {
				return beforeShowMenu();
			}
		});

		$('#struktura a.czynnosc').contextMenu(menuCzynnosc, {
			theme: 'vista',
			beforeShow: function() {
				return beforeShowMenu();
			}
		});

		// zapobiega wyszukiwaniu elementów w momencie wprowadzania danych
		beforeShowMenu();
	});
</script>
