<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jako, że najpierw na stronie jest brane z pageScope to ustawiam --%>
<c:set var="kategoria" value="${kategoria}" scope="page"/>

<c:set var="rozmiarListy" value="0" scope="page"/>
<c:if test="${not empty kategoria.listaPodkategorii && fn:length(kategoria.listaPodkategorii) > 0}">
	<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaPodkategorii)}" scope="page"/>
</c:if>
<c:choose>
	<c:when test="${not empty kategoria.listaCzynnosci && fn:length(kategoria.listaCzynnosci) > 0}">
		<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaCzynnosci)}" scope="page"/>
	</c:when>
	<c:otherwise>
		<c:set var="rozmiarListy" value="50" scope="page"/>
	</c:otherwise>
</c:choose>

<li id="kat_${kategoria.id}" class="kategoria">
	<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.ListaKategoriiAction"
			event="lista" class="kategoria" title="${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
		<stripes:param name="katUslKategoria.id" value="${kategoria.id}"></stripes:param>
		<c:choose>
			<c:when test="${not empty kategoria.dataOd || not empty kategoria.dataDo}">
				<img src="${root}/img/obiekty/katalogCzasowy.png"/>
			</c:when>
			<c:otherwise>
				<img src="${root}/img/obiekty/katalog.png"/>
			</c:otherwise>
		</c:choose>
		${(not empty kategoria.kolejnosc && kategoria.kolejnosc != domyslnaKolejnoscKategorii) ? kategoria.kolejnosc : '-'}. ${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}
	</stripes:link>

	<c:if test="${rozmiarListy > 0}">
		<ul>
			<c:forEach items="${kategoria.listaPodkategorii}" var="k" varStatus="j">
				<c:set var="kategoria" value="${k}" scope="request"/>
				<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoKategoria.jsp" />
			</c:forEach>
			<c:if test="${not empty kategoriaWybrana.nadkategoriaId && kategoria.id == kategoriaWybrana.nadkategoriaId && ttFn:instanceOf(actionBean, kategoriaActionBeanClass)}">
				<c:set var="kategoria" value="${pustaKategoria}" scope="request"/>
				<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoKategoria.jsp" />
			</c:if>

			<c:forEach items="${kategoria.listaCzynnosci}" var="cz" varStatus="j">
				<c:set var="czynnosc" value="${cz}" scope="request"/>
				<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoCzynnosc.jsp" />
			</c:forEach>
			<c:if test="${not empty czynnoscWybrana.kategoriaId && kategoria.id == czynnoscWybrana.kategoriaId && ttFn:instanceOf(actionBean, czynnoscActionBeanClass)}">
				<c:set var="czynnosc" value="${pustaCzynnosc}" scope="request"/>
				<jsp:include page="/jsp/layout/katalogUslugLayout/katalogDrzewkoCzynnosc.jsp" />
			</c:if>
		</ul>
	</c:if>
</li>
