<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
	<head>
		<%@ include file="/jsp/layout/mainLayout/headPliki.jsp" %>
		<script type="text/javascript" src="${root}/js/jquery.contextmenu.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.tree.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.tree.cookie.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.querystring.js"></script>
		
		<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
		
		<script type="text/javascript" src="${root}/js/utils/disabled.js"></script>
		<script type="text/javascript" src="${root}/js/utils/highlight.js"></script>
		
		<%@ include file="katalogDrzewkoHead.jsp" %>
		<%@ include file="katalogDrzewkoPodpHead.jsp" %>

		<link rel="stylesheet" type="text/css" href="${root}/css/struktura.css"/>
		<link rel="stylesheet" type="text/css" href="${root}/css/tree.css"/>
		
		<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
	</head>
	<body>
		<div id="top">
			<%@ include file="/jsp/layout/mainLayout/top.jsp" %>
		</div>
	
		<div id="menuGlowne">
			<%-- menu dynamicznie uzupełniane --%>
		</div>
		<div id="loadImage"></div>
	
		<div id="content">
			<stripes:messages key="formularzMieszkaniecAkcjaMessage"/>
			<h3>
				Katalog usług&nbsp;
				<stripes:link class="button noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.definicja.WydrukAction" event="generuj">
					<stripes:param name="typWydruku" value="PDF"/>
					Drukuj (PDF)
				</stripes:link>
			</h3>

			<div id="kontenerPaneli">
				<div id="panel1" style="width: 25%;">
					<%@ include file="katalogDrzewko.jsp" %>
				</div>
				<div id="panel2" style="min-height: 400px;">
					<stripes:layout-component name="content"/>
				</div>
				<div style="clear: both;"></div>
			</div>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</body>
	</html>
</stripes:layout-definition>