<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
			<title>TOP - TEAM TT DPS</title>
			<link rel="icon" href="${root}/img/tt_logo.ico" type="image/x-icon" />
			
			<link rel="stylesheet" type="text/css" href="${root}/css/dps.css" />
			<link rel="stylesheet" type="text/css" href="${root}/css/ikony.css" />
			<link rel="stylesheet" type="text/css" href="${root}/css/ui/jquery-ui-1.8.custom.css" />
			<link rel="stylesheet" type="text/css" href="${root}/css/form.css" />
			
			<style>
				h1 {
					font-size: 14px;
				}
				
				form .label {
					width: 200px;
				}
			</style>
			
			<%@ include file="/jsp/biblioteki/mainJQuery.jsp" %>
			<%@ include file="/jsp/biblioteki/mainJQueryUI.jsp" %>
			<script type="text/javascript" src="${root}/js/jquery.jclock.js"></script>
			<script type="text/javascript" src="${root}/js/utils/loadImage.js"></script>
			<script type="text/javascript" src="${root}/js/utils/showHide.js"></script>
			<script type="text/javascript" src="${root}/js/utils/trim.js"></script>

			<%@ include file="/jsp/waitpage/overlayWaitPageScript.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					$(".jclock").jclock({
						format: '%A, %d %B %Y, %H:%M',
						timeout: 20000
					});
				});
			</script>
			
			<stripes:layout-component name="htmlHead"/>
		</head>
		<body>
			<div id="top">
				<%@ include file="/jsp/layout/firma/logo.jsp" %>
				
				<div class="jclock"></div>
				
				<div id="quick-links">
					<ul>
						<c:choose>
							<c:when test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
								<li><%@ include file="/jsp/layout/menu/reloadContext.jsp" %></li>
							</c:when>
							<c:otherwise>
								<li>
									<c:set var="kotwicaPomoc" value="PZP_logowanie"/>
									<%@ include file="/jsp/layout/menu/pomoc.jsp" %>
								</li>
								<li>
									<%@ include file="/jsp/layout/menu/pomocTV.jsp" %>
								</li>
							</c:otherwise>
						</c:choose>
					</ul>
				</div>
			</div>
			
			<div id="menuGlowne">
				<%-- menu dynamicznie uzupełniane --%>
			</div>
			<div id="loadImage"></div>
			<%@ include file="/jsp/waitpage/overlayWaitPage.jsp" %>
			
			<div id="content">
				<stripes:layout-component name="content"/>
			</div>
			<div class="firmaInfo" style="text-align: right;"></div>
		</body>
	</html>
</stripes:layout-definition>