<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="bibliotekiAutoComplete" value="true"/>
<c:set var="styleAutoComplete" value="true"/>
<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecAkcjaPodpHead.jsp" %>
<c:set var="bibliotekiAutoComplete" value="false"/>
<c:set var="styleAutoComplete" value="false"/>

<%@ include file="/jsp/layout/firma/logo.jsp" %>

<div>
	<div class="jclock" style="float: right;"></div>
	
	<ttSec:secure roles="OG_R_MIESZKANIEC">
		<div id="widget-mieszkaniec" class="closed">
			<div class="tresc">
				Wpisz początek nazwiska mieszkańca i potwierdź wybór:
				
				<c:set var="sourcePageResolution" value="/jsp/mieszkaniec/listaSourcePage.jsp"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAkcjaPodpField.jsp" %>
			</div>
			<a href="#" class="toggleBtn" id="toggleLink" title="Pokaż/Ukryj wybór kartoteki mieszkańca (F2)"></a>
		</div>
	</ttSec:secure>
</div>

<div id="session-data">
	<table>
		<tr>
			<td>
				<%@ include file="/jsp/layout/przypominacze/przypomnienie.jsp" %>
			</td>
			<td style="width: 15px;">
				&nbsp;
			</td>
			<td>
				<c:if test="${not empty sessionScope.osoba}">
					<stripes:link beanclass="pl.topteam.dps.action.osoba.OstatnioPrzegladanoAction" event="ostatnioPrzeglano">
						Ostatnio przeglądana osoba:<br/>
						${empty sessionScope.osoba.nazwiskoImie ? '' : sessionScope.osoba.nazwiskoImie}
					</stripes:link>
				</c:if>
			</td>
		</tr>
	</table>
</div>

<div id="login">
	Jesteś zalogowany jako ${sessionScope.sessionPracownik.login}<br/>
	
	<c:if test="${not empty sessionScope && not empty sessionScope['sessionPracownik']}">
		<%@ include file="/jsp/layout/przypominacze/zmianaHasla.jsp" %>
		<stripes:link beanclass="pl.topteam.dps.action.pracownik.ListaUstawienAction" event="lista"
				title="Ustawienia pracownika">
			<img src="${root}/img/top/ustawienia_small.png" />
			Ustawienia
		</stripes:link>
		&nbsp;&nbsp;&nbsp;
		<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.IndexAction" event="wyczyscSesje" title="Wyloguj"
				onclick="return confirmation('Czy na pewno chcesz zakończyć pracę z programem ? ')">
			<img src="${root}/img/top/wyloguj.png" />
			Wyloguj
		</stripes:link>

		<div style="margin: 0px; padding: 0px;">
			<c:forEach items="${sessionPracownik.listaUstawien}" var="typUstawienia">
				<c:set var="__dyzur_inny_w_appContext" value="${sessionScope.__rodzajDyzuruPielegniarskiego != applicationScope.__rodzajDyzuruPielegniarskiego}"/>
				
				<c:if test="${stripes:enumName(typUstawienia.typ) == 'DYZUR_PIELEGNIARSKI' && typUstawienia.wartoscS == 'TAK'}">
					<stripes:form id="sesRDyzurForm" beanclass="pl.topteam.dps.action.medyczni.dyzur.realizacja.ZmianaDyzuruAction" style="margin: 0px 0px 0px 0px;">
						<div style="text-align: center; white-space: nowrap;">
							<div style="text-align: left; margin: 0 auto; width: 50%;">
								<stripes:select name="rodzajDyzuru.id" value="${sessionScope.__rodzajDyzuruPielegniarskiego}"
										onchange="zmienRodzajDyzuruPielegniarki('sesRDyzurForm')" title="Aktualny dyżur pielęgniarski">
									<stripes:option value="">-- dyżur pielęgniarski (wybierz) --</stripes:option>
									<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
								</stripes:select>
								
								<c:if test="${__dyzur_inny_w_appContext && not empty applicationScope.__rodzajDyzuruPielegniarskiego}">
									<c:set var="slowaSlownika" value="${kodRodzajuDyzuruPielegniarskiegoSlownik}"/>
									<c:set var="wartoscDoPorow" value="${applicationScope.__rodzajDyzuruPielegniarskiego}"/>
									<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgId.jsp" %>
		
									<a id="podpZmDyzur"
											title="Na podstawie parametrów systemowych stwierdzono zmianę dyżuru. '${wartoscZmiennejZeSlownika}'">
										<img src="${root}/img/help.gif" border="0">
									</a>
								</c:if>
							</div>
						</div>
					</stripes:form>
				</c:if>
			</c:forEach>
		</div>
	</c:if>
</div>

<div id="quick-links">
	<ul>
		<c:choose>
			<c:when test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<li><%@ include file="/jsp/layout/menu/reloadContext.jsp" %></li>
			</c:when>
			<c:otherwise>
				<li>
					<c:set var="kotwicaPomoc" value="PZP_logowanie"/>
					<%@ include file="/jsp/layout/menu/pomoc.jsp" %>
				</li>
				<li>
					<%@ include file="/jsp/layout/menu/pomocTV.jsp" %>
				</li>
			</c:otherwise>
		</c:choose>
	</ul>
</div>
