<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
	<head>
		<%@ include file="/jsp/layout/mainLayout/headPliki.jsp" %>

		<stripes:url var="_MenuMieszkaniecActionURL" beanclass="pl.topteam.dps.action.system.menu.MenuMieszkaniecAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _MenuMieszkaniecActionURL = "${_MenuMieszkaniecActionURL}";
		</script>

		<script type="text/javascript" src="${root}/js/utils/menuMieszkaniec.js"></script>
		
		<link rel="stylesheet" type="text/css" href="${root}/css/daneOsoby.css" />
		<link rel="stylesheet" type="text/css" href="${root}/css/menuOsoba.css" />
	</head>
	<body>
		<div id="top">
			<%@ include file="/jsp/layout/mainLayout/top.jsp" %>
		</div>
	
		<div id="menuGlowne">
			<%-- menu dynamicznie uzupełniane --%>
		</div>
		<div id="loadImage"></div>
	
		<div id="content">
			<stripes:messages key="formularzMieszkaniecAkcjaMessage"/>
			<h3>
				Mieszkaniec:
				<span class="daneOsoby">
					${actionBean.osoba.nazwiskoImie}
					<c:choose>
						<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
							<c:if test="${not empty actionBean.osoba.dpsJednostkaPokoj}">
								&nbsp;(
								<c:if test="${not empty actionBean.osoba.dpsJednostkaPokoj.budynek}">
									<img src="${root}/img/budynek.png" title="budynek"/>
									'${actionBean.osoba.dpsJednostkaPokoj.budynek}'
									&nbsp;
								</c:if>
								<img src="${root}/img/klatka.png" title="piętro"/>
								${actionBean.osoba.dpsJednostkaPokoj.pietro}
								&nbsp;
								<img src="${root}/img/lokal.png" title="nr pokoju"/>
								${actionBean.osoba.dpsJednostkaPokoj.nr}
								)
							</c:if>
							
							<c:if test="${fn:length(actionBean.osoba.informacjeOMieszkancu) > 0 }">
								&nbsp;
								<c:set var="listaInformacjiOMieszkancu" value="${actionBean.osoba.informacjeOMieszkancu}"/>
								<c:set var="staleZameldowanieDom" value="${actionBean.osoba.ewidencjaDps.staleZameldowanieDom}"/>
								<%@ include file="/jsp/templatePages/podpowiedziField/informacjeOMieszkancu.jsp" %>
							</c:if>
						</c:when>
						<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
							(
								wyprowadził<c:if test="${not empty actionBean.osoba.plec && stripes:enumName(actionBean.osoba.plec) == 'K'}">a</c:if> się
								<fmt:formatDate value="${actionBean.osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />
								do
								<c:set var="slowaSlownika" value="${kodMiejscaOdejsciaZDPSuSlownik}"/>
								<c:set var="wartoscDoPorow" value="${actionBean.osoba.ewidencjaDps.dokadOdszedlId}"/>
								'<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>'
							)
						</c:when>
						<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
							(&#8224; <fmt:formatDate value="${actionBean.osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />)
						</c:when>
					</c:choose>
				</span>
			</h3>
			<div id="kontenerPaneli">
				<div id="panel1">
					<%-- menu dynamicznie uzupełniane --%>
				</div>
				<div id="panel2">
					<stripes:layout-component name="content"/>
				</div>
				<div style="clear: both;"></div>
			</div>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</body>
	</html>
</stripes:layout-definition>