<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="bibliotekiAutoComplete" value="true"/>
<c:set var="styleAutoComplete" value="true"/>
<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecAkcjaPodpHead.jsp" %>
<c:set var="bibliotekiAutoComplete" value="false"/>
<c:set var="styleAutoComplete" value="false"/>

<%@ include file="/jsp/layout/firma/logo.jsp" %>

<div>
	<div class="jclock"></div>
	<ttSec:secure roles="OG_R_MIESZKANIEC">
		<div id="widget-mieszkaniec" class="closed">
			<div class="tresc">
				Wpisz początek nazwiska mieszkańca i potwierdź wybór:
				
				<c:set var="sourcePageResolution" value="/jsp/mieszkaniec/listaSourcePage.jsp"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAkcjaPodpField.jsp" %>
			</div>
			<a href="#" class="toggleBtn" id="toggleLink" title="Pokaż/Ukryj wybór kartoteki mieszkańca (F2)"></a>
		</div>
	</ttSec:secure>
</div>

<div id="session-data">
	<table>
		<tr>
			<td>
				<%@ include file="/jsp/layout/przypominacze/przypomnienie.jsp" %>
			</td>
			<td style="width: 15px;">
				&nbsp;
			</td>
			<td>
				<c:if test="${not empty sessionScope.osoba}">
					<stripes:link beanclass="pl.topteam.dps.action.osoba.OstatnioPrzegladanoAction" event="ostatnioPrzeglano">
						Ostatnio przeglądana osoba:<br/>
						${empty sessionScope.osoba.nazwiskoImie ? '' : sessionScope.osoba.nazwiskoImie}
					</stripes:link>
				</c:if>
			</td>
		</tr>
	</table>
</div>

<div id="login">
	Jesteś zalogowany jako ${sessionScope.sessionPracownik.login}<br/><br/>
	
	<c:if test="${not empty sessionScope && not empty sessionScope['sessionPracownik']}">
		<stripes:link beanclass="pl.topteam.dps.action.pracownik.ListaUstawienAction" event="lista"
				title="Ustawienia pracownika">
			<img src="${root}/img/top/ustawienia_small.png" />
			Ustawienia
		</stripes:link>
		&nbsp;&nbsp;&nbsp;
	</c:if>
	<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.IndexAction" event="wyczyscSesje" title="Wyloguj"
			onclick="return confirmation('Czy na pewno chcesz zakończyć pracę z programem ? ')">
		<img src="${root}/img/top/wyloguj.png" />
		Wyloguj
	</stripes:link>
</div>

<div id="quick-links">
	<ul>
		<li>
			<%@ include file="/jsp/layout/menu/pomoc.jsp" %>
		</li>
	</ul>
</div>
