<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<!DOCTYPE html>
	<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
	<html>
	<head>
		<%@ include file="/jsp/layout/mainLayout/headPliki.jsp" %>

		<stripes:url var="_MenuOczekujacyActionURL" beanclass="pl.topteam.dps.action.system.menu.MenuOczekujacyAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _MenuOczekujacyActionURL = "${_MenuOczekujacyActionURL}";
		</script>

		<script type="text/javascript" src="${root}/js/utils/menuOczekujacy.js"></script>
		
		<link rel="stylesheet" type="text/css" href="${root}/css/daneOsoby.css" />
		<link rel="stylesheet" type="text/css" href="${root}/css/menuOsoba.css" />
	</head>
	<body>
		<div id="top">
			<%@ include file="/jsp/layout/mainLayout/top.jsp" %>
		</div>
	
		<div id="menuGlowne">
			<%-- menu dynamicznie uzupełniane --%>
		</div>
		<div id="loadImage"></div>
	
		<div id="content">
			<stripes:messages key="formularzMieszkaniecAkcjaMessage"/>
			<h3>
				Osoba oczekująca:
				<span class="daneOsoby">
					${actionBean.osoba.nazwiskoImie}
					<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON'}">
						(&#8224; <fmt:formatDate value="${actionBean.osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />)
					</c:if>
				</span>
			</h3>
			<div id="kontenerPaneli">
				<div id="panel1">
					<%-- menu dynamicznie uzupełniane --%>
				</div>
				<div id="panel2">
					<stripes:layout-component name="content"/>
				</div>
				<div style="clear: both;"></div>
			</div>
		</div>
		
		<%@ include file="/jsp/layout/firma/pasekInfo.jsp" %>
		<div id="bottom"></div>
	</body>
	</html>
</stripes:layout-definition>