<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<li class="doPrawej">
	<a href="#">Administracja</a>
	<ul>
	
	<%-- BAZA DANYCH --%>
		<li class="groupHeader">
			Baza danych
		</li>
		<ttSec:secure roles="ADM_R_AKTUALIZACJA_BAZY">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.aktualizacjaBazy.ListaAktualizacjiAction" event="lista">
					Aktualizacje bazy
				</stripes:link>
			</li>
		</ttSec:secure>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<%--
			<li>
				<stripes:link href="/h2console" target="_blank"
						onclick="return confirm('Modyfikacja ustawień bezpośrednio na bazie danych może spowodować problemy w działaniu programu. Możesz kontynuować tylko wtedy gdy masz pewność tego co robisz. Czy kontynuować?');">
					Konsola H2
				</stripes:link>
			</li>
			 --%>
			<ttSec:secure roles="ADM_R_KOPIA_BAZY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.db.backup.ListaKopiiZapasowychAction" event="lista">
						Kopie zapasowe
					</stripes:link>
				</li>
			</ttSec:secure>
		</c:if>
	<%-- KONIEC BAZA DANYCH --%>
		
	<%-- PRACOWNICY --%>
		<ttSec:secure roles="ADM_R_DZIENNIK,ADM_R_GRUPA_PRACOW,ADM_R_PRACOWNIK">
			<li class="groupHeader">
				Pracownicy
			</li>
		</ttSec:secure>
		<ttSec:secure roles="ADM_R_DZIENNIK">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.dziennikZdarzen.ListaZdarzenAction" event="lista">
					Dziennik zdarzeń
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="ADM_R_PRACOWNIK">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.ListaPracownikowAction" event="lista">
					Ewidencja
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="ADM_R_GRUPA_PRACOW">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.grupy.ListaGrupAction" event="lista">
					Grupy
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="ADM_R_POLITYKA_BEZPIECZENSTWA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.administracja.politykaBezpieczenstwa.PodgladPolitykiAction" event="podglad">
					Polityka bezpieczeństwa
				</stripes:link>
			</li>
		</ttSec:secure>
	<%-- KONIEC PRACOWNICY --%>
		
	<%-- SERWER TOMCAT --%>
		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<ttSec:secure roles="ADM_R_TOMCAT_LOGI">
				<li class="groupHeader">
					Serwer Tomcat, JVM
				</li>
			</ttSec:secure>
			<ttSec:secure roles="ADM_R_TOMCAT_LOGI">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.administracja.server.TomcatLogiAction" event="przygotujFormatke">
						Logi
					</stripes:link>
				</li>
			</ttSec:secure>
		</c:if>
	<%-- KONIEC SERWER TOMCAT --%>

		<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
			<ttSec:secure roles="ADM_R_ZADANIE_CZASOWE">
				<li class="groupHeader">
					Pozostałe
				</li>
			</ttSec:secure>
			<ttSec:secure roles="ADM_R_ZADANIE_CZASOWE">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ListaZadanAction" event="lista">
						Zadania czasowe
					</stripes:link>
				</li>
			</ttSec:secure>
		</c:if>
	</ul>
</li>
