<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<c:set var="teraz" value="${ttFn:teraz()}"/>

<ttSec:secure roles="OG_R_MIESZKANIEC">
	<li>
		<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">Mieszkańcy</stripes:link>
		<ul>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" event="lista">
					Lista
				</stripes:link>
			</li>
		
		<%-- EWIDENCJA MIESZKAŃCÓW --%>
			<ttSec:secure roles="OG_C_MIESZKANIEC,SOC_C_NALICZANIE_ODPL,OG_U_MIESZKANIEC">
				<li class="groupHeader">
					Ewidencja
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_MIESZKANIEC">
				<li>
					<stripes:link beanclass="pl.topteam.fund.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaFundacjaAction" event="arkuszEwidencyjny">
						Dodaj
					</stripes:link>
				</li>
			</ttSec:secure>
			<%-- <ttSec:secure roles="SOC_R_PRZELEW_DRUK">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.ListaDrukowAction" event="lista">
						Druki przelewów
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.importy.ImportWplatCSVAction" event="dodawanieKrok1">
						Import wpłat
					</stripes:link>
				</li>
			</ttSec:secure> --%>
			<ttSec:secure roles="SOC_C_NALICZANIE_ODPL,SOC_C_NALICZANIE_ODPL">
				<li class="last leaf">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.PlatnosciAction" event="katalog">
						Płatności
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_U_MIESZKANIEC">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.PrzypisanieMieszkancaDoPietraPokojuAction" event="lista">
						Zmiana pokoju
					</stripes:link>
				</li>
			</ttSec:secure>
		<%-- KONIEC EWIDENCJA MIESZKAŃCÓW --%>
			
		<%-- DZIAŁ MEDYCZNY --%>
			<ttSec:secure roles="MED_C_MONITOROWANIE,MED_R_POBR_MATERIALU_BADANIA,MED_C_POMIAR_CISN_TETN,MED_C_POMIAR_GLIKEMII,MED_C_POMIAR_TEMP_CIALA,MED_C_ZALECENIE_LEKARSKIE,LK_C_DAWKOWANIE,LK_C_RECEPTY_FAKTURY,LK_C_REALIZACJA_LEKOW,LK_R_RECEPTY_FAKTURY,LK_R_REALIZACJA_LEKOW,LK_C_RECEPTY,OG_R_PLAN_WSPARCIA_MIESZKANCA,NW_R_KAT_USL_CZYNN,MED_R_ZEBRANIE_ZTO,MED_R_WYROB_MEDYCZNY,MED_C_WYROB_MEDYCZNY">
				<li class="groupHeader">
					Dział medyczny
				</li>
			</ttSec:secure>
			<ttSec:secure roles="MED_C_MONITOROWANIE,MED_R_POBR_MATERIALU_BADANIA,MED_C_POMIAR_CISN_TETN,MED_C_POMIAR_GLIKEMII,MED_C_POMIAR_TEMP_CIALA,MED_C_ZALECENIE_LEKARSKIE">
				<li>
					<a href="#">Badania</a>
					<ul>
						<ttSec:secure roles="MED_C_MONITOROWANIE">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.monitorowanie.MonitorowanieAction" event="dodawanieSzybkie">
									Monitorowanie
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_R_POBR_MATERIALU_BADANIA">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.badania.pobrania.PobranieMaterialuBadaniaAction" event="dodawanieSzybkie">
									Pobranie materiału
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_C_POMIAR_CISN_TETN">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction" event="dodawanieSzybkie">
									Pomiar ciśnienia tętn.
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_C_POMIAR_GLIKEMII">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarGlikemiiAction" event="dodawanieSzybkie">
									Pomiar glikemii
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_C_POMIAR_TEMP_CIALA">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarTemperaturyCialaAction" event="dodawanieSzybkie">
									Pomiar temp. ciała
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_C_ZALECENIE_LEKARSKIE">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.zaleceniaLekarskie.ZalecenieAction" event="dodawanieSzybkie">
									Zalecenia lekarskie
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="LK_C_DAWKOWANIE,LK_C_RECEPTY_FAKTURY,LK_C_REALIZACJA_LEKOW,LK_R_RECEPTY_FAKTURY,LK_R_REALIZACJA_LEKOW,LK_C_RECEPTY">
				<li>
					<a href="#">Leki / recepty</a>
					<ul>
						<ttSec:secure roles="LK_C_DAWKOWANIE">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.szybka.WprowadzanieDawkowaniaAction" event="start">
									Dawkowanie leków
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_R_RECEPTY_FAKTURY,LK_R_REALIZACJA_LEKOW">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.ListaNiezrealizowanychFakturAction" event="lista">
									Faktury&nbsp;/&nbsp;leki niezrealizowane
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_C_RECEPTY_FAKTURY,LK_C_REALIZACJA_LEKOW">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.FakturaZaLekiAction" event="krokMieszkaniec">
									Przyjęcia leków / Faktury
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_C_REALIZACJA_LEKOW">
							<c:if test="${sessionPracownik.czyPozyczkaLekow}">
								<li>
									<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.LekPozyczkaAction" event="dodawanie">
										Pożyczki leków
									</stripes:link>
								</li>
							</c:if>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.LekPrzekazanieAction" event="dodawanie">
									Przekazania leków
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_C_RECEPTY">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.ReceptyNaLekiAction" event="dodawanieKrok1">
									Recepty
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="LK_C_DAWKOWANIE">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.wrp.DawkowanieWRPRealizacjaAction" event="start">
									w.r.p (realizacja)
								</stripes:link>
							</li>
							<%-- FIXME
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.szybka.DawkaInnaNizZZaleceniaAction" event="dodawanie">
									Dawki<br/>
									(inne niż zal. lek.)
								</stripes:link>
							</li>
							--%>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA,NW_R_KAT_USL_CZYNN,MED_R_ZEBRANIE_ZTO">
				<li>
					<a href="#">Plan wsparcia</a>
					<ul>
						<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.ewidencja.ListaPlanowAction" event="lista">
									<stripes:param name="rok" value="${ttFn:rok(teraz)}"/>
									Ewidencja IPWM
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="NW_R_KAT_USL_CZYNN">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.SzybkieWprowadzanieRealizacjiCzynnosciAction" event="krok1">
									Realizacja
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_R_ZEBRANIE_ZTO">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaZebranAction" event="lista">
									Zebrania ZTO
								</stripes:link>
							</li>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaPlanowanychZebranAction" event="lista">
									Zebrania ZTO (planowane)
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="MED_R_WYROB_MEDYCZNY,MED_C_WYROB_MEDYCZNY,MED_C_WYROB_MED_FAKTURY">
				<li>
					<a href="#">Wyroby medyczne</a>
					<ul>
						<ttSec:secure roles="MED_C_WYROB_MEDYCZNY">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescAAction" event="dodawanieSzybkie">
									<stripes:param name="osoba.id" value=""/>
									Comiesięczne (Część A)
								</stripes:link>
							</li>
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ListaZlecenBezCzesciBAction" event="lista">
									Comiesięczne (Część B)
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_C_WYROB_MED_FAKTURY">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.faktury.FakturaZaWyrobyMedyczneAction" event="krokMieszkaniec">
									Faktury
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ListaZlecenBezPotwierdzeniaAction" event="lista">
									Potwierdzenia wydania
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
		<%-- KONIEC DZIAŁ MEDYCZNY --%>
			
		<%-- POZOSTAŁE --%>
			<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI,OG_C_INTERWENCJA_POG_RAT,OG_C_ODWIEDZINY,OG_C_POMIAR_ALKOMATEM">
				<li class="groupHeader">
					Pozostałe
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI,OG_C_INTERWENCJA_POG_RAT">
				<li>
					<a href="#">Interwencje</a>
					<ul>
						<ttSec:secure roles="OG_C_INTERWENCJA_ORG_SCI">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.InterwencjaOrganowScigAction" event="dodawanieSzybkie">
									Organów ścigania
								</stripes:link>
							</li>
						</ttSec:secure>
						<ttSec:secure roles="OG_C_INTERWENCJA_POG_RAT">
							<li class="last leaf">
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.InterwencjaPogotowiaRatAction" event="dodawanieSzybkie">
									Pogotowia ratunkowego
								</stripes:link>
							</li>
						</ttSec:secure>
					</ul>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_ODWIEDZINY">
				<li>
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.odwiedziny.OdwiedzinyAction" event="dodawanieSzybkie">
						Odwiedziny mieszkańca
					</stripes:link>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="OG_C_POMIAR_ALKOMATEM">
				<li class="last leaf">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.PomiarAlkomatemAction" event="dodawanieSzybkie">
						Pomiar alkomatem
					</stripes:link>
				</li>
			</ttSec:secure>
		<%-- KONIEC POZOSTAŁE --%>
		
		</ul>
	</li>
</ttSec:secure>
