<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%--
	Indywidualny plan wsparcia jest razem z diagnozami medycznymi stąd jeśli użytkownik
	ma uprawnienie do wyświetlenia tego planu to w menu należy pokazać plan (ale nie wyświetlać diagnoz).
	
	Jeśli użykownik nie ma uprawnienia do planu, ale ma do diagnoz to trzeba wyświetlić diagnozy.
	
	1 - indywidualny plan wsparcia
	2 - diagnozy medyczne
--%>
<c:set var="CASE_UPR_PLAN_WSPARCIA" value="2"/>
<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
	<c:set var="CASE_UPR_PLAN_WSPARCIA" value="1"/>
</ttSec:secure>

<div id="menuMieszkaniec-ajax">
	<ul>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="powrotOpcje">
				Dane osoby
			</stripes:link>
		</li>
		<li class="groupHeader"></li>
		<ttSec:secure roles="SOC_R_DEC_KIER">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.ListaDecyzjiKierujacychAction">
					Decyzje kierujące /<br/>
					Postanowienia o umieszczeniu
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_DEC_UM">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.umieszczajaca.ListaDecyzjiUmieszczajacychAction">
					Decyzje umieszczające
				</stripes:link>
			</li>
		</ttSec:secure>

		<ttSec:secure roles="SOC_R_DEC_UCH">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.uchylajaca.ListaDecyzjiUchylajacychAction" event="lista">
					Decyzje uchylająca
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_DEC_WYG">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.wygaszajaca.ListaDecyzjiWygaszajacychAction" event="lista">
					Decyzja wygaszająca
				</stripes:link>
			</li>
		</ttSec:secure>
		<c:if test="${CASE_UPR_PLAN_WSPARCIA == 2}">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.diagnoza.realizacja.ListaRealizacjiAction" event="lista">
					Diagnozy
				</stripes:link>
			</li>
		</c:if>
		<ttSec:secure roles="SOC_R_DWD_OS">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.ListaDowodowOsobistychAction" event="lista">
					Dowody osobiste
				</stripes:link>
			</li>
		</ttSec:secure>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" event="historia">
				Historia ewidencji
			</stripes:link>
		</li>
		<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.ListaPrzypisanMieszkancaAction" event="lista">
					Historia ewidencji pokoi
				</stripes:link>
			</li>
		</c:if>
		<ttSec:secure roles="MED_R_HISTORIA_MED">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.historia.ListaWpisowAction" event="lista">
					Historia medyczna
				</stripes:link>
			</li>
		</ttSec:secure>
		<c:if test="${CASE_UPR_PLAN_WSPARCIA == 1}">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.ListaPlanowWsparciaAction" event="lista">
					Indywidualny plan wsparcia
				</stripes:link>
			</li>
		</c:if>
		<ttSec:secure roles="OG_R_INFOR_DOD_REAL">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" event="lista">
					Informacje dodatkowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="OG_R_INTERWENCJA_ORG_SCI">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaInterwencjiOrganowScigAction" event="lista">
					Interwencja org. ścigania
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="OG_R_INTERWENCJA_POG_RAT">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaInterwencjiPogotowiaRatAction" event="lista">
					Interwencja pog. ratunkowego
				</stripes:link>
			</li>
		</ttSec:secure>
		<%--
		<ttSec:secure roles="MED_R_KWALIFIKACJA_PIEL">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.kwalifikacjaPielegniarska.ListaKwalifikacjiAction" event="lista">
					Kwalifikacja pielęgniarska
				</stripes:link>
			</li>
		</ttSec:secure>
		--%>
		<ttSec:secure roles="LK_R_DAWKOWANIE">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ListaZalecenDawkowaniaAction" event="lista">
					Leki / recepty
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="LK_R_MG_L_MIESZKANIEC">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.MagazynAction" event="index">
					Leki (magazyn)
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_MELDUNEK">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.meldunek.ListaMeldunkowAction" event="lista">
					Meldunki czasowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_MONITOROWANIE">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.monitorowanie.ListaMonitorowaniaAction" event="lista">
					Monitorowanie
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_NIEOBECNOSC">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.ListaNieobecnosciAction" event="lista">
					<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/nieobecnosc/listaBledy.jsp')}"/>
					Nieobecności
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_NIEOBECNOSC_INFORMACJA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.ListaNieobecnosciAction" event="lista">
					Nieobecności (informacja)
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_OCENA_WG_SKALI">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.ListaOcenAction" event="lista">
					Ocena wg skal
				</stripes:link>
			</li>
		</ttSec:secure>

		<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_R_DEC_ALIM,SOC_R_DEC_ODPL,SOC_R_ODPLATNOSC,SOC_R_NALICZANIE_ODPL,SOC_R_ODPIS,SOC_R_WPLATY_PLATNOSC,SOC_R_ZWROT">
			<li>
				<ttSec:secure roles="SOC_R_ODPLATNOSC" defaultText="Odpłatność / alimentacja">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="lista">
						Odpłatność / alimentacja
					</stripes:link>
				</ttSec:secure>
				<ul>
					<ttSec:secure roles="SOC_R_DEC_ALIM">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oAlimentacji.ListaDecyzjiOAlimentacjiAction" event="lista">
								Decyzje o alimentacji
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_DEC_ODPL">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiOOdplatnosciAction" event="lista">
								Decyzje o odpłatności
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_ODPLATNOSC">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="lista"
									title="Kwoty odpłatności za pobyt do comiesięcznych naliczeń">
								Kwoty do płatności
							</stripes:link>
						</li>
						<li>
							<stripes:link id="lnkZmOdplatnosci" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.ZmianyPodgladAction" event="podglad"
									title="Wykryte zmiany w odpłatnościach">
								Stan zmian
							</stripes:link>
						</li>
					</ttSec:secure>
				</ul>
			</li>
			<li>
				<ttSec:secure roles="SOC_R_ODPLATNOSC" defaultText="Odpłatność - rozliczenie">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaAction" event="dlug"
							title="Całościowe rozliczenie wpłat mieszkańca na poczet różnych wierzytelności">
						Odpłatność - rozliczenie
					</stripes:link>
				</ttSec:secure>
				<ul>
					<ttSec:secure roles="SOC_R_ODPLATNOSC">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaAction" event="dlug"
									title="Całościowe rozliczenie wpłat mieszkańca na poczet różnych wierzytelności">
								Rozliczenie
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL,SOC_R_ODPIS,SOC_R_WPLATY_PLATNOSC,SOC_R_ZWROT">
						<li class="groupHeader"></li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" event="lista"
									title="Lista naliczeń płatności za poszczególne miesiące">
								Naliczenia
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="OG_R_FAKTURY">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.faktury.ListaFakturAction" event="lista"
									title="Lista faktury wystawionych w danym miesiącu">
								Faktury
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_ODPIS">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.ListaOdpisowAction" event="lista"
									title="Lista odpisów za nieobecności">
								Odpisy
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.zadluzenie.ListaWplatAction" event="lista"
									title="Lista wpłat mieszkańca">
								Wpłaty
							</stripes:link>
						</li>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_ZWROT">
						<li>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.zwroty.ListaZwrotowAction" event="lista"
									title="Lista zwrotów mieszkańca">
								Zwroty
							</stripes:link>
						</li>
					</ttSec:secure>
				</ul>
			</li>
		</ttSec:secure>

		<ttSec:secure roles="OG_C_ODWIEDZINY">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.odwiedziny.ListaOdwiedzinAction" event="lista">
					Odwiedziny
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_ORZECZ_NIEP">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.ListaOrzeczenNiepelnosprawnoscAction" event="lista">
					Orzeczenia o niepełnosprawności
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_POSTANOWIENIE_SADU">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.ListaPostanowienSadowychAction" event="lista">
					Postanowienia sądu
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_POB_SWIAD">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.ListaPobieranychSwiadczenAction" event="lista">
					Pobierane świadczenia
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_POBR_MATERIALU_BADANIA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.badania.pobrania.ListaPobranMaterialuBadaniaAction" event="lista">
					Pobrania materiału do badań
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="OG_R_POMIAR_ALKOMATEM">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaPomiarowAlkomatemAction" event="lista">
					Pomiary alkomatem
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_POMIAR_CISN_TETN">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.ListaPomiarowCisnieniaTetnAction" event="lista">
					Pomiary ciśnienia tętn.
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_POMIAR_GLIKEMII">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.ListaPomiarowGlikemiiAction" event="lista">
					Pomiary glikemii
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_POMIAR_TEMP_CIALA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.ListaPomiarowTemperaturyCialaAction" event="lista">
					Pomiary temp. ciała
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="NW_R_KAT_USL_CZYNN">
			<%-- jeżeli mieszkańcowi zostały wyszczególnione w planie wsparcia czynności, które może wykonać zalogowany pracownik --%>
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.katalogUslug.realizacja.ListaWpisowPracownikaAction" event="listaOstTydzien">
					Realizacja planu wsparcia
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_REALIZACJA_WYROBOW_MED">
			<li>
				<stripes:link id="lnkRealizacje" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaRealizacjiZlecenAction" event="lista">
					Realizacja wyrobów med.
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_ZALECENIE_LEKARSKIE">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.zaleceniaLekarskie.ListaZalecenAction" event="lista">
					Zalecenia lekarskie
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaZlecenOsobyAction" event="lista">
					Zlecenia wyroby med.
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_ZAPOMOGA">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.zapomoga.ListaWydanychZapomogAction" event="lista">
					<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/zapomoga/listaBledy.jsp')}"/>
					Zapomogi
				</stripes:link>
			</li>
		</ttSec:secure>
	</ul>
</div>
