<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%--
	Indywidualny plan wsparcia jest razem z diagnozami medycznymi stąd jeśli użytkownik
	ma uprawnienie do wyświetlenia tego planu to w menu należy pokazać plan (ale nie wyświetlać diagnoz.
	
	Jeśli użykownik nie ma uprawnienia do planu ale ma do diagnoz to trzeba wyświetlić diagnozy.
	
	1 - indywidualny plan wsparcia
	2 - diagnozy medyczne
--%>
<c:set var="CASE_UPR_PLAN_WSPARCIA" value="2"/>
<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
	<c:set var="CASE_UPR_PLAN_WSPARCIA" value="1"/>
</ttSec:secure>

<div id="menuMieszkaniec-ajax">
	<ul>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" event="powrotOpcje">
				Dane osoby
			</stripes:link>
		</li>
		<li class="groupHeader"></li>
		<ttSec:secure roles="SOC_R_DEC_ODPL">
			<li>
				<stripes:link beanclass="pl.topteam.ddp.action.socjalni.decyzja.oOdplatnosci.ListaDecyzjiDzOOdplatnosciAction" event="lista">
					Decyzje o odpłatności
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_DWD_OS">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.ListaDowodowOsobistychAction" event="lista">
					Dowody osobiste
				</stripes:link>
			</li>
		</ttSec:secure>
		<li>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" event="historia">
				Historia ewidencji
			</stripes:link>
		</li>
		<ttSec:secure roles="OG_R_INFOR_DOD_REAL">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" event="lista">
					Informacje dodatkowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="OG_R_INTERWENCJA_ORG_SCI">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaInterwencjiOrganowScigAction" event="lista">
					Interwencja org. ścigania
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="OG_R_INTERWENCJA_POG_RAT">
			<li>
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.interwencja.ListaInterwencjiPogotowiaRatAction" event="lista">
					Interwencja pog. ratunkowego
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_SWIADCZENIE_REALIZACJA">
			<li>
				<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ListaRealizacjiAction" event="lista">
					Realizacja świadczeń
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_SWIADCZENIE_ROZLICZENIA">
			<li>
				<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ListaRozliczenAction" event="lista">
					Rozliczenia
				</stripes:link>
			</li>
		</ttSec:secure>
	</ul>
</div>
