<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div id="menuOczekujacy-ajax">
	<ul class="ltr menuContainer">
		<li class="last leaf">
			<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="powrotOpcje">
				Dane osoby
			</stripes:link>
		</li>
		<li class="groupHeader"></li>
		<ttSec:secure roles="SOC_R_DEC_KIER">
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.kierujaca.ListaDecyzjiKierujacychAction">
					Decyzje kierujące /<br/>
					Postanowienia o umieszczeniu
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_DEC_WYG">
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.decyzja.wygaszajaca.ListaDecyzjiWygaszajacychAction" event="lista">
					Decyzja wygaszająca
				</stripes:link>
			</li>
		</ttSec:secure>
		<li class="last leaf">
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.HistoriaEwidencjiOsobyAction" event="historia">
				Historia ewidencji
			</stripes:link>
		</li>
		<ttSec:secure roles="OG_R_INFOR_DOD_REAL">
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.informacjaDodatkowa.realizacja.ListaInformacjiDodatkowychAction" event="lista">
					Informacje dodatkowe
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_POSTANOWIENIE_SADU">
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.ListaPostanowienSadowychAction" event="lista">
					Postanowienia sądu
				</stripes:link>
			</li>
		</ttSec:secure>
	
		<ttSec:secure roles="OG_C_MIESZKANIEC">
			<li class="groupHeader"></li>
			<li class="groupHeader"></li>
			<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) != 'OSOBA_OCZEKUJACA_ZGON'}">
				<li class="last leaf">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction" event="arkuszEwidencyjnyPreparePrzeksztalcenie">
						<stripes:param name="osoba.id" value="${actionBean.osoba.id}"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/oczekujacy/opcje.jsp')}"/>
						Przekształć w mieszkańca
					</stripes:link>
				</li>
			</c:if>
		</ttSec:secure>
	</ul>
</div>

