<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<script type="text/javascript">
	$(".blink").blink({
		delay: 800
	});
</script>

<c:set var="dzis" value="${ttFn:dzis()}"/>
<c:set var="ostatnieNaliczone" value="${actionBean.ostatnieNaliczone}"/>
<c:set var="czyNoweDoliczenia" value="${actionBean.liczbaNowychDoliczen > 0}"/>
<c:set var="czyNierozliczoneOdejscia" value="${actionBean.liczbaNierozliczonychOdejsc > 0}"/>

<div id="menuPlatnosci-ajax">
	<ul>
		<ttSec:secure roles="SOC_R_NALICZANIE_ODPL,SOC_C_NALICZANIE_ODPL,SOC_U_NALICZANIE_ODPL">
			<li class="groupHeader">POBYT</li>
			<li class="last leaf">
				<c:if test="${not empty ostatnieNaliczone}">
					<fmt:parseDate var="_pocz_biez_okresu" value="${ostatnieNaliczone.rok}-${ostatnieNaliczone.miesiac < 10 ? '0' : ''}${ostatnieNaliczone.miesiac}-01" pattern="${DATE_PATTERN}"/>

					<c:set var="_pocz_nast_okresu" value="${ttFn:dodajMiesiace(_pocz_biez_okresu, 1)}"/>
					<fmt:formatDate var="_pocz_nast_okresu_rok" value="${_pocz_nast_okresu}" pattern="yyyy" />
					<fmt:formatDate var="_pocz_nast_okresu_miesiac" value="${_pocz_nast_okresu}" pattern="M" />
					
					<%--
						szybkie naliczenie za następny okres tylko gdy dzis <= poczatek_nast_okresu
					--%>
					<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
 						<c:if test="${ttFn:compareDates(dzis,_pocz_nast_okresu) >= 0}">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczenieOkresAction" event="dodajOkres" class="optionLink">
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/platnosc.jsp')}"/>
								<stripes:param name="aktualizacja.dataOd" value="${_pocz_nast_okresu}"/>
								<img src="${root}/img/plusButton.gif"/>
							</stripes:link>
 						</c:if>
 					</ttSec:secure>
 					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaSkladnikowOkresuAction" event="dispatch"
								class="optionLink" title="Ostatnie naliczenie (przypis) wykonane w programie">
							<stripes:param name="rok" value="${ostatnieNaliczone.rok}"/>
							<stripes:param name="miesiac" value="${ostatnieNaliczone.miesiac}"/>
							
							(${ostatnieNaliczone.rok}/${ostatnieNaliczone.miesiac})
						</stripes:link>
					</ttSec:secure>
				</c:if>
				<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.ListaNaliczenAction" event="lista"
							class="optionLink" title="Różnicowy wydruk naliczeń">
						&nbsp;R&nbsp;
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaOkresowAction" event="lista"
							class="baseLink" title="Naliczenie (przypisy) za pobyt">
						Naliczenia
					</stripes:link>
				</ttSec:secure>
			</li>
			
			<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
				<li class="last leaf">
					<c:choose>
						<c:when test="${not empty czyNoweDoliczenia && czyNoweDoliczenia}">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista"
									class="baseLink" title="Jest już nowy okres rozliczeniowy / nastąpiły zmiany w naliczeniach">
								<img class="blink" src="${root}/img/warning.gif"/>&nbsp;Doliczenia
							</stripes:link>
						</c:when>
						<c:otherwise>
							<stripes:link class="baseLink" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista"
									title="Różnica pomiędzy naliczeniami (przypisami) a kwotami płatności z decyzji">
								Doliczenia
							</stripes:link>
						</c:otherwise>
					</c:choose>
				</li>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
				<li class="last leaf">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" event="lista"
							title="Nierozliczone ewidencje odejść mieszkańców">
						<c:choose>
							<c:when test="${not empty czyNierozliczoneOdejscia && czyNierozliczoneOdejscia}">
								<img class="blink" src="${root}/img/warning.gif"/>&nbsp;Nierozliczone odejścia osób !!!
							</c:when>
							<c:otherwise>
								Rozliczenie odejść
							</c:otherwise>
						</c:choose>
					</stripes:link>
				</li>
			</ttSec:secure>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_R_ODPIS,SOC_R_ZWROT,SOC_R_WPLATY_PLATNOSC">
			<li class="groupHeader">DOKUMENTY</li>
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaInfoAction" event="info">
					Noty
				</stripes:link>
			</li>
				<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC,SOC_C_WPLATY_PLATNOSC">
					<li class="last leaf submenu">
						<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
									class="optionLink" title="Generuj nową notę">
								<stripes:param name="nota.typ" value="DOPLATY"/>
								<img src="${root}/img/plusButton.gif"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Pobranie z kasy mieszkańca">
								<stripes:param name="nota.typ" value="DOPLATY"/>
								<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
								&nbsp;K&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_DEPOZYT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Pobranie z depozytów">
								<stripes:param name="nota.typ" value="DOPLATY"/>
								<stripes:param name="rodzajKont" value="DEPOZYT"/>
								&nbsp;D&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Lista brakujących wpłat">
								<stripes:param name="nota.typ" value="DOPLATY"/>
								&nbsp;W&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_R_ODPLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.ListaLimitowAction" event="lista"
									class="optionLink" title="Limity, ograniczenia wysokości dopłat">
								&nbsp;L&nbsp;
							</stripes:link>
						</ttSec:secure>
						
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
								class="baseLink" title="Noty dopłat - lista">
							<stripes:param name="nota.typ" value="DOPLATY"/>
							Dopłaty
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC,OG_R_FAKTURY">
					<li class="last leaf submenu">
						<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
									class="optionLink" title="Generuj nową notę">
								<stripes:param name="nota.typ" value="FAKTURY"/>
								<img src="${root}/img/plusButton.gif"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Pobranie z kasy mieszkańca">
								<stripes:param name="nota.typ" value="FAKTURY"/>
								<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
								&nbsp;K&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_DEPOZYT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Pobranie z depozytów">
								<stripes:param name="nota.typ" value="FAKTURY"/>
								<stripes:param name="rodzajKont" value="DEPOZYT"/>
								&nbsp;D&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.ListaNiezrealizowanychWplatAction" event="lista"
									class="optionLink" title="Lista brakujących wpłat">
								<stripes:param name="nota.typ" value="FAKTURY"/>
								&nbsp;W&nbsp;
							</stripes:link>
						</ttSec:secure>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
								class="baseLink" title="Faktury - lista płatności">
							<stripes:param name="nota.typ" value="FAKTURY"/>
							Faktury
						</stripes:link>
					</li>
				</ttSec:secure>
				<ttSec:secure roles="SOC_R_ODPIS,SOC_C_ODPIS">
					<li class="last leaf submenu">
						<ttSec:secure roles="SOC_C_ODPIS">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
									class="optionLink" title="Generuj nową notę">
								<stripes:param name="nota.typ" value="ODPISY"/>
								<img src="${root}/img/plusButton.gif"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
								<stripes:param name="nota.typ" value="ODPISY"/>
								<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
								&nbsp;K&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_DEPOZYT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Przekazanie zwrotów na depozyt">
								<stripes:param name="nota.typ" value="ODPISY"/>
								<stripes:param name="rodzajKont" value="DEPOZYT"/>
								&nbsp;D&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_C_ODPIS">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Lista brakujących zwrotów">
								<stripes:param name="nota.typ" value="ODPISY"/>
								&nbsp;Z&nbsp;
							</stripes:link>
						</ttSec:secure>
						
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
								class="baseLink" title="Odpisy za nieobecność">
							<stripes:param name="nota.typ" value="ODPISY"/>
							Odpisy (N)
						</stripes:link>
					</li>
				</ttSec:secure>
				<li class="last leaf submenu">
					<ttSec:secure roles="SOC_C_ZWROT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
								class="optionLink" title="Generuj nową notę">
							<stripes:param name="nota.typ" value="WYROWNANIA"/>
							<img src="${root}/img/plusButton.gif"/>
						</stripes:link>
					</ttSec:secure>
					
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
							class="baseLink" title="Wyrównania płatności za pobyt w poszczególnych miesiącach">
						<stripes:param name="nota.typ" value="WYROWNANIA"/>
						Wyrównania
					</stripes:link>
				</li>
				<ttSec:secure roles="SOC_R_ZWROT,SOC_C_ZWROT">
					<li class="last leaf submenu">
						<ttSec:secure roles="SOC_C_ZWROT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaGeneratorDispatchAction" event="dispatch"
									class="optionLink" title="Generuj nową notę">
								<stripes:param name="nota.typ" value="ZWROTY"/>
								<img src="${root}/img/plusButton.gif"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Przekazanie zwrotów do kasy mieszkańca">
								<stripes:param name="nota.typ" value="ZWROTY"/>
								<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
								&nbsp;K&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_DEPOZYT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Przekazanie zwrotów na depozyt">
								<stripes:param name="nota.typ" value="ZWROTY"/>
								<stripes:param name="rodzajKont" value="DEPOZYT"/>
								&nbsp;D&nbsp;
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_C_ZWROT">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction" event="lista"
									class="optionLink" title="Lista brakujących zwrotów">
								<stripes:param name="nota.typ" value="ZWROTY"/>
								&nbsp;Z&nbsp;
							</stripes:link>
						</ttSec:secure>
						
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="lista"
								class="baseLink" title="Zwroty - lista">
							<stripes:param name="nota.typ" value="ZWROTY"/>
							Zwroty
						</stripes:link>
					</li>
				</ttSec:secure>
			<ttSec:secure roles="SOC_R_ODPLATNOSC,SOC_C_ODPLATNOSC">
				<li class="last leaf">
					<ttSec:secure roles="SOC_C_ODPLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaGeneratorAction" event="formularz"
								class="optionLink" title="Generuj zestawienie">
							<img src="${root}/img/plusButton.gif"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_ODPLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="lista"
								class="baseLink" title="Księgowe zestawienie 'winien-ma' do rozliczenia odpłatności za pobyt">
							Zestawienie winien/ma
						</stripes:link>
					</ttSec:secure>
				</li>
			</ttSec:secure>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
			<li class="groupHeader">WPŁATY</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataAction" event="opcje"
							class="optionLink" title="Nowe wpłaty instytucji dopłacających">
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" event="lista">
					Instytucji (po 2004)
				</stripes:link>
			</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataAction" event="opcje"
							class="optionLink" title="Nowe wpłaty ze świadczeń">
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscListaWplatAction" event="lista">
					Z pob. świadczeń
				</stripes:link>
			</li>
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataAction" event="krok1" class="optionLink"
						title="Nowa 'inna' wpłata dla wybranego płatnika">
					<img src="${root}/img/plusButton.gif"/>
				</stripes:link>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" event="lista">
					Inne
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_DEPOZYT">
			<li class="groupHeader">DEPOZYT</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_C_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" event="formularz" class="optionLink"
							title="Inicjalizacja konta depozytowego">
						<stripes:param name="konto.rodzaj" value="DEPOZYT"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" event="podglad">
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					Stan bieżący
				</stripes:link>
			</li>
			<li class="last leaf">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieLokataAction" event="naliczenie" class="optionLink"
						title="Naliczanie odsetek wg oprocentowania (lokata)">
					&nbsp;L&nbsp;
				</stripes:link>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.NaliczenieKwotowoAction" event="krok1KwotaRozbicia" class="optionLink"
						title="Naliczanie odsetek wg stanu kont (kwotowo)">
					&nbsp;K&nbsp;
				</stripes:link>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.odsetki.ListaNaliczenAction" event="lista">
					Odsetki&nbsp;/&nbsp;Podatek
				</stripes:link>
			</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_U_DEPOZYT">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataAction" event="dodawanie" class="optionLink"
							title="Nowa 'inna' wypłata z depozytu">
						<stripes:param name="rodzajKont" value="DEPOZYT"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista">
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					Wypłaty
				</stripes:link>
			</li>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_KASA_MIESZKANCA">
			<li class="groupHeader">KASA MIESZKAŃCA</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_C_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.nowe.NoweKontoAction" event="formularz" class="optionLink"
							title="Inicjalizacja konta depozytowego">
						<stripes:param name="konto.rodzaj" value="KASA_MIESZKANCA"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.StanBiezacyAction" event="podglad">
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					Stan bieżący
				</stripes:link>
			</li>
			<li class="last leaf">
				<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.InnaWyplataAction" event="dodawanie" class="optionLink"
							title="Nowa 'inna' wypłata z kasy mieszkańca">
						<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
						<img src="${root}/img/plusButton.gif"/>
					</stripes:link>
				</ttSec:secure>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.wyplata.ListaInnychAction" event="lista">
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					Wypłaty
				</stripes:link>
			</li>
		</ttSec:secure>
	</ul>
</div>
