<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="../../recepty/mieszkaniec/listaLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkDawki");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
					<div>
						<h5 class="daneWyroznione">
							Aktaulnie stosowane dawki leków
							<c:if test="${not empty aktualneZalecenie}">
								<br/>(obowiązują od dnia <fmt:formatDate value="${aktualneZalecenie.dataOd}" pattern="${DATE_PATTERN}" />)
							</c:if>
						</h5>
						
						<c:set var="listaDawek" value="${aktualneDawki}"/>
						<%@ include file="../podgladDawek.jsp" %>
					</div>
				</c:if>
				<div class="listFooterText">
					<ttSec:secure roles="LK_C_DAWKOWANIE">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.DodawanieDawkowaniaAction"
								event="dodawanie">
							Dodaj nowe zalecenie
						</stripes:link>
					</ttSec:secure>
				</div>
				
				<h5 class="daneWyroznione">Historia dawkowania leków</h5>
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
