<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZalecen}" id="listaZalecen" var="zalecenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataOd" title="Data od kiedy stosowane" styleClass="daneWyroznione" filterable="false"
					cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_DAWKOWANIE">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.EdycjaDawkowaniaAction" event="edycja">
							<stripes:param name="dawkowanie.id" value="${zalecenie.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj zalecenie dawkowania leków"/>
						</stripes:link>
					</ttSec:secure>
					<%-- FIXME
					<ttSec:secure roles="LK_C_DAWKOWANIE">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.indywidualnie.DawkiInneNizZalecaneListaAction" event="lista">
							<stripes:param name="dawkowanie.id" value="${zalecenie.id}"/>
							<img src="${root}/img/edit.png" class="iconspace" title="Wyjątki w realizacji ustalonych dawek leków"/>
						</stripes:link>
					</ttSec:secure>
					--%>
					<c:if test="${zalecenie.id == najnowszeZalecenie.id}">
						<ttSec:secure roles="LK_C_DAWKOWANIE">
							<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ZmianaDawkowaniaAction" event="zmiana">
								<stripes:param name="dawkowanie.id" value="${zalecenie.id}"/>
								<img src="${root}/img/del.png" class="iconspace" title="Zmień zalecenie dawkowania leków"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="LK_D_DAWKOWANIE">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ListaZalecenDawkowaniaAction" event="usun"
									onclick="return confirmation('Czy na pewno chcesz usunąć to zalecenie ? ')">
								<stripes:param name="dawkowanie.id" value="${zalecenie.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/dawkowanie/indywidualnie/lista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace" title="Usuń zalecenie dawkowania leków"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
