<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDawkaPodanie}" id="listaDawkaPodanie" var="dawkaPodanie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 550px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data<br/>zastosowania" styleClass="daneWyroznione" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor"/>
			<jmesa:htmlColumn property="poraDnia.nazwa" title="Pora<br/>dnia" filterable="false" sortable="false"/>
			<jmesa:htmlColumn property="lekId" title="Lek" filterable="false" sortable="false">
				<c:set var="obiektLek" value="${dawkaPodanie.lek}"/>
				<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dawka" title="Dawka" filterable="false" styleClass="alignRight" cellRenderer="pl.topteam.utils.jmesa.view.renderer.NumberDPCellRenderer"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_DAWKOWANIE">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.indywidualnie.DawkaInnaNizZalecanaAction" event="edycja">
							<stripes:param name="dawka.dawkowanieId" value="${dawkaPodanie.dawkowanieId}"/>
							<stripes:param name="dawka.lekId" value="${dawkaPodanie.lekId}"/>
							<stripes:param name="dawka.poraId" value="${dawkaPodanie.poraId}"/>
							<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj podaną dawkę leku"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.indywidualnie.DawkiInneNizZalecaneListaAction" event="usun" onclick="return confirmation('Czy na pewno chcesz usunąć tę dawkę?')">
							<stripes:param name="dawka.dawkowanieId" value="${dawkaPodanie.dawkowanieId}"/>
							<stripes:param name="dawka.lekId" value="${dawkaPodanie.lekId}"/>
							<stripes:param name="dawka.poraId" value="${dawkaPodanie.poraId}"/>
							<img src="${root}/img/delete.gif" class="iconspace" title="Wyjątki w realizacji ustalonych dawek leków"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
