<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="../korektaLeku.jsp" %>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="dodawanieEdycjaHead.jsp" %>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="dawkaForm"
					beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ZmianaDawkowaniaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="dawkowanie.poprzednieDawkowanieId"/>
				<fieldset>
					<legend>
						Zmiana zalecenia dawkowania
					</legend>
					
					<fieldset style="border-top: none;">
						<%@ include file="../dawkowanie.jsp" %>
						
						<fieldset>
							<c:choose>
								<c:when test="${!korektaLeku}">
									<stripes:submit name="wprowadzDawkowanie" value="Wprowadź dawkowanie"/>
								</c:when>
								<c:otherwise>
									<stripes:submit name="anulowanieKorekty" value="Anuluj"/>
									&nbsp;&nbsp;
									<stripes:submit name="zapisKorektyDawki" value="Potwierdź dawkowanie"/>
								</c:otherwise>
							</c:choose>
						</fieldset>
					</fieldset>
				
					<fieldset>
						<legend>
							Wprowadzone dawki leków
						</legend>
						<div class="row">
							<div class="label">
								<label>
									od dnia
								</label>
							</div>
							<div class="input">
								<stripes:text name="dawkowanie.dataOd" class="data required"
										title="Dzień, od którego stosować wyznaczone dawki leków" formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="dawkowanie.dataOd"/>
							</div>
						</div>
						
						<div align="center" style="padding-top: 20px;">
							<c:choose>
								<c:when test="${not empty actionBean.listaDawek}">
									Wprowadzone dawki leków
									<div align="center">
										<c:forEach items="${actionBean.listaDawek}" var="dawka" varStatus="i">
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.id"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.nazwa"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.dawka"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.opakowanieJednostkaPojemnosci"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.postac"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.czyRecepta"/>
											
											<stripes:hidden name="listaDawek[${i.count - 1}][0].czyRecepta"/>
											
											<c:forEach items="${listaAktualnychPorDnia}" var="poraDnia" varStatus="j">
												<stripes:hidden name="listaDawek[${i.count - 1}][${j.count - 1}].poraId"/>
												<stripes:hidden name="listaDawek[${i.count - 1}][${j.count - 1}].dawka"/>
											</c:forEach>
										</c:forEach>

										<%@ include file="../listaDawek.jsp" %>
									</div>
								</c:when>
								<c:otherwise>
									<div style="text-align: center;">
										NIE WPROWADZONO ŻADNEGO LEKU
									</div>
								</c:otherwise>
							</c:choose>
						</div>
					</fieldset>
				</fieldset>
				
				<c:if test="${!korektaLeku}">
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.indywidualnie.ListaZalecenDawkowaniaAction"
									class="button" event="lista">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
				</c:if>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
