<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${actionBean.listaDawek}" id="listaDawek" var="dawka" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="text-align: center; min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwa leku" property="lek.nazwa" styleClass="alignLeft">
				<span class="${actionBean.lekNazwa == dawka[0].lek.nazwa && korektaLeku ? 'daneWyroznioneNormal' : ''}">
					${dawka[0].lek.nazwa}
				</span>
			</jmesa:htmlColumn>
			<c:forEach items="${listaAktualnychPorDnia}" var="poraDnia" varStatus="i">
				<jmesa:htmlColumn title="${poraDnia.skrot}" property="dawka_${poraDnia.skrot}">
					<span class="${actionBean.lekNazwa == dawka[0].lek.nazwa && korektaLeku ? 'daneWyroznioneNormal' : ''}">
						<c:choose>
							<c:when test="${empty dawka[i.count - 1].poraId}">
								<fmt:formatNumber value="0.0" pattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:when>
							<c:otherwise> 
								<fmt:formatNumber value="${dawka[i.count - 1].dawka}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:otherwise>
						</c:choose>
					</span>
				</jmesa:htmlColumn>
			</c:forEach>
			<c:if test="${!korektaLeku}">
				<jmesa:htmlColumn title="opcje" property="opcje" sortable="false" filterable="false">
					<div class="ikonki">
						<a href="#" onclick="edytujLek('${dawka[0].lek.nazwa}');">
							<img src="${root}/img/edit.gif" class="iconspace cursorPointer" title="Edytuj lek '${dawka[0].lek.nazwa}'"/>
						</a>
						<a href="#" onclick="usunLek('${dawka[0].lek.nazwa}');">
							<img src="${root}/img/delete.gif" class="iconspace cursorPointer" title="Usuń lek '${dawka[0].lek.nazwa}'" />
						</a>
					</div>
				</jmesa:htmlColumn>
			</c:if>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
