<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDawek}" id="listaDawek" var="dawka" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaDawek)}">
	<jmesa:htmlTable style="text-align: center; min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Lek na receptę" property="recepta">
				<c:if test="${not empty dawka[0].czyRecepta && dawka[0].czyRecepta}"> TAK</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Nazwa leku" property="lek.nazwa" styleClass="alignLeft">
				${dawka[0].lek.nazwa}
			</jmesa:htmlColumn>
			<c:forEach items="${listaAktualnychPorDnia}" var="poraDnia" varStatus="i">
				<jmesa:htmlColumn title="${poraDnia.skrot}" property="dawka_${poraDnia.skrot}">
					<c:choose>
						<c:when test="${empty dawka[i.count - 1].poraId}">
							<fmt:formatNumber value="0.0" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						</c:when>
						<c:otherwise> 
							<fmt:formatNumber value="${dawka[i.count - 1].dawka}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						</c:otherwise>
					</c:choose>
				</jmesa:htmlColumn>
			</c:forEach>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
