<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			function przeladujLeki() {
				$("<input type='hidden' name='lekiMieszkanca' value=''/>").appendTo("#dawkaLekuForm");
		    	pokazLoadImage();
		    	$("#dawkaLekuForm").submit();

		    	return true;
			}

			// funkcje do wykonania po uzupełnieniu pola mieszkańca
			postCreateMFilter = {
				'mieszkaniec' : przeladujLeki
			};
			
			$(document).ready(function() {
				// autopodpowiedzi
				$("#mieszkaniec").click();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Rejestracja podania innej dawki leków niż ta ustalona zaleceniem lekarskim</h3>
		<div class="formContainer">
			<stripes:form id="dawkaLekuForm" beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.realizacja.szybka.DawkaInnaNizZZaleceniaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Mieszkaniec</legend>

					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
				</fieldset>
				
				<c:if test="${not empty actionBean.mieszkaniec.id}">
					<fieldset>
						<legend>
							Zrealizowana dawka
						</legend>
						
						<c:set var="nazwaPolaDawkaPodanie" value="dawka"/>
						<%@ include file="/jsp/templatePages/polaDawkaPodanie.jsp" %>
					</fieldset>
				</c:if>

				<%@ include file="/jsp/templatePages/podpowiedziField/kontynuujWprowadzanieFieldset.jsp" %>
			
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
