<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="../korektaLeku.jsp" %>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>

		<script type="text/javascript" src="${root}/js/utils/disabled.js"></script>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			function edytujLek(lekNazwa) {
				$("input[name='lekNazwa']").remove();
			
				// id usuwanego elementu
				$("<input type='hidden' name='lekNazwa' value='" + lekNazwa + "'/>").appendTo("#formularzGlowny");
				// akcja wizarda odpowiadajaca za usuwanie
				$("<input type='hidden' name='korektaDawek' value=''/>").appendTo("#formularzGlowny");
				
				$("#formularzGlowny").submit();
			}
			
			function usunLek(lekNazwa) {
				if(confirmation("Czy na pewno chcesz usunąć dawkę tego leku ?")) {
					$("input[name='lekNazwa']").remove();
					
					// id usuwanego elementu
					$("<input type='hidden' name='lekNazwa' value='" + lekNazwa + "'/>").appendTo("#formularzGlowny");
					// akcja wizarda odpowiadajaca za usuwanie
					$("<input type='hidden' name='usunDawki' value=''/>").appendTo("#formularzGlowny");
				
					$("#formularzGlowny").submit();
				}
			}
	
			/*
			 * w momencie wybrania określonej pory do dawkowania włącza
			 * odpowiednie przyciski lub po odznaczeniu pory je wyłącza
			 */
			function disableEnableDawka(elem) {
				// przyciski
				var przyciski = $("input[type='button'][name^='" + $(elem).attr("id") + ".dawka']");
				// checkboxy
				var dawkaWart = $("input[name='" + $(elem).attr("id") + ".dawka']");

				if($(elem).is(":checked")) {
					enableElem(przyciski);
					enableElem(dawkaWart);
				} else {
					disableElem(przyciski);
					disableElem(dawkaWart);
				}

				return true;
			}
			
			// ustawianie typowych wartości dawek z przycisków
			function dawka(buttonElem, inputName) {
				$("input[name='" + inputName + "']").val(
						$(buttonElem).val());
			}

			// po uzupełnieniu pola mieszkańca
			postCreateMFilter = {
					'mieszkaniec' : function() {
						// pobieranie wcześniejszych dawek leków
				    	$("<input type='hidden' name='zmianaDawkowania' value=''/>").appendTo("#formularzGlowny");

						pokazLoadImage();
				    	$("#formularzGlowny").submit();
					}
			};

			postCreateLekFilter = {
					"dawkaLeku\\[0\\]\\.lek" : function() {
						var $czyRecepta = $("#" + jqEscape("dawkaLeku[0].lekCzyRecepta"));

						// czy na receptę lek
				    	if($czyRecepta.val() == 'true') {
				    		$("#nazwaLekuRecepta").attr('checked', 'checked');
					    } else {
					    	$("#nazwaLekuRecepta").removeAttr('checked');
				    	}
					}
			};

			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// wlącz/wyłącz pola dawek
				$("input[name$='poraId']").each(function() {
					disableEnableDawka($(this));
				});
				
				// automatycznie ustawiaj najpierw na mieszkańca a potem na lek
				if($("#mieszkaniecId").val() != '') {
					$("#" + jqEscape("dawkaLeku[0].lek")).click();
				} else {
					$("#mieszkaniec").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Wprowadzanie zaleceń dawkowania leków</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="dawkaForm" style="width: 700px;"
					beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.szybka.WprowadzanieDawkowaniaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Mieszkaniec
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<c:if test="${not empty aktualneDawkowanie}">
						<div class="row">
							<div class="label"></div>
							<div class="input daneWyroznione">
								Wprowadzono już dawkowanie dla ${actionBean.mieszkaniec.nazwiskoImie} obowiązujące od
								<span class="warning">
									<fmt:formatDate value="${aktualneDawkowanie.dataOd}" pattern="${DATE_PATTERN}" />
								</span>.
								Jeżeli chcesz je zmienić zweryfikuj dawki podpowiedziane na poniższej liście.
							</div>
						</div>
					</c:if>
				</fieldset>
				
				<fieldset>
					<legend>
						Zalecenia dawkowania
					</legend>
					
					<fieldset style="border-top: none;">
						<%@ include file="../dawkowanie.jsp" %>
						
						<fieldset>
							<c:choose>
								<c:when test="${! korektaLeku}">
									<stripes:submit name="wprowadzDawkowanie" value="Wprowadź dawkowanie"/>
								</c:when>
								<c:otherwise>
									<stripes:submit name="anulowanieKorekty" value="Anuluj"/>
									&nbsp;&nbsp;
									<stripes:submit name="zapisKorektyDawki" value="Potwierdź dawkowanie"/>
								</c:otherwise>
							</c:choose>
						</fieldset>
					</fieldset>
					
					<fieldset>
						<legend>
							Wprowadzone dawki leków
						</legend>
						<div class="row">
							<div class="label">
								<label>
									od dnia
								</label>
							</div>
							<div class="input">
								<stripes:text name="dawkowanie.dataOd" class="data required"
										title="Dzień, od którego stosować wyznaczone dawki leków" formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="dawkowanie.dataOd"/>
							</div>
						</div>
						
						<div align="center" style="padding-top: 20px;">
							<c:choose>
								<c:when test="${not empty actionBean.listaDawek}">
									Wprowadzone dawki leków
									<div align="center">
										<c:forEach items="${actionBean.listaDawek}" var="dawka" varStatus="i">
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.id"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.nazwa"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.opakowanieJednostkaPojemnosci"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.postac"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].lek.dawka"/>
											<stripes:hidden name="listaDawek[${i.count - 1}][0].czyRecepta"/>
											<c:forEach items="${listaAktualnychPorDnia}" var="poraDnia" varStatus="j">
												<stripes:hidden name="listaDawek[${i.count - 1}][${j.count - 1}].poraId"/>
												<stripes:hidden name="listaDawek[${i.count - 1}][${j.count - 1}].dawka"/>
											</c:forEach>
										</c:forEach>
										
										<%@ include file="../listaDawek.jsp" %>
									</div>
								</c:when>
								<c:otherwise>
									<div style="text-align: center;">
										NIE WPROWADZONO ŻADNEGO LEKU
									</div>
								</c:otherwise>
							</c:choose>
						</div>
					</fieldset>
				</fieldset>
				<fieldset>
					<legend>
						Instrukcje dot. dalszego wprowadzania
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								kontynuuj wprowadzanie<br/>
								dla innego mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="kontynujWprowadzanie" title="Czy po zapisie danych wrócić do formularza wprowadzania" value="true"/>
							<stripes:errors field="kontynujWprowadzanie"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
