<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/disabled.js"></script>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			postCreateMFilter = {
				'mieszkaniec' : function() {
						// pobieranie ustalonych dawek leków
				    	$("<input type='hidden' name='dawkiWrp' value=''/>").appendTo("#formularzGlowny");
				    	pokazLoadImage();
				    	$("#formularzGlowny").submit();
					}
			};

			$(document).ready(function() {
				jQuery.ajaxSetup({
					type: "POST"
				});
				
				// automatycznie ustawiaj focus na mieszkańca jeśli nie wybrano
				<c:if test="${empty actionBean.listaDawek}">
					$("#mieszkaniec").click();
				</c:if>
				if($("#mieszkaniecId").val() == '') {
					$("#mieszkaniec").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Realizacja dawek leku ustalonych jako "w razie potrzeby"</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="dawkaForm" style="width: 700px;"
					beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.wrp.DawkowanieWRPRealizacjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Zastosowano "w razie potrzeby"
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								podano dnia
							</label>
						</div>
						<div class="input">
							<stripes:text name="magazynOperacja.data" class="data required" onchange="submitPodpowiedzLeki();"
									title="Dzień, w którym podano wyznaczone dawki leków" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="magazynOperacja.data"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								dotyczy dyżuru piel.
							</label>
						</div>
						<div class="input">
							<stripes:select name="magazynOperacja.slowoId" value="${sessionScope.__rodzajDyzuruPielegniarskiego}">
								<stripes:option value="" class="alignCenter">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:errors field="magazynOperacja.slowoId"/>
						</div>
					</div>
					<div align="center" style="padding-top: 20px;">
						<c:choose>
							<c:when test="${not empty actionBean.listaDawek}">
								<div align="center">
									<c:forEach items="${actionBean.listaDawek}" var="dawka" varStatus="i">
										<stripes:hidden name="listaDawek[${i.count - 1}].poraId"/>
										<stripes:hidden name="listaDawek[${i.count - 1}].lek.nazwa"/>
										<stripes:hidden name="listaDawek[${i.count - 1}].lek.id"/>
										<stripes:hidden name="listaDawek[${i.count - 1}].lekId"/>
									</c:forEach>
									
									<%@ include file="../listaRealizacjiDawekWRP.jsp" %>
								</div>
							</c:when>
							<c:when test="${empty actionBean.mieszkaniec.id}">
								Wybierz mieszkańca wpisując w polu powyżej początek jego nazwiska
							</c:when>
							<c:otherwise>
								<span class="warning">
									Dla mieszkańca nie ustawiono dawek leków zaleconych w razie potrzeby
								</span>
								<br/><br/>
								Jeżeli takowe występują wówczas zmień
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.dawkowanie.rejestracjaZalecen.szybka.WprowadzanieDawkowaniaAction"
										event="startAkcja" class="button">
									<stripes:param name="mieszkaniec.id" value="${actionBean.mieszkaniec.id}"/>
									zalecenia dawkowania leków
								</stripes:link>
							</c:otherwise>
						</c:choose>
						<stripes:errors field="listaDawek"/>
					</div>
				</fieldset>
				
				<fieldset>
					<legend>
						Instrukcje dot. dalszego wprowadzania
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								kontynuuj wprowadzanie<br/>
								dla innego mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="kontynujWprowadzanie" title="Czy po zapisie danych wrócić do formularza wprowadzania" value="true"/>
							<stripes:errors field="kontynujWprowadzanie"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
