<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="../../realizacjaPodpowiedzHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			Wprowadzanie faktury za leki dla apteczki podręcznej
		</h3>
		<div class="formContainer">
			<stripes:form id="fakturaForm" beanclass="pl.topteam.dps.action.medyczni.leki.faktury.dom.FakturaZaLekiAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="brakFaktury"/>
				<stripes:hidden name="zabronBrakRealizacji"/>
				<fieldset>
					<legend>
						Leki
					</legend>
					
					<c:set var="nazwaPolaRealizacjiRecepty" value="realizacjaRecepty"/>
					<%@ include file="/jsp/templatePages/polaRealizacjiRecept.jsp" %>
					<div class="row">
						<div class="label">
							<label>
								dotyczy dyżuru piel.
							</label>
						</div>
						<div class="input">
							<stripes:select name="realizacjaRecepty.slowo.id" value="${sessionScope.__rodzajDyzuruPielegniarskiego}">
								<stripes:option value="" class="alignCenter">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:errors field="realizacjaRecepty.slowo.id"/>
						</div>
					</div>
					<stripes:submit name="wyborLekuSpozaListy" value="Wprowadź inny lek" title="Wprowadź lek na fakturę"/>
					<div id="jmesaContainer">
						<%-- FIXME jakoś ogarnąć w ładny sposób te ustawienia by to jakoś wyglądało --%>
						<c:set var="brakFaktury" value="${actionBean.zabronBrakRealizacji}"/>
						<c:set var="niezrealizowaneCol" value="${! actionBean.zabronBrakRealizacji}"/>
						<%@ include file="../../listaLekow.jsp" %>
					</div>
					<stripes:errors field="listaLekow"/>
				</fieldset>
				<c:if test="${empty actionBean.brakFaktury || !actionBean.brakFaktury}">
					<fieldset>
						<legend>
							Faktura
						</legend>
						<div class="row">
							<div class="label">
								<label>
									faktura
								</label>
							</div>
							<div class="input">
								<stripes:select id="realizacjaFakturaSel" name="realizacjaRecepty.fakturaId" class="mySelect"
										onchange="submitFaktura();" style="width: 350px;">
									<stripes:option label="-- NOWA FAKTURA --" value=""/>
									<stripes:options-collection collection="${listaFaktur}" label="nr" value="id"/>
								</stripes:select>
								<img src="${root}/img/help.gif" border="0" title="Na liście znajdują się jedynie faktury wystawione w przeciągu ostatnich ${__liczba_dni_waznosc_recepta} dni"/>
							</div>
						</div>
						<c:if test="${empty actionBean.realizacjaRecepty.fakturaId}">
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFaktury.jsp" %>
							
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFakturyKwotaDom.jsp" %>
							<stripes:hidden name="${nazwaPolaFaktura}.kwotaM" value="0,00"/>
						</c:if>
						
						<stripes:submit id="powrotKrokFakturaSubmit" name="powrotKrokFaktura" style="display: none;"></stripes:submit>
					</fieldset>
				</c:if>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.StanMagazynuAction" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
