<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="true"/>
		<c:set var="styleAutoComplete" value="true"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// autopodpowiedzi
				$("#mieszkaniec").click();
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Rejestracja faktury / przyjęcia leków</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="szybkieWprowadzanieForm"
					beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.FakturaZaLekiAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Krok 1 - wybór mieszkańca
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								brak dostarczonej faktury
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="brakFaktury" title="Zaznacz jeśli przysłano leki z apteki bez faktury"/>
							<stripes:errors field="brakFaktury"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="krokFaktura" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
