<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="../../realizacjaPodpowiedzHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">	
		<h3>Wprowadzanie faktury za leki (${actionBean.mieszkaniec.nazwiskoImie})</h3>
		<div class="formContainer">
			<stripes:form id="fakturaForm" beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.FakturaUzupelnienieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:hidden name="realizacjaRecepty.id"/>
				<stripes:hidden name="realizacjaRecepty.ewidencjaDpsId"/>
				<stripes:hidden name="realizacjaRecepty.data"/>
				
				<stripes:hidden name="mieszkaniec.id"/>
				<stripes:hidden name="mieszkaniec.nazwisko"/>
				<stripes:hidden name="mieszkaniec.imie"/>
				
				<fieldset>
					<legend>
						Leki
					</legend>
					
					<fieldset>
						<legend>
							Przyjęte wcześniej
						</legend>
						<c:set var="listaLekowZrealizowanych" value="${actionBean.listaLekowZrealizowanych}"/>
						<%@ include file="../../listaLekowZrealizowanych.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Pozostałe
						</legend>

						<div class="row">
							<div class="label">
								<label>
									data przyjęcia leków
								</label>
							</div>
							<div class="input">
								<stripes:text name="dataRealizacji" class="data" title="Data przyjęcia pozostałych leków na stan"
										formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="dataRealizacji"/>
							</div>
						</div>
						<div id="jmesaContainer">
							<c:set var="brakFaktury" value="${false}"/>
							
							<%@ include file="../../listaLekow.jsp" %>
						</div>
						<stripes:errors field="listaLekow"/>
						<stripes:submit name="wyborLekuSpozaListy" value="Wprowadź inny lek"/>
					</fieldset>
				</fieldset>
				
				<fieldset>
					<legend>
						Faktura
					</legend>
					<div class="row">
						<div class="label">
							<label>
								faktura
							</label>
						</div>
						<div class="input">
							<stripes:select id="realizacjaFakturaSel" name="realizacjaRecepty.fakturaId" class="mySelect"
									onchange="submitFaktura();" style="width: 350px;">
								<stripes:option label="-- NOWA FAKTURA --" value=""/>
								<stripes:options-collection collection="${listaFaktur}" label="nr" value="id"/>
							</stripes:select>
						</div>
					</div>
					<c:if test="${empty actionBean.realizacjaRecepty.fakturaId}">
						<c:set var="nazwaPolaFaktura" value="faktura"/>
						<%@ include file="/jsp/templatePages/polaFaktury.jsp" %>
						
						<c:set var="nazwaPolaFaktura" value="faktura"/>
						<%@ include file="/jsp/templatePages/polaFakturyKwoty.jsp" %>
					</c:if>
					
					<stripes:submit id="powrotKrokFakturaSubmit" name="powrotKrokFaktura" style="display: none;"></stripes:submit>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.ListaNiezrealizowanychFakturAction" class="button"
								event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
