<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRealizacji}" id="listaRealizacji" var="realizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable>
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione" filterable="true" sortable="true">
				${realizacja.osoba.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione" filterable="true" sortable="true">
				${realizacja.osoba.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nrFaktury" title="Nr faktury" filterable="true" sortable="true">
				${realizacja.faktura.nr}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWystawienia" title="Data wystawienia" filterable="true" sortable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${realizacja.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="listaLekow" title="Leki niezrealizowane" filterable="false" sortable="false"
					style="width: 350px;">
				<ol>
					<c:forEach items="${realizacja.leki}" var="lekPostac">
						<li>
							${lekPostac.lek.nazwa} (${lekPostac.lek.postac}; ${lekPostac.lek.dawka}) - ${lekPostac.opakowanieIlosc} x ${lekPostac.lek.opakowanieJednostkaPojemnosci}
						</li>
					</c:forEach>
				</ol>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<%-- jeżeli nie ma faktury to należy ją uzupełnić --%>
					<c:if test="${empty realizacja.faktura.id}">
						<ttSec:secure roles="LK_C_RECEPTY_FAKTURY">
							<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.FakturaUzupelnienieAction" event="edycja"
									title="Uzupełnij dane faktury">
								<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"></stripes:param>
								<img src="${root}/img/fvat.png" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<%-- jeżeli nie dostarczono wszytkich leków --%>
					<c:if test="${fn:length(realizacja.leki) > 0}">
						<ttSec:secure roles="LK_C_REALIZACJA_LEKOW">
							<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.LekiUzupelnienieAction" event="edycja"
									title="Uzupełnij realizację leków">
								<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"></stripes:param>
								<img src="${root}/img/aktualizacja.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<ttSec:secure roles="LK_D_RECEPTY_FAKTURY,LK_D_REALIZACJA_LEKOW">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.ListaNiezrealizowanychFakturAction" event="usun"
								title="Usuń realizację leków" onclick="return confirmation('Czy na pewno chcesz usunąć wprowadzoną realizację?')">
							<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/recepty/wykaz/listaNiezrealizowanychFaktur.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
