<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${(empty brakFaktury || !brakFaktury) && (empty niezrealizowaneCol || !niezrealizowaneCol)}">
		<c:set var="i" value="${i + 1}"/>
		<jmesa:htmlColumn property="niezrealizowany" title="Niezrealizowany" sortable="false" filterable="false" styleClass="alignCenter">
			<stripes:checkbox id="listaLekow${i}Niezrealizowany" name="listaLekow[${i}].lekRealizacja.niezrealizowany"
					title="Zaznacz w przypadku gdy lek określono na fakturze, a fizycznie nie dostarczono go z apteki"/>
			<stripes:errors field="listaLekow[${i}].lekRealizacja.niezrealizowany"/>
		</jmesa:htmlColumn>
	</c:when>
	<c:otherwise>
		<c:set var="i" value="${i + 1}"/>
	</c:otherwise>
</c:choose>
<jmesa:htmlColumn property="opisLeku" title="Lek" sortable="false" filterable="false">
	<stripes:hidden name="listaLekow[${i}].lekId"/>
	
	<stripes:hidden name="listaLekow[${i}].lek.id"/>
	<stripes:hidden name="listaLekow[${i}].lek.nazwa"/>
	<stripes:hidden name="listaLekow[${i}].lek.postac"/>
	<stripes:hidden name="listaLekow[${i}].lek.dawka"/>
	<stripes:hidden name="listaLekow[${i}].lek.opakowanieJednostkaPojemnosci"/>
	
	<c:choose>
		<c:when test="${(empty brakFaktury || !brakFaktury) && (empty niezrealizowaneCol || !niezrealizowaneCol)}">
			<label for="listaLekow${i}Niezrealizowany" class="cursorPointer"
					title="Kliknij w przypadku gdy lek określono na fakturze, a fizycznie nie dostarczono go z apteki">
				<c:set var="obiektLek" value="${lekPostac.lek}"/>
				<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
			</label>
		</c:when>
		<c:otherwise>
			<c:set var="obiektLek" value="${lekPostac.lek}"/>
			<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
		</c:otherwise>
	</c:choose>
</jmesa:htmlColumn>
<jmesa:htmlColumn property="opakowanie" title="Opakowanie" sortable="false" filterable="false">
	<stripes:select id="lekPostacKodBazyl${i}" name="listaLekow[${i}].kodBazyl" class="mySelect"
			onchange="${not empty brakFaktury && brakFaktury ? '' : 'kwotyPlatnosci()'}" style="width: 230px;">
		<stripes:option label="${OPCJA_WYBIERZ}" value=""/>
		<c:forEach items="${actionBean.listaLekow[i].lek.postaciLeku}" var="postac">
			<stripes:option label="${postac.opakowanieOpisBazyl} (${mapaProducentow[postac.kodBazyl]})" value="${postac.kodBazyl}"/>
		</c:forEach>
	</stripes:select>
	<div style="clear: both">
		<stripes:errors field="listaLekow[${i}].kodBazyl"/>
	</div>
</jmesa:htmlColumn>
<jmesa:htmlColumn property="lOpakowan" title="Liczba" sortable="false" filterable="false">
	<stripes:text name="listaLekow[${i}].lekRealizacja.liczbaOpakowan" class="numberInteger nChkb" size="6"
			onchange="${not empty brakFaktury && brakFaktury ? '' : 'kwotyPlatnosci()'}"/>
	<stripes:errors field="listaLekow[${i}].lekRealizacja.liczbaOpakowan"/>
</jmesa:htmlColumn>
