<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form beanclass="${ttFn:classCanonicalName(actionBean)}" partial="true">
	<c:set var="i" value="-1"/>
	<jmesa:tableFacade items="${listaLekowZrealizowanych}" id="listaLekowZrealizowanych" var="lekPostac"
			maxRows="${fn:length(listaLekowZrealizowanych)}" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
		<jmesa:htmlTable style="width: 700px; margin-left: auto; margin-right: auto;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="opisLeku" title="Lek" sortable="false" filterable="false">
					<c:set var="i" value="${i + 1}"/>
					
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lekId"/>
					
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lek.id"/>
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lek.nazwa"/>
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lek.postac"/>
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lek.opakowanieJednostkaPojemnosci"/>
	
					<c:set var="obiektLek" value="${lekPostac.lek}"/>
					<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="opakowanie" title="Opakowanie" sortable="false" filterable="false">
					<c:forEach items="${listaLekowZrealizowanych[i].lek.postaciLeku}" var="postac">
						<c:if test="${postac.kodBazyl == lekPostac.kodBazyl}">
							${postac.opakowanieOpisBazyl} (${mapaProducentow[postac.kodBazyl]})
							<stripes:hidden name="listaLekowZrealizowanych[${i}].kodBazyl"/>
						</c:if>
					</c:forEach>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="lOpakowan" title="Liczba" sortable="false" filterable="false" styleClass="alignRight">
					${lekPostac.lekRealizacja.liczbaOpakowan}
					<stripes:hidden name="listaLekowZrealizowanych[${i}].lekRealizacja.liczbaOpakowan"/>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</stripes:form>
