<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiOpakowaniaPodpHead.jsp" %>
	
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});

				// automatycznie ustawiaj najpierw na lek jeżeli pusty
				if($("#lekPostacKodBazyl").val() == '') {
					$("#lekPostac").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Darowizna leków na rzecz Domu</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.LekDarowiznaMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<c:set var="lekPostacPoleNazwa" value="lekPostac"/>
					<c:set var="requiredClass" value="required"/>
 					<%@ include file="/jsp/templatePages/podpowiedziField/lekPostacPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								podmiot
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:400px" class="mySelect required" name="podmiot.id" id="podmiotId" title="Podmiot przekazujący darowiznę">
								<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
								<stripes:options-collection collection="${kodOrganuDarowiznaLekowSlownik}" label="wartString" value="id"/>
							</stripes:select>
							&nbsp;&nbsp;
							<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ORGANU_DAROWIZNA_LEKOW', 'podmiotId'); return false;"
									title="Wprowadź nowe słowo dla 'podmiot'">
								<img src="${root}/img/icons/add.png" style="border: 0px;">
							</a>
							<div style="clear: both;">
								<stripes:errors field="podmiot.id"/>
							</div>
						</div>
					</div>

					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<c:set var="poleMagazynOperacjaIloscLabel" value="liczba opakowań"/>
					<c:set var="__magazyn_operacja_value" value="${sessionScope.__rodzajDyzuruPielegniarskiego}"/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacjaCalkowitoliczbowaDyzur.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.StanMagazynuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>