<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Edycja darowizny leków na rzecz Domu</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.LekDarowiznaEdycjaMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="magazynOperacja.id"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								lek
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="lek.id"/>
							<stripes:hidden name="lek.nazwa"/>
							<stripes:hidden name="lek.postac"/>
							<stripes:hidden name="lek.opakowanieJednostkaPojemnosci"/>

							<c:set var="obiektLek" value="${actionBean.lek}"/>
							<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
							
							<stripes:errors field="lek.id"/>
							<stripes:errors field="lek.nazwa"/>
							<stripes:errors field="lek.postac"/>
							<stripes:errors field="lek.opakowanieJednostkaPojemnosci"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								podmiot
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:400px" class="mySelect required" name="podmiot.id" id="podmiotId" title="">
								<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
								<stripes:options-collection collection="${kodOrganuDarowiznaLekowSlownik}" label="wartString" value="id"/>
							</stripes:select>
							&nbsp;&nbsp;
							<a class="imgButton noweSlowoButton"
									onclick="slowoWprowadzanieAjax('KOD_ORGANU_DAROWIZNA_LEKOW', 'podmiotId'); return false;"
									title="Wprowadź nowe słowo dla 'podmiot'">
								<img src="${root}/img/icons/add.png" style="border: 0px;">
							</a>
							<div style="clear: both">
								<stripes:errors field="podmiot.id"/>
							</div>
						</div>
					</div>

					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacjaDyzur.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.HistoriaOperacjiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>