<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOperacji}" id="listaOperacji" var="operacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 550px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa<br/>leku" styleClass="daneWyroznione">
				${operacja['NAZWA']} (${fn:toLowerCase(operacja['POSTAC'])}, ${ttFn:enumLabel('pl.topteam.bazmed.enums.JednostkaPojemnosciOpakowania', operacja['OPAKOWANIE_JEDNOSTKA_POJEMNOSCI'], 'opis')})
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ" title="Typ operacji" sortable="false" filterable="false">
				${ttFn:enumLabel('pl.topteam.dps.enums.TypOperacjiWMagazynie', operacja['TYP'], 'opis')}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ilosc" title="Ilość" styleClass="alignRight" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${operacja['TYP'] == 'POBRANIE' || operacja['TYP'] == 'POZYCZKA_POBRANIE' || operacja['TYP'] == 'PRZEKAZANIE_POBRANIE' || operacja['TYP'] == 'STRATA'}">
						-<fmt:formatNumber value="${operacja['ILOSC']}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber value="${operacja['ILOSC']}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data operacji" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${operacja['DATA']}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_MG_L_DORAZNY">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.MagazynOperacjaEdycjaDispatcherAction" event="dispatch">
							<stripes:param name="magazynOperacja.id" value="${operacja['OPERACJA_ID']}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="LK_D_MG_L_DORAZNY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.HistoriaOperacjiAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć tę operację ? ')">
							<stripes:param name="magazynOperacja.id" value="${operacja['OPERACJA_ID']}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/magazyn/dorazny/historia.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
