<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form id="stanNaDzienForm" style="border: 0px; padding: 10px; display: block;" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.StanMagazynuAction">
	Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
	<stripes:submit name="listaZSesji">Pokaż</stripes:submit>
	<stripes:errors field="stanNaDzien"></stripes:errors>
</stripes:form>
<jmesa:tableFacade items="${listaLekow}" id="listaLekow" var="lek" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="idLeku" title="Unikalny<br/>identyfikator" styleClass="alignCenter" sortable="false">
				${lek.id}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Nazwa<br/>leku" styleClass="daneWyroznione">
				<c:set var="obiektLek" value="${lek}"/>
				<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Trafiło<br/>do magazynu" styleClass="alignRight" property="stanMagazynu" sortable="false" filterable="false">
				<c:set var="trafilo" value="${mapaStanu[lek.id].ilosc + mapaStanu[lek.id].iloscStrat + mapaStanu[lek.id].iloscPobran}"/>

				<fmt:formatNumber value="${trafilo}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Darowizny" styleClass="alignRight" property="darowizna" sortable="false" filterable="false">
				<c:set var="darowizna" value="${mapaStanu[lek.id].darowizna}"/>

				<fmt:formatNumber value="${darowizna}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Zużycie" styleClass="alignRight" property="zuzycie" sortable="false" filterable="false">
				<c:set var="zuzycie" value="${mapaStanu[lek.id].iloscPobran}"/>

				<fmt:formatNumber value="${zuzycie}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Strata" styleClass="alignRight" property="strata" sortable="false" filterable="false">
				<c:set var="strata" value="${mapaStanu[lek.id].iloscStrat}"/>

				<fmt:formatNumber value="${strata}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Pozostaje<br/>w magazynie" styleClass="daneWyroznione alignRight" property="pozostalo" sortable="false" filterable="false">
				<c:set var="pozostalo" value="${mapaStanu[lek.id].ilosc + darowizna}"/>

				<c:choose>
					<c:when test="${pozostalo >= 0.00}">
						<fmt:formatNumber value="${pozostalo}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:when>
					<c:otherwise>
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							<fmt:formatNumber value="${pozostalo}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_R_MG_L_DORAZNY">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.StanMagazynuSposobWyliczeniaAction"
								event="sposobWyliczenia" target="_blank">
							<stripes:param name="lek.id" value="${lek.id}"/>
							<img src="${root}/img/lupa.gif" class="iconspace" title="Pokaż sposób wyliczenia"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
