<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Pobieranie leków z apteczki podręcznej</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.LekPobieranieMagazynAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="magazynOperacja.id"/>
				<fieldset>
					<legend>
						Mieszkaniec
					</legend>

					<div class="row">
						<div class="label">
							<label>
								nazwisko i imię<br/>
								mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="mieszkaniec.id"/>
							<stripes:hidden name="mieszkaniec.nazwisko"/>
							<stripes:hidden name="mieszkaniec.imie"/>

							${actionBean.mieszkaniec.nazwiskoImie}
							<stripes:errors field="mieszkaniec.id"/>
						</div>
					</div>
				</fieldset>

				<fieldset>
					<legend>
						Dawka leku
					</legend>

					<div class="row">
						<div class="label">
							<label>
								lek
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="lek.id"/>
							<stripes:hidden name="lek.nazwa"/>
							<stripes:hidden name="lek.postac"/>
							<stripes:hidden name="lek.opakowanieJednostkaPojemnosci"/>

							<c:set var="obiektLek" value="${actionBean.lek}"/>
							<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
							
							<stripes:errors field="lek.id"/>
							<stripes:errors field="lek.nazwa"/>
							<stripes:errors field="lek.postac"/>
							<stripes:errors field="lek.opakowanieJednostkaPojemnosci"/>
						</div>
					</div>
					
					<c:set var="poleMagazynOperacja" value="magazynOperacja"/>
					<c:set var="__magazyn_operacja_value" value=""/>
					<%@ include file="/jsp/templatePages/polaMagazynOperacjaDyzur.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.dorazny.HistoriaOperacjiAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>