<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="indexLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkMagazyn");
				});
			</script>
			<div class="form" align="center" style="width: 90%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<stripes:form style="border: 0px; padding: 10px;" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.MagazynAction">
						Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
						<stripes:submit name="indexFiltr">Przelicz</stripes:submit>
						<c:if test="${not empty zuzycieNaDzien}">
							<span class="tip">(uwzględniono zużycie na dzień: <fmt:formatDate value="${zuzycieNaDzien}" pattern="${DATE_PATTERN}"/>)</span>
						</c:if>
						<stripes:errors field="stanNaDzien"/>
					</stripes:form>
					
					<jmesa:tableFacade items="${listaLekow}" id="listaLekow" var="lek" autoFilterAndSort="true"
							editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
						<jmesa:htmlTable style="min-width: 600px">
							<jmesa:htmlRow>
								<jmesa:htmlColumn property="idLeku" title="ID" styleClass="alignCenter" sortable="false">
									${lek.id}
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Nazwa<br/>leku" styleClass="daneWyroznione" property="nazwa" sortable="false">
									<c:set var="obiektLek" value="${lek}"/>
									
									<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Trafiło<br/>do<br/>magazynu" styleClass="alignRight" property="stanMagazynu" sortable="false">
									<c:set var="trafilo" value="${mapaStanu[lek.id].ilosc + mapaStanu[lek.id].iloscStrat + mapaStanu[lek.id].iloscPobran}"/>
		
									<fmt:formatNumber value="${trafilo}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Zużycie" styleClass="alignRight" property="zuzycie" sortable="false">
									<c:set var="zuzycie" value="${mapaZuzycia[lek.id].zuzycie + mapaStanu[lek.id].iloscPobran}"/>
									
									<fmt:formatNumber value="${zuzycie}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Bilans<br/>pożyczek" styleClass="alignRight" property="pozyczki" sortable="false">
									<c:set var="bilansPozyczek" value="${mapaStanu[lek.id].pozyczonoDo - mapaStanu[lek.id].pozyczonoZ}"/>
									
									<fmt:formatNumber value="${bilansPozyczek}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Przekazano<br/>razem" styleClass="alignRight" property="przekazania" sortable="false">
									<c:set var="bilansPrzekazan" value="${mapaStanu[lek.id].przekazanoDo - mapaStanu[lek.id].przekazanoZ}"/>
									
									<fmt:formatNumber value="${bilansPrzekazan}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Strata" styleClass="alignRight" property="strata" sortable="false" filterable="false">
									<c:set var="strata" value="${mapaStanu[lek.id].iloscStrat}"/>

									<fmt:formatNumber value="${strata}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn title="Pozostaje<br/>w magazynie" styleClass="daneWyroznione alignRight" property="pozostalo" sortable="false">
									<c:set var="pozostalo" value="${mapaStanu[lek.id].ilosc - zuzycie + bilansPozyczek + bilansPrzekazan}"/>
									<fmt:formatNumber value="${pozostalo}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
								</jmesa:htmlColumn>
							</jmesa:htmlRow>
						</jmesa:htmlTable>
					</jmesa:tableFacade>
				</div>
				
				<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
					<div class="listFooterText">
						<ttSec:secure roles="LK_C_MG_L_MIESZKANIEC">
							<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekWstawianieMagazynAction" event="dodaj"
									title="Rejestracja leku w magazynie bez jakiejkolwiek faktury">
								Lek bez rejestracji faktury
							</stripes:link>
							
							<%-- jeżeli pracownik chce stosować pożyczki leków pomiędzy mieszkańcami --%>
							<c:if test="${sessionPracownik.czyPozyczkaLekow}">
								&nbsp;&nbsp;&nbsp;
								<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekPozyczkaPobranieMagazynAction" event="dodaj"
										title="Pożyczka leku od '${actionBean.osoba.nazwiskoImie}' dla innego wybranego mieszkańca">
									Pożyczka leku od
								</stripes:link>
								&nbsp;&nbsp;&nbsp;
								<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekPozyczkaWstawienieMagazynAction" event="dodaj"
										title="Pożyczka leku dla '${actionBean.osoba.nazwiskoImie}' od innego wybranego mieszkańca">
									Pożyczka leku dla
								</stripes:link>
							</c:if>
							
							&nbsp;&nbsp;&nbsp;
							<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekPrzekazanieWstawienieMagazynAction" event="dodaj"
									title="Przekazanie leku dla '${actionBean.osoba.nazwiskoImie}' od innego wybranego mieszkańca">
								Przekazanie leku
							</stripes:link>
							&nbsp;&nbsp;&nbsp;
							<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekStrataMagazynAction" event="dodaj"
									title="Rejestracja straty leku z różnych przyczyn">
								Strata leku
							</stripes:link>
							<br/><br/>
							<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.leki.magazyn.mieszkaniec.LekStanNaDzienMagazynAction" event="dodaj"
									title="Ustalenie stanu leku na wskazany dzień">
								Stan na dzień
							</stripes:link>
						</ttSec:secure>
					</div>
				</c:if>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
