<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/utils/highlight.js"></script>

		<script type="text/javascript">
			$(document).ready(function() {
				// autopodpowiedzi
				bindujMieszkaniecPodpowiedzPole("#nazwiskoImieMieszkanca");

				// automatycznie ustawiaj focus na podpowiedzi mieszkanca
				highlight($("#nazwiskoImieMieszkanca"));
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.LekPrzekazanieEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="realizacjaRecepty.id"/>
				<stripes:hidden name="realizacjaRecepty.ewidencjaDpsId"/>
				<stripes:hidden name="realizacjaRecepty.osobaId"/>
				<fieldset>
					<legend>
						Edycja realizacji przekazania leków od zmarłego mieszkańca
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								przekazanie dla
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="mieszkaniec.id"/>
							<stripes:hidden name="mieszkaniec.nazwisko"/>
							<stripes:hidden name="mieszkaniec.imie"/>
							${actionBean.mieszkaniec.nazwiskoImie}
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="realizacjaRecepty.data" class="data required" title="Data pożyczki"
									formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="realizacjaRecepty.data"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								lek
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="lek.id"/>
							<stripes:hidden name="lek.nazwa"/>
							<stripes:hidden name="lek.postac"/>
							<stripes:hidden name="lek.opakowanieJednostkaPojemnosci"/>

							<c:set var="obiektLek" value="${actionBean.lek}"/>
							<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
							
							<stripes:errors field="lek.id"/>
							<stripes:errors field="lek.nazwa"/>
							<stripes:errors field="lek.postac"/>
							<stripes:errors field="lek.opakowanieJednostkaPojemnosci"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								ilość
							</label>
						</div>
						<div class="input">
							<stripes:text name="ilosc" class="doublePrecision required" size="6" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="ilosc"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaRealizacjiLekowAction"
								event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
