<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRealizacji}" id="listaRealizacji" var="realizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" styleClass="daneWyroznione" sortable="false" filterable="false"
					cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn property="dataWystawienia" title="Data faktury" styleClass="daneWyroznione" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty realizacja.faktura.dataWystawienia}">
						<fmt:formatDate value="${realizacja.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr faktury" sortable="false" filterable="false">
				${not empty realizacja.faktura.nr ? realizacja.faktura.nr : '---'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr_wew" title="Nr wew." sortable="false" filterable="false">
				${not empty realizacja.faktura.nrWew ? realizacja.faktura.nrWew : '&nbsp;'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pozyczkaPrzekazanie" title="Pożyczka /<br/>przekazanie" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${empty realizacja.osoba}">
						<%-- to nie jest wpis pożyczki/przekazania --%>
					</c:when>
					<c:when test="${actionBean.osoba.id == realizacja.osobaId}">
						dla 
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.LekMagazynPrzejdzAction" event="dispatch"
								title="Przejdź do magazynu leków mieszkańca '${realizacja.mieszkaniec.nazwiskoImie}'">
							<stripes:param name="mieszkaniec.id" value="${realizacja.mieszkaniec.id}"/>
							${realizacja.mieszkaniec.nazwiskoImie}
						</stripes:link>
					</c:when>
					<c:otherwise>
						od
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.LekMagazynPrzejdzAction" event="dispatch"
								title="Przejdź do magazynu leków mieszkańca '${realizacja.osoba.nazwiskoImie}'">
							<stripes:param name="mieszkaniec.id" value="${realizacja.osoba.id}"/>
							${realizacja.osoba.nazwiskoImie}
						</stripes:link>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_REALIZACJA_LEKOW">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.RealizacjaLekowDispatcherAction" event="dispatch">
							<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="LK_D_REALIZACJA_LEKOW">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaRealizacjiLekowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć realizację leków?')">
							<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/recepty/mieszkaniec/listaRealizacjiLekow.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń realizację leków"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
