<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRecept}" id="listaRecept" var="recepta" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataWystawienia" title="Data wystawienia" styleClass="daneWyroznione"
					cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_RECEPTY">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ReceptaEdycjaAction" event="edycja"
								title="Edycja recepty">
							<stripes:param name="recepta.id" value="${recepta.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="LK_D_RECEPTY">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.mieszkaniec.ListaReceptAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć receptę ? ')">
							<stripes:param name="recepta.id" value="${recepta.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/leki/recepty/mieszkaniec/listaRecept.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń receptę"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
