<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>

		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>

		<script type="text/javascript">
			postCreateMFilter = {
					'mieszkaniec' : function() {
							// submit podpowiadania danych
							$("<input type='hidden' name='domyslneWartosciRecepty' value=''/>").appendTo("#formularzGlowny");
					    	$("#formularzGlowny").submit();
						}
				};

			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});

				// automatycznie ustawiaj focus na podpowiedzi mieszkanca
				$("#mieszkaniec").click();
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Wprowadzanie recept</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form id="formularzGlowny" name="szybkieWprowadzanieForm"
					beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.ReceptyNaLekiAction" style="width: 700px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Wprowadzanie recepty (krok 1 - wybór mieszkańca)
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								podpowiedz leki<br/>
								ustalone na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="lekiNaDzien" class="data required" title="Data wg, której ustalić leki pobierane przez mieszkańca"
									formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="lekiNaDzien"/>
						</div>
					</div>
					
					<div class="row">&nbsp;</div>
					<c:set var="nazwaPolaRecepty" value="recepta"/>
					<%@ include file="/jsp/templatePages/polaRecepty.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
