<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiPodpHead.jsp" %>
		
		<script type="text/javascript">
			postCreateOFilter = {
					'osoba' : function() {
							$("#mieszkaniec").click();
						}
			};
			postCreateMFilter = {
					'mieszkaniec' : function() {
							$("#lek").click();
						}
			};
		
			$(document).ready(function() {
				// automatycznie ustawiaj focus na podpowiedzi mieszkanca
				$("#osoba").click();
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Rejestracja pożyczki leku</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="szybkieWprowadzanieForm"
					beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.LekPozyczkaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>
						Dane zapożyczeń leków u mieszkańców
					</legend>
				
					<c:set var="labelPolaMieszkaniec" value="pożyczka od"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAsOsobaPodpField.jsp" %>

					<c:set var="labelPolaMieszkaniec" value="pożyczka dla"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								data
							</label>
						</div>
						<div class="input">
							<stripes:text name="realizacjaRecepty.data" class="data required" title="Data pożyczki"
									formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="realizacjaRecepty.data"/>
						</div>
					</div>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/lekPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								ilość
							</label>
						</div>
						<div class="input">
							<stripes:text name="ilosc" class="doublePrecision required" size="6" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							<stripes:errors field="ilosc"/>
						</div>
					</div>
				</fieldset>
				
				<c:set var="labelPolaKontynuacja" value="kontynuuj pożyczanie<br/>dla mieszkańca"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/kontynuujWprowadzanieFieldset.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
