<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/lekiOpakowaniaPodpHead.jsp" %>

		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// automatycznie ustawiaj najpierw na lek jeżeli pusty
				if($("#lekPostacKodBazyl").val() == '') {
					$("#lekPostac").click();
				}
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Wprowadzanie leku</h3>
		<div class="formContainer">
			<stripes:form id="formularzGlowny" name="pozycjaForm" beanclass="${ttFn:classCanonicalName(actionBean)}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Szczegóły opakowania
					</legend>
					
					<c:set var="lekPostacPoleNazwa" value="lekPostac"/>
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/lekPostacPodpField.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								liczba opakowań
							</label>
						</div>
						<div class="input">
							<stripes:text name="lekPostac.lekRealizacja.liczbaOpakowan" class="numberInteger required" size="6"/>
							<stripes:errors field="lekPostac.lekRealizacja.liczbaOpakowan"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label for="lekPostac.lekRealizacja.niezrealizowany">
								niezrealizowany
							</label>
						</div>
						<div class="input">
							<stripes:checkbox id="lekPostac.lekRealizacja.niezrealizowany" name="lekPostac.lekRealizacja.niezrealizowany"
									title="Zaznacz w przypadku gdy lek określono na fakturze, a fizycznie nie dostarczono go z apteki"/>
							<stripes:errors field="lekPostac.lekRealizacja.niezrealizowany"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotLekSpozaListy" value="« Powrót"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="wprowadzLekSpozaListy" value="Wprowadź na listę"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
