<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="../../realizacjaPodpowiedzHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">	
		<h3>Przyjęcie leków z apteki dla ${actionBean.mieszkaniec.nazwiskoImie}</h3>
		<div class="formContainer">
			<stripes:form id="fakturaForm" beanclass="pl.topteam.dps.action.medyczni.leki.recepty.wykaz.LekiUzupelnienieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:hidden name="brakFaktury" value="${true}"/>
				
				<stripes:hidden name="realizacjaRecepty.id"/>
				<stripes:hidden name="realizacjaRecepty.ewidencjaDpsId"/>
				<stripes:hidden name="realizacjaRecepty.fakturaId"/>
				
				<stripes:hidden name="mieszkaniec.id"/>
				<stripes:hidden name="mieszkaniec.nazwisko"/>
				<stripes:hidden name="mieszkaniec.imie"/>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								data przyjęcia leków
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataRealizacji" class="data required" title="Data przyjęcia leków na stan"
									formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataRealizacji"/>
						</div>
					</div>
				</fieldset>
				<fieldset>
					<legend>
						Leki
					</legend>
					
					<div id="jmesaContainer">
						<c:set var="allowDeleteLek" value="${empty actionBean.realizacjaRecepty.fakturaId}"/>
						<c:set var="brakFaktury" value="${true}"/>
						<c:set var="niezrealizowaneCol" value="${true}"/>
						<%@ include file="../../listaLekow.jsp" %>
					</div>
					<stripes:errors field="listaLekow"/>
					<stripes:submit name="wyborLekuSpozaListy" value="Wprowadź inny lek"/>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.leki.faktury.mieszkaniec.ListaNiezrealizowanychFakturAction" class="button"
								event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
