<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:url var="_indexURL" beanclass="pl.topteam.dps.action.IndexAction" prependContext="false" scope="page" addSourcePage="false"/>

<c:choose>
	<c:when test="${empty actionBean && empty komunikat}">
		<%-- ochrona przed bezpośrednim wejściem na stronkę JSP, a nie przez akcję Stripes'a --%>
		<c:redirect url="${_indexURL}"/>
	</c:when>
	<c:otherwise>
		<stripes:layout-render name="/jsp/layout/loginLayout/layout.jsp">
			<stripes:layout-component name="htmlHead">
				<link rel="stylesheet" type="text/css" href="${root}/css/bootstrap/bootstrap-helper-classes.css" />
				
				<script type="text/javascript" src="${root}/js/jquery.blink.js"></script>
				<script type="text/javascript">
					$(document).ready(function() {
						$(".blink").blink({
							delay: 800
						});
					});
				</script>
				<c:if test="${!licencjaTTDps.isTylkoDoOdczytu() && !DEMO_APLIKACJI_CONTEXT_KEY}">
					<script type="text/javascript">
						$(document).ready(function() {
							$.getJSON("${dpsAppProperties['ttmanager.relative.url']}/spring/aktualizacja?sciezka=${root}", function(aktualizacja) {
								$("#aktualizacja").toggle(aktualizacja);
							});
						});
					</script>
				</c:if>
			</stripes:layout-component>
			<stripes:layout-component name="content">
				<h1>Zaloguj się!</h1>
				<div class="formContainer">
					<stripes:form beanclass="pl.topteam.dps.action.system.LoginAction" method="post">
						<c:if test="${DEMO_APLIKACJI_CONTEXT_KEY}">
							<fieldset>
								<legend>
									<div class="blink">WERSJA DEMONSTRACYJNA</div>
								</legend>
								Dane startowe potrzebne do uwierzytelnienia użytkownika:<br/>
								<br/>
								login: <b>start</b><br/>
								hasło: <b>start</b>
								<div class="padding-top-10 text-left">
									Aktualne zmiany w programie dostępne są pod
									<a href="http://dema.ttserver.pl/wersje/ttdps/changes.html" target="_blank" style="text-decoration: underline;"><i>adresem.</i></a>
								</div>
							</fieldset>
						</c:if>
						<c:if test="${empty komunikat && not empty actionBean}">
							<c:set var="komunikat" value="${actionBean.context.request.parameterMap['komunikat'][0]}"/>
						</c:if>
						<c:if test="${not empty komunikat}">
							<fieldset>
								<legend>
									<div class="blink">KOMUNIKAT</div>
								</legend>
								${komunikat}
							</fieldset>
						</c:if>
						<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
						<c:if test="${!licencjaTTDps.isTylkoDoOdczytu() && !DEMO_APLIKACJI_CONTEXT_KEY}">
							<fieldset id="aktualizacja">
								<div class="text-center">
									<img src="${root}/img/software-update-urgent.png"/>
									<span class="blink">Dostępna jest aktualizacja aplikacji.</span> Skontaktuj się z administratorem
									<a href="${dpsAppProperties['ttmanager.relative.url']}" target="_blank" style="text-decoration: underline;">
										albo wykonaj ją samodzielnie
									</a>
								</div>
								<div class="padding-top-10 text-left">
									Co się zmieniło od ostatniej aktualizacji?<br/>
									Można to już zobaczyć pod adresem
									<a href="http://dema.ttserver.pl/wersje/ttdps/changes.html" target="_blank" style="text-decoration: underline;"><i>Zmian i planowanych zmian w programie</i></a>
								</div>
							</fieldset>
						</c:if>
						<fieldset>
							<legend>Dane użytkownika</legend>
							<div class="row">
								<div class="label">
									<label>
										login:
									</label>
								</div>
								<div class="input">
									<stripes:text class="required" name="pracownik.login" size="25"/>
									<stripes:errors field="pracownik.login"/>
								</div>
							</div>
							<div class="row">
								<div class="label">
									<label>
										hasło:
									</label>
								</div>
								<div class="input">
									<stripes:password class="required" name="pracownik.haslo" size="25"/>
									<stripes:errors field="pracownik.haslo"/>
									<c:if test="${! DEMO_APLIKACJI_CONTEXT_KEY && dpsAppProperties['reminder.on']}">
										<span class="tip" style="padding-top: 5px;">
											<stripes:link beanclass="pl.topteam.dps.action.system.ResetHaslaAction" event="formularz" title="Resetuj hasło">
												zapomniałem(-am) hasła
											</stripes:link>
										</span>
									</c:if>
								</div>
							</div>
						</fieldset>
						<fieldset class="submit">
							<div>
								<stripes:submit name="login" value="Zaloguj"/>
							</div>
						</fieldset>
					</stripes:form>
				</div>

				<div id="bottom"></div>
				<div style="padding-top: 10px;">
					<div style="padding-top: 10px;">
					<%@ include file="loginDaneFirmy.jsp" %>
				</div>
				</div>
			</stripes:layout-component>
		</stripes:layout-render>
	</c:otherwise>
</c:choose>
