<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaMeldunkowActionURL" beanclass="pl.topteam.dps.action.socjalni.meldunek.ListaMeldunkowAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaMeldunkowActionURL}",
					"listaFiltr=1&" +
					parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkEwMPokoje" href="#" class="aktywny">
					Lista meldunków czasowych
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
				
				<div class="listFooterText">
					<c:choose>
						<c:when test="${not empty actionBean.osoba.ewidencjaDps.staleZameldowanieDom && actionBean.osoba.ewidencjaDps.staleZameldowanieDom}">
							<ttSec:secure roles="SOC_U_MELDUNEK">
								<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekStalyAction" event="usunOznaczenie">
									Usuń oznaczenie stałego meldunku na Dom
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<ttSec:secure roles="SOC_C_MELDUNEK">
								<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekAction" event="dodawanie">
									Dodaj nowy meldunek czasowy
								</stripes:link>
							</ttSec:secure>
							&nbsp;&nbsp;&nbsp;
							<ttSec:secure roles="SOC_U_MELDUNEK">
								<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekStalyAction" event="oznaczMieszkanca"
										title="Oznacz mieszkańca jako zameldowanego na stałe">
									Oznacz mieszkańca jako zameldowanego na stałe
								</stripes:link>
							</ttSec:secure>
						</c:otherwise>
					</c:choose>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
