<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaMeldunkow}" id="listaMeldunkow" var="meldunek" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataOd" title="Data od" sortable="false" filterable="false" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn property="dataDo" title="Data do" sortable="false" filterable="false" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_MELDUNEK">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekAction" event="edycja">
							<stripes:param name="meldunek.id" value="${meldunek.id}"/>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj meldunek czasowy"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_MELDUNEK">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.meldunek.ListaMeldunkowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten meldunek?')">
							<stripes:param name="meldunek.id" value="${meldunek.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/meldunek/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
