<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_EwidencjaDanychOsobowychActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaDanychOsobowychAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_PeselActionURL" beanclass="pl.topteam.dps.action.utils.PeselAction" prependContext="true" scope="page"/>
<stripes:url var="_StanCywilnyActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.StanCywilnyAction" prependContext="true" addSourcePage="false"/>
<script type="text/javascript">
	var _EwidencjaDanychOsobowychActionURL = "${_EwidencjaDanychOsobowychActionURL}";
	var _PeselActionURL = "${_PeselActionURL}";
	var _StanCywilnyActionURL = "${_StanCywilnyActionURL}";
</script>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/utils/daneOsobowe.js"></script>
		<script type="text/javascript" src="${root}/js/utils/kopiujAdres.js"></script>
		<script type="text/javascript" src="${root}/js/utils/pesel.js"></script>
		<script type="text/javascript" src="${root}/js/utils/stanCywilny.js"></script>
		<script type="text/javascript" src="${root}/js/utils/showHideAdres.js"></script>
		
		<script type="text/javascript">
			function customShowHideAdres(adresClass) {
				showHideAdres(adresClass);

				if($("input[id^='status_']").filter(":checked").length > 0) {
					$("div." + adresClass).hide();
				} else {
					$("div." + adresClass).show();
				}
			}

			$(document).ready(function() {
				wybierzSC('plecmieszkaniec', 'stanmieszkaniec');

				customShowHideAdres('elemAdresPobStaly');
				customShowHideAdres('elemMiejZamieszkania');
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Edycja danych mieszkańca
					</legend>
					
					<stripes:hidden name="mieszkaniec.id"/>
					<c:set var="poleOsoba" value="mieszkaniec"/>
					
					<c:choose>
						<c:when test="${stripes:enumName(dpsJednostka.branch) == 'DOM_POMOCY'}">
							<c:set var="miejsceUrodzeniaRequired" value="${true}"/>
						</c:when>
						<c:when test="${stripes:enumName(dpsJednostka.branch) == 'FUNDACJA'}">
							<c:set var="miejsceUrodzeniaRequired" value="${false}"/>
						</c:when>
						<c:when test="${stripes:enumName(dpsJednostka.branch) == 'OSRODEK_OPIEKUNCZY'}">
							<c:set var="miejsceUrodzeniaRequired" value="${true}"/>
						</c:when>
					</c:choose>
					<%@ include file="/jsp/templatePages/polaMieszkaniecDaneOsobowe.jsp" %>
				
					<div style="padding: 10px 0px 10px 10px;" id="kotwicaAdresAnchor">
						<stripes:checkbox id="status_elemAdresPobStaly" name="statusAdresuPobStalego"
								onchange="customShowHideAdres('elemAdresPobStaly');"/>
						<label for="status_elemAdresPobStaly" class="cursorPointer">&nbsp;Ostatni adres pobytu stałego jest nieznany</label>
					</div>
					<fieldset class="elemAdresPobStaly">
						<stripes:hidden name="ostPobytStaly.id"/>
						<stripes:hidden name="ostPobytStaly.typ" value="POBYTU_STALEGO"/>
						<legend>
							Ostatni adres pobytu stałego&nbsp;&nbsp;&nbsp;
							<stripes:text id="ostPobytStalyPodp_adres" name="adresPodp_ostPobytStaly" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostPobytStaly');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" title="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						
						<c:set var="nazwaPolaAdresu" value="ostPobytStaly"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
					<div class="elemAdresPobStaly elemMiejZamieszkania" style="padding-top: 5px; padding-bottom: 5px;">
						<a class="button" href="#kotwicaAdresAnchor" onclick="kopiujAdres('ostPobytStaly', 'ostMiejZamieszkania');">
							 <b>\/</b> Kopiuj z adresu pobytu stałego
						</a>
						&nbsp;&nbsp;&nbsp;
						<a class="button" href="#kotwicaAdresAnchor" onclick="kopiujAdres('ostMiejZamieszkania', 'ostPobytStaly');">
							 <b>/\</b> Kopiuj z adresu zamieszkania
						</a>
					</div>
					
					<div style="padding: 10px 0px 10px 10px;">
						<stripes:checkbox id="status_elemMiejZamieszkania" name="statusAdresuZamieszkania"
							onchange="customShowHideAdres('elemMiejZamieszkania');"/>
						<label for="status_elemMiejZamieszkania" class="cursorPointer">&nbsp;Ostatnie miejsce zamieszkania jest nieznane</label>
					</div>
					<fieldset class="elemMiejZamieszkania">
						<stripes:hidden name="ostMiejZamieszkania.id"/>
						<stripes:hidden name="ostMiejZamieszkania.typ" value="ZAMIESZKANIA"/>
						<legend>
							Ostatnie miejsce zamieszkania&nbsp;&nbsp;&nbsp;
							<stripes:text id="ostMiejZamieszkaniaPodp_adres" name="adresPodp_ostMiejZamieszkania" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostMiejZamieszkania');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy2" title="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						
						<c:set var="nazwaPolaAdresu" value="ostMiejZamieszkania"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
				</fieldset>
					
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" class="button" event="powrotOpcje">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
