<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<aa:zone id="konta_bankowe_container">


<fieldset>
	<legend>
		Konta bankowe (do rozliczeń z DPS)
	</legend>
	<c:choose>
	<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
		<div class="jmesa simpleFormContainer">
			<stripes:form id="kontaBankoweForm" name="kontaBankoweForm" beanclass="pl.topteam.dps.action.mieszkaniec.kontoBankowe.MieszkaniecKontoBankoweAction">
				<stripes:hidden id="kontoBankoweIdx" name="kontoBankoweIdx"/>
				
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				<c:set var="i" value="-1"/>
				<jmesa:tableFacade items="${actionBean.listaKontBankowych}" id="listaKontBankowych" var="kontoBankowe" autoFilterAndSort="false" editable="false"
						maxRows="${fn:length(actionBean.listaKontBankowych)}" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
					<jmesa:htmlTable style="text-align: center; min-width: 350px;">
						<jmesa:htmlRow>
							<jmesa:htmlColumn title="Nr konta" property="nrKonta" styleClass="alignLeft">
								<c:set var="i" value="${i + 1}"/>
								<stripes:hidden name="listaKontBankowych[${i}].id" value="${kontoBankowe.id}"/>
								PL&nbsp;<stripes:text name="listaKontBankowych[${i}].iban" class="iban required" title="Numer konta bankowego" size="50"
										value="${kontoBankowe.iban}"/>
								<stripes:errors field="listaKontBankowych[${i}].iban"/>
							</jmesa:htmlColumn>
							<jmesa:htmlColumn title="opcje" property="opcje" sortable="false" filterable="false">
								<div class="ikonki">
									<a href="" class="noLoadImage" onclick="return usunKonto('${i}')">
										<img src="${root}/img/delete.gif" class="iconspace"/>
									</a>
								</div>
							</jmesa:htmlColumn>
						</jmesa:htmlRow>
					</jmesa:htmlTable>
				</jmesa:tableFacade>
				<stripes:submit id="submitUsun" name="usun" value="Usuń" style="display: none;" aa-refresh-zones="konta_bankowe_container"/>
				<c:choose>
					<c:when test="${fn:length(actionBean.listaKontBankowych) == 0}">
						<stripes:submit name="dodaj" value="Dodaj konto" aa-refresh-zones="konta_bankowe_container"/>
					</c:when>
					<c:otherwise>
						<stripes:submit name="zapisz" value="Zapisz" aa-refresh-zones="konta_bankowe_container"/>
					</c:otherwise>
				</c:choose>
			</stripes:form>
		</div>
	</c:when>
	<c:otherwise>
		<div class="jmesa">
			<jmesa:tableFacade items="${actionBean.listaKontBankowych}" id="listaKontBankowych" var="kontoBankowe" autoFilterAndSort="false" editable="false"
					maxRows="${fn:length(actionBean.listaKontBankowych)}" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
				<jmesa:htmlTable style="text-align: center; min-width: 350px;" styleClass="alignCenter">
					<jmesa:htmlRow>
						<jmesa:htmlColumn title="Nr konta" property="nrKonta" styleClass="alignLeft">
							${kontoBankowe.PLIban}
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</div>
	</c:otherwise>
	</c:choose>
</fieldset>
<script type="text/javascript">
	function usunKonto(idx) {
		if(confirmation('Czy na pewno chcesz usunąć konto?')) {
			$("#kontoBankoweIdx").val(idx);
			$("#submitUsun").click();
		}
		return false;
	}
</script>
</aa:zone>