<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaMieszkancowActionURL" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaMieszkancowAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
			    
			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaMieszkancowActionURL}",
				    "listaFiltr=1&" + parameterString,
				    function(data) {
						$("#jmesaContainer").html(data);
						ukryjLoadImage();
					}
				);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista mieszkańców (spersonalizowana)</h3>
		
		<ttSec:secure roles="OG_C_MIESZKANIEC">
			<c:choose>
				<c:when test="${stripes:enumName(dpsJednostka.branch) == 'FUNDACJA'}">
					<stripes:link class="button" beanclass="pl.topteam.fund.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaFundacjaAction"
							event="arkuszEwidencyjny">
						Dodaj
					</stripes:link>
				</c:when>
				<c:otherwise>
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaPrzyjeciaMieszkancaAction"
							event="arkuszEwidencyjny">
						Dodaj
					</stripes:link>
				</c:otherwise>
			</c:choose>
			<br/><br/>
		</ttSec:secure>
		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>