<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form id="przypisanieForm" beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.PrzypisanieMieszkancaDoPietraPokojuAction">
	<%-- żeby nie wracał na stronki ajaxowe przy przeładowaniu formularza tylko na główną stronę --%>
	<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/mieszkaniecPietraPokoje/listaMieszkancow.jsp')}"/>

	<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	<fieldset>
		<div class="row">
			<div class="label">
				<label>
					data od
				</label>
			</div>
			<div class="input">
				<stripes:text name="dataOd" class="data required" formatPattern="${DATE_PATTERN}" size="11"></stripes:text>
				<stripes:errors field="dataOd"/>
			</div>
		</div>
		<div style="padding-bottom: 10px;">
			aktualne nr pokoi
		</div>
		<div align="center">
			<jmesa:tableFacade items="${listaMieszkancow}" id="listaMieszkancow" var="osoba" limit="${wynikLimit}"
					editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
				<jmesa:htmlTable>
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione"/>
						<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione"/>
						<jmesa:htmlColumn property="pesel" title="PESEL">
							${empty osoba.pesel ? '&nbsp;' : osoba.pesel}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="aktualnyPokoj" title="Aktualnie<br/>przebywa w" styleClass="alignCenter"
								sortable="false" filterable="false">
							<c:choose>
								<c:when test="${not empty osoba.dpsJednostkaPokoj.id}">
									<c:set var="obiektPokoj" value="${osoba.dpsJednostkaPokoj}"/>
									<%@ include file="/jsp/daneJednostki/opisPokoju.jsp" %>
								</c:when>
								<c:otherwise>
									-&nbsp;-&nbsp;-
								</c:otherwise>
							</c:choose>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="nrPokoju" title="Zmiana na pokój" sortable="false" filterable="false">
							<stripes:text id="autoPokoj_${osoba.id}readOnly" class="alignRight"
									name="mapaPokoi[${osoba.id}].nr" size="25" readonly="true"/>
							<stripes:hidden id="autoPokoj_${osoba.id}hidden" name="mapaPokoi[${osoba.id}].id"></stripes:hidden>
							<img class="cursorPointer" src="${root}/img/delete.gif" title="Usuń wybrany pokój" onclick="usunWybranyOpcje('autoPokoj_${osoba.id}');"/>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="podp" title="Wpisz numer<br/>i wybierz z listy" sortable="false" filterable="false">
							<stripes:text id="autoPokoj_${osoba.id}" class="alignRight"
								name="wybierzPokoj_${osoba.id}" size="25" onclick="highlight(this);" title="Wpisz początek numeru pokoju"/>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</div>
	</fieldset>
	<fieldset class="submit">
		<div>
			<stripes:submit name="zapisz" value="Zapisz"/>
		</div>
	</fieldset>
</stripes:form>
