<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWpisow}" id="listaWpisow" var="wpis" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="czyAktualne" title="Aktualne" styleClass="daneWyroznione" sortable="false" filterable="false">
				<c:if test="${wpis.id == aktualnyWpis.id}">
					TAK
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pokoj.budynek" title="Budynek" styleClass="daneWyroznione" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="pokoj.pietro" title="Piętro" styleClass="daneWyroznione" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="pokoj.nr" title="Nr pokoju" styleClass="daneWyroznione" sortable="false" filterable="false"/>
			<jmesa:htmlColumn property="dataOd" title="Data od" sortable="false" filterable="false" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<c:if test="${wpis.id == aktualnyWpis.id}">
					<div class="ikonki">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.pokoje.ListaPrzypisanMieszkancaAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć to przypisanie ? ')">
							<stripes:param name="ewidencjaPokoje.id" value="${wpis.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/mieszkaniecPokojeIndywidualnie/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</div>
				</c:if>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
