<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<stripes:url var="_kontaBankoweListaURL" beanclass="pl.topteam.dps.action.mieszkaniec.kontoBankowe.ListaKontBankowychAction" event="lista">
			<stripes:param name="osoba.id" value="${actionBean.osoba.id}"/>
		</stripes:url>
		<div class="formContainer2">
			<%@ include file="opcjeDaneOsLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkDnOs");
					AjaxAnywhere.submitAjaxAnywhereLink('${_kontaBankoweListaURL}', 'konta_bankowe_container');
				});
			</script>
			
			<div class="form" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<table align="center" class="daneOsoby" style="border: 0px none;">
				 	<tbody>
				 		<c:choose>
				 			<c:when test="${empty actionBean.osoba.ewidencjaDps.numerEwidencyjny}">
				 			</c:when>
				 			<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">
								<tr>
									<th style="font-size: larger;">nr aktu zgonu:</th>
									<td style="font-size: larger;">${actionBean.osoba.ewidencjaDps.numerEwidencyjny}</td>
								</tr>
				 			</c:when>
				 			<c:otherwise>
								<tr>
									<th style="font-size: larger;">nr ewidencyjny:</th>
									<td style="font-size: larger;">${actionBean.osoba.ewidencjaDps.numerEwidencyjny}</td>
								</tr>
				 			</c:otherwise>
				 		</c:choose>
					 	<tr>
							<th>PESEL:</th>
							<td>${actionBean.osoba.pesel}</td>
						</tr>
					 	<tr>
							<th>data urodzenia:</th>
							<td><fmt:formatDate value="${actionBean.osoba.dataUrodzenia}" pattern="${DATE_PATTERN}"/></td>
						</tr>
					 	<tr>
							<th>seria i nr dowodu os.:</th>
							<td>${actionBean.osoba.dowodOs.seriaNr}</td>
						</tr>
						<c:if test="${not empty actionBean.osoba.telefonKom}">
							<tr>
								<th>telefon kom.</th>
								<td>${actionBean.osoba.telefonKom}</td>
							</tr>
						</c:if>
						<c:if test="${not empty listaPrzypisanychPracownikow}">
							<tr>
								<th>&nbsp;</th>
								<td>&nbsp;</td>
							</tr>
							<tr>
								<th>przypisany pracownik:</th>
								<td>
									<c:forEach items="${listaPrzypisanychPracownikow}" var="osobaPracownik">
										${osobaPracownik.pracownikPrzypisany.nazwisko} ${osobaPracownik.pracownikPrzypisany.imie} (od: <fmt:formatDate value="${osobaPracownik.dataPrzypisania}" pattern="${DATE_PATTERN}"/>)
									</c:forEach>
								</td>
							</tr>
						</c:if>
						<c:if test="${not empty actionBean.osoba.importProgram}">
							<tr>
								<th></th>
								<td></td>
							</tr>
							<tr>
								<th>status danych początkowych:</th>
								<td title="Dane osoby zostały zaimportowane z programu '${actionBean.osoba.importProgram.opis}'">
									${actionBean.osoba.importProgram.opis}
								</td>
							</tr>
						</c:if>
					</tbody>
				</table>
				
				<aa:zone id="konta_bankowe_container">
				</aa:zone>
				
				<c:if test="${not empty actionBean.osoba.adres}">
					<fieldset class="view">
						<legend>Ostatnie miejsce zamieszkania</legend>
						<table align="center" class="daneOsoby" style="border: 0px none;">
						 	<tbody>
						 		<c:if test="${actionBean.osoba.adres.panstwo != '500'}">
							 		<tr>
							 			<th>państwo:</th>
							 			<td>
							 				<c:set var="slowaSlownika" value="${kodObywatelstwaSlownik}"/>
											<c:set var="wartoscDoPorow" value="${actionBean.osoba.adres.panstwo}"/>
											<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
							 			</td>
							 		</tr>
							 	</c:if>
							 	<tr>
									<th>ulica, nr domu, nr lokalu:</th>
									<td>${actionBean.osoba.adres.ulica}, ${actionBean.osoba.adres.nrDomu}, ${actionBean.osoba.adres.nrLokalu}</td>
								</tr>
							 	<tr>
									<th>miejscowość:</th>
									<td>${actionBean.osoba.adres.miejscowosc}</td>
								</tr>
						 		<tr>
									<th>poczta:</th>
									<td>
										<c:choose>
											<c:when test="${actionBean.osoba.adres.panstwo == '500'}">
												${fn:substring(actionBean.osoba.adres.kodPocztowy, 0, 2)}-${fn:substring(actionBean.osoba.adres.kodPocztowy, 2, 5)}, ${not empty actionBean.osoba.adres.poczta ? actionBean.osoba.adres.poczta : actionBean.osoba.adres.miejscowosc}
											</c:when>
											<c:otherwise>
													<td>${actionBean.osoba.adres.kodPocztowy}, ${actionBean.osoba.adres.poczta}</td>
											</c:otherwise>
										</c:choose>
									</td>
								</tr>
								<c:if test="${actionBean.osoba.adres.panstwo == '500'}">
							 		<tr>
										<th>województwo:</th>
										<td>${actionBean.osoba.adres.wojewodztwo.nazwa}</td>
									</tr>
							 		<tr>
										<th>gmina:</th>
										<td>${actionBean.osoba.adres.gmina}</td>
									</tr>
									<tr>
										<th>powiat:</th>
										<td>${actionBean.osoba.adres.powiat}</td>
									</tr>
								</c:if>
						 		<tr>
									<th>telefon:</th>
									<td>${actionBean.osoba.adres.telefon}</td>
								</tr>
							</tbody>
						</table>
					</fieldset>
				</c:if>
				<ttSec:secure roles="OG_U_MIESZKANIEC">
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecEdycjaAction" event="edycja">
							Edytuj dane
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
