<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="opcjeDaneOsLinki.jsp" %>
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkCzlRodz");
				});
			</script>
			
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
			<%-- CZŁONKOWIE RODZINY --%>
				<h5 class="daneWyroznione">Członkowie rodziny</h5>
				<jmesa:tableFacade items="${listaCzlonkow}" id="listaCzlonkow" var="czlR" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableView"
						maxRows="${fn:length(listaCzlonkow)}">
					<jmesa:htmlTable width="600px">
						<jmesa:htmlRow>
							<jmesa:htmlColumn property="info" title="&nbsp;" styleClass="daneWyroznione" sortable="false">
								<c:if test="${not empty czlR.dataZgonu}">
									(&#8224; <fmt:formatDate value="${czlR.dataZgonu}" pattern="${DATE_PATTERN}" />)
								</c:if>
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione" sortable="false">
								<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR" defaultText="${czlR.nazwisko}">
									<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" event="czlonekRodziny">
										<stripes:param name="osobaRodzina.id" value="${czlR.historiaOsoby[0].id}"/>
										<c:choose><c:when test="${not empty czlR.dataZgonu}"><strike>${czlR.nazwisko}</strike></c:when><c:otherwise>${czlR.nazwisko}</c:otherwise></c:choose>
									</stripes:link>
								</ttSec:secure>
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione" sortable="false">
								<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR" defaultText="${czlR.imie}">
									<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" event="czlonekRodziny">
										<stripes:param name="osobaRodzina.id" value="${czlR.historiaOsoby[0].id}"/>
										<c:choose><c:when test="${not empty czlR.dataZgonu}"><strike>${czlR.imie}</strike></c:when><c:otherwise>${czlR.imie}</c:otherwise></c:choose>
									</stripes:link>
								</ttSec:secure>
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="pokrewienstwo" title="Rodzaj pokrewieństwa" sortable="false">
								<c:set var="slowaSlownika" value="${kodStopniaPokrewienstwaSlownik}"/>
								<c:set var="wartoscDoPorow" value="${czlR.historiaOsoby[0].kodStopniaPokrewienstwa}"/>
								<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgKodu.jsp" %>
								
								<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR" defaultText="${wartoscZmiennejZeSlownika}">
									<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" event="czlonekRodziny">
										<stripes:param name="osobaRodzina.id" value="${czlR.historiaOsoby[0].id}"/>
										<c:choose><c:when test="${not empty czlR.dataZgonu}"><strike>${wartoscZmiennejZeSlownika}</strike></c:when><c:otherwise>${wartoscZmiennejZeSlownika}</c:otherwise></c:choose>
									</stripes:link>
								</ttSec:secure>
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
								<div class="ikonki">
									<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR">
										<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.CzlonekRodzinyAction" event="czlonekRodziny">
											<stripes:param name="osobaRodzina.id" value="${czlR.historiaOsoby[0].id}"/>
											<img src="${root}/img/edit.gif" border="0" title="Edytuj"/>
										</stripes:link>
									</ttSec:secure>
									<ttSec:secure roles="SOC_D_MIESZKANIEC_CZLR">
										<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" event="usunCzlonkaRodziny"
												onclick="return confirmation('Czy na pewno chcesz usunąć osobę -${czlR.nazwisko} ${czlR.imie}- ? ')">
											<stripes:param name="osobaRodzina.id" value="${czlR.historiaOsoby[0].id}"/>
											<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/opcjeRodzina.jsp')}"/>
											<img src="${root}/img/delete.gif" border="0" title="Usuń"/>
										</stripes:link>
									</ttSec:secure>
								</div>
							</jmesa:htmlColumn>
						</jmesa:htmlRow>
					</jmesa:htmlTable>
				</jmesa:tableFacade>
				
			<%-- POZOSTAŁE OSOBY --%>
				<h5 class="daneWyroznione">Inne osoby</h5>
				<jmesa:tableFacade items="${listaInnychOsob}" id="listaInnychOsob" var="innaOsoba" editable="false" exportTypes="" 
						view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaInnychOsob)}">
					<jmesa:htmlTable width="600px">
						<jmesa:htmlRow>
							<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione" sortable="false">
								${innaOsoba.nazwisko}
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione" sortable="false">
								${innaOsoba.imie}
							</jmesa:htmlColumn>
							<jmesa:htmlColumn property="typ" title="Typ / Opcje" sortable="false">
								<jmesa:tableFacade items="${innaOsoba.historiaOsoby}" id="historiaOsoby" var="wpis" autoFilterAndSort="false"
										editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.OnlyRowTableView">
									<jmesa:htmlTable style="width: 100%;">
										<jmesa:htmlRow>
											<jmesa:htmlColumn title="Typ" property="typ" sortable="false">
												<c:choose>
													<c:when test="${wpis.kodStopniaPokrewienstwa == MIESZKANIEC_KOD_BRAK_POKREWIENSTWA}">
														<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR" defaultText="${not empty wpis.typ ? wpis.typ.opis : 'przyjaciel rodziny'}">
															<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.InnaOsobaAction" event="innaOsoba">
																<stripes:param name="osobaRodzina.id" value="${wpis.id}"/>
																${not empty wpis.typ ? wpis.typ.opis : 'przyjaciel rodziny'}
																<c:if test="${wpis.dataOd != null || wpis.dataDo != null}">
																	<br/>
																	(<c:choose><c:when test="${wpis.dataOd != null}"><fmt:formatDate value="${wpis.dataOd}" pattern="${DATE_PATTERN}"/></c:when><c:otherwise>---</c:otherwise></c:choose>&nbsp;&divide;&nbsp;<c:choose><c:when test="${wpis.dataDo != null}"><fmt:formatDate value="${wpis.dataDo}" pattern="${DATE_PATTERN}"/></c:when><c:otherwise>---</c:otherwise></c:choose>)
																</c:if>
															</stripes:link>
														</ttSec:secure>
													</c:when>
													<c:otherwise>
														<span class="err">BŁĄD IMPLEMENTACJI !!!</span>
													</c:otherwise>
												</c:choose>
											</jmesa:htmlColumn>
											<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" style="width: 50px;">
												<div class="ikonki">
													<c:choose>
														<c:when test="${wpis.kodStopniaPokrewienstwa == MIESZKANIEC_KOD_BRAK_POKREWIENSTWA}">
															<ttSec:secure roles="SOC_U_MIESZKANIEC_CZLR">
																<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.InnaOsobaAction" event="innaOsoba">
																	<stripes:param name="osobaRodzina.id" value="${wpis.id}"/>
																	<img src="${root}/img/edit.gif" border="0" title="Edytuj"/>
																</stripes:link>
															</ttSec:secure>
															<ttSec:secure roles="SOC_D_MIESZKANIEC_CZLR">
																<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.ListaOsobWRodzinieAction" event="usunCzlonkaRodziny"
																		onclick="return confirmation('Czy na pewno chcesz usunąć osobę /${innaOsoba.nazwisko} ${innaOsoba.imie}/ ? ')">
																	<stripes:param name="osobaRodzina.id" value="${wpis.id}"/>
																	<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/opcjeRodzina.jsp')}"/>
																	<img src="${root}/img/delete.gif" border="0" title="Usuń"/>
																</stripes:link>
															</ttSec:secure>
														</c:when>
														<c:otherwise>
															<span class="err">BŁĄD IMPLEMENTACJI !!!</span>
														</c:otherwise>
													</c:choose>
												</div>
											</jmesa:htmlColumn>
										</jmesa:htmlRow>
									</jmesa:htmlTable>
								</jmesa:tableFacade>
							</jmesa:htmlColumn>
						</jmesa:htmlRow>
					</jmesa:htmlTable>
				</jmesa:tableFacade>
				
				<ttSec:secure roles="SOC_C_MIESZKANIEC_CZLR">
					<div class="listFooterText">
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.OsobaWRodzinieDispatcherAction" event="dodajOsobe" class="button">
							Dodaj nową osobę
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.OsobaWRodzinieDispatcherAction" event="dodajOsobe" class="button">
							<stripes:param name="przypisanie" value="true"/>
							Przypisz osobę z listy
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
