<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.opcje.PrzypisaniePracownikaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Przypisywanie pracownika do osoby
					</legend>
					
					<c:if test="${not empty aktualnePrzypisanie}">
						<input type="hidden" name="zmienianePrzypisanie.id" value="${aktualnePrzypisanie.id}"/>
						<input type="hidden" name="zmienianePrzypisanie.pracownikId" value="${aktualnePrzypisanie.pracownikId}"/>
						<fieldset>
							<legend>Aktualne przypisanie</legend>
						</fieldset>
						
						<div class="row">
							<div class="label">
								<label>
									pracownik przypisany
								</label>
							</div>
							<div class="input">
								${aktualnePrzypisanie.pracownikPrzypisany.nazwiskoImie}
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									data przypisania
								</label>
							</div>
							<div class="input">
								<fmt:formatDate value="${aktualnePrzypisanie.dataPrzypisania}" pattern="${DATE_PATTERN}" />
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									kto przypisał
								</label>
							</div>
							<div class="input">
								${aktualnePrzypisanie.pracownikPrzypisal.nazwiskoImie}
							</div>
						</div>
					</c:if>
					
					<fieldset>
						<legend>
							Zmiana przypisania
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									pracownik
								</label>
							</div>
							<div class="input">
								<stripes:select style="width:400px" class="mySelect required" name="przypisanie.pracownikId" id="selPracownikId">
									<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
									<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
								</stripes:select>
								<div style="clear: both; padding-bottom: 10px;"></div>
								<stripes:errors field="przypisanie.pracownikId"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
					
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.opcje.MieszkaniecAction" class="button" event="historiaPrzypisanPracownikow">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
