<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_WydrukZbiorczyInformacjiActionURL" beanclass="pl.topteam.dps.action.mieszkaniec.wydruki.WydrukZbiorczyInformacjiAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			#wydrukForm fieldset {
				border: 0px none;
			}
		</style>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
			    
			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_WydrukZbiorczyInformacjiActionURL}",
				    "listaFiltr=1&" + parameterString,
				    function(data) {
						$("#jmesaContainer").html(data);
						
						ukryjLoadImage();
					}
				);
			}
			
			function drukujZSzablonu(idOsoby) {
				$("input[name='osoba.id']").val(idOsoby);
				$("#wydrukForm").submit();
				
				return true;
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Wydruk zbiorczy informacji o mieszkańcu</h3>
		
		<stripes:form id="wydrukForm" beanclass="pl.topteam.dps.action.mieszkaniec.wydruki.WydrukZbiorczyInformacjiAction" target="_blank">
			<stripes:hidden name="drukuj" value="1"/>
			<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/bledy/sourcePageNewWindow.jsp')}"/>
			
			<stripes:hidden name="osoba.id"/>
			<stripes:errors field="osoba.id"/>
			<fieldset>
				<div class="row">
					<div class="label">
						<label>
							szablon wydruku
						</label>
					</div>
					<div class="input">
						<stripes:select name="szablonWydruku.id" title="Szablon wydruku" style="width: 300px;">
							<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
							<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
						</stripes:select>
						<stripes:errors field="szablonWydruku.id"/>
					</div>
				</div>

				<div id="jmesaContainer">
					<%@ include file="wydrukZbiorczyInformacjiFiltr.jsp" %>
				</div>
			</fieldset>
		</stripes:form>
	</stripes:layout-component>
</stripes:layout-render>