<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWpisow}" id="listaWpisow" var="map" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_OD" title="Data od" sortable="true" filterable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_MONITOROWANIE" defaultText="${map['DATA_OD']}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.monitorowanie.MonitorowanieAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						<fmt:formatDate value="${map['DATA_OD']}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_DO" title="Data do" sortable="true" filterable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_MONITOROWANIE" defaultText="${not empty map['DATA_DO'] ? map['DATA_DO'] : ' '}" pattern="${not empty map['DATA_DO'] ? DATE_PATTERN : ''}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.monitorowanie.MonitorowanieAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						<fmt:formatDate value="${map['DATA_DO']}" pattern="${DATE_PATTERN}" />
						<c:if test="${empty map['DATA_DO']}">
							&nbsp;
						</c:if>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_MONITOROWANIE">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.monitorowanie.MonitorowanieAction" event="edycja">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_MONITOROWANIE">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.monitorowanie.ListaMonitorowaniaAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć to monitorowanie ? ')">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/monitorowanie/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
