<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="0"/>
<jmesa:tableFacade items="${actionBean.listaMieszkancow}" id="listaMieszkancow" var="osoba" limit="${wynikLimit}"
		editable="false" maxRows="${fn:length(actionBean.listaMieszkancow)}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableView">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="lp" title="Lp.">
				${i + 1}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione">
				<stripes:hidden name="listaMieszkancow[${i}].id"/>

				${osoba.nazwiskoImie}
				<stripes:hidden name="listaMieszkancow[${i}].nazwisko"/>
				<stripes:hidden name="listaMieszkancow[${i}].imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL">
				${osoba.pesel}
				<stripes:hidden name="listaMieszkancow[${i}].pesel"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data przyjęcia">
				<fmt:formatDate value="${osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="numerEwidencyjny" title="Numer ewidencyjny">
				<stripes:hidden name="listaMieszkancow[${i}].ewidencjaDps.id"/>
				
				<stripes:text name="listaMieszkancow[${i}].ewidencjaDps.numerEwidencyjny" title="Numer ewidencyjny mieszkańca" formatPattern="${DATE_PATTERN}"/>
				<stripes:errors field="listaMieszkancow[${i}].ewidencjaDps.numerEwidencyjny"/>

				<c:set var="i" value="${i + 1}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
