<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
			
			.ui-widget-header {
				border: 0px none;
				border-bottom: 1px solid #2C5AA0;
				background: none;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-lex").tabs({
					cache: false,
					load: function(event, ui) {
						// czyszczenie treści zakładek, które nie są ładowane
						$(ui.panel).siblings('.ui-tabs-panel').empty();

						// poprawki masek
						var $kwoty = $(".doublePrecision");
						
						$kwoty.unDoublePrecisionNRNChkb();
						$kwoty.doublePrecisionNRNChkb();
						
						return true;
					},
					select: function(event, ui) {
						$("#importFormErrors").html("");
						
						return true;
					},
					selected : parseInt("${actionBean.zakres.ordinal()}"),
					spinner: "<em>...</em>"
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			Import zadłużenia początkowego dla "${actionBean.zadluzenieStart.rodzajZadluzenia.opis}"
			za okres ${actionBean.zadluzenieStart.rok}/${actionBean.zadluzenieStart.miesiac}
		</h3>
		<div class="formContainer">
			<stripes:form id="importForm" style="padding: 5px;" beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaAction">
				<div id="importFormErrors">
					<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				</div>
				
				<stripes:hidden name="zadluzenieStart.rok"/>
				<stripes:hidden name="zadluzenieStart.miesiac"/>
				<stripes:hidden name="zadluzenieStart.rodzajZadluzenia"/>
				
				<div id="tab-container-lex" class="form" style="border: 0px none;">
					<ul>
						<c:forEach items="${actionBean.zakresy}" var="_zakres" varStatus="i">
							<li>
								<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaAction" event="formularzFiltr">
									<stripes:param name="zadluzenieStart.rok" value="${actionBean.zadluzenieStart.rok}"/>
									<stripes:param name="zadluzenieStart.miesiac" value="${actionBean.zadluzenieStart.miesiac}"/>
									<stripes:param name="zadluzenieStart.rodzajZadluzenia" value="${actionBean.zadluzenieStart.rodzajZadluzenia}"/>
									<stripes:param name="zakres" value="${_zakres}"/>
									<span>${_zakres.from()}-${_zakres.to()}</span>
								</stripes:link>
							</li>
						</c:forEach>
					</ul>
 					<c:forEach items="${actionBean.zakresy}" var="zakres" varStatus="i">
						<div id="ui-tabs-${i.count}">
						</div>
					</c:forEach>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>