<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty actionBean.listaPozycji}">
		<stripes:form style="padding: 5px;" beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaAction" partial="true">
			<stripes:hidden name="zakres"/>
			
			<c:set var="i" value="-1"/>
			<jmesa:tableFacade items="${actionBean.listaPozycji}" id="listaPozycji" var="zadluzenieStart" editable="false"
					view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaPozycji)}">
				<jmesa:htmlTable style="width: 600px;">
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" styleClass="daneWyroznione" sortable="false">
							<c:set var="i" value="${i + 1}"/>
							
							<stripes:hidden name="listaPozycji[${i}].zadluzeniePozycjaId"/>

							<stripes:hidden name="listaPozycji[${i}].mieszkaniec.id"/>
							<stripes:hidden name="listaPozycji[${i}].mieszkaniec.nazwisko"/>
							<stripes:hidden name="listaPozycji[${i}].mieszkaniec.imie"/>
							
							${zadluzenieStart.mieszkaniec.nazwiskoImie}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
							<c:set var="platnik" value=""/>
							<c:choose>
								<c:when test="${not empty zadluzenieStart.osoba}">
									<c:set var="platnik" value="${zadluzenieStart.osoba.nazwiskoImie}"/>
									
									<stripes:hidden name="listaPozycji[${i}].osoba.id"/>
									<stripes:hidden name="listaPozycji[${i}].osoba.nazwisko"/>
									<stripes:hidden name="listaPozycji[${i}].osoba.imie"/>
								</c:when>
								<c:when test="${not empty zadluzenieStart.instytucja}">
									<c:set var="platnik" value="${zadluzenieStart.instytucja.nazwa}"/>
									
									<stripes:hidden name="listaPozycji[${i}].instytucja.id"/>
									<stripes:hidden name="listaPozycji[${i}].instytucja.nazwa"/>
								</c:when>
								<c:otherwise>
									<c:set var="platnik" value="${zadluzenieStart.mieszkaniec.nazwiskoImie}"/>
									
									<stripes:hidden name="listaPozycji[${i}].osoba.id" value="${zadluzenieStart.mieszkaniec.id}"/>
									<stripes:hidden name="listaPozycji[${i}].osoba.nazwisko" value="${zadluzenieStart.mieszkaniec.nazwisko}"/>
									<stripes:hidden name="listaPozycji[${i}].osoba.imie" value="${zadluzenieStart.mieszkaniec.imie}"/>
								</c:otherwise>
							</c:choose>
							
							${platnik}
							
							<stripes:errors field="listaPozycji[${i}]"/>
							<stripes:errors field="listaPozycji[${zadluzenieStart.mieszkaniec.id}]"/>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="kwotaTd">
							<stripes:text name="listaPozycji[${i}].kwota" class="doublePrecision nChkb" size="8" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;*
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
			<div class="padding-top-5">*) 0,00 - brak wpłaty (program ominie tę pozycję)</div>
			<hr/>
			<div class="alignCenter">
				<stripes:link beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaDispatcherAction" event="formularz" class="button">
					<stripes:param name="zadluzenieStart.rok" value="${actionBean.zadluzenieStart.rok}"/>
					<stripes:param name="zadluzenieStart.miesiac" value="${actionBean.zadluzenieStart.miesiac}"/>
					<stripes:param name="zadluzenieStart.rodzajZadluzenia" value="${actionBean.zadluzenieStart.rodzajZadluzenia}"/>
					&laquo; Zmień parametry
				</stripes:link>
				&nbsp;&nbsp;&nbsp;
				<stripes:submit name="zapisz" value="Zapisz"/>
			</div>
		</stripes:form>
	</c:when>
	<c:otherwise>
		Brak wyników
	</c:otherwise>
</c:choose>
