<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Import stanu zadłużenia dla mieszkańców</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.dlug.ImportStanuZadluzeniaDispatcherAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Za okres</legend>
					<div class="row">
						<div class="label">
							<label>
								rok
							</label>
						</div>
						<div class="input">
							<stripes:text name="zadluzenieStart.rok" class="rok required" size="7"/>
							<stripes:errors field="zadluzenieStart.rok"/>
						</div>
					</div>

					<c:set var="klasaWymagane" value="required"/>
					<c:set var="miesiacReadOnly" value="${false}"/>
					<c:set var="poleMiesiac" value="zadluzenieStart.miesiac"/>
					<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								rodzaj zadłużenia
							</label>
						</div>
						<div class="input">
							<stripes:select name="zadluzenieStart.rodzajZadluzenia" class="required">
								<stripes:options-collection collection="${actionBean.rodzajeZadluzenia()}" label="opis"/>
							</stripes:select>
							<div style="clear: both;"></div>
							<stripes:errors field="zadluzenieStart.rodzajZadluzenia"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dispatch" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>