<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.InstytucjaWplacajacaAction">
	<%-- żeby nie wracał na stronki ajaxowe przy przeładowaniu formularza tylko na główną stronę --%>
	<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/naprawa/pobieraneSwiadczenie/formularz.jsp')}"/>
	
	<fieldset>
		<div class="row">
			<div class="label">
				<label>
					stan na dzień
				</label>
			</div>
			<div class="input">
				<stripes:text name="stanNaDzien" class="data required" formatPattern="${DATE_PATTERN}" size="11"></stripes:text>
				<stripes:errors field="stanNaDzien"/>
			</div>
		</div>
		<fieldset class="submit">
			<div>
				<stripes:submit name="formularz" value="Zmień"/>
			</div>
		</fieldset>
	</fieldset>
</stripes:form>

<c:choose>
	<c:when test="${not empty actionBean.listaSwiadczen && fn:length(actionBean.listaSwiadczen) > 0}">
		<stripes:form beanclass="pl.topteam.dps.action.system.naprawa.pobSwiadczenie.InstytucjaWplacajacaAction">
			<%-- żeby nie wracał na stronki ajaxowe przy przeładowaniu formularza tylko na główną stronę --%>
			<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/naprawa/pobieraneSwiadczenie/formularz.jsp')}"/>
		
			<stripes:hidden name="stanNaDzien"/>
			<fieldset>
				<div style="padding-bottom: 10px;">
					Lista świadczeń do uzupełnienia danych (widok ${fn:length(actionBean.listaSwiadczen)} z ${liczbaSwiadczen})
				</div>
				<div align="center">
					<c:set var="i" value="0"/>
					<jmesa:tableFacade items="${actionBean.listaSwiadczen}" id="listaSwiadczen" var="swiadczenie" autoFilterAndSort="true"
							editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaSwiadczen)}">
						<jmesa:htmlTable>
							<jmesa:htmlRow>
								<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" styleClass="daneWyroznione" sortable="false" filterable="false">
									${swiadczenie.mieszkaniec.nazwiskoImie}
									
									<stripes:hidden name="listaSwiadczen[${i}].mieszkaniec.id"/>
									<stripes:hidden name="listaSwiadczen[${i}].mieszkaniec.nazwisko"/>
									<stripes:hidden name="listaSwiadczen[${i}].mieszkaniec.imie"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn property="nazwa" title="Świadczenie" styleClass="daneWyroznione" sortable="false" filterable="false">
									${swiadczenie.nazwa}/<br/>
									${swiadczenie.nr}
									
									<stripes:hidden name="listaSwiadczen[${i}].id"/>
									<stripes:hidden name="listaSwiadczen[${i}].nazwa"/>
									<stripes:hidden name="listaSwiadczen[${i}].nr"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn property="rodzajOdbioru" title="Rodzaj odbioru" sortable="false" filterable="false">
									<stripes:select name="listaSwiadczen[${i}].rodzajOdbioru" title="Organ wydający decyzję">
										<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
										<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajOdbioruSwiadczenia" label="opis"/>
									</stripes:select>
									
									<stripes:hidden name="listaSwiadczen[${i}].rodzajOdbioru"/>
								</jmesa:htmlColumn>
								<jmesa:htmlColumn property="instytucja" title="Instytucja" sortable="false" filterable="false" style="width: 400px;">
									<c:set var="instytucjaPoleNazwa" value="listaSwiadczen[${i}].instytucjaDoplacajaca"/>
									<%@ include file="formularzInstytucjaDoplacajaca.jsp" %>
									
									<c:set var="i" value="${i + 1}"/>
								</jmesa:htmlColumn>
							</jmesa:htmlRow>
						</jmesa:htmlTable>
					</jmesa:tableFacade>
				</div>
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</fieldset>
		</stripes:form>
	</c:when>
	<c:otherwise>
		<div>
			<fieldset>
				<img src="${root}/img/check_16.png"/> Nie znaleziono świadczeń przeznaczonych do uzupełnienia informacji
			</fieldset>
		</div>
	</c:otherwise>
</c:choose>
