<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.NieobecnoscAction" name="nieobecnoscForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="nieobecnosc.nieobecnoscInformacjaId"/>
				<fieldset>
					<legend>
						Dodawanie nieobecności (krok 1)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								data od
							</label>
						</div>
						<div class="input">
							<stripes:text name="nieobecnosc.dataOd" title="Data od" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="nieobecnosc.dataOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data do
							</label>
						</div>
						<div class="input">
							<stripes:text name="nieobecnosc.dataDo" title="Data od" class="data required" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="nieobecnosc.dataDo"/>
						</div>
					</div>
					
					<%-- wspólne pola dla wszystkich dodawanych nieobecności --%> 
					<c:set var="nazwaPolaNieobecnosci" value="nieobecnosc"/>
					<%@ include file="/jsp/templatePages/polaNieobecnosciWspolne.jsp" %>
				</fieldset>

				<fieldset class="submit">
					<div>
						<c:choose>
							<c:when test="${not empty actionBean.nieobecnosc.nieobecnoscInformacjaId}">
								<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.ListaNieobecnosciAction" class="button" event="lista">
									&laquo; Anuluj
								</stripes:link>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.ListaNieobecnosciAction" class="button" event="lista">
									&laquo; Anuluj
								</stripes:link>
							</c:otherwise>
						</c:choose>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>