<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="dniWykorzystanych" value="0"/>
<jmesa:tableFacade items="${listaNieobecnosci}" id="listaNieobecnosci" var="nieobecnosc" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaNieobecnosci)}">
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<%@ include file="listaFiltrStaleKolumny.jsp" %>
			
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<%-- możliwa edycja tylko ostatniej nieobecności na liście --%>
					<c:choose>
						<c:when test="${nieobecnosc.id == listaNieobecnosci[fn:length(listaNieobecnosci) - 1].id}">
							<ttSec:secure roles="SOC_U_NIEOBECNOSC">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.NieobecnoscEdycjaAction" event="edycja">
									<stripes:param name="nieobecnosc" value="${nieobecnosc.id}"/>
									<img src="${root}/img/edit.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<ttSec:secure roles="SOC_U_NIEOBECNOSC">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.NieobecnoscEdycjaAction" event="edycjaNiepelna">
									<stripes:param name="nieobecnosc" value="${nieobecnosc.id}"/>
									<img src="${root}/img/edit.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:otherwise>
					</c:choose>
					<c:choose>
						<c:when test="${not empty nieobecnosc.szablonWydrukuId}">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.WydrukNieobecnosciAction" event="drukuj" target="_blank" title="Drukuj">
								<stripes:param name="nieobecnosc" value="${nieobecnosc.id}"/>
								<img src="${root}/img/printer.gif" class="iconspace"/>
							</stripes:link>
						</c:when>
						<c:otherwise>
							<a href="#">
								<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku !"/>
							</a>
						</c:otherwise>
					</c:choose>
					<ttSec:secure roles="SOC_D_NIEOBECNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.nieobecnosc.ListaNieobecnosciAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć tę nieobecność?')">
							<stripes:param name="nieobecnosc" value="${nieobecnosc.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/nieobecnosc/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="table" width="500px">
	<tbody class="tbody">
		<tr>
			<td colspan="2" align="right"><hr style="width: 300px;"></hr></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align: right; padding-right: 5px;">
				RAZEM wykorzystanych:
			</td>
			<td class="kwotaTd" nowrap="nowrap">
				<fmt:formatNumber value="${dniWykorzystanych}" pattern="0"/>&nbsp;dni
			</td>
			<td style="width: 115px;">
				<div class="ikonki">
					&nbsp;
				</div>
			</td>
		</tr>
	</tbody>
</table>
<c:set var="pozostaloDni" value="${__liczba_dni_nieobecnosci_zwrot - dniWykorzystanych}"></c:set>
<c:choose>
	<c:when test="${pozostaloDni > 0}">
		<div>
			<table width="500px">
				<tr>
					<td class="daneWyroznione" style="text-align: right; padding-right: 5px;">
						Pozostało do wykorzystania:
					</td>
					<td class="daneWyroznione kwotaTd" nowrap="nowrap">
						<fmt:formatNumber value="${pozostaloDni < 0 ? 0 : pozostaloDni}" pattern="0"/>&nbsp;dni
					</td>
					<td style="width: 115px;">
						<div class="ikonki">
							
						</div>
					</td>
				</tr>
			</table>
		</div>
	</c:when>
	<c:otherwise>
		<div>
			<table>
				<tr>
					<td class="daneWyroznione" style="color: red; padding-right: 5px;">
						Wykorzystano limit nieobecności ${__liczba_dni_nieobecnosci_zwrot} dni za które
						mieszkaniec może otrzymać zwrot !
					</td>
				</tr>
			</table>
		</div>
	</c:otherwise>
</c:choose>
