<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaInformacji}" id="listaInformacji" var="informacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_WYJAZDU" title="Data wyjazdu" styleClass="${empty informacja.dataPowrotu ? 'daneWyroznione' : ''}"
					sortable="true" filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.dataWyjazdu}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" event="edycja">
						<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
						<fmt:formatDate value="${informacja.dataWyjazdu}" pattern="${DATE_PATTERN}"/>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_POWROTU" title="Data powrotu" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<c:choose>
					<c:when test="${empty informacja.dataPowrotu}">
						&nbsp;
					</c:when>
					<c:otherwise>
						<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.dataPowrotu}" pattern="${DATE_PATTERN}">
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" event="edycja">
								<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
								<fmt:formatDate value="${informacja.dataPowrotu}" pattern="${DATE_PATTERN}"/>
							</stripes:link>
						</ttSec:secure>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Miejsce" sortable="true" filterable="true">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.miejscePobytu.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" event="edycja">
						<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
						${informacja.miejscePobytu.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="skierowalPrzyjal" title="Pracownik<br/>skierował&nbsp;/&nbsp;przyjął" sortable="false" filterable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.pracownikSkierowal.nazwiskoImie} / ${not empty informacja.pracownikPrzyjal ? informacja.pracownikPrzyjal.nazwiskoImie : '-'}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" event="edycja">
						<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
						${informacja.pracownikSkierowal.nazwiskoImie} / ${not empty informacja.pracownikPrzyjal ? informacja.pracownikPrzyjal.nazwiskoImie : '-'}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA">
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.NieobecnoscInformacjaAction" event="edycja">
							<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<c:if test="${not empty informacja.dataPowrotu}">
						<ttSec:secure roles="SOC_C_NIEOBECNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.ListaNieobecnosciAction" event="wprowadzNieobecnosc">
								<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/nieobecnoscInformacja/lista.jsp')}"/>
								<img src="${root}/img/wykonaj.gif" class="iconspace" title="Wprowadź nieobecność na podstawie tej informacji"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<ttSec:secure roles="SOC_D_NIEOBECNOSC_INFORMACJA">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.ListaNieobecnosciAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć tę informację ? ')">
							<stripes:param name="nieobecnoscInformacja.id" value="${informacja.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/nieobecnoscInformacja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
