<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_EwidencjaDanychOsobowychActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaDanychOsobowychAction" prependContext="true" addSourcePage="false"/>
<stripes:url var="_PeselActionURL" beanclass="pl.topteam.dps.action.utils.PeselAction" prependContext="true" scope="page"/>
<stripes:url var="_StanCywilnyActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.StanCywilnyAction" prependContext="true" addSourcePage="false"/>
<script type="text/javascript">
	var _EwidencjaDanychOsobowychActionURL = "${_EwidencjaDanychOsobowychActionURL}";
	var _PeselActionURL = "${_PeselActionURL}";
	var _StanCywilnyActionURL = "${_StanCywilnyActionURL}";
</script>

<stripes:layout-render name="/jsp/layout/mainOczekujacyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/utils/daneOsobowe.js"></script>
		<script type="text/javascript" src="${root}/js/utils/pesel.js"></script>
		<script type="text/javascript" src="${root}/js/utils/stanCywilny.js"></script>
		<script type="text/javascript" src="${root}/js/utils/showHideAdres.js"></script>
		
		<script type="text/javascript">
		$(document).ready(function() {
				wybierzSC('plecosobaOczekujaca', 'stanosobaOczekujaca');
				showHideAdres('elemAdresPobStaly');
		});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Edycja danych osoby oczekującej
					</legend>
					<stripes:hidden name="osobaOczekujaca.id"/>
					<stripes:hidden name="osobaOczekujaca.importProgram"/>
					
					<c:set var="poleOsoba" value="osobaOczekujaca"/>
					<%@ include file="/jsp/templatePages/polaOsobaOczekujacaDaneOsobowe.jsp" %>
					
					<div style="padding: 10px 0px 10px 10px;">
						<stripes:checkbox id="status_elemAdresPobStaly" name="statusAdresuPobStalego" onchange="showHideAdres('elemAdresPobStaly');"/>
						<label for="status_elemAdresPobStaly" class="cursorPointer">&nbsp;Adres pobytu stałego jest nieznany</label>
					</div>
					<fieldset class="elemAdresPobStaly">
						<stripes:hidden name="ostPobytStaly.id"/>
						<stripes:hidden name="ostPobytStaly.typ" value="POBYTU_STALEGO"/>
						<legend>
							Ostatni adres pobytu stałego&nbsp;&nbsp;&nbsp;
							<stripes:text id="ostPobytStalyPodp_adres" name="adresPodp_ostPobytStaly" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('ostPobytStaly');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						
						<c:set var="nazwaPolaAdresu" value="ostPobytStaly"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
				</fieldset>
					
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" class="button" event="powrotOpcje">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
