<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainOczekujacyLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<stripes:link id="lnkDnOs" class="aktywny" beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="powrotOpcje">
					Dane podstawowe
				</stripes:link>
			</div>
			
			<div class="form" style="width: 80%;">	
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

				<table align="center" class="daneOsoby" style="border: 0px none;">
				 	<tbody>
					 	<tr>
							<th>PESEL:</th>
							<td>${actionBean.osoba.pesel}</td>
						</tr>
					 	<tr>
							<th>data urodzenia: </th>
							<td><fmt:formatDate value="${actionBean.osoba.dataUrodzenia}" pattern="${DATE_PATTERN}"/></td>
						</tr>
						<c:if test="${not empty actionBean.osoba.telefonKom}">
							<tr>
								<th>nr tel. komórkowego</th>
								<td>${actionBean.osoba.telefonKom}</td>
							</tr>
						</c:if>
						<tr>
							<th></th>
							<td></td>
						</tr>
						<tr>
							<th>wpisana jako osoba oczekująca dnia:</th>
							<td><fmt:formatDate value="${actionBean.osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}"/></td>
						</tr>
						<c:if test="${not empty actionBean.osoba.importProgram}">
							<tr>
								<th></th>
								<td></td>
							</tr>
							<tr>
								<th>status danych początkowych:</th>
								<td title="Dane osoby zostały zaimportowane z programu '${actionBean.osoba.importProgram.opis}'">
									${actionBean.osoba.importProgram.opis}
								</td>
							</tr>
						</c:if>
					</tbody>
				</table>
				<c:if test="${not empty adresPobytu}">
					<fieldset>
						<legend>Miejsce pobytu stałego</legend>
						<table align="center" class="daneOsoby" style="border: 0px none;">
						 	<tbody>
						 		<c:if test="${adresPobytu.panstwo != '500'}">
							 		<tr>
							 			<th>państwo:</th>
							 			<td>
							 				<c:set var="slowaSlownika" value="${kodObywatelstwaSlownik}"/>
											<c:set var="wartoscDoPorow" value="${adresPobytu.panstwo}"/>
											<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
							 			</td>
							 		</tr>
							 	</c:if>
							 	<tr>
									<th>ulica, nr domu, nr lokalu:</th>
									<td>${adresPobytu.ulica}, ${adresPobytu.nrDomu}, ${adresPobytu.nrLokalu}</td>
								</tr>
							 	<tr>
									<th>miejscowość:</th>
									<td>${adresPobytu.miejscowosc}</td>
								</tr>
						 		<tr>
									<th>poczta:</th>
									<td>${adresPobytu.kodPocztowy} ${adresPobytu.poczta}</td>
								</tr>
								<c:if test="${adresPobytu.panstwo == '500'}">
							 		<tr>
										<th>województwo:</th>
										<td>${adresPobytu.wojewodztwo.nazwa}</td>
									</tr>
							 		<tr>
										<th>gmina:</th>
										<td>${adresPobytu.gmina}</td>
									</tr>
									<tr>
										<th>powiat:</th>
										<td>${adresPobytu.powiat}</td>
									</tr>
								</c:if>
						 		<tr>
									<th>telefon:</th>
									<td>${adresPobytu.telefon}</td>
								</tr>
							</tbody>
						</table>
					</fieldset>
				</c:if>
				
				<ttSec:secure roles="OG_U_OCZEKUJACY">
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaEdycjaAction" event="edycja">
							Edytuj dane
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
