<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib  prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
		<stripes:layout-component name="htmlHead">
			<style type="text/css">
				#okresRozliczeniowyForm img {
					margin-left: 10px;
					margin-right: 10px;
				}
			</style>
			<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.horizontal.css" />

			<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
			<script type="text/javascript" src="${root}/js/jmesa.js"></script>
			<script type="text/javascript">
				$(document).ready(function() {
					$("#tab-container-glowne")
						.tabs({
							select: function(event, ui) {
								pokazLoadImage();

								$("#zakladkaGlowna").val(ui.index);
								$("#okresRozliczeniowyForm").submit();

								// nie pobieramy treści za pomocą Ajaxa
								return false;
							},
							selected: parseInt("${actionBean.zakladkaGlowna}")
						})
						.addClass('ui-tabs-horizontal ui-helper-clearfix');

					$("input[name='rok']").on('change',
							function() {
								pokazLoadImage();
								$(this).parent("form").submit();
							}
						);
					$("select[name='miesiac']").on('change',
							function() {
								pokazLoadImage();
								$(this).parent("form").submit();
							}
						);
				});
			</script>
			<stripes:layout-component name="tabHtmlHead"/>
		</stripes:layout-component>
		<stripes:layout-component name="content">
			<div class="formContainer">
				<div class="alignCenter">Podgląd kwot doliczeń</div>
				<stripes:form id="okresRozliczeniowyForm" style="padding: 5px;"
						beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresuAction">
					<stripes:hidden id="zakladkaGlowna" name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>

					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresZmianaAction" event="poprzedni"
							title="Poprzedni okres">
						<stripes:param name="rok" value="${actionBean.rok}"/>
						<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
						<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
						<img src="${root}/img/prev.gif" class="iconspace"/>
					</stripes:link>

					<stripes:text name="rok" class="rok required" title="Stan na rok" size="5" value="${actionBean.rok}"/> /

					<c:set var="poleMiesiac" value="miesiac"/>
					<c:set var="klasaWymagane" value="required"/>
					<c:set var="poleMiesiacTitle" value="Stan na miesiąc"/>
					<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
					<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>

					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresZmianaAction" event="nastepny"
							title="Następny okres">
						<stripes:param name="rok" value="${actionBean.rok}"/>
						<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
						<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
						<img src="${root}/img/next.gif" class="iconspace"/>
					</stripes:link>

					<div>
						<stripes:errors field="rok"/>
						<stripes:errors field="miesiac"/>
					</div>
				</stripes:form>
				<div id="tab-container-glowne" class="form" style="border: 0px none; margin: 0px auto; width: 85%;">
					<ul>
						<c:forEach items="${actionBean.zakladki}" var="zakladka" varStatus="i">
							<%-- pierwsza i ostatnia z odstępami --%>
							<c:choose>
								<c:when test="${i.count == 1}">
									<li style="margin-right: 15px;">
										<a href="#ui-tabs-${i.count}">
											<i class="glyphicon glyphicon-arrow-left"></i>
										</a>
									</li>
								</c:when>
								<c:when test="${i.count == fn:length(actionBean.zakladki)}">
									<li style="margin-left: 15px;">
										<a href="#ui-tabs-${i.count}">
											${fn:toLowerCase(zakladka.name())}
										</a>
									</li>
								</c:when>
								<c:otherwise>
									<li>
										<a href="#ui-tabs-${i.count}">
											${fn:toLowerCase(zakladka.name())}
										</a>
									</li>
								</c:otherwise>
							</c:choose>
						</c:forEach>
					</ul>
					<div id="ui-tabs-content" class="ui-tabs-panel ui-widget-content ui-corner-bottom"
							style="padding-top: 5px; margin-left: auto; margin-right: auto;">
						<c:choose>
							<c:when test="${actionBean.context.validationErrors.size() == 0}">
								<stripes:layout-component name="tabZakladkaGlownaContent"/>
							</c:when>
							<c:otherwise>
								<div style="text-align: left">
									<div class="bladglobalny"><span class="imgError"/>
										Wystąpił błąd walidacji. Nie można wyświetlić treści zakładki
									</div>
								</div>
							</c:otherwise>
						</c:choose>
					</div>
				</div>
			</div>
		</stripes:layout-component>
	</stripes:layout-render>
</stripes:layout-definition>
