<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${listaDoliczenDoAktualizacji > 0}">
	<div class="alignLeft" style="width: 600px;">
		<span>
		System nie przeliczył jeszcze automatycznie wszystkich doliczeń. 
		Prawdopodobnie w trakcie nastąpiła zmiana naliczanych kwot/samych naliczeń.<br/>
		By wymusić przeliczenie w tej chwili wybierz
		</span>
		<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscDoliczenieAction" event="przelicz">
			<img src="${root}/img/reload.png"/>
		</stripes:link>
		<hr/>
	</div>
</c:if>
<jmesa:tableFacade items="${listaDoliczen}" id="listaDoliczen" var="doliczenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="padding-top-10">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rok" title="Rok" styleClass="daneWyroznione">
				${doliczenie.rok}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="miesiac" title="Miesiąc" filterEditor="pl.topteam.dps.jmesa.view.editor.MiesiacDropListFilterEditor">
				<c:set var="miesiacNumber" value="${doliczenie.miesiac}"/>
				<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Statusy" sortable="false" filterEditor="pl.topteam.dps.jmesa.view.editor.StatusDoliczeniePobytDropListFilterEditor">
				<c:set var="containsNowe" value="false"/>
				<c:set var="containsDoliczone" value="false"/>
				<c:set var="containsZrealizowane" value="false"/>
				(
					<c:forEach items="${doliczenie.statusy}" var="s" varStatus="i">
						"${s.opis}"<c:if test="${i.count < fn:length(doliczenie.statusy)}">, </c:if>
						
						<c:choose>
							<c:when test="${stripes:enumName(s) == 'NOWE'}">
								<c:set var="containsNowe" value="true"/>
							</c:when>
							<c:when test="${stripes:enumName(s) == 'DOLICZONE'}">
								<c:set var="containsDoliczone" value="true"/>
							</c:when>
							<c:when test="${stripes:enumName(s) == 'ZREALIZOWANE'}">
								<c:set var="containsZrealizowane" value="true"/>
							</c:when>
						</c:choose>
					</c:forEach>
				)
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:if test="${containsNowe && (containsZrealizowane || containsDoliczone)}">
						<ttSec:secure roles="SOC_R_ODPLATNOSC">
		 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaSkladnikowOkresuAction" event="dispatch">
								<stripes:param name="rok" value="${doliczenie.rok}"/>
								<stripes:param name="miesiac" value="${doliczenie.miesiac}"/>
								<img src="${root}/img/lupa.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				
					<c:if test="${containsZrealizowane}">
						<ttSec:secure roles="SOC_U_ODPLATNOSC">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="usunRealizacje"
									onclick="return confirmation('Czy chcesz usunąć zrealizowane dopłaty?')"
									title="Usuń zrealizowane pozycje, wykryj ponownie zmiany w kwotach płatności">
								<stripes:param name="doliczenie.rok" value="${doliczenie.rok}"/>
								<stripes:param name="doliczenie.miesiac" value="${doliczenie.miesiac}"/>
								<img src="${root}/img/reload.png" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${containsDoliczone}">
						<ttSec:secure roles="SOC_D_NALICZANIE_ODPL">
		 					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="usunNaliczenia"
		 							onclick="return confirmation('Czy chcesz usunąć pozycje naliczone?')"
		 							title="Usuń wykryte doliczenia">
								<stripes:param name="doliczenie.rok" value="${doliczenie.rok}"/>
								<stripes:param name="doliczenie.miesiac" value="${doliczenie.miesiac}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/doliczenie/platnoscListaOkresow.jsp')}"/>
								<img src="${root}/img/cancel_16.png" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>

					<c:if test="${containsNowe}">
						&nbsp;&nbsp;
						<ttSec:secure roles="SOC_R_ODPLATNOSC">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaNowychSkladnikowOkresuAction" event="lista"
									title="Podgląd wykrytych zmian w kwotach odpłatności (nowe naliczenia)">
								<stripes:param name="rok" value="${doliczenie.rok}"/>
								<stripes:param name="miesiac" value="${doliczenie.miesiac}"/>
								<img src="${root}/img/lupa_wykonaj.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_U_ODPLATNOSC">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="zrealizuj"
									onclick="return confirmation('Czy chcesz oznaczyć nowe pozycje jako już zrealizowane?')"
									title="Oznacz nowe pozycje jako już zrealizowane">
								<stripes:param name="doliczenie.rok" value="${doliczenie.rok}"/>
								<stripes:param name="doliczenie.miesiac" value="${doliczenie.miesiac}"/>
								<img src="${root}/img/check_16.png" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
		 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscNaliczanieAction" event="formularz"
		 							title="Nalicz 'nowe' pozycje">
								<stripes:param name="naliczenie.rok" value="${doliczenie.rok}"/>
								<stripes:param name="naliczenie.miesiac" value="${doliczenie.miesiac}"/>
								<img src="${root}/img/wykonaj.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
