<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${not empty odplatnoscAktualizacja}">
	<hr/>
	<div class="alignLeft">
		<p>
			System wykrył zmianę kwot płatności od dnia '<fmt:formatDate value="${odplatnoscAktualizacja.dataOd}" pattern="${DATE_PATTERN}"/>'
			(lub zmianę stanu naliczeń).
			Zostaną one przeliczone  w ciągu najbliższego dnia.
		</p>
		<p>
			<ttSec:secure roles="SOC_U_ODPLATNOSC" defaultText="Nie możesz wymusić przeliczania z powodu braku uprawnień !">
				Można je przeliczyć teraz wybierając
				&nbsp;&nbsp;
				<stripes:link id="lnkZmOdplatnosci" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.ZmianyAction" event="przelicz"
						title="Wykryte zmiany w odpłatnościach">
					<img src="${root}/img/reload.png"/>
				</stripes:link>
			</ttSec:secure>
		</p>
		<hr/>
	</div>
</c:if>
<div class="alignLeft">
	Poniższa tabela zawiera kwoty wynikające z różnicy pomiędzy stanem w 'Kwoty płatności', a stanem naliczeń za poszczególne miesiące.
	<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
		Wszelkie operacje na tych kwotach można wykonywać poprzez
		<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista">
			Doliczenia
		</stripes:link>
	</ttSec:secure>
</div>
<div class="padding-top-10">
<jmesa:tableFacade items="${listaDoliczen}" id="listaDoliczen" var="doliczenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="okres" title="Okres" sortable="false" filterable="false" styleClass="daneWyroznione">
				<c:set var="miesiacNumber" value="${doliczenie.miesiac}"/>
				${doliczenie.rok} / <%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				<c:choose>
					<%-- osoba --%>
					<c:when test="${not empty doliczenie.osoba}">
						${doliczenie.osoba.nazwiskoImie}
					</c:when>
					<%-- instytucja --%>
					<c:otherwise>
						${doliczenie.instytucja.nazwa}
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="kwotaTd">
				<fmt:formatNumber value="${doliczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" sortable="false" filterable="false">
				${doliczenie.status.opis}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
</div>
