<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaFaktur}" id="listaFaktur" var="faktura" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaFaktur)}">
	<jmesa:htmlTable style="min-width: 700px; margin-left: auto; margin-right: auto;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="płatnik" title="Płatnik" sortable="false" filterable="false" style="width: 200px;">
				${faktura.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr" styleClass="nowrap" sortable="false" filterable="false">
				<strong>${faktura.nr}</strong><c:if test="${not empty faktura.nrWew}"><br/>(${faktura.nrWew})</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>wystawienia/księgowania" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${faktura.dataWystawienia}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data wprowadzenia" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${faktura.dataWprowadzenia}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${faktura.kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(F)*</strong>

				<c:set var="sumaKwot" value="${sumaKwot + faktura.kwotaM}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" filterable="false" style="width: 70px;">
				${faktura.status.opis}
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="min-width: 700px;">
	<tbody class="tbody">
		<tr>
			<td colspan="5" align="right"><hr style="width: 400px;"></td>
		</tr>
		<tr>
			<td colspan="3"  class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 110px;">
				<strong><fmt:formatNumber value="${sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;
			</td>
			<td style="width: 70px;">&nbsp;</td>
		</tr>
	</tbody>
</table>
