<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-definition>
	<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
		<stripes:layout-component name="htmlHead">
			<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.horizontal.css" />
			<style type="text/css">
				#okresRozliczeniowyForm img {
					margin-left: 10px;
					margin-right: 10px;
				}
			</style>
			
			<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
			<script type="text/javascript" src="${root}/js/jmesa.js"></script>
			
			<%-- potrzebne do wyłączania odpowiednich zakładek --%>
			<script type="text/javascript">
				var nieaktywneZakladki = [1, 2, 3, 4, 5, 6, 7];
			</script>
			<ttSec:secure roles="SOC_R_ODPLATNOSC">
				<script type="text/javascript">
					nieaktywneZakladki.splice(
						$.inArray(1, nieaktywneZakladki), 1);
					nieaktywneZakladki.splice(
						$.inArray(2, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
				<script type="text/javascript">
				nieaktywneZakladki.splice(
						$.inArray(3, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>
			<ttSec:secure roles="OG_R_FAKTURY">
				<script type="text/javascript">
					nieaktywneZakladki.splice(
						$.inArray(4, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_ODPIS">
				<script type="text/javascript">
					nieaktywneZakladki.splice(
						$.inArray(5, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
				<script type="text/javascript">
					nieaktywneZakladki.splice(
						$.inArray(6, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_ZWROT">
				<script type="text/javascript">
					nieaktywneZakladki.splice(
						$.inArray(7, nieaktywneZakladki), 1);
				</script>
			</ttSec:secure>

			<script type="text/javascript">
				$(document).ready(function() {
					$("#tab-container-glowne")
						.tabs({
							select: function(event, ui) {
								pokazLoadImage();
								
								$("#zakladkaGlowna").val(ui.index);
								$("#okresRozliczeniowyForm").submit();
								
								// nie pobieramy treści za pomocą Ajaxa
								return false;
							},
							selected: parseInt("${actionBean.zakladkaGlowna}")
						})
						.addClass('ui-tabs-horizontal ui-helper-clearfix');
					// wyłączanie odpowiednich zakładek
					if(nieaktywneZakladki.length > 0) {
						$("#tab-container-glowne").tabs("option", "disabled", nieaktywneZakladki);
					}
					
					$("input[name='rok']").on('change',
							function() {
								$(this).parent("form").submit();
							}
						);
					$("select[name='miesiac']").on('change',
							function() {
								$(this).parent("form").submit();
							}
						);
				});
			</script>
			<stripes:layout-component name="tabHtmlHead"/>
		</stripes:layout-component>
		<stripes:layout-component name="content">
			<div class="formContainer2">
				<div class="row">
					<div class="col-md-2"></div>
					<div class="col-md-5">
					<stripes:form id="okresRozliczeniowyForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaAction"
							style="border: 0px; padding: 5px;">
						<stripes:hidden id="zakladkaGlowna" name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
						<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/odplatnosc.jsp')}"/>
						
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaOkresAction" event="poprzedni"
								title="Poprzedni okres">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
							<img src="${root}/img/prev.gif" class="iconspace"/>
						</stripes:link>
	
						<c:set var="poleMiesiac" value="miesiac"/>
						<c:set var="klasaWymagane" value="required"/>
						<c:set var="poleMiesiacTitle" value="Stan na miesiąc"/>
						<c:set var="poleMiesiacErrors" value="${false}"/>
						<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
						<stripes:text name="rok" class="rok required" title="Stan na rok" size="5" value="${actionBean.rok}"/> /
						<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
						
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugMieszkancaOkresAction" event="nastepny"
								title="Następny okres">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
							<img src="${root}/img/next.gif" class="iconspace"/>
						</stripes:link>
						
						<stripes:errors field="rok"/>
						<stripes:errors field="miesiac"/>
					</stripes:form>
					</div>
					<div class="col-md-2"></div>
					<div class="col-md-1">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.DlugOpisAction" event="opis" title="Opis zakładek">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="zakladkaGlowna" value="${actionBean.zakladkaGlowna}"/>
							<img src="${root}/img/help.gif"/>
						</stripes:link>
					</div>
				</div>
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				<div id="tab-container-glowne" class="form" style="border: 0px none; width: 95%;">
					<ul>
						<li>
							<a href="#ui-tabs-rozliczenie">
								Rozliczenie
							</a>
						</li>
						<li>
							<a href="#ui-tabs-rozliczenie-ksiegowe" title="Rozliczenie księgowe miesiąca">
								Księgowość
							</a>
						</li>
						<li>
							<a href="#ui-tabs-d-start" title="Zawiera stany długu wpisane ręcznie (głównie dla rozpoczęcia pracy w programie)">
								Start zadł.
							</a>
						</li>
						<li>
							<a href="#ui-tabs-naliczenia">
								Naliczenia (pobyt)
							</a>
						</li>
						<li>
							<a href="#ui-tabs-faktury">
								Faktury
							</a>
						</li>
						<li>
							<a href="#ui-tabs-odpisy">
								Odpisy
							</a>
						</li>
						<li>
							<a href="#ui-tabs-wplaty">
								Wpłaty
							</a>
						</li>
						<li>
							<a href="#ui-tabs-zwroty">
								Zwroty
							</a>
						</li>
						<li>
							<a href="#ui-tabs-wyrownania" title="Zrównoważenie nadpłat i niedopłat za poszczególne okresy">
								Wyrównania
							</a>
						</li>
					</ul>
					<div id="ui-tabs-content" class="ui-tabs-panel ui-widget-content ui-corner-bottom padding-top-5" style="margin-left: auto; margin-right: auto;">
						<stripes:layout-component name="tabZakladkaGlownaContent"/>
					</div>
				</div>
			</div>
		</stripes:layout-component>
	</stripes:layout-render>
</stripes:layout-definition>
