<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaLimitow}" id="listaLimitow" var="limit" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwiskoImie" title="Mieszkaniec" sortable="false">
				${limit.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota" styleClass="kwotaTd" sortable="false" filterable="false">
				<fmt:formatNumber value="${limit.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ODPLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.LimitAction" event="edycja">
							<stripes:param name="limit.osobaId" value="${limit.osobaId}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.limity.ListaLimitowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć limit dla ${limit.osoba.nazwiskoImie}?')">
							<stripes:param name="limit.osobaId" value="${limit.osobaId}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/limity/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
