<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaOdplatnosciActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="lista" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
			#tab-container-widok {
				border: 0px none !important;
				margin: 0px auto;
				padding-top: 0px;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-widok").tabs({
					select: function(event, ui) {
						if(ui.index == 2) {
							pokazLoadImage();
							window.location.href = "${_ListaOdplatnosciActionURL}";
							return false;
						}
						return true;
					}
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="jmesaContainerNaliczenia">
			<c:if test="${not empty odplatnoscAktualizacja}">
				<p class="padding-top-5">
					Wykryto zmiany kwot w odpłatnościach. Przelicz dopłaty ręcznie za pomocą opcji
					&nbsp;
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" event="przeliczDoplaty"
							title="Przelicz dopłaty do naliczeń (wykryto zmiany w kwotach)">
						<img src="${root}/img/reload.png" class="iconspace"/>
					</stripes:link>
					&nbsp;
					albo pozwól przeliczyć je automatycznie w najbliższym czasie.
				</p>
			</c:if>
			<c:if test="${fn:length(listaNowychDoliczen) > 0}">
				<p class="padding-top-5">
					Wykryto zmiany w kwotach naliczeń. Przejdź do
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.doliczenie.PlatnoscListaOkresowAction" event="lista">
						Listy zmian
					</stripes:link>
				</p>
			</c:if>
			<c:choose>
				<c:when test="${not empty listaNaliczen && fn:length(listaNaliczen) > 0}">
					<div id="tab-container-widok" class="form">
						<ul>
							<li><a href="#ui-tabs-widok-pozycje">Pozycje</a></li>
							<li><a href="#ui-tabs-widok-podsumowanie">Podsumowanie</a></li>
							<ttSec:secure roles="SOC_R_ODPLATNOSC">
								<li style="margin-left: 60px;"><a href="#ui-tabs-kwoty-platnosci">Kwoty płatności</a></li>
							</ttSec:secure>
						</ul>
						<div id="ui-tabs-widok-pozycje">
							<div class="padding-bottom-5">
								<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
									<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczeniePozycjaAction" event="dodawanie">
										<stripes:param name="rok" value="${actionBean.rok}"/>
										<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
										Nowa pozycja
									</stripes:link>
								</ttSec:secure>
							</div>
							<%@ include file="listaFiltr.jsp" %>
						</div>
						<div id="ui-tabs-widok-podsumowanie">
							<div class="row">
								<div class="col-md-6">
									<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
									<c:set var="mapaDanych" value="${mapaPodsumowaniePodmioty}"/>
									<%@ include file="/jsp/odplatnosc/fragmenty/podsumowaniePodmioty.jsp" %>
								</div>
								<div class="col-md-5">
									<c:set var="mapaDanych" value="${mapaPodsumowanie}"/>
									<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieZadluzenia.jsp" %>
								</div>
							</div>
						</div>
						<div id="ui-tabs-kwoty-platnosci">
						</div>
					</div>
				</c:when>
				<c:otherwise>
					<div style="width: 100%;">
						<ttSec:secure roles="SOC_C_NALICZANIE_ODPL" defaultText="Nie masz uprawnień do wprowadzania naliczeń !!!">
							Za ten miesiąc jeszcze nie naliczono kwot płatności.
							<stripes:link style="text-decoration: underline;"
									beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczenieAction" event="dodawanieKrok1">
								<stripes:param name="rok" value="${actionBean.rok}"/>
								<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
								Nalicz na podstawie ustalonych kwot
							</stripes:link>
							albo
							<stripes:link style="text-decoration: underline;"
									beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczeniePozycjaAction" event="dodawanie">
								<stripes:param name="rok" value="${actionBean.rok}"/>
								<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
								Wprowadź pozycje ręcznie
							</stripes:link>
						</ttSec:secure>
					</div>
				</c:otherwise>
			</c:choose>
		</div>
		<fieldset>
			<legend>Poza programem</legend>
			<div id="jmesaContainerDoliczenia" class="padding-top-5">
				<%@ include file="listaDoliczenFiltr.jsp" %>
			</div>
		</fieldset>
		<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
		<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieLegenda.jsp" %>
	</stripes:layout-component>
</stripes:layout-render>
								
