<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaDoliczen}" id="listaDoliczen" var="doliczenie" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaDoliczen)}">
	<jmesa:htmlTable style="width: 550px;" styleClass="alignCenter"> 
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${doliczenie.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="płatnik" title="Płatnik" sortable="false" filterable="false" style="width: 240px;">
				<c:choose>
					<c:when test="${not empty doliczenie.instytucjaId}">
						<c:set var="opisPolaDoliczeniePobyt" value="${doliczenie.instytucja.nazwa}"/>
					</c:when>
					<c:when test="${not empty doliczenie.osobaId}">
						<c:set var="opisPolaDoliczeniePobyt" value="${doliczenie.osoba.nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<c:set var="opisPolaDoliczeniePobyt" value="<span class='warning'>NIE ZAIMPLEMENTOWANO POPRAWNIE !!!</span>"/>
					</c:otherwise>
				</c:choose>
				${opisPolaDoliczeniePobyt}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${doliczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(P)*</strong>
				
				<c:set var="_sumaKwot" value="${_sumaKwot + doliczenie.kwota}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="width: 550px">
	<tbody class="tbody">
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 3 : 2}" align="right"><hr style="width: 400px;"></hr></td>
		</tr>
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 2 : 1}" style="text-align: right; padding-right: 5px;">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 100px;">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			</td>
		</tr>
	</tbody>
</table>
