<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaKwotNaliczenia" value="0.00"/>
<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczeniePobyt" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaNaliczen)}">
	<jmesa:htmlTable style="width: 680px;" styleClass="alignCenter"> 
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${naliczeniePobyt.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="płatnik" title="Płatnik" sortable="false" filterable="false" style="width: 240px;">
				<c:choose>
					<c:when test="${not empty naliczeniePobyt.instytucjaId}">
						<c:set var="opisPolaNaliczeniePobyt" value="${naliczeniePobyt.instytucja.nazwa}"/>
					</c:when>
					<c:when test="${not empty naliczeniePobyt.osobaId}">
						<c:set var="opisPolaNaliczeniePobyt" value="${naliczeniePobyt.osoba.nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<c:set var="opisPolaNaliczeniePobyt" value="<span class='warning'>NIE ZAIMPLEMENTOWANO POPRAWNIE !!!</span>"/>
					</c:otherwise>
				</c:choose>
				${opisPolaNaliczeniePobyt}
			</jmesa:htmlColumn>
			<%-- data obliczenia, z uwagi, że kiedyś program sam to wyliczał i nie było możliwości wprowadzenia naliczenia ręcznie --%>
			<jmesa:htmlColumn property="data_obliczenia" title="Data<br/>naliczenia" sortable="false" filterable="false" style="width: 160px;">
				<strong><fmt:formatDate value="${naliczeniePobyt.dataObliczenia}" pattern="${DATE_PATTERN}" /></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_ksiegowania" title="Data<br/>księgowania" sortable="false" filterable="false"  style="width: 160px;">
				<strong><fmt:formatDate value="${naliczeniePobyt.dataKsiegowania}" pattern="${DATE_PATTERN}" /></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${naliczeniePobyt.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(P)*</strong>
				
				<c:set var="sumaKwotNaliczenia" value="${sumaKwotNaliczenia + naliczeniePobyt.kwota}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_C_NALICZANIE_ODPL">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.NaliczeniePozycjaAction" event="edycja">
							<stripes:param name="naliczenie.id" value="${naliczeniePobyt.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_NALICZANIE_ODPL">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć pozycję naliczenia?')"
								title="Usuń naliczenie za ten miesiąc">
							<stripes:param name="naliczenie" value="${naliczeniePobyt.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/naliczanie/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="width: 680px;">
	<tbody class="tbody">
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 5 : 4}" align="right"><hr style="width: 400px;"></hr></td>
			<td style="width: 90px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 4 : 3}" style="text-align: right; padding-right: 5px;">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 150px;">
				<strong><fmt:formatNumber value="${sumaKwotNaliczenia}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			</td>
			<td><div class="ikonki">&nbsp;</div></td>
		</tr>
	</tbody>
</table>
