<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rok" title="Rok" styleClass="daneWyroznione">
				${naliczenie.rok}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="miesiac" title="Miesiąc" filterEditor="pl.topteam.dps.jmesa.view.editor.MiesiacDropListFilterEditor">
				<c:set var="miesiacNumber" value="${naliczenie.miesiac}"/>
				<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
	 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaSkladnikowOkresuAction" event="dispatch">
							<stripes:param name="rok" value="${naliczenie.rok}"/>
							<stripes:param name="miesiac" value="${naliczenie.miesiac}"/>
							<img src="${root}/img/lupa.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_NALICZANIE_ODPL">
	 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaOkresowAction" event="usun"
									class="noLoadImage" onclick="return confirmation('Czy na pewno chcesz usunąć naliczenia za ${naliczenie.rok}/${naliczenie.miesiac}?')">
							<stripes:param name="naliczenie.rok" value="${naliczenie.rok}"/>
							<stripes:param name="naliczenie.miesiac" value="${naliczenie.miesiac}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/naliczanie/platnoscListaOkresow.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
