<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.PlatnoscListaSkladnikowOkresuInstytucjeAction">
	<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/naliczanie/platnoscListaSkladnikowOkresuIntytucje.jsp')}"/>
	
	<stripes:hidden name="rok"/>
	<stripes:hidden name="miesiac"/>
	<stripes:hidden name="zakladkaGlowna"/>
	<stripes:hidden name="zakres"/>
	
	<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczenie" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaNaliczen)}">
		<jmesa:htmlTable style="width: 550px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<%@ include file="platnoscListaSkladnikowOkresuKolumnaOperacjeFiltr.jsp" %>
				
				<jmesa:htmlColumn property="instytucja" title="Instytucja" styleClass="daneWyroznione nowrap" sortable="false" filterable="true">
					${naliczenie.instytucja.nazwa}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" styleClass="daneWyroznione nowrap" sortable="false" filterable="true">
					${naliczenie.mieszkaniec.nazwiskoImie}
				</jmesa:htmlColumn>
				
				<%@ include file="platnoscListaSkladnikowOkresuKolumnaDataKwotyFiltr.jsp" %>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
	
	<ttSec:secure roles="SOC_U_NALICZANIE_ODPL">
		<div class="padding-top-10">
			<stripes:submit name="usun" value="Usuń zaznaczone"/>
		</div>
	</ttSec:secure>
</stripes:form>

