<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=NALICZENIE_SNAPSHOT", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.NaliczenieAction" class="form-horizontal" role="form" style="width: 800px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Generowanie różnicowego wydruku naliczeń/przypisów
					</legend>
					
					<c:set var="nazwaPolaNaliczenie" value="naliczenie"/>
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<%@ include file="/jsp/templateBootstrapPages/polaNaliczeniePobytSnapshot.jsp" %>
					
					<fieldset>
						<legend>Opcje generowania</legend>
						<div class="form-group">
							<div class="col-md-3 text-right">
								<label class="control-label">do rok/miesiąc</label>
							</div>
							<div class="col-md-5">
								<stripes:text name="rok" class="rok required" title="Stan na rok" size="5" value="${actionBean.rok}"/> /
		
								<c:set var="poleMiesiac" value="miesiac"/>
								<c:set var="klasaWymagane" value="required"/>
								<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
								<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
								
								<stripes:errors field="rok"/>
								<stripes:errors field="miesiac"/>
							</div>
						</div>
						<div class="form-group">
							<div class="col-md-3 text-right">
								<label class="control-label">data księgowania do</label>
							</div>
							<div class="col-md-5">
								<stripes:text name="dataKsiegowaniaDo" class="data required" title="Data księgowania" formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="dataKsiegowaniaDo"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.ListaNaliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
