<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaNaliczenActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.ListaNaliczenAction" prependContext="true" scope="page" addSourcePage="false"/>
<stripes:url var="_NaliczenieEdycjaActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.NaliczenieEdycjaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			.ui-tabs-nav.ui-widget-header {
				border: 0px none;
				background: none;
			}
			.ui-tabs .ui-tabs-panel {
				padding-left: 0px;
			}
		
			.formContainer {
				margin-left: 10px;
			}
			.formContainer fieldset.submit {
				border-left: none;
				border-right: none;
				border-bottom: none;
			}
			
			#tab-container-lex .ui-tabs-panel {
				border: 0px none;
			}
		</style>
		
		<c:set var="_refresh_zones" value="pozycjePodsumowanieZone"/>
		<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
			<c:set var="_refresh_zones" value="${_refresh_zones},${zakres}Zone"/>
		</c:forEach>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-glowne").tabs({
						selected: 2,
						select: function(event, ui) {
							if(ui.index == 0) {
								location.href = "${_ListaNaliczenActionURL}";
								return false;
							}
							return true;
						}
					}).addClass('ui-tabs-horizontal ui-helper-clearfix');
				$("#tab-container-lex").tabs({selected: 0});
				
				AjaxAnywhere.submitAjaxAnywhereLink("${_NaliczenieEdycjaActionURL}?edycjaPozycje=1&naliczenie=${actionBean.naliczenie.id}", "${_refresh_zones}");
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<div class="text-center">Edycja różnicowego wydruku naliczeń/przypisów</div>
			<div id="tab-container-glowne" class="form" style="border: 0px none;">
				<ul>
					<li style="margin-right: 15px;">
						<a href="#ui-tabs-powrot"><i class="glyphicon glyphicon-arrow-left"></i></a>
					</li>
					<li><a href="#ui-tabs-dane">Dane</a></li>
					<li><a href="#ui-tabs-pozycje">Pozycje naliczeń/przypisów</a></li>
				</ul>
				<div id="ui-tabs-dane">
					<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.NaliczenieEdycjaAction" class="form-horizontal" role="form" style="min-width: 400px;">
						<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
						<stripes:hidden name="naliczenie"/>
						<stripes:hidden name="naliczenie.pracownik"/>

						<c:set var="nazwaPolaNaliczenie" value="naliczenie"/>
						<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
						<%@ include file="/jsp/templateBootstrapPages/polaNaliczeniePobytSnapshot.jsp" %>
						
						<fieldset class="submit">
							<div class="alignCenter padding-top-10">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</div>
						</fieldset>
					</stripes:form>
				</div>
				<div id="ui-tabs-pozycje">
					<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
						<ul>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li><a href="#ui-tabs-lex-${i.index}">${zakres.from()}-${zakres.to()}</a></li>
							</c:forEach>
							<li><a href="#ui-tabs-podsumowanie">Podsumowanie</a></li>
						</ul>
						<c:set var="_razem" value="0.0" scope="request"/>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-lex-${i.index}">
								<aa:zone id="${zakres}Zone"><img src="${root}/img/loading_2.gif"/></aa:zone>
							</div>
						</c:forEach>
						<div id="ui-tabs-podsumowanie">
							<aa:zone id="pozycjePodsumowanieZone"><img src="${root}/img/loading_2.gif"/></aa:zone>
						</div>
					</div>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
