<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaStrona" value="0.0"/>
<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczeniePobyt" autoFilterAndSort="false" editable="false"
		maxRows="${fn:length(listaNaliczen)}" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="width: 700px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Mieszkaniec" property="mieszkaniec" sortable="false" filterable="false">
				${naliczeniePobyt.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Płatnik" property="platnik" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty naliczeniePobyt.osoba}">${naliczeniePobyt.osoba.nazwiskoImie}</c:when>
					<c:otherwise>${naliczeniePobyt.instytucja.nazwa}</c:otherwise>
				</c:choose>
				<c:if test="${naliczenie.mieszkaniec.id != naliczenie.osoba.id}">
					${naliczenie.osoba.nazwiskoImie}
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Okres" property="okres" sortable="false" filterable="false">
				${naliczeniePobyt.rok}/${naliczeniePobyt.miesiac}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" property="kwota" styleClass="text-right" sortable="false" filterable="false"
					style="width: 150px;">
				<c:set var="_sumaStrona" value="${_sumaStrona + naliczeniePobyt.kwota}"/>
				<fmt:formatNumber value="${naliczeniePobyt.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table style="width: 700px;">
	<tbody class="tbody">
		<tr>
			<td colspan="4" align="right"><hr style="width: 400px;"></td>
		</tr>
		<tr>
			<td colspan="3" class="text-right">
				RAZEM strona [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 150px;">
				<strong><fmt:formatNumber value="${_sumaStrona}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tbody>
</table>
