<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${naliczenie.dataGenerowania}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr" sortable="false">
				${naliczenie.nr}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
	 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.NaliczenieEdycjaAction" event="edycja">
							<stripes:param name="naliczenie" value="${naliczenie.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<c:choose>
							<c:when test="${not empty naliczenie.szablonWydrukuId}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.WydrukNaliczenAction" event="drukuj" target="_blank" title="Drukuj (1)">
									<stripes:param name="naliczenie" value="${naliczenie.id}"/>
									<stripes:param name="szablonWydruku.id" value="${naliczenie.szablonWydrukuId}"/>
									<img src="${root}/img/printer.gif" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<a href="#">
									<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku (1)!"/>
								</a>
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${not empty naliczenie.szablonWydruku2Id}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.WydrukNaliczenAction" event="drukuj" target="_blank" title="Drukuj (2)">
									<stripes:param name="naliczenie" value="${naliczenie.id}"/>
									<stripes:param name="szablonWydruku.id" value="${naliczenie.szablonWydruku2Id}"/>
									<img src="${root}/img/printer.gif" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<a href="#">
									<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku (2)!"/>
								</a>
							</c:otherwise>
						</c:choose>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_NALICZANIE_ODPL">
	 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.snapshot.ListaNaliczenAction" event="usun"
									class="noLoadImage" onclick="return confirmation('Czy na pewno chcesz usunąć różnicowy wydruk?')">
							<stripes:param name="naliczenie" value="${naliczenie.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/naliczanie/snapshot/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
