<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaPolaNota" value="nota"/>
<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
<%@ include file="/jsp/templatePages/polaNotaOdplatnosc.jsp" %>

<div class="row">
	<div class="label">
		<label>
			rodzaj zadłużenia
		</label>
	</div>
	<div class="input">
		<stripes:select name="rodzajZadluzenia" class="required" title="Rodzaj zadłużenia">
			<stripes:options-collection collection="${actionBean.rodzajeZadluzenia()}" label="opis"/>
		</stripes:select>
		<stripes:errors field="rodzajZadluzenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>rodzaj płatnika</label>
	</div>
	<div class="input">
		<div>
			<stripes:select name="rodzajPlatnika" class="required" title="Rodzaj płatnika" onchange="przelaczInstytucja();">
				<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajPlatnika" label="opis"/>
			</stripes:select>
			<stripes:errors field="rodzajPlatnika"/>
		</div>
		<div id="platnikINSTYTUCJE" class="padding-top-10" style="width: 300px;">
			<c:set var="instytucjaPoleNazwa" value="instytucja"/>
			<c:set var="requiredClass" value=""/>
			<c:set var="filterWidth" value="300px"/>
			<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rok / miesiąc
		</label>
	</div>
	<div class="input">
		<stripes:text name="rok" class="rok required" title="Stan na rok" size="5" value="${actionBean.rok}"/> /
		
		<c:set var="poleMiesiac" value="miesiac"/>
		<c:set var="klasaWymagane" value="required"/>
		<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
		<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
		
		<div style="clear: both;">
			<stripes:errors field="rok"/>
			<stripes:errors field="miesiac"/>
		</div>
		<div>
			<stripes:checkbox id="pominGdyBrakWplatSwiadczenia" name="pominGdyBrakWplatSwiadczenia"></stripes:checkbox>
			<label for="pominGdyBrakWplatSwiadczenia" class="cursorPointer">
				pomiń za ten miesiąc gdy brakuje wpłat ze świadczeń
			</label>
			<stripes:errors field="pominGdyBrakWplatSwiadczenia"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="tylkoKonta" class="cursorPointer">
			tylko<br/>z kontami bankowymi
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="tylkoKonta" name="tylkoKonta"></stripes:checkbox>
		<stripes:errors field="tylkoKonta"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="wygenerujKonta" class="cursorPointer">
			przypisz nr konta<br/>bankowego
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="wygenerujKonta" name="wygenerujKonta"></stripes:checkbox>
		<stripes:errors field="wygenerujKonta"/>
	</div>
</div>
