<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPozycjiNoty}" id="listaPozycjiNoty" var="notaPozycja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.FormTableView">
	<jmesa:htmlTable style="width: 300px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty notaPozycja.instytucjaDoplacajaca}">
						${notaPozycja.instytucjaDoplacajaca.nazwa}
					</c:when>
					<c:otherwise>
						${notaPozycja.osoba.nazwiskoImie}
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<fmt:formatNumber value="${notaPozycja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaWplaty" title="Kwota<br/>wpłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<fmt:formatNumber value="${notaPozycja.kwotaWplaty}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" sortable="false" filterable="false">
				${notaPozycja.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.doplaty.NotaPozycjaEdycjaAction" event="edycja"
							aa-refresh-zones="pozycja_container" title="Podgląd pozycji">
						<stripes:param name="notaPozycja" value="${notaPozycja.id}"/>
						<img src="${root}/img/lupa.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.NotaPozycjaWplatyAction" event="lista"
							aa-refresh-zones="pozycja_container" title="Podgląd dokonanych wpłat">
						<stripes:param name="notaPozycja" value="${notaPozycja.id}"/>
						<i class="glyphicon iconspace">&nbsp;W&nbsp;</i>
					</stripes:link>
					<c:if test="${stripes:enumName(notaPozycja.status) == 'W_REALIZACJI'}">
						<stripes:url var="_usunPozycjeURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.doplaty.NotaPozycjaEdycjaAction" event="usun">
							<stripes:param name="notaPozycja" value="${notaPozycja.id}"/>
						</stripes:url>
						<img src="${root}/img/delete.gif" class="iconspace" onclick="return usunPozycje('${_usunPozycjeURL}')"/>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<script type="text/javascript">
	function doAndRefreshContainers(href) {
		var params = {};
		params["aazones"] =  'pozycja_container';

		pokazLoadImage();
		$.ajax({
	        url: href,
	        type: 'GET',
	        data: $.param(params),
	        dataType: 'xml',
	        success: function(response, status, request) {
	        	AjaxAnywhere.handleSuccessfulRequest(response, status, request);
	        	onInvokeAction('listaPozycjiNoty');
	        },
	        error: AjaxAnywhere.handleError
	    });
		return false;
	}

	function usunPozycje(href) {
		if(confirmation('Czy na pewno chcesz usunąć pozycję?')) {
			doAndRefreshContainers(href);
		}
		return false;
	}

	function otworzZamknijWyrownanie(href) {
		doAndRefreshContainers(href);
		return false;
	}

	function usunWplate(href) {
		if(confirmation('Czy na pewno chcesz usunąć wpłatę?')) {
			doAndRefreshContainers(href);
		}
		return false;
	}
</script>
