<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
<c:when test="${fn:length(listaFaktur) > 0}">
	<jmesa:tableFacade items="${listaFaktur}" id="listaFaktur" var="faktura"
			editable="false" exportTypes="" autoFilterAndSort="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaFaktur)}">
		<jmesa:htmlTable styleClass="alignCenter" style="min-width: 300px;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="dataWystawienia" title="Data<br/>wystawienia" styleClass="nowrap" sortable="false" filterable="false">
					<fmt:formatDate value="${faktura.dataWystawienia}" pattern="${DATE_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="nr" title="Nr" styleClass="nowrap" sortable="false" filterable="false">
					${faktura.nr}
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
					<fmt:formatNumber value="${faktura.kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:when>
<c:when test="${stripes:enumName(wyrownanie.status) == 'W_REALIZACJI'}">
	w realizacji
</c:when>
<c:when test="${stripes:enumName(wyrownanie.status) == 'ZAMKNIETE'}">
	---
</c:when>
<c:otherwise>
	---
</c:otherwise>
</c:choose>
