<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=NOTA_ODPLATNOSC", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.faktury.NotaGeneratorAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Generowanie noty ("${actionBean.nota.typ.opis}") - krok 1
					</legend>
					
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<c:set var="nazwaPolaNota" value="nota"/>
					<%@ include file="/jsp/templatePages/polaNotaOdplatnosc.jsp" %>
				
					<fieldset>
						<legend>
							Opcje generowania
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									od, do
								</label>
							</div>
							<div class="input">
								<div>
									<stripes:text name="dataOd" class="data" title="Data od kiedy uwzględniać faktury" formatPattern="${DATE_PATTERN}"/>
									<stripes:errors field="dataOd"/>
								</div>
								<div>&nbsp;</div>
								<div>
									<stripes:text name="dataDo" class="data" title="Data do kiedy uwzględniać faktury" formatPattern="${DATE_PATTERN}"/>
									<stripes:errors field="dataDo"/>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label for="wygenerujKonta" class="cursorPointer">
									przypisz nr konta<br/>bankowego
								</label>
							</div>
							<div class="input">
								<stripes:checkbox id="wygenerujKonta" name="wygenerujKonta"></stripes:checkbox>
								<stripes:errors field="wygenerujKonta"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									limit faktur
								</label>
							</div>
							<div class="input">
								<stripes:select name="limitFaktur">
									<stripes:option value="50" >50</stripes:option>
									<stripes:option value="100" >100</stripes:option>
								</stripes:select>
								<stripes:errors field="limitFaktur"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
							<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="krok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
