<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.faktury.NotaGeneratorAction" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Generowanie noty ("${actionBean.nota.typ.opis}") - krok 2
					</legend>
					
					<div style="padding-bottom: 15px;">
						Lista zawiera JEDYNIE faktury ze statusem 'zatwierdzona' nieuwzględnione na innych notach!
						<c:if test="${not empty listaFaktur && fn:length(listaFaktur) > 0}">
							<br/><br/>
							Wybierz te, które chcesz przeznaczyć do płatności
						</c:if>
					</div>
					<c:choose>
						<c:when test="${not empty listaFaktur && fn:length(listaFaktur) > 0}">
							<div style="padding-bottom: 15px;">
								<stripes:button name="zaznaczMapaPozycji" class="noLoadImage" onclick="zaznacz('input[name^=\"mapaFaktur\"]', true)">Zaznacz wszystkie</stripes:button>
								&nbsp;
								<stripes:button name="odznaczMapaPozycji" class="noLoadImage" onclick="zaznacz('input[name^=\"mapaFaktur\"]', false)">Odznacz wszystkie</stripes:button>
							</div>
							<div class="jmesa">
								<c:set var="i" value="-1"/>
								<jmesa:tableFacade items="${listaFaktur}" id="listaFaktur" var="faktura" autoFilterAndSort="true"
										editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaFaktur)}">
									<jmesa:htmlTable styleClass="alignCenter">
										<jmesa:htmlRow>
											<jmesa:htmlColumn title="&nbsp;" property="operacje" sortable="false" style="padding-left: 10px; padding-right: 10px;">
												<stripes:checkbox name="mapaFaktur[${faktura.id}]"></stripes:checkbox>
											</jmesa:htmlColumn>
											<jmesa:htmlColumn title="Lp." property="lp" sortable="false">
												<c:set var="i" value="${i + 1}"/>
												${i + 1}
											</jmesa:htmlColumn>
											<jmesa:htmlColumn title="Osoba" property="osoba" sortable="false">
												${faktura.osoba.nazwiskoImie}
											</jmesa:htmlColumn>
											<jmesa:htmlColumn title="Nr" property="nr" sortable="false">
												<strong>${faktura.nr}</strong><c:if test="${not empty faktura.nrWew}"><br/>(${faktura.nrWew})</c:if>
											</jmesa:htmlColumn>
											<jmesa:htmlColumn title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" property="kwota" sortable="false" styleClass="text-right">
												<fmt:formatNumber value="${faktura.kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
											</jmesa:htmlColumn>
										</jmesa:htmlRow>
									</jmesa:htmlTable>
								</jmesa:tableFacade>
							</div>
						</c:when>
						<c:otherwise>
							<span style="padding-bottom: 15px;" class="daneWyroznione warn">
								Wszystkie faktury są już rozliczone. Mimo to możesz wygenerować pustą notę (dla celów wydruku)
								albo anulować generowanie poprzez "&laquo; Wróć do listy"
							</span>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
							<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
