<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaNotActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();

			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaNotActionURL}",
					"listaFiltr=1&nota.typ=${actionBean.nota.typ}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);

			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
		<c:choose>
			<c:when test="${liczbaNotWRealizacji > 0}">
				<script type="text/javascript">
					$(document).ready(function() {
						// ustawianie domyślnego filtrowania statusów listy
						var jmesaDynStatusFilter = $("div[onclick*='createDroplistDynFilter'][onclick*='status']");
						jmesaDynStatusFilter.html("realizowana");
						jmesaDynStatusFilter.click();

						// pobieranie danych
						$("#dynFilterDroplist").val("W_REALIZACJI");
						$("#dynFilterDroplist").change();
					});
				</script>
			</c:when>
			<c:otherwise>
				<script type="text/javascript">
					$(document).ready(function() {
						$(document).ready(function() {
							// ustawianie domyślnego filtrowania statusów listy
							var jmesaDynStatusFilter = $("div[onclick*='createDroplistDynFilter'][onclick*='status']");
							jmesaDynStatusFilter.html("rozliczona");
							jmesaDynStatusFilter.click();

							// pobieranie danych
							$("#dynFilterDroplist").val("ROZLICZONA");
							$("#dynFilterDroplist").change();
						});
					});
				</script>
			</c:otherwise>
		</c:choose>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkListaNot" href="#" class="aktywny">
					Lista not ("${actionBean.nota.typ.opis}")
				</a>
			</div>
			<div class="form" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

				<c:choose>
					<c:when test="${not empty listaNotDzisiaj && fn:length(listaNotDzisiaj) > 0}">
						<div style="padding-bottom: 10px;">
							<%@ include file="listaDzisiajFiltr.jsp" %>
						</div>
						<fieldset>
							<c:if test="${not empty listaNotDzisiaj && fn:length(listaNotDzisiaj) > 0}">
								<legend>Wszystkie wygenerowane</legend>
							</c:if>
							<div id="jmesaContainer">
								<%@ include file="listaFiltr.jsp" %>
							</div>
						</fieldset>
					</c:when>
					<c:otherwise>
						<div id="jmesaContainer">
							<%@ include file="listaFiltr.jsp" %>
						</div>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
