<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:htmlColumn property="nr" title="Nr"/>
<jmesa:htmlColumn property="data" title="Data" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
	<fmt:formatDate value="${nota.data}" pattern="${DATE_PATTERN}" />
</jmesa:htmlColumn>
<jmesa:htmlColumn property="status" title="Status" filterable="true" sortable="false" filterEditor="pl.topteam.dps.jmesa.view.editor.StatusNotyOdplatnoscDropListFilterEditor">
	${nota.status.opis}
</jmesa:htmlColumn>
<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
	<div class="ikonki">
		<ttSec:secure roles="SOC_U_ODPLATNOSC">
			<c:choose>
				<c:when test="${stripes:enumName(nota.typ) == 'DOPLATY'}">
					<c:set var="edycjaImgName" value="edit" scope="page"/>
				</c:when>
				<c:otherwise>
					<c:set var="edycjaImgName" value="lupa" scope="page"/>
				</c:otherwise>
			</c:choose>
			<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaEdycjaDispatcherAction" event="dispatch">
				<stripes:param name="nota.id" value="${nota.id}"/>
				<stripes:param name="nota.typ" value="${nota.typ}"/>
				<img src="${root}/img/${edycjaImgName}.gif" class="iconspace"/>
			</stripes:link>
		</ttSec:secure>
		<ttSec:secure roles="SOC_R_ODPLATNOSC">
			<c:choose>
				<c:when test="${not empty nota.szablonWydrukuId}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.WydrukNotyAction" event="drukuj" target="_blank" title="Drukuj (1)">
						<stripes:param name="nota" value="${nota.id}"/>
						<stripes:param name="szablonWydruku.id" value="${nota.szablonWydrukuId}"/>
						<img src="${root}/img/printer.gif" class="iconspace"/>
					</stripes:link>
				</c:when>
				<c:otherwise>
					<a href="#">
						<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku (1)!"/>
					</a>
				</c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${not empty nota.szablonWydruku2Id}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.WydrukNotyAction" event="drukuj" target="_blank" title="Drukuj (2)">
						<stripes:param name="nota" value="${nota.id}"/>
						<stripes:param name="szablonWydruku.id" value="${nota.szablonWydruku2Id}"/>
						<img src="${root}/img/printer.gif" class="iconspace"/>
					</stripes:link>
				</c:when>
				<c:otherwise>
					<a href="#">
						<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku (2)!"/>
					</a>
				</c:otherwise>
			</c:choose>
		</ttSec:secure>
		<c:choose>
			<c:when test="${stripes:enumName(nota.typ) == 'DOPLATY'}">
				<c:set var="uUprawnienie" value="SOC_U_WPLATY_PLATNOSC"/>
				<c:set var="dUprawnienie" value="SOC_D_WPLATY_PLATNOSC"/>
			</c:when>
			<c:when test="${stripes:enumName(nota.typ) == 'FAKTURY'}">
				<c:set var="uUprawnienie" value="OG_U_FAKTURY"/>
				<c:set var="dUprawnienie" value="OG_D_FAKTURY"/>
			</c:when>
			<c:when test="${stripes:enumName(nota.typ) == 'ODPISY'}">
				<c:set var="uUprawnienie" value="SOC_U_ODPIS"/>
				<c:set var="dUprawnienie" value="SOC_D_ODPIS"/>
			</c:when>
			<c:when test="${stripes:enumName(nota.typ) == 'WYROWNANIA'}">
				<c:set var="uUprawnienie" value="SOC_U_ODPLATNOSC"/>
				<c:set var="dUprawnienie" value="SOC_D_ODPLATNOSC"/>
			</c:when>
			<c:when test="${stripes:enumName(nota.typ) == 'ZWROTY'}">
				<c:set var="uUprawnienie" value="SOC_U_ZWROT"/>
				<c:set var="dUprawnienie" value="SOC_D_ZWROT"/>
			</c:when>
		</c:choose>
		<c:if test="${stripes:enumName(nota.status) == 'W_REALIZACJI'}">
			<ttSec:secure roles="${uUprawnienie}">
				<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.PozycjeNotyAction" event="zamknij"
						onclick="return confirmation('Czy na pewno chcesz zamknąć wszystkie pozycje będące w realizacji dla /${nota.nr}/? ')">
					<stripes:param name="nota" value="${nota.id}"/>
					<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/noty/lista.jsp')}"/>
					<img src="${root}/img/cancel_16.png" class="iconspace"/>
				</stripes:link>
			</ttSec:secure>
		</c:if>
		<ttSec:secure roles="${dUprawnienie}">
			<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" event="usun"
					onclick="return confirmation('Czy na pewno chcesz usunąć notę /${nota.nr}/? ')">
				<stripes:param name="nota" value="${nota.id}"/>
				<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/noty/lista.jsp')}"/>
				<img src="${root}/img/delete.gif" class="iconspace"/>
			</stripes:link>
		</ttSec:secure>
	</div>
</jmesa:htmlColumn>
