<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
<c:when test="${fn:length(listaWplat) > 0}">
	<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata"
			editable="false" exportTypes="" autoFilterAndSort="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaWplat)}">
		<jmesa:htmlTable styleClass="alignCenter" style="min-width: 200px;">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="dataWplaty" title="Data<br/>wpłaty" styleClass="nowrap" sortable="false" filterable="false">
					<fmt:formatDate value="${wplata.dataWplaty}" pattern="${DATE_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap" sortable="false" filterable="false">
					<fmt:formatDate value="${wplata.dataKsiegowania}" pattern="${DATE_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
					<fmt:formatNumber value="${wplata.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
					<div class="ikonki">
						<stripes:url var="_usunWplataURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.wplaty.NotaPozycjaWplatyAction" event="usun">
							<stripes:param name="notaPozycja" value="${wyrownanie.notaPozycjaId}"/>
							<stripes:param name="wplata" value="${wplata.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/noty/doplaty/wplaty.jsp')}"/>
						</stripes:url>
						<img src="${root}/img/delete.gif" class="iconspace" onclick="return usunWplate('${_usunWplataURL}');"/>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:when>
<c:when test="${stripes:enumName(wyrownanie.status) == 'W_REALIZACJI'}">
	w realizacji
</c:when>
<c:when test="${stripes:enumName(wyrownanie.status) == 'ZAMKNIETE'}">
	---
</c:when>
<c:otherwise>
	---
</c:otherwise>
</c:choose>
