<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
<c:when test="${empty listaWyrownan || fn:length(listaWyrownan) == 0}">
	--- BRAK
	<c:choose>
		<c:when test="${not empty actionBean.rodzajKont && stripes:enumName(actionBean.nota.typ) == 'DEPOZYT'}">KONT DEPOZYTOWYCH (lub dodatniego bilansu na koncie)</c:when>
		<c:when test="${not empty actionBean.rodzajKont && stripes:enumName(actionBean.nota.typ) == 'KASA_MIESZKANCA'}">KONT KASY MIESZKAŃCA (lub dodatniego bilansu na koncie)</c:when>
		<c:when test="${stripes:enumName(actionBean.nota.typ) == 'FAKTURY'}">FAKTUR</c:when>
		<c:when test="${stripes:enumName(actionBean.nota.typ) == 'DOPLATY'}">POZYCJI</c:when>
	</c:choose>
	DLA TEGO ZAKRESU ---
</c:when>
<c:otherwise>
<c:set var="i" value="${liczbaPozycji - 1}"/>
<c:set var="sumaDoZaplaty" value="0.0"/>
<jmesa:tableFacade items="${listaWyrownan}" id="listaWyrownan" var="wFaktura" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaWyrownan)}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 750px;">
		<jmesa:htmlRow>
			<%--
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${wFaktura.wyrownanie.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			--%>
			<jmesa:htmlColumn property="wierzyciel" title="Wierzyciel" sortable="false" filterable="false">
				<c:set var="i" value="${i + 1}"/>

				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.id"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.notaPozycjaId"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.zadluzeniePozycjaId"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.rok"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.miesiac"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.status"/>
				
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.nota.typ) == 'DOPLATY'}">
						<stripes:hidden id="kwota${i}" name="listaWyrownan[${i}].wyrownanie.kwota"/>
					</c:when>
					<c:otherwise>
						<stripes:hidden name="listaWyrownan[${i}].wyrownanie.kwota"/>
					</c:otherwise>
				</c:choose>

				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.notaOdplatnosc.nr"/>
				
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.mieszkaniec.id"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.mieszkaniec.imie"/>
				
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.osoba.id"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.osoba.nazwisko"/>
				<stripes:hidden name="listaWyrownan[${i}].wyrownanie.osoba.imie"/>

				<stripes:hidden name="listaWyrownan[${i}].faktura.id"/>
				<stripes:hidden name="listaWyrownan[${i}].faktura.dataWystawienia"/>
				<stripes:hidden name="listaWyrownan[${i}].faktura.nr"/>
				<stripes:hidden name="listaWyrownan[${i}].faktura.nrWew"/>
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.nota.typ) == 'FAKTURY'}">
						<stripes:hidden id="kwota${i}" name="listaWyrownan[${i}].faktura.kwotaM"/>
					</c:when>
					<c:otherwise>
						<stripes:hidden name="listaWyrownan[${i}].faktura.kwotaM"/>
					</c:otherwise>
				</c:choose>
			
				${wFaktura.wyrownanie.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="okres" title="Okres" sortable="false" filterable="false" styleClass="nowrap">
				<c:set var="miesiacNumber" value="${wFaktura.wyrownanie.miesiac}"/>
				${wFaktura.wyrownanie.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nota" title="Nota" sortable="false" filterable="false" styleClass="nowrap">
				<fmt:formatDate var="_dataNoty" value="${wFaktura.wyrownanie.notaOdplatnosc.data}" pattern="${DATE_PATTERN}"/>
				<c:set var="_opisNoty" value="${wFaktura.wyrownanie.notaOdplatnosc.nr} (${_dataNoty})"/>
				<ttSec:secure roles="SOC_U_ODPLATNOSC" defaultText="${_opisNoty}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaEdycjaDispatcherAction" event="dispatch">
						<stripes:param name="nota.id" value="${wFaktura.wyrownanie.notaOdplatnosc.id}"/>
						<stripes:param name="nota.typ" value="${wFaktura.wyrownanie.notaOdplatnosc.typ}"/>
						${_opisNoty}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<c:choose>
				<c:when test="${stripes:enumName(actionBean.nota.typ) == 'FAKTURY'}">
					<c:set var="sumaDoZaplaty" value="${sumaDoZaplaty + wFaktura.faktura.kwotaM}"/>
					<c:set var="sumaKwot" value="${sumaKwot + wFaktura.faktura.kwotaM}" scope="request"/>
					
					<jmesa:htmlColumn property="faktura" title="Faktura" sortable="false" filterable="false" styleClass="nowrap">
						<strong>${wFaktura.faktura.nr}</strong><c:if test="${not empty wFaktura.faktura.nrWew}"><br/>(${wFaktura.faktura.nrWew})</c:if>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="doWplaty" title="Do zapłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
						<fmt:formatNumber value="${wFaktura.faktura.kwotaM}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
				</c:when>
				<c:otherwise>
					<c:set var="sumaDoZaplaty" value="${sumaDoZaplaty + wFaktura.wyrownanie.kwota}"/>
					<c:set var="sumaKwot" value="${sumaKwot + wFaktura.wyrownanie.kwota}" scope="request"/>
					
					<jmesa:htmlColumn property="doWplaty" title="Do zapłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
						<fmt:formatNumber value="${wFaktura.wyrownanie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
				</c:otherwise>
			</c:choose>
			<c:if test="${not empty actionBean.rodzajKont}">
				<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.rodzajKont.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.rodzajKont.opis, 1,fn:length(actionBean.rodzajKont.opis)))}"/>
				<jmesa:htmlColumn property="depozyt" title="${_rodzajKont}" sortable="false" filterable="false" style="width: 120px;">
					<stripes:hidden name="mapaKont[${wFaktura.wyrownanie.osoba.id}]"/>
					<stripes:hidden id="kwotaDepozytu${i}" name="mapaKont[${wFaktura.wyrownanie.osoba.id}].bilans"/>
					
					<c:set var="_konto" value="${actionBean.mapaKont[wFaktura.wyrownanie.osoba.id]}"/>
					<div>${_konto.nr}</div>
					<div class="text-right">(<fmt:formatNumber value="${_konto.bilans}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})</div>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right nowrap" style="width: 120px;" sortable="false" filterable="false">
				<stripes:text id="kwotaWplaty${i}" name="listaWyrownan[${i}].wyrownanie.listaWplat[0].kwota" class="doublePrecision nChkb" title="Wpłacaona kwota" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;*
				<stripes:errors field="listaWyrownan[${i}].wyrownanie.listaWplat[0].kwota"/>
				<c:if test="${stripes:enumName(actionBean.nota.typ) == 'FAKTURY'}"><stripes:errors field="faktura_${wFaktura.faktura.id}"/></c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<a href="#" onclick="return copyKwota(${i});" title="Podpowiedz kwotę">
						<img src="${root}/img/copy.gif" class="iconspace"/>
					</a>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table class="alignCenter" style="width: 750px;">
	<tbody class="tbody">
		<tr>
			<td colspan="5" align="right"><hr style="width: 400px;"></hr></td>
			<c:if test="${not empty actionBean.rodzajKont}"><td style="width: 120px;">&nbsp;</td></c:if>
			<td style="width: 120px;">&nbsp;</td>
			<td style="width: 100px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="4" class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap">
				<strong><fmt:formatNumber value="${sumaDoZaplaty}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			</td>
			<c:if test="${not empty actionBean.rodzajKont}"><td></td></c:if>
			<td class="text-right">&nbsp;</td>
			<td><div class="ikonki">&nbsp;</div></td>
		</tr>
	</tbody>
</table>
</c:otherwise>
</c:choose>
