<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
		
		<script type="text/javascript">
			function przelaczInstytucja() {
				var $selectRodzajPlatnika = $("[name='rodzajPlatnika']");
				var $divIntytucjeAutocomplete = $("#platnikINSTYTUCJE");
				
				if($selectRodzajPlatnika.val() == 'INSTYTUCJE') {
					$divIntytucjeAutocomplete.show();
				}
				else {
					$divIntytucjeAutocomplete.hide();
				}
			}
		
			$(document).ready(function() {
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=NOTA_ODPLATNOSC", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
				
				// ustawianie z parametrów
				przelaczInstytucja();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.NotaGeneratorAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Generowanie noty ("${actionBean.nota.typ.opis}")
					</legend>
					
					<c:set var="nazwaPolaNota" value="nota"/>
					<c:set var="listaSzablonow" value="${actionBean.listaSzablonow}"/>
					<%@ include file="/jsp/templatePages/polaNotaOdplatnosc.jsp" %>
				
					<fieldset>
						<legend>
							Opcje generowania
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									rodzaj zadłużenia
								</label>
							</div>
							<div class="input">
								<stripes:select name="rodzajZadluzenia" class="required" title="Rodzaj zadłużenia">
									<stripes:options-collection collection="${actionBean.rodzajeZadluzenia()}" label="opis"/>
								</stripes:select>
								<stripes:errors field="rodzajZadluzenia"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>rodzaj płatnika</label>
							</div>
							<div class="input">
								<div>
									<stripes:select name="rodzajPlatnika" class="required" title="Rodzaj płatnika" onchange="przelaczInstytucja();">
										<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajPlatnika" label="opis"/>
									</stripes:select>
									<stripes:errors field="rodzajPlatnika"/>
								</div>
								<div id="platnikINSTYTUCJE" class="padding-top-10" style="width: 300px;">
									<c:set var="instytucjaPoleNazwa" value="instytucja"/>
									<c:set var="requiredClass" value=""/>
									<c:set var="filterWidth" value="300px"/>
									<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									rok / miesiąc
								</label>
							</div>
							<div class="input">
								<stripes:text name="rok" class="rok required" title="Stan na rok" size="5" value="${actionBean.rok}"/> /
								
								<c:set var="poleMiesiac" value="miesiac"/>
								<c:set var="klasaWymagane" value="required"/>
								<c:set var="poleMiesiacValue" value="${actionBean.miesiac}"/>
								<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
								
								<div style="clear: both;">
									<stripes:errors field="rok"/>
									<stripes:errors field="miesiac"/>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label for="tylkoKonta" class="cursorPointer">
									tylko<br/>z kontami bankowymi
								</label>
							</div>
							<div class="input">
								<stripes:checkbox id="tylkoKonta" name="tylkoKonta"></stripes:checkbox>
								<stripes:errors field="tylkoKonta"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label for="wygenerujKonta" class="cursorPointer">
									przypisz nr konta<br/>bankowego
								</label>
							</div>
							<div class="input">
								<stripes:checkbox id="wygenerujKonta" name="wygenerujKonta"></stripes:checkbox>
								<stripes:errors field="wygenerujKonta"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
							<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
