<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<aa:zone id="pozycja_container">
<div>
	<c:choose>
		<c:when test="${not empty actionBean.notaPozycja.osoba}">
			Płatnik:<span class="daneWyroznione">${actionBean.notaPozycja.osoba.nazwiskoImie}</span>
		</c:when>
		<c:otherwise>
			Płatnik:<span class="daneWyroznione">${actionBean.notaPozycja.instytucjaDoplacajaca.nazwa}</span>
		</c:otherwise>
	</c:choose>
</div>
<c:if test="${not empty actionBean.notaPozycja.kontoBankowe}">
	<div>
		Konto bankowe: ${actionBean.notaPozycja.kontoBankowe.getPLIban()}
	</div>
</c:if>
<hr style="width: 40%"/>
<div id="nota_pozycja_body">
	<c:forEach items="${actionBean.listaWierzycieli}" var="osoba">
		dla: <span class="daneWyroznione">${osoba.nazwiskoImie}</span>
		<c:set var="listaWyrownan" value="${actionBean.mapaWyrownan.get(osoba.id)}"/>
		<jmesa:tableFacade items="${listaWyrownan}" id="listaWyrownan" var="wyrownanie" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
				maxRows="${fn:length(listaWyrownan)}">
			<jmesa:htmlTable style="min-width: 300px; max-width: 420px;">
				<jmesa:htmlRow>
					<%--
					<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
						<jmesa:htmlColumn title="DEV" sortable="false" styleClass="nowrap">
							(WYROWNANIE_ID: ${wyrownanie.id})<br/>
							(ZADLUZENIE_POZYCJA_ID: ${wyrownanie.zadluzeniePozycjaId})
						</jmesa:htmlColumn>
					</c:if>
					--%>
					<jmesa:htmlColumn title="Za okres" property="okres" sortable="false">
						<c:set var="miesiacNumber" value="${wyrownanie.miesiac}"/>
						${wyrownanie.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn title="Status" property="status" sortable="false">
						${wyrownanie.status.opis}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" property="kwota" sortable="false" styleClass="kwotaTd">
						<fmt:formatNumber value="${wyrownanie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
						<div class="ikonki">
							<c:choose>
								<c:when test="${stripes:enumName(wyrownanie.status) == 'W_REALIZACJI'}">
									<stripes:url var="_zamknijURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ZadluzenieWyrownanieAction" event="zamknij">
										<stripes:param name="zadluzenieWyrownanie.id" value="${wyrownanie.id}"/>
									</stripes:url>
									<img src="${root}/img/cancel_16.png" class="cursorPointer" title="Zamknij pozycję" onclick="return otworzZamknijWyrownanie('${_zamknijURL}');"/>
								</c:when>
								<c:when test="${stripes:enumName(wyrownanie.status) == 'ZAMKNIETE'}">
									<stripes:url var="_otworzURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ZadluzenieWyrownanieAction" event="otworz">
										<stripes:param name="zadluzenieWyrownanie.id" value="${wyrownanie.id}"/>
									</stripes:url>
									<img src="${root}/img/reload.png" class="cursorPointer" title="Otwórz pozycję"  onclick="return otworzZamknijWyrownanie('${_otworzURL}');"/>
								</c:when>
							</c:choose>
						</div>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
		<hr style="width: 80%"/>
	</c:forEach>
</div>
</aa:zone>
