<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			.ui-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript">
			function copyKwota(row) {
				var $elemKwotaFrom = $("#kwota" + row);
				var $elemKwotaTo = $("#kwotaZwrotu" + row);
				
				$elemKwotaTo.val(fixnum42($elemKwotaFrom.val(), 2));
				
				$elemKwotaTo.focus();
				// press arrow right 
				$elemKwotaTo.trigger(jQuery.Event("keyup", {which: 39}));
				
				return false;
			}
		
			$(document).ready(function() {
				$("#tab-container-lex").tabs({});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.zwroty.ListaNiezrealizowanychZwrotowAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					<legend>
						Brakujące zwroty z generowanych not (${actionBean.nota.typ.opis})
					</legend>
					
					<stripes:hidden name="rodzajKont"/>
					<stripes:hidden name="nota.typ"/>
					<c:set var="nazwaPolaOdpis" value="zwrot"/>
					<%@ include file="/jsp/templatePages/polaOdpisZwrotDaty.jsp" %>
					<fieldset>
					<div id="tab-container-lex" class="form" style="border: 0px none; margin: 0px auto;">
						<ul>
							<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
								<li>
									<c:set var="listaWyrownan" value="${mapaWyrownan[zakres]}"/>
									<a href="#ui-tabs-${i.count}">${zakres.from()}-${zakres.to()} (${fn:length(listaWyrownan)})</a>
								</li>
							</c:forEach>
							<li><a href="#ui-tabs-podsumowanie">Podsumowanie</a></li>
						</ul>
						
						<c:set var="liczbaPozycji" value="0"/>
						<c:set var="sumaKwot" value="0.0" scope="request"/>
						<c:forEach items="${actionBean.zakresy()}" var="zakres" varStatus="i">
							<div id="ui-tabs-${i.count}">
								<c:set var="listaWyrownan" value="${mapaWyrownan[zakres]}"/>
								<%@ include file="zwrotyNiezrealizowaneListaFiltr.jsp" %>
								<c:set var="liczbaPozycji" value="${liczbaPozycji + fn:length(listaWyrownan)}"/>
							</div>
						</c:forEach>
						
						<div id="ui-tabs-podsumowanie">
							<%@ include file="zwrotyNiezrealizowaneListaPodsumowanie.jsp" %>
						</div>
					</div>
					<div class="padding-top-5">
						*) 0,00 - brak wpłaty (program ominie tę pozycję)
					</div>
					</fieldset>
					
					<fieldset class="submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.ListaNotAction" class="button" event="lista">
								<stripes:param name="nota.typ" value="${actionBean.nota.typ}"/>
								&laquo; Lista not
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
