<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
<c:when test="${empty listaWyrownan || fn:length(listaWyrownan) == 0}">
	--- BRAK 
	<c:choose>
		<c:when test="${not empty actionBean.rodzajKont && stripes:enumName(actionBean.nota.typ) == 'DEPOZYT'}">KONT DEPOZYTOWYCH (lub dodatniego bilansu na koncie)</c:when>
		<c:when test="${not empty actionBean.rodzajKont && stripes:enumName(actionBean.nota.typ) == 'KASA_MIESZKANCA'}">KONT KASY MIESZKAŃCA (lub dodatniego bilansu na koncie)</c:when>
		<c:when test="${stripes:enumName(actionBean.nota.typ) == 'FAKTURY'}">FAKTUR</c:when>
		<c:when test="${stripes:enumName(actionBean.nota.typ) == 'ODPISY'}">POZYCJI</c:when>
		<c:when test="${stripes:enumName(actionBean.nota.typ) == 'ZWROTY'}">POZYCJI</c:when>
	</c:choose>
	DLA TEGO ZAKRESU ---
</c:when>
<c:otherwise>
<c:set var="i" value="${liczbaPozycji - 1}"/>
<c:set var="sumaDoZwrotu" value="0.0"/>
<jmesa:tableFacade items="${listaWyrownan}" id="listaWyrownan" var="wyrownanie" autoFilterAndSort="false" editable="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(listaWyrownan)}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 750px;">
		<jmesa:htmlRow>
			<%--
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${wyrownanie.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			--%>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				${not empty wyrownanie.osoba.nazwiskoImie ? wyrownanie.osoba.nazwiskoImie : wyrownanie.instytucja.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wierzyciel" title="Wierzyciel" sortable="false" filterable="false">
				<c:set var="i" value="${i + 1}"/>

				<stripes:hidden name="listaWyrownan[${i}].id"/>
				<stripes:hidden name="listaWyrownan[${i}].notaPozycjaId"/>
				<stripes:hidden name="listaWyrownan[${i}].odpisId"/>
				<stripes:hidden name="listaWyrownan[${i}].zadluzeniePozycjaId"/>
				<stripes:hidden name="listaWyrownan[${i}].status"/>
				<stripes:hidden id="kwota${i}" name="listaWyrownan[${i}].kwota"/>

				<stripes:hidden name="listaWyrownan[${i}].notaOdplatnosc.nr"/>
				
				<stripes:hidden name="listaWyrownan[${i}].mieszkaniec.id"/>
				<stripes:hidden name="listaWyrownan[${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaWyrownan[${i}].mieszkaniec.imie"/>

				<stripes:hidden name="listaWyrownan[${i}].osoba.id"/>
				<stripes:hidden name="listaWyrownan[${i}].osoba.nazwisko"/>
				<stripes:hidden name="listaWyrownan[${i}].osoba.imie"/>

				<stripes:hidden name="listaWyrownan[${i}].instytucja.id"/>
				<stripes:hidden name="listaWyrownan[${i}].instytucja.nazwa"/>
			
				${wyrownanie.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="okres" title="Za okres" sortable="false" filterable="false" styleClass="nowrap">
				<c:set var="miesiacNumber" value="${wyrownanie.miesiac}"/>
				${wyrownanie.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nota" title="Nota" sortable="false" filterable="false" styleClass="nowrap">
				<fmt:formatDate var="_datNoty" value="${wyrownanie.notaOdplatnosc.data}" pattern="${DATE_PATTERN}"/>
				<c:set var="_opisNoty" value="${wyrownanie.notaOdplatnosc.nr} (${_datNoty})"/>
				<ttSec:secure roles="SOC_U_ODPLATNOSC" defaultText="${_opisNoty}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaEdycjaDispatcherAction" event="dispatch">
						<stripes:param name="nota.id" value="${wyrownanie.notaOdplatnosc.id}"/>
						<stripes:param name="nota.typ" value="${wyrownanie.notaOdplatnosc.typ}"/>
						${_opisNoty}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="doZwrotu" title="Do zwrotu<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<c:set var="sumaDoZwrotu" value="${sumaDoZwrotu + wyrownanie.kwota}"/>
				<c:set var="sumaKwot" value="${sumaKwot + wyrownanie.kwota}" scope="request"/>

				<fmt:formatNumber value="${wyrownanie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<c:if test="${not empty actionBean.rodzajKont}">
				<c:set var="_rodzajKont" value="${fn:toUpperCase(fn:substring(actionBean.rodzajKont.opis, 0, 1))}${fn:toLowerCase(fn:substring(actionBean.rodzajKont.opis, 1,fn:length(actionBean.rodzajKont.opis)))}"/>
				<jmesa:htmlColumn property="depozyt" title="${_rodzajKont}" sortable="false" filterable="false" style="width: 120px;">
					<stripes:hidden name="mapaKont[${wyrownanie.osoba.id}]"/>
					<stripes:hidden id="kwotaDepozytu${i}" name="mapaKont[${wyrownanie.osoba.id}].bilans"/>
					
					<c:set var="_konto" value="${actionBean.mapaKont[wyrownanie.osoba.id]}"/>
					<div>${_konto.nr}</div>
					<div class="text-right">(<fmt:formatNumber value="${_konto.bilans}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})</div>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd nowrap" sortable="false" filterable="false">
				<stripes:text id="kwotaZwrotu${i}" name="listaWyrownan[${i}].listaZwrotow[0].kwota" class="doublePrecision nChkb" title="Wpłacaona kwota" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;*
				<stripes:errors field="listaWyrownan[${i}].listaZwrotow[0].kwota"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<a href="#" onclick="return copyKwota(${i});" title="Kopiuj kwotę 'Do zwrotu' do 'Kwota'">
						<img src="${root}/img/copy.gif" class="iconspace"/>
					</a>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table class="alignCenter" style="width: 750px;">
	<tbody class="tbody">
		<tr>
			<td colspan="5" align="right"><hr style="width: 400px;"></hr></td>
			<c:if test="${not empty actionBean.rodzajKont}"><td style="width: 120px;">&nbsp;</td></c:if>
			<td style="width: 120px;">&nbsp;</td>
			<td style="width: 100px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="4" class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap">
				<strong><fmt:formatNumber value="${sumaDoZwrotu}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;
			</td>
			<c:if test="${not empty actionBean.rodzajKont}"><td></td></c:if>
			<td class="text-right">&nbsp;</td>
			<td><div class="ikonki">&nbsp;</div></td>
		</tr>
	</tbody>
</table>
</c:otherwise>
</c:choose>
