<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_listaOdplatnosciURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			#accordion h3 {
				padding: 5px 0px 5px 25px;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript" src="${root}/js/utils/menuLinkActivator.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_listaOdplatnosciURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
						
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			$(function() {
				$("#accordion").accordion({active: false, collapsible: true});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<%@ include file="/jsp/odplatnosc/listaLinkiOdplatnoscAlimentacja.jsp" %>
			
			<script type="text/javascript">
				$(document).ready(function() {
					activateLink("lnkOdplatnosci");
				});
			</script>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="accordion" class="alignLeft">
					<h3>Informacja o kwotach</h3>
					<div>
						<p>
							Kwoty wskazane poniżej są WIĄŻĄCE dla programu jako podstawa do prowadzenia naliczania!
						</p>
						<p>
							Kwoty wpisane na decyzjach (w dwóch pozostałych zakładkach) nie stanowią podstawy naliczania ze względu
							na wszelkie zmiany przeprowadzane przez OPSy (głównie ze wstecznymi zmianami) w ich procesach decyzyjnych
							(łącznie ze wszelkimi umowami słownymi na linii OPS-DPS).
							Na ich podstawie automatycznie nie można stwierdzić, która kwota ma być wiążąca w poszczególnym miesiącu rozliczenia.
							Dlatego też tu powinny być <i>stricte</i> wyszczególnione pozycje, które program ma uwzględniać w naliczeniach. 
						</p>
						<p>
							Wszelkie zmiany tu wprowadzane będą odwzorowywane jako dopłaty do naliczeń(+ albo -).
						</p>
					</div>
				</div>
				<div id="jmesaContainer" class="padding-top-10">
					<%@ include file="listaFiltr.jsp" %>
				</div>
				<c:if test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC'}">
					<ttSec:secure roles="SOC_C_ODPLATNOSC">
						<div class="listFooterText">
							<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.ObliczanieOdplatnosciDispatcherAction"
									event="dodawanieKrok1">
								Oblicz kwoty
							</stripes:link>
							&nbsp;&nbsp;
							<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.UstalanieOdplatnosciDispatcherAction"
									event="dodawanieKrok1">
								Wprowadź kwoty
							</stripes:link>
						</div>
					</ttSec:secure>
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL">
						<div class="listFooterText">
							<stripes:link class="button"  beanclass="pl.topteam.dps.action.socjalni.odplatnosc.naliczanie.ListaNaliczenAction" event="lista"
									title="Lista naliczeń płatności za ostatni miesiąc">
								Ostatnie naliczenie
							</stripes:link>
						</div>
					</ttSec:secure>
				</c:if>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
