<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOdplatnosci}" id="listaOdplatnosci" var="odplatnosc" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataOd" title="Data od" sortable="false" filterable="false" styleClass="daneWyroznione">
				<ttSec:secure roles="SOC_U_ODPLATNOSC" defaultText="${odplatnosc.dataOd}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.OdplatnoscEdycjaAction" event="edycja">
						<stripes:param name="odplatnosc.id" value="${odplatnosc.id}"/>
						<fmt:formatDate value="${odplatnosc.dataOd}" pattern="${DATE_PATTERN}" />
						
						<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
							&nbsp;(ID:&nbsp;${odplatnosc.id})
						</c:if>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
 			<jmesa:htmlColumn property="dotyczy" title="Zobowiązani" sortable="false" filterable="false">
 				<table style="border: 0px; width: 100%;" cellpadding="0" cellspacing="0">
 					<tbody>
 					<c:set var="_sumaPlatnosci" value="0.0"/>
	 				<c:forEach items="${odplatnosc.listaSkladnikow}" var="odplatnoscSkladnik">
	 					<tr>
	 						<td style="text-align: left; border: 0px;">
								<c:choose>
									<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
										${actionBean.osoba.nazwiskoImie} (<c:if test="${not empty odplatnosc.ewidencjaOdejscieId}"><span style="font-weight: bold;">&#8224;</span> </c:if>mieszkaniec)
									</c:when>
									<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
										${odplatnoscSkladnik.osoba.nazwiskoImie} (członek rodziny)
									</c:when>
									<c:otherwise>
										${odplatnoscSkladnik.instytucja.nazwa}
									</c:otherwise>
								</c:choose>
							</td>
							<td class="kwotaTd" style="border: 0px;" nowrap="nowrap">
								<c:set var="_sumaPlatnosci" value="${_sumaPlatnosci + (empty odplatnoscSkladnik.kwota ? 0.00 : odplatnoscSkladnik.kwota)}"/>
								<fmt:formatNumber value="${empty odplatnoscSkladnik.kwota ? 0.00 : odplatnoscSkladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}
							</td>
						</tr>
	 				</c:forEach>
	 				</tbody>
	 				<tbody>
	 					<tr>
		 					<td style="border: 0px;"></td>
		 					<td class="daneWyroznione" style="border: 0px; text-align: right;"><hr style="width: 95%;"/>
		 						<fmt:formatNumber value="${_sumaPlatnosci}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}
		 					</td>
		 				</tr>
	 				</tobdy>
	 			</table>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ODPLATNOSC">
	 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.OdplatnoscEdycjaAction" event="edycja">
							<stripes:param name="odplatnosc.id" value="${odplatnosc.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<c:if test="${empty odplatnosc.ewidencjaOdejscieId}">
						<ttSec:secure roles="SOC_D_ODPLATNOSC">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="usun"
									onclick="return confirmation('Czy na pewno chcesz usunąć wybrane odpłatności ? ')">
								<stripes:param name="odplatnosc.id" value="${odplatnosc.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/obliczanie/lista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
