<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
	
		<style>
			.input {
				border: 1px solid #5F8DD3;
				margin-top: 15px;
			}
			
			.wewTabelka .input {
				border: 0px none;
			}
		</style>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_DO_2004.ObliczanieOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Obliczanie odpłatności za pobyt w DPS (krok 3-ci: wybór składników odpłatności)
					</legend>
					
					Decyzja o odpłatności mieszkańca
					<stripes:errors field="decyzjaOOdplatnosci.id"/>

					<c:choose>
						<c:when test="${not empty listaDecyzjiOOdplatnosci && fn:length(listaDecyzjiOOdplatnosci) > 0}">
							<c:forEach items="${listaDecyzjiOOdplatnosci}" var="decyzjaOODplatnosci" varStatus="i">
								<div class="row" style="display: block; margin-top: 5px;">
									<div class="label" style="vertical-align: middle;">
										<label>
											<stripes:radio id="decyzjaOODplatnosci_${decyzjaOODplatnosci.id}" name="decyzjaOOdplatnosci.id" value="${decyzjaOODplatnosci.id}"></stripes:radio>
										</label>
									</div>
									
									<c:set var="decyzjaOOdplatnosci" value="${decyzjaOODplatnosci}"/>
									<%@ include file="polaDecyzjiOdplatnosc.jsp" %>
								</div>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<div class="row">
								<stripes:hidden name="decyzjaOOdplatnosci.id" value=""/>
								BRAK OBOWIĄZUJĄCYCH DECYZJI O ODPŁATNOŚCI PO DACIE <fmt:formatDate value="${actionBean.odplatnosc.dataOd}" pattern="${DATE_PATTERN}"/>
							</div>
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok4" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
