<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		<style>
			.input {
				border: 1px solid #5F8DD3;
				margin-top: 15px;
			}
			
			.wewTabelka .input {
				border: 0px none;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					selectClass : 'asmSelect'
				});

				
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_OD_2004.ObliczanieOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Obliczanie odpłatności za pobyt w DPS (krok 3-ci: wybór składników odpłatności)
					</legend>
					
					<fieldset>
						<legend>
							Decyzja o odpłatności mieszkańca
							<stripes:errors field="decyzjaOOdplatnosci.id"/>
						</legend>
					</fieldset>
					<c:choose>
						<c:when test="${not empty listaDecyzjiOOdplatnosci && fn:length(listaDecyzjiOOdplatnosci) > 0}">
							<c:forEach items="${listaDecyzjiOOdplatnosci}" var="decyzjaOODplatnosci" varStatus="i">
								<div class="row" style="display: block; margin-top: 5px;">
									<div class="label" style="vertical-align: middle;">
										<label>
											<stripes:radio id="decyzjaOODplatnosci_${decyzjaOODplatnosci.id}" name="decyzjaOOdplatnosci.id" value="${decyzjaOODplatnosci.id}"></stripes:radio>
										</label>
									</div>
									
									<c:set var="decyzjaOOdplatnosci" value="${decyzjaOODplatnosci}"/>
									<%@ include file="polaDecyzjiOdplatnosc.jsp" %>
								</div>
							</c:forEach>
						</c:when>
						<c:otherwise>
							<div class="row">
								<stripes:hidden name="decyzjaOOdplatnosci.id" value=""/>
								BRAK OBOWIĄZUJĄCYCH DECYZJI O ODPŁATNOŚCI PO DACIE <fmt:formatDate value="${actionBean.odplatnosc.dataOd}" pattern="${DATE_PATTERN}"/>
							</div>
						</c:otherwise>
					</c:choose>

					<c:if test="${not empty listaDecyzjiOAlimentacji && fn:length(listaDecyzjiOAlimentacji) > 0}">
						<fieldset style="margin-top: 20px;">
							<legend>
								Decyzje o alimentacji
								&nbsp;&nbsp;
								<stripes:button name="zaznaczAlimentacje" class="noLoadImage" onclick="zaznacz('input[name^=\"skladnikiAlimentacji\"]', true)">Zaznacz wszystkie</stripes:button>
								<stripes:button name="odznaczAlimentacje" class="noLoadImage" onclick="zaznacz('input[name^=\"skladnikiAlimentacji\"]', false)">Odznacz wszystkie</stripes:button>
							</legend>
						</fieldset>

						<c:forEach items="${listaDecyzjiOAlimentacji}" var="decyzjaOAlimentacji" varStatus="i">
							<div class="row" style="display: block; margin-top: 5px;">
								<div class="label" style="vertical-align: middle;">
									<label>
										<stripes:checkbox name="skladnikiAlimentacji[${i.count - 1}].decyzjaOOdplatnosciId" value="${decyzjaOAlimentacji.id}"></stripes:checkbox>
									</label>
								</div>
								
								<c:set var="decyzjaOOdplatnosci" value="${decyzjaOAlimentacji}"/>
								<%@ include file="polaDecyzjiOdplatnosc.jsp" %>
							</div>
						</c:forEach>
					</c:if>
					
					<fieldset style="margin-top: 20px;">
						<legend>
							Instytucje dopłacające do pobytu mieszkańca
						</legend>
						
						<div class="row" style="display: block; margin-top: 5px;">
							<div class="label" style="vertical-align: middle;">
							</div>
							<div style="display: table-cell;">
								<stripes:select name="wybraneInstytucje[]" multiple="multiple" 
										id="selInstytucje" title="--- wybierz ---" style="min-width: 300px;">
									<stripes:options-collection collection="${listaInstytucjiDoplacajacych}" label="nazwa" value="id"/>
								</stripes:select>
								<stripes:errors field="wybraneInstytucje[]"/>
								<stripes:button name="wyb1a" class="button noLoadImage" value="Wybierz wszystkie" onclick="wybierz('selInstytucje');"/>
								&nbsp;&nbsp;&nbsp;
								<stripes:button name="wyb1b" class="button noLoadImage" value="Usuń wszystkie" onclick="wyrzuc('selInstytucje');"/>
							</div>
						</div>
					</fieldset>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok4" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
