<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ustalanieOdplatnosciURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_OD_2004.UstalanieOdplatnosciAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function wyliczKwote(idOsoby, idInstytucji) {
				pokazLoadImage();
	    		
				var parametry = "przeliczOdplatnosci=1"
					+ "&odplatnosc.dataOd=" + $("input[name='odplatnosc.dataOd']").val()
					+ "&wyliczDlaInstytucjaId=" + idInstytucji
					+ "&wyliczDlaOsobaId=" + idOsoby
					+ "&__fp=" + $("input[name='__fp']").val()
					+ "&" + $("[name^='listaOdplatnosci']").serialize();
				
		    	$.post("${_ustalanieOdplatnosciURL}",
					parametry,
					function(jsonObj, textStatus, xhr) {
						if(xhr.getResponseHeader('Ajax-Success')) {
							for (var i = 0; i < jsonObj.length; i++) {
								var inputObj = $("input[name='listaOdplatnosci[" + i + "].kwota']");
								
								inputObj.val(
										fixnum42(jsonObj[i].kwota, 2));
								
							}
		   				}
						
						ukryjLoadImage();
		   	 		}, "json"
		   	 		
			 	);

			 	return true;
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasadyZASADY_OD_2004.UstalanieOdplatnosciAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<stripes:hidden name="odplatnosc.dochodMieszkanca"/>
				<fieldset>
					<legend>
						Ustalanie odpłatności za pobyt w DPS (krok 3-gi: podsumowanie)
					</legend>
					
					<c:forEach items="${actionBean.listaOdplatnosci}" var="odplatnoscSkladnik" varStatus="status">
						<c:set var="i" value="${status.count - 1}"/>
						
						<fieldset>
							<legend>
								<c:choose>
									<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
										<a class="decoration" href="#" onclick="wyliczKwote(${actionBean.osoba.id}, -1);">
											odpłatność mieszkańca (${actionBean.osoba.nazwiskoImie})
										</a>
									</c:when>
									<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
										<a class="decoration" href="#" onclick="wyliczKwote(${odplatnoscSkladnik.osoba.id}, -1);">
											odpłatność członka rodziny (${odplatnoscSkladnik.osoba.nazwiskoImie})
										</a>
										<stripes:hidden name="listaOdplatnosci[${i}].osoba.nazwisko"/>
										<stripes:hidden name="listaOdplatnosci[${i}].osoba.imie"/>
									</c:when>
									<c:when test="${not empty listaInstytucjiDoplacajacych}">
										<c:forEach items="${listaInstytucjiDoplacajacych}" var="instytucja">
											<c:if test="${instytucja.id == odplatnoscSkladnik.instytucjaId}">
												<a class="decoration" href="#" onclick="wyliczKwote(-1, ${odplatnoscSkladnik.instytucjaId});">
													odpłatność (${instytucja.nazwa})
												</a>
											</c:if>
										</c:forEach>
									</c:when>
									<c:otherwise>
										BŁĄD IMPLEMENTACJI ZESPOŁU TT !!!
									</c:otherwise>
								</c:choose>
							</legend>
							
							<c:set var="poleOdplatnosc" value="listaOdplatnosci[${i}]"/>
							<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnik.jsp" %>
							
						</fieldset>
					</c:forEach>
					
					<c:forEach items="${actionBean.skladnikiAlimentacji}" var="skladnikA" varStatus="status">
						<stripes:hidden name="skladnikiAlimentacji[${status.count - 1}].decyzjaOOdplatnosciId"/>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
