<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			.input {
				border: 1px solid #5F8DD3;
				margin-top: 15px;
			}
			
			.wewTabelka .input {
				border: 0px none;
			}
		</style>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.ObliczanieOdplatnosciDispatcherAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Obliczanie odpłatności za pobyt w DPS (krok 2-gi: wybór zasad wyliczania)
					</legend>
					
					<div class="tip">
						Zaznacz decyzję, na podstawie której obliczać odpłatność
					</div>
					<div>
						<stripes:errors field="odplatnosc.decyzjaKierujacaId"></stripes:errors>
					</div>
					<c:forEach items="${listaDecKier}" var="decyzjaKierujaca">
						<div class="row" style="display: block; margin-top: 5px;">
							<div class="label" style="vertical-align: middle;">
								<label>
									<stripes:radio name="odplatnosc.decyzjaKierujacaId" value="${decyzjaKierujaca.id}"></stripes:radio>
								</label>
							</div>
							<div class="input">
								<div class="wewTabelka">
									<div class="row">
										<div class="label">
											nr
										</div>
										<div class="input">
											${not empty decyzjaKierujaca.nr ? decyzjaKierujaca.nr : 'POSTANOWIENIE'}
										</div>
									</div>
									<div class="row">
										<div class="label">
											data wydania
										</div>
										<div class="input">
											<fmt:formatDate value="${decyzjaKierujaca.dataWydania}" pattern="${DATE_PATTERN}"/>
										</div>
									</div>
									<div class="row">
										<div class="label">
											wydana na zasadach
										</div>
										<div class="input">
											${decyzjaKierujaca.wydanaNaZasadach.opis}
										</div>
									</div>
								</div>
							</div>
						</div>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"></stripes:submit>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok3" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
