<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.zasady_WSPOLNE.OdplatnoscEdycjaAction" name="odplatnoscForm">
				<fieldset>
					<legend>
						Edycja odpłatności za pobyt w DPS
						<stripes:hidden name="odplatnosc.id"/>
						<stripes:hidden name="odplatnosc.ewidencjaOdejscieId"/>
						<stripes:hidden name="odplatnosc.status"/>
					</legend>
					
					<c:if test="${not empty actionBean.odplatnosc.ewidencjaOdejscieId}">
						<div class="row">
							<div class="label"></div>
							<div class="input">
								wpis kwot z ewidencji zgonu mieszkańca
							</div>
						</div>
					</c:if>
					<div class="row">
						<div class="label">
							<label>
								obowiązuje od:
							</label>
						</div>
						<div class="input">
							<c:choose>
								<c:when test="${not empty actionBean.odplatnosc.ewidencjaOdejscieId}">
									<fmt:formatDate value="${actionBean.odplatnosc.dataOd}" pattern="${DATE_PATTERN}" />
									<stripes:hidden name="odplatnosc.dataOd"/>
								</c:when>
								<c:otherwise>
									<stripes:text name="odplatnosc.dataOd" class="data required" formatPattern="${DATE_PATTERN}"/>
								</c:otherwise>
							</c:choose>
							<stripes:errors field="odplatnosc.dataOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								liczona na zasadach:
							</label>
						</div>
						<div class="input">
							${actionBean.decyzjaKierujaca.wydanaNaZasadach.opis}
							<stripes:hidden name="decyzjaKierujaca.wydanaNaZasadach"></stripes:hidden>
						</div>
					</div>
					
					<c:forEach items="${actionBean.listaSkladnikow}" var="odplatnoscSkladnik" varStatus="status">
						<c:set var="i" value="${status.count - 1}"/>
						
						<fieldset>
							<legend>
								odpłatność
								<stripes:hidden name="listaSkladnikow[${i}].id"/>
								<c:choose>
									<c:when test="${odplatnoscSkladnik.osoba.id == actionBean.osoba.id}">
										mieszkańca (${actionBean.osoba.nazwiskoImie})
									</c:when>
									<c:when test="${not empty odplatnoscSkladnik.osoba.id}">
										członka rodziny (${odplatnoscSkladnik.osoba.nazwiskoImie})
										<stripes:hidden name="listaSkladnikow[${i}].osoba.nazwisko"/>
										<stripes:hidden name="listaSkladnikow[${i}].osoba.imie"/>
									</c:when>
									<c:otherwise>
										<stripes:hidden name="listaSkladnikow[${i}].instytucjaId"/>
										<stripes:hidden name="listaSkladnikow[${i}].instytucja.nazwa"/>
										(${odplatnoscSkladnik.instytucja.nazwa})
									</c:otherwise>
								</c:choose>
							</legend>
							
							<c:set var="poleOdplatnosc" value="listaSkladnikow[${i}]"/>
							<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnik.jsp" %>
						</fieldset>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>