<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="0"/>
<jmesa:tableFacade items="${listaOdpisow}" id="listaOdpisow" var="odpis"
		editable="false" maxRows="${fn:length(listaOdpisow)}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" sortable="false" filterable="false" styleClass="nowrap">
				<stripes:text name="listaOdpisow[${i}].data" class="data required" title="Data odpisu" formatPattern="${DATE_PATTERN}"/>
				<stripes:errors field="listaOdpisow[${i}].data"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="okres" title="Odliczenie<br/>w okresie" styleClass="daneWyroznione nowrap" sortable="false" filterable="false">
				${odpis.rok} / ${odpis.miesiac}
				<stripes:hidden name="listaOdpisow[${i}].rok"/>
				<stripes:hidden name="listaOdpisow[${i}].miesiac"/>
				<stripes:hidden name="listaOdpisow[${i}].rodzajZadluzenia"/>
				
				<stripes:errors field="listaOdpisow[${i}].rok"/>
				<stripes:errors field="listaOdpisow[${i}].miesiac"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dotyczy" title="Dotyczy osoby" sortable="false" filterable="false" styleClass="alignLeft">
				<stripes:hidden name="listaOdpisow[${i}].instytucjaId"/>
				<stripes:hidden name="listaOdpisow[${i}].osobaId"/>
				
				<stripes:errors field="listaOdpisow[${i}].instytucjaId"/>
				<stripes:errors field="listaOdpisow[${i}].osobaId"/>
				<c:choose>
					<c:when test="${not empty odpis.instytucjaId}">
						<c:set var="odpisDotyczy" value="${instytucjeMap[odpis.instytucjaId].nazwa}"/>
					</c:when>
					<c:when test="${not empty odpis.osobaId}">
						<c:set var="odpisDotyczy" value="${osobyMap[odpis.osobaId].nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<tt:jspException/>
					</c:otherwise>
				</c:choose>
				${odpisDotyczy}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Liczba dni / Kwota" styleClass="alignRight"
					sortable="false" filterable="false" style="width: 200px;">
				<stripes:hidden name="listaOdpisow[${i}].nieobecnoscId"/>

				<stripes:text name="listaOdpisow[${i}].kwota" class="kwota nChkb" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="7"/>
				<stripes:errors field="listaOdpisow[${i}].nieobecnoscId"/>
				<stripes:errors field="listaOdpisow[${i}].kwota"/>
				
				<c:set var="i" value="${i + 1}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
