<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
		<script type="text/javascript">
			// przy zmianie typu pola należy przeładować formularz
			function zmianaNieobecnosci() {
				var $submZapisz = $("#submZapisz");

				$submZapisz.attr("disabled", "disabled");
				if($("select[name='odpis.nieobecnoscId']").val() != '') {
					pokazLoadImage();
					
					var $form = $("#formularz");
					var $odpisyFieldset = $("#kwotyOdpisowFieldset");
					$odpisyFieldset.slideUp(500, function(){
						$("<input type='hidden' name='infoNieobecnosc' value='1'/>").appendTo($form);
						$("#formularz").submit();
					});
				} else {
					var $odpisyFieldset = $("#kwotyOdpisowFieldset");
					$odpisyFieldset.slideUp(500, function(){
						$odpisyFieldset.html("<legend>kwoty odpisów</legend>Wybierz nieobecność z listy");
						$odpisyFieldset.slideDown(500, function() {
							$submZapisz.removeAttr("disabled");
						});
					});
				}
			}

			$(document).ready(function() {
				$('input[id$="Check"]').each(
					function() {
						var $checkbox = $(this);

						var inputKwotaName = $checkbox.attr('id').substring(
								0, $checkbox.attr('id').indexOf('Check')) + '.kwota';
						var $inputKwota = $('input[name="' + inputKwotaName + '"]');
						
						if($checkbox.is(':checked')) {
							$inputKwota.val('');
							$inputKwota.attr('disabled', 'disabled');
							$inputKwota.addClass('disabled');
							$inputKwota.removeClass('required');
							$inputKwota.unKwota();
						} else {
							$inputKwota.addClass('required');
						}
						
						$checkbox.bind('change',
							function() {
								if($checkbox.is(':checked')) {
									$inputKwota.val('');
									$inputKwota.attr('disabled', 'disabled');
									$inputKwota.addClass('disabled');
									$inputKwota.removeClass('required');
									$inputKwota.unKwota();
								} else {
									$inputKwota.removeAttr('disabled');
									$inputKwota.removeClass('disabled');
									$inputKwota.addClass('required');
									$inputKwota.val('0,00');
									$inputKwota.kwota();
								}
							}
						);
					}
				);
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.OdpisNieobecnoscAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="rok"/>
				<stripes:hidden name="miesiac"/>
				<stripes:errors/>
				<fieldset>
					<legend>
						Wprowadzanie odpisu za nieobecność mieszkańca
					</legend>
					
					<c:set var="nazwaPolaOdpis" value="odpis"/>
					<div class="row">
						<div class="label">
							<label>
								z nieobecności
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:300px" class="required" name="${nazwaPolaOdpis}.nieobecnoscId"
									onchange="zmianaNieobecnosci();">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaNieobecnosci}" label="label" value="id"/>
							</stripes:select>
							<c:if test="${fn:length(listaNieobecnosci) == 0}">
								<a id="podpNieobecnosc" href="${root}/html/pomoc/podpOdpisNieobecnosc.htm?width=350" class="jTip noLoadImage" name="Odpis z nieobecności">
									<img src="${root}/img/help.gif" border="0"/>
								</a>
							</c:if>
							<stripes:errors field="${nazwaPolaOdpis}.nieobecnoscId"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label for="rozliczono" class="cursorPointer">
								uznaj za rozliczoną
							</label>
						</div>
						<div class="input">
							<stripes:checkbox id="rozliczono" name="rozliczono" title="Czy uznać nieobecność za rozliczoną ?"></stripes:checkbox>							
							<stripes:errors field="rozliczono"/>
						</div>
					</div>
					<fieldset id="kwotyOdpisowFieldset">
						<legend>
							kwoty odpisów
						</legend>

						<c:choose>
							<c:when test="${not empty actionBean.listaOdpisow}">
								<div class="jmesa">
									<c:set var="listaOdpisow" value="${actionBean.listaOdpisow}"/>
									<%@ include file="dodawanieListaOdpisow.jsp" %>
								</div>
							</c:when>
							<c:when test="${empty actionBean.odpis.nieobecnoscId}">
								Wybierz nieobecność z listy
							</c:when>
							<c:otherwise>
								<stripes:errors field="listaOdpisow.rok"/>
								<stripes:errors field="listaOdpisow.miesiac"/>
								
								Brak
							</c:otherwise>
						</c:choose>
						<stripes:errors field="listaOdpisow"></stripes:errors>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.ListaOdpisowAction" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit id="submZapisz" name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
