<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
			#tab-container-widok {
				border: 0px none !important;
				margin: 0px auto;
				padding-top: 0px;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-widok").tabs({});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="tab-container-widok" class="form">
			<ul>
				<li><a href="#ui-tabs-widok-pozycje">Pozycje</a></li>
				<li><a href="#ui-tabs-widok-podsumowanie">Podsumowanie</a></li>
			</ul>
			<div id="ui-tabs-widok-pozycje">
				<ttSec:secure roles="SOC_C_ODPIS">
					<div class="listFooterText padding-bottom-5">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.OdpisAction" event="dodawanie">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Nowy odpis
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.OdpisNieobecnoscAction" event="dodawanie">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Nowy odpis z nieobecności
						</stripes:link>
					</div>
				</ttSec:secure>
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
			</div>
			<div id="ui-tabs-widok-podsumowanie">
				<div class="row">
					<div class="col-md-6">
						<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
						<c:set var="mapaDanych" value="${mapaPodsumowaniePodmioty}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowaniePodmioty.jsp" %>
					</div>
					<div class="col-md-5">
						<c:set var="mapaDanych" value="${mapaPodsumowanie}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieZadluzenia.jsp" %>
					</div>
				</div>
				<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieLegenda.jsp" %>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
