<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaOdpisow}" id="listaOdpisow" var="odpis" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaOdpisow)}">
	<jmesa:htmlTable style="min-width: 600px; margin-left: auto; margin-right: auto;">
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${odpis.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="dotyczy" title="Dotyczy" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty odpis.instytucjaId}">
						<c:set var="odpisDotyczy" value="${odpis.instytucjaDoplacajaca.nazwa}"/>
					</c:when>
					<c:when test="${not empty odpis.osobaId}">
						<c:set var="odpisDotyczy" value="${odpis.osoba.nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<tt:jspException/>
					</c:otherwise>
				</c:choose>
				${odpisDotyczy}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data<br/>odpisu" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${odpis.data}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${odpis.dataKsiegowania}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${odpis.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(${odpis.rodzajZadluzenia.skrot})*</strong>

				<c:set var="sumaKwot" value="${sumaKwot + odpis.kwota}"/>
			</jmesa:htmlColumn>
			
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ODPIS">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.OdpisAction" event="edycja">
							<stripes:param name="odpis" value="${odpis.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_ODPIS">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.odpisy.ListaOdpisowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten odpis ? ')">
							<stripes:param name="odpis" value="${odpis.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/odpisy/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="min-width: 600px;">
	<tbody class="tbody">
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 4 : 3}" align="right"><hr style="width: 400px;"></hr></td>
			<td style="width: 100px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 3 : 2}"  class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap">
				<strong><fmt:formatNumber value="${sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			</td>
			<td><div class="ikonki">&nbsp;</div>
			</td>
		</tr>
	</tbody>
</table>
