<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_zmienneWydrukuURL" beanclass="pl.topteam.dps.action.system.autonumeracja.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			function kryteriaView() {
				var kryteriumWybrane = $("select[name='kryteriumWyboru']").val();
				
				$('[id^="kryt"]:not("#kryt_' + kryteriumWybrane + '")').hide();
				$("#kryt_" + kryteriumWybrane).show();
			}
			
			$(document).ready(function() {
				kryteriaView();
				
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_zmienneWydrukuURL}&typAutonumeracji=PRZELEW_DRUK_TYTULEM", "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Generowanie druków przelewów (tylko dla naliczonych kwot)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.DrukGeneratorAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>Dane druków</legend>
					
					<stripes:errors field="przelewDruk"/>
					<div class="row">
						<div class="label">
							<label>
								rok
							</label>
						</div>
						<div class="input">
							<stripes:text name="przelewDruk.rok" class="rok required" title="Rok" size="11"/>
							<stripes:errors field="przelewDruk.rok"/>
						</div>
					</div>
					<c:set var="poleMiesiac" value="przelewDruk.miesiac"/>
					<c:set var="klasaWymagane" value="required"/>
					<%@ include file="/jsp/templatePages/nazwyMiesiecy.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								tytułem
							</label>
						</div>
						<div class="input">
							<stripes:text name="przelewDruk.tytulem" class="required" title="Tytułem" size="80"/>
							&nbsp;&nbsp;&nbsp;
							<stripes:button name="pomocZmienneWydruku" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
							<div style="clear: both">
								<stripes:errors field="przelewDruk.tytulem"/>
							</div>
							<span class="tip">
								<stripes:hidden name="przelewDruk.tytulemFormat"/>
								&#36;&#123;auto&#125; == "${actionBean.przelewDruk.tytulemFormat}"
							</span>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								zakres generowania
							</label>
						</div>
						<div class="input">
							<stripes:select class="required" name="kryteriumWyboru" title="Zakres generowania"
									onchange="kryteriaView();">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-enumeration enum="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.DrukGeneratorAction.KryteriumWyboru" label="opis"/>
							</stripes:select>
							<div style="clear: both;"></div>
							<stripes:errors field="kryteriumWyboru"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label id="pominInstytucjeDoplacajace">
								pomiń dla<br/>
								instytucji
							</label>
						</div>
						<div class="input">
							<stripes:checkbox id="pominInstytucjeDoplacajace" name="pominInstytucjeDoplacajace" title="Pomiń druki dla instytucji dopłacających"/>
							<stripes:errors field="pominInstytucjeDoplacajace"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset id="kryt_WSKAZANY_MIESZKANIEC">
					<legend>
						Generuj druki dla wybranego mieszkańca
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
				</fieldset>
				
				<fieldset id="kryt_ZAKRES_NAZWISK">
					<legend>
						Generuj druki dla zakresu nazwisk
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								od ... do
							</label>
						</div>
						<div class="input">
							<stripes:text name="nazwiskoOd" class="required" title="Nazwiska od" size="15"/>
							...
							<stripes:text name="nazwiskoDo" class="required" title="Nazwiska do" size="15"/>
							
							<stripes:errors field="nazwiskoOd"/>
							<stripes:errors field="nazwiskoDo"/>
						</div>
					</div>
				</fieldset>
				
				<%--
				<fieldset id="kryt_WSZYSTKICH">
				</fieldset>
				--%>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.ListaDrukowAction" class="button" event="lista">
							&laquo; Wróć
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
