<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:errors field="listaDrukow"/>
<table class="table">
	<thead>
		<tr class="header">
			<td>Lp.</td>
			<td>Mieszkaniec</td>
			<td>Płatnik</td>
			<td>Kwota</td>
			
			<td>Opcje</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:forEach items="${actionBean.listaDrukow}" var="druk" varStatus="i">
			<c:if test="${not empty druk}">
				<c:set var="rowClass" value="${(i.count - 1) % 2 == 1 ? 'odd' : 'even'}"/>
				
				<tr class="${rowClass} druk${i.count - 1}">
					<td rowspan="2">
						${i.count}
						
						<stripes:hidden name="listaDrukow[${i.count - 1}].rok"/>
						<stripes:hidden name="listaDrukow[${i.count - 1}].miesiac"/>
					</td>
					<td>
						<c:set var="osobaPoleNazwa" value="listaDrukow[${i.count - 1}].mieszkaniec"/>
						<c:set var="requiredClass" value="required"/>
						<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
					</td>
					<td>
						<stripes:errors field="listaDrukow[${i.count - 1}].platnik"/>
						
						osoba:<br/>
						<c:set var="osobaPoleNazwa" value="listaDrukow[${i.count - 1}].osoba"/>
						<c:set var="requiredClass" value=""/>
						<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
						
						<span class="tip">&nbsp;</span>
						instytucja:<br/>
						<c:set var="instytucjaPoleNazwa" value="listaDrukow[${i.count - 1}].instytucjaDoplacajaca"/>
						<c:set var="requiredClass" value=""/>
						<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
					</td>
					<td class="alignRight nowrap">
						<stripes:text name="listaDrukow[${i.count - 1}].kwota" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}"
								title="Data transakcji" size="8"/>
						<div style="width: 95px;">
							<stripes:errors field="listaDrukow[${i.count - 1}].kwota"/>
						</div>
					</td>
					<td rowspan="2">
						<div class="ikonki">
							<a class="cursorPointer noLoadImage" onclick="confirm('Czy na pewno chcesz usunąć ten wiersz?') ? (removeElemByClass('druk${i.count - 1}')) : (removeElemByClass('AA'))">
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</a>
						</div>
					</td>
				</tr>
				
				<tr class="${rowClass} druk${i.count - 1}">
					<td colspan="3">
						<stripes:errors field="listaDrukow[${i.count - 1}]"/>
						
						<stripes:text name="listaDrukow[${i.count - 1}].tytulem" class="required" title="Tytułem" size="80"/>
						<stripes:errors field="listaDrukow[${i.count - 1}].tytulem"/>
						<span class="tip">
							&#36;&#123;auto&#125; == "${actionBean.przelewDruk.tytulemFormat}"
						</span>
					</td>
				</tr>
			</c:if>
		</c:forEach>
	</tbody>
</table>
