<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaDrukowActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.ListaDrukowAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaDrukowActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}

			// wydruk rejestru
			function wydrukRejestru(id, exportType) {
				pokazLoadImage();

				$("<input type='hidden' name='drukuj' value=''/>").appendTo("#rejestrForm");
				$("<input type='hidden' name='exportType' value='" + exportType + "'/>").appendTo("#rejestrForm");
				
				// dodawanie filtru do formularza
				createHiddenInputFieldsForLimitAndSubmit(id);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>
			Lista wygenerowanych druków przelewów
			(
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.WydrukPrzelewuAction" event="opcje"
						target="_blank" title="Drukuj wg czasu generowania">
					<img src="${root}/img/printer.gif" class="iconspace"/>
				</stripes:link>
			)
		</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
		
		<ttSec:secure roles="SOC_C_PRZELEW_DRUK">
			<div class="listFooterText">
				<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.DrukGeneratorAction" event="dodawanieKrok1">
					Generuj za kolejny okres
				</stripes:link>
			</div>
		</ttSec:secure>
	</stripes:layout-component>
</stripes:layout-render>
