<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDrukow}" id="listaDrukow" var="druk" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 850px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data_generowania" title="Data<br/>generowania" styleClass="daneWyroznione nowrap" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${druk.dataGenerowania}" pattern="${TIMESTAMP_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="mNazwisko" title="Mieszkaniec" styleClass="daneWyroznione" sortable="false" filterable="true">
				${druk.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="oNazwisko" title="Płatnik" styleClass="daneWyroznione" sortable="false" filterable="true">
				${druk.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="rok" title="Rok" sortable="true" filterable="true">
				${druk.rok}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="miesiac" title="Miesiąc" sortable="true" filterable="true">
				${druk.miesiac}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_PRZELEW_DRUK">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.WydrukPrzelewuAction"
								event="opcje" title="Podgląd opcji dostępnych dla wydruku przelewu" target="_blank">
							<stripes:param name="przelewDruk.id" value="${druk.id}"/>
							<img src="${root}/img/printer.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_PRZELEW_DRUK">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.ListaDrukowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten druk ? ')">
							<stripes:param name="przelewDruk.id" value="${druk.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/przelewy/druki/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń format"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
