<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/simpleLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Wydruk przelewu (opcje)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.przelewy.druki.WydrukPrzelewuAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:choose>
						<c:when test="${not empty actionBean.przelewDruk.id}">
							<stripes:hidden name="przelewDruk.id"/>
						</c:when>
						<c:otherwise>
							<div class="row">
								<div class="label">
									<label>
										generowane dnia
									</label>
								</div>
								<div class="input">
									<stripes:select name="dataGenerowania" class="required">
										<c:if test="${fn:length(listaCzasowGenerowania) == 0}">
											<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
										</c:if>
										<c:forEach items="${listaCzasowGenerowania}" var="czas">
											<fmt:formatDate value="${czas}" pattern="${TIMESTAMP_PATTERN}" var="czasStr"/>
											<stripes:option label="${czasStr}" value="${czasStr}"></stripes:option>
										</c:forEach>
									</stripes:select>
									<stripes:errors field="dataGenerowania"/>
								</div>
							</div>
						</c:otherwise>
					</c:choose>
					<stripes:errors field="przelewDruk.id"/>
					<div class="row">
						<div class="label">
							<label>
								układ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="uklad" class="required">
								<stripes:options-enumeration enum="pl.topteam.dps.enums.WydrukUkladPrzelewow" label="opis"/>
							</stripes:select>
							<stripes:errors field="uklad"/>
						</div>
					</div>
					
					<div class="row">
						<div class="label">
							<label>
								konto bankowe
							</label>
						</div>
						<div class="input">
							<stripes:select name="kontoBankowe.id" class="required">
								<c:if test="${fn:length(listaKontDps) == 0}">
									<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								</c:if>
								<stripes:options-collection collection="${listaKontDps}" label="PLIban" value="id"/>
							</stripes:select>
							<stripes:errors field="kontoBankowe.id"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<a class="button" href="javascript:window.close();">
							&laquo; Anuluj
						</a>
				  		&nbsp;&nbsp;
						<stripes:submit class="noLoadImage" name="drukuj" value="Drukuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
