<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="sumaNaliczenia" value="0.0" scope="request"/>
<c:if test="${not empty listaNaliczen}">
	<c:if test="${fn:length(listaNaliczen) > 0}">
		<jmesa:tableFacade items="${listaNaliczen}" id="listaNaliczen" var="naliczenie" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutHeaderAndStatusView" maxRows="${fn:length(listaNaliczen)}">
			<jmesa:htmlTable style="width: 100%;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="dataKsiegowania" title="Data księgowania" sortable="false" filterable="false" styleClass="nowrap">
						<fmt:formatDate value="${not empty naliczenie.dataKsiegowania ? naliczenie.dataKsiegowania : naliczenie.dataObliczenia}" pattern="${DATE_PATTERN}" />
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap text-right">
						<c:set var="sumaNaliczenia" value="${sumaNaliczenia + naliczenie.kwota}" scope="request"/>
						
						<strong><fmt:formatNumber value="${naliczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:if>
	<c:if test="${fn:length(listaNaliczen) > 1}">
		<c:set var="kwotaRazem" value="${sumaNaliczenia}"/>
		<%@ include file="razem.jsp" %>
	</c:if>
</c:if>
