<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_DlugRozliczenieKsiegoweActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.okres.DlugRozliczenieKsiegoweAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.vertical.css" />
		<style type="text/css">
			#tab-container-podmioty, #tab-container-rodzaj-zadluzenia {
				border: 0px none;
			}
			#container-pozycje {
				border-left: 1px solid #5F8DD3;
				border-top: 1px solid #5F8DD3;
				width: 650px;
			}
		</style>
	</stripes:layout-component>
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<c:set var="listaOsobZobowiazanych" value="${actionBean.listaOsobZobowiazanych}"/>
		<c:set var="listaInstytucjiDoplacajacych" value="${actionBean.listaInstytucjiDoplacajacych}"/>
	
		<div class="container-fluid">
			Poniższe dane dotyczą <strong>KSIĘGOWANIA</strong>
			od <strong><fmt:formatDate value="${okresDataOd}" pattern="${DATE_PATTERN}" /></strong>
			do <strong><fmt:formatDate value="${okresDataDo}" pattern="${DATE_PATTERN}"/></strong>.
			<span class="blink">Całkowite rozliczenie miesiąca znajduje się w zakładce 'Rozliczenie'!</span>
		</div>
		<div class="container-fluid padding-top-5"></div>
		<div id="tab-container-podmioty">
			<ul>
				<c:forEach items="${listaOsobZobowiazanych}" var="osoba" varStatus="i">
					<li><a href="#ui-tabs-O${osoba.id}" data-podmiot="podmiot.osoba=${osoba.id}">${osoba.nazwiskoImie}</a></li>
				</c:forEach>
				<c:forEach items="${listaInstytucjiDoplacajacych}" var="instytucja" varStatus="i">
					<li><a href="#ui-tabs-I${instytucja.id}" data-podmiot="podmiot.instytucja=${instytucja.id}">${instytucja.nazwa}</a></li>
				</c:forEach>
			</ul>
			<c:forEach items="${listaOsobZobowiazanych}" var="osoba" varStatus="i">
				<div id="ui-tabs-O${osoba.id}" class="hidden"></div>
			</c:forEach>
			<c:set var="osoba" value=""/>
			<c:forEach items="${listaInstytucjiDoplacajacych}" var="instytucja" varStatus="i">
				<div id="ui-tabs-I${instytucja.id}" class="hidden"></div>
			</c:forEach>
			<c:set var="instytucja" value=""/>
		</div>
		<div class="row">
			<div class="pull-left">
				<div id="tab-container-rodzaj-zadluzenia">
					<ul>
						<c:forEach items="${actionBean.rodzajeZadluzenia()}" var="rodzaj" varStatus="i">
							<li><a href="#ui-tabs-${rodzaj.skrot}" data-rodzaj-zadluzenia="rodzajZadluzenia=${rodzaj.name()}">${rodzaj.opis}</a></li>
						</c:forEach>
					</ul>
					<c:forEach items="${actionBean.rodzajeZadluzenia()}" var="rodzaj" varStatus="i">
						<div id="ui-tabs-${rodzaj.skrot}" class="hidden"></div>
					</c:forEach>
				</div>
			</div>
			<div class="pull-left">&nbsp;&nbsp;</div>
			<div class="padding-top-5"></div>
			<div id="container-pozycje" class="pull-left">
				<div class="pull-left">
					<div class="jmesa">
						<aa:zone id="rozliczenie_kwoty_zone"><img src="${root}/img/loading_2.gif"/></aa:zone>
					</div>
				</div>
				<div class="pull-right">
					<div class="jmesa">
						<aa:zone id="rozliczenie_podsumowanie_zone"></aa:zone>
					</div>
					<div class="padding-top-10">
						<aa:zone id="rozliczenie_swiadczenia_zone"></aa:zone>
					</div>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
		<script type="text/javascript">
			function previouslySelectedPodmiotP() {
				return $("#tab-container-podmioty .ui-tabs-selected a").data("podmiot");
			}
			
			function previouslySelectedRodzajZadluzenia() {
				return $("#tab-container-rodzaj-zadluzenia .ui-tabs-selected a").data("rodzaj-zadluzenia");
			}
		
			function reload(podmiotP, rodzajZadluzenia) {
				pokazLoadImage();
				
				var _url = "${_DlugRozliczenieKsiegoweActionURL}?rozliczenieKwoty=1&rok=${actionBean.rok}&miesiac=${actionBean.miesiac}&" + podmiotP + "&" + rodzajZadluzenia;
				AjaxAnywhere.submitAjaxAnywhereLink(_url, "rozliczenie_kwoty_zone,rozliczenie_podsumowanie_zone,rozliczenie_swiadczenia_zone");
			}
			
			$(document).ready(function() {
				$("#tab-container-rodzaj-zadluzenia").tabs({
					select: function(event, ui) {
						var _podmiot = previouslySelectedPodmiotP();
						var _rodzajZadluzenia = $(ui.tab).data("rodzaj-zadluzenia");
						reload(_podmiot, _rodzajZadluzenia);
						return true;
					}
				}).addClass("ui-tabs-vertical ui-helper-clearfix");

				$("#tab-container-podmioty").tabs({
					select: function(event, ui) {
						var _podmiot = $(ui.tab).data("podmiot");
						var _rodzajZadluzenia = previouslySelectedRodzajZadluzenia();
						reload(_podmiot, _rodzajZadluzenia);
						return true;
					}
				});
				
				var _wybrany_podmiot = previouslySelectedPodmiotP();
				var _wybrany_rodzajZadluzenia = previouslySelectedRodzajZadluzenia();
				reload(_wybrany_podmiot, _wybrany_rodzajZadluzenia);
			});
			
			//# sourceURL=rozliczenie.js
		</script>
	</stripes:layout-component>
</stripes:layout-render>
