<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_winienMaEdycjaURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction" event="" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.horizontal.css" />
		
		<script type="text/javascript" src="${root}/js/jquery.stickytableheaders.js"></script>
		<script type="text/javascript" src="${root}/js/utils/checkboxUtils.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript">
			function zestawienieFormSubmit() {
				pokazLoadImage();
				$("#zestawienieFormMessages").html("");

				$.post("${_winienMaEdycjaURL}",
						"zapiszDaneZestawienia=1&" + $("#zestawienieForm").serialize(),
						function(data, textStatus, xhr) {
							$("#zestawienieFormMessages").html(data);
							
							ukryjLoadImage();
			   	 		}, "html"
				 	);
			
				return false;
			}
			
			$(document).ready(function() {
				// zamykanie różnych typów danych w akordeon
				$("#accordion").accordion({
						active: 1,
						autoHeight: false,
						changestart: function(event, ui) {
							pokazLoadImage();
						},
						change: function(event, ui) {
							ukryjLoadImage();
						}
					});
				
				// budowanie zakładek
				$("#tab-container-glowne")
					.tabs({
						select: function(event, ui) {
							pokazLoadImage();
							
							$("#nrStrony").val(ui.index+1);
							$("#dispatch").click();
							
							// nie pobieramy treści za pomocą Ajaxa
							return false;
						},
						selected: parseInt("${actionBean.nrStrony - 1}")
					})
					.addClass('ui-tabs-horizontal ui-helper-clearfix');
				
				// przyczepiony nagłówek tabeli
				$("#listaPozycji").stickyTableHeaders();
				
				// podświetlanie nagłówka kolumny (oryginalnej oraz pływającej)
 				$("#listaPozycji td")
					.hover(
						function(eventObject) {
							var colIndex = $(this).prevAll().length;
							
							$("thead.tableFloatingHeaderOriginal tr td").eq(colIndex).addClass("highlight");
							$("thead.tableFloatingHeader tr td").eq(colIndex).addClass("highlight");
						},
						function(eventObject) {
							var colIndex = $(this).prevAll().length;
							
							$("thead.tableFloatingHeaderOriginal tr td").eq(colIndex).removeClass("highlight");
							$("thead.tableFloatingHeader tr td").eq(colIndex).removeClass("highlight");
						}
					);
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			<c:set var="miesiacNumber" value="${actionBean.zestawienieWinienMa.miesiac}"/>
			Edycja zestawienia "winien/ma" za (${actionBean.zestawienieWinienMa.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>)
		</h3>
		<div class="formContainer">
			<div id="accordion">
				<h3><a href="#">Właściwości</a></h3>
				<div>
					<stripes:form id="zestawienieForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction"
							style="margin-left: 0px auto; margin-right: 0px auto;">
						<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
						<stripes:hidden id="nrStrony" name="nrStrony" value="${actionBean.nrStrony}"/>
						<stripes:hidden name="zestawienieWinienMa.id"/>
						<stripes:hidden name="nrStrony" value="${actionBean.nrStrony}"/>
						
						<fieldset>
							<legend>Dane zestawienia</legend>
							<div id="zestawienieFormMessages"></div>
							<c:set var="nazwaPolaZestawienie" value="zestawienieWinienMa"/>
							<c:set var="zestawienieEdycja" value="${true}"/>
							<%@ include file="/jsp/templatePages/polaZestawienieWinienMa.jsp" %>
							
							<fieldset class="submit" style="text-align: center;">
								<div>
									<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="lista">
										&laquo; Wróć do listy
									</stripes:link>
									&nbsp;&nbsp;
									<stripes:submit id="dispatch" name="dispatch" value="Przejdź do strony" style="display: none;"/>
									<stripes:submit name="zapiszDaneZestawienia" value="Zapisz" onclick="return zestawienieFormSubmit();"/>
								</div>
							</fieldset>
						</fieldset>
					</stripes:form>
				</div>
				<h3><a href="#">Pozycje</a></h3>
				<div>
					<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="lista">
						&laquo; Wróć do listy
					</stripes:link>
					<stripes:form id="zestawienieForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction"
							style="margin-left: 0px auto; margin-right: 0px auto;">
						<stripes:hidden name="zestawienieWinienMa.id"/>
						<stripes:hidden name="zestawienieWinienMa.rok"/>
						<stripes:hidden name="zestawienieWinienMa.miesiac"/>
						<stripes:hidden name="nrStrony" value="${actionBean.nrStrony}"/>
						
						<div id="tab-container-glowne" class="form" style="border: 0px none; width: 100%;">
							<ul>
								<c:forEach begin="1" end="${liczbaStron}" var="i">
									<li>
										<a href="#ui-tabs-strona-${i}" title="${naglowkiStron[i]} - ...">
											Strona ${i}
										</a>
									</li>
								</c:forEach>
							</ul>
							<div id="ui-tabs-content" class="ui-tabs-panel ui-widget-content ui-corner-bottom"
									style="padding-top: 5px; margin-left: auto; margin-right: auto;">
								<c:choose>
									<c:when test="${not empty actionBean.listaPozycji && fn:length(actionBean.listaPozycji) > 0}">
										<div style="padding-bottom: 15px;">
											<stripes:button name="zaznaczMapaPozycji" class="noLoadImage" onclick="zaznacz('input[name^=\"listaPozycjiOperacja\"]', true)">Zaznacz wszystkie</stripes:button>
											&nbsp;
											<stripes:button name="odznaczMapaPozycji" class="noLoadImage" onclick="zaznacz('input[name^=\"listaPozycjiOperacja\"]', false)">Odznacz wszystkie</stripes:button>
										</div>
		
										<%@ include file="edycjaListaPozycjiFiltr.jsp" %>
		
										<div style="padding-top: 10px;">
											<stripes:submit name="usun" value="Usuń zaznaczone" class="noLoadImage"
													onclick="return confirmation('Czy na pewno chcesz usunąć zaznaczone pozycje ? ')"/>
										</div>
									</c:when>
									<c:otherwise>
										Nie znaleziono pozycji zestawienia !
									</c:otherwise>
								</c:choose>
								
								<c:if test="${not empty actionBean.listaPozycji && fn:length(actionBean.listaPozycji) > 0}">
									<div style="padding-top: 20px; text-align: center;">
										<c:if test="${actionBean.nrStrony > 1}">
											<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction" event="dispatch"
													class="button" style="float: left;">
												<stripes:param name="zestawienieWinienMa" value="${actionBean.zestawienieWinienMa.id}"/>
												<stripes:param name="nrStrony" value="${actionBean.nrStrony - 1}"/>
												« Strona ${actionBean.nrStrony - 1}
											</stripes:link>
										</c:if>
										<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="lista">
											&laquo; Wróć do listy
										</stripes:link>
										&nbsp;&nbsp;
										<stripes:submit name="zapiszPozycjeZestawienia" value="Zapisz"/>
										<c:if test="${actionBean.nrStrony < liczbaStron}">
											<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction" event="dispatch"
													class="button" style="float: right;">
												<stripes:param name="zestawienieWinienMa" value="${actionBean.zestawienieWinienMa.id}"/>
												<stripes:param name="nrStrony" value="${actionBean.nrStrony + 1}"/>
												Strona ${actionBean.nrStrony + 1} »
											</stripes:link>
										</c:if>
									</div>
								</c:if>
							</div>
						</div>
					</stripes:form>
				</div>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
