<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<c:set var="lp" value="${wynikLimit.rowSelect.rowStart}"/>
<jmesa:tableFacade items="${actionBean.listaPozycji}" id="listaPozycji" var="winienMa" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false"
		view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable styleClass="alignCenter" style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="operacje" title="&nbsp;" sortable="false" filterable="false">
				<c:set var="i" value="${i + 1}"/>
				<c:set var="lp" value="${lp + 1}"/>
				
				<stripes:checkbox name="listaPozycjiOperacja" value="${winienMa.id}"/>
				<stripes:hidden name="listaPozycji[${i}].id"/>
				<stripes:hidden name="listaPozycji[${i}].zadluzeniePozycjaId"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="lp" title="Lp." sortable="false" filterable="false">
				${lp}<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">&nbsp;(id:&nbsp;${winienMa.id})</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" sortable="false" filterable="false">
				${winienMa.mieszkaniec.nazwiskoImie}
				
				<stripes:hidden name="listaPozycji[${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaPozycji[${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				<c:set var="platnik" value=""/>
				<c:choose>
					<c:when test="${not empty winienMa.osoba}">
						<c:set var="platnik" value="${winienMa.osoba.nazwiskoImie}"/>
						
						<stripes:hidden name="listaPozycji[${i}].osoba.nazwisko"/>
						<stripes:hidden name="listaPozycji[${i}].osoba.imie"/>
					</c:when>
					<c:when test="${not empty winienMa.instytucjaDoplacajaca}">
						<c:set var="platnik" value="${winienMa.instytucjaDoplacajaca.nazwa}"/>
						
						<stripes:hidden name="listaPozycji[${i}].instytucjaDoplacajaca.nazwa"/>
					</c:when>
					<c:otherwise>
						<span class="err">BŁĄD IMPLEMENTACJI !!!</span>
					</c:otherwise>
				</c:choose>
				${platnik}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaWinienSp" title="Saldo początkowe<br/>winien<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].zestawienieSaldoPoprzednie.kwotaWinienSk" class="doublePrecision required"
					readonly="readonly" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}" value="0.0"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaMaSp" title="Saldo początkowe<br/>ma<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].zestawienieSaldoPoprzednie.kwotaMaSk" class="doublePrecision required"
					readonly="readonly" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}" value="0.0"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaPrzypisy" title="Przypisy<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaPrzypisy" class="doublePrecision required" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaOdpisy" title="Odpisy<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaOdpisy" class="doublePrecision required" title="Kwota odpisów" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaWplaty" title="Wpłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaWplaty" class="doublePrecision required" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaZwroty" title="Zwroty<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaZwroty" class="doublePrecision required" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaWinienSk" title="Saldo końcowe<br/>winien<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaWinienSk" class="doublePrecision required" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaMaSk" title="Saldo końcowe<br/>ma<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" styleClass="nowrap kwotaTd">
				<stripes:text name="listaPozycji[${i}].kwotaMaSk" class="doublePrecision required" size="9" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="linkRozliczenieKartoteka" title="&nbsp;" sortable="false" filterable="false">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaPozycjaRozliczenieAction" event="pozycjaSzczegoly" target="_blank">
					<stripes:param name="idMieszkanca" value="${winienMa.mieszkaniec.id}"/>
					<stripes:param name="rok" value="${actionBean.zestawienieWinienMa.rok}"/>
					<stripes:param name="miesiac" value="${actionBean.zestawienieWinienMa.miesiac}"/>
					<img src="${root}/img/wykonaj.gif"/>
				</stripes:link>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
