<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWpisow}" id="listaWpisow" var="wpis" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rokMiesiac" title="Rok / miesiąc" sortable="false" filterable="false">
				<c:set var="miesiacNumber" value="${wpis.miesiac}"/>
				${wpis.rok} / <%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ODPLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WinienMaEdycjaAction" event="dispatch">
							<stripes:param name="zestawienieWinienMa" value="${wpis.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<c:choose>
							<c:when test="${not empty zestawienieWinienMa.szablonWydrukuId}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WydrukZestawieniaAction" event="drukuj" target="_blank" title="Drukuj">
									<stripes:param name="zestawienieWinienMa" value="${wpis.id}"/>
									<img src="${root}/img/printer.gif" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<a href="#">
									<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku!"/>
								</a>
							</c:otherwise>
						</c:choose>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.WydrukEmbeddedAction" event="generuj" title="Drukuj wbudowany PDF">
							<stripes:param name="zestawienieWinienMa" value="${wpis.id}"/>
							<stripes:param name="typWydruku" value="PDF"/>
							<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.ksiegowosc.winien_ma.ListaRozliczenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć tę pozycję ? ')">
							<stripes:param name="zestawienieWinienMa" value="${wpis.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/rozliczenie/ksiegowosc/winien_ma/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
