<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZadluzen}" id="listaZadluzen" var="zadluzenieStart" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 600px; margin-left: auto; margin-right: auto;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="platnik" title="Płatnik" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty zadluzenieStart.osoba}">
						<strong>${zadluzenieStart.osoba.nazwiskoImie}</strong>
					</c:when>
					<c:otherwise>
						<strong>${zadluzenieStart.instytucja.nazwa}</strong>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${zadluzenieStart.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(${zadluzenieStart.rodzajZadluzenia.skrot})*</strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ODPLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.DlugStartZadluzeniaAction" event="edycja" title="Edycja">
							<stripes:param name="zadluzenieStart.zadluzeniePozycjaId" value="${zadluzenieStart.zadluzeniePozycjaId}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.okres.ListaStartZadluzenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć start zadłużenia?')">
							<stripes:param name="zadluzenieStart.zadluzeniePozycjaId" value="${zadluzenieStart.zadluzeniePozycjaId}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/rozliczenie/okres/startZadluzeniaLista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

