<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaEwidencji}" id="listaEwidencji" var="ewidencjaOdejscia" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="padding-top-10">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data<br/>odejścia" sortable="false" filterable="false">
				<c:choose><c:when test="${stripes:enumName(ewidencjaOdejscia.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON'}">&#8224;&nbsp;</c:when><c:otherwise>&nbsp;&nbsp;&nbsp;</c:otherwise></c:choose>
				<fmt:formatDate value="${ewidencjaOdejscia.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="osoba" title="Osoba" sortable="false" filterable="false">
				${ewidencjaOdejscia.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Ewidencja<br/>odejścia" sortable="false" filterEditor="pl.topteam.dps.jmesa.view.editor.StatusEwidencjiOdejsciaDropListFilterEditor">
				${ewidencjaOdejscia.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_WPLATY_PLATNOSC">
						<c:choose>
							<c:when test="${stripes:enumName(ewidencjaOdejscia.status) == 'DO_ROZLICZENIA'}">
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.RozliczenieAction" event="rozliczanie"
										title="Rozlicz wpłacone świadczenia">
									<stripes:param name="ewidencja" value="${ewidencjaOdejscia.id}"/>
									<img src="${root}/img/coins.png" class="iconspace"/>
								</stripes:link>
								&nbsp;&nbsp;&nbsp;
			 					<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" event="oznaczRozliczona"
			 							title="Oznacz jako rozliczoną">
									<stripes:param name="ewidencja.id" value="${ewidencjaOdejscia.id}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/rozliczenie/opuszczenie_dps/lista.jsp')}"/>
									<img src="${root}/img/check_16.png" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.RozliczenieEdycjaAction" event="edycja">
									<stripes:param name="ewidencja.id" value="${ewidencjaOdejscia.id}"/>
									<img src="${root}/img/edit.gif" class="iconspace"/>
								</stripes:link>
								<c:choose>
									<c:when test="${not empty ewidencjaOdejscia.szablonWydrukuId}">
										<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.WydrukRozliczeniaAction" event="drukuj" target="_blank" title="Drukuj">
											<stripes:param name="ewidencja.id" value="${ewidencjaOdejscia.id}"/>
											<img src="${root}/img/printer.gif" class="iconspace"/>
										</stripes:link>
									</c:when>
									<c:otherwise>
										<a href="#">
											<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku!"/>
										</a>
									</c:otherwise>
								</c:choose>
								<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" event="odznaczRozliczona"
										title="Oznacz do ponownego rozliczenia" onclick="return confirmation('Czy na pewno chcesz przeznaczyć kwoty zwrotów do ponownego rozliczenia?')">
									<stripes:param name="ewidencja.id" value="${ewidencjaOdejscia.id}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/rozliczenie/opuszczenie_dps/lista.jsp')}"/>
									<img src="${root}/img/reload.png" class="iconspace"/>
								</stripes:link>
							</c:otherwise>
						</c:choose>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
