<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="${actionBean.getClass().getCanonicalName()}">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="ewidencjaWyprowadzka.id"/>
				<stripes:hidden name="ewidencjaWyprowadzka.status"/>
				<stripes:hidden name="ewidencjaWyprowadzka.osoba.id"/>
				<stripes:hidden name="ewidencjaWyprowadzka.osoba.nazwisko"/>
				<stripes:hidden name="ewidencjaWyprowadzka.osoba.imie"/>
				
				<stripes:hidden name="ewidencja.id"/>
				<stripes:hidden name="ewidencja.dataOd"/>
				
				<fieldset>
					<legend>
						Rozliczenie wyprowadzki mieszkańca
						<c:if test="${actionBean.getClass().getCanonicalName() == 'pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.RozliczenieWyprowadzkaEdycjaAction'}">
							(edycja)
						</c:if>
					</legend>
					<p>
						<span class="daneWyroznione"><fmt:formatDate value="${actionBean.ewidencja.dataOd}" pattern="${DATE_PATTERN}"/>&nbsp;&mdash;&nbsp;${actionBean.ewidencjaWyprowadzka.osoba.nazwiskoImie}</span>
					</p>
					<div class="row">
						<div class="label">
							<label>
								szablon wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="ewidencjaWyprowadzka.szablonWydrukuId" title="Szablon wydruku" style="width: 300px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${actionBean.listaSzablonow}" label="nazwa" value="id"/>
							</stripes:select>
							<stripes:errors field="ewidencjaWyprowadzka.szablonWydrukuId"/>
						</div>
					</div>
					
					<fieldset>
						<legend>Zwroty wpłaconych świadczeń</legend>
						<c:if test="${stripes:enumName(actionBean.ewidencjaWyprowadzka.status) == 'DO_PONOWNEGO_ROZLICZENIA'}">
							<div>
								<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.RozliczenieZgonAction" class="button" event="rozliczanie">
									<stripes:param name="ewidencja.id" value="${actionBean.ewidencja.id}"/>
									Przelicz zwroty dla świadczeń
								</stripes:link>
							</div>
						</c:if>
						<c:set var="statusOdejscia" value="${actionBean.ewidencjaWyprowadzka.status}"/>
						<%@ include file="rozliczenieZwroty.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ListaRozliczenAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
						&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
