<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="noweWplaty" value="${false}"/>
<c:choose>
	<c:when test="${empty actionBean.listaZwrotow}">
		<p>BRAK ŚWIADCZEŃ ODBIERANYCH PRZEZ DOM dla tego mieszkańca albo WPŁATY ŚWIADCZEŃ zostały ROZLICZONE DLA INNEGO WPISU EWIDENCJI.</p>
		<p>Wybierz 'Zapisz' by rozliczyć ten wpis.</p>
	</c:when>
	<c:otherwise>
		<c:set var="i" value="-1"/>
		<jmesa:tableFacade items="${actionBean.listaZwrotow}" id="listaZwrotow" var="swiadczenieZwrot" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaZwrotow)}">
			<jmesa:htmlTable style="min-width: 500px;" styleClass="padding-top-10 alignCenter">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="lp" title="Lp" sortable="false" filterable="false">
						<c:set var="i" value="${i + 1}"/>
						<c:set var="noweWplaty" value="${noweWplaty || empty swiadczenieZwrot.id}"/>
						<stripes:hidden name="listaZwrotow[${i}].id"/>
						<c:choose>
							<c:when test="${not empty swiadczenieZwrot.id}">
								${i + 1}
							</c:when>
							<c:otherwise>
								<span class="bg-primary">${i + 1}</span>
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="instytucja" title="Instytucja" sortable="false" filterable="false">
						<stripes:hidden name="listaZwrotow[${i}].instytucjaId"/>
						<stripes:hidden name="listaZwrotow[${i}].instytucja.nazwa"/>
						
						${swiadczenieZwrot.instytucja.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="swiadczenie" title="Ze świadczenia" sortable="false" filterable="false">
						<stripes:hidden name="listaZwrotow[${i}].swiadczenieId"/>
						<stripes:hidden name="listaZwrotow[${i}].zwrotId"/>
						
						<stripes:hidden name="listaZwrotow[${i}].rok"/>
						<stripes:hidden name="listaZwrotow[${i}].miesiac"/>
						<stripes:hidden name="listaZwrotow[${i}].swiadczenie.nazwa"/>
						<stripes:hidden name="listaZwrotow[${i}].swiadczenie.dataOd"/>
						<stripes:hidden name="listaZwrotow[${i}].swiadczenie.dataDo"/>
						<stripes:hidden name="listaZwrotow[${i}].swiadczenie.dataZmiany"/>
						<stripes:hidden name="listaZwrotow[${i}].swiadczenie.kwota"/>
						
						${swiadczenieZwrot.swiadczenie.opis}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="okres" title="Okres" sortable="false" filterable="false">
						<c:set var="miesiacNumber" value="${swiadczenieZwrot.miesiac}"/>
						${swiadczenieZwrot.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="status" title="Status" sortable="false" filterable="false">
						<c:choose>
							<c:when test="${not empty swiadczenieZwrot.zwrotId}">
								zwrócono
							</c:when>
							<c:when test="${swiadczenieZwrot.kwota < 0.01}">
								<c:choose>
									<c:when test="${not empty swiadczenieZwrot.zwrotId}">
										nowe
									</c:when>
									<c:otherwise>
										zamknięte
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								do zwrotu 
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" styleClass="kwotaTd" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false">
						<c:choose>
							<c:when test="${not empty swiadczenieZwrot.zwrotId}">
								<stripes:hidden name="listaZwrotow[${i}].kwota"/>
								<stripes:text name="listaZwrotow[${i}].kwota" class="doublePrecision nChkb" size="8" formatPattern="${DOUBLE_PRECISION_PATTERN}"
										disabled="disabled" title="Kwota do zwrotu"/>
								<stripes:errors field="listaZwrotow[${i}].kwota"/>
							</c:when>
							<c:otherwise>
								<stripes:text name="listaZwrotow[${i}].kwota" class="doublePrecision required" size="8" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Kwota do zwrotu"/>
								<stripes:errors field="listaZwrotow[${i}].kwota"/>
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
					<c:if test="${not empty swiadczenieZwrot.id && stripes:enumName(statusOdejscia) != 'DO_PONOWNEGO_ROZLICZENIA' && stripes:enumName(statusOdejscia) != 'DO_ROZLICZENIA'}">
						<ttSec:secure roles="SOC_C_ZWROT,SOC_U_ZWROT,SOC_U_ZWROT">
							<jmesa:htmlColumn property="zwrot" title="Zwrot" sortable="false" filterable="false">
								<div class="ikonki">
									<ttSec:secure roles="SOC_C_ZWROT,SOC_U_ZWROT">
										<c:if test="${swiadczenieZwrot.kwota > 0.0}">
											<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ZwrotSwiadczeniaAction" event="zwrot"
													title="Rejestracja zwrotu">
												<stripes:param name="swiadczenieZwrot.id" value="${swiadczenieZwrot.id}"/>
												<c:choose>
													<c:when test="${not empty swiadczenieZwrot.zwrotId}">
														<img src="${root}/img/edit.gif" class="iconspace"/>
													</c:when>
													<c:otherwise>
														<img src="${root}/img/plusButton.gif" class="iconspace"/>
													</c:otherwise>
												</c:choose>
											</stripes:link>
										</c:if>
										<c:if test="${not empty swiadczenieZwrot.zwrotId}">
											<ttSec:secure roles="SOC_D_ZWROT">
												<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.rozliczenie.opuszczenie_dps.ZwrotSwiadczeniaAction" event="usun"
														onclick="return confirmation('Czy na pewno chcesz usunąć zwrot?')"
														title="Usuń wprowadzony zwrot">
													<stripes:param name="swiadczenieZwrot.id" value="${swiadczenieZwrot.id}"/>
													<img src="${root}/img/del.png" class="iconspace"/>
												</stripes:link>
											</ttSec:secure>
										</c:if>
									</ttSec:secure>
								</div>
							</jmesa:htmlColumn>
						</ttSec:secure>
					</c:if>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
		<c:if test="${noweWplaty}">
			<div class="padding-top-5">
				<span class="bg-primary">1</span>&nbsp;<span class="bg-primary">Nowe zwroty dla wpłat</span>
			</div>
		</c:if>
	</c:otherwise>
</c:choose>
