<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:errors field="listaWplat"/>
<table class="table">
	<thead>
		<tr class="header">
			<td>Lp.</td>
			<td>Data<br/>transakcji</td>
			<td>Za <br/>okres</td>
			<td>Mieszkaniec</td>
			<td>Płatnik</td>
			<td>Kwota</td>
			
			<td>Opcje</td>
		</tr>
	</thead>
	<tbody class="tbody">
		<c:forEach items="${actionBean.listaWplat}" var="wplata" varStatus="i">
			<c:set var="rowClass" value="${(i.count - 1) % 2 == 1 ? 'odd' : 'even'}"/>
			
			<%-- jeżeli kwota jest ujemna to pomniń --%>
			<c:set var="ujemnaKwota" value="${actionBean.listaWplat[i.count - 1].kwota < 0.00}"/>
			
			<%-- nagłówek danych odczytanych z pliku --%>
			<tr class="${rowClass} wplata${i.count - 1}">
				<td rowspan="${ujemnaKwota ? 1 : 2}">
					${i.count}
				</td>
				<td colspan="5">
					<stripes:hidden name="listaWplat[${i.count - 1}].pozycja.wiersz"/>
					<stripes:hidden name="listaWplat[${i.count - 1}].pozycja.tresc"/>
					
					<stripes:errors field="listaWplat[${i.count - 1}]"/>
					
					<span class="tip">${wplata.pozycja.tresc}</span>
				</td>
				<td rowspan="${ujemnaKwota ? 1 : 2}">
					<c:if test="${! ujemnaKwota}">
						<div class="ikonki">
							<a class="cursorPointer noLoadImage" onclick="confirm('Czy na pewno chcesz usunąć ten wiersz?') ? (removeElemByClass('wplata${i.count - 1}')) : (removeElemByClass('AA'))">
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</a>
						</div>
					</c:if>
				</td>
			</tr>
			
			<%-- parsowana treść --%>
			<c:choose>
				<c:when test="${! ujemnaKwota}">
					<tr class="${rowClass} wplata${i.count - 1}">
						<td class="nowrap">
							<stripes:text name="listaWplat[${i.count - 1}].dataWplaty" class="data required" formatPattern="${DATE_PATTERN}"
									title="Data transakcji"/>
							<stripes:errors field="listaWplat[${i.count - 1}].dataWplaty"/>
						</td>
						<td>
							<stripes:text name="listaSzczegolowWplat[${i.count - 1}].rok" class="rok required" size="7" title="Za okres (rok)"/>
							<br/><br/>
							<stripes:select class="required" name="listaSzczegolowWplat[${i.count - 1}].miesiac" title="Miesiąc">
								<%@ include file="/jsp/templatePages/nazwyMiesiecyOpcje.jsp" %>
							</stripes:select>
						</td>
						<td>
							<c:set var="osobaPoleNazwa" value="listaWplat[${i.count - 1}].mieszkaniec"/>
							<c:set var="requiredClass" value="required"/>
							<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
						</td>
						<td>
							z rachunku:
							<stripes:text name="listaWplat[${i.count - 1}].pozycja.kontoBankowe.iban" class="iban" title="numer IBAN" size="35"/>
							<span class="tip">&nbsp;</span>
							
							<stripes:errors field="listaWplat[${i.count - 1}].platnik"/>
							
							osoby:<br/>
							<c:set var="osobaPoleNazwa" value="listaWplat[${i.count - 1}].podmiotWpl.osoba"/>
							<c:set var="requiredClass" value=""/>
							<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
							
							<span class="tip">&nbsp;</span>
							instytucji:<br/>
							<c:set var="instytucjaPoleNazwa" value="listaWplat[${i.count - 1}].podmiotWpl.instytucja"/>
							<c:set var="requiredClass" value=""/>
							<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
						</td>
						<td class="alignRight" style="width: 100px;">
							<stripes:text name="listaWplat[${i.count - 1}].kwota" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}"
									title="Data transakcji" size="8"/>
							<stripes:hidden name="listaWplat[${i.count - 1}].kwotaZwrot" value="0.00"/>
							<stripes:errors field="listaWplat[${i.count - 1}].kwota"/>
						</td>
					</tr>
				</c:when>
				<c:otherwise>
					<stripes:hidden name="listaWplat[${i.count - 1}].kwota"/>
					
					<%-- by uniknąć błędów przy stripesowej walidacji (i tak nie będzie zapisana więc OK) --%>
					<stripes:hidden name="listaWplat[${i.count - 1}].dataWplaty" value="2000-01-01"/>
					<stripes:hidden name="listaSzczegolowWplat[${i.count - 1}].rok" value="2000"/>
					<stripes:hidden name="listaSzczegolowWplat[${i.count - 1}].miesiac" value="1"/>
					
					<stripes:hidden name="listaWplat[${i.count - 1}].mieszkaniec.id" value="0"/>
					<stripes:hidden name="listaWplat[${i.count - 1}].osoba.id" value="0"/>
				</c:otherwise>
			</c:choose>
		</c:forEach>
	</tbody>
</table>
