<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_KSIEGOWANIA" title="Data<br/>księgowania" styleClass="daneWyroznione nowrap" sortable="false" filterable="false">
				<fmt:formatDate value="${wplata.dataKsiegowania}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_WPLATY" title="Data<br/>wpłaty" styleClass="daneWyroznione nowrap" sortable="false" filterable="false">
				<fmt:formatDate value="${wplata.dataWplaty}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacajacy" title="Wpłacił/a" sortable="false" filterable="false">
				${wplata.podmiotWpl.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="naRzecz" title="Na rzecz" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty wplata.podmiotD}">
						<c:choose>
							<c:when test="${wplata.podmiotWpl.nazwa != wplata.podmiotD.nazwa}">${wplata.podmiotD.nazwa}</c:when>
							<c:otherwise><i>zadł.</i></c:otherwise>
						</c:choose>
					</c:when>
					<c:otherwise>
						<i>konto dep./kasa m.</i>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Wpłata<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd" sortable="false" filterable="false">
				<fmt:formatNumber value="${wplata.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodgladAction" event="podglad">
							<stripes:param name="wplata" value="${wplata.id}"/>
							<img src="${root}/img/lupa.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć wpłatę?')">
							<stripes:param name="wplata" value="${wplata.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/wplaty/inne/listaWplat.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
