<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		<%@ include file="/jsp/templatePages/podpowiedziHead/instytucjaDoplacajacaPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				$('.nav-tabs a').click(function (e) {
					var $this = $(this);
					
					$this.tab('show');
					
					var hiddenElemName = $this.attr("data-toggle");
					var hiddenElemValue = $this.attr("data-podmiot");
					$("input[name='" + hiddenElemName + "']").val(hiddenElemValue);
				})
			});
			
			//# sourceURL=wplataKrok1.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form style="width: 600px;" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataAction" class="form-horizontal" role="form">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>Nowa wpłata (krok 1 z 2 : inicjalizacja)</legend>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templateBootstrapPages/polaWplataWspolne.jsp" %>
					<%@ include file="/jsp/templateBootstrapPages/polaWplataKwota.jsp" %>
					
					<stripes:errors field="podmiotWpl"/>
					<stripes:hidden name="wplPodmiotIdx"/>
					<ul id="tab_podmiot_wplacajacy" class="nav nav-tabs">
						<li class="disabled"><a href="#">Podmiot wpłacający</a></li>
						<li class="${actionBean.wplPodmiotIdx == 1 ? 'active' : ''}"><a href="#tab-wpl-osoba" data-toggle=wplPodmiotIdx data-podmiot="1">Osoba</a></li>
						<li class="${actionBean.wplPodmiotIdx == 2 ? 'active' : ''}"><a href="#tab-wpl-instytucja" data-toggle="wplPodmiotIdx" data-podmiot="2">Instytucja</a></li>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div class="tab-pane ${actionBean.wplPodmiotIdx == 1 ? 'active' : ''}" id="tab-wpl-osoba">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaOsoba" value="_"/>
							<c:set var="nazwaPoleOsoba" value="podmiotWpl.osoba"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/osobaPodpField.jsp" %>
						</div>
						<div class="tab-pane ${actionBean.wplPodmiotIdx == 2 ? 'active' : ''}" id="tab-wpl-instytucja">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaInstytucja" value="_"/>
							<c:set var="nazwaPoleInstytucja" value="podmiotWpl.instytucja"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/instytucjaDoplacajacaPodpField.jsp" %>
						</div>
					</div>
					
					<stripes:errors field="podmiotNaRzecz"/>
					<stripes:hidden name="naRzeczPodmiotIdx"/>
					<ul id="tab_na_rzecz_podmiot" class="nav nav-tabs">
						<li class="disabled"><a href="#" data-toggle="tabnrz">Wpłata na rzecz</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 1 ? 'active' : ''}"><a href="#tab-nrz-jw" data-toggle="naRzeczPodmiotIdx" data-podmiot="1">j.w.</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 2 ? 'active' : ''}"><a href="#tab-nrz-osoba" data-toggle="naRzeczPodmiotIdx" data-podmiot="2">Osoba</a></li>
						<li class="${actionBean.naRzeczPodmiotIdx == 3 ? 'active' : ''}"><a href="#tab-nrz-instytucja" data-toggle="naRzeczPodmiotIdx" data-podmiot="3">Instytucja</a></li>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 1 ? 'active' : ''}" id="tab-nrz-jw">
						</div>
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 2 ? 'active' : ''}" id="tab-nrz-osoba">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaOsoba" value="_"/>
							<c:set var="nazwaPoleOsoba" value="podmiotNaRzecz.osoba"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/osobaPodpField.jsp" %>
							<hr/>
						</div>
						<div class="tab-pane ${actionBean.naRzeczPodmiotIdx == 3 ? 'active' : ''}" id="tab-nrz-instytucja">
							<c:set var="requiredClass" value="required"/>
							<c:set var="labelPolaInstytucja" value="_"/>
							<c:set var="nazwaPoleInstytucja" value="podmiotNaRzecz.instytucja"/>
							<%@ include file="/jsp/templateBootstrapPages/podpowiedziField/instytucjaDoplacajacaPodpField.jsp" %>
							<hr/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy wpłat
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="krok2" value="Ustal cel »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
