<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			$(document).ready(function() {
				$('.nav-tabs a').click(function (e) {
					$(this).tab('show');
				});
			});
			
			//# sourceURL=wplataKrok2.js
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer container-fluid">
			<stripes:form name="innaWplataForm" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataAction" class="form-horizontal"
					style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<aa:zone id="global_error_zone"></aa:zone>
				<fieldset>
					<legend>Nowa wpłata (krok 2 z 2 : określenie celu wpłaty)</legend>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templateBootstrapPages/polaWplataWspolneOdczyt.jsp" %>
					<%@ include file="/jsp/templateBootstrapPages/polaWplataKwotaOdczyt.jsp" %>
					
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">opis</label>
						</div>
						<div class="col-md-5">
							<stripes:hidden name="podmiotWpl.osoba"/>
							<stripes:hidden name="podmiotWpl.instytucja"/>
							<stripes:hidden name="podmiotNaRzecz.osoba"/>
							<stripes:hidden name="podmiotNaRzecz.instytucja"/>
							
							wpłata przez
							<strong>
								<c:choose>
									<c:when test="${actionBean.wplPodmiotIdx == 1}">${actionBean.podmiotWpl.osoba.nazwiskoImie}</c:when>
									<c:when test="${actionBean.wplPodmiotIdx == 2}">${actionBean.podmiotWpl.instytucja.nazwa}</c:when>
								</c:choose>
							</strong>
							na rzecz
							<strong>
								<c:choose>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 1}">własnego zadłużenia/kont</c:when>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 2}">${actionBean.podmiotNaRzecz.osoba.nazwiskoImie}</c:when>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 3}">${actionBean.podmiotNaRzecz.instytucja.nazwa}</c:when>
								</c:choose>
							</strong>
						</div>
					</div>
					
					<ul id="tab_zadluzenie" class="nav nav-tabs">
						<li class="disabled"><a href="#" data-toggle="tabpw">Cel wpłaty</a></li>
						<li class="active"><a href="#tab-pobyt" data-toggle="tabpw">Pobyt</a></li>
						<li><a href="#tab-fk" data-toggle="tabpw">Faktury</a></li>
						<li><a href="#tab-dep" data-toggle="tabd">Depozyty</a></li>
						<li><a href="#tab-km" data-toggle="tabpw">Kasa mieszkańca</a></li>
					</ul>
					<div>&nbsp;</div>
					<div class="tab-content">
						<div class="tab-pane active" id="tab-pobyt">
							<div class="container-fluid">
								<stripes:submit name="krok2NowaPozycja" value="Nowa pozycja"/>
							</div>
							<div class="container-fluid">
								<c:set var="listaPozycjiZadluzenia" value="${actionBean.listaPozycjiZadluzenia}"/>
								<%@ include file="wplataKrok2ListaPozycjiZadluzenia.jsp" %>
							</div>
						</div>
						<div class="tab-pane" id="tab-fk">
							<c:set var="listaFaktur" value="${actionBean.listaFaktur}"/>
							<%@ include file="wplataKrok2ListaFaktur.jsp" %>
						</div>
						<div class="tab-pane" id="tab-dep">
							<stripes:hidden name="konto"/>
							
							<c:set var="listaKont" value="${actionBean.listaKontD}"/>
							<%@ include file="wplataKrok2ListaKont.jsp" %>
						</div>
						<div class="tab-pane" id="tab-km">
							<c:set var="listaKont" value="${actionBean.listaKontKm}"/>
							<%@ include file="wplataKrok2ListaKont.jsp" %>
						</div>
					</div>
					<hr/>
					
					<%@ include file="/jsp/odplatnosc/wplaty/inne/wplataKrok2KwotaZwrot.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.ListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy wpłat
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
