<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_InnaWplataPodpowiedzActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodpowiedzAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:choose>
<c:when test="${fn:length(listaKont) == 0}">
	BRAK KONT DEPOZYTOWYCH DLA TEGO PODMIOTU
</c:when>
<c:otherwise>
	<script type="text/javascript">
		function _listaKontSubmit(kontoId) {
			$("input[name='konto']").val(kontoId);
			var form = $("<form action='${_InnaWplataPodpowiedzActionURL}' method='post'></form>");
			var data = $("form[name='innaWplataForm']").serialize();
			var event = {'target' : $("<input type='submit' name='krok2PodpKwotaK' value=''/>")};
			AjaxAnywhere.submitAjaxAnywhereFormWithData(form, data, "pwplaty_konta_" + kontoId + "_kwota_zone,kwota_zwrotu_zone", event, null);
			return false;
		}
		
		//# sourceURL=wplataKrok2listaKont.js
	</script>
	<c:set var="i" value="-1"/>
	<jmesa:tableFacade items="${listaKont}" id="listaKont" var="konto" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaKont)}">
		<jmesa:htmlTable style="min-width: 300px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="podmiot" title="Podmiot" sortable="false" filterable="false">
					<c:set var="i" value="${i + 1}"/>
					<stripes:hidden name="listaKont[${i}]"/>
					<stripes:hidden name="listaKont[${i}].podmiot.osoba"/>
					<stripes:hidden name="listaKont[${i}].podmiot.instytucja"/>
					
					<c:choose>
						<c:when test="${not empty konto.podmiot.osobaId}">${konto.podmiot.osoba.nazwiskoImie}</c:when>
						<c:when test="${not empty konto.podmiot.instytucjaId}">${konto.podmiot.instytucja.nazwa}</c:when>
					</c:choose>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="bilans" title="Bilans<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd daneWyroznione" sortable="false" filterable="false">
					<fmt:formatNumber value="${konto.bilans}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwotaWplaty" title="Kwota wpłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd daneWyroznione" sortable="false" filterable="false">
					<%@ include file="wplataKrok2KwotaKonta.jsp" %>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="wplata" title="Wpłata" sortable="false" filterable="false">
					<div class="ikonki">
						<a href="#" onclick="return _listaKontSubmit('${konto.id}');" title="Podpowiedz kwotę">
							<img src="${root}/img/copy.gif" class="iconspace"/>
						</a>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
</c:otherwise>
</c:choose>
