<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_InnaWplataPodpowiedzActionURL" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataPodpowiedzAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:choose>
<c:when test="${fn:length(listaPozycjiZadluzenia) == 0}">
	BRAK POZYCJI DLA TEGO DŁUŻNIKA
</c:when>
<c:otherwise>
	<script type="text/javascript">
		function _listaPozycjiZadluzeniaSubmit(pozycjaId) {
			$("input[name='pozycja']").val(pozycjaId);
			var form = $("<form action='${_InnaWplataPodpowiedzActionURL}' method='post'></form>");
			var data = $("form[name='innaWplataForm']").serialize();
			var event = {'target' : $("<input type='submit' name='krok2PodpKwotaPZ' value=''/>")};
			AjaxAnywhere.submitAjaxAnywhereFormWithData(form, data, "pwplaty_pobyt_kwota_" + pozycjaId + "_zone,kwota_zwrotu_zone", event, null);
			return false;
		}
		
		//# sourceURL=wplataKrok2ListaPozycjiZadluzenia.js
	</script>
	<c:set var="i" value="-1"/>
	<stripes:hidden name="pozycja"/>
	<div class="padding-top-5">
	<jmesa:tableFacade items="${listaPozycjiZadluzenia}" id="listaPozycjiZadluzenia" var="pozycja" editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
			maxRows="${fn:length(listaPozycjiZadluzenia)}">
		<jmesa:htmlTable style="min-width: 300px;" styleClass="alignCenter">
			<jmesa:htmlRow>
				<jmesa:htmlColumn property="okres" title="Okres" sortable="false" filterable="false">
					<c:set var="i" value="${i + 1}"/>

					<stripes:hidden name="listaPozycjiZadluzenia[${i}]"/>
					<stripes:hidden name="listaPozycjiZadluzenia[${i}].zadluzenie"/>
					<stripes:hidden name="listaPozycjiZadluzenia[${i}].zadluzenie.podmiot.osoba"/>
					<stripes:hidden name="listaPozycjiZadluzenia[${i}].zadluzenie.podmiot.instytucja"/>
					
					<c:set var="miesiacNumber" value="${pozycja.zadluzenie.miesiac}"/>
					${pozycja.zadluzenie.rok}/<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="podmiotW" title="Wierzyciel" sortable="false" filterable="false">
					<c:choose>
						<c:when test="${not empty pozycja.zadluzenie.podmiot.osobaId}">${pozycja.zadluzenie.podmiot.osoba.nazwiskoImie}</c:when>
						<c:when test="${not empty pozycja.zadluzenie.podmiot.instytucjaId}">${pozycja.zadluzenie.podmiot.instytucja.nazwa}</c:when>
						<c:otherwise>---</c:otherwise>
					</c:choose>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd daneWyroznione" sortable="false" filterable="false">
					<fmt:formatNumber value="${pozycja.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="kwotaWplaty" title="Kwota wpłaty<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="kwotaTd daneWyroznione" sortable="false" filterable="false">
					<%@ include file="wplataKrok2KwotaPozycjiZadluzenia.jsp" %>
				</jmesa:htmlColumn>
				<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
					<div class="ikonki">
						<a href="#" onclick="return _listaPozycjiZadluzeniaSubmit('${pozycja.id}');" title="Podpowiedz kwotę">
							<img src="${root}/img/copy.gif" class="iconspace"/>
						</a>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
	</div>
</c:otherwise>
</c:choose>
