<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:if test="${empty mieszkancyNaRzeczPlatnika}">
			<c:set var="mieszkancyNaRzeczPlatnika" value="${actionBean.mieszkancyNaRzeczPlatnika}"/>
		</c:if>
		
		<div class="formContainer container-fluid">
			<stripes:form style="width: 600px;" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.inne.InnaWplataAction" class="form-horizontal">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<legend>Nowa wpłata (krok 2 z 2 : nowa pozycja zadłużenia)</legend>
					
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">mieszkaniec</label>
						</div>
						<div class="col-md-5">
							<stripes:select name="pozycja.zadluzenie.podmiot.osoba.id" class="required" title="Mieszkaniec">
								<c:if test="${fn:length(mieszkancyNaRzeczPlatnika) == 0}">
									<stripes:option label="${OPCJA_WYBIERZ}" value=""></stripes:option>
								</c:if>
								<stripes:options-collection collection="${mieszkancyNaRzeczPlatnika}" label="nazwiskoImie" value="id"/>
							</stripes:select>
							<stripes:errors field="pozycja.zadluzenie.podmiot.osoba.id"/>
						</div>
					</div>
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">opis</label>
						</div>
						<div class="col-md-5">
							pozycja zadłużenia dla<br/>
							<strong>
								<c:choose>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 1}">
										<c:choose>
											<c:when test="${actionBean.wplPodmiotIdx == 1}">${actionBean.podmiotWpl.osoba.nazwiskoImie}</c:when>
											<c:when test="${actionBean.wplPodmiotIdx == 2}">${actionBean.podmiotWpl.instytucja.nazwa}</c:when>
										</c:choose>
									</c:when>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 2}">${actionBean.podmiotNaRzecz.osoba.nazwiskoImie}</c:when>
									<c:when test="${actionBean.naRzeczPodmiotIdx == 3}">${actionBean.podmiotNaRzecz.instytucja.nazwa}</c:when>
								</c:choose>
							</strong>
						</div>
					</div>
					<div class="form-group">
						<div class="col-md-3 text-right">
							<label class="control-label">okres</label>
						</div>
						<div class="col-md-5">
							<stripes:hidden name="pozycja.rodzaj"/>
							<stripes:text name="pozycja.rok" class="rok required" size="7" title="Wpłata za rok"/> /
							<stripes:select class="required" name="pozycja.miesiac" title="Wpłata za miesiąc">
								<c:set var="klasaWymagane" value="required"/>
								<%@ include file="/jsp/templatePages/nazwyMiesiecyOpcje.jsp" %>
							</stripes:select>
							<stripes:errors field="pozycja.rok"/>
							<stripes:errors field="pozycja.miesiac"/>
						</div>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:submit name="krok2Powrot" value="Anuluj"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="krok2NowaPozycjaWstaw" value="Wprowadź"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
