<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${not empty listaSkladnikow && fn:length(listaSkladnikow) > 0}">
		<jmesa:tableFacade items="${listaSkladnikow}" id="listaSkladnikow" var="skladnik" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" 
				maxRows="${fn:length(listaSkladnikow)}">
			<jmesa:htmlTable style="min-width: 400px; margin-left: auto; margin-right: auto;">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="naPoczet" title="Na poczet" sortable="false">
						<c:choose>
							<c:when test="${not empty skladnik.fakturaId}">
								faktura ${skladnik.faktura.nr} z dnia<br/>
								<fmt:formatDate value="${skladnik.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
							</c:when>
							<c:when test="${not empty skladnik.podmiotD}">
								zadł. ${skladnik.podmiotD.nazwa}
							</c:when>
							<c:otherwise>
								<tt:jspException/>
							</c:otherwise>
						</c:choose>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="wierzyciel" title="Wierzyciel" sortable="false">
						${skladnik.podmiotW.nazwa}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="rokMiesiac" title="Rok/miesiąc" styleClass="daneWyroznione" sortable="false">
						${skladnik.rok}/${skladnik.miesiac}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="rodzaj" title="Rodzaj" styleClass="daneWyroznione" sortable="false">
						${skladnik.rodzajZadluzenia.opis}
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" styleClass="alignRight daneWyroznione">
						<fmt:formatNumber value="${skladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</c:when>
	<c:otherwise>
		-BRAK-
	</c:otherwise>
</c:choose>
