<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:set var="instytucjeDoplacajace" value="${actionBean.instytucjeDoplacajace}"/>
	
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Rejestracja wpłat dla instytucji dopłacającej (krok 1: opcje)
					</legend>
					
					<c:set var="poleInstytucjaWplata" value="instytucjaWplata"/>

					<div class="row">
						<div class="label">
							<label>
								rok / miesiąc
							</label>
						</div>
						<div class="input">
							<stripes:text name="${poleInstytucjaWplata}.rok" class="rok required" title="Stan na rok" size="5"/> /
							
							<c:set var="nazwaPola" value="${poleInstytucjaWplata}.miesiac"/>
							<c:set var="_wartoscMiesiac" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
							
							<c:set var="poleMiesiac" value="${nazwaPola}"/>
							<c:set var="klasaWymagane" value="required"/>
							<c:set var="poleMiesiacValue" value="${_wartoscMiesiac}"/>
							<%@ include file="/jsp/templatePages/nazwyMiesiecySelect.jsp" %>
							
							<div style="clear: both;">
								<stripes:errors field="${poleInstytucjaWplata}.rok"/>
								<stripes:errors field="${poleInstytucjaWplata}.miesiac"/>
							</div>
						</div>
					</div>
					
					<div class="row">
						<div class="label">
							<label>
								instytucja
							</label>
						</div>
						<div class="input">
							<stripes:select name="${poleInstytucjaWplata}.instytucjaId" class="mySelect required" title="Instytucja, dla której generujemy" style="width: 350px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${instytucjeDoplacajace}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both;"></div>
							<stripes:errors field="${poleInstytucjaWplata}.instytucjaId"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Generuj"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
