<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaInstytucjaWplata}" id="listaInstytucjaWplata" var="instytucjaWplata" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data<br/>generowania" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${instytucjaWplata.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="rok" title="Rok"/>
			<jmesa:htmlColumn property="miesiac" title="Miesiąc" filterEditor="pl.topteam.dps.jmesa.view.editor.MiesiacDropListFilterEditor">
				<c:set var="miesiacNumber" value="${instytucjaWplata.miesiac}"/>
				<%@ include file="/jsp/templatePages/nazwyMiesiecyText.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="instytucja" title="Instytucja" sortable="false" filterable="false">
				${instytucjaWplata.instytucja.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_WPLATY_PLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscWplataEdycjaAction" event="edycja">
							<stripes:param name="instytucjaWplata" value="${instytucjaWplata.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.instytucja.PlatnoscListaWplatAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć wpłaty z tego terminu ? ')">
							<stripes:param name="instytucjaWplata.id" value="${instytucjaWplata.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/wplaty/instytucja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
