<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${actionBean.listaWplat}" id="listaWplat" var="wplata" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaWplat)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec">
				<c:set var="i" value="${i + 1}"/>
				
				${wplata.mieszkaniec.nazwiskoImie}
				
				<stripes:hidden name="listaWplat[${i}].id"/>
				
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.id"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie">
				${wplata.swiadczenie.nazwa}<br/>
				(<fmt:formatNumber value="${wplata.swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
				
				<stripes:hidden name="listaWplat[${i}].instytucjaId"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenieId"/>
				
				<stripes:hidden name="listaWplat[${i}].swiadczenie.id"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.kwota"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.nazwa"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWplaty" title="Data<br/>wpłaty" styleClass="nowrap">
				<stripes:text name="listaWplat[${i}].dataWplaty" class="data required" size="11" formatPattern="${DATE_PATTERN}" title="Data wpłaty"/>
				<stripes:errors field="listaWplat[${i}].dataWplaty"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap">
				<stripes:text name="listaWplat[${i}].dataKsiegowania" class="data" size="11" formatPattern="${DATE_PATTERN}" title="Data księgowania"/>
				<stripes:errors field="listaWplat[${i}].dataKsiegowania"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="nowrap">
				<stripes:text name="listaWplat[${i}].kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Wpłacaona kwota" />
				<stripes:errors field="listaWplat[${i}].kwota"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="depozyt" title="Cel*" styleClass="text-center">
				<stripes:hidden name="wplatyNaDepozyt[${wplata.id}]"/>
				<c:set var="_naDepozyt" value="${not empty actionBean.wplatyNaDepozyt[wplata.id]}"/>

				<stripes:hidden name="wplatyNaKaseM[${wplata.id}]"/>
				<c:set var="_naKase" value="${not empty actionBean.wplatyNaKaseM[wplata.id]}"/>

				<strong>${_naDepozyt ? 'D' : (_naKase ? 'K' : 'Z')}</strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje">
				<div class="ikonki">
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataEdycjaAction" event="usunWplate"
									onclick="return confirmation('Czy na pewno chcesz usunąć wpłatę?')" title="Usuń wpłatę">
							<stripes:param name="swiadczenieWplata" value="${actionBean.swiadczenieWplata.id}"/>
							<stripes:param name="wplata" value="${wplata.id}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div class="padding-top-5">
	*) Z - zadłużenie, D - konto depozytowe, KM - konto kasy mieszkańca
</div>
<%@ include file="podsumowanieWplat.jsp" %>
