<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="mozliwoscWplatyNaDepozyt" value="false"/>
<ttSec:secure roles="SOC_U_DEPOZYT">
	<c:set var="mozliwoscWplatyNaDepozyt" value="true"/>
	<c:set var="mapaKontDepozytowych" value="${actionBean.mapaKontDepozytowych()}"/>
</ttSec:secure>
<ttSec:secure roles="SOC_U_KASA_MIESZKANCA">
	<c:set var="mozliwoscWplatyNaKase" value="true"/>
	<c:set var="mapaKontKasyMieszkanca" value="${actionBean.mapaKontKasyMieszkanca()}"/>
</ttSec:secure>

<stripes:layout-render name="/jsp/layout/platnosciLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function przelacz(selector) {
				$('' + selector).trigger('click');
				return false;
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscWplataAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Rejestracja wpłat dla pobieranych świadczeń (krok 2: zatwierdzanie wpłat)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								okres
							</label>
						</div>
						<div class="input">
							${actionBean.swiadczenieWplata.rok} / ${actionBean.swiadczenieWplata.miesiac}
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								termin
							</label>
						</div>
						<div class="input">
							<stripes:hidden name="swiadczenieWplata.termin"/>
							${actionBean.swiadczenieWplata.termin.tekst}
						</div>
					</div>
					<c:if test="${not empty actionBean.swiadczenieWplata.instytucja}">
						<stripes:hidden name="swiadczenieWplata.instytucja"/>
						<div class="row">
							<div class="label">
								<label>
									dla instytucji
								</label>
							</div>
							<div class="input">
								${actionBean.swiadczenieWplata.instytucja.nazwa}
							</div>
						</div>
					</c:if>
					
					<c:set var="nazwaPolaWplata" value="wplata"/>
					<%@ include file="/jsp/templatePages/polaWplataWspolne.jsp" %>
					
					<fieldset>
						<legend>
							Wpłaty
						</legend>
						
						<c:choose>
							<c:when test="${fn:length(actionBean.listaWplat) == 0}">
								<div style="text-align: left">
									<div class="bladglobalny">
										<span class="imgError"></span> Nie znaleziono świadczeń przypisanych do terminu wypłat
									</div>
								</div>
							</c:when>
							<c:otherwise>
								<stripes:button class="noLoadImage" name="togglePrzeznaczWplaty" onclick="przelacz('[name^=rejestrujWplate]');">Przełącz wpłaty</stripes:button>
								<br/><br/>
								<c:if test="${mozliwoscWplatyNaDepozyt || mozliwoscWplatyNaKase}">
									<stripes:button class="noLoadImage" name="togglePrzeznaczZadl" onclick="przelacz('[id^=bez_]');">Przełącz na zadłużenie</stripes:button>
								</c:if>
								<c:if test="${mozliwoscWplatyNaDepozyt}">
									&nbsp;&nbsp;
									<stripes:button class="noLoadImage" name="togglePrzeznaczDepozyt" onclick="przelacz('[id^=d_]');">Przełącz na depozyt</stripes:button>
								</c:if>
								<c:if test="${mozliwoscWplatyNaKase}">
									&nbsp;&nbsp;
									<stripes:button class="noLoadImage" name="togglePrzeznaczKaseMieszkanca" onclick="przelacz('[id^=km_]');">Przełącz na kasę mieszkańca</stripes:button>
								</c:if>
							</c:otherwise>
						</c:choose>
						<div class="padding-top-10">
							<%@ include file="generowanieListaFiltr.jsp" %>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.swiadczenia.PlatnoscListaWplatAction" class="button" event="lista">
							&laquo; Wróć do listy
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${fn:length(actionBean.listaWplat) > 0}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" value="Zapisz" disabled="disabled"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
