<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="-1"/>
<jmesa:tableFacade items="${actionBean.listaWplat}" id="listaWplat" var="wplata" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaWplat)}">
	<jmesa:htmlTable style="min-width: 500px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec">
				<c:set var="i" value="${i + 1}"/>
				
				${wplata.mieszkaniec.nazwiskoImie}
				
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.id"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.nazwisko"/>
				<stripes:hidden name="listaWplat[${i}].mieszkaniec.imie"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie">
				${wplata.swiadczenie.nazwa} (<fmt:formatNumber value="${wplata.swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA})
				
				<stripes:hidden name="listaWplat[${i}].instytucjaId"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenieId"/>

				<stripes:hidden name="listaWplat[${i}].swiadczenie.id"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.kwota"/>
				<stripes:hidden name="listaWplat[${i}].swiadczenie.nazwa"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacono" title="Wplacono" styleClass="alignCenter">
				<stripes:checkbox name="rejestrujWplate[${wplata.swiadczenieId}]"></stripes:checkbox>
			</jmesa:htmlColumn>
			<c:if test="${mozliwoscWplatyNaDepozyt || mozliwoscWplatyNaKase}">
				<jmesa:htmlColumn property="depozyt" title="Cel*" styleClass="text-left">
					<c:set var="kontoDepozytowe" value="${mapaKontDepozytowych[wplata.mieszkaniec.id]}"/>
					<c:set var="kontoKasy" value="${mapaKontKasyMieszkanca[wplata.mieszkaniec.id]}"/>

					<c:if test="${(mozliwoscWplatyNaDepozyt && not empty kontoDepozytowe) || (mozliwoscWplatyNaKase && not empty kontoKasy)}">
						<div>
							<stripes:radio id="bez_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="" checked="true"/>
							<label for="bez_${wplata.swiadczenieId}" class="cursorPointer">Z</label>
						</div>
					</c:if>
					<c:if test="${mozliwoscWplatyNaDepozyt && not empty kontoDepozytowe}">
						<div class="padding-top-5">
							<stripes:radio id="d_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="${kontoDepozytowe.id}"/>
							<label for="d_${wplata.swiadczenieId}" class="cursorPointer" title="Wpłata na depozyt">(D: ${kontoDepozytowe.nr})</label>
						</div>
					</c:if>
					<c:if test="${mozliwoscWplatyNaKase && not empty kontoKasy}">
						<div class="padding-top-5">
							<stripes:radio id="km_${wplata.swiadczenieId}" name="rejestrujNaDepozyt[${wplata.swiadczenieId}]" value="${kontoKasy.id}"/>
							<label for="km_${wplata.swiadczenieId}" class="cursorPointer" title="Wpłata do kasy mieszkańca">(KM: ${kontoKasy.nr})</label>
						</div>
					</c:if>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]">
				<stripes:text name="listaWplat[${i}].kwota" class="doublePrecision required" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}" title="Wpłacaona kwota" />
				<stripes:errors field="listaWplat[${i}].kwota"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<div class="padding-top-5">
	*) Z - zadłużenie, D - konto depozytowe, KM - konto kasy mieszkańca
</div>
<%@ include file="podsumowanieWplat.jsp" %>
