<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/odplatnosc/layoutOdplatnosc.jsp">
	<stripes:layout-component name="tabHtmlHead">
		<style type="text/css">
			.ui-tabs-panel .ui-tabs-panel {
				border: 0px none;
			}
			#tab-container-widok {
				border: 0px none !important;
				margin: 0px auto;
				padding-top: 0px;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container-widok").tabs({});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="tabZakladkaGlownaContent">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div class="padding-bottom-5">
			<ttSec:secure roles="SOC_R_DEPOZYT">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.KontoWplatyAction" class="button" event="podgladKont"
						title="Przejdź do kont depozytowych">
					<stripes:param name="rodzajKont" value="DEPOZYT"/>
					<stripes:param name="osoba" value="${actionBean.osoba.id}"/>
					&laquo; Depozyt
				</stripes:link>
			</ttSec:secure>
			<ttSec:secure roles="SOC_R_KASA_MIESZKANCA">
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.depozyt.konto.operacja.KontoWplatyAction" class="button" event="podgladKont"
						title="Przejdź do kont kasy mieszkańca">
					<stripes:param name="rodzajKont" value="KASA_MIESZKANCA"/>
					<stripes:param name="osoba" value="${actionBean.osoba.id}"/>
					&laquo; Kasa mieszkańca
				</stripes:link>
			</ttSec:secure>
		</div>
		<div id="tab-container-widok" class="form">
			<ul>
				<li><a href="#ui-tabs-widok-pozycje">Pozycje</a></li>
				<li><a href="#ui-tabs-widok-podsumowanie-platnicy">Podsumowanie (płatnicy)</a></li>
				<li><a href="#ui-tabs-widok-podsumowanie-dluznicy">Podsumowanie (dłużnicy)</a></li>
				<li style="margin-left: 60px;"><a href="#ui-tabs-info">Informacje o zmianach</a></li>
			</ul>
			<div id="ui-tabs-widok-pozycje">
				<div id="jmesaContainer">
					<%@ include file="listaFiltr.jsp" %>
				</div>
			</div>
			<div id="ui-tabs-widok-podsumowanie-platnicy">
				<div class="row">
					<div class="col-md-6">
						<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
						<c:set var="mapaDanych" value="${mapaPodsumowaniePlatnicyPodmioty}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowaniePodmioty.jsp" %>
					</div>
					<div class="col-md-5">
						<c:set var="mapaDanych" value="${mapaPodsumowanie}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieZadluzenia.jsp" %>
					</div>
				</div>
			</div>
			<div id="ui-tabs-widok-podsumowanie-dluznicy">
				<div class="row">
					<div class="col-md-6">
						<c:set var="rodzajeZadluzenia" value="${actionBean.rodzajeZadluzenia()}"/>
						<c:set var="mapaDanych" value="${mapaPodsumowanieDluznicyPodmioty}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowaniePodmioty.jsp" %>
					</div>
					<div class="col-md-5">
						<c:set var="mapaDanych" value="${mapaPodsumowanie}"/>
						<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieZadluzenia.jsp" %>
					</div>
				</div>
			</div>
			<div id="ui-tabs-info">
				wprowadzanie wpłat przeniesiono do menu
				<ttSec:secure roles="SOC_C_WPLATY_PLATNOSC" defaultText="Mieszkańcy -> Płatności / Depozyty">
					<ttSec:secure roles="SOC_R_NALICZANIE_ODPL,SOC_R_NALICZANIE_ODPL,SOC_R_ODPIS,SOC_R_ZWROT,SOC_R_DEPOZYT,SOC_R_WPLATY_PLATNOSC">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.PlatnosciAction" event="katalog">
							Mieszkańcy -&gt; Płatności / Depozyty
						</stripes:link>
					</ttSec:secure>
				</ttSec:secure>
			</div>
		</div>
		<%@ include file="/jsp/odplatnosc/fragmenty/podsumowanieLegenda.jsp" %>
	</stripes:layout-component>
</stripes:layout-render>
