<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaWplat)}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 680px;">
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					<ol style="list-style: none;">
						<c:forEach items="${wplata.listaSkladnikow}" var="wplataSkladnik">
							<c:if test="${wplataSkladnik.rok == actionBean.rok && wplataSkladnik.miesiac == actionBean.miesiac}">
								<li>
									${wplataSkladnik.zadluzeniePozycjaId}&nbsp;(${fn:substring(wplataSkladnik.rodzajZadluzenia, 0, 1)})*
								</li>
							</c:if>
						</c:forEach>
					</ol>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="DATA_WPLATY" title="Data<br/>wpłaty" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${wplata.dataWplaty}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_KSIEGOWANIA" title="Data<br/>księgowania" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${wplata.dataKsiegowania}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacajacy" title="Wpłacił/a" sortable="false" filterable="false">
				${wplata.podmiotWpl.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="naPoczet" title="Na poczet" sortable="false" filterable="false">
				${wplata.podmiotD.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Wpłata<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<fmt:formatNumber value="${wplata.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaMiesiac" title="za (${actionBean.rok}/${actionBean.miesiac})<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<ol style="list-style: none;">
					<c:forEach items="${wplata.listaSkladnikow}" var="wplataSkladnik">
						<li>
							<strong><fmt:formatNumber value="${wplataSkladnik.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(${wplataSkladnik.rodzajZadluzenia.skrot})*</strong>
							<c:set var="_sumaKwot" value="${_sumaKwot + wplataSkladnik.kwota}"/>
						</li>
					</c:forEach>
				</ol>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.wplaty.zadluzenie.WplataPodgladAction" event="podglad">
							<stripes:param name="wplata" value="${wplata.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<img src="${root}/img/lupa.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="width: 680px;">
	<tbody class="tbody">
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 7 : 6}" align="right"><hr style="width: 400px;"></hr></td>
			<td style="width: 60px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER ? 6 : 5}" class="text-right">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
			<td><div class="ikonki">&nbsp;</div></td>
		</tr>
	</tbody>
</table>
