<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaWyrownan}" id="listaWyrownan" var="wyrownanie" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaWyrownan)}">
	<jmesa:htmlTable style="width: 650px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${wyrownanie.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="płatnik" title="Płatnik" sortable="false" filterable="false" style="width: 240px;">
				<c:choose>
					<c:when test="${not empty wyrownanie.instytucja}">
						<c:set var="opisPolaWyrownanie" value="${wyrownanie.instytucja.nazwa}"/>
					</c:when>
					<c:when test="${not empty wyrownanie.osoba}">
						<c:set var="opisPolaWyrownanie" value="${wyrownanie.osoba.nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<c:set var="opisPolaWyrownanie" value="<span class='warning'>NIE ZAIMPLEMENTOWANO POPRAWNIE !!!</span>"/>
					</c:otherwise>
				</c:choose>
				${opisPolaWyrownanie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data operacji" filterable="false" sortable="false">
				<fmt:formatDate value="${wyrownanie.notaOdplatnosc.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nota" title="Nota" filterable="false" sortable="false">
				(${wyrownanie.notaOdplatnosc.typ.opis})<c:if test="${not empty wyrownanie.notaOdplatnosc.nr}"> - ${wyrownanie.notaOdplatnosc.nr}</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${wyrownanie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(${wyrownanie.rodzajZadluzenia.skrot})*</strong>
				
				<c:set var="_sumaKwot" value="${_sumaKwot + wyrownanie.kwota}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="width: 650px;">
	<tbody class="tbody">
		<tr>
			<td colspan="2" align="right"><hr style="width: 400px;"></hr></td>
		</tr>
		<tr>
			<td style="text-align: right; padding-right: 5px;">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 200px;">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
		</tr>
	</tbody>
</table>
