<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>
<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			// przy zmianie typu pola należy przeładować formularz
			function zmianaNieobecnosci() {
				if($("select[name='zwrot.nieobecnoscId']").val() != '') {
					pokazLoadImage();
					$("<input type='hidden' name='infoNieobecnosc' value='1'/>").appendTo("#formularz");
					$("#formularz").submit();
				}
			}
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.zwroty.ZwrotAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="zwrot.typ" value="ZWROT"/>
				<stripes:hidden name="rok"/>
				<stripes:hidden name="miesiac"/>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.zwrot.id}">
								Wprowadzanie zwrotu
							</c:when>
							<c:otherwise>
								Edycja zwrotu
								<stripes:hidden name="zwrot.id"/>
								<c:set var="nieobecnoscDisabled" value="1"/>
							</c:otherwise>
						</c:choose>
					</legend>
					
					<c:set var="nazwaPolaOdpis" value="zwrot"/>
					<c:set var="typ" value="ZWROT"/>
					<%@ include file="/jsp/templatePages/polaOdpisZwrot.jsp" %>
					
					<c:if test="${not empty actionBean.zwrot.id}">
						<c:set var="nota" value="${actionBean.notaOdplatnosc}"/>
						<fieldset>
							<legend>
								Zarejestrowano na...
							</legend>
							
							<dl>
								<dt>Nota</dt>
								<dd>
									<c:choose>
										<c:when test="${empty nota}">
											Brak
										</c:when>
										<c:otherwise>
											wygenerowana na nocie nr
											<ttSec:secure roles="SOC_R_ODPLATNOSC" defaultText="${nota.nr}">
												<stripes:link class="button" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.nota.NotaEdycjaDispatcherAction" event="dispatch">
													<stripes:param name="nota.id" value="${nota.id}"/>
													<stripes:param name="nota.typ" value="${nota.typ}"/>
													"${not empty nota.nr ? nota.nr : '---'}"
												</stripes:link>
											</ttSec:secure>
										</c:otherwise>
									</c:choose>
								</dd>
							</dl>
						</fieldset>
					</c:if>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.zwroty.ListaZwrotowAction" class="button">
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
