<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="tt" uri="http://www.top-team.pl/tag/tt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="_sumaKwot" value="0.00"/>
<jmesa:tableFacade items="${listaZwrotow}" id="listaZwrotow" var="zwrot" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaZwrotow)}">
	<jmesa:htmlTable style="width: 650px; margin-left: auto; margin-right: auto;">
		<jmesa:htmlRow>
			<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
				<jmesa:htmlColumn property="zadluzeniePozycjaId" title="Z_POZYCJA_ID" sortable="false" filterable="false">
					${zwrot.zadluzeniePozycjaId}
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn property="dotyczy" title="Dotyczy" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty zwrot.instytucjaId}">
						<c:set var="zwrotDotyczy" value="${zwrot.instytucjaDoplacajaca.nazwa}"/>
					</c:when>
					<c:when test="${not empty zwrot.osobaId}">
						<c:set var="zwrotDotyczy" value="${zwrot.osoba.nazwiskoImie}"/>
					</c:when>
					<c:otherwise>
						<tt:jspException/>
					</c:otherwise>
				</c:choose>
				${zwrotDotyczy}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data<br/>zwrotu" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${zwrot.data}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataKsiegowania" title="Data<br/>księgowania" styleClass="nowrap" sortable="false" filterable="false">
				<strong><fmt:formatDate value="${zwrot.dataKsiegowania}" pattern="${DATE_PATTERN}"/></strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="text-right" sortable="false" filterable="false">
				<strong><fmt:formatNumber value="${zwrot.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;(${zwrot.rodzajZadluzenia.skrot})*</strong>
				
				<c:set var="_sumaKwot" value="${_sumaKwot + zwrot.kwota}"/>
			</jmesa:htmlColumn>
			
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 100px;">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ZWROT">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.zwroty.ZwrotAction" event="edycja">
							<stripes:param name="zwrot" value="${zwrot.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_ZWROT">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.odplatnosc.zwroty.ListaZwrotowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten zwrot ? ')">
							<stripes:param name="zwrot" value="${zwrot.id}"/>
							<stripes:param name="rok" value="${actionBean.rok}"/>
							<stripes:param name="miesiac" value="${actionBean.miesiac}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/odplatnosc/zwroty/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<table class="alignCenter" style="width: 650px;">
	<tbody class="tbody">
		<tr>
			<td colspan="2" align="right"><hr style="width: 400px;"></hr></td>
			<td style="width: 100px;">&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align: right; padding-right: 5px;">
				RAZEM [${GL_JEDNOSTKA_MONETARNA}]:
			</td>
			<td class="text-right" nowrap="nowrap" style="width: 200px;">
				<strong><fmt:formatNumber value="${_sumaKwot}" pattern="${DOUBLE_PRECISION_PATTERN}"/></strong>
			</td>
			<td><div class="ikonki">&nbsp;</div></td>
		</tr>
	</tbody>
</table>
