<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/orzeczenieNiep.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
				// odpowiednie ustawienie dat dla orzeczeń o niepełnosprawności
		    	$("select[name$='stopienNiepelnospraw']").each(function() {
		    		/*
		    		 * wygenerowanie eventu change
		    		 * powoduje uruchomienie funkcji odpowiadającej za ustawienie 
		    		 * prawidłowych parametrów dla daty orzeczenia
		    		 */
		    		$(this).change();
		    	});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.OrzeczenieONiepelnosprawnosciAction" name="orzeczenieForm">
				<stripes:hidden name="orzeczenie"/>
				<stripes:hidden name="orzeczenie.osobaId"/>
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.orzeczenie.id}">
								Edycja orzeczenie o niepełnosprawności
							</c:when>
							<c:otherwise>
								Wstawianie nowego orzeczenie o niepełnosprawności
							</c:otherwise>
						</c:choose>
					</legend>
					<div>
						<stripes:errors field="orzeczenie"></stripes:errors>
					</div>
					<c:set var="nazwaPolaOrzeczenia" value="orzeczenie"/>
					<%@ include file="/jsp/templatePages/polaOrzeczenieNiepelnosprawnosc.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.ListaOrzeczenNiepelnosprawnoscAction" class="button" event="listaZSesji">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
