<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form style="border: 0px; padding: 10px;" beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.ListaOrzeczenNiepelnosprawnoscAction">
	Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
	<stripes:submit name="listaFiltr">Pokaż</stripes:submit>
</stripes:form>
<c:set var="kwotaSum" value="0.00"/>
<jmesa:tableFacade items="${listaOrzeczen}" id="listaOrzeczen" var="orzeczenie" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaOrzeczen)}">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Numer urzędowy" styleClass="daneWyroznione"  sortable="false">
				<ttSec:secure roles="SOC_U_ORZECZ_NIEP" defaultText="${orzeczenie.nr}">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.OrzeczenieONiepelnosprawnosciAction" event="edycja">
						<stripes:param name="orzeczenie.id" value="${orzeczenie.id}"></stripes:param>
						${orzeczenie.nr}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="stopienNiep" title="Stopień niepełnosprawności" sortable="false">
				<c:set var="slowaSlownika" value="${kodStopniaNiepelnosprawnosciSlownik}"/>
				<c:set var="wartoscDoPorow" value="${orzeczenie.stopienNiepelnospraw}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataOrzeczenia" title="Data wydania" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="obowiazujeOd" title="Obowiązuje od" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="wazneDo" title="Data ważności" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_ORZECZ_NIEP">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.OrzeczenieONiepelnosprawnosciAction" event="edycja">
							<stripes:param name="orzeczenie" value="${orzeczenie.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj świadczenie"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_ORZECZ_NIEP">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.orzeczenieNiepelnosprawnosc.ListaOrzeczenNiepelnosprawnoscAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć orzeczenie ${orzeczenie.nr} ? ')">
							<stripes:param name="orzeczenie" value="${orzeczenie.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/orzeczenieNiepelnosprawnosc/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń świadczenie"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
