<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_HistoriaWartosciParametruActionURL" beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.HistoriaWartosciParametruAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_HistoriaWartosciParametruActionURL}",
					"listaFiltr=1&parametrSystemowy.typ=${actionBean.parametrSystemowy.typ}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        	
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Historia wartości parametru "${actionBean.parametrSystemowy.typ.opis}"</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="jmesaContainer" style="padding-bottom: 15px;">
			<%@ include file="historiaFiltr.jsp" %>
		</div>
		<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction" event="lista" class="button">
			« Podgląd parametrów
		</stripes:link>
		<ttSec:secure roles="ADM_C_PARAM_SYS">
			&nbsp;&nbsp;&nbsp;
			<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ParametrSystemowyDispatcherAction" event="dispatch" class="button">
				<stripes:param name="parametrSystemowy.typ" value="${actionBean.parametrSystemowy.typ}"/>
				Dodaj nowy parametr
			</stripes:link> 
		</ttSec:secure>
	</stripes:layout-component>
</stripes:layout-render>