<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaParametrow}" id="listaParametrow" var="parametrSystemowy" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataOd" title="Data od" sortable="false" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="ADM_U_PARAM_SYS" defaultText="${parametrSystemowy.dataOd}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ParametrEdycjaDispatcherAction" event="dispatch">
						<stripes:param name="parametrSystemowy.id" value="${parametrSystemowy.id}"/>
						<fmt:formatDate value="${parametrSystemowy.dataOd}" pattern="${DATE_PATTERN}" />
						&nbsp;
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataDo" title="Data do" sortable="false" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="ADM_U_PARAM_SYS" defaultText="${parametrSystemowy.dataDo}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ParametrEdycjaDispatcherAction" event="dispatch">
						<stripes:param name="parametrSystemowy.id" value="${parametrSystemowy.id}"/>
						<fmt:formatDate value="${parametrSystemowy.dataDo}" pattern="${DATE_PATTERN}" />
						&nbsp;
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wartosc" title="Wartość" sortable="false" filterable="false" style="width: 200px;">
				<%@ include file="/jsp/parametrSystemowy/wartosciParametrowLista.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:set var="idParametru" value="${parametrSystemowy.id}"/>
					<%@ include file="linkOpcjaEdycja.jsp" %>
					
					<c:set var="idParametru" value="${parametrSystemowy.id}"/>
					<c:set var="typParametru" value="${parametrSystemowy.typ}"/>
					<c:set var="sourcePage" value="/jsp/parametrSystemowy/historiaFiltr.jsp"/>
					<%@ include file="linkOpcjaUsuwanieHistoria.jsp" %>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>