<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			#listaTypowParametru {
				border: 0px none;
				border-spacing: 0;
				border-collapse: collapse;
			}
			
			.jmesa .table {
				border: 0px none;
			}
		</style>
	
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista parametrów systemowych</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer"><div class="jmesa">
			<stripes:form style="border: 0px; padding: 10px; margin: 5px;" beanclass="pl.topteam.dps.action.administracja.parametrySystemowe.ListaTypowParametrowSystemowychAction">
				Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
				<stripes:submit name="listaFiltr">Pokaż</stripes:submit>
			</stripes:form>
			
			<c:set var="lp" value="0"/>
			<jmesa:tableFacade items="${listaTypowParametru}" id="listaTypowParametru" var="typParametru" autoFilterAndSort="true"
					editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
					maxRows="${fn:length(listaTypowParametru)}">
				<jmesa:htmlTable style="width: 800px;">
					<jmesa:htmlRow>
						<jmesa:htmlColumn property="lp" title="Lp." styleClass="daneWyroznione nowrap" sortable="false">
							<c:set var="lp" value="${lp + 1}"/>
							${lp}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="typ" title="Typ parametru" styleClass="daneWyroznione nowrap" sortable="false">
							${typParametru.opis}
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="wartosc" title="&lt;od ; do&gt; - wartość" sortable="false" styleClass="nowrap">
							<c:set var="listaParametrow" value="${mapaWartosciParametrow[typParametru]}"/>
							<%@ include file="listaTypowFiltr.jsp" %>
						</jmesa:htmlColumn>
						<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
							<div class="ikonki">
								<c:choose>
									<c:when test="${typParametru.pojedynczaWartosc}">
										<c:choose>
											<c:when test="${fn:length(listaParametrow) == 0}">
												<%@ include file="linkOpcjaDodawanie.jsp" %>
											</c:when>
											<c:otherwise>
												<c:set var="idParametru" value="${listaParametrow[0].id}"/>
												<%@ include file="linkOpcjaEdycja.jsp" %>
												
												<c:set var="idParametru" value="${listaParametrow[0].id}"/>
												<c:set var="sourcePage" value="/jsp/parametrSystemowy/listaTypow.jsp"/>
												<%@ include file="linkOpcjaUsuwanie.jsp" %>
											</c:otherwise>
										</c:choose>
									</c:when>
									<c:otherwise>
										<%@ include file="linkOpcjaPodgladHistoria.jsp" %>
									</c:otherwise>
								</c:choose>
							</div>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</div></div>
	</stripes:layout-component>
</stripes:layout-render>
