<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_DECIMAL'}">
		<fmt:formatNumber value="${parametrSystemowy.wartoscD}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_INTEGER'}">
		${parametrSystemowy.wartoscI}
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_STRING'}">
		${parametrSystemowy.wartoscS}
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'WARTOSC_BOOLEAN'}">
		<c:choose>
			<c:when test="${not empty parametrSystemowy.wartoscB && parametrSystemowy.wartoscB}">
				TAK
			</c:when>
			<c:otherwise>
				NIE
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'ENUM_OPIS'}">
		${ttFn:enumLabel(parametrSystemowy.typ.enumClass.canonicalName, parametrSystemowy.wartoscS, 'opis')}
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_KOD_INT'}">
		<c:set var="slowaSlownika" value="${ttFn:extractCollection(actionBean.context, parametrSystemowy.typ.collectionContextName)}"/>
		<c:set var="wartoscDoPorow" value="${parametrSystemowy.wartoscS}"/>
		<%@ include file="/jsp/templatePages/wypiszWartIntZeSlownikaWgKodu.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_KOD_STRING'}">
		<c:set var="slowaSlownika" value="${ttFn:extractCollection(actionBean.context, parametrSystemowy.typ.collectionContextName)}"/>
		<c:set var="wartoscDoPorow" value="${parametrSystemowy.wartoscS}"/>
		<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_ID_INT'}">
		<c:set var="slowaSlownika" value="${ttFn:extractCollection(actionBean.context, parametrSystemowy.typ.collectionContextName)}"/>
		<c:set var="wartoscDoPorow" value="${parametrSystemowy.slowoId}"/>
		<%@ include file="/jsp/templatePages/wypiszWartIntZeSlownikaWgId.jsp" %>
	</c:when>
	<c:when test="${stripes:enumName(parametrSystemowy.typ.rodzajParametruSystemowego) == 'SLOWO_ID_STRING'}">
		<c:set var="slowaSlownika" value="${ttFn:extractCollection(actionBean.context, parametrSystemowy.typ.collectionContextName)}"/>
		<c:set var="wartoscDoPorow" value="${parametrSystemowy.slowoId}"/>
		<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
	</c:when>
	<c:otherwise>
		<font style="color: red; size: 20px;">BŁĄD IMPLEMENTACJI PROGRAMU !!!</font>
	</c:otherwise>
</c:choose>
