<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaPlanowActionURL" beanclass="pl.topteam.dps.action.planWsparcia.ewidencja.ListaPlanowAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:set var="listaFiltrSourcePage" value="${ttFn:encryptForStripes('/jsp/planWsparciaMieszkanca/ewidencja/listaFiltr.jsp')}"/>
<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaPlanowActionURL}",
					"listaFiltr=1&rok=" + $("input[name='rok']").val() +
						"&_sourcePage=${listaFiltrSourcePage}&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			// wydruk listy przypomnień
			function wydrukEwidencji(id, exportType) {
				pokazLoadImage();

				$("<input type='hidden' name='drukuj' value=''/>").appendTo("#ewidencjaForm");
				$("<input type='hidden' name='exportType' value='" + exportType + "'/>").appendTo("#ewidencjaForm");
				
				// dodawanie filtru do formularza
				createHiddenInputFieldsForLimitAndSubmit(id);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>
			Ewidencja IPWM
			(
				<a href="#" onclick="wydrukEwidencji('listaIPWM', 'ODT');" title="Drukuj ewidencję w podstaci ODT">
					<img src="${root}/img/wykonajODT.gif" class="iconspace"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukEwidencji('listaIPWM', 'DOCX');" title="Drukuj ewidencję w podstaci DOCX">
					<img src="${root}/img/wykonajDOCX.gif" class="iconspace"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukEwidencji('listaIPWM', 'XLS');" title="Drukuj ewidencję w podstaci XLS">
					<img src="${root}/img/wykonajXLS.gif" class="iconspace"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukEwidencji('listaIPWM', 'PDF');" title="Drukuj ewidencję w podstaci PDF">
					<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
				</a>
			)
		</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		<stripes:form id="ewidencjaForm" beanclass="pl.topteam.dps.action.planWsparcia.ewidencja.ListaPlanowAction" style="display: block;">
			za rok&nbsp;&nbsp;
			<stripes:text name="rok" class="rok required" title="Rok za który wyświetlić ewidencję" size="7"/>
			<stripes:submit name="lista" value="Zmień"/>
			<stripes:errors field="rok"></stripes:errors>
			
			<div id="jmesaContainer" style="padding-top: 20px;">
				<c:choose>
					<c:when test="${not empty listaIPWM}">
						<%@ include file="listaFiltr.jsp" %>
					</c:when>
					<c:otherwise>
						<%-- ustawiam jak nie ma co by się tabelka ładnie wyświetlała --%>
						<c:set var="listaIPWM" value="${EMPTY_LIST_CONTEXT_KEY}"/>
						<%@ include file="listaFiltr.jsp" %>
					</c:otherwise>
				</c:choose>
			</div>
		</stripes:form>
	</stripes:layout-component>
</stripes:layout-render>
