<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaIPWM}" id="listaIPWM" var="ipwm" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 850px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="NR_EWIDENCYJNY" title="Nr<br/>ewidencyjny" sortable="true" filterable="true">
				<%-- na potrzeby wywólania lazy loadingu (bo inaczej nie działa --%>
				<div style="display:none;">${ipwm}</div>
				
				${ipwm.nrEwidencyjny}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="NAZWISKO" title="Nazwisko" sortable="true" filterable="true">
				${ipwm.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="IMIE" title="Imię" sortable="true" filterable="true">
				${ipwm.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_ZAMIESZKANIA" title="Data<br/>zamieszkania" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${ipwm.dataZamieszkania}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_ZALOZENIA" title="Data założenia<br/>planu" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${ipwm.dataZalozenia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="aktualizacje" title="Aktualizacje planu<br/>(nr, data od, data do)" sortable="false" filterable="false">
				<c:set var="listaAktualizacji" value="${ipwm.aktualizacjePlanu}"/>
				<%@ include file="listaAktualizacji.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_WYPR_ZGONU" title="Data wyprowadzki /<br/>zgonu" sortable="false" filterable="false">
				<fmt:formatDate value="${ipwm.dataWyprZgonu}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
