<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Generowanie wydruku ewidencji IPWM</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.ewidencja.WydrukEwidencjiAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								sygnatura
							</label>
						</div>
						<div class="input">
							<stripes:text name="sygnaturaWydruku" title="Sygnatura wydruku" size="70"/>
							<stripes:errors field="sygnaturaWydruku"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								tytul
							</label>
						</div>
						<div class="input">
							<stripes:text name="tytul" class="required" title="Tytuł wydruku" size="70"/>
							<stripes:errors field="tytul"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								rok
							</label>
						</div>
						<div class="input">
							<stripes:text name="filtr['rok']" class="rok" title="Rok ewidencji IPWM" size="7"/>
							<stripes:errors field="filtr['rok']"/>
						</div>
					</div>
					<div class="row">
						<div class="label">&nbsp;</div>
						<div class="input">&nbsp;</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku rejestru">
								<stripes:options-enumeration enum="pl.topteam.dps.raport.TypWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.ewidencja.ListaPlanowAction" class="button" event="lista">
							<stripes:param name="rok" value="${not empty actionBean.filtr['rok'] ? actionBean.filtr['rok'] : ttFn:rok(ttFn:teraz())}"></stripes:param>
							&laquo; Wróć
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj wydruk"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>