<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jako, że najpierw na stronie jest brane z pageScope to ustawiam --%>
<c:set var="kategoria" value="${kategoria}" scope="page"/>

<c:set var="rozmiarListy" value="0" scope="page"/>
<c:if test="${not empty kategoria.listaPodkategorii && fn:length(kategoria.listaPodkategorii) > 0}">
	<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaPodkategorii)}" scope="page"/>
</c:if>
<c:if test="${not empty kategoria.listaCzynnosci && fn:length(kategoria.listaCzynnosci) > 0}">
	<c:set var="rozmiarListy" value="${rozmiarListy + fn:length(kategoria.listaCzynnosci)}" scope="page"/>
</c:if>

<c:set var="nazwaKategoriiSkrocona" value="${fn:substring(kategoria.nazwa, 0, liczbaZnakowKategoria)}..."/>
<c:set var="nazwaKategorii" value="${fn:length(kategoria.nazwa) > liczbaZnakowKategoria ? nazwaKategoriiSkrocona : kategoria.nazwa}"/>
<li id="kat_${kategoria.id}" class="kategoria">
	<stripes:checkbox id="T_kat_${kategoria.id}" name="T_kat_${kategoria.id}"
			class="kategoria noLoadImage" title="${not empty kategoria.nazwa ? kategoria.nazwa : 'Kategoria ???'}">
	</stripes:checkbox>
	<label for="T_kat_${kategoria.id}" class="cursorPointer">
		${not empty nazwaKategorii ? nazwaKategorii : 'Kategoria ???'}
	</label>
	<c:if test="${rozmiarListy > 0}">
		<ul>
			<c:forEach items="${kategoria.listaPodkategorii}" var="k" varStatus="j">
				<c:set var="kategoria" value="${k}" scope="request"/>
				<jsp:include page="/jsp/planWsparciaMieszkanca/katalogUslug/katalogDrzewkoKategoria.jsp" />
			</c:forEach>

			<c:forEach items="${kategoria.listaCzynnosci}" var="cz" varStatus="j">
				<c:set var="czynnosc" value="${cz}" scope="request"/>
				<jsp:include page="/jsp/planWsparciaMieszkanca/katalogUslug/katalogDrzewkoCzynnosc.jsp" />
			</c:forEach>
		</ul>
	</c:if>
</li>
