<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPlanow}" id="listaPlanow" var="plan" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableView" 
		maxRows="${fn:length(listaPlanow)}">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dataOd" title="Obowiązuje od" styleClass="daneWyroznione" sortable="false">
				<c:choose>
					<c:when test="${empty plan.dataDo}">
						<ttSec:secure roles="OG_U_PLAN_WSPARCIA_MIESZKANCA" defaultText="${plan.dataOd}" pattern="${DATE_PATTERN}">
							<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaEdycjaAction" event="edycja">
								<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
								<fmt:formatDate value="${plan.dataOd}" pattern="${DATE_PATTERN}" />
							</stripes:link>
						</ttSec:secure>
					</c:when>
					<c:otherwise>
						<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA" defaultText="${plan.dataOd}" pattern="${DATE_PATTERN}">
							<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaEdycjaAction" event="podglad">
								<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
								<fmt:formatDate value="${plan.dataOd}" pattern="${DATE_PATTERN}" />
							</stripes:link>
						</ttSec:secure>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataDo" title="Data aktualizacji" sortable="false">
				<c:if test="${not empty plan.dataDo}">
					<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA" defaultText="${plan.dataDo}" pattern="${DATE_PATTERN}">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaEdycjaAction" event="podglad">
							<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
							<fmt:formatDate value="${ttFn:nastepnyDzien(plan.dataDo)}" pattern="${DATE_PATTERN}" />
						</stripes:link>
					</ttSec:secure>
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaPodgladAction" event="podglad" title="Podgląd planu">
							<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
							<img src="${root}/img/lupa.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>

					<%-- jeżeli jest to aktualny plan to można go usunąć  --%>
					<c:if test="${empty plan.dataDo}">
						&nbsp;&nbsp;&nbsp;
						<ttSec:secure roles="OG_U_PLAN_WSPARCIA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaEdycjaAction" event="edycja" title="Edycja planu">
								<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
								<img src="${root}/img/edit.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="OG_C_PLAN_WSPARCIA_MIESZKANCA">
							<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaAction" event="dodawanieKrok1" title="Aktualizacja planu">
								<stripes:param name="planWsparciaMieszkanca.planAktualizowanyId" value="${plan.id}"/>
								<img src="${root}/img/aktualizacja.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
						<ttSec:secure roles="OG_D_PLAN_WSPARCIA_MIESZKANCA">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.ListaPlanowWsparciaAction" event="usun" title="Usunięcie planu"
									onclick="return confirmation('Czy na pewno chcesz usunąć ten plan ? ')">
								<stripes:param name="planWsparciaMieszkanca.id" value="${plan.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/planWsparciaMieszkanca/mieszkaniec/lista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
