<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="../katalogUslug/katalogDrzewkoHead.jsp" %>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				// zakładki
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h4 class="alignCenter">Podgląd planu wsparcia mieszkańca</h4>
		<div class="formContainer2">
			<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 20px;">
				<ul class="tabs">
					<li>
						<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">
							Dane ogólne
						</a>
					</li>
					<li>
						<a href="#" id="zaklDiagnozy" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('diagnozyPodstawa', this);">
							Diagnozy
						</a>
					</li>
					<li>
						<a href="#" id="zaklCzynnosci" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('czynnosciWybrane', this);">
							Realizowane czynności
						</a>
					</li>
				</ul>
			</div>
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaPodgladAction"
					name="planWsparciaForm" style="border: 0px none;">
				<stripes:hidden id="zakladka" name="zakladka"/>
				<stripes:hidden name="planWsparciaMieszkanca.id"/>
				<stripes:hidden name="planWsparciaMieszkanca.ewidencjaId"/>
				<stripes:hidden name="planWsparciaMieszkanca.planAktualizowanyId"/>

				<div id="tab-container">
					<div id="daneOgolne" class="form" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<c:set var="readOnly" value="readonly"/>
						<%@ include file="/jsp/templatePages/polaPlanWsparciaMieszkanca.jsp" %>
					</div>
					<div id="diagnozyPodstawa" class="form" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<%@ include file="/jsp/planWsparciaMieszkanca/mieszkaniec/podgladDiagnozPodstaw.jsp" %>
					</div>
					<div id="czynnosciWybrane" class="form" style="min-width: 500px;">
						<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
						
						<%@ include file="/jsp/planWsparciaMieszkanca/mieszkaniec/podgladCzynnosci.jsp" %>
					</div>
				</div>
				
				<fieldset class="pelny submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.ListaPlanowWsparciaAction"
								class="button" event="lista">
							&laquo; Wróć
						</stripes:link>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
