<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="../katalogUslug/katalogDrzewkoHead.jsp" %>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				// zakładki
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnOg'}");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Indywidualny plan wsparcia mieszkańca dla ${actionBean.mieszkaniec.nazwiskoImie}</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 20px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDnOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneOgolne', this);">
								Dane ogólne
							</a>
						</li>
						<li>
							<a href="#" id="zaklDiagnozy" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('diagnozyPodstawa', this);">
								Diagnozy
							</a>
						</li>
						<li>
							<a href="#" id="zaklCzynnosci" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('czynnosciWybrane', this);">
								Realizowane czynności
							</a>
						</li>
					</ul>
				</div>
				<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
				<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaEdycjaAction"
						name="planWsparciaForm" style="border: 0px none;">
					<stripes:hidden id="zakladka" name="zakladka"/>
					
					<stripes:hidden name="mieszkaniec.id"/>
					<stripes:hidden name="mieszkaniec.imie"/>
					<stripes:hidden name="mieszkaniec.nazwisko"/>
	
					<stripes:hidden name="planWsparciaMieszkanca.id"/>
					<stripes:hidden name="planWsparciaMieszkanca.ewidencjaId"/>
					<stripes:hidden name="planWsparciaMieszkanca.planAktualizowanyId"/>
	
					<stripes:hidden name="zebranieWykonano.planWsparciaId"/>
					<stripes:hidden name="zebranieWykonano.zebranieZtoId"/>
					
					<div id="tab-container">
						<div id="daneOgolne" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<c:set var="readOnly" value="readonly"/>
							<%@ include file="/jsp/templatePages/polaPlanWsparciaMieszkanca.jsp" %>
						</div>
						<div id="diagnozyPodstawa" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<%@ include file="/jsp/planWsparciaMieszkanca/mieszkaniec/podgladDiagnozPodstaw.jsp" %>
						</div>
						<div id="czynnosciWybrane" class="form" style="min-width: 500px;">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<jsp:include page="../katalogUslug/katalogDrzewko.jsp" />
						</div>
					</div>
					
					<fieldset class="pelny submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" class="button"
									event="edycja">
								<stripes:param name="zakladka" value="zaklPlany"></stripes:param>
								<stripes:param name="zebranie.id" value="${actionBean.zebranieWykonano.zebranieZtoId}"></stripes:param>
								Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
				</stripes:form>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
