<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZebran}" id="listaZebran" var="zebranie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${zebranie.dataPlan}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="godzinaPlan" title="Godzina" filterable="false">
				${zebranie.godzinaPlan}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_ZEBRANIE_ZTO">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" event="edycja">
							<stripes:param name="zebranie.id" value="${zebranie.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj planowane zebranie"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_R_ZEBRANIE_ZTO">
						<c:choose>
							<c:when test="${not empty zebranie.szablonWydrukuId}">
								<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.WydrukInformacjiOZebraniuAction" event="drukuj" target="_blank" title="Drukuj">
									<stripes:param name="zebranie.id" value="${zebranie.id}"/>
									<img src="${root}/img/printer.gif" class="iconspace"/>
								</stripes:link>
							</c:when>
							<c:otherwise>
								<a href="#">
									<img src="${root}/img/printer_disable.gif" class="iconspace" title="Brak wybranego szablonu wydruku !"/>
								</a>
							</c:otherwise>
						</c:choose>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_ZEBRANIE_ZTO">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaPlanowanychZebranAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć to zebranie ? ')">
							<stripes:param name="zebranie.id" value="${zebranie.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/planWsparciaMieszkanca/zebranieZT/listaPlanowanych.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń zebranie ZTO"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
