<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.planWsparciaMieszkanca.planAktualizowanyId}">
				<h3>Nowy indywidualny plan wsparcia dla ${actionBean.mieszkaniec.nazwiskoImie} (krok 1-wszy: dane ogólne)</h3>
			</c:when>
			<c:otherwise>
				<h3>Aktualizacja indywidualnego planu wsparcia dla ${actionBean.mieszkaniec.nazwiskoImie} (krok 1-wszy: dane ogólne)</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="mieszkaniec.id"/>
				<stripes:hidden name="mieszkaniec.imie"/>
				<stripes:hidden name="mieszkaniec.nazwisko"/>
				<stripes:hidden name="zebranieWykonano.zebranieZtoId"/>
				<stripes:hidden name="zebraniePlan.ewidencjaId"/>
				<stripes:hidden name="planWsparciaMieszkanca.planAktualizowanyId"/>

				<stripes:hidden name="planWsparciaMieszkanca.ewidencjaId" value="${actionBean.zebraniePlan.ewidencjaId}"/>
				<fieldset>
					<%@ include file="/jsp/templatePages/polaPlanWsparciaMieszkanca.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" class="button"
								event="edycja">
							<stripes:param name="zakladka" value="zaklPlany"></stripes:param>
							<stripes:param name="zebranie.id" value="${actionBean.zebranieWykonano.zebranieZtoId}"></stripes:param>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
