<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<%@ include file="../katalogUslug/katalogDrzewkoHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script>
			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<h3>Nowy indywidualny plan wsparcia dla ${actionBean.mieszkaniec.nazwiskoImie} (krok 2-gi: wybór czynności)</h3>
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaAction" style="width: 95%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<c:choose>
						<c:when test="${fn:length(listaDiagnozMieszkanca) > 0}">
							<fieldset>
								<legend>
									Diagnozy mieszkańca
									(ważne od: <fmt:formatDate value="${dataWaznosciDiagnoz}" pattern="${DATE_PATTERN}" />)
								</legend>
								
								<%@ include file="../wyborRealizacjiDiagnoz.jsp" %>
							</fieldset>
							<stripes:submit name="podpowiedzZDiagnoz">Podpowiedz czynności na podstawie diagnoz</stripes:submit>
							
							<br/><br/>
							<fieldset>
								<legend>Czynności realizowane na rzecz mieszkańca</legend>
								
								<jsp:include page="../katalogUslug/katalogDrzewko.jsp" />
							</fieldset>
						</c:when>
						<c:otherwise>
							Dla mieszkańca nie znaleziono kompletnych diagnoz ważnych od dnia
							<fmt:formatDate value="${dataWaznosciDiagnoz}" pattern="${DATE_PATTERN}" />
							
							<br/><br/>
							<jsp:include page="../katalogUslug/katalogDrzewko.jsp" />
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" class="button"
								event="edycja">
							<stripes:param name="zakladka" value="zaklPlany"></stripes:param>
							<stripes:param name="zebranie.id" value="${actionBean.zebranieWykonano.zebranieZtoId}"></stripes:param>
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;&nbsp;
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
