<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					hideWhenAdded: true,
					debugMode: false,
					selectClass : 'asmSelect'
				});

				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklDnZ'}");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Zebranie zespołu terapeutyczno-opiekuńczego</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklDnZ" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneZebrania', this);">Dane zebrania</a>
						</li>
						<li>
							<a href="#" id="zaklPlany" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('danePlany', this);">Plany wsparcia</a>
						</li>
					</ul>
				</div>
				<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" style="border: 0px none;">
					<stripes:hidden name="zakladka" id="zakladka" value="${actionBean.zakladka}"/>
					
					<stripes:hidden name="zebranie.id"/>
					<stripes:hidden name="zebranie.zrealizowano"/>
					<div id="tab-container">
						<div id="daneZebrania" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<%@ include file="zebranieEdycjaPolaZebranie.jsp" %>
						</div>

						<div id="danePlany" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							
							<c:choose>
								<c:when test="${not empty actionBean.zebranie.zrealizowano && actionBean.zebranie.zrealizowano}">
									<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaNowyAction" class="button"
											event="wyszukajMieszkanca">
										<stripes:param name="zebraniePlan.zebranieZtoId" value="${actionBean.zebranie.id}"></stripes:param>
										Wprowadź nowy plan wsparcia
									</stripes:link>
									<br/><br/>
									<%@ include file="zebranieEdycjaPolaUtworzonePlany.jsp" %>
								</c:when>
								<c:otherwise>
									<h4>Lista planowanych</h4>
									<%@ include file="zebranieEdycjaPolaPlany.jsp" %>
									<h4>Lista utworzonych</h4>
									<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaNowyAction" class="button"
											event="wyszukajMieszkanca">
										<stripes:param name="zebraniePlan.zebranieZtoId" value="${actionBean.zebranie.id}"></stripes:param>
										Wprowadź spoza planowych
									</stripes:link>
									<br/><br/>
									<%@ include file="zebranieEdycjaPolaUtworzonePlany.jsp" %>
								</c:otherwise>
							</c:choose>
						</div>
					</div>
					<fieldset class="pelny submit">
						<div>
							<c:choose>
								<c:when test="${not empty actionBean.zebranie.zrealizowano && actionBean.zebranie.zrealizowano}">
									<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaZebranAction" class="button"
											event="lista">
										&laquo; Anuluj
									</stripes:link>
								</c:when>
								<c:otherwise>
									<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaPlanowanychZebranAction" class="button"
											event="lista">
										&laquo; Anuluj
									</stripes:link>
								</c:otherwise>
							</c:choose>
							<ttSec:secure roles="MED_U_ZEBRANIE_ZTO">
								&nbsp;&nbsp;
								<stripes:submit name="zapisz">Zapisz</stripes:submit>
							</ttSec:secure>
						</div>
					</fieldset>
				</stripes:form>
			</div>			
		</div>
	</stripes:layout-component>
</stripes:layout-render>