<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPlanow}" id="listaPlanow" var="plan"
		view="pl.topteam.utils.jmesa.view.SimpleTableView" exportTypes="" autoFilterAndSort="false"
		editable="false" maxRows="${fn:length(listaPlanow) > 0 ? fn:length(listaPlanow) : 1}">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 85%;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwiskoImie" title="Osoba" styleClass="daneWyroznione alignLeft">
				${plan.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_PLAN_WSPARCIA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.PlanWsparciaEdycjaAction" event="edycja">
							<stripes:param name="zebranieWykonano.planWsparciaId" value="${plan.planWsparciaId}"/>
							<stripes:param name="zebranieWykonano.zebranieZtoId" value="${plan.zebranieZtoId}"/>
							<img src="${root}/img/edit.gif" class="iconspace" title="Edytuj plan dla ${plan.osoba.nazwiskoImie}"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_D_PLAN_WSPARCIA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieEdycjaAction" event="usunPlanWsparcia"
								class="noLoadImage"
								onclick="return confirmation('Czy na pewno chcesz usunąć plan wsparcia dla mieszkańca ${plan.osoba.nazwiskoImie} ? ')">
							<stripes:param name="zebranieWykonano.planWsparciaId" value="${plan.planWsparciaId}"/>
							<stripes:param name="zebranieWykonano.zebranieZtoId" value="${plan.zebranieZtoId}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/planWsparciaMieszkanca/zebranieZT/zebranieEdycja.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace" title="Usń plan dla ${plan.osoba.nazwiskoImie}"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
