<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>

		<script type="text/javascript" src="${root}/js/utils/removeElem.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// autopodpowiedzi
				$("#mieszkaniec").click();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Dodawanie zebrania ZTO (krok: wybór mieszkańców)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="naPodstawiePrzypomnien"/>
				<fieldset>
					<legend>
						Wybierz z listy
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecPodpField.jsp" %>
					
					<stripes:submit name="krokWprowadzMieszkanca" value="Wprowadź na listę"/>
				</fieldset>
				<fieldset>
					<legend>
						Mieszkańcy wybrani
					</legend>
					<stripes:errors field="mapaMieszkancow"/>
					<%@ include file="listaMieszkancow.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<c:choose>
							<c:when test="${not empty actionBean.naPodstawiePrzypomnien && actionBean.naPodstawiePrzypomnien}">
								<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnieniaAction"
										class="button" event="lista">
									<stripes:param name="typPrzypomnienia" value="IPWM"></stripes:param>
									&laquo; Anuluj
								</stripes:link>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ListaPlanowanychZebranAction"
										class="button" event="lista">
									&laquo; Anuluj
								</stripes:link>
							</c:otherwise>
						</c:choose>
				  		&nbsp;&nbsp;
						<stripes:submit name="krokTerminPracownicy" value="Następny krok »"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>