<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					hideWhenAdded: true,
					debugMode: false,
					selectClass : 'asmSelect'
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Dodawanie zebrania ZTO (krok: wybór terminu i pracowników)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.planWsparcia.zebranieZT.ZebranieAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Szczegóły terminu zebrania
					</legend>
					<c:set var="poleZebranieZTO" value="zebranie"/>
					<%@ include file="/jsp/templatePages/polaZebraniePlanowaneZTO.jsp" %>
				</fieldset>
				<fieldset>
					<legend>
						Pracownicy biorący udział
					</legend>
					
					<div class="row">
						<div class="label">
						</div>
						<div class="input">
							<stripes:select name="pracownicy[]" multiple="multiple" 
									id="selPracownicy" title="${OPCJA_WYBIERZ}">
								<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
							</stripes:select>
							<stripes:errors field="pracownicy[]"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="powrotKrokMieszkancy" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>