<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		<style>
			.kolejnoscDiv {
				float: right;
			}
			
			.toggleSelectable li {
				height: 23px;
			}
		</style>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.formatCsv.id}">
				<h3>Edycja formatu CSV</h3>
			</c:when>
			<c:otherwise>
				<h3>Definicja formatu CSV</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.system.plik.format.csv.FormatAction" style="width: 400px;">
				<stripes:hidden name="formatCsv.id"/>
				
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<c:set var="nazwaPolaFormatCsv" value="formatCsv"/>
					<%@ include file="/jsp/templatePages/polaFormatCSV.jsp" %>
					
					<div class="row">
						<div class="label">
							<label>
								pola
							</label>
						</div>
						<div class="input">
							<span class="tip" style="padding-bottom: 5px;">
								<ol>
									<li>ustal kolejność dla pól występujących w formacie</li>
									<li>nie wszystkie z pokazanych poniżej muszą w nim występować (dla tych nie wpisuj liczby)</li>
									<li>pierwsze pole ma kolejność = 1</li>
								</ol>
							</span>
							<stripes:errors field="kolejnoscPol"></stripes:errors>
							<ul class="toggleSelectable">
								<c:forEach items="${listaNazwPol}" var="nazwaPola" varStatus="i">
									<li class="ui-widget-content ui-selectee">
										${nazwaPola.opis}
										
										<div class="kolejnoscDiv">
											<stripes:text name="kolejnoscPol[${nazwaPola}]" class="numberInteger nChkb"
													size="7" title="Kolejność dla '${nazwaPola.opis}'"/>
										</div>
									</li>
								</c:forEach>
							</ul>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.system.plik.format.csv.ListaFormatowAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>