<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<%@ include file="htmlHeadEdycjaSwiadczenia.jsp" %>
	
	<c:choose>
		<c:when test="${not empty actionBean.pobieraneSwiadczenie.id}">
			<c:set var="j" value="${actionBean.pobieraneSwiadczenie.id}"/>
		</c:when>
		<c:otherwise>
			<c:set var="j" value="0"/>
		</c:otherwise>
	</c:choose>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.PobieraneSwiadczenieAction" name="swiadczenieForm">
				<fieldset id="pobSwiadczenieFields_${j}">
					<legend>
						<c:choose>
							<c:when test="${not empty actionBean.pobieraneSwiadczenie.id}">
								Edycja świadczenia pobieranego przez mieszkańca
								<stripes:hidden name="pobieraneSwiadczenie.id"/>
								<stripes:hidden name="pobieraneSwiadczenie.swiadczenieZmienioneId"/>
							</c:when>
							<c:otherwise>
								Wstawianie nowego świadczenia pobieranego przez mieszkańca
							</c:otherwise>
						</c:choose>
					</legend>
					<div>
						<stripes:button name="pobSwiadNowyDodatek_${j}" class="noLoadImage" onclick="nowyDodatekSwiadczenia(${j});">Wprowadź nowy dodatek</stripes:button>
					</div>
					
					<c:set var="poleSwiadczenie" value="pobieraneSwiadczenie"/>
					<c:set var="dataZmianySwiadczenia" value="${actionBean.pobieraneSwiadczenie.dataZmiany}"/>
					<c:if test="${not empty actionBean.pobieraneSwiadczenie.swiadczenieZmienioneId}">
						<c:set var="zmianaSwiadczeniaRequired" value="required"/>
					</c:if>
					<c:set var="listaRodzajowSwiadczen" value="${actionBean.listaRodzajowSwiadczen}"/>
					<c:set var="listaTerminowWyplaty" value="${actionBean.listaTerminowWyplaty}"/>
					<%@ include file="/jsp/templatePages/polaPobieraneSwiadczenie.jsp" %>
					
					<c:set var="pobieraneSwiadczenie" value="${actionBean.pobieraneSwiadczenie}"/>
					<c:forEach items="${actionBean.listaDodatkow}" var="dodatek" varStatus="i">
						<c:set var="k" value="${i.count - 1}"/>
					
						<fieldset id="dodatekSwiadczenie${pobieraneSwiadczenie.id}Fields_${k}" style="border: 0px none;">
							<legend style="padding-left: 5%; width: 100px;">
								Dodatek&nbsp;<img src="${root}/img/delete.gif" onclick="removeElem('dodatekSwiadczenie${actionBean.pobieraneSwiadczenie.id}Fields_${k}')" onmouseover="this.style.cursor='pointer'" title="Usuń"/>
							</legend>
							
							<stripes:hidden name="listaDodatkow[${k}].id"/>
							<c:set var="poleDodatek" value="listaDodatkow[${k}]"/>
							<%@ include file="../templatePages/polaDodatekPobieraneSwiadczenie.jsp" %>
						</fieldset>
					</c:forEach>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.ListaPobieranychSwiadczenAction" class="button" event="listaZSesji">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>