<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form style="border: 0px; padding: 10px;" beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.ListaPobieranychSwiadczenAction">
	Stan na dzień: <stripes:text name="stanNaDzien" class="data" size="11" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;
	<stripes:submit name="listaFiltr">Pokaż</stripes:submit>
</stripes:form>
<c:set var="kwotaSum" value="0.00"/>
<jmesa:tableFacade items="${listaPobSwiadczen}" id="listaPobSwiadczen" var="pobSwiadczenie" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaPobSwiadczen)}">
	<jmesa:htmlTable style="min-width: 600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rodzajSwiadczenia" title="Rodzaj świadczenia" styleClass="daneWyroznione" sortable="false">
				${pobSwiadczenie.nazwa}
				
				<c:if test="${not empty pobSwiadczenie.nr || not empty pobSwiadczenie.terminWyplaty}">
					<br/><br/>
				</c:if>
				<c:if test="${not empty pobSwiadczenie.nr}">
					nr: ${pobSwiadczenie.nr}
				</c:if>
				<c:if test="${not empty pobSwiadczenie.nr && not empty pobSwiadczenie.terminWyplaty}">
					<br/>
				</c:if>
				<c:if test="${not empty pobSwiadczenie.terminWyplaty}">
					(${pobSwiadczenie.terminWyplaty.tekst})
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataOd" title="Data od" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="dataDo" title="Data do" sortable="false">
				<c:choose>
					<c:when test="${not empty pobSwiadczenie.dataZmiany}">
						<fmt:formatDate value="${pobSwiadczenie.dataZmiany}" pattern="${DATE_PATTERN}" />
						<c:if test="${not empty pobSwiadczenie.dataDo}">
							<br/><br/>
							(<fmt:formatDate value="${pobSwiadczenie.dataDo}" pattern="${DATE_PATTERN}" />)
						</c:if>
					</c:when>
					<c:otherwise>
						<fmt:formatDate value="${pobSwiadczenie.dataDo}" pattern="${DATE_PATTERN}" />
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Wartość" sortable="false">
				<table style="border: 0px; width: 100%;" cellpadding="0" cellspacing="0">
					<tr>
						<td style="width: 70%; text-align: right; border: 0px;">
							&nbsp;
						</td>
						<td class="kwotaTd" style="border: 0px;">
							<fmt:formatNumber value="${pobSwiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
							<c:set var="kwotaSum" value="${kwotaSum + pobSwiadczenie.kwota}"/>
						</td>
					</tr>
					<c:forEach items="${pobSwiadczenie.dodatki}" var="dodatek">
						<tr>
							<td style="width: 200px; text-align: right; border: 0px;">
								<c:set var="slowaSlownika" value="${kodDodatkuPobieranegoSwiadczeniaSlownik}"/>
								<c:set var="wartoscDoPorow" value="${dodatek.kodDodatkuId}"/>
								<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>:
							</td>
							<td class="kwotaTd" style="border: 0px;" nowrap="nowrap">
								<fmt:formatNumber value="${dodatek.wartosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${dodatek.jednostka.skrot}
								<c:if test="${stripes:enumName(dodatek.jednostka) != 'POLSKI_ZLOTY'}">
									<c:choose>
										<c:when test="${not empty dodatek.ekwiwalent}">
											&nbsp;=&nbsp;<fmt:formatNumber value="${dodatek.ekwiwalent}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
										</c:when>
										<c:otherwise>
											&nbsp;=&nbsp;- - - - - -
										</c:otherwise>
									</c:choose>
								</c:if>
							</td>
						</tr>
					</c:forEach>
				</table>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_POB_SWIAD">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.PobieraneSwiadczenieAction" event="edycja">
							<stripes:param name="pobieraneSwiadczenie.id" value="${pobSwiadczenie.id}"/>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj świadczenie"/>
						</stripes:link>
					</ttSec:secure>
					<c:if test="${empty pobSwiadczenie.dataZmiany}">
						<ttSec:secure roles="SOC_C_POB_SWIAD">
							<stripes:link beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.ZmianaWysokosciAction" event="zmianaFormatka">
								<stripes:param name="pobieraneSwiadczenie.swiadczenieZmienioneId" value="${pobSwiadczenie.id}"/>
								<img src="${root}/img/del.png" border="0" title="Zmień wysokość świadczenia"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<ttSec:secure roles="SOC_D_POB_SWIAD">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.pobieraneSwiadczenie.ListaPobieranychSwiadczenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć świadczenie ? ')">
							<stripes:param name="pobieraneSwiadczenie.id" value="${pobSwiadczenie.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/pobieraneSwiadczenia/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń świadczenie"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

<c:set var="razemWszystko" value="0.00"></c:set>
<table class="table" width="600px">
	<tbody class="tbody">
		<tr>
			<td style="text-align: right;">
				Razem świadczenia :
			</td>
			<td class="kwotaTd">
				<fmt:formatNumber value="${kwotaSum}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
				<c:set var="razemWszystko" value="${razemWszystko + kwotaSum}"/>
			</td>
			<td style="width: 65px;">
				<div class="ikonki">
					&nbsp;
				</div>
			</td>
		</tr>
		<c:forEach items="${sumaDodatkow}" var="dodatek">
			<tr>
				<td style="text-align: right; width: 60%;">
					<c:set var="znalez" value="false"/>
					<c:forEach items="${kodDodatkuPobieranegoSwiadczeniaSlownik}" var="slowo">
						<c:if test="${slowo.id == dodatek.kodDodatkuId}">
							Razem "${slowo.wartString}" :
							<c:set var="znalez" value="true"/>
						</c:if>
					</c:forEach>
					<c:if test="${znalez == false}">
						Razem "Brak w słowniku (${wartoscDoPorow}) !!!" :
					</c:if>
				</td>
				<td class="kwotaTd" nowrap="nowrap">
					<fmt:formatNumber value="${dodatek.wartosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${dodatek.jednostka.skrot}
					<c:choose>
						<c:when test="${stripes:enumName(dodatek.jednostka) == 'POLSKI_ZLOTY'}">
							<c:set var="razemWszystko" value="${razemWszystko + dodatek.wartosc}"/>
						</c:when>
						<c:when test="${stripes:enumName(dodatek.jednostka) != 'POLSKI_ZLOTY' && not empty dodatek.ekwiwalent && dodatek.ekwiwalent > 0.00}">
							&nbsp;=&nbsp;<fmt:formatNumber value="${dodatek.ekwiwalent}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
							<c:set var="razemWszystko" value="${razemWszystko + dodatek.ekwiwalent}"/>
						</c:when>
					</c:choose>
				</td>
				<td>
					<div class="ikonki">
						&nbsp;
					</div>
				</td>
			</tr>
		</c:forEach>
		<tr>
			<td colspan="2" align="right"><hr style="width: 400px;"></hr></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align: right; width: 60%;">
				RAZEM:
			</td>
			<td class="kwotaTd" nowrap="nowrap">
				<fmt:formatNumber value="${razemWszystko}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
			</td>
			<td>
				<div class="ikonki">
					&nbsp;
				</div>
			</td>
		</tr>
	</tbody>
</table>
