<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Polityka bezpieczeństwa</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<ttSec:secure roles="ADM_U_POLITYKA_BEZPIECZENSTWA">
			<stripes:link class="button" beanclass="pl.topteam.dps.action.administracja.politykaBezpieczenstwa.EdycjaPolitykiAction" event="edycja">
				Zmień
			</stripes:link>
		</ttSec:secure>
		<br/><br/>
		<div class="jmesa">
			<table class="table">
				<tbody class="tbody">
					<c:set var="i" value="0"/>
					
					<tr class="header">
						<td class="alignCenter" colspan="2">Stosowane hasła</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>długość historii</td>
						<td>${politykaBezpieczenstwa.dlHistoriiHasla}</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>minimalna długość</td>
						<td>${politykaBezpieczenstwa.minDlHasla}</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>maksymalna długość</td>
						<td>${politykaBezpieczenstwa.maxDlHasla}</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>liczba dni obowiązywania</td>
						<td>
							<c:choose>
								<c:when test="${not empty politykaBezpieczenstwa.lDniObowiazywaniaHasla}">
									${politykaBezpieczenstwa.lDniObowiazywaniaHasla}
								</c:when>
								<c:otherwise>
									--- brak limitu ---
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>
							liczba dni z ostrzeżeniami<br/>
							o konieczności zmiany
						</td>
						<td>
							<c:choose>
								<c:when test="${not empty politykaBezpieczenstwa.lDniZmianaHasla}">
									${politykaBezpieczenstwa.lDniZmianaHasla}
								</c:when>
								<c:otherwise>
									--- brak ---
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>
							szczegóły budowy
						</td>
						<td>
							<c:choose>
								<c:when test="${fn:length(politykaBezpieczenstwa.grupyZnakow) > 0}">
									<table class="table">
										<thead>
											<tr class="header">
												<td>
													min.
												</td>
												<td>
													z zestawu
												</td>
											</tr>
										</thead>
										<tbody class="tbody">
											<c:forEach items="${politykaBezpieczenstwa.grupyZnakow}" var="charGroup" varStatus="_i">
												<c:set var="_klasa" value="${_i.count % 2 == 1 ? 'odd' : 'even'}"/>
												<tr class="${_klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${_klasa}'">
													<td>
														${charGroup.minZnakow}
													</td>
													<td>
														${charGroup.znaki}
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</c:when>
								<c:otherwise>
									 --- brak ---
								</c:otherwise>
							</c:choose>
						</td>
					</tr>
				</tbody>
				
				<tbody class="tbody">
					<c:set var="i" value="0"/>
					
					<tr class="header">
						<td class="alignCenter" colspan="2">
							Uwierzytelnianie użytkowników
						</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>liczba niepoprawnych prób logowania</td>
						<td>${politykaBezpieczenstwa.probNLogowan}</td>
					</tr>
					
					<c:set var="i" value="${i+1}"/>
					<c:set var="klasa" value="${i % 2 == 1 ? 'odd' : 'even'}"/>
					<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
						<td>czas blokady po wykorzystanych próbach</td>
						<td>${politykaBezpieczenstwa.probCzasBlokady}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</stripes:layout-component>

</stripes:layout-render>

