<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWpisow}" id="listaWpisow" var="map" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_POMIARU" title="Data" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_POMIAR_CISN_TETN" defaultText="${map['DATA_POMIARU']}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						<fmt:formatDate value="${map['DATA_POMIARU']}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="cisnienie" title="Ciśnienie<br/>[mmHg]" sortable="false" filterable="false">
				<ttSec:secure roles="MED_U_POMIAR_CISN_TETN" defaultText="${map['CISN_SKURCZ']} / ${map['CISN_ROZKURCZ']} (tętno: ${map['TETNO']})">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						${map['CISN_SKURCZ']} / ${map['CISN_ROZKURCZ']}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="tetno" title="Tętno" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty map['TETNO']}">
						<ttSec:secure roles="MED_U_POMIAR_CISN_TETN" defaultText="${map['TETNO']}">
							<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction" event="edycja">
								<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
								${map['TETNO']}
							</stripes:link>
						</ttSec:secure>
					</c:when>
					<c:otherwise>
						<%-- w przypadku gdy zmieniono definicję pomiaru wprowadzając nowe pole tętno (może nie być takiej informacji) 2011-11-23 --%>
						<span class="err">[DO UZUPEŁNIENIA]</span>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_POMIAR_CISN_TETN">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction" event="edycja">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_POMIAR_CISN_TETN">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.pomiary.ListaPomiarowCisnieniaTetnAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten pomiar ? ')">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/pomiar/cisnienieTetnLista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
