<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<c:set var="bibliotekiAutoComplete" value="false"/>
		<c:set var="styleAutoComplete" value="false"/>
		<%@ include file="/jsp/templatePages/podpowiedziHead/mieszkaniecPodpHead.jsp" %>
		
		<script type="text/javascript">
			$(document).ready(function() {
				jQuery.ajaxSetup({ 
					type: "POST"
				});
				
				// autopodpowiedzi
				$("#osoba").click();
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Rejestracja pomiaru ciśnienia dla mieszkańca</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarCisnieniaTetnAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Dane pomiaru
					</legend>
					
					<c:set var="requiredClass" value="required"/>
					<%@ include file="/jsp/templatePages/podpowiedziField/mieszkaniecAsOsobaPodpField.jsp" %>
					
					<stripes:hidden name="szybkieWprowadzanie" value="true"/>
					<stripes:hidden name="informacjaDodatkowaWpis.informacjaDodatkowaId"></stripes:hidden>
					
					<c:forEach items="${listaPolInformacji}" var="informacjaPole" varStatus="i">
						<%@ include file="/jsp/templatePages/polaInformacjaDodatkowa.jsp" %>
					</c:forEach>
				</fieldset>
				<fieldset>
					<legend>
						Instrukcje dot. dalszego wprowadzania
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								kontynuuj wprowadzanie<br/>
								dla innego mieszkańca
							</label>
						</div>
						<div class="input">
							<stripes:checkbox name="kontynujWprowadzanie" title="Czy po zapisie danych wrócić do formularza wprowadzania" value="true"/>
							<stripes:errors field="kontynujWprowadzanie"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
