<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaPomiarowTemperaturyCialaActionURL" beanclass="pl.topteam.dps.action.medyczni.pomiary.ListaPomiarowTemperaturyCialaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaPomiarowTemperaturyCialaActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			        	ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer2">
			<div class="linki">
				<a id="lnkDecKiers" href="#" class="aktywny">
					Lista pomiarów temperatury ciała
				</a>
			</div>
			<div class="form" align="center" style="width: 80%;">
				<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
				
				<div id="jmesaContainer">
					<%@ include file="temperaturaCialaListaFiltr.jsp" %>
				</div>
				<ttSec:secure roles="MED_C_POMIAR_TEMP_CIALA">
					<div class="listFooterText">
						<stripes:link class="button" beanclass="pl.topteam.dps.action.medyczni.pomiary.PomiarTemperaturyCialaAction" event="dodawanie">
							Wprowadź pomiar
						</stripes:link>
					</div>
				</ttSec:secure>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
