<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="dzis" value="${ttFn:dzis()}"/>
<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<table class="oprogramie" align="center" style="margin-top: 50px;">
			<tr>
				<td>
					<span>Dane jednostki DPS (NIP: ${dpsJednostka.nip})</span><br/>
					
					<br/>
					${dpsJednostka.nazwa}<br/>
					${dpsJednostka.adres.postacDoDruku[0]}<br/>
					${dpsJednostka.adres.postacDoDruku[1]}<br/>
					<c:if test="${not empty dpsJednostka.adres.telefon}">
						tel. ${dpsJednostka.adres.telefon}<br/>
					</c:if>
					<c:if test="${not empty dpsJednostka.adres.fax}">
						fax ${dpsJednostka.adres.fax}<br/>
					</c:if>
					
					<hr/>
					<c:if test="${not empty licencjaTTDps}">
						<span>Produkt licencjonowany dla (NIP: ${licencjaTTDps.nip})</span> <br/>
						
						<br/>
						${licencjaTTDps.klient}<br/>
						nr licencji: ${licencjaTTDps.nrLicencji}<br/>
						wystawiono dnia: <fmt:formatDate value="${licencjaTTDps.data}" pattern="${DATE_PATTERN}" /><br/>
						ważna do: <fmt:formatDate value="${licencjaTTDps.dataWaznosci}" pattern="${DATE_PATTERN}" />
							<c:choose>
								<c:when test="${ttFn:compareDates(dzis, licencjaTTDps.dataWaznosci) < 0}">
									<%-- licencja wazna --%>
									<span style="color: green;">(jeszcze przez: ${ttFn:dniOdDo(dzis, licencjaTTDps.dataWaznosci)} dni)</span>
								</c:when>
								<c:when test="${ttFn:compareDates(dzis, licencjaTTDps.dataWaznosci) == 0}">
									<span style="color: red;">(to już dzisiaj)</span>
								</c:when>
								<c:otherwise>
									<span class="blink" style="color: red;">(NIEWAŻNA)</span>
								</c:otherwise>
							</c:choose>
						<br/>
						
						<br/>
						wystawiona na: ${licencjaTTDps.pakiet.opis}
						<c:if test="${licencjaTTDps.isTylkoDoOdczytu()}">
							<div class="daneWyroznione blink padding-top-15" style="color: red;">TYLKO ODCZYT DANYCH</div>
						</c:if>
						<div style="margin-bottom: 20px;">&nbsp;</div>
					</c:if>
					<stripes:link class="button" beanclass="pl.topteam.dps.action.system.dpsJednostka.LicencjaAction" event="licencja">
						Aktualizacja licencji na program
					</stripes:link>
				</td>
			</tr>
		</table>
	</stripes:layout-component>
</stripes:layout-render>