<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp"%>

		<c:set var="clientLocale" value="${pageContext.request.locale}" />
		<c:set var="clientLocales" value="${pageContext.request.locales}" />
		
		<div class="jmesa">
		<table class="table">
			<caption>przeglądarka</caption>
			<tbody class="tbody">
			<tr class="odd">
				<td style="width: 170px;">widziana jako</td>
				<td>${header["User-Agent"]}</td>
			</tr>
			</tbody>
			<tbody class="tbody">
			<tr class="odd">
				<td style="width: 170px;">preferowane locale</td>
				<td>${clientLocale.displayName}</td>
			</tr>
			<tr class="even">
				<td>preferowana narodowość</td>
				<td>${clientLocale.displayCountry}</td>
			</tr>
			<tr class="odd">
				<td>preferowany język</td>
				<td>${clientLocale.displayLanguage}</td>
			</tr>
			</tbody>
		</table>
		</div>
		<br/><br/>
		<div class="jmesa">
			<c:set var="_request" value="${pageContext.request}"/>
			<table class="table">
				<caption>request</caption>
				<tbody class="tbody">
					<tr class="odd">
						<td>nazwa lokalna</td>
						<td>${_request.localName} </td>
					</tr>
					<tr class="even">
						<td>serwer : port</td>
						<td>${_request.localAddr} : ${_request.localPort}</td>
					</tr>
					<tr class="odd">
						<td>przeglądarka : port</td>
						<td>${_request.remoteAddr} : ${_request.remotePort}</td>
					</tr>
				</tbody>
			</table>
		</div>
		<br/><br/>
		<div class="jmesa">
		<c:forEach items="${clientLocales}" var="loc" varStatus="i">
			<table class="table">
				<caption>możliwe lokalizacje do wyboru</caption>
				<tbody class="tbody">
					<tr class="odd">
						<td style="width: 100px;">Locale</td>
						<td>${loc.displayName}</td>
					</tr>
					<tr class="even">
						<td>narodowość</td>
						<td>${loc.displayCountry}</td>
					</tr>
					<tr class="odd">
						<td>język</td>
						<td>${loc.displayLanguage}</td>
					</tr>
				</tbody>
			</table>
		</c:forEach>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
