<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="kwotaSum" value="0.00"/>
<jmesa:tableFacade items="${listaPostanowien}" id="listaPostanowien" var="postanowienieSadu" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" exportTypes="" autoFilterAndSort="false" maxRows="${fn:length(listaPostanowien)}">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Nr postanowienia" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="SOC_U_POSTANOWIENIE_SADU">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.PostanowienieSaduAction" event="edycja">
						<stripes:param name="postanowienieSadu.id" value="${postanowienieSadu.id}"></stripes:param>
						${postanowienieSadu.nr}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataPostanowienia" title="Data postanowienia" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="rodzajPostanowieniaId" title="Rodzaj postanowienia" sortable="false">
				<c:set var="slowaSlownika" value="${kodRodzajuPostanowieniaSaduSlownik}"/>
				<c:set var="wartoscDoPorow" value="${postanowienieSadu.rodzajPostanowieniaId}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgId.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_POSTANOWIENIE_SADU">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.PostanowienieSaduAction" event="edycja">
							<stripes:param name="postanowienieSadu.id" value="${postanowienieSadu.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj postanowienia"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_POSTANOWIENIE_SADU">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.postanowienieSadu.ListaPostanowienSadowychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć postanowienie nr ${postanowienieSadu.nr} ? ')">
							<stripes:param name="postanowienieSadu.id" value="${postanowienieSadu.id}"></stripes:param>
							<c:choose>
								<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/postanowienieSadu/listaMieszkaniec.jsp')}"/>
								</c:when>
								<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON'}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/postanowienieSadu/listaOczekujacy.jsp')}"/>
								</c:when>
							</c:choose>
							<img src="${root}/img/delete.gif" border="0" title="Usuń postanowienie"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
