<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPracownikow}" id="listaPracownikow" var="pracownik" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="czyPracuje" title="Pracuje?" sortable="false" filterable="false">
				<c:if test="${pracownik.czyPracuje}"><span class="fastView">TAK</span></c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione" sortable="true">
				<ttSec:secure roles="ADM_U_PRACOWNIK" defaultText="${pracownik.nazwisko}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikEdycjaAction" event="edycja">
						<stripes:param name="pracownik.id" value="${pracownik.id}"/>
						${pracownik.nazwisko}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione" sortable="true">
				<ttSec:secure roles="ADM_U_PRACOWNIK" defaultText="${pracownik.imie}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikEdycjaAction" event="edycja">
						<stripes:param name="pracownik.id" value="${pracownik.id}"/>
						${pracownik.imie}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="login" title="Login" sortable="true">
				<ttSec:secure roles="ADM_U_PRACOWNIK" defaultText="${pracownik.login}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikEdycjaAction" event="edycja">
						<stripes:param name="pracownik.id" value="${pracownik.id}"/>
						${pracownik.login}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="grupaId" title="Grupa" sortable="true" filterEditor="pl.topteam.dps.model.jmesaSupport.GrupaDropList">
				<ttSec:secure roles="ADM_U_PRACOWNIK" defaultText="${pracownik.grupa.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikEdycjaAction" event="edycja">
						<stripes:param name="pracownik.id" value="${pracownik.id}"/>
						${pracownik.grupa.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="ADM_U_PRACOWNIK">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.pracownicy.PracownikEdycjaAction" event="edycja">
							<stripes:param name="pracownik.id" value="${pracownik.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>

					<%-- użytkownika początkowego nie można usunąć !!!, co najwyżej można go wyłączyć --%>
					<c:if test="${!DEMO_APLIKACJI_CONTEXT_KEY && pracownik.id != 1}">
						<ttSec:secure roles="ADM_D_PRACOWNIK">
							<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.pracownicy.ListaPracownikowAction" event="usun"
									onclick="return confirmation('Czy na pewno chcesz usunąć pracownika /${pracownik.nazwiskoImie}/ ? ')">
								<stripes:param name="pracownik.id" value="${pracownik.id}"/>
								<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/pracownicy/lista.jsp')}"/>
								<img src="${root}/img/delete.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
