<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		<style type="text/css">
			div.dane {
				padding-top: 3px;
				padding-bottom: 3px;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/utils/tabb.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.simulate.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script type="text/javascript" src="${root}/js/utils/toggleSelectable.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
				setupPanes("kontenerLinkow", "tab-container", "${not empty actionBean.zakladka ? actionBean.zakladka : 'zaklPrzyp'}");
				
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Edycja indywidualnych ustawień pracownika</h3>
		<div class="formContainer2">
			<div id="kontenerPaneli">
				<div id="kontenerLinkow" class="linki tab-container" style="padding-top: 25px;">
					<ul class="tabs">
						<li>
							<a href="#" id="zaklPrzyp" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('danePrzypomnienia', this);">
								Przypomnienia
							</a>
						</li>
						<li>
							<a href="#" id="zaklRapOg" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneRapOgolne', this);">
								Raporty ogólne
							</a>
						</li>
						<li>
							<a href="#" id="zaklRapMed" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneRapMedyczne', this);">
								Raporty medyczne
							</a>
						</li>
						<li>
							<a href="#" id="zaklRapSoc" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneRapSocjalne', this);">
								Raporty socjalne
							</a>
						</li>
						<li>
							<a href="#" id="zaklWyswOsoby" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneWyswOsob', this);">
								Wyświetlanie list osób
							</a>
						</li>
						<li>
							<a href="#" id="zaklInne" class="noLoadImage" onClick="document.getElementById('zakladka').value=this.id; return showPane('daneInne', this);">
								Inne
							</a>
						</li>
					</ul>
				</div>
				<stripes:form beanclass="pl.topteam.dps.action.pracownik.UstawienieAction" style="border: 0px none; width: 600px;">
					<stripes:hidden name="zakladka" id="zakladka" value="${actionBean.zakladka}"/>
					
					<div id="tab-container">
						<div id="danePrzypomnienia" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowPrzypomnienia.jsp" %>
						</div>
						<div id="daneRapMedyczne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowRaportyMedyczne.jsp" %>
						</div>
						<div id="daneRapOgolne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowRaportyOgolne.jsp" %>
						</div>
						<div id="daneRapSocjalne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowRaportySocjalne.jsp" %>
						</div>
						<div id="daneWyswOsob" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowListyOsob.jsp" %>
						</div>
						<div id="daneInne" class="form">
							<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
							<%@ include file="edycjaWartosciParametrowInne.jsp" %>
						</div>
					</div>
								
					<fieldset class="pelny submit">
						<div>
							<stripes:link beanclass="pl.topteam.dps.action.pracownik.ListaUstawienAction" class="button" event="lista">
								&laquo; Anuluj
							</stripes:link>
					  		&nbsp;&nbsp;
							<stripes:submit name="zapisz" value="Zapisz"/>
						</div>
					</fieldset>
				</stripes:form>
			</div>
		</div>
	</stripes:layout-component>
</stripes:layout-render>