<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${stripes:enumName(typUstawienia) == 'TYPY_PRZYPOMNIEN'}">
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:forEach items="${typPrzypomnienia}" var="przypomnienie">
				<c:if test="${stripes:enumName(przypomnienie) == ustawienie.wartoscS}">
					-&nbsp;${przypomnienie.opis}<br/>
				</c:if>
			</c:forEach>
		</c:forEach>
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:forEach items="${typPrzypomnienia}" var="przypomnienie">
				<c:if test="${stripes:enumName(przypomnienie) == 'INFORMACJA_DODATKOWA'}">
					<c:forEach items="${listaInformacjiDodatkowych}" var="informacjaDodatkowa">
						<c:set var="wybraneUstawienie" value="${przypomnienie}_${informacjaDodatkowa.id}" scope="page"/>
						<c:if test="${ustawienie.wartoscS == wybraneUstawienie}">
							-&nbsp;(Informacja)&nbsp;${informacjaDodatkowa.nazwa}<br/>
						</c:if>
					</c:forEach>
				</c:if>
			</c:forEach>
		</c:forEach>
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'RAPORTY_WIDOCZNE'}">
		<c:forEach items="${listaRodzajowRaportu}" var="rodzajRaportu">
			${rodzajRaportu.opis}<br/>
			<c:forEach items="${mapaTypuRaportow[rodzajRaportu]}" var="raport">
				<c:forEach items="${listaUstawien}" var="ustawienie">
					<c:if test="${stripes:enumName(raport) == ustawienie.wartoscS}">
						&nbsp;&nbsp;&nbsp;-&nbsp;${raport.opis}<br/>
					</c:if>
				</c:forEach>
			</c:forEach>
		</c:forEach>
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'MIESZKANIEC_LISTA'}">
		<c:forEach items="${typEwidencjiMieszkanca}" var="ewidMieszkanca">
			<c:forEach items="${listaUstawien}" var="ustawienie">
				<c:if test="${stripes:enumName(ewidMieszkanca) == ustawienie.wartoscS}">
					-&nbsp;${ewidMieszkanca.opis}<br/>
				</c:if>
			</c:forEach>
		</c:forEach>
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'OSOBA_OCZEKUJACA_LISTA'}">
		<c:forEach items="${typEwidencjiOsobOczekujacych}" var="ewidOczekujacego">
			<c:forEach items="${listaUstawien}" var="ustawienie">
				<c:if test="${stripes:enumName(ewidOczekujacego) == ustawienie.wartoscS}">
					-&nbsp;${ewidOczekujacego.opis}<br/>
				</c:if>
			</c:forEach>
		</c:forEach>
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'DYZUR_PIELEGNIARSKI'}">
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:set var="_dyzur_pielegniarski" value="${ttFn:enumLabel('pl.topteam.dps.enums.ProstyPrzelacznik', ustawienie.wartoscS, 'opis')}"/>
		</c:forEach>
		${not empty _dyzur_pielegniarski ? _dyzur_pielegniarski : 'nie dotyczy'}
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'UMOWZLIW_POZYCZKA_LEKOW'}">
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:set var="_umozliw_pozyczka_lekow" value="${ttFn:enumLabel('pl.topteam.dps.enums.ProstyPrzelacznik', ustawienie.wartoscS, 'opis')}"/>
		</c:forEach>
		${not empty _umozliw_pozyczka_lekow ? _umozliw_pozyczka_lekow : 'nie dotyczy'}
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'UMOWZLIW_POWROT_BACKSPACE'}">
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:set var="_umozliw_powrot_backspace" value="${ttFn:enumLabel('pl.topteam.dps.enums.ProstyPrzelacznik', ustawienie.wartoscS, 'opis')}"/>
		</c:forEach>
		${not empty _umozliw_powrot_backspace ? _umozliw_powrot_backspace : 'nie dotyczy'}
	</c:when>
	<c:when test="${stripes:enumName(typUstawienia) == 'WYROZNIAJ_PRZYPOMNIENIA'}">
		<c:forEach items="${listaUstawien}" var="ustawienie">
			<c:set var="_wyrozniaj_przypomnienia" value="${ttFn:enumLabel('pl.topteam.dps.enums.ProstyPrzelacznik', ustawienie.wartoscS, 'opis')}"/>
		</c:forEach>
		${not empty _wyrozniaj_przypomnienia ? _wyrozniaj_przypomnienia : 'nie dotyczy'}
	</c:when>
</c:choose>
