<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaTypowPrzypomnien}" id="listaTypowPrzypomnien" var="typPrzypomnienia" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaTypowPrzypomnien)}">
	<jmesa:htmlTable style="min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Opis" property="typ.opis" sortable="false">
				<c:set var="_lPrzypomnien" value="${liczbaPrzypomnienMap[typPrzypomnienia.name()]}"/>
				<c:choose><c:when test="${_lPrzypomnien > 0}"><strong>${typPrzypomnienia.opis}</strong></c:when><c:otherwise>${typPrzypomnienia.opis}</c:otherwise></c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Liczba przypomnień" property="liczba" sortable="false" styleClass="alignRight">
				<c:choose><c:when test="${_lPrzypomnien > 0}"><strong>${_lPrzypomnien}</strong></c:when><c:otherwise>0</c:otherwise></c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" sortable="false">
				<div class="ikonki">
					<c:if test="${_lPrzypomnien > 0}">
						<c:choose>
							<c:when test="${stripes:enumName(typPrzypomnienia) == 'INFORMACJA_DODATKOWA'}">
								<table><tbody class="tbody">
								<c:forEach items="${mapaInformacjiD}" var="infEntry" varStatus="i">
									<c:set var="_lPrzypomnienInfKey" value="INFORMACJA_DODATKOWA_${infEntry.key}"/>
									<c:set var="_lPrzypomnienInf" value="${liczbaPrzypomnienMap[_lPrzypomnienInfKey]}"/>
									<c:set var="_class" value="${i.index % 2 == 0 ? 'even' : 'odd'}"/>
									<tr class="${_class}" onmouseover="this.className='highlight'" onmouseout="this.className='${_class}'">
										<td class="text-left"><c:choose><c:when test="${_lPrzypomnienInf > 0}"><strong>${infEntry.value.nazwa}</strong></c:when><c:otherwise>${infEntry.value.nazwa}</c:otherwise></c:choose></td>
										<td class="text-left"><c:choose><c:when test="${_lPrzypomnienInf > 0}"><strong>${_lPrzypomnienInf}</strong></c:when><c:otherwise>${_lPrzypomnienInf}</c:otherwise></c:choose></td>
										<td>
											<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnieniaAction" event="lista">
												<stripes:param name="typPrzypomnienia" value="INFORMACJA_DODATKOWA"></stripes:param>
												<stripes:param name="informacjaDodatkowa" value="${infEntry.key}"></stripes:param>
												<img src="${root}/img/lupa.gif" border="0" title="Podgląd przypomnień" class="iconspace"/>
											</stripes:link>
										</td>
									</tr>
								</c:forEach>
								</tbody></table>
							</c:when>
							<c:otherwise>
								<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnieniaAction" event="lista">
									<stripes:param name="typPrzypomnienia" value="${typPrzypomnienia}"></stripes:param>
									<img src="${root}/img/lupa.gif" border="0" title="Podgląd przypomnień" class="iconspace"/>
								</stripes:link>
							</c:otherwise>
						</c:choose>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
