<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPrzypomnien}" id="listaPrzypomnien" var="przypomnienie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 650px;">
		<jmesa:htmlRow>
			<c:if test="${not empty uprawnienieZebranie}">
				<jmesa:htmlColumn title="Zaplanuj<br/>zebranie" property="zaplanuj" sortable="false" styleClass="alignCenter">
					<c:if test="${stripes:enumName(przypomnienie.rodzajTerminu) != 'TERMIN_ZAPLANOWANO'}">
						<stripes:checkbox name="mapaMieszkancow[${przypomnienie.mieszkaniec.id}]"/>
					</c:if>
					<stripes:errors field="mapaMieszkancow[${przypomnienie.mieszkaniec.id}]"/>
				</jmesa:htmlColumn>
			</c:if>
			<jmesa:htmlColumn title="Nazwisko" property="mnazwisko" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Imię" property="mimie" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data od" property="dataOd" sortable="false" filterable="false" styleClass="nowrap">
				<fmt:formatDate value="${przypomnienie.ipwm.dataOd}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data ważności" property="dataWaznosci" sortable="false" filterable="false" styleClass="nowrap">
				<c:choose>
					<c:when test="${not empty przypomnienie.ipwm.dataWaznosci}">
						<fmt:formatDate value="${przypomnienie.ipwm.dataWaznosci}" pattern="${DATE_PATTERN}" />
					</c:when>
					<c:otherwise>
						<fmt:formatDate value="${ttFn:dodajMiesiace(przypomnienie.ipwm.dataOd, 6)}" pattern="${DATE_PATTERN}" />
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Termin" property="termin" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_ZAPLANOWANO'}">
						<span class="daneWyroznione" style="color: green; padding-left: 0px;">
							ZAPLANOWANO ZEBRANIE
						</span>
					</c:when>
					<c:when test="${empty przypomnienie.ipwmId}">
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							DO UTWORZENIA
						</span>
					</c:when>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_UPLYNAL'}">
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							UPŁYNĄŁ
						</span>
					</c:when>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_DZISIAJ'}">
						MIJA DZIŚ
					</c:when>
					<c:otherwise>
						UPŁYNIE W PRZECIĄGU USTALONEJ LICZBY DNI
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			
			<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_R_PLAN_WSPARCIA_MIESZKANCA">
						<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaIPWMAction" event="listaPlanow">
							<stripes:param name="osoba.id" value="${przypomnienie.mieszkaniec.id}"></stripes:param>
							<img src="${root}/img/forward.png" border="0" title="Przejdź do listy planów wsparcia mieszkańca" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
