<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="uprawnieniePlanWsparcia" value=""/>
<ttSec:secure roles="OG_U_PLAN_WSPARCIA_MIESZKANCA">
	<c:set var="uprawnieniePlanWsparcia" value="OG_U_PLAN_WSPARCIA_MIESZKANCA"/>
</ttSec:secure>
<c:set var="uprawnienieZebranie" value=""/>
<ttSec:secure roles="MED_C_ZEBRANIE_ZTO">
	<c:set var="uprawnienieZebranie" value="MED_C_ZEBRANIE_ZTO"/>
</ttSec:secure>

<stripes:form id="formularzGlowny" beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnienieIPWMAction" partial="true">
	<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
	<fieldset>
		<legend>
			Lista przypomnień
		</legend>
		<c:choose>
			<c:when test="${not empty uprawnieniePlanWsparcia}">
				<%@ include file="przypomnienieIPWMFiltr.jsp" %>
			</c:when>
			<c:otherwise>
				Pracownik "${actionBean.context.pracownik.nazwiskoImie}" nie posiada uprawnienia "OG_U_PLAN_WSPARCIA_MIESZKANCA" by wyświetlić listę przypomnień.
			</c:otherwise>
		</c:choose>
	</fieldset>
	<c:if test="${not empty uprawnienieZebranie}">
		<fieldset>
			<legend>
				Mieszkańcy typowani do utworzenia planu (poza bieżącym widokiem listy przypomnień)
			</legend>
			<stripes:errors field="mapaMieszkancow"/>
			
			<%@ include file="listaMieszkancow.jsp" %>
		</fieldset>
	</c:if>
	
	<fieldset class="submit">
		<div>
			<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaPrzypomnienAction"
					event="lista" class="button">
				« Powrót do listy przypomnień
			</stripes:link>
			<c:if test="${not empty uprawnieniePlanWsparcia && not empty uprawnienieZebranie}">
		  		&nbsp;&nbsp;
				<stripes:submit name="tworzSpotkanieZTO" value="Utwórz plan spotkania ZTO"/>
			</c:if>
		</div>
	</fieldset>
</stripes:form>
