<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPrzypomnien}" id="listaPrzypomnien" var="przypomnienie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwisko" property="nazwisko" styleClass="daneWyroznione" sortable="false">
				${empty przypomnienie.mieszkaniec ? '-' : przypomnienie.mieszkaniec.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Imię" property="imie" styleClass="daneWyroznione" sortable="false">
				${empty przypomnienie.mieszkaniec ? '-' : przypomnienie.mieszkaniec.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data przypomnienia" property="dataOd" sortable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${przypomnienie.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Liczba dni<br/>do upływu<br/>terminu ważności" property="liczbaDniDo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${ttFn:compareDates(dataDzisiaj, przypomnienie.data) <= 0}">
						${ttFn:dniOdDo(dataDzisiaj, przypomnienie.data)}
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Termin ważności" property="liczbaDniPo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${ttFn:compareDates(dataDzisiaj, przypomnienie.data) > 0}">
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							UPŁYNĄŁ
						</span>
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" property="operacje" style="width: 50px; margin-left: 10px;" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_INFOR_DOD_REAL">
						<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.InformacjaDEdycjaAction" event="edycja"
								title="Edycja wpisu informacji">
							<stripes:param name="informacjaDodatkowaPoleWpis.id" value="${przypomnienie.informacjaPoleWpisId}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
						<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.InformacjaDEdycjaAction" event="usunPrzypomnienie"
								onclick="return confirmation('Czy na pewno chcesz wyłączyć to przypomnienie?')"
								title="Nie przypominaj więcej">
							<stripes:param name="informacjaDodatkowaPoleWpis.id" value="${przypomnienie.informacjaPoleWpisId}"/>
							<img src="${root}/img/del.png" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
