<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPrzypomnien}" id="listaPrzypomnien" var="przypomnienie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwisko" property="nazwisko" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Imię" property="imie" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data od" property="dataOd" sortable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${przypomnienie.meldunek.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data do" property="dataDo" sortable="false"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${przypomnienie.meldunek.dataDo}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Liczba dni<br/>do upływu<br/>terminu ważności" property="liczbaDniDo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty przypomnienie.meldunek && ttFn:compareDates(dataDzisiaj, przypomnienie.meldunek.dataDo) <= 0}">
						${ttFn:dniOdDo(dataDzisiaj, przypomnienie.meldunek.dataDo)}
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Termin ważności" property="liczbaDniPo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty przypomnienie.meldunek && ttFn:compareDates(dataDzisiaj, przypomnienie.meldunek.dataDo) > 0}">
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							UPŁYNĄŁ
						</span>
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Inne" property="inne" sortable="false" filterable="false">
				<c:if test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_ZAPLANOWANO'}">
					brak informacji o meldunku
				</c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_MELDUNEK">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.meldunek.MeldunekStalyAction" event="oznaczMieszkanca"
								onclick="return confirmation('Czy na pewno chcesz wprowadzić zameldowanie mieszkańca na stałe?')"
								title="Oznacz mieszkańca jako zameldowanego na stałe">
							<stripes:param name="meldunek.id" value="${przypomnienie.meldunekId}"/>
							<stripes:param name="zPrzypomnien" value="true"/>
							<img src="${root}/img/del.png" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaMeldunkowAction" event="listaMeldunkow">
						<stripes:param name="osoba.id" value="${przypomnienie.mieszkaniec.id}"/>
						<img src="${root}/img/forward.png" border="0" title="Przejdź do listy meldunków czasowych mieszkańca" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
