<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPrzypomnien}" id="listaPrzypomnien" var="przypomnienie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwisko" property="nazwisko" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Imię" property="imie" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Nr" property="orzeczenie.nr" styleClass="daneWyroznione" sortable="false" filterable="false"/>
			<jmesa:htmlColumn title="Data<br/>orzeczenia" property="dataOrzeczenia" sortable="false" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${przypomnienie.orzeczenie.dataOrzeczenia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Data ważności" property="wazneDo" sortable="false" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${przypomnienie.orzeczenie.wazneDo}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Liczba dni<br/>do upływu<br/>terminu ważności" property="liczbaDniDo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${ttFn:compareDates(dataDzisiaj, przypomnienie.orzeczenie.wazneDo) <= 0}">
						${ttFn:dniOdDo(dataDzisiaj, przypomnienie.orzeczenie.wazneDo)}
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Termin ważności" property="liczbaDniPo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${ttFn:compareDates(dataDzisiaj, przypomnienie.orzeczenie.wazneDo) > 0}">
						<span class="daneWyroznione" style="color: red; padding-left: 0px;">
							UPŁYNĄŁ
						</span>
					</c:when>
					<c:otherwise>
						- - -
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" filterable="false" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaOrzeczenNiepelnosprawnoscAction" event="listaOrzeczen">
						<stripes:param name="osoba.id" value="${przypomnienie.mieszkaniec.id}"></stripes:param>
						<stripes:param name="dataWaznosciOrzeczenia" value="${ttFn:formatDate(przypomnienie.orzeczenie.wazneDo, DATE_PATTERN)}"></stripes:param>
						<img src="${root}/img/forward.png" border="0" title="Przejdź do listy orzeczeń mieszkańca" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
