<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_podgladPrzypomnieniaExportURL" beanclass="pl.topteam.dps.action.przypomnienia.PodgladPrzypomnieniaAction" event="eksport" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			// filtrowanie listy przypomnień
			function onInvokeAction(id) {
				pokazLoadImage();
			    
			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_PodgladPrzypomnieniaActionURL}",
				    "listaFiltr=1&typPrzypomnienia=WYPISANIE_RECEPT&" + parameterString,
				    function(data) {
						$("#jmesaContainer").html(data);
						ukryjLoadImage();
					}
				);
			}

			// wydruk listy przypomnień
			function onInvokeExportAction(id) {
			    var parameterString = createParameterStringForLimit(id);
			    location.href = '${_podgladPrzypomnieniaExportURL}&typPrzypomnienia=WYPISANIE_RECEPT&' + parameterString;

			    ukryjLoadImage();
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista kończących się leków na recepty</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div id="jmesaContainer">
			<c:set var="uprawnienie" value="LK_R_RECEPTY"/>
			<ttSec:secure roles="LK_R_RECEPTY">
				<c:set var="uprawnienie" value=""/>
				<%@ include file="przypomnienieReceptaFiltr.jsp" %>
			</ttSec:secure>
			<c:if test="${not empty uprawnienie}">
				Pracownik "${actionBean.context.pracownik.nazwiskoImie}" nie posiada uprawnienia "${uprawnienie}"
				by wyświetlić listę przypomnień.
			</c:if>
		</div>
		<br/>
		<stripes:link beanclass="pl.topteam.dps.action.przypomnienia.ListaPrzypomnienAction"
				event="lista" class="button">
			Powrót do listy przypomnień
		</stripes:link>
	</stripes:layout-component>

</stripes:layout-render>