<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPrzypomnien}" id="listaPrzypomnien" var="przypomnienie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="pdf" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 350px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn title="Nazwisko" property="nazwisko" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Imię" property="imie" styleClass="daneWyroznione" sortable="false">
				${przypomnienie.mieszkaniec.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Lek" property="lekNazwa" styleClass="daneWyroznione" sortable="false">
				<c:set var="obiektLek" value="${przypomnienie.lek}"/>
				<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Termin końca leków" property="liczbaDniDo" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_UPLYNAL'}">
						<span class="daneWyroznione blink" style="color: red; padding-left: 0px;">
							MINĄŁ
						</span>
					</c:when>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'TERMIN_DZISIAJ'}">
						<span class="daneWyroznione" style="padding-left: 0px;">
							mija dzisiaj
						</span>
					</c:when>
					<c:when test="${stripes:enumName(przypomnienie.rodzajTerminu) == 'WYZN_PARAMETREM'}">
						minie w przeciągu ${empty parametrDni ? '---' : parametrDni} dni
					</c:when>
				</c:choose>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
