<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.medyczne.BilansMagazynuLekowDoraznychV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								stan na miesiąc
							</label>
						</div>
						<div class="input">
							<stripes:text name="miesiacRok" class="data required" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="miesiacRok"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								opis raportu
							</label>
						</div>
						<div class="input">
							<stripes:text name="opisRaportu" title="Opis raportu" size="50"/>
							<stripes:errors field="opisRaportu"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								oddział
							</label>
						</div>
						<div class="input">
							<stripes:text name="oddzial" title="Nazwa oddziału zajmująca się dysponowaniem leków" size="35"/>
							<stripes:errors field="oddzial"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>