<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.socjalne.LiczbaMieszkancowV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" class="data required" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								nieobecność traktowana<br/>
								jako pobyt w szpitalu
							</label>
						</div>
						<div class="input">
							<stripes:select style="width:400px" class="mySelect required" name="rodzajNieobecnosciSzpital"
									id="nieobecnoscRodzaj" title="Rodzaj nieobecności" disabled="${not empty wszystkoReadonly ? true : ''}">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${kodRodzajuNieobecnosciSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<div style="clear: both">
								<stripes:errors field="rodzajNieobecnosciSzpital"/>
							</div>
						</div>
					</div>
					<div class="row">
						&nbsp;
					</div>

					<fieldset>
						<legend>
							Ustal dane, które nie chcesz by wyliczane były automatycznie
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									m. nieobecnych ogółem
								</label>
							</div>
							<div class="input">
								<stripes:text name="liczbaNieobecnych" class="alignRight" title="Liczba mieszkańców nieobecnych ogółem" size="7"/>
								<stripes:errors field="liczbaNieobecnych"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									m. na urlopie
								</label>
							</div>
							<div class="input">
								<stripes:text name="liczbaUrlop" class="alignRight" title="Liczba mieszkańców przebywających na urlopie" size="7"/>
								<stripes:errors field="liczbaUrlop"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									m. w szpitalu
								</label>
							</div>
							<div class="input">
								<stripes:text name="liczbaSzpital" class="alignRight" title="Liczba mieszkańców przebywających w szpitalu" size="7"/>
								<stripes:errors field="liczbaSzpital"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									typ wydruku
								</label>
							</div>
							<div class="input">
								<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
									<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
								</stripes:select>
								<stripes:errors field="typWydruku"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
