<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<script type="text/javascript" src="${root}/js/jquery.asmselect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/multiSelect.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("select[multiple]").asmSelect({
					addItemTarget: 'bottom',
					selectClass : 'asmSelect'
				});
			}); 
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.socjalne.PostanowienieSaduV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" class="data required" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								rodzaje postanowień
							</label>
						</div>
						<div class="input">
							<stripes:select name="rodzajePostanowienia[]" multiple="multiple" id="rodzajPostanowienia" title="--- wybierz rodzaj postanowienia ---">
								<stripes:options-collection collection="${kodRodzajuPostanowieniaSaduSlownik}" label="wartString" value="id"/>
							</stripes:select>
							<stripes:button name="wyb1a" class="button noLoadImage" value="Wybierz wszystkie" onclick="wybierz('rodzajPostanowienia');"/>
							&nbsp;&nbsp;&nbsp;
							<stripes:button name="wyb1b" class="button noLoadImage" value="Usuń wszystkie" onclick="wyrzuc('rodzajPostanowienia');"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
