<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="przedzialyWiekoweHtmlHeadV1.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="pl.topteam.dps.action.raporty.jasperreports.socjalne.MieszkancyPrzedzialyWiekoweV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<legend>
						Nowy przedział wiekowy
					</legend>
					<stripes:errors field="nowyPrzedzial"/>
					<%@ include file="przedzial.jsp" %>

					<fieldset>
						<stripes:submit name="dodawaniePrzedzialuWiekowego" value="Dodaj przedział"/>
					</fieldset>
				</fieldset>

				<fieldset>
					<legend>
						Dane ogólne
					</legend>
					<div class="row">
						<div class="label">
							<label>
								stan na dzień
							</label>
						</div>
						<div class="input">
							<stripes:text name="stanNaDzien" class="data required" title="Stan na dzień" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="stanNaDzien"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>

					<div align="center" style="padding-top: 20px;">
						<c:choose>
							<c:when test="${not empty actionBean.przedzialyWiekowe}">
								Ustalone przedziały wiekowe dla raportu
								<div align="center">
									<%@ include file="przedzialyPodglad.jsp" %>
								</div>
							</c:when>
							<c:otherwise>
								<div class="bladglobalny" style="text-align: center;">
									<img src="${root}/img/error.gif">
									NIE WPROWADZONO PRZEDZIAŁÓW WIEKOWYCH DLA RAPORTU
								</div>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>