<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${typRaportu.opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.raporty.jasperreports.odplatnosc.RealizacjaUslugV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="typRaportu"/>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								za miesiąc
							</label>
						</div>
						<div class="input">
							<stripes:text name="data" class="data required" title="Miesiąc, za który generujemy raport" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="data"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								grupa świadczeń
							</label>
						</div>
						<div class="input">
							<stripes:select class="required" name="swiadczenieGrupa.id" title="Grupa świadczeń do wydruków">
								<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
								<stripes:options-collection collection="${listaGrup}" label="nazwa" value="id"/>
							</stripes:select>
							<stripes:errors field="swiadczenieGrupa.id"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="${actionBean.typRaportu}" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>