<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<c:set var="listaTypowInformacji" value="${actionBean.listaTypowInformacji}"/>
	
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.ogolne.WpisyInformacjiDodatkowychV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								rodzaj
							</label>
						</div>
						<div class="input">
							<stripes:select class="mySelect required" name="informacjaDodatkowaWpis.informacjaDodatkowaId" id="rodzajInfDod" 
									title="Rodzaj informacji" style="width: 250px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaTypowInformacji}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both;"></div>
							<stripes:errors field="informacjaDodatkowaWpis.informacjaDodatkowaId"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								status
							</label>
						</div>
						<div class="input">
							<stripes:select name="informacjaDodatkowaWpis.status" title="Status informacji" style="min-width: 150px;">
								<stripes:options-enumeration enum="pl.topteam.dps.enums.StatusInformacjiDodatkowej" label="opis"/>
							</stripes:select>
							<stripes:errors field="informacjaDodatkowaWpis.status"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data od
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataOd" class="data" title="Data od kiedy" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataDo"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data do
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataDo" class="data" title="Data do kiedy" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataDo"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>