<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Generowanie raportu "${actionBean.typRaportu().opis}"</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.jasperreports.socjalne.WyprowadzkiZgonyMieszkancowV1Action">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								data od
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataOd" class="data required" size="12" title="Od kiedy uwzględniać zgony mieszkańców" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataOd"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data do
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataDo" class="data" size="12" title="Do kiedy uwzględniać zgony mieszkańców" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataDo"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label for="osobyZmarle">
								uwzględniaj osoby zmarłe
							</label>
						</div>
						<div class="input">
							<stripes:checkbox id="osobyZmarle" name="osobyZmarle" title="Uwzględniaj osoby, które zmarły we wskazanym okresie"/>
							<stripes:errors field="osobyZmarle"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label for="osobyWyprowadzone">
								uwzględniaj osoby, które<br/>
								wyprowadziły się
							</label>
						</div>
						<div class="input">
							<stripes:checkbox id="osobyWyprowadzone" name="osobyWyprowadzone" title="Uwzględniaj osoby, które wyprowadziły się we wskazanym okresie"/>
							<stripes:errors field="osobyWyprowadzone"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku raportu">
								<stripes:options-collection collection="${actionBean.typRaportu().exportTypes}" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.raporty.ListaRaportowAction" class="button" event="lista">
							&laquo; Przejdź do listy raportów
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj raport"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>