<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.tabs.horizontal.css" />
		<link rel="stylesheet" type="text/css" href="${root}/css/jPicker.css"/>
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		<style>
			.handle {
				float: left;
				cursor: move;
			}

			.toggleData {
				float: left;
			}
			
			.jpicker {
				float: right;
			}
			
			.toggleSelectable {
				width: 100%;
				vertical-align: middle;
			}
			
			.toggleSelectable li {
				height: 23px;
			}
			
			.toggleSelectable li:hover input {
				background: white;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/jpicker.js"></script>
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container")
					.tabs({
						selected: parseInt("${actionBean.zakladka}")
					})
					.addClass('ui-tabs-horizontal')
					.removeClass('ui-corner-all');
				
				// listy przeznaczone do posortowania
				$(".sortable")
					.sortable({
						handle: ".handle"
					});
				
				// listy przeznaczone do wybierania
				$(".toggleSelectable")
					.toggleSelectable({
						lassoToggle: true,
						selected: function(event, ui) {
							$(ui.selected).find("input").attr('checked', true);
						},
						unselected: function(event, ui) {
							$(ui.unselected).find("input").removeAttr('checked');
						}
					});
				
				// wybór kolorów
				$('.jpick').jPicker({
					images: {
						clientPath: '${root}/img/jpicker/'
					},
					window: {
						expandable : true,
						position : {
							x : '5px',
							y : '2px'
						}
					}
				}, function(color, context) { // callback po wprowadzeniu nowego koloru (usuwanie zaznaczeń tak by kolor było widać)
					$("span.Icon").removeClass("ui-toggleSelected");
					$("span.Color").removeClass("ui-toggleSelected");
					$("span.Alpha").removeClass("ui-toggleSelected");
					$("span.Image").removeClass("ui-toggleSelected");
					$("span.Container").removeClass("ui-toggleSelected");
				}, function(color, context) { // livecalback
					$("span.Icon").removeClass("ui-toggleSelected");
					$("span.Color").removeClass("ui-toggleSelected");
					$("span.Alpha").removeClass("ui-toggleSelected");
					$("span.Image").removeClass("ui-toggleSelected");
					$("span.Container").removeClass("ui-toggleSelected");
				}, function(color, context) { // callback po anulowaniu
					$("span.Icon").removeClass("ui-toggleSelected");
					$("span.Color").removeClass("ui-toggleSelected");
					$("span.Alpha").removeClass("ui-toggleSelected");
					$("span.Image").removeClass("ui-toggleSelected");
					$("span.Container").removeClass("ui-toggleSelected");
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Raport rozliczeniowy za pobyt (Excel, wersja 1 - robocza)</h3>
		<div class="formContainer">
			<stripes:form id="raportForm" beanclass="pl.topteam.dps.action.raporty.odplatnosc.rozliczeniowy.excel.RaportRozliczeniowyExcelV1Action"
					style="width: 800px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
	
				<c:if test="${not empty sessionScope._plikRaportu}">
					<fieldset>
						<legend>
							Plik raportu
						</legend>
						<span style="color: green;">
							Aby pobrać ostatnio wygenerowany raport
						</span>
						<stripes:link class="blink noLoadImage" beanclass="pl.topteam.dps.action.utils.download.PlikExcelAction">
							<stripes:param name="path" value="${sessionScope._plikRaportu}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/raporty/odplatnosc/rozliczeniowyExcelV1Blad.jsp')}"/>
							kliknij TU
						</stripes:link>
						
						<div style="padding-top: 10px;">
							Możesz również wygenerować nowy raport dopasowując poniższe parametry.
						</div>
					</fieldset>
					
					<c:remove var="_plikRaportu" scope="session"/>
				</c:if>
				<div>
					<fieldset style="display: none;">
						<legend>TODO</legend>
						<div>
							<ol>
								<li>
									po kliknieciu w jpicker automatycznie li przełącza się na przeciwną wartość
									(usunąć tę niedogoność)
								</li>
							</ol>
						</div>
					</fieldset>
					
					<fieldset>
						<legend>
							Parametry ogólne
						</legend>
						
						<div class="row">
							<div class="label">
								na dzień
							</div>
							<div class="input">
								<stripes:text name="stanNaDzien" class="data required" title="Dzień, na który wygenerować raport" size="7"/>
								<stripes:errors field="stanNaDzien"/>
							</div>
						</div>
						
						<c:set var="nazwyMiesiecy" value="${actionBean.nazwyMiesiecy}"/>
						<div class="row">
							<div class="label">
								za miesiące
							</div>
							<div class="input">
								<ul id="listaSquare" class="toggleSelectable">
									<c:forEach begin="1" end="12" var="miesiac">
										<li class="ui-widget-content ${not empty actionBean.doListaMiesiecy && ttFn:collectionContainsToStringCompare(actionBean.doListaMiesiecy, miesiac) ? 'ui-toggleSelected' : ''}">
											<div class="handle">
											</div>
											
											&nbsp;
											${fn:toLowerCase(nazwyMiesiecy[miesiac])}
											
											<div class="jpicker">
												<stripes:checkbox class="checkbox" name="doListaMiesiecy[]" value="${miesiac}"/>
												<stripes:hidden name="doMapaKolorowMiesiecy[${miesiac}]" class="jpick" value="FFFFFF"></stripes:hidden>
											</div>
										</li>
									</c:forEach>
								</ul>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									generuj zakładki
								</label>
							</div>
							<div class="input">
								<stripes:errors field="listaArkuszy"/>
								<ul class="toggleSelectable">
									<c:forEach items="${actionBean.arkusze}" var="arkusz">
										<li class="ui-widget-content ${not empty actionBean.listaArkuszy && ttFn:collectionContainsToStringCompare(actionBean.listaArkuszy, arkusz) ? 'ui-toggleSelected' : ''}">
											<stripes:checkbox id="ark_${arkusz}" class="checkbox" name="listaArkuszy" value="${arkusz}"/>
											${arkusz.opis}
										</li>
									</c:forEach>
								</ul>
							</div>
						</div>
					</fieldset>
				</div>
				<stripes:submit name="ustawieniaDomyslne" value="Resetuj ustawienia"></stripes:submit>
				
				<div id="tab-container" class="form" style="border: 0px none;">
					<ul>
						<c:forEach items="${actionBean.arkusze}" var="arkusz">
							<li>
								<a href="#ui-tabs-${arkusz}">
									${arkusz.opis}
								</a>
							</li>
						</c:forEach>
					</ul>
					<c:forEach items="${actionBean.arkusze}" var="arkusz">
						<div id="ui-tabs-${arkusz}" class="ui-tabs-panel ui-widget-content"
								style="padding-top: 5px; margin-left: auto; margin-right: auto;">
							<jsp:include page="rozliczeniowyExcelV1Sheet_${arkusz}.jsp"/>
						</div>
					</c:forEach>
				</div>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" value="Generuj raport"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
