<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaFaktur}" id="listaFaktur" var="faktura" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data_wystawienia" title="Data wystawienia" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr">
				${faktura.nr == '' ? '<span class="err">[DO UZUPEŁNIENIA]</span>' : faktura.nr}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr_wew" title="Nr wew.">
				${faktura.nrWew == '' ? '&nbsp;' : faktura.nrWew}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione">
				${not empty faktura.osobaId ? faktura.osoba.nazwisko : '[apteczka podręczna]'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione">
				${not empty faktura.osobaId ? faktura.osoba.imie : ''}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota_dom" title="Kwota DOM" filterable="false" styleClass="alignRight">
				<fmt:formatNumber value="${not empty faktura.kwotaDom ? faktura.kwotaDom : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota_m" title="Kwota mieszkańca" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${not empty faktura.osobaId}"><fmt:formatNumber value="${not empty faktura.kwotaM ? faktura.kwotaM : 0.00}" pattern="${DOUBLE_PRECISION_PATTERN}" /></c:when>
					<c:otherwise>-</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="status" title="Status" filterable="false">
				${faktura.status.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_FAKTURY">
						<stripes:link beanclass="pl.topteam.dps.action.rejestr.faktury.FakturaEdycjaAction" event="edycja">
							<stripes:param name="faktura" value="${faktura.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_D_FAKTURY">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.rejestr.faktury.ListaFakturAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć fakturę nr ${faktura.nr} ? ')">
							<stripes:param name="faktura" value="${faktura.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/rejestry/faktury/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń fakturę"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
