<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Generowanie wydruku rejestru faktur VAT</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.rejestr.faktury.WydrukRejestruAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								tytul
							</label>
						</div>
						<div class="input">
							<stripes:text name="tytul" class="required" title="Tytuł wydruku" size="70"/>
							<stripes:errors field="tytul"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								rodzaj danych
							</label>
						</div>
						<div class="input">
							<stripes:select name="filtr['rodzajRealizacji']" class="required" title="Typ danych">
								<stripes:options-enumeration enum="pl.topteam.bazmed.enums.RodzajRealizacjiRecept" label="opis"/>
							</stripes:select>
							<stripes:errors field="rodzajRealizacji"/>
							<stripes:errors field="filtr['rodzajRealizacji']"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								wersja wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="wersjaWydruku" class="required" title="Wersja wydruku">
								<stripes:options-enumeration enum="pl.topteam.dps.raport.jasperreports.rejestr.faktury.WersjaWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku rejestru">
								<stripes:options-enumeration enum="pl.topteam.dps.raport.TypWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
					
					<fieldset>
						<legend>
							filtr danych
						</legend>

						<div class="row">
							<div class="label">
								<label>
									data wystawienia od
								</label>
							</div>
							<div class="input">
								<stripes:text name="filtr['data_wystawieniaOd']" class="data" formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="data_wystawieniaOd"/>
								<stripes:errors field="filtr['data_wystawieniaOd']"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									data wystawienia do
								</label>
							</div>
							<div class="input">
								<stripes:text name="filtr['data_wystawieniaDo']" class="data" formatPattern="${DATE_PATTERN}"/>
								<stripes:errors field="data_wystawieniaDo"/>
								<stripes:errors field="filtr['data_wystawieniaDo']"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									z umowy
								</label>
							</div>
							<div class="input">
								<stripes:select name="filtr['idUmowyApteka']">
									<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
									<stripes:options-collection collection="${listaUmowZApteka}" label="nr" value="id"/>
								</stripes:select>
								<stripes:errors field="idUmowyApteka"/>
								<stripes:errors field="filtr['idUmowyApteka']"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									rodzaj faktur
								</label>
							</div>
							<div class="input">
								<stripes:select name="rodzajFaktury" class="required" title="Rodzaje faktur do wydruku">
									<stripes:options-enumeration enum="pl.topteam.dps.raport.jasperreports.rejestr.faktury.RodzajFaktury" label="opis"/>
								</stripes:select>
								<stripes:errors field="rodzajFaktury"/>
							</div>
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.rejestr.faktury.ListaFakturAction" class="button" event="lista">
							&laquo; Wróć
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj wydruk"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>