<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWpisow}" id="listaWpisow" var="map" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="LAMPA" title="Ozn. lampy" sortable="true" filterable="true">
				<ttSec:secure roles="MED_U_CZAS_PRACY_UV" defaultText="${map['LAMPA']}&nbsp;">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.CzasPracyLampyUVAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						${map['LAMPA']}&nbsp;
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_PRACY" title="Data" sortable="true" filterable="true"
					filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_CZAS_PRACY_UV" defaultText="${map['DATA_PRACY']}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.CzasPracyLampyUVAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						<fmt:formatDate value="${map['DATA_PRACY']}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="CZAS_PRACY" title="Czas pracy" sortable="false" filterable="false">
				<ttSec:secure roles="MED_U_CZAS_PRACY_UV" defaultText="${map['CZAS_PRACY']}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.CzasPracyLampyUVAction" event="edycja">
						<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
						${map['CZAS_PRACY']}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_CZAS_PRACY_UV">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.CzasPracyLampyUVAction" event="edycja">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_CZAS_PRACY_UV">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.rejestr.lampaUV.ListaCzasuPracyLampyUVAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć wprowadzony czas ? ')">
							<stripes:param name="informacjaDodatkowaWpis.id" value="${map['ID']}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/rejestry/lampaUV/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
