<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOdbiorow}" id="listaOdbiorow" var="odbior" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data odbioru" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${odbior.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wart_string" title="Odbierający" filterable="false">
				${odbior.odbierajacy.wartString}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_FAKTURY">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.odbior.OdbiorOdpadowAction" event="edycja">
							<stripes:param name="odbior.id" value="${odbior.id}"></stripes:param>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_D_FAKTURY">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.rejestr.odpady.odbior.ListaOdpadowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć informację o odbiorze ? ')">
							<stripes:param name="odbior.id" value="${odbior.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/rejestry/odpadyMedyczne/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń odbiór"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
