<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPlikow}" id="listaPlikow" var="plik" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 700px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data importu"
					cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor"/>
			<jmesa:htmlColumn property="nazwa" title="Nazwa pliku"/>
			<jmesa:htmlColumn property="prId" title="Pracownik" filterEditor="pl.topteam.dps.model.jmesaSupport.PracownikDropList">
				${plik.pracownik.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" style="width: 60px;" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_WPLATY_PLATNOSC">
						<stripes:link beanclass="pl.topteam.dps.action.rejestr.wplaty.PodgladPlikuAction" event="podglad">
							<stripes:param name="plikCsv.id" value="${plik.id}"></stripes:param>
							<img src="${root}/img/lupa.gif" title="Podgląd importu"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.rejestr.wplaty.ListaPlikowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć import /${plik.nazwa}/? ')">
							<stripes:param name="plikCsv.id" value="${plik.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/rejestry/wplaty/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" title="Usuń import"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
