<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWplat}" id="listaWplat" var="wplata" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="wiersz" title="Nr wiersza<br/>w pliku" sortable="false" filterable="false">
				${wplata.pozycja.wiersz}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" sortable="false" filterable="false">
				${wplata.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataWplaty" title="Data wpłaty" sortable="false" filterable="false" styleClass="nowrap">
				<fmt:formatDate value="${wplata.dataWplaty}" pattern="${DATE_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="okres" title="Za okres" sortable="false" filterable="false" styleClass="nowrap">
				${wplata.rok} / ${wplata.miesiac}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="wplacajacy" title="Wpłacił/a" sortable="false" filterable="false">
				${wplata.podmiotWpl.nazwa}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwota" title="Kwota<br/>[${GL_JEDNOSTKA_MONETARNA}]" styleClass="alignRight" sortable="false" filterable="false">
				<fmt:formatNumber value="${wplata.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_D_WPLATY_PLATNOSC">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.rejestr.wplaty.PodgladPlikuAction" event="usunWplate"
								onclick="return confirmation('Czy na pewno chcesz usunąć wpłatę?')">
							<stripes:param name="plikCsv.id" value="${actionBean.plikCsv.id}"/>
							<stripes:param name="wplata.id" value="${wplata.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/rejestry/wplaty/podglad.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
