<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaZebranActionURL" beanclass="pl.topteam.dps.action.rejestr.zebraniaZT.ListaZebranAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaZebranActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
			
			// wydruk listy przypomnień
			function wydrukRejestru(id, exportType) {
				pokazLoadImage();

				$("<input type='hidden' name='drukuj' value=''/>").appendTo("#rejestrForm");
				$("<input type='hidden' name='exportType' value='" + exportType + "'/>").appendTo("#rejestrForm");
				
				// dodawanie filtru do formularza
				createHiddenInputFieldsForLimitAndSubmit(id);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>
			Rejestr zebrań ZTO
			(
				<a href="#" onclick="wydrukRejestru('listaZebran', 'ODT');" title="Drukuj rejestr w podstaci ODT">
					<img src="${root}/img/wykonajODT.gif"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukRejestru('listaZebran', 'DOCX');" title="Drukuj rejestr w podstaci DOCX">
					<img src="${root}/img/wykonajDOCX.gif"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukRejestru('listaZebran', 'XLS');" title="Drukuj rejestr w podstaci XLS">
					<img src="${root}/img/wykonajXLS.gif"/>
				</a>,
				&nbsp;
				<a href="#" onclick="wydrukRejestru('listaZebran', 'PDF');" title="Drukuj rejestr w podstaci PDF">
					<img src="${root}/img/wykonajPDF.gif"/>
				</a>
			)
		</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		<stripes:form id="rejestrForm" beanclass="pl.topteam.dps.action.rejestr.zebraniaZT.ListaZebranAction" style="display: block;">
			<div id="jmesaContainer">
				<%@ include file="rejestrZebranFiltr.jsp" %>
			</div>
		</stripes:form>
	</stripes:layout-component>
</stripes:layout-render>
