<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">

	<stripes:layout-component name="content">
		<h3>Generowanie wydruku rejestru zebrań ZTO</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.rejestr.zebraniaZT.WydrukRejestruAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								sygnatura
							</label>
						</div>
						<div class="input">
							<stripes:text name="sygnaturaWydruku" title="Sygnatura wydruku" size="70"/>
							<stripes:errors field="sygnaturaWydruku"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data od
							</label>
						</div>
						<div class="input">
							<stripes:text name="filtr['dataOd']" class="data" title="Data od kiedy pobrać zebrania" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="filtr['dataOd']"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data do
							</label>
						</div>
						<div class="input">
							<stripes:text name="filtr['dataDo']" class="data" title="Data do kiedy pobrać zebrania" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="filtr['dataDo']"/>
						</div>
					</div>
					<div class="row">
						<div class="label">&nbsp;</div>
						<div class="input">&nbsp;</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data podsumowania
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataPodsumowania" class="data" title="Data podsumowania raportu" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataPodsumowania"/>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								typ wydruku
							</label>
						</div>
						<div class="input">
							<stripes:select name="typWydruku" class="required" title="Typ wydruku rejestru">
								<stripes:options-enumeration enum="pl.topteam.dps.raport.TypWydruku" label="opis"/>
							</stripes:select>
							<stripes:errors field="typWydruku"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.rejestr.zebraniaZT.ListaZebranAction" class="button" event="lista">
							&laquo; Wróć
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="generuj" class="noLoadImage" value="Generuj wydruk"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>