<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/logi.css" />
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Przeglądanie/Pobieranie logów serwera Tomcat</h3>
		<stripes:errors />

		<%@ include file="tomcatLogi.jsp"%>

		<div style="margin-top: 20px; padding-left: 50px;">
		<h3>Pliki logów</h3>
		<p>W katalogu <tt>${logDir}</tt>:</p>

		<table class="logi" cellspacing="10">
			<tr>
				<th>Nazwa</th>
				<th>Rozmiar</th>
				<th>Data ostatniej modyfikacji</th>
			</tr>
			<c:forEach items="${logFiles}" var="logFile">
				<c:if test="${lengthMap[logFile.name] > 0}">
					<tr>
						<td class="name">
							<stripes:link beanclass="pl.topteam.dps.action.administracja.server.TomcatLogiAction"
									event="podgladPliku" target="_blank">
								<stripes:param name="plikLogow" value="${logFile.name}"></stripes:param>
								<code>${logFile.name}</code>
							</stripes:link>
						</td>
						<td class="size">
							${lengthMap[logFile.name]} B
						</td>
						<td class="mtime">
							<fmt:formatDate value="${lastModifiedMap[logFile.name]}" pattern="${TIMESTAMP_PATTERN}" />
						</td>
					</tr>
				</c:if>
			</c:forEach>
		</table>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
