<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			function edytujOpcje(indexOpcji) {
				$("input[name='indexOpcji']").remove();
				
				// id usuwanego elementu
				$("<input type='hidden' name='indexOpcji' value='" + indexOpcji + "'/>").appendTo("#formularz");
				// akcja wizarda odpowiadajaca za usuwanie
				$("<input type='hidden' name='opcja' value=''/>").appendTo("#formularz");
				
				$("#formularz").submit();
			}
		
			function usunOpcje(indexOpcji) {
				if(confirmation("Czy na pewno chcesz usunąć tę opcję ?")) {
					$("input[name='indexOpcji']").remove();
					
					// id usuwanego elementu
					$("<input type='hidden' name='indexOpcji' value='" + indexOpcji + "'/>").appendTo("#formularz");
					// akcja wizarda odpowiadajaca za usuwanie
					$("<input type='hidden' name='usun' value=''/>").appendTo("#formularz");
			
					$("#formularz").submit();
				}
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${not empty actionBean.kryteriumOceny.id}">
				<h3>Edycja kryterium dla "${actionBean.skala.nazwa}" (krok: definicja opcji)</h3>
			</c:when>
			<c:otherwise>
				<h3>Definicja kryterium dla "${actionBean.skala.nazwa}" (krok: definicja opcji)</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form id="formularz" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaKryteriumOcenyOpcjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Kryterium
					</legend>
					<stripes:hidden name="indexOpcji"/>

					<stripes:hidden name="skala.id"/>
					<stripes:hidden name="skala.nazwa"/>
					
					<stripes:hidden name="kryteriumOceny.id"/>
					
					<c:set var="nazwaPolaKryteriumOceny" value="kryteriumOceny"/>
					<%@ include file="/jsp/templatePages/polaKryteriumOceny.jsp" %>
				</fieldset>
				
				<fieldset>
					<legend>
						Opcje
					</legend>
					
					<%-- opcje przeznaczone do usunięcia --%>
					<c:if test="${not empty actionBean.listaOpcjiDoUsuniecia}">
						<c:forEach items="${actionBean.listaOpcjiDoUsuniecia}" var="opcjaDoUsuniecia" varStatus="i">
							<stripes:hidden name="listaOpcjiDoUsuniecia[${i.count - 1}]"/>
						</c:forEach>
					</c:if>
					
					<%-- wyświetlenie opcji dla wybranego kryterium --%>
					<c:choose>
						<c:when test="${not empty actionBean.listaOpcji}">
							<c:forEach items="${actionBean.listaOpcji}" var="opcja" varStatus="i">
								<stripes:hidden name="listaOpcji[${i.count - 1}].id"></stripes:hidden>
								<stripes:hidden name="listaOpcji[${i.count - 1}].tekst"></stripes:hidden>
								<stripes:hidden name="listaOpcji[${i.count - 1}].punkty"></stripes:hidden>
							</c:forEach>
	
							<div class="jmesa">
								<%@ include file="kryteriumOpcjeTabela.jsp" %>
							</div>
						</c:when>
						<c:otherwise>
							<div class="bladglobalny" style="text-align: center;">
								<img src="${root}/img/error.gif">
								NIE WPROWADZONO PÓL INFORMACJI
							</div>
						</c:otherwise>
					</c:choose>

					<fieldset>
						<stripes:submit name="opcja" value="Dodaj opcję"/>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction"
								class="button" event="edycja">
							<stripes:param name="skala.id" value="${actionBean.skala.id}"></stripes:param>
							<stripes:param name="zakladka" value="zaklKryteria"/>
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
