<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaSkal}" id="listaSkal" var="skala" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa skali" styleClass="daneWyroznione" >
				<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction" event="edycja">
					<stripes:param name="skala.id" value="${skala.id}"/>
					${skala.nazwa}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_SKALA_OCENY">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction" event="edycja">
							<stripes:param name="skala.id" value="${skala.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_SKALA_OCENY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.ListaSkalOcenyAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć skalę /${skala.nazwa}/ ? ')">
							<stripes:param name="skala.id" value="${skala.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/skalaOceny/definicja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
