<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaKryteriow}" id="listaKryteriow" var="kryterium" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable styleClass="alignCenter" style="width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="tekst" title="Tekst" sortable="false" filterable="false" styleClass="alignLeft"/>
			<jmesa:htmlColumn property="listaOpcji" title="Lista opcji" sortable="false" filterable="false">
				<%-- podgląd opcji --%>
				<jmesa:tableFacade items="${kryterium.listaOpcji}" id="listaOpcji_${kryterium.id}" var="opcja" autoFilterAndSort="false"
						editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.OnlyRowTableView">
					<jmesa:htmlTable styleClass="alignCenter" style="border: 0px none; width: 100%;">
						<jmesa:htmlRow>
							<jmesa:htmlColumn title="Tekst" property="tekst" sortable="false" styleClass="alignLeft"/>
							<jmesa:htmlColumn title="Punkty" property="punkty" sortable="false" styleClass="alignRight"/>
						</jmesa:htmlRow>
					</jmesa:htmlTable>
				</jmesa:tableFacade>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_SKALA_OCENY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaKryteriumOcenyEdycjaAction"
								event="dispatch">
							<stripes:param name="skala.id" value="${actionBean.skala.id}"/>
							<stripes:param name="kryteriumOceny.id" value="${kryterium.id}"/>
							<stripes:param name="kryteriumOceny.typ" value="${kryterium.typ}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_U_SKALA_OCENY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.definicja.SkalaPodgladEdycjaAction"
								event="usunKryterium" onclick="return confirmation('Czy na pewno chcesz usunąć to kryterium ? ')">
							<stripes:param name="skala.id" value="${actionBean.skala.id}"/>
							<stripes:param name="kryteriumOceny.id" value="${kryterium.id}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
