<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaOcen}" id="listaOcen" var="ocena" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa skali" styleClass="daneWyroznione" sortable="true" filterable="true">
				<ttSec:secure roles="MED_U_OCENA_WG_SKALI" defaultText="${ocena.skalaOcenyOsoby.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.OcenaWgSkaliEdycjaAction" event="edycja">
						<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
						${ocena.skalaOcenyOsoby.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Data oceny" sortable="true" filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="MED_U_OCENA_WG_SKALI" defaultText="${ocena.data}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.OcenaWgSkaliEdycjaAction" event="edycja">
						<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
						<fmt:formatDate value="${ocena.data}" pattern="${DATE_PATTERN}"/>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_OCENA_WG_SKALI">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.OcenaWgSkaliEdycjaAction" event="edycja">
							<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
							<stripes:param name="ocenaOsoby.skalaOcenyId" value="${ocena.skalaOcenyId}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_OCENA_WG_SKALI">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.skalaOceny.realizacja.ListaOcenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ocenę wg /${ocena.skalaOcenyOsoby.nazwa}/ z dnia ${ttFn:formatDate(ocena.data, \"yyyy-MM-dd\")} ? ')">
							<stripes:param name="ocenaOsoby.id" value="${ocena.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/skalaOceny/realizacja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
