<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/tooltip.css" />
		
		<script type="text/javascript">
			$(function() {
				// tooltip
				$(".tooltipOpis").tooltip({
					delay: 100,
					position: "center right",
					relative: true,
					onBeforeShow: function() {
						this.getTip().find("td").show();
					}
				});
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Aktualizowanie cen świadczeń</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.administracja.slowniki.swiadczenia.CennikSwiadczenAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								data aktualizacji cen<br/>(rok, miesiąc)
							</label>
						</div>
						<div class="input">
							<stripes:text name="swiadczenieOdplatnoscData" formatPattern="${DATE_PATTERN}" class="data required" title="Data aktualizacji cen (miesiąc, rok)"></stripes:text>
							<stripes:errors field="swiadczenieOdplatnoscData"/>
						</div>
					</div>
				</fieldset>
				<fieldset>
					<table style="width: 850px;">
						<tr>
							<th style="text-align: left;">świadczenie</th>
							<th style="text-align: left; width: 80px;">jednostka</th>
							<th style="text-align: left; width: 80px;">ważna od</th>
							<th style="text-align: right; width: 120px;">bieżąca cena<br/>[${GL_JEDNOSTKA_MONETARNA}]</th>
							<th style="text-align: right; width: 150px;">nowa cena<br/>[${GL_JEDNOSTKA_MONETARNA}]</th>
						</tr>
						<c:forEach items="${listaSwiadczen}" var="swiadczenie" varStatus="status">
							<tr>
								<td style="text-align: left;" >
									<span class="tooltipOpis">${swiadczenie.nazwa}</span>
									<div class="tooltip">
										<table>
											<tr>
												<th>ważna od</th>
												<th style="text-align: right;">cena</th>
											</tr>
											<c:forEach items="${swiadczenie.swiadczenieOdplatnoscList}" var="so">
												<tr>
													<td><fmt:formatDate value="${so.data}" pattern="${YEAR_MONTH_PATTERN}" /></td>
													<td style="text-align: right; padding-left: 15px;"><fmt:formatNumber value="${so.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}</td>
												</tr>
											</c:forEach>
										</table>
									</div>
								</td>
								<td style="text-align: left;">${swiadczenie.jednostka.skrot}</td>
								<td style="text-align: left;">
									<fmt:formatDate value="${swiadczenie.swiadczenieOdplatnoscActual != null ? swiadczenie.swiadczenieOdplatnoscActual.data : null}" pattern="${YEAR_MONTH_PATTERN}" />
								</td>
								<td style="text-align: right;">
									<fmt:formatNumber value="${empty swiadczenie.swiadczenieOdplatnoscActual ? 0.00 : swiadczenie.swiadczenieOdplatnoscActual.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}" />&nbsp;${GL_JEDNOSTKA_MONETARNA}
								</td>
								<td style="text-align: right;">
									<stripes:hidden name="swiadczenieOdplatnoscList[${status.index}].swiadczenieId" value="${swiadczenie.id}"/>
									<stripes:hidden name="swiadczenieOdplatnoscList[${status.index}].data" value="${swiadczenie.swiadczenieOdplatnoscActual != null ? swiadczenie.swiadczenieOdplatnoscActual.data : null}"/>
									<stripes:hidden name="swiadczenieOdplatnoscList[${status.index}].id" value="${swiadczenie.swiadczenieOdplatnoscActual != null ? swiadczenie.swiadczenieOdplatnoscActual.id : null}"/>

									<stripes:text name="swiadczenieOdplatnoscList[${status.index}].kwota" formatPattern="${DOUBLE_PRECISION_PATTERN}" class="required doublePrecision" title="Kwota" style="width: 100px;"/>
									<stripes:errors field="swiadczenieOdplatnoscList[${status.index}].kwota"/>
								</td>
							</tr>						
						</c:forEach>
					</table>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.swiadczenia.ListaSwiadczenAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>		
		</div>
	</stripes:layout-component>
</stripes:layout-render>
