<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SlowoActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
			    
			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_SlowoActionURL}",
				    "listaSlowFiltr=1&slownik.id=" + ${actionBean.slownik.id} + "&" + parameterString,
				    function(data) {
						$("#jmesaContainer").html(data);
						ukryjLoadImage();
					}
				);
			}
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Słownik: ${actionBean.slownik.nazwa.opis}</h3>
		<div style="margin-bottom: 10px;">
			<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		</div>
		
		<div id="jmesaContainer">
			<%@ include file="listaSlowFiltr.jsp" %>
		</div>
		
		<br/>
		<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.ListaSlownikowAction" event="lista" class="button">
			&laquo; Wróć
		</stripes:link>
		<ttSec:secure roles="ADM_C_SLOWO">
			<c:if test="${stripes:enumName(actionBean.slownik.nazwa.rodzajSlownika) != 'NIEEDYTOWALNY'}">
				&nbsp;&nbsp;&nbsp;
				<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction" event="dodaj" class="button">
					<stripes:param name="slownik.id" value="${actionBean.slownik.id}"/>
					Dodaj słowo
				</stripes:link> 
			</c:if>
		</ttSec:secure>
	</stripes:layout-component>
</stripes:layout-render>
