<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<h3>Lista słowników</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
		
		<div id="jmesaContainer">
			<jmesa:tableFacade items="${listaSlownikow}" id="listaSlownikow" var="slownik" autoFilterAndSort="true"
					editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" limit="${wynikLimit}">
				<jmesa:htmlTable>
					<jmesa:htmlRow>
						<jmesa:htmlColumn title="Nazwa słownika" property="nazwa.opis" sortable="false"/>
						<jmesa:htmlColumn title="Rodzaj słownika słownika" property="nazwa.rodzajSlownika.opis" sortable="false"/>
						<jmesa:htmlColumn title="Operacje" style="width: 50px; margin-left: 10px;" sortable="false">
							<div class="ikonki">
								<ttSec:secure roles="ADM_R_SLOWO">
									<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAction" event="listaSlow">
										<stripes:param name="slownik.id" value="${slownik.id}"/>
										<c:choose>
											<c:when test="${stripes:enumName(slownik.nazwa.rodzajSlownika) == 'EDYTOWALNY'}">
												<img src="${root}/img/edit.gif" class="iconspace"
														title="Podgląd słów w słowniku '${slownik.nazwa.opis}'"/>
											</c:when>
											<c:otherwise>
												<img src="${root}/img/lupa.gif" class="iconspace"
														title="Podgląd słów w słowniku '${slownik.nazwa.opis}'"/>
											</c:otherwise>
										</c:choose>
									</stripes:link>
								</ttSec:secure>
							</div>
						</jmesa:htmlColumn>
					</jmesa:htmlRow>
				</jmesa:htmlTable>
			</jmesa:tableFacade>
		</div>
	</stripes:layout-component>

</stripes:layout-render>