<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaLekowWykorzystywanychActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.leki.ListaLekowWykorzystywanychAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();
				
			    setExportToLimit(id, '');
			    var parameterString = createParameterStringForLimit(id);

			    $.post("${_ListaLekowWykorzystywanychActionURL}",
					"listaFiltr=1&" + parameterString,
					function(data) {
			        	$("#jmesaContainer").html(data);
			        
			  			ukryjLoadImage();
			    	}
		    	);
			}
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Lista leków wykorzystywanych przez DPS</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<ttSec:secure roles="LK_C_SLOWNIK_LEKOW,LK_D_SLOWNIK_LEKOW">
			<div style="margin-bottom: 20px;">
				<ttSec:secure roles="LK_C_SLOWNIK_LEKOW">
					<stripes:link class="button" beanclass="pl.topteam.dps.action.administracja.slowniki.leki.DodawanieLekuAction" event="dodawanieKrok1">
						Dodaj nowy lek
					</stripes:link>
				</ttSec:secure>
				&nbsp;&nbsp;
				<ttSec:secure roles="LK_D_SLOWNIK_LEKOW">
					<stripes:link class="button" beanclass="pl.topteam.dps.action.system.naprawa.leki.UsuwanieNieuzywanychLekowAction" event="usun"
							title="Porządkowanie ma na celu usunięcie leków, które (nie są/nigdy nie były) używane">
						<stripes:param name="zListyLekow" value="true"/>
						Porządkowanie listy
					</stripes:link>
				</ttSec:secure>
			</div>
		</ttSec:secure>
		<div id="jmesaContainer">
			<%@ include file="listaFiltr.jsp" %>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
