<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaLekow}" id="listaLekow" var="lek" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px; max-width: 95%;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" sortable="false" filterable="true">
				<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.leki.PodgladLekuAction" event="podglad">
					<stripes:param name="lek.id" value="${lek.id}"></stripes:param>
					<c:set var="obiektLek" value="${lek}"/>
					<%@ include file="/jsp/leki/opis/opisLeku.jsp" %>
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.leki.PodgladLekuAction" event="podglad">
						<stripes:param name="lek.id" value="${lek.id}"></stripes:param>
						<img src="${root}/img/lupa.gif" border="0" title="Podgląd leku"/>
					</stripes:link>
					<ttSec:secure roles="LK_D_SLOWNIK_LEKOW">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.slowniki.leki.ListaLekowWykorzystywanychAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten lek z listy ? ')">
							<stripes:param name="lek.id" value="${lek.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/leki/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń dowód osobisty"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
