<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/templatePages/podpowiedziHead/adresPodpHead.jsp" %>
		
		<script type="text/javascript">
			function showHideAdres() {
				if($("#statusAdresu").attr("checked")) {
					$("#fieldsetAdres").show();
				} else {
					$("#fieldsetAdres").hide();
				}
			}

			$(document).ready(function() {
				showHideAdres();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		
		<c:choose>
			<c:when test="${not empty actionBean.miejscePobytu.id}">
				<h3>Edycja miejsca pobytu/skierowania osoby</h3>
			</c:when>
			<c:otherwise>
				<h3>Dodawanie miejsca pobytu/skierowania osoby</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.MiejscePobytuAction">
				<stripes:hidden name="miejscePobytu.id"/>
				<stripes:hidden name="miejscePobytu.adresId"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<fieldset>
					<c:set var="nazwaPolaMiejscaPobytu" value="miejscePobytu"/>
					<%@ include file="/jsp/templatePages/polaMiejscePobytu.jsp" %>
					
					<div style="padding: 10px 0px 10px 10px;">
						<stripes:checkbox id="statusAdresu" name="statusAdresu" onchange="showHideAdres();"/>
						<label for="statusAdresu" class="cursorPointer">&nbsp;Wprowadź adres</label>
					</div>
					<fieldset id="fieldsetAdres">
						<stripes:hidden name="adres.id"/>
						<stripes:hidden name="adres.typ" value="ZAMIESZKANIA"/>
						<legend>
							Adres&nbsp;&nbsp;&nbsp;
							<stripes:text id="adresPodp_adres" name="adresPodp_adres" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adres');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>

						<c:set var="nazwaPolaAdresu" value="adres"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.ListaMiejscPobytuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>