<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaMiejsc}" id="listaMiejsc" var="miejsce" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px; max-width: 95%;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" sortable="true" filterable="true"/>
			<jmesa:htmlColumn property="adres" title="Adres" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty miejsce.adres}">
						${miejsce.adres.postacDoDruku[0]}<br/>
						${miejsce.adres.postacDoDruku[1]}
					</c:when>
					<c:otherwise>
						&nbsp;
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opiekaZdrowotna" title="Placówka OZ" sortable="false" filterable="false">
				${not empty miejsce.opiekaZdrowotna && miejsce.opiekaZdrowotna ? 'TAK' : 'NIE'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_MIEJSCE_POBYTU">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.MiejscePobytuAction" event="edycja">
							<stripes:param name="miejscePobytu.id" value="${miejsce.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj miejsce"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_D_MIEJSCE_POBYTU">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.ListaMiejscPobytuAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć to miejsce z listy ? ')">
							<stripes:param name="miejscePobytu.id" value="${miejsce.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/miejscePobytu/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń miejsce"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
