<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaPorDnia}" id="listaPorDnia" var="poraDnia" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="kolejnosc" title="Kolejność" styleClass="daneWyroznione" filterable="false"/>
			<jmesa:htmlColumn property="wrp" title="WRP" sortable="false" filterable="false">
				${not empty poraDnia.wrp && poraDnia.wrp ? 'TAK' : ''}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Nazwa" styleClass="daneWyroznione" filterable="false"/>
			<jmesa:htmlColumn property="skrot" title="Skrót" filterable="false"/>
			<jmesa:htmlColumn property="godzina" title="Godzina" filterable="false"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="LK_U_PORA_DNIA">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.PoraDniaDodawanieEdycjaAction" event="edycja">
							<stripes:param name="poraDnia.id" value="${poraDnia.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj porę dnia"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="LK_D_PORA_DNIA">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.slowniki.poryDnia.ListaPorDniaAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć porę dnia ${poraDnia.nazwa} ? ')">
							<stripes:param name="poraDnia.id" value="${poraDnia.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/poraDnia/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń porę dnia"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
