<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			#grupaInput{
				display: none;
			}
		</style>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#wprowadzNowaGrupe").click(function(){
					$("#grupaSelect").slideUp();
					$("#grupaInput").slideDown();
					$("#grupaSel").val("");
				});
				$("#wybierzGrupeZListy").click(function(){
					$("#grupaInput").slideUp();
					$("#grupaSelect").slideDown();
					$("#grupaIn").val("");
				});
			});		
		</script>
		<c:if test="${not empty actionBean.context.validationErrors['swiadczenie.swiadczenieGrupa.nazwa']}">
			<script type="text/javascript">
				$(document).ready(function() {
					$("#grupaSelect").slideUp();
					$("#grupaInput").slideDown();
					$("#grupaSel").val("");
				});	
			</script>
		</c:if>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			<c:choose>
				<c:when test="${not empty actionBean.swiadczenie.id}">
					Edycja świadczenia
				</c:when>
				<c:otherwise>
					Dodawanie świadczenia
				</c:otherwise>
			</c:choose>
		</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.administracja.slowniki.swiadczenia.SwiadczenieDodawanieEdycjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="swiadczenie.id"/>
				<fieldset>
					<c:set var="nazwaPolaSwiadczenie" value="swiadczenie"/>
					<%@ include file="/jsp/templatePages/polaSwiadczenie.jsp" %>
				</fieldset>
				
				<fieldset id="grupaSelect">
					<legend>kwalifikacja do grupy świadczeń</legend>

					<stripes:button id="wprowadzNowaGrupe" class="noLoadImage" name="wprowadzNowaGrupe" value="Wprowadź nową grupę świadczeń"/>
					<div class="row" >
						<div class="label">
							<label>
								wybierz
							</label>
						</div>
						<div class="input">
							<stripes:select class="required" name="swiadczenie.grupaId" title="Grupa świadczeń" id="grupaSel" style="width: 300px;">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<stripes:options-collection collection="${listaGrupSwiadczen}" label="nazwa" value="id"/>
							</stripes:select>
							<div style="clear: both">
								<stripes:errors field="swiadczenie.grupaId"/>
							</div>
						</div>
					</div>
				</fieldset>

				<fieldset id="grupaInput">
					<legend>grupa świadczeń</legend>

					<stripes:button id="wybierzGrupeZListy" class="noLoadImage" name="wybierzGrupeZListy" value="Wybierz grupę z listy"/>
					
					<c:set var="nazwaPolaSwiadczenieGrupa" value="swiadczenie.swiadczenieGrupa"/>
					<%@ include file="/jsp/templatePages/polaSwiadczenieGrupa.jsp" %>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.administracja.slowniki.swiadczenia.ListaSwiadczenAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>