<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaTerminow}" id="listaTerminow" var="termin" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 450px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dzien" title="Dzień" styleClass="daneWyroznione" filterable="true" sortable="true">
				<c:choose><c:when test="${termin.dzien == 2147483647}">&nbsp;-&nbsp;</c:when><c:otherwise>${termin.dzien}</c:otherwise></c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="tekst" title="Tekst" filterable="true" sortable="true"/>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_POB_SWIAD">
						<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.terminWyplaty.TerminWyplatyDodawanieEdycjaAction" event="edycja">
							<stripes:param name="termin.id" value="${termin.id}"></stripes:param>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj porę dnia"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_POB_SWIAD">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.administracja.slowniki.terminWyplaty.ListaTerminowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten termin?')">
							<stripes:param name="termin.id" value="${termin.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/slowniki/terminWyplaty/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń termin"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
