<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<a name="dzial2"></a>
<div class="jmesa" style="padding-top: 10px; padding-bottom: 10px;">

	<table class="table" style="margin-left: auto; margin-right: auto; background-color: #D7E3F4;">
		<thead>
			<tr class="header">
				<td colspan="4" rowspan="2">Wyszczególnienie</td>
				<td colspan="${2 * fn:length(actionBean.saDoc.dzial1.punkt3)}">Grupy mieszkańców</td>
			</tr>
			
			<tr class="header">
				<c:forEach items="${actionBean.saDoc.dzial1.punkt3}" var="profilDps" varStatus="i">
					<stripes:hidden name="saDoc.dzial2.grupy[${i.index}].p01" value="${profilDps}"/>
					<td colspan="2">
						<c:set var="D1_3Opis" value=""/>
						<c:forEach items="${ttFn:enumValues('pl.topteam.dps.sprawozdanie.gus.ps03.constants.Dzial1_3')}" var="enumValue">
							<c:if test="${profilDps.name() == enumValue.name()}">
								<c:set var="D1_3Opis" value="${enumValue.rodzajJednostki.opis}"/>
							</c:if>
						</c:forEach>
						<c:forEach begin="1" end="${i.count}">I</c:forEach><br/>
						${D1_3Opis}
					</td>
				</c:forEach>
			</tr>
			<tr class="header">
				<td colspan="4"></td>
				<c:forEach items="${actionBean.saDoc.dzial1.punkt3}" var="profilDps" varStatus="i">
					<td>ogółem</td>
					<td>w tym<br/>kobiety</td>
				</c:forEach>
			</tr>
			<tr class="header">
				<td colspan="4">0</td>
				<c:forEach items="${actionBean.saDoc.dzial1.punkt3}" var="profilDps" varStatus="i">
					<td>1</td>
					<td>2</td>
				</c:forEach>
			</tr>
		</thead>
		<tbody class="tbody">
			<c:set var="iWiersz" value="1"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Symbol (z działu 1 punkt 3)</td>
				<td>01</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td colspan="2" class="text-center">
						${actionBean.saDoc.dzial1.punkt3[i.index].ordinal() + 1}
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3" class="daneWyroznione">
					Liczba mieszkańców w dniu 31XII (suma wierszy 04 do 11)
				</td>
				<td>02</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p02.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_02.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p02.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p02.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_02.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p02.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="11"> W wieku lat</td>
				<td colspan="2">do lat 18 (suma wierszy 04 do 07)</td>
				<td>03</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p03.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_03.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p03.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p03.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_03.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p03.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="4">z wiersza 03<br/>w wieku lat</td>
				<td>0-3</td>
				<td>04</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p04.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_04.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p04.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p04.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_04.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p04.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td>4-6</td>
				<td>05</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p05.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_05.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p05.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p05.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_05.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p05.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td>7-13</td>
				<td>06</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p06.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_06.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p06.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p06.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_06.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p06.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td>14-18</td>
				<td>07</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p07.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_07.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p07.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p07.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_07.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p07.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			na łączeniu żeby kolor zmienić
			<c:set var="iWiersz" value="${iWiersz+2}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">19-40</td>
				<td>08</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p08.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_08.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p08.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p08.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_08.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p08.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">41-60</td>
				<td>09</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p09.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_09.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p09.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p09.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_09.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p09.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">61-64</td>
				<td>10</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p10.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_10.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p10.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p10.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_10.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p10.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">65-74</td>
				<td>11</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p11.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_11.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p11.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p11.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_11.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p11.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">75-79</td>
				<td>12</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p12.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_12.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p12.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p12.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_12.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p12.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">80 i więcej</td>
				<td>13</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p13.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_13.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p13.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p13.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_13.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p13.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td rowspan="5">
					Z wiersza 02
					<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
							title="Podgląd danych" target="_blank">
						<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
						<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_14_18.sql"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
						&nbsp;?&nbsp;
					</stripes:link>
				</td>
				<td colspan="2">
					mieszkańcy opłacający pobyt przynajmniej w części<br/>
					z dochodów własnych (np. emerytury, renty, renty<br/>
					socjalnej, zasiłku stałego
				</td>
				<td>14</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p14.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p14.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					w tym opłacające pobyt w pełnej wysokości
				</td>
				<td>15</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p15.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p15.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					pełna odpłatność członków rodziny
				</td>
				<td>16</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p16.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p16.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					pełna odpłatność gminy/budżetu państwa
				</td>
				<td>17</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p17.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p17.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="2">
					zwolnienie z odpłatności (niewykazani w wierszu 17)
				</td>
				<td>18</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p18.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p18.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Osoby nieopuszczające łóżek</td>
				<td>19</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p19.liczbaOgolem" size="6"></stripes:text>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p19.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3" class="daneWyroznione">Liczba mieszkańców w roku sprawozdawczym</td>
				<td>20</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p20.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_20.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p20.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p20.WTymKobiety" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="contextMap['plec']" value="K"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_20.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p20.WTymKobiety"/>
					</td>
				</c:forEach>
			</tr>
			<c:set var="iWiersz" value="${iWiersz+1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td colspan="3">Osobodni pobytu mieszkańców</td>
				<td>21</td>
				<c:forEach items="${actionBean.listaProfiliJednostki}" var="profilDps" varStatus="i">
					<td class="text-center nowrap">
						<stripes:text class="numberInteger required" name="saDoc.dzial2.grupy[${i.index}].p21.liczbaOgolem" size="6"></stripes:text>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.raporty.sql.SqlEmbeddedRaportAction" event="podgladDanych"
								title="Podgląd danych" target="_blank">
							<stripes:param name="contextMap['profilDps']" value="${profilDps.numer.opis}"/>
							<stripes:param name="plik" value="sprawozdania${FILE_SEPARATOR_CHAR}gus${FILE_SEPARATOR_CHAR}ps03${FILE_SEPARATOR_CHAR}2014${FILE_SEPARATOR_CHAR}D2_21.sql"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/generowanie/gus/sp03/2014/blad.jsp')}"></stripes:param>
							&nbsp;?&nbsp;
						</stripes:link>
						<stripes:errors field="saDoc.dzial2.grupy[${i.index}].p21.liczbaOgolem"/>
					</td>
					<td class="text-center nowrap">
						X
					</td>
				</c:forEach>
			</tr>
		</tbody>
	</table>
</div>
