<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="saDoc.metryczka.numerSprawozdania"/>

<div class="jmesa" style="padding-top: 10px; padding-bottom: 10px;">
	<table class="table" style="margin-left: auto; margin-right: auto; background-color: #D7E3F4;">
		<tbody class="tbody">
			<c:set var="i" value="1"/>
			<tr class="${i % 2 == 0 ? 'odd' : 'even'}" onmouseover="this.className='highlight'" onmouseout="this.className='${i % 2 == 0 ? 'odd' : 'even'}'">
				<td>szacunkowy czas (w minutach)<br/>przeznaczony na przygotowanie danych</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.metryczka.czasPoswieconyNaPrzygotowanie" size="6"></stripes:text>
					<stripes:errors field="saDoc.metryczka.czasPoswieconyNaPrzygotowanie"/>
				</td>
				<td>szacunkowy czas (w minutach)<br/>przeznaczony na wypełnienie formularza</td>
				<td class="text-center nowrap">
					<stripes:text class="numberInteger required" name="saDoc.metryczka.czasPoswieconyNaWypelnienie" size="6"></stripes:text>
					<stripes:errors field="saDoc.metryczka.czasPoswieconyNaWypelnienie"/>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<fieldset>
	<legend>
		dane osoby sporządzającej
	</legend>
	<div class="row">
		<div class="label">
			<label>
				e&#8209;mail
			</label>
		</div>
		<div class="input">
			<stripes:text name="saDoc.metryczka.osobaSporzadzajaca.EMail" size="40" class="required"></stripes:text>
			<stripes:errors field="saDoc.metryczka.osobaSporzadzajaca.EMail"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				imię i nazwisko
			</label>
		</div>
		<div class="input">
			<stripes:text name="saDoc.metryczka.osobaSporzadzajaca.imieINazwisko" size="50" class="required"></stripes:text>
			<stripes:errors field="saDoc.metryczka.osobaSporzadzajaca.imieINazwisko"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				telefon
			</label>
		</div>
		<div class="input">
			<stripes:text name="saDoc.metryczka.osobaSporzadzajaca.telefon" size="20" class="required"></stripes:text>
			<stripes:errors field="saDoc.metryczka.osobaSporzadzajaca.telefon"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				miejscowość i data
			</label>
		</div>
		<div class="input">
			<stripes:text name="saDoc.metryczka.miejsceUtworzenia" size="40" class="required"></stripes:text>
			<stripes:text name="saDoc.metryczka.dataUtworzenia" size="40" class="data required"></stripes:text>
			<stripes:errors field="saDoc.metryczka.miejsceUtworzenia"/>
			<stripes:errors field="saDoc.metryczka.dataUtworzenia"/>
		</div>
	</div>
</fieldset>
