<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:hidden name="saDoc.metryczka.numerSprawozdania"/>
<stripes:errors field="saDoc.metryczka.numerSprawozdania"/>

<table border="2" cellspacing="0" cellpadding="8" width="944px">
	<thead>
		<tr>
			<th colspan="3">
				<span style="font-size: 18px; font-weight: bold;">
					MINISTERSTWO PRACY I POLITYKI SPOŁECZNEJ,<br/>
					ul. Nowogrodzka 1/3/5, 00-513 Warszawa
				</span>
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td width="300">
				<span style="font-size: 11px; text-align: left;">Nazwa i adres jednostki sprawozdawczej:<br/></span>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td class="stamp" colspan="2">
							${actionBean.saDoc.metryczka.nadawca.pełnaNazwa}
							<stripes:hidden name="saDoc.metryczka.nadawca.pełnaNazwa"/>
							<stripes:hidden name="saDoc.metryczka.nadawca.kodKESO"/>
							
							<stripes:errors field="saDoc.metryczka.nadawca.pełnaNazwa"/>
							<stripes:errors field="saDoc.metryczka.nadawca.kodKESO"/>
						</td>
					</tr>
					<tr>
						<td class="stamp" colspan="2">
							ul. ${actionBean.saDoc.metryczka.nadawca.adresPocztowy.ulicaINumer}
							<stripes:hidden name="saDoc.metryczka.nadawca.adresPocztowy.ulicaINumer"/>
							
							<stripes:errors field="saDoc.metryczka.nadawca.adresPocztowy.ulicaINumer"/>
						</td>
					</tr>
					<tr>
						<td class="stamp" colspan="2">
							${actionBean.saDoc.metryczka.nadawca.adresPocztowy.kodIPoczta}
							<stripes:hidden name="saDoc.metryczka.nadawca.adresPocztowy.kodIPoczta"/>
							
							<stripes:errors field="saDoc.metryczka.nadawca.adresPocztowy.kodIPoczta"/>
						</td>
					</tr>
					<tr>
						<td class="stamp" style="font-size: 11px; text-align: left;">
							Tel. ${actionBean.saDoc.metryczka.nadawca.telefon}
							<stripes:hidden name="saDoc.metryczka.nadawca.telefon"/>
							
							<stripes:errors field="saDoc.metryczka.nadawca.telefon"/>
						</td>
						<td class="stamp" style="font-size: 11px; text-align: right;">
							Fax ${actionBean.saDoc.metryczka.nadawca.faks}
							<stripes:hidden name="saDoc.metryczka.nadawca.faks"/>
							
							<stripes:errors field="saDoc.metryczka.nadawca.faks"/>
						</td>
					</tr>
				</table>
			</td>
			<td rowspan="2" style="text-align: center; font-weight: bold;">
				<span style="font-size: large;">MPiPS-05</span><br/>
				<p style="font-size: 13px">
					Sprawozdanie<br/>o placówkach zapewniających<br/>
					całodobową opiekę i wsparcie<br/>
					<br/>
					<stripes:hidden name="saDoc.metryczka.zaOkres.rok"/>
					<stripes:hidden name="saDoc.metryczka.zaOkres.dataPoczątku"/>
					<stripes:hidden name="saDoc.metryczka.zaOkres.dataKońca"/>
					<stripes:hidden name="saDoc.metryczka.zaOkres.kwartał"/>
					
					<stripes:errors field="saDoc.metryczka.zaOkres.rok"/>
					<stripes:errors field="saDoc.metryczka.zaOkres.dataPoczątku"/>
					<stripes:errors field="saDoc.metryczka.zaOkres.dataKońca"/>
					<stripes:errors field="saDoc.metryczka.zaOkres.kwartał"/>
					za rok ${actionBean.saDoc.metryczka.zaOkres.rok}
				</p>
			</td>
			<td width="300">
				<span style="font-size: 11px; text-align: left;">Adresat:<br/></span>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td class="stamp" colspan="2">
							${actionBean.saDoc.metryczka.odbiorca.pełnaNazwa}
							<stripes:hidden name="saDoc.metryczka.odbiorca.pełnaNazwa"/>
							<stripes:hidden name="saDoc.metryczka.odbiorca.kodKESO"/>
							
							<stripes:errors field="saDoc.metryczka.odbiorca.pełnaNazwa"/>
							<stripes:errors field="saDoc.metryczka.odbiorca.kodKESO"/>
						</td>
					</tr>
					<tr>
						<td class="stamp" colspan="2">
							ul. ${actionBean.saDoc.metryczka.odbiorca.adresPocztowy.ulicaINumer}
							<stripes:hidden name="saDoc.metryczka.odbiorca.adresPocztowy.ulicaINumer"/>
							
							<stripes:errors field="saDoc.metryczka.odbiorca.adresPocztowy.ulicaINumer"/>
						</td>
					</tr>
					<tr>
						<td class="stamp" colspan="2">
							${actionBean.saDoc.metryczka.odbiorca.adresPocztowy.kodIPoczta}
							<stripes:hidden name="saDoc.metryczka.odbiorca.adresPocztowy.kodIPoczta"/>
							
							<stripes:errors field="saDoc.metryczka.odbiorca.adresPocztowy.kodIPoczta"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<span style="font-size: 11px; text-align: left;">Numer identyfikacyjny REGON:<br/></span>
				<div style="font-weight: bold; text-align: center;">
					${actionBean.saDoc.metryczka.nadawca.kodREGON}
					<stripes:hidden name="saDoc.metryczka.nadawca.kodREGON"/>
					
					<stripes:errors field="saDoc.metryczka.nadawca.kodREGON"/>
				</div>
			</td>
			<td>
				<div style="font-weight: bold; font-size: 13px; text-align: center;">
					<div style="font-weight: bold; font-size: 13px; text-align: center;">
						Przekazać / wysłać:<br/> do 31 stycznia 2015 r.
					</div>
				</div>
			</td>
		</tr>
	</tbody>
</table>

<stripes:hidden name="saDoc.metryczka.symbolFormularza"/>
<stripes:hidden name="saDoc.metryczka.dataUtworzenia"/>
<stripes:hidden name="saDoc.metryczka.numerSprawozdania"/>
<stripes:hidden name="saDoc.metryczka.data.wykonania"/>

<stripes:hidden name="saDoc.nagłówek.województwo.kodLokalizacji"/>
<stripes:hidden name="saDoc.nagłówek.województwo.kodNTS"/>
<stripes:hidden name="saDoc.nagłówek.osobaSporządzająca.imięINazwisko"/>
<stripes:hidden name="saDoc.nagłówek.osobaSporządzająca.telefon"/>
<stripes:hidden name="saDoc.nagłówek.osobaSporządzająca.dataWykonania"/>
<stripes:hidden name="saDoc.nagłówek.osobaSporządzająca.eMail"/>


<stripes:errors field="saDoc.metryczka.symbolFormularza"/>
<stripes:errors field="saDoc.metryczka.dataUtworzenia"/>
<stripes:errors field="saDoc.metryczka.numerSprawozdania"/>
<stripes:errors field="saDoc.metryczka.data.wykonania"/>

<stripes:errors field="saDoc.nagłówek.województwo.kodLokalizacji"/>
<stripes:errors field="saDoc.nagłówek.województwo.kodNTS"/>
<stripes:errors field="saDoc.nagłówek.osobaSporządzająca.imięINazwisko"/>
<stripes:errors field="saDoc.nagłówek.osobaSporządzająca.telefon"/>
<stripes:errors field="saDoc.nagłówek.osobaSporządzająca.dataWykonania"/>
<stripes:errors field="saDoc.nagłówek.osobaSporządzająca.eMail"/>
