<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

<stripes:hidden name="daneSprawozdania[Metryczka][@DMetryczka_$dataUtworzenia]" value="${$dataUtworzenia}"/>
<stripes:hidden name="daneSprawozdania[Metryczka][@DMetryczka_$numerSprawozdania]" value="${$numerSprawozdania}"/>
<fieldset>
	<fieldset>
		<legend>
			Dane jednostki DPS
		</legend>

		<%@ include file="dzialNaglowek.jsp" %>
	</fieldset>
	
	<fieldset>
		<legend>
			Liczba mieszkańców dla poszczególnych dni w roku
		</legend>
		<div class="jmesa">
			<table class="table">
				<thead>
					<tr class="header">
						<td></td>
						<c:forEach begin="1" end="12" var="miesiac">
							<td>
								${nazwyMiesiecy[miesiac]}
							</td>
						</c:forEach>
					</tr>
				</thead>
				
				<tbody class="tbody">
					<c:forEach begin="1" end="31" var="dzien">
						<c:set var="rowClass" value="${dzien % 2 == 0 ? 'even' : 'odd'}"/>
						<tr class="${rowClass}" onmouseover="this.className='highlight'"
								onmouseout="this.className='${rowClass}'">
							<th>${dzien}</th>
							<c:forEach begin="1" end="12" var="miesiac">
								<td>
									<c:choose>
										<c:when test="${dzien <= dniWMiesacach[miesiac - 1]}">
											<stripes:text class="required numberInteger" name="daneSprawozdania[${miesiac}][@D${miesiac}_${dzien}]"
													size="5" title="${dzien} ${nazwyMiesiecy[miesiac]} ${rok}"/>
											<stripes:errors field="D${miesiac}_${dzien}"></stripes:errors>
										</c:when>
										<c:otherwise>
											<stripes:hidden name="daneSprawozdania[${miesiac}][@D${miesiac}_${dzien}]"/>
											<stripes:errors field="D${miesiac}_${dzien}"></stripes:errors>
										</c:otherwise>
									</c:choose>

									<%-- jeżeli luty to dodaję dodatkowe pole --%>
									<c:if test="${miesiac == 2 && dniWMiesacach[miesiac - 1] != 29}">
										<stripes:hidden name="daneSprawozdania[2][@D2_29]" value=""/>
										<stripes:errors field="D2_29"></stripes:errors>
									</c:if>
								</td>
							</c:forEach>
						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>
	</fieldset>
	
	<fieldset>
		<legend>
			Stopka sprawozdania
		</legend>

		<%@ include file="dzialStopka.jsp" %>
	</fieldset>
</fieldset>
