<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaSprawozdan}" id="listaSprawozdan" var="sprawozdanie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data_wygenerowania" title="Data wygenerowania" styleClass="daneWyroznione" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${sprawozdanie.dataWygenerowania}" pattern="${TIMESTAMP_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ" title="Typ" styleClass="daneWyroznione" filterEditor="pl.topteam.dps.jmesa.view.editor.TypSprawozdaniaDropListFilterEditor">
				${sprawozdanie.typ.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="rok" title="Rok" styleClass="daneWyroznione"/>
			<jmesa:htmlColumn property="kwartal" title="Kwartał" sortable="false" filterable="false">
				${not empty sprawozdanie.kwartal ? sprawozdanie.kwartal : ''}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:if test="${not empty edytorActions[sprawozdanie.typ]}">
						<ttSec:secure roles="OG_U_SPRAWOZDANIE">
							<stripes:link beanclass="${edytorActions[sprawozdanie.typ].name}" event="edycja">
								<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
								<img src="${root}/img/edit.gif" class="iconspace" title="Edycja sprawozdania"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${not empty drukHtmlActions[sprawozdanie.typ]}">
						<ttSec:secure roles="OG_R_SPRAWOZDANIE">
							<stripes:link beanclass="${drukHtmlActions[sprawozdanie.typ].name}"
									class="noLoadImage" event="drukujHTML" target="_blank">
								<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
								<img src="${root}/img/printer.gif" class="iconspace" title="Wydruk do postaci HTML (czytanej przez przeglądarkę internetową)"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${not empty drukOdtActions[sprawozdanie.typ]}">
						<ttSec:secure roles="OG_R_SPRAWOZDANIE">
							<stripes:link beanclass="${drukOdtActions[sprawozdanie.typ].name}" 
									class="noLoadImage" event="drukujODT">
								<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
								<img src="${root}/img/wykonajODT.gif" class="iconspace" title="Wydruk do postaci ODT (OpenOffice)"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${not empty drukDocxActions[sprawozdanie.typ]}">
						<ttSec:secure roles="OG_R_SPRAWOZDANIE">
							<stripes:link beanclass="${drukDocxActions[sprawozdanie.typ].name}" 
									class="noLoadImage" event="drukujDOCX">
								<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
								<img src="${root}/img/wykonajDOCX.gif" class="iconspace" title="Wydruk do postaci DOCX (MS Word 2007+)"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<c:if test="${not empty drukPdfActions[sprawozdanie.typ]}">
						<ttSec:secure roles="OG_R_SPRAWOZDANIE">
							<stripes:link beanclass="${drukPdfActions[sprawozdanie.typ].name}" 
									class="noLoadImage" event="drukujPDF">
								<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
								<img src="${root}/img/wykonajPDF.gif" class="iconspace" title="Wydruk do postaci PDF"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
					<ttSec:secure roles="OG_D_SPRAWOZDANIE">
						<stripes:link beanclass="pl.topteam.dps.action.sprawozdanie.ListaSprawozdanAction" 
								class="noLoadImage" event="usun" onclick="return confirmation('Czy na pewno chcesz usunąć to sprawozdanie ? ')">
							<stripes:param name="sprawozdanie" value="${sprawozdanie.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sprawozdanie/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
