<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Sprawozdanie PS-03 (Sprawozdanie zakładu stacjonarnego pomocy społecznej)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.podpowiedzi.SprawozdaniePS03PodpowiedzAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								liczba osób, która<br/>
								nieopuszcza łóżka
							</label>
						</div>
						<div class="input">
							<stripes:text name="podpowiedzi['PS_03_D2_19'][0].wartoscS" class="numberInteger nChkb" title="Osoby nieopuszczające łóżek" size="8"/>
							<stripes:errors field="podpowiedzi['PS_03_D2_19'][0]"/>
							<stripes:errors field="podpowiedzi['PS_03_D2_19'][0].wartoscS"/>
						</div>
					</div>
					
					<fieldset>
						<legend>
							liczba osób pracujących w DPS (stan na 31 XII)
						</legend>
						
						<div class="row">
							<div class="label">
								<label>
									ogółem
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_01'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_01'][0]"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_01'][0].wartoscS"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									lekarzy
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_02'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_02'][0].wartoscS"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_02'][0]"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									pielęgniarek
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_03'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_03'][0]"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_03'][0].wartoscS"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									w tym mgr pielęgniarstwa
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_04'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_04'][0]"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_04'][0].wartoscS"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									fizjoterapeutów
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_05'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_05'][0]"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_05'][0].wartoscS"/>
							</div>
						</div>
						<div class="row">
							<div class="label">
								<label>
									w tym mgr fizjoterapii
								</label>
							</div>
							<div class="input">
								<stripes:text name="podpowiedzi['PS_03_D3_06'][0].wartoscS" class="numberInteger nChkb" size="8"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_06'][0]"/>
								<stripes:errors field="podpowiedzi['PS_03_D3_06'][0].wartoscS"/>
							</div>
						</div>
					</fieldset>
					<fieldset></fieldset>

					<div class="row">
						<div class="label">
							<label>
								liczba osób pracujących<br/>
								na zasadach<br/>
								wolontariatu
							</label>
						</div>
						<div class="input">
							<stripes:text name="podpowiedzi['PS_03_D3_07'][0].wartoscS" class="numberInteger nChkb" size="8"/>
							<stripes:errors field="podpowiedzi['PS_03_D3_07'][0]"/>
							<stripes:errors field="podpowiedzi['PS_03_D3_07'][0].wartoscS"/>
						</div>
					</div>
				</fieldset>

				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>