<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		
		<script type="text/javascript" src="${root}/js/utils/slowo.js"/>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Uzupełnianie informacji nt. przyjęcia osób</h3>
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.dps.action.sprawozdanie.uzupelnienia.OsobyPrzeniesioneAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset style="width: 750px;">
					Formularz zawiera osoby po raz pierwszy zarejestrowane jako mieszkańcy Domu w roku ${rok}. Należy wybrać
					(prostokąt powinien się podświelić na niebiesko) mieszkańców, którzy
					zostali PRZENIESIENI Z&nbsp;INNYCH DOMÓW LUB OŚRODKÓW. Umożliwi to wybór osób
					po raz pierwszy umieszczonych w tego rodzaju placówkach co jest niezbędne dla sprawozdania PS03
					w myśl umieszczonej w&nbsp;nim adnotacji.
					<br/><br/>
					def.:<br/>
					<dfn>
						osoby, które po raz pierwszy W ŻYCIU trafiły do zakładu stacjonarnego pomocy społecznej (bez osób przeniesionych
						z innych placówek)
					</dfn>
					<br/><br/>
					Dopiero po wybraniu odpowiednich osób i zapisaniu formularza (przycisk "Zapisz"), prawidłowo będą one wykazywane
					w sprawozdaniu PS03.
				</fieldset>
				<fieldset>
					<legend>Osoby przeniesione z innych DPSów/ośrodków</legend>
					
					<c:choose>
						<c:when test="${fn:length(actionBean.listaOsob) > 0}">
							<c:set var="i" value="0"/>
							<jmesa:tableFacade items="${actionBean.listaOsob}" id="listaOsob" var="osoba" editable="false"
									view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaOsob)}">
								<jmesa:htmlTable style="width: 750px;">
									<jmesa:htmlRow>
										<jmesa:htmlColumn property="nazwisko" title="Osoba" styleClass="daneWyroznione" sortable="false">
											${osoba.nazwiskoImie}
										</jmesa:htmlColumn>
										<jmesa:htmlColumn property="przyjetyZ" title="Przyjęty z" sortable="false" styleClass="nowrap">
											<stripes:hidden name="listaOsob[${i}].id"/>
											<stripes:hidden name="listaOsob[${i}].nazwisko"/>
											<stripes:hidden name="listaOsob[${i}].imie"/>
											<stripes:hidden name="listaOsob[${i}].pesel"/>
											<stripes:hidden name="listaOsob[${i}].ewidencjaDps.id"/>
											<stripes:hidden name="listaOsob[${i}].ewidencjaDps.dataOd"/>
											
											<stripes:select style="width:300px" class="mySelect" name="listaOsob[${i}].ewidencjaDps.skadPrzyszedlId" id="kodMiejscaPrzyjscia${i}">
												<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
												<stripes:options-collection collection="${kodMiejscaPrzyjsciaDoDPSSlownik}" label="wartString" value="id"/>
											</stripes:select>
											&nbsp;&nbsp;
											<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_MIEJSCA_PRZYJSCIA_DO_DPS', 'kodMiejscaPrzyjscia${i}'); return false;"
													title="Wprowadź nowe słowo">
												<img src="${root}/img/icons/add.png" style="border: 0px;">
											</a>
											<div style="clear: both; padding-bottom: 5px;"></div>
											<stripes:errors field="listaOsob[${i}].skadPrzyszedlId"/>
											
											<c:set var="i" value="${i + 1}"/>
										</jmesa:htmlColumn>
									</jmesa:htmlRow>
								</jmesa:htmlTable>
							</jmesa:tableFacade>
							<div>
								Razem osób przyjętych w roku ${rok}: <span class="daneWyroznione">${fn:length(actionBean.listaOsob)} mieszkańców</span>
							</div>
						</c:when>
						<c:otherwise>
							Nie znaleziono osób przyjętych po raz pierwszy w roku ${rok}.
						</c:otherwise>
					</c:choose>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>