<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="sql" uri="http://java.sun.com/jsp/jstl/sql" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Podgląd wyniku zapytania</title>

	<link rel="stylesheet" type="text/css" href="${root}/css/wydrukRaportu.css" />
	<style type="text/css">
		.alignRight {
			text-align: right;
		}
	</style>
	
	<%@ include file="/jsp/biblioteki/mainJQuery.jsp" %>
	<script type="text/javascript" src="${root}/js/jquery.blink.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			$('.blink').blink({
				delay: 800
			});
		});
	</script>
</head>
<body>
	<c:choose>
		<c:when test="${not empty typZapytania && typZapytania == 'insert'}">
			<sql:transaction dataSource="${ds}"> 
				<sql:update var="result" scope="page">
					${zapytanie}
				</sql:update>
			</sql:transaction>
			<font style="font-family: verdana; font-size: 14px; color: black;">Wstawiono ${result} rekord/y/ów do bazy danych.</font>
		</c:when>
		<c:when test="${not empty typZapytania && typZapytania == 'update'}">
			<sql:update var="result" dataSource="${ds}" scope="page">
				${zapytanie}
			</sql:update>
			<font style="font-family: verdana; font-size: 14px; color: black;">Uaktualniono ${result} rekord/y/ów w bazie danych.</font>
		</c:when>
		<c:when test="${not empty typZapytania && typZapytania == 'delete'}">
			<sql:transaction dataSource="${ds}">  
				<sql:update var="result" scope="page">
					${zapytanie}
				</sql:update>
			</sql:transaction>
			<font style="font-family: verdana; font-size: 14px; color: black;">Usunięto ${result} rekord/y/ów w bazie danych.</font>
		</c:when>
		<c:otherwise>
			<sql:query var="result" dataSource="${ds}" scope="page">
				${zapytanie}
			</sql:query>
			<table>
				<thead>
					<tr>
						<th>Lp.</th>
						<c:set var="columnCount" value="0"/>
						<c:forEach var="columnName" items="${result.columnNames}">
							<c:set var="columnCount" value="${columnCount + 1}"/>
							<th>
								${columnName}
							</th>
						</c:forEach>
					</tr>
				</thead>
				<tbody>
					<jsp:useBean id="sumMap" class="java.util.HashMap"/>

					<c:set var="rowCount" value="0"/>
					<c:forEach var="row" items="${result.rowsByIndex}">
						<c:set var="rowCount" value="${rowCount + 1}"/>
						<tr>
							<td>${rowCount}</td>
							<c:forEach var="column" items="${row}" varStatus="i">
								<c:choose>
									<c:when test="${ttFn:instanceOf(column, objectArrayList)}">
										<td>
											<c:set var="i" value="1"/>
											<c:set var="liczbaWartosci" value="${fn:length(column)}"/>
											<c:forEach var="colItem" items="${column}">
												${colItem}<c:if test="${i < liczbaWartosci}">,<br/></c:if>
												<c:set var="i" value="${i + 1}"/>
											</c:forEach>
										</td>
									</c:when>
									<c:when test="${ttFn:instanceOf(column, integerClass) || ttFn:instanceOf(column, longClass)}">
										<td class="alignRight">
											<c:set var="mapKey" value="suma_${i.count - 1}"/>
											<c:set var="popSuma" value="${sumMap[mapKey]}"/>
											<c:set target="${sumMap}" property="${mapKey}" value="${empty popSuma ? column : (popSuma + column)}"/>
											${column}
										</td>
									</c:when>
									<c:when test="${ttFn:instanceOf(column, doubleClass) || ttFn:instanceOf(column, bigdecimalClass)}">
										<td class="alignRight">
											<c:set var="mapKey" value="suma_${i.count - 1}"/>
											<c:set var="popSuma" value="${sumMap[mapKey]}"/>
											<c:set target="${sumMap}" property="${mapKey}" value="${empty popSuma ? column : (popSuma + column)}"/>
											
											<fmt:formatNumber value="${column}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
										</td>
									</c:when>
									<c:otherwise>
										<td>${column}</td>
									</c:otherwise>
								</c:choose>
							</c:forEach>
						</tr>
					</c:forEach>
					<c:if test="${not empty sumMap}">
						<tr>
							<td colspan="${columnCount + 1}" style="font-size: 2px;">&nbsp;</td>
						</tr>
						<tr>
							<td style="font-size: larger;">
								+
							</td>
							<c:forEach var="columnIndex" begin="1" end="${columnCount}">
								<td class="alignRight">
									<c:set var="mapKey" value="suma_${columnIndex - 1}"/>
									<c:set var="mapValue" value="${sumMap[mapKey]}"/>
									
									<c:choose>
										<c:when test="${ttFn:instanceOf(mapValue, doubleClass) || ttFn:instanceOf(mapValue, bigdecimalClass)}">
											<fmt:formatNumber value="${mapValue}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
										</c:when>
										<c:otherwise>
											${mapValue}
										</c:otherwise>
									</c:choose>
								</td>
							</c:forEach>
						</tr>
					</c:if>
				</tbody>
				<tfoot>
					<tr>
						<td colspan="${columnCount + 1}">
							Razem: ${rowCount} rekordów
						</td>
					</tr>
				</tfoot>
			</table>
		</c:otherwise>
	</c:choose>
</body>
</html>