<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SqlRaportActionURL" beanclass="pl.topteam.dps.action.raporty.sql.SqlRaportAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/codemirror.css" />
		
		<script type="text/javascript" src="${root}/js/codemirror.js"></script>
		<script type="text/javascript">
			var editor = null;
			
			function sprawdzZapytanie() {
				pokazLoadImage();
				$.post("${_SqlRaportActionURL}",
					{
						"sprawdzZaptanie" : 1,
						"zapytanie" : (editor != null ? editor.getCode() : '')
					},
					function(data, textStatus, xhr) {
						if(xhr.getResponseHeader('Ajax-Success')) {
				     		$("input[name='wykonajZapytanie']").click();
						} else {
							$("#spanBledy").html(data); 
						}
						ukryjLoadImage();
			    	}, "text"
		    	);

		    	return 0;
			}

			function onFormSubmit() {
				$(".bladglobalny").remove();
			}

			$(document).ready(function() {
				editor = CodeMirror.fromTextArea("zapytanie", {
					lineNumbers: false,
					iframeClass: "CodeMirror-iframe",
					height: "450px",
					parserfile : "parsesql.js",
					stylesheet : "${root}/css/sqlcolors.css",
					path : "${root}/js/codeMirrorUtil/",
					textWrapping : false
				});
			});
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Generowanie raportu z zapytania SQL</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.raporty.sql.SqlRaportAction" target="_blank" style="width: 800px;"
					onsubmit="onFormSubmit();">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<div style="padding-bottom: 10px;">
						treść zapytania
					</div>
					<div align="center">
						<div style="clear: both">
							<stripes:errors field="zapytanie"/>
							<span id="spanBledy"></span>
						</div>
						<stripes:textarea name="zapytanie" class="required" id="zapytanie" style="width: 95%;" rows="25"/>
					</div>
					<stripes:submit name="wykonajZapytanie" class="noLoadImage" style="display: none;" value="Ukryty submit"/>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:button name="sprawdz" class="noLoadImage" value="Generuj raport"
								onclick="sprawdzZapytanie();"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>