<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="content">
		<h3>Realizacja świadczenia (krok: wybór świadczenia)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ZbiorczaRealizacjaMiesiacAction" style="width: 600px;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						UWAGA !
					</legend>
					
					W przypadku świadczeń z dziennym limitem realizacji (ustalonym w aktualnej na dany okres) wybranego
					świadczenia program domyślnie codziennie ustawia realizację na wysokość tego limitu.
					Dla pozostałych świadzczeń realizację należy uzupełniać ręcznie.
					<br/><br/>
					<span class="warn">
						Program podpowiada domyślne wartości tylko w przypadku gdy za wskazany miesiąc nie wprowadzono jeszcze żadnej
						realizacji świadczenia. Inaczej wyświetlone zostają wprowadzone wartości realizacji świadczenia w ustalonych
						dla niego jednostkach.
					</span>
				</fieldset>
				<fieldset>
					<div class="row">
						<div class="label">
							<label>
								świadczenie
							</label>
						</div>
						<div class="input">
							<stripes:select class="required" name="swiadczenie.id" title="Realizowane świadczenie">
								<c:forEach items="${listaSwiadczen}" var="swiadczenie">
									<stripes:option value="${swiadczenie.id}" >${swiadczenie.nazwa} [${swiadczenie.jednostka.skrot}]</stripes:option>
								</c:forEach>
							</stripes:select>
							<div style="clear: both">
								<stripes:errors field="swiadczenie.id"/>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data realizacji<br/>
								(dotyczy całego miesiąca)
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataRealizacji" class="data required" title="Data realizacji" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataRealizacji"/>
						</div>
					</div>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="ustalRealizacje" value="Ustal realizacje" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
