<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.RealizacjaAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						Realizacja świadczenia (krok 1)
					</legend>
					
					<div class="row">
						<div class="label">
							<label>
								świadczenie
							</label>
						</div>
						<div class="input">
							<stripes:select class="required" name="swiadczenie.id" title="Realizowane świadczenie">
								<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
								<c:forEach items="${listaSwiadczen}" var="swiadczenie">
									<stripes:option value="${swiadczenie.id}">${swiadczenie.nazwa} [${swiadczenie.jednostka.skrot}]</stripes:option>
								</c:forEach>
							</stripes:select>
							<div style="clear: both">
								<stripes:errors field="swiadczenie.id"/>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="label">
							<label>
								data realizacji<br/>
								(dotyczy całego miesiąca)
							</label>
						</div>
						<div class="input">
							<stripes:text name="dataRealizacji" class="data required" title="Data realizacji" formatPattern="${DATE_PATTERN}"/>
							<stripes:errors field="dataRealizacji"/>
						</div>
					</div>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ListaRealizacjiAction" event="lista" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="dodawanieKrok2" value="Następny krok »" />
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
