<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRealizacji}" id="listaRealizacji" var="realizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="miesiac" title="Miesiąc" sortable="false" filterable="false">
				<fmt:formatDate value="${realizacja.data}" pattern="${YEAR_MONTH_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="swiadczenie" title="Świadczenie" sortable="false" filterable="false">
				${realizacja.swiadczenie.nazwa} [${realizacja.swiadczenie.jednostka.skrot}]
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ilosc" title="Ilość" sortable="false" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${stripes:enumName(realizacja.swiadczenie.jednostka) == 'SZTUKA'}">
						<fmt:formatNumber value="${realizacja.ilosc}" pattern="0" minIntegerDigits="1" minFractionDigits="0" maxFractionDigits="0"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber value="${realizacja.ilosc}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscRezygnacja" title="Zrezygnowano" sortable="false" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${stripes:enumName(realizacja.swiadczenie.jednostka) == 'SZTUKA'}">
						<fmt:formatNumber value="${realizacja.iloscRezygnacja}" pattern="0" minIntegerDigits="1" minFractionDigits="0" maxFractionDigits="0"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber value="${realizacja.iloscRezygnacja}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscPelnoplatne" title="Pełnopłatne" sortable="false" filterable="false" styleClass="alignRight"> 
				<c:choose>
					<c:when test="${stripes:enumName(realizacja.swiadczenie.jednostka) == 'SZTUKA'}">
						<fmt:formatNumber value="${realizacja.iloscPelnoplatne}" pattern="0" minIntegerDigits="1" minFractionDigits="0" maxFractionDigits="0"/>
					</c:when>
					<c:otherwise>
						<fmt:formatNumber value="${realizacja.iloscPelnoplatne}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn title="Opcje" property="opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_SWIADCZENIE_REALIZACJA">
						<stripes:link beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.RealizacjaEdycjaAction" event="edycja">
							<stripes:param name="swiadczenie.id" value="${realizacja.swiadczenieId}"/>
							<stripes:param name="dataRealizacji" value="${realizacja.data}"/>
							<img src="${root}/img/edit.gif" border="0" title="Edytuj realizację świadczenia za miesiąc"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_SWIADCZENIE_REALIZACJA">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ListaRealizacjiAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć realizację za ten miesiąc?')">
							<stripes:param name="swiadczenie.id" value="${realizacja.swiadczenieId}"/>
							<stripes:param name="dataRealizacji" value="${realizacja.data}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/swiadczeniaDzienne/realizacja/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
