<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="plikiRealizacjaSwiadczenia.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>Realizacja świadczenia (krok: uzupełnianie realizacji)</h3>
		<div class="formContainer">
			<%@ include file="realizacjaSwiadczeniaModal.jsp" %>
			<stripes:form beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.realizacja.ZbiorczaRealizacjaMiesiacAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="liczbaZapisanych"/>
				
				<%-- ustawienia wyświetlania --%>
				<c:set var="rowHeadersHeight" value="480"/>
				<c:set var="rowHeadersWidth" value="180"/>

				<c:set var="divColHeadersWidth" value="700"/>
				
				<c:set var="divDataRowWidth" value="${divColHeadersWidth}"/>
				<div id="newLoadImage" class="loadImage"></div>
				<fieldset>
					<div class="row">
						<div class="label">
							świadczenie
						</div>
						<div class="input">
							${actionBean.swiadczenie.nazwa}
						</div>
					</div>
					<div class="row">
						<div class="label">
							miesiąc
						</div>
						<div class="input">
							<fmt:formatDate value="${actionBean.dataRealizacji}" pattern="${YEAR_MONTH_PATTERN}" />
						</div>
					</div>
					
					<fieldset>
						<legend>
							realizacja w poszczególne dni miesiąca
						</legend>
						<table id="listaMieszkancow" cellspacing="0" cellpadding="0" border="0">
							<%-- nagłównki kolumn --%>
							<tr>
								<td id="firstTd" class="alignCenter"></td>
								<td>
									<div id="divHeader" class="jmesa" style="overflow:hidden; width:${divColHeadersWidth}px;">
										<table id="table_div_header" class="table" cellspacing="0" cellpadding="0" border="1">
											<thead>
												<tr class="header">
													<c:forEach begin="1" end="${liczbaDniWMiesiacu}" var="dzien">
														<td>
															<div class="tableHeader">${dzien}</div>
														</td>
													</c:forEach>
												</tr>
											</thead>
										</table>
									</div>
								</td>
							</tr>
							<%-- nagłówki wierszy --%>
							<tr>
								<td valign="top">
									<div id="firstcol" class="jmesa" style="overflow: hidden;">
										<table id="table_div_firstCol" class="table" width="${rowHeadersWidth}px" cellspacing="0" cellpadding="0" border="1" >
											<tbody class="tbody">
												<c:forEach items="${actionBean.listaMieszkancow}" var="mieszkaniec" varStatus="i">
													<tr class="${i.count % 2 == 0 ? 'even' : 'odd'}">
														<td class="tableFirstCol">${mieszkaniec.nazwiskoImie}</td>
													</tr>
												</c:forEach>
											</tbody>
										</table>
									</div>
								</td>
								<td valign="top">
									<div id="table_div" class="jmesa" style="overflow:auto; width:${divDataRowWidth}px;position:relative" onscroll="fnScroll()">
										<table id="table_div_data" class="table" cellspacing="0" cellpadding="0" border="1">
											<tbody class="tbody">
												<c:set var="j" value="0"/>
												
												<%-- oznaczanie pierwszego wiersza w tabeli odpiednim id (stąd jest wydzielony tr) --%>
												<tr id="firstTr" class="odd">
													<c:forEach begin="1" end="${liczbaDniWMiesiacu}" var="dzien">
														<td id="listaRealizacji${j}" class="nowrap" 
																onclick="zmianaRealizacji('listaRealizacji', ${j});"
																onblur="onBlurData();"
																style="cursor: pointer;">
															<c:set var="nazwaPolaRealizacji" value="listaRealizacji[${j}]"/>
															<c:set var="realizacja" value="${actionBean.listaRealizacji[j]}"/>
															<%@ include file="realizacjaSwiadczenia.jsp" %>
														</td>
														
														<c:set var="j" value="${j + 1}"/>
													</c:forEach>
												</tr>
												<%-- pozostałe wiersze --%>
												<c:forEach items="${actionBean.listaMieszkancow}" var="osoba" begin="1" varStatus="i">
													<tr class="${(i.count - 1) % 2 == 0 ? 'even' : 'odd'}">
														<c:forEach begin="1" end="${liczbaDniWMiesiacu}" var="dzien">
															<td id="listaRealizacji${j}" class="nowrap"
																	onclick="zmianaRealizacji('listaRealizacji', ${j});"
																	onblur="onBlurData();"
																	style="cursor: pointer;">
																<c:set var="nazwaPolaRealizacji" value="listaRealizacji[${j}]"/>
																<c:set var="realizacja" value="${actionBean.listaRealizacji[j]}"/>
																<%@ include file="realizacjaSwiadczenia.jsp" %>
															</td>
															
															<c:set var="j" value="${j + 1}"/>
														</c:forEach>
													</tr>
												</c:forEach>
											</tbody>
										</table>
									</div>
								</td>
							</tr>
						</table>
						<script type="text/javascript">
							jQuery.jmesa.addTableFacade('listaMieszkancow');
							jQuery.jmesa.setMaxRowsToLimit('listaMieszkancow','${wynikLimit.rowSelect.maxRows}');
							jQuery.jmesa.setTotalRowsToLimit('listaMieszkancow','${wynikLimit.rowSelect.totalRows}');
							jQuery.jmesa.setPageToLimit('listaMieszkancow','${wynikLimit.rowSelect.page + 1}');
						</script>
						<div style="padding-left: 5px;">
							Strona ${actionBean.jMesaSQLQueryTool.str} / ${actionBean.jMesaSQLQueryTool.liczbaStron}
						</div>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
				  		<stripes:button name="zapisz" value="Następna strona »" onclick="onInvokeAction('listaMieszkancow');"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
