<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="0"/>
<jmesa:tableFacade items="${actionBean.listaRealizacji}" id="listaRealizacji" var="realizacja" autoFilterAndSort="true"
		editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.listaRealizacji)}">
	<jmesa:htmlTable styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="dzien" title="Dzien" sortable="false" filterable="false">
				<stripes:hidden name="listaRealizacji[${i}].swiadczenieId"/>
				<stripes:hidden name="listaRealizacji[${i}].data"/>
				<stripes:hidden name="listaRealizacji[${i}].mieszkaniecId"/>
				
				<fmt:formatDate value="${realizacja.data}" pattern="d" />
				<stripes:errors field="listaRealizacji[${i}].data"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ilosc" title="Ilość" sortable="false" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.swiadczenie.jednostka) == 'SZTUKA'}">
						<stripes:text name="listaRealizacji[${i}].ilosc" class="numberInteger nChkb" title="Ilość zrealizowana w ramach decyzji" size="8"/>
					</c:when>
					<c:otherwise>
						<stripes:text name="listaRealizacji[${i}].ilosc" class="doublePrecision nChkb" title="Ilość zrealizowana w ramach decyzji"
								formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
					</c:otherwise>
				</c:choose>
				<stripes:errors field="listaRealizacji[${i}].ilosc"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscRezygnacja" title="Zrezygnowano" sortable="false" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.swiadczenie.jednostka) == 'SZTUKA'}">
						<stripes:text name="listaRealizacji[${i}].iloscRezygnacja" class="numberInteger nChkb" title="Ilość rezygnacji w ramach decyzji" size="8"/>
					</c:when>
					<c:otherwise>
						<stripes:text name="listaRealizacji[${i}].iloscRezygnacja" class="doublePrecision nChkb" title="Ilość rezygnacji w ramach decyzji"
								formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
					</c:otherwise>
				</c:choose>
				<stripes:errors field="listaRealizacji[${i}].iloscRezygnacja"/>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscPelnoplatne" title="Pełnopłatne" sortable="false" filterable="false" styleClass="alignRight">
				<c:choose>
					<c:when test="${stripes:enumName(actionBean.swiadczenie.jednostka) == 'SZTUKA'}">
						<stripes:text name="listaRealizacji[${i}].iloscPelnoplatne" class="numberInteger nChkb" title="Ilość realizacji pełnopłatnych" size="8"/>
					</c:when>
					<c:otherwise>
						<stripes:text name="listaRealizacji[${i}].iloscPelnoplatne" class="doublePrecision nChkb" title="Ilość realizacji pełnopłatnych"
								formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
					</c:otherwise>
				</c:choose>
				<stripes:errors field="listaRealizacji[${i}].iloscPelnoplatne"/>
				
				<c:set var="i" value="${i + 1}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
