<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRozliczen}" id="listaRozliczen" var="rozliczenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Miesiąc rozliczenia" sortable="false" filterable="false" styleClass="daneWyroznione">
					<fmt:formatDate value="${rozliczenie.data}" pattern="${YEAR_MONTH_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_SWIADCZENIE_ROZLICZENIA">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.RozliczenieEdycjaAction" event="edycja" >
							<stripes:param name="rozliczenie.id" value="${rozliczenie.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_SWIADCZENIE_ROZLICZENIA">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.ddp.action.socjalni.odplatnosc.rozliczenie.ListaRozliczenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć rozliczenie na wybrany miesiąc ? ')">
							<stripes:param name="rozliczenie.id" value="${rozliczenie.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/swiadczeniaDzienne/rozliczenie/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
