<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SumaActionURL" beanclass="pl.topteam.dps.action.utils.SumaAction" prependContext="true" scope="page"/>

<stripes:layout-component name="htmlHead">
	<script type="text/javascript">
		$(document).ready(function() {
			// sumowanie kolumn dla poszczególnych kwot
			$("input[name*='kwota']").on("change", function(){
				// kwota zmieniona
				var $this = $(this);
				
				// suffix kwoty
				var suffixKwoty =
					$this.attr('name').substring(
							$this.attr('name').indexOf('kwota') + 5);
				// suma, w której skład ma wchodzić kwota
				var $sumaThis = $("input[name='suma" + suffixKwoty + "']");

				// sumowanie wszystkich z input zakończonych na suffix
				var skladniki = jQuery.map($("input[name$='kwota" + suffixKwoty + "']"), function(elem, index){
					return elem.value;
				});
				// usuwanie komunikatów błędów z poprzedniego requesta (o ile były)
				$("span.err").remove();
				$.post("${_SumaActionURL}",
					{'skladniki' : skladniki},
					function(data, textStatus, xhr) {
						if(xhr.getResponseHeader('Ajax-Success')) {
							$sumaThis.val(data.replace('.', ','));
							
							// chwilowe podświetlenie (sygnał, że wstawiono nowe dane)
							$sumaThis.css('background-color', 'lightgreen');
							setTimeout(function(){$sumaThis.css('background-color', 'white');}, 80);
						} else {
							$sumaThis.css('background-color', 'red');
							$("<span class='err'>Błąd</span>").appendTo("#bledy" + suffixKwoty);
							setTimeout(function(){$sumaThis.css('background-color', 'white');}, 150);
						}
						
						ukryjLoadImage();
					}, "text"
				);
			});
		});
	</script>
</stripes:layout-component>
