<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="i" value="0"/>
<c:set var="sumaM" value="0.0"/>
<c:set var="sumaDom" value="0.0"/>
<c:set var="sumaPelnoplatne" value="0.0"/>
<jmesa:tableFacade items="${actionBean.listaPozycji}" id="listaPozycji" var="pozycja" maxRows="${fn:length(actionBean.listaPozycji)}"
			editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
	<jmesa:htmlTable style="width: 700px;" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="swiadczenie.nazwa" title="Nazwa<br/>świadczenia">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
						<span class="daneWyroznione">RAZEM:</span>
					</c:when>
					<c:otherwise>
						${pozycja.swiadczenie.nazwa}
						<stripes:hidden name="listaPozycji[${i}].swiadczenieId"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="ilosc" title="Ilość" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${stripes:enumName(pozycja.swiadczenie.jednostka) == 'SZTUKA'}">
								<stripes:text name="listaPozycji[${i}].ilosc" class="numberInteger required" size="7"/>
							</c:when>
							<c:otherwise>
								<stripes:text name="listaPozycji[${i}].ilosc" class="doublePrecision required" size="7"
										formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscPelnoplatne" title="Ilość<br/>pełnopłatne" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${stripes:enumName(pozycja.swiadczenie.jednostka) == 'SZTUKA'}">
								<stripes:text name="listaPozycji[${i}].iloscPelnoplatne" class="numberInteger required" size="7"/>
							</c:when>
							<c:otherwise>
								<stripes:text name="listaPozycji[${i}].iloscPelnoplatne" class="doublePrecision required" size="7"
										formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="iloscZrezygnowano" title="Ilość<br/>zrezygnowano" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${stripes:enumName(pozycja.swiadczenie.jednostka) == 'SZTUKA'}">
								<stripes:text name="listaPozycji[${i}].iloscZrezygnowano" class="numberInteger required" size="7"/>
							</c:when>
							<c:otherwise>
								<stripes:text name="listaPozycji[${i}].iloscZrezygnowano" class="doublePrecision required" size="7"
										formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:otherwise>
						</c:choose>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaM" title="Kwota<br/>mieszkańca" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
						<fmt:formatNumber value="${sumaM}" pattern="${DOUBLE_PRECISION_PATTERN}" var="sumaM"/>
						<span id="bledyM" class="daneWyroznione">
							<stripes:text name="sumaM" class="kwota daneWyroznione required" readonly="readonly" size="7" value="${sumaM}" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:when>
					<c:otherwise>
						<c:set var="sumaM" value="${sumaM + pozycja.kwotaM}"/>
						<stripes:text name="listaPozycji[${i}].kwotaM" class="kwota required" size="7" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaDom" title="Kwota<br/>DPS" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
						<fmt:formatNumber value="${sumaDom}" pattern="${DOUBLE_PRECISION_PATTERN}" var="sumaDom"/>
						<span id="bledyDom" class="daneWyroznione">
							<stripes:text name="sumaDom" class="kwota daneWyroznione required" readonly="readonly" size="7" value="${sumaDom}" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:when>
					<c:otherwise>
						<c:set var="sumaDom" value="${sumaDom + pozycja.kwotaDom}"/>
						<stripes:text name="listaPozycji[${i}].kwotaDom" class="kwota required" size="7" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kwotaPelnoplatne" title="Kwota<br/>pełnopłatne" styleClass="nowrap alignRight">
				<c:choose>
					<c:when test="${pozycja.swiadczenie.nazwa == nazwaPozPodsumowanie}">
						<fmt:formatNumber value="${sumaPelnoplatne}" pattern="${DOUBLE_PRECISION_PATTERN}" var="sumaPelnoplatne"/>
						<span id="bledyPelnoplatne" class="daneWyroznione">
							<stripes:text name="sumaPelnoplatne" class="kwota daneWyroznione required" readonly="readonly" size="7" value="${sumaPelnoplatne}" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
						</span>
					</c:when>
					<c:otherwise>
						<c:set var="sumaPelnoplatne" value="${sumaPelnoplatne + pozycja.kwotaPelnoplatne}"/>
						<stripes:text name="listaPozycji[${i}].kwotaPelnoplatne" class="kwota required" size="7" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
						<c:set var="i" value="${i + 1}"/>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
