<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_szablonWydrukuZmienneURL" beanclass="pl.topteam.dps.action.wydruk.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript" src="${root}/js/tinymce/jquery_jscripts/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tinyMCEUtils.js"></script>
		
		<script type="text/javascript">
			$(document).ready(function() {
				$('.blok').bind("click", function() {
					 currentBlok = $(this).attr('id');
				});
						
				$('.clickWordList li').click(function() {
					if(currentBlok == 'tresc') {
						insertToTinyNCE($(this).text());
					} else {
						$('#'+currentBlok).insertAtCaret($(this).text());
					}
					return false
				});
				
				$('.clickWordListBlok li').click(function() { 
					if(currentBlok != 'tresc'){
						$('#'+currentBlok).insertAtCaret($(this).text());
					}
					return false
				});
				
				$('.clickInsertBlok').click(function() { 
					if(currentBlok != 'tresc') {
						$('#'+currentBlok).insertAtCaret($(this).val());
					}
					return false
				});

				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open("${_szablonWydrukuZmienneURL}&typWzorca=" + $("select[name='szablonWydruku.typWzorca']").val(), "pomoc_zmienne", "left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1");
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${empty actionBean.szablonWydruku.id}">
				<h3>Dodawanie szablonu wydruku</h3>
			</c:when>
			<c:otherwise>
				<h3>Edycja szablonu wydruku (${actionBean.szablonWydruku.nazwa})</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction">
				<stripes:hidden name="szablonWydruku.id"/>
				<stripes:hidden name="szablonWydruku.typSzablonu" value="HTML"/>
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<%@ include file="/jsp/templatePages/polaSzablonWydruku.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
				
				<%@ include file="blokiFTL.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>