<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_szablonWydrukuZmienneURL" beanclass="pl.topteam.dps.action.wydruk.ZmienneAction" event="zmienne" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<script type="text/javascript">
			jQuery(function ($) {
				// pomoc - zmienne wydruku
				$("input[name='pomocZmienneWydruku']").bind("click", function() {
					window.open('${_szablonWydrukuZmienneURL}&szablonWydruku.typWzorca=' + $("select[name='szablonWydruku.typWzorca']").val(), 'pomoc_zmienne', 'left=20,top=20,width=500,height=500,toolbar=0,resizable=1,scrollbars=1');
				});
			})
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<c:choose>
			<c:when test="${empty actionBean.szablonWydruku.id}">
				<h3>Dodawanie szablonu wydruku (wzorzec OpenOffice)</h3>
			</c:when>
			<c:otherwise>
				<h3>Edycja szablonu wydruku (wzorzec OpenOffice)</h3>
			</c:otherwise>
		</c:choose>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" enctype="multipart/form-data" method="post">
				<stripes:hidden name="szablonWydruku.id"/>
				<stripes:hidden name="szablonWydruku.typSzablonu" value="OPEN_OFFICE"/>

				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<fieldset>
					<c:if test="${not empty actionBean.szablonWydruku.ooSzablonName}">
						<div class="row">
							<div class="label">
								<label>
									zarchiwizowany plik
								</label>
							</div>
							<div class="input">
								<stripes:text name="szablonWydruku.ooSzablonName"
									title="Plik wzorca pobrany przy wprowadzaniu szablonu wydruku" size="50" readonly="true"/>
								<stripes:errors field="szablonWydruku.ooSzablonName"/>
							</div>
						</div>
					</c:if>
										
					<%@ include file="/jsp/templatePages/polaSzablonWydrukuPlik.jsp" %>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
				
				<%@ include file="blokiFTL.jsp" %>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<c:choose>
							<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
								<stripes:submit name="zapisz" value="Zapisz"/>
							</c:when>
							<c:otherwise>
								<stripes:submit name="zapisz" disabled="disabled" value="Zapisz"/>
							</c:otherwise>
						</c:choose>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>