<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaSzablonow}" id="listaSzablonow" var="szablonWydruku" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwa" title="Nazwa szablonu" styleClass="daneWyroznione">
				<ttSec:secure roles="OG_U_SZABLON_WYDRUKU" defaultText="${szablonWydruku.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="edycja">
						<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
						${szablonWydruku.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typWzorca" title="Typ wzorca" filterEditor="pl.topteam.dps.jmesa.view.editor.TypWzorcaDropListFilterEditor">
				<ttSec:secure roles="OG_U_SZABLON_WYDRUKU" defaultText="${szablonWydruku.typWzorca.opis}">
					<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="edycja">
						<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
						${szablonWydruku.typWzorca.opis}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="OG_U_SZABLON_WYDRUKU">
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuAction" event="edycja"
								title="Edytuj szablon '${szablonWydruku.nazwa}'">
							<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="OG_R_SZABLON_WYDRUKU">
						<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuSerializacjaAction" event="serializuj"
								class="noLoadImage" title="Eksportuj szablon '${szablonWydruku.nazwa}'">
							<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
							<img src="${root}/img/wykonaj.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<c:choose>
						<c:when test="${!DEMO_APLIKACJI_CONTEXT_KEY}">
							<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER &&
									(stripes:enumName(szablonWydruku.typSzablonu) == 'OPEN_OFFICE' || stripes:enumName(szablonWydruku.typSzablonu) == 'MS_WORD')}">
								<stripes:link beanclass="pl.topteam.dps.action.wydruk.SzablonWydrukuPodgladPlikuAction" event="podgladPliku"
										title="Podgląd '${szablonWydruku.nazwa}'">
									<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
									<img src="${root}/img/lupa.gif" class="iconspace"/>
								</stripes:link>
							</c:if>
							<ttSec:secure roles="OG_D_SZABLON_WYDRUKU">
								<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.wydruk.ListaSzablonowWydrukuAction" event="usun"
										onclick="return confirmation('Czy na pewno chcesz usunąć szablon /${szablonWydruku.nazwa}/ ? ')"
										title="Usuń szablon '${szablonWydruku.nazwa}'">
									<stripes:param name="szablonWydruku.id" value="${szablonWydruku.id}"/>
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/szablonyWydruku/lista.jsp')}"/>
									<img src="${root}/img/delete.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<img src="${root}/img/delete_disabled.gif" class="iconspace" title="Niedostępne w wersji DEMO"/>
						</c:otherwise>
					</c:choose>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>

