<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/smallWindowLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="/jsp/zmienneWydruku/zmienneHead.jsp" %>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Zmienne wydruku</h3>
		<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>

		<div class="dialogClass">
			<c:if test="${not empty mapaZmiennychWydruku['zmienneGlobalne']}">
				<%@ include file="/jsp/zmienneWydruku/fieldsetZmienneGlobalne.jsp" %>
				<%@ include file="/jsp/zmienneWydruku/fieldsetFunkcjeGlobalne.jsp" %>
			</c:if>

			<c:choose>
				<c:when test="${not empty actionBean.typWzorca && not empty mapaZmiennychUdostepnionych[actionBean.typWzorca.name()]}">
					<fieldset>
						<legend>Zmienne wzorca "${actionBean.typWzorca.opis}"</legend>
						<ul class="clickWordList">
							<c:set var="listaZmiennych" value="${mapaZmiennychUdostepnionych[actionBean.typWzorca.name()]}"/>
							<%@ include file="/jsp/zmienneWydruku/zmienneLi.jsp" %>
						</ul>
					</fieldset>
				</c:when>
				<c:when test="${empty actionBean.typWzorca}">
					<div style="text-align: left; background-color: #D7E3F4;">
						<div class="bladglobalny">
							<img src="${root}/img/error.gif">
							Wybierz wzorzec wydruku, a następnie kliknij na przycisk "Pomoc - zmienne" !<br/>
							Podpowiedź uzyskasz w tym samym oknie.
						</div>
					</div>
				</c:when>
				<c:otherwise>
					<fieldset>
						Brak zmiennych specyficznych dla wzorca "${actionBean.typWzorca.opis}".
					</fieldset>
					<!--
						w wersji deweloperskiej zmienne nie są automatycznie rozpoznawane przy starcie,
						stąd można wymusić taką akcję tutaj;
						w wersji produkcyjnej zmienne są rozpoznawane przy starcie i jeśli ich tu
						nie wyświetlono tzn., że nie ma zmiennych dla tego szablonu wydruku
					-->
					<c:if test="${not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER}">
						<br/><br/>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.wydruk.ZmienneAction" event="rozpoznajZmienne">
							<stripes:param name="typWzorca" value="${actionBean.typWzorca}"></stripes:param>
							Wymuś rozpoznanie
						</stripes:link>
					</c:if>
				</c:otherwise>
			</c:choose>

			<div style="height: 3px;">
			</div>
		</div>
	</stripes:layout-component>

</stripes:layout-render>