<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaPolaIdNaliczenia" value="${nazwaPolaNaliczenie}.id"/>
<c:set var="wartoscIdNaliczenia" value="${ttFn:extractProperty(actionBean, nazwaPolaIdNaliczenia)}"/>

<c:set var="nazwaPolaNrFormatNaliczenia" value="${nazwaPolaNaliczenie}.nrFormat"/>
<c:set var="wartoscNrFormatNaliczenia" value="${ttFn:extractProperty(actionBean, nazwaPolaNrFormatNaliczenia)}"/>

<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">nr</label>
	</div>
	<div class="col-md-5">
		<stripes:text name="${nazwaPolaNaliczenie}.nr" class="required" title="Nr" size="80"/>
		<c:if test="${empty wartoscIdNaliczenia}">
			<stripes:button name="pomocZmienneWydruku" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
		</c:if>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaNaliczenie}.nr"/>
		<c:if test="${empty wartoscIdNaliczenia}">
			<span class="tip">
				<stripes:hidden name="${nazwaPolaNaliczenie}.nrFormat"/>
				&#36;&#123;auto&#125; == "${wartoscNrFormatNaliczenia}"
			</span>
		</c:if>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">szablon wydruku</label>
	</div>
	<div class="col-md-5">
		<stripes:select name="${nazwaPolaNaliczenie}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNaliczenie}.szablonWydrukuId"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">szablon wydruku (2)</label>
	</div>
	<div class="col-md-5">
		<stripes:select name="${nazwaPolaNaliczenie}.szablonWydruku2Id" class="mySelect" title="Szablon wydruku (2)" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNaliczenie}.szablonWydruku2Id"/>
	</div>
</div>
<div class="form-group">
	<div class="col-md-3 text-right">
		<label class="control-label">
			sporządził/a
		</label>
	</div>
	<div class="col-md-5">
		<c:choose>
			<c:when test="${empty wartoscIdNaliczenia}">
				${sessionPracownik.nazwiskoImie}
				<stripes:hidden name="${nazwaPolaNota}.pracownikId" value="${sessionPracownik.id}"/>
			</c:when>
			<c:otherwise>
				<c:set var="nazwaPolaPracownikSporzadzil" value="${nazwaPolaNaliczenie}.pracownik"/>
				<c:set var="pracownikSporzadzil" value="${ttFn:extractProperty(actionBean, nazwaPolaPracownikSporzadzil)}"/>
				${pracownikSporzadzil.nazwiskoImie}
				<stripes:hidden name="${nazwaPolaNaliczenie}.pracownikId"/>
				<stripes:hidden name="${nazwaPolaNaliczenie}.pracownik"/>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="${nazwaPolaNaliczenie}.pracownikId"/>
	</div>
</div>
