<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes"
	uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<style type="text/css">
	.box {
		padding-top: 1em;
		padding-bottom: 1em;
		clear: both;
	}
	
	.box div.elem {
		display: none;
		margin-top: 10px;
	}
	
	.box span.h3 {
		font-weight: bold;
		font-size: 14px;
		margin-right: 10px;
	}
	
	.toggleSelectable .ui-toggleSelecting {
		background: #FECA40;
	}
	
	.toggleSelectable .ui-toggleUnselecting {
		background: #FECA40;
	}
	
	.toggleSelectable .ui-widget-content .checkbox {
		display: none;
	}
	
	.toggleSelectable .ui-toggleSelected {
		background: #D7E3F4;
	}
	
	.toggleSelectable {
		list-style-type: none;
		margin: 0;
		padding: 0;
	}
	
	.toggleSelectable li {
		margin: 3px;
		padding: 5px;
		float: left;
		vertical-align: center;
		text-align: center;
	}
	
	.toggleSelectable li.minuta {
		width: 30px;
	}

	.toggleSelectable li.godzina {
		width: 30px;
	}

	.toggleSelectable li.dzien {
		width: 30px;
	}

	.toggleSelectable li.miesiac {
		width: 80px;
	}

	.toggleSelectable li.dzienTygodnia {
		width: 80px;
	}
</style>
<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
<script type="text/javascript">
	function showHideCronElement(selElem) {
		$selElem = $(selElem);

		var elemName = $selElem.attr("name");
		var className = elemName.substring(elemName.lastIndexOf("\.") + 1) + "Elem";
		var selValue = $selElem.val();

		// ukrywanie
		$("." + className).not("." + className + selValue).hide();
		// pokazanie właściwych
		$("." + className + selValue).show();
		
		return 0;
	}
	
	function getFormByElementId(id) {
	    var node = document.getElementById(id);
	    var found = false;
	    while (!found) {
	        if (node.nodeName == 'FORM') {
	            found = true;
	            return node;
	        }
	        node = node.parentNode;
	    }
	    return null;
	}

	$(document).ready(function() {
		$("select[name$='Info']").each(function() {
			showHideCronElement(this);
		});
		
		$(".toggleSelectable").toggleSelectable({
			lassoToggle : true,
			selected : function(event, ui) {
				$(ui.selected).find("input").attr('checked', true);
			},
			unselected : function(event, ui) {
				$(ui.unselected).find("input").removeAttr('checked');
			}
		});
	});
</script>
