<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>

<%@page import="pl.topteam.dps.model.main.Osoba"%>

<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jednoznaczna identyfikacja pola --%>
<c:set var="osobaFieldId" value="${osobaPoleNazwa}"/>

<%-- wyłuskiwanie wartości pola z ActionBeana --%>
<c:set var="osobaBeanFieldName" value="${osobaPoleNazwa}"/>
<c:catch var="e">
	<c:set var="osobaBeanFieldValue" value="${ttFn:extractProperty(actionBean, osobaBeanFieldName)}"/>
</c:catch>
<c:if test="${not empty e}">
	<% pageContext.setAttribute("osobaBeanFieldValue", new Osoba()); %>
</c:if>
<%-- tworzenie pola i opisu --%>
<c:choose>
	<c:when test="${not empty osobaBeanFieldValue.id}">
		<c:set var="nazwiskoImie" value="${osobaBeanFieldValue.nazwiskoImie}"/>
		
		<c:choose>
			<c:when test="${not empty osobaBeanFieldValue.pesel}">
				<c:set var="nazwiskoImie" value="${nazwiskoImie} (PESEL: ${osobaBeanFieldValue.pesel})"/>
			</c:when>
			<c:otherwise>
				<c:set var="nazwiskoImie" value="${nazwiskoImie} (ID: ${osobaBeanFieldValue.id})"/>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:otherwise>
		<c:set var="nazwiskoImie" value=""/>
	</c:otherwise>
</c:choose>

<c:choose>
	<c:when test="${not empty mZmarly}">
		<c:set var="dynFilterOnClick" value="createMZmarlyFilter"/>
		<c:set var="dynFilterOnClickClear" value="clearMZmarlyData"/>
	</c:when>
	<c:when test="${not empty mOsoba}">
		<c:set var="dynFilterOnClick" value="createOFilter"/>
		<c:set var="dynFilterOnClickClear" value="clearOData"/>
	</c:when>
	<c:when test="${not empty mCzlr}">
		<c:set var="dynFilterOnClick" value="createCzlrFilter"/>
		<c:set var="dynFilterOnClickClear" value="clearCzlrData"/>
	</c:when>
	<c:otherwise>
		<c:set var="dynFilterOnClick" value="createMFilter"/>
		<c:set var="dynFilterOnClickClear" value="clearMData"/>
	</c:otherwise>
</c:choose>

<div id="${osobaFieldId}" class="dynFilter autocomplete ${requiredClass}" onclick="${dynFilterOnClick}(this);"
		style="width: ${not empty filterWidth ? filterWidth : '370px'};">
	<span id="${osobaFieldId}Span">
		${nazwiskoImie}
	</span>
	
	<input id="${osobaFieldId}" name="${osobaPoleNazwa}" value="${osobaBeanFieldValue.id}" type="hidden"/>
	<stripes:hidden id="${osobaFieldId}Id" name="${osobaPoleNazwa}.id"/>
	<stripes:hidden id="${osobaFieldId}Nazwisko" name="${osobaPoleNazwa}.nazwisko"/>
	<stripes:hidden id="${osobaFieldId}Imie" name="${osobaPoleNazwa}.imie"/>
	<stripes:hidden id="${osobaFieldId}Pesel" name="${osobaPoleNazwa}.pesel"/>
</div>
<c:if test="${empty requiredClass || requiredClass == ''}">
	<div style="float:right; width: 20px; margin-top: -19px;">
		<a class="cursorPointer noLoadImage" onclick="${dynFilterOnClickClear}('${osobaFieldId}')" title="Usuń wybór">
			<img src="${root}/img/delete.gif" class="iconspace"/>
		</a>
	</div>
</c:if>
<stripes:errors field="${osobaPoleNazwa}.id"/>
<stripes:errors field="${osobaPoleNazwa}.nazwisko"/>
<stripes:errors field="${osobaPoleNazwa}.imie"/>
<stripes:errors field="${osobaPoleNazwa}.pesel"/>
