<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_OsobaActionURL" beanclass="pl.topteam.dps.action.utils.OsobaAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var czlrFilter = null;
	
	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateCzlrFilter = null;
	
	czlrFilterObject = function(id, nazwisko, imie, pesel) {
	    this.id = id;
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.pesel = pesel;
	};
	
	function formatCzlrFilter() {
		if(czlrFilter != null && czlrFilter.id != "") {
			return czlrFilter.nazwisko + " " + czlrFilter.imie +
		    	" (" +
		    		((czlrFilter.pesel != null && czlrFilter.pesel != "") ? (" PESEL: " + czlrFilter.pesel) : (" ID: " + czlrFilter.id)) +
		    	")";
		}
	
		return "";
	}
	
	function formatCzlr(osoba) {
		if(osoba.id != "") {
		    return osoba.nazwisko + " " + osoba.imie +
		    	" (" + 
		    		((osoba.pesel != null && osoba.pesel != "") ? (" PESEL: " + osoba.pesel) : (" ID: " + osoba.id)) +
		    	")";
		}
	
		return "";
	}
	
	var acOptionsCzlrFilter = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json',
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].id,
	                result: formatCzlr(data[i])
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(osoba, i, max) {
	    	return formatCzlr(osoba);
	    },
	    formatResult: function(osoba) {
	    	return formatCzlr(osoba);
	    }
	};
	
	function createCzlrFilter(filter) {
		if (czlrFilter) {
	        return;
	    }
		
	    var $mainDiv = $(filter);
	
	    var mainDivId = jqEscape($mainDiv.attr("id"));
	    var $textSpan = $("#" + mainDivId + "Span");
	
	   	var width = $mainDiv.width();
	    var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');
	
	    var $mIdInput = $("#" + mainDivId + "Id");
	    var $mNazwiskoInput = $("#" + mainDivId + "Nazwisko");
	    var $mImieInput = $("#" + mainDivId + "Imie");
	    var $mPeselInput = $("#" + mainDivId + "Pesel");
		
	    czlrFilter =
	        new czlrFilterObject(
	        		$mIdInput.val(), $mNazwiskoInput.val(), $mImieInput.val(), $mPeselInput.val()); 
	
	    $mainDiv.width(width);
	    $mainDiv.parent().width(width);
	    $mainDiv.css('overflow', 'visible');
	
	    $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 8) + 'px; margin-top: -4px;" value="" /></div>');
	    var $dynFilterDiv = $("#dynFilterInput");
	    if($mainDiv.is('required')) {
	    	$dynFilterDiv.addClass('required');
		}
	    
	    var $input = $('#dynFilterInput');
	    $input.val(originalValue);
	    $input.select();
	    $input.focus();
	
	    $input.keypress(function(event) {
	        if (event.keyCode == 13) {
	            var changedValue = input.val();
	            
	            $textSpan.text('');
	            $mainDiv.css('overflow', 'hidden');
	            $textSpan.text(changedValue);
	
	            czlrFilter = null;
	        }
	    });
		
	    $input
			.autocomplete("${_OsobaActionURL}", acOptionsCzlrFilter)
			.autocompleteclose(function() {
	        	if(czlrFilter != null) {
		            $textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
		
		            $textSpan.html(formatCzlrFilter());
		            
		            $mIdInput.val(czlrFilter.id);
		   	    	$mNazwiskoInput.val(czlrFilter.nazwisko);
		   	    	$mImieInput.val(czlrFilter.imie);
		   	    	$mPeselInput.val(czlrFilter.pesel);
		   	    	
		   	    	czlrFilter = null;
	        	}
			})
			.result(function(event, osoba, formatted) {
				var opisOsoby = formatCzlr(osoba);
		    	$input.val(opisOsoby);
		    	$textSpan.html(opisOsoby);
		    	
		    	$mIdInput.val(osoba.id);
		    	$mNazwiskoInput.val(osoba.nazwisko);
		    	$mImieInput.val(osoba.imie);
		    	$mPeselInput.val(osoba.pesel);
				
	            czlrFilter = null;
	
	            // funkcja post
	            if(postCreateCzlrFilter != null &&
	            		postCreateCzlrFilter[mainDivId] != null) {
	            	postCreateCzlrFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearCzlrData(mainDivId) {
	    $("#" + mainDivId + "Span").html("");
		
	    $("#" + mainDivId + "Id").val("");
	    $("#" + mainDivId + "Nazwisko").val("");
	    $("#" + mainDivId + "Imie").val("");
	    $("#" + mainDivId + "Pesel").val("");
		
	    czlrFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
