<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_InstytucjaDoplacajacaActionURL" beanclass="pl.topteam.dps.action.utils.InstytucjaDoplacajacaAction" prependContext="true" scope="page" addSourcePage="false"/>

<script type="text/javascript">
	var acOptionsInstDoplFilter = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json', // this parameter is currently unused
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].key + "#" + data[i].value,
	                result: data[i].key
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(item) {
	        return item.key;
	    }
	};

// AUTOUZUPEŁNIANIE - INPUT
	var instDoplFilter = null;

	instDoplFilterObject = function(instDoplId, instDoplNazwa) {
		this.instDoplNazwa = instDoplNazwa;
        this.instDoplId = instDoplId;
	}

	function createInstDoplFilter(filter) {
		if (instDoplFilter) {
            return;
        }

        var $mainDiv = $(filter);
        var mainDivId = $mainDiv.attr("id");
		var fieldIdPrefix = jqEscape(mainDivId);
        var $textSpan = $("#" + fieldIdPrefix + "Span");
        var $instDoplIdInput = $("#" + fieldIdPrefix + "Id");
        var $instDoplNazwaInput = $("#" + fieldIdPrefix + "Nazwa");
		
        instDoplFilter =
            new instDoplFilterObject(
            		$instDoplIdInput.val(), $instDoplNazwaInput.val()); 

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? $textSpan.text().trim() : '');


        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + width + 'px;" value="" /></div>');

        var $input = $('#dynFilterInput');
       	$input.val(originalValue);
        $input.select();
        $input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                instDoplFilter = null;
            }
        });
		
        $input
			.autocomplete("${_InstytucjaDoplacajacaActionURL}", acOptionsInstDoplFilter)
			.autocompleteclose(function() {
				if(instDoplFilter != null) {
					$textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
	
		            $input.val(instDoplFilter.instDoplNazwa);
			    	$textSpan.html(instDoplFilter.instDoplNazwa);
			    	$instDoplNazwaInput.val(instDoplFilter.instDoplNazwa);
			    	
			    	$instDoplIdInput.val(instDoplFilter.instDoplId);
	
		            instDoplFilter = null;
				}
			})
			.result(function(event, data, formatted) {
		    	var indexHash = formatted.indexOf("#");
		    	var label = formatted.substr(0, indexHash);
		    	var value = formatted.substr(indexHash + 1);
				
		    	$input.val(label);
		    	$textSpan.html(label);
		    	$instDoplNazwaInput.val(label);
		    	
		    	$instDoplIdInput.val(value);
				
		    	instDoplFilter = null;
			});
	}
	
	function clearInstDoplData(mainDivId) {
		var fieldIdPrefix = jqEscape(mainDivId);
		
        $("#" + fieldIdPrefix + "Span").html("");
        $("#" + fieldIdPrefix + "Id").val("");
        $("#" + fieldIdPrefix + "Nazwa").val("");

        instDoplFilter = null;
	}
</script>
