<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_LekiOpakowaniaActionURL" beanclass="pl.topteam.dps.action.utils.LekiOpakowaniaAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var lekPostacFilter = null;

	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateLekPostacFilter = null;

	lekPostacLekFilterObject = function(nazwa, dawka, opakowanieJednostkaPojemnosci) {
		this.nazwa = nazwa;
		this.dawka = dawka;
		this.opakowanieJednostkaPojemnosci = opakowanieJednostkaPojemnosci;
	};
	lekPostacProducent = function(nazwa) {
		this.nazwa = nazwa;
	};
	lekPostacFilterObject = function(kodBazyl, lek, opakowanieOpisBazyl, producent) {
	    this.kodBazyl = kodBazyl;
	    this.opakowanieOpisBazyl = opakowanieOpisBazyl;

	    this.lek = lek;
	    this.producent = producent;
	};

	function formatLekPostac(lekPostac) {
		if(lekPostac.kodBazyl != "") {
	        return lekPostac.lek.nazwa + 
	        	" (" +
	        	lekPostac.opakowanieOpisBazyl + "; " + lekPostac.lek.dawka + "; " + lekPostac.producent.nazwa +
	        	") - " + lekPostac.lek.opakowanieJednostkaPojemnosci;
		}

		return "";
	}
	
	function formatLekPostacFilter() {
		if(lekPostacFilter != null && lekPostacFilter.kodBazyl != "") {
			 return lekPostacFilter.lek.nazwa + 
	        	" (" + 
		        	lekPostacFilter.opakowanieOpisBazyl + "; " + lekPostacFilter.lek.dawka + "; " + lekPostacFilter.producent.nazwa +
	        	") - " + lekPostacFilter.lek.opakowanieJednostkaPojemnosci;
		}

		return "";
	}

	var acOptionsLekiOpakowania = {
		    minChars: 3,
		    max: 25,
		    dataType: 'json', // this parameter is currently unused
		    parse: function(data) {
		        var parsed = [];
		        for (var i = 0; i < data.length; i++) {
		            parsed[parsed.length] = {
		                data: data[i],
		                value: data[i].kodBazyl,
		                result: data[i]
		            };
		        }
		        return parsed;
		    },
		    formatItem: function(lekPostac, i, max) {
		    	return formatLekPostac(lekPostac);
		    },
		    formatResult: function(lekPostac) {
		    	return formatLekPostac(lekPostac);
		    }
		};

	function createLekPostacFilter(filter) {
		if (lekPostacFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');
		
        var $lekPostacKodBazylInput = $("#" + mainDivId + "KodBazyl");
        var $lekPostacOpakowanieOpisBazylInput = $("#" + mainDivId + "OpakowanieOpisBazyl");
        var $lekPostacLekNazwaInput = $("#" + mainDivId + "LekNazwa");
        var $lekPostacLekDawkaInput = $("#" + mainDivId + "LekDawka");
        var $lekPostacLekOpakowanieJednostkaPojemnosciInput = $("#" + mainDivId + "LekOpakowanieJednostkaPojemnosci");
        var $lekPostacProducentNazwaInput = $("#" + mainDivId + "ProducentNazwa");

        lekPostacFilter =
            new lekPostacFilterObject(
            		$lekPostacKodBazylInput.val(),
            		new lekPostacLekFilterObject(
            				$lekPostacLekNazwaInput.val(),
            				$lekPostacLekDawkaInput.val(),
            				$lekPostacLekOpakowanieJednostkaPojemnosciInput.val()),
            		$lekPostacOpakowanieOpisBazylInput.val(),
            		new lekPostacProducent(
            				$lekPostacProducentNazwaInput.val()));

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');
		
        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 5) + 'px; margin-top: -4px;" value="" /></div>');
		
        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
        $input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                lekPostacFilter = null;
            }
        });
		
        $input
			.autocomplete("${_LekiOpakowaniaActionURL}", acOptionsLekiOpakowania)
			.autocompleteclose(function() {
				if(lekPostacFilter != null) {
					$textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
	
		            $textSpan.html(formatLekPostacFilter());
	
		            $lekPostacKodBazylInput.val(lekPostacFilter.kodBazyl);
			        $lekPostacOpakowanieOpisBazylInput.val(lekPostacFilter.opakowanieOpisBazyl);
			        
			        $lekPostacLekNazwaInput.val(lekPostacFilter.lek.nazwa);
			        $lekPostacLekDawkaInput.val(lekPostacFilter.lek.dawka);
			        $lekPostacLekOpakowanieJednostkaPojemnosciInput.val(lekPostacFilter.lek.opakowanieJednostkaPojemnosci);
	
			        $lekPostacProducentNazwaInput.val(lekPostacFilter.producent.nazwa);
			        
		            lekPostacFilter = null;
				}
			})
			.result(function(event, lekPostac, formatted) {
				var opisPostaciLeku = formatLekPostac(lekPostac);
		    	$input.val(opisPostaciLeku);
		    	$textSpan.html(opisPostaciLeku);

		    	$lekPostacKodBazylInput.val(lekPostac.kodBazyl);
		        $lekPostacOpakowanieOpisBazylInput.val(lekPostac.opakowanieOpisBazyl);
		        
		        $lekPostacLekNazwaInput.val(lekPostac.lek.nazwa);
		        $lekPostacLekDawkaInput.val(lekPostac.lek.dawka);
		        $lekPostacLekOpakowanieJednostkaPojemnosciInput.val(lekPostac.lek.opakowanieJednostkaPojemnosci);

		        $lekPostacProducentNazwaInput.val(lekPostac.producent.nazwa);
		        
	            lekPostacFilter = null;

	            // funkcja post
	            if(postCreateLekPostacFilter != null &&
	            		postCreateLekPostacFilter[mainDivId] != null) {
	            	postCreateLekPostacFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearLekData(mainDivId) {
        $("#" + mainDivId + "Span").html("");
		
        $("#" + mainDivId + "KodBazyl").val("");
        $("#" + mainDivId + "OpakowanieOpisBazyl").val("");
        $("#" + mainDivId + "LekNazwa").val("");
        $("#" + mainDivId + "LekDawka").val("");
        $("#" + mainDivId + "LekOpakowanieJednostkaPojemnosci").val("");
        $("#" + mainDivId + "ProducentNazwa").val("");
		
        lekPostacFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
