<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_LekiActionURL" beanclass="pl.topteam.dps.action.utils.LekiAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var lekFilter = null;

	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateLekFilter = null;
	
	lekFilterObject = function(id, dawka, nazwa, opakowanieJednostkaPojemnosci, postac, czyRecepta) {
	    this.id = id;
		this.dawka = dawka;
		this.nazwa = nazwa;
		this.opakowanieJednostkaPojemnosci = opakowanieJednostkaPojemnosci;
		this.postac = postac;
		this.czyRecepta = czyRecepta;
	};
	
	function formatLekFilter() {
		if(lekFilter != null && lekFilter.id != "") {
			return lekFilter.nazwa + ' (' + lekFilter.postac + '; ' + lekFilter.opakowanieJednostkaPojemnosci + '; ' + (lekFilter.dawka != null ? lekFilter.dawka : '') + ')';
		}

		return "";
	}

	function formatLek(lek) {
		if(lek.id != "") {
		    return lek.nazwa + ' (' + lek.postac + '; ' + lek.opakowanieJednostkaPojemnosci + '; ' + (lek.dawka != null ? lek.dawka : '') + ')';
		}

		return "";
	}

	var acOptionsLekFilter = {
		    minChars: 3,
		    max: 25,
		    dataType: 'json', // this parameter is currently unused
		    parse: function(leki) {
		        var parsed = [];
		        for (var i = 0; i < leki.length; i++) {
		            parsed[parsed.length] = {
						data: leki[i],
						value: leki[i].id,
		                result: leki[i]
		            };
		        }
		        return parsed;
		    },
		    formatItem: function(lek, i, max) {
		    	return formatLek(lek);
		    },
		    formatResult: function(lek) {
		    	return formatLek(lek);
		    }
		};

	function createLekFilter(filter) {
		if (lekFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');

        var $lekIdInput = $("#" + mainDivId + "Id");
        var $lekDawkaInput = $("#" + mainDivId + "Dawka");
        var $lekNazwaInput = $("#" + mainDivId + "Nazwa");
        var $lekOpakowanieJednostkaPojemnosciInput = $("#" + mainDivId + "OpakowanieJednostkaPojemnosci");
        var $lekPostacInput = $("#" + mainDivId + "Postac");
        var $lekCzyReceptaInput = $("#" + mainDivId + "CzyRecepta");
		
        lekFilter =
            new lekFilterObject(
            		$lekIdInput.val(), $lekDawkaInput.val(), $lekNazwaInput.val(),
            		$lekOpakowanieJednostkaPojemnosciInput.val(), $lekPostacInput.val(), $lekCzyReceptaInput.val()); 

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 5) + 'px; margin-top: -4px;" value="" /></div>');

        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
       	$input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                lekFilter = null;
            }
        });
		
        $input
			.autocomplete("${_LekiActionURL}", acOptionsLekFilter)
			.autocompleteclose(function() {
	        	if(lekFilter != null) {
	        		$textSpan.text('');
	                $mainDiv.css('overflow', 'hidden');

	                $textSpan.html(formatLekFilter());

	                $lekIdInput.val(lekFilter.id);
	    	        $lekDawkaInput.val(lekFilter.dawka);
	    	        $lekNazwaInput.val(lekFilter.nazwa);
	    	        $lekOpakowanieJednostkaPojemnosciInput.val(lekFilter.opakowanieJednostkaPojemnosci);
	    	        $lekPostacInput.val(lekFilter.postac);
	    	        $lekCzyReceptaInput.val(lekFilter.czyRecepta);
	    	        
	                lekFilter = null;
	        	}
			})
			.result(function(event, lek, formatted) {
				var opisLeku = formatLek(lek);
		    	$input.val(opisLeku);
		    	$textSpan.html(opisLeku);

		    	$lekIdInput.val(lek.id);
		        $lekDawkaInput.val(lek.dawka);
		        $lekNazwaInput.val(lek.nazwa);
		        $lekOpakowanieJednostkaPojemnosciInput.val(lek.opakowanieJednostkaPojemnosci);
		        $lekPostacInput.val(lek.postac);
		        $lekCzyReceptaInput.val(lek.czyRecepta);
		        
	            lekFilter = null;

	            // funkcja post
	            if(postCreateLekFilter != null &&
	            		postCreateLekFilter[mainDivId] != null) {
	            	postCreateLekFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearLekData(mainDivId) {
        $("#" + mainDivId + "Span").html("");
		
        $("#" + mainDivId + "Id").val("");
        $("#" + mainDivId + "Dawka").val("");
        $("#" + mainDivId + "Nazwa").val("");
        $("#" + mainDivId + "OpakowanieJednostkaPojemnosci").val("");
        $("#" + mainDivId + "Postac").val("");
        $("#" + mainDivId + "CzyRecepta").val("");
		
        lekFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
