<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_MieszkaniecActionURL" beanclass="pl.topteam.dps.action.utils.MieszkaniecAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var mAkcjaFilter = null;
	
	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateMAkcjaFilter = {
			'wybranyMieszkaniec' : function() {
					$("#formularzMieszkaniecAkcja").submit();
				}
		};
	
	mAkcjaFilterObject = function(id, nazwisko, imie, pesel) {
	    this.id = id;
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.pesel = pesel;
	};
	
	function formatMAkcjaFilter() {
		if(mAkcjaFilter != null && mAkcjaFilter.id != "") {
			return mAkcjaFilter.nazwisko + " " + mAkcjaFilter.imie +
		    	" (" +
		    		((mAkcjaFilter.pesel != null && mAkcjaFilter.pesel != "") ? (" PESEL: " + mAkcjaFilter.pesel) : (" ID: " + mAkcjaFilter.id)) +
		    	")";
		}

		return "";
	}

	function formatMieszkaniecAkcja(osoba) {
		if(osoba.id != "") {
		    return osoba.nazwisko + " " + osoba.imie +
		    	" (" + 
		    		((osoba.pesel != null && osoba.pesel != "") ? (" PESEL: " + osoba.pesel) : (" ID: " + osoba.id)) +
		    	")";
		}

		return "";
	}

	var acOptionsMAkcjaFilter = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json',
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].id,
	                result: data[i]
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(osoba, i, max) {
	    	return formatMieszkaniecAkcja(osoba);
	    },
	    formatResult: function(osoba) {
	    	return formatMieszkaniecAkcja(osoba);
	    }
	};

	function createMAkcjaFilter(filter) {
		if (mAkcjaFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');

        var $mIdInput = $("#" + mainDivId + "Id");
        var $mNazwiskoInput = $("#" + mainDivId + "Nazwisko");
        var $mImieInput = $("#" + mainDivId + "Imie");
        var $mPeselInput = $("#" + mainDivId + "Pesel");
		
        mAkcjaFilter =
            new mAkcjaFilterObject(
            		$mIdInput.val(), $mNazwiskoInput.val(), $mImieInput.val(), $mPeselInput.val()); 

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 5) + 'px; margin-top: -4px;" value="" /></div>');

        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
        $input.focus();
        
        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                mAkcjaFilter = null;
            }
        });
		
        $input
			.autocomplete("${_MieszkaniecActionURL}", acOptionsMAkcjaFilter)
			.autocompleteclose(function() {
				if(mAkcjaFilter != null) {
					$textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
	
		            $textSpan.html(formatMAkcjaFilter());
		            
		            $mIdInput.val(mAkcjaFilter.id);
			    	$mNazwiskoInput.val(mAkcjaFilter.nazwisko);
			    	$mImieInput.val(mAkcjaFilter.imie);
			    	$mPeselInput.val(mAkcjaFilter.pesel);
			    	
		            mAkcjaFilter = null;
				}
			})
			.result(function(event, osoba, formatted) {
				var opisOsoby = formatMieszkaniecAkcja(osoba);
				$input.val(opisOsoby);
		    	$textSpan.html(opisOsoby);
		    	
		    	$mIdInput.val(osoba.id);
		    	$mNazwiskoInput.val(osoba.nazwisko);
		    	$mImieInput.val(osoba.imie);
		    	$mPeselInput.val(osoba.pesel);
				
	            mAkcjaFilter = null;

	            // funkcja post
	            if(postCreateMAkcjaFilter != null &&
	            		postCreateMAkcjaFilter[mainDivId] != null) {
	            	postCreateMAkcjaFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearMData(mainDivId) {
        $("#" + mainDivId + "Span").html("");
		
        $("#" + mainDivId + "Id").val("");
        $("#" + mainDivId + "Nazwisko").val("");
        $("#" + mainDivId + "Imie").val("");
        $("#" + mainDivId + "Pesel").val("");
		
        mAkcjaFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
