<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_MieszkaniecActionURL" beanclass="pl.topteam.dps.action.utils.MieszkaniecAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var mFilter = null;

	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateMFilter = null;
	
	mFilterObject = function(id, nazwisko, imie, pesel) {
	    this.id = id;
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.pesel = pesel;
	};
	
	function formatMFilter() {
		if(mFilter != null && mFilter.id != "") {
			return mFilter.nazwisko + " " + mFilter.imie +
		    	" (" +
		    		((mFilter.pesel != null && mFilter.pesel != "") ? (" PESEL: " + mFilter.pesel) : (" ID: " + mFilter.id)) +
		    	")";
		}

		return "";
	}

	function formatMieszkaniec(osoba) {
		if(osoba.id != "") {
		    return osoba.nazwisko + " " + osoba.imie +
		    	" (" + 
		    		((osoba.pesel != null && osoba.pesel != "") ? (" PESEL: " + osoba.pesel) : (" ID: " + osoba.id)) +
		    	")";
		}

		return "";
	}

	var acOptionsMFilter = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json',
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].id,
	                result: formatMieszkaniec(data[i])
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(osoba, i, max) {
	    	return formatMieszkaniec(osoba);
	    },
	    formatResult: function(osoba) {
	    	return formatMieszkaniec(osoba);
	    }
	};

	function createMFilter(filter) {
		if (mFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');

        var $mId = $("#" + mainDivId);
        var $mIdInput = $("#" + mainDivId + "Id");
        var $mNazwiskoInput = $("#" + mainDivId + "Nazwisko");
        var $mImieInput = $("#" + mainDivId + "Imie");
        var $mPeselInput = $("#" + mainDivId + "Pesel");
		
        mFilter =
            new mFilterObject(
            		$mIdInput.val(), $mNazwiskoInput.val(), $mImieInput.val(), $mPeselInput.val()); 

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 8) + 'px; margin-top: -4px;" value="" /></div>');
        var $dynFilterDiv = $("#dynFilterInput");
        if($mainDiv.is('required')) {
        	$dynFilterDiv.addClass('required');
		}
        
        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
        $input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                mFilter = null;
            }
        });
		
        $input
			.autocomplete("${_MieszkaniecActionURL}", acOptionsMFilter)
			.autocompleteclose(function() {
	        	if(mFilter != null) {
		            $textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
		
		            $textSpan.html(formatMFilter());

		            $mId.val(mFilter.id);
		            $mIdInput.val(mFilter.id);
		   	    	$mNazwiskoInput.val(mFilter.nazwisko);
		   	    	$mImieInput.val(mFilter.imie);
		   	    	$mPeselInput.val(mFilter.pesel);
		   	    	
		   	    	mFilter = null;
	        	}
			})
			.result(function(event, osoba, formatted) {
				var opisOsoby = formatMieszkaniec(osoba);
		    	$input.val(opisOsoby);
		    	$textSpan.html(opisOsoby);
		    	
		    	$mId.val(osoba.id);
		    	$mIdInput.val(osoba.id);
		    	$mNazwiskoInput.val(osoba.nazwisko);
		    	$mImieInput.val(osoba.imie);
		    	$mPeselInput.val(osoba.pesel);
				
	            mFilter = null;

	            // funkcja post
	            if(postCreateMFilter != null &&
	            		postCreateMFilter[mainDivId] != null) {
	            	postCreateMFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearMData(mainDivId) {
        $("#" + mainDivId + "Span").html("");
		
        $("#" + mainDivId).val("");
        $("#" + mainDivId + "Id").val("");
        $("#" + mainDivId + "Nazwisko").val("");
        $("#" + mainDivId + "Imie").val("");
        $("#" + mainDivId + "Pesel").val("");
		
        mFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
