<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_MieszkaniecZmarlyActionURL" beanclass="pl.topteam.dps.action.utils.MieszkaniecZmarlyAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	function createMZmarlyFilter(filter) {
		if (mFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');

        var $mIdInput = $("#" + mainDivId + "Id");
        var $mNazwiskoInput = $("#" + mainDivId + "Nazwisko");
        var $mImieInput = $("#" + mainDivId + "Imie");
        var $mPeselInput = $("#" + mainDivId + "Pesel");
		
        mFilter =
            new mFilterObject(
            		$mIdInput.val(), $mNazwiskoInput.val(), $mImieInput.val(), $mPeselInput.val()); 

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + (width - 5) + 'px; margin-top: -4px;" value="" /></div>');

        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
        $input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                mFilter = null;
            }
        });
		
        $input
			.autocomplete("${_MieszkaniecZmarlyActionURL}", acOptionsMFilter)
			.autocompleteclose(function() {
				if(mFilter != null) {
					$textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
	
		            $textSpan.html(formatMFilter());
		            
		            $mIdInput.val(mFilter.id);
			    	$mNazwiskoInput.val(mFilter.nazwisko);
			    	$mImieInput.val(mFilter.imie);
			    	$mPeselInput.val(mFilter.pesel);
			    	
		            mFilter = null;
				}
			})
			.result(function(event, osoba, formatted) {
				var opisOsoby = formatMieszkaniec(osoba);
		    	$input.val(opisOsoby);
		    	$textSpan.html(opisOsoby);
		    	
		    	$mIdInput.val(osoba.id);
		    	$mNazwiskoInput.val(osoba.nazwisko);
		    	$mImieInput.val(osoba.imie);
		    	$mPeselInput.val(osoba.pesel);
				
	            mFilter = null;

	            // funkcja post
	            if(postCreateMFilter != null &&
	            		postCreateMFilter[mainDivId] != null) {
	            	postCreateMFilter[mainDivId]();
	  	        }
			});
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
