<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_OsobaActionURL" beanclass="pl.topteam.dps.action.utils.OsobaAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var oFilter = null;

	// tablica funkcji wykonywanych po uzupełnieniu pola nowymi danymi
	// indeksem jest id przyporządkowane dla mainDiv
	var postCreateOFilter = null;
	
	oFilterObject = function(id, nazwisko, imie, pesel) {
	    this.id = id;
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.pesel = pesel;
	};
	
	function formatOFilter() {
		if(oFilter != null && oFilter.id != "") {
			return oFilter.nazwisko + " " + oFilter.imie +
		    	" (" +
		    		((oFilter.pesel != null && oFilter.pesel != "") ? (" PESEL: " + oFilter.pesel) : (" ID: " + oFilter.id)) +
		    	")";
		}

		return "";
	}

	function formatOsoba(osoba) {
		if(osoba.id != "") {
		    return osoba.nazwisko + " " + osoba.imie +
		    	" (" + 
		    		((osoba.pesel != null && osoba.pesel != "") ? (" PESEL: " + osoba.pesel) : (" ID: " + osoba.id)) +
		    	")";
		}

		return "";
	}

	var acOptionsOFilter = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json',
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].id,
	                result: data[i]
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(osoba, i, max) {
	    	return formatOsoba(osoba);
	    },
	    formatResult: function(osoba) {
	    	return formatOsoba(osoba);
	    }
	};

	function createOFilter(filter) {
		if (oFilter) {
            return;
        }
		
        var $mainDiv = $(filter);

        var mainDivId = jqEscape($mainDiv.attr("id"));
        var $textSpan = $("#" + mainDivId + "Span");

       	var width = $mainDiv.width();
        var originalValue = ($textSpan.text() != null ? jQuery.trim($textSpan.text()) : '');

        var $mIdInput = $("#" + mainDivId + "Id");
        var $mNazwiskoInput = $("#" + mainDivId + "Nazwisko");
        var $mImieInput = $("#" + mainDivId + "Imie");
        var $mPeselInput = $("#" + mainDivId + "Pesel");
		
        oFilter =
            new oFilterObject(
            		$mIdInput.val(), $mNazwiskoInput.val(), $mImieInput.val(), $mPeselInput.val()); 

        $mainDiv.width(width);
        $mainDiv.parent().width(width);
        $mainDiv.css('overflow', 'visible');

        $textSpan.html('<div id="dynFilterDiv"><input id="dynFilterInput" name="filter" style="width:' + width + 'px; margin-top: -4px;" value="" /></div>');

        var $input = $('#dynFilterInput');
        $input.val(originalValue);
        $input.select();
        $input.focus();

        $input.keypress(function(event) {
            if (event.keyCode == 13) {
                var changedValue = input.val();
                
                $textSpan.text('');
                $mainDiv.css('overflow', 'hidden');
                $textSpan.text(changedValue);

                oFilter = null;
            }
        });
		
        $input
			.autocomplete("${_OsobaActionURL}", acOptionsOFilter)
			.autocompleteclose(function() {
				if(oFilter != null) {
					$textSpan.text('');
		            $mainDiv.css('overflow', 'hidden');
	
		            $textSpan.html(formatOFilter());
		            
		            $mIdInput.val(oFilter.id);
			    	$mNazwiskoInput.val(oFilter.nazwisko);
			    	$mImieInput.val(oFilter.imie);
			    	$mPeselInput.val(oFilter.pesel);
			    	
		            oFilter = null;
				}
			})
			.result(function(event, osoba, formatted) {
				var opisOsoby = formatOsoba(osoba);
		    	$input.val(opisOsoby);
		    	$textSpan.html(opisOsoby);
		    	
		    	$mIdInput.val(osoba.id);
		    	$mNazwiskoInput.val(osoba.nazwisko);
		    	$mImieInput.val(osoba.imie);
		    	$mPeselInput.val(osoba.pesel);
				
	            oFilter = null;

	            // funkcja post
	            if(postCreateOFilter != null &&
	            		postCreateOFilter[mainDivId] != null) {
	            	postCreateOFilter[mainDivId]();
	  	        }
			});
	}
	
	function clearOData(mainDivId) {
		var fieldIdPrefix = jqEscape(mainDivId);
		
        $("#" + fieldIdPrefix + "Span").html("");
		
        $("#" + fieldIdPrefix + "Id").val("");
        $("#" + fieldIdPrefix + "Nazwisko").val("");
        $("#" + fieldIdPrefix + "Imie").val("");
        $("#" + fieldIdPrefix + "Pesel").val("");
		
        oFilter = null;
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
