<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_PokojActionURL" beanclass="pl.topteam.dps.action.utils.PokojAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var acOptionsPokoje = {
	    minChars: 1,
	    max: 25,
	    dataType: 'json', // this parameter is currently unused
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].key + "#" + data[i].value,
	                result: data[i].key
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(item) {
	        return item.key;
	    }
	};

	function usunWybranyOpcje(fieldIdPrep) {
		$("#" + fieldIdPrep + "readOnly").val("");
		$("#" + fieldIdPrep + "hidden").val("");
	}

	// dane wpisuje się do innego pola niż wyświetlana jest wartość
	function bindujPokojPodpowiedz(field) {
		$(field)
			.autocomplete("${_PokojActionURL}", acOptionsPokoje)
			.result(function(event, data, formatted) {
		    	var indexHash = formatted.indexOf("#");
		    	var label = formatted.substr(0, indexHash);
		    	var value = formatted.substr(indexHash + 1);

		    	$(field).val("");

		    	$("#" + $(field).attr("id") + "readOnly").val(label);
		    	$("#" + $(field).attr("id") + "hidden").val(value);
			});
	}

	// dane wpisuje się do tego samego pola co wyświeta się wartość
	function bindujPokojPodpowiedz1Pole(field) {
		$(field)
			.autocomplete("${_PokojActionURL}", acOptionsPokoje)
			.result(function(event, data, formatted) {
		    	var indexHash = formatted.indexOf("#");
		    	var label = formatted.substr(0, indexHash);
		    	var value = formatted.substr(indexHash + 1);

		    	$(field).val(label);
		    	$("#" + $(field).attr("id") + "hidden").val(value);
			});
	}
</script>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
