<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_RodzajSchorzeniaWgNazwyActionURL" beanclass="pl.topteam.dps.action.utils.RodzajSchorzeniaWgNazwyAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var acOptionsRodzajSchorzeniaByNazwa = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json', // this parameter is currently unused
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].kod,
	                result: data[i]
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(row, i, max) {
	        return row.kod + " (" + row.nazwa + ")";
	    },
	    formatResult: function(row) {
	    	return row.nazwa;
	    }
	};

	// dane wpisuje się do tego samego pola co wyświeta się wartość
	function bindujRodzajSchorzeniaPodpowiedzPole(field) {
		$(field)
			.autocomplete("${_RodzajSchorzeniaWgNazwyActionURL}", acOptionsRodzajSchorzeniaByNazwa)
			.result(function(event, data, formatted) {
				var nazwaPola = $(field).attr("id");
				
				$("#" + nazwaPola).val("");
				if(data.kod.indexOf('.') > 0) {
					$("#" + nazwaPola + "Kod").val(data.kod.substr(0, data.kod.indexOf('.')));
				} else {
					$("#" + nazwaPola + "Kod").val(data.kod);
				}
			});
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
