<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_WyrobMedycznyWgOpisuActionURL" beanclass="pl.topteam.dps.action.utils.WyrobMedycznyWgOpisuAction" prependContext="true" scope="page" addSourcePage="false"/>

<c:if test="${not empty bibliotekiAutoComplete && bibliotekiAutoComplete}">
	<%@ include file="/jsp/biblioteki/bibliotekiAutoComplete.jsp" %>
</c:if>

<script type="text/javascript">
	var acOptionsWyrobMedByOpis = {
	    minChars: 3,
	    max: 25,
	    dataType: 'json', // this parameter is currently unused
	    parse: function(data) {
	        var parsed = [];
	        for (var i = 0; i < data.length; i++) {
	            parsed[parsed.length] = {
	                data: data[i],
	                value: data[i].kod,
	                result: data[i]
	            };
	        }
	        return parsed;
	    },
	    formatItem: function(row, i, max) {
	        return row.kod + " (" + row.opis + ")";
	    },
	    formatResult: function(row) {
	    	return row.opis;
	    }
	};

	// dane wpisuje się do tego samego pola co wyświeta się wartość
	function bindujWyrobMedByOpisPodpowiedzPole(field) {
		$(field)
			.autocomplete("${_WyrobMedycznyWgOpisuActionURL}", acOptionsWyrobMedByOpis)
			.result(function(event, data, formatted) {
				// id pola nazwy wyrobu to nazwaPola + "Opis"
				var nazwaPola = $(field).attr("id").substr(0, $(field).attr("id").length - 4);
				
				$("#" + nazwaPola + "Opis").val("");
				$("#" + nazwaPola + "Kod").val(data.kod);
				$("#" + nazwaPola + "Nazwa").val(data.opis);
				
				$("#" + nazwaPola + "Nazwa").focus();
			});
	}
</script>

<c:if test="${not empty styleAutoComplete && styleAutoComplete}">
	<%@ include file="/jsp/biblioteki/styleAutoComplete.jsp" %>
</c:if>
