<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label for="ulica">
			ulica, nr domu, nr lokalu
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrUlica" name="${nazwaPolaAdresu}.ulica" style="width: 13em;" title="Ulica"/>
		<stripes:text id="${nazwaPolaAdresu}AdrNrDomu" name="${nazwaPolaAdresu}.nrDomu" class="${klasaWymagane}" style="width: 4em;" title="Numer domu"/>
		<stripes:text id="${nazwaPolaAdresu}AdrNrLokalu" name="${nazwaPolaAdresu}.nrLokalu" style="width: 3em;" title="Numer domu"/>
		<stripes:errors field="${nazwaPolaAdresu}.ulica"/>
		<stripes:errors field="${nazwaPolaAdresu}.nrDomu"/>
		<stripes:errors field="${nazwaPolaAdresu}.nrLokalu"/>
		<span class="tip">
			np. "Łąkowa", "132-136", "27"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="${nazwaPolaAdresu}.miejscowosc">
			miejscowość
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrMiejscowosc" name="${nazwaPolaAdresu}.miejscowosc" class="${klasaWymagane} textValidationFCapitalize" style="width: 22em;" title="Miejscowość"/>
		<stripes:errors field="${nazwaPolaAdresu}.miejscowosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="${nazwaPolaAdresu}.kodPocztowy">
			poczta
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrKodPoczt" name="${nazwaPolaAdresu}.kodPocztowy" class="kodPocztowy ${klasaWymagane}" style="width: 4em;" title="Kod pocztowy"/>
		<stripes:text id="${nazwaPolaAdresu}AdrPoczta" name="${nazwaPolaAdresu}.poczta" class="textValidationFCapitalize" style="width: 17em;" title="Miejscowość (poczta)"/>
		<span class="tip">
			np. "12-345", "Gniezno"
		</span>
		<stripes:errors field="${nazwaPolaAdresu}.kodPocztowy"/>
		<stripes:errors field="${nazwaPolaAdresu}.poczta"/>
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrWojewDiv">
	<div class="label">
		<label for="${nazwaPolaAdresu}.wojewodztwo">
			województwo
		</label>
	</div>
	<div class="input">
		<stripes:select id="${nazwaPolaAdresu}AdrWojew" name="${nazwaPolaAdresu}.wojewodztwo" class="${klasaWymagane}">
			<stripes:options-enumeration enum="pl.topteam.dps.enums.Wojewodztwo" label="nazwa"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaAdresu}.wojewodztwo"/>
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrPowiatDiv">
	<div class="label">
		<label for="${nazwaPolaAdresu}.powiat">
			powiat
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrPowiat" name="${nazwaPolaAdresu}.powiat" style="width: 22em;" title="Powiat"/>
		<stripes:errors field="${nazwaPolaAdresu}.powiat"/>
	</div>
</div>
<div class="row" id="${nazwaPolaAdresu}AdrGminaDiv">
	<div class="label">
		<label for="${nazwaPolaAdresu}.gmina">
			gmina
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrGmina" name="${nazwaPolaAdresu}.gmina" class="textValidationFCapitalize" style="width: 22em;" title="Gmina"/>
		<stripes:errors field="${nazwaPolaAdresu}.gmina"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			od, do
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrDataOd" name="${nazwaPolaAdresu}.dataOd" class="data" title="Adres aktualny od" formatPattern="${DATE_PATTERN}"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:text id="${nazwaPolaAdresu}AdrDataDo" name="${nazwaPolaAdresu}.dataDo" class="data" title="Adres aktualny do" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaAdresu}.dataOd"/>
		<stripes:errors field="${nazwaPolaAdresu}.dataDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr telefonu
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrTelefon" name="${nazwaPolaAdresu}.telefon" title="Telefon stacjonarny dla adresu"/>
		<span class="tip">
			np. "(22) 555-66-77"
		</span>
		<stripes:errors field="${nazwaPolaAdresu}.telefon"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr faxu
		</label>
	</div>
	<div class="input">
		<stripes:text id="${nazwaPolaAdresu}AdrFax" name="${nazwaPolaAdresu}.fax" title="Faks stacjonarny dla adresu"/>
		<span class="tip">
			np. "(22) 555-66-77"
		</span>
		<stripes:errors field="${nazwaPolaAdresu}.fax"/>
	</div>
</div>
