<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data / godzina
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleEwidencja}.dataOd" class="data required" title="Data zgonu mieszkańca" formatPattern="${DATE_PATTERN}"/> / <stripes:text name="${poleEwidencjaZgon}.godzina" class="numberInteger" title="Godzina zgonu mieszkańca" size="7"/>

		<stripes:errors field="${poleEwidencja}.dataOd"/>
		<stripes:errors field="${poleEwidencjaZgon}.godzina"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			miejsce
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleEwidencjaZgon}.miejsceZgonuId" id="kodMiejscaZgonu" class="mySelect" title="Miejsce zgonu" style="width: 300px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodMiejscaZgonuSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_MIEJSCA_ZGONU', 'kodMiejscaZgonu'); return false;"
				title="Wprowadź nowe słowo dla 'miejsce'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleEwidencjaZgon}.miejsceZgonuId"/>
	</div>
</div>

<fieldset>
	<legend>USC</legend>
	
	<div class="row">
		<div class="label">
			<label>
				nr aktu zgonu
			</label>
		</div>
		<div class="input">
			<stripes:text name="${poleEwidencjaZgon}.nrAktZgon" title="Numer aktu zgonu" size="30"/>
			<stripes:errors field="${poleEwidencjaZgon}.nrAktZgon"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				USC
			</label>
		</div>
		<div class="input">
			<stripes:select name="${poleEwidencjaZgon}.uscId" class="mySelect" id="kodUSC" title="Urząd Stanu Cywilnego" style="width: 300px;">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-collection collection="${kodUSCSlownik}" label="wartString" value="id"/>
			</stripes:select>
			&nbsp;&nbsp;
			<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_USC', 'kodUSC'); return false;"
					title="Wprowadź nowe słowo dla 'USC'">
				<img src="${root}/img/icons/add.png" style="border: 0px;">
			</a>
			<div style="clear: both; padding-bottom: 5px;"></div>
			<stripes:errors field="${poleEwidencjaZgon}.uscId"/>
		</div>
	</div>
</fieldset>

<fieldset>
	<legend>Pochówek zmarłego/ej</legend>

	<div class="row">
		<div class="label">
			<label>
				podmiot<br/>
				odpowiedzialny
			</label>
		</div>
		<div class="input">
			<stripes:select name="${poleEwidencjaZgon}.odpowiedzialnyZaPogrzebId" class="mySelect" id="kodOrgOdpPogrzeb" title="Podmiot odpowiedzialny za pochówek" style="width: 300px;">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-collection collection="${kodOrganuOdpPogrzeb}" label="wartString" value="id"/>
			</stripes:select>
			&nbsp;&nbsp;
			<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ORGANU_ODP_POGRZEB', 'kodOrgOdpPogrzeb'); return false;"
					title="Wprowadź nowe słowo dla 'podm. odp. za pochówek'">
				<img src="${root}/img/icons/add.png" style="border: 0px;">
			</a>
			<div style="clear: both; padding-bottom: 5px;"></div>
			<stripes:errors field="${poleEwidencjaZgon}.odpowiedzialnyZaPogrzebId"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				miejsce
			</label>
		</div>
		<div class="input">
			<stripes:text name="${poleEwidencjaZgon}.miejscePochowku" title="Miejsce pochówku" size="50"/>
			<stripes:errors field="${poleEwidencjaZgon}.miejscePochowku"/>
		</div>
	</div>
</fieldset>

<fieldset>
	<legend>Inne</legend>

	<div class="row">
		<div class="label">
			<label>
				status
			</label>
		</div>
		<div class="input">
			<stripes:hidden name="${poleEwidencjaZgon}.status"/>
			
			<c:set var="nazwaPola" value="${poleEwidencjaZgon}.status"/>
			<c:set var="_wartoscStatus" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
			${not empty _wartoscStatus ? _wartoscStatus.opis : 'do rozliczenia'}
			
			<stripes:errors field="${poleEwidencja}.status"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				szablon wydruku
			</label>
		</div>
		<div class="input">
			<stripes:select name="${poleEwidencja}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 300px;">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
			</stripes:select>
			<stripes:errors field="${poleEwidencja}.szablonWydrukuId"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				uwagi
			</label>
		</div>
		<div class="input">
			<stripes:textarea name="${poleEwidencjaZgon}.uwagi" style="width: 95%;"/>
			<stripes:errors field="${poleEwidencjaZgon}.uwagi"/>
		</div>
	</div>
</fieldset>
