<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			kolejność
		</label>
	</div>
	<div class="input">
		<stripes:text name="informacjaPole.kolejnosc" title="Kolejność" class="required numberInteger" size="6"/>
		<stripes:errors field="informacjaPole.kolejnosc"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="informacjaPole.nazwa" title="Nazwa" class="required" size="40"/>
		<stripes:errors field="informacjaPole.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			typ
		</label>
	</div>
	<div class="input">
		<stripes:select name="informacjaPole.typ" class="required" onchange="zmianaTypuPola();">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.TypPolaInformacjiDodatkowej" label="opis"/>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="informacjaPole.typ"/>
	</div>
</div>
<c:if test="${not empty typPola && (stripes:enumName(typPola) == 'SLOWNIK' || stripes:enumName(typPola) == 'SLOWNIK_LICZBA_I' || stripes:enumName(typPola) == 'SLOWNIK_LICZBA_I_MULTI' || stripes:enumName(typPola) == 'SLOWNIK_MULTI')}">
	<div class="row">
		<div class="label">
			<label>
				nazwa słownika
			</label>
		</div>
		<div class="input">
			<stripes:select name="informacjaPole.nazwaSlownika" class="required">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-enumeration enum="pl.topteam.dps.enums.NazwySlownikow" label="opis"/>
			</stripes:select>
			<div style="clear: both;"></div>
			<stripes:errors field="informacjaPole.nazwaSlownika"/>
		</div>
	</div>
</c:if>
<c:if test="${not empty typPola && (stripes:enumName(typPola) == 'LICZBA_D' || stripes:enumName(typPola) == 'LICZBA_I' || stripes:enumName(typPola) == 'PORA_DNIA_LICZBA_I' || stripes:enumName(typPola) == 'PORA_DNIA_LICZBA_I_MULTI' || stripes:enumName(typPola) == 'PRACOWNIK_LICZBA_I' || stripes:enumName(typPola) == 'PRACOWNIK_LICZBA_I_MULTI' || stripes:enumName(typPola) == 'SLOWNIK_LICZBA_I' || stripes:enumName(typPola) == 'SLOWNIK_LICZBA_I_MULTI')}">
	<div class="row">
		<div class="label">
			<label>
				jednostka miary
			</label>
		</div>
		<div class="input">
			<stripes:select name="informacjaPole.jednostkaMiary">
				<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				<stripes:options-enumeration enum="pl.topteam.dps.enums.JednostkaMiary" label="opis"/>
			</stripes:select>
			<div style="clear: both;"></div>
			<stripes:errors field="informacjaPole.jednostkaMiary"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label for="chkbCzyWymagane_informacjaPole">
			czy wymagane ?
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="chkbCzyWymagane_informacjaPole" name="informacjaPole.wymagane"></stripes:checkbox>
		<stripes:errors field="informacjaPole.wymagane"/>
	</div>
</div>
