<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- informacjaPole przedstawia dynamiczny wygląd pojedynczego pola formatki --%>
<c:set var="__nazwaPola" value="${informacjaPole.nazwa}"/>
<c:set var="__nazwaSlownikPola" value="${informacjaPole.nazwaSlownika}"/>
<c:set var="__rodzajSlownikPola" value="${informacjaPole.nazwaSlownika.rodzajSlownika}"/>
<c:set var="__submitNazwaPola" value="listaInformacji[${i.count - 1}]"/>
<c:set var="__required" value="${(not empty informacjaPole.wymagane && informacjaPole.wymagane) ? 'required' : ''}"/>
<%-- różne nazwy, pod którymi można ukrywać informacje o błędach --%>
<c:set var="__nazwaPolaErrors" value="listaInformacji[${i.count - 1}].${informacjaPole.nazwa}"/>
<c:set var="__nazwaPolaErrors2" value="listaInformacji[${i.count - 1}].wartosc${informacjaPole.typ}"/>
<c:set var="__nazwaPolaErrors3" value="${fn:replace(informacjaPole.nazwa, ' ', '_')}"/>

<c:choose>
	<c:when test="${not empty informacjaPole.nazwaSlownika.rodzajSlownika && stripes:enumName(informacjaPole.nazwaSlownika.rodzajSlownika) == 'EDYTOWALNY'}">
		<c:set var="slowoWprowadzanieAjax" value="1"/>
	</c:when>
	<c:otherwise>
		<c:remove var="slowoWprowadzanieAjax"/>
	</c:otherwise>
</c:choose>

<div class="row">
	<div class="label">
		<c:choose>
			<c:when test="${not empty __nazwaSlownikPola}">
				<label title="dane ze słownika: '${__nazwaSlownikPola.opis}'">
					${__nazwaPola}
				</label>
			</c:when>
			<c:otherwise>
				<label>
					${__nazwaPola}
				</label>
			</c:otherwise>
		</c:choose>
		
		<stripes:hidden name="listaInformacji[${i.count - 1}].poleId" value="${informacjaPole.id}"/>
	</div>
	<div class="input nowrap">
		<c:choose>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'DATA'}">
				<%@ include file="polaInformacjaDodatkowaPoleDATA.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'DATA_PRZYPOMNIENIA'}">
				<%@ include file="polaInformacjaDodatkowaPoleDATA_PRZYPOMNIENIA.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'LICZBA_I'}">
				<%@ include file="polaInformacjaDodatkowaPoleLICZBA_I.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'LICZBA_D'}">
				<%@ include file="polaInformacjaDodatkowaPoleLICZBA_D.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PORA_DNIA'}">
				<%@ include file="polaInformacjaDodatkowaPolePORA_DNIA.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PORA_DNIA_LICZBA_I'}">
				<%@ include file="polaInformacjaDodatkowaPolePORA_DNIA_LICZBA_I.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PORA_DNIA_LICZBA_I_MULTI'}">
				<%@ include file="polaInformacjaDodatkowaPolePORA_DNIA_LICZBA_I_MULTI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PRACOWNIK'}">
				<%@ include file="polaInformacjaDodatkowaPolePRACOWNIK.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PRACOWNIK_LICZBA_I'}">
				<%@ include file="polaInformacjaDodatkowaPolePRACOWNIK_LICZBA_I.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'PRACOWNIK_LICZBA_I_MULTI'}">
				<%@ include file="polaInformacjaDodatkowaPolePRACOWNIK_LICZBA_I_MULTI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'SLOWNIK'}">
				<%@ include file="polaInformacjaDodatkowaPoleSLOWNIK.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'SLOWNIK_LICZBA_I'}">
				<%@ include file="polaInformacjaDodatkowaPoleSLOWNIK_LICZBA_I.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'SLOWNIK_LICZBA_I_MULTI'}">
				<%@ include file="polaInformacjaDodatkowaPoleSLOWNIK_LICZBA_I_MULTI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'SLOWNIK_MULTI'}">
				<%@ include file="polaInformacjaDodatkowaPoleSLOWNIK_MULTI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'TEKST_KROTKI'}">
				<%@ include file="polaInformacjaDodatkowaPoleTEKST_KROTKI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'TEKST_DLUGI'}">
				<%@ include file="polaInformacjaDodatkowaPoleTEKST_DLUGI.jsp" %>
			</c:when>
			<c:when test="${stripes:enumName(informacjaPole.typ) == 'WARTOSC_LOGICZNA'}">
				<%@ include file="polaInformacjaDodatkowaPoleWARTOSC_LOGICZNA.jsp" %>
			</c:when>
		</c:choose>
	</div>
</div>
