<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleKwalifikacja}.data" class="data required" title="Data wykonania kwalifikacji" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleKwalifikacja}.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ocena wg skali Barthel
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:350px" class="required" name="${poleKwalifikacja}.ocenaId" id="ocenaBarhtelID"
				title="Ocena wykonana wg skali Barthel" onchange="sumbitPodsumowanie();">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaOcenBarthel}" label="opis" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${poleKwalifikacja}.ocenaId"/>
		</div>
		<c:if test="${not empty sumaPunktowOcena}">
			<span class="tip">
				Suma punktów wg wybranej skali wynosi:
				<span class="daneWyroznione">
					${sumaPunktowOcena}
				</span>
			</span>
		</c:if>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			osoba wymaga
		</label>
	</div>
	<div class="input">
		<c:set var="asmSelectMLeft" value="310"/>
		<c:set var="asmSelectNSlownika" value="KOD_NIEDOMAGANIA_MIESZKANCA"/>
		<c:set var="asmSelectId" value="sel${poleOsobaWymaga}"/>
		<%@ include file="/jsp/templatePages/podpowiedziField/slownikAsmSelectPodp.jsp" %>
		
		<stripes:select name="${poleOsobaWymaga}[]" multiple="multiple"
				id="sel${poleOsobaWymaga}" title="--- wybierz ---" class="asmSelect" style="width: 300px">
			<stripes:options-collection collection="${kodNiedomaganiaPacjentaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<stripes:button name="wyb1a" class="button noLoadImage" value="Wybierz wszystkie" onclick="wybierz('selPrzystJednostki${poleOsobaWymaga}');"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:button name="wyb1b" class="button noLoadImage" value="Usuń wszystkie" onclick="wyrzuc('selPrzystJednostki${poleOsobaWymaga}');"/>
		<stripes:errors field="${poleOsobaWymaga}[]"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			czy wymaga<br/>
			opieki długoterminowej
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${poleKwalifikacja}.opiekaDlugoterminowa" title="Czy wymaga opieki długoterminowej ?"/>
		<stripes:errors field="${poleKwalifikacja}.opiekaDlugoterminowa"/>
	</div>
</div>
