<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleOsoba}.importProgram"/>

<div class="row">
	<div class="label">
		<label>
			nazwisko i imię (imiona)
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nazwisko" class="textValidationFCapitalize required" title="Nazwisko" onchange="sprawdzOsobePoDanych('${poleOsoba}');" size="30"/>
		<stripes:text name="${poleOsoba}.imie" class="textValidationFCapitalize required" title="Imię" onchange="sprawdzOsobePoDanych('${poleOsoba}');"/>
		<stripes:text name="${poleOsoba}.imieDrugie" class="textValidationFCapitalize" title="Imię drugie"/>
		<stripes:errors field="${poleOsoba}.nazwisko"/>
		<stripes:errors field="${poleOsoba}.imie"/>
		<stripes:errors field="${poleOsoba}.imieDrugie"/>
		<span class="tip">
			np. "Kos", "Jan", "Cezary"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nazwisko rodowe
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nazwiskoRodowe" class="textValidationFCapitalize" title="Nazwisko rodowe"/>
		<stripes:errors field="${poleOsoba}.nazwiskoRodowe"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			PESEL
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.pesel" class="pesel required" title="PESEL"
				onchange="pesel(this.value, '${poleOsoba}dataUrodzeniaD', 'plec${poleOsoba}', '${poleOsoba}ErrorsPesel');sprawdzOsobePoDanych('${poleOsoba}');"/>
		<stripes:errors field="${poleOsoba}.pesel"/>
		<div style="text-align: left; display: none;" id="${poleOsoba}ErrorsPeselDiv">
			<div class="bladlokalny">
				<img src="${root}/img/error.gif">
				<span id="${poleOsoba}ErrorsPesel"></span>
			</div>
		</div>
		<span class="tip">
			np. "14081478278"
		</span>
	</div>
</div>

<%--
<div class="row">
	<div class="label">
		<label>
			NIP
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nip" class="nip" title="NIP"/>
		<stripes:errors field="${poleOsoba}.nip"/>
		<span class="tip">
			np. "331-384-61-82"
		</span>
	</div>
</div>
 --%>
<stripes:hidden name="${poleOsoba}.nip"/>

<div class="row">
	<div class="label">
		<label>
			data, miejsce urodzenia
		</label>
	</div>
	<div class="input">
		<stripes:text id="${poleOsoba}dataUrodzeniaD" name="${poleOsoba}.dataUrodzenia" class="data required" title="Data urodzenia" formatPattern="${DATE_PATTERN}"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:text name="${poleOsoba}.miejsceUrodzenia" class="textValidationFCapitalize ${(not empty miejsceUrodzeniaRequired && miejsceUrodzeniaRequired) ? 'required' : ''}"
			title="Miejsce urodzenia" style="width: 23em;"/>
		<stripes:errors field="${poleOsoba}.dataUrodzenia"/>
		<stripes:errors field="${poleOsoba}.miejsceUrodzenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			imię ojca
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.imieOjca" class="textValidationFCapitalize" title="Imię ojca"/>
		<stripes:errors field="${poleOsoba}.imieOjca"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nazwisko rodowe i imię matki
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nazwiskoRodoweMatki" class="textValidationFCapitalize" title="Nazwisko rodowe matki"/>
		<stripes:text name="${poleOsoba}.imieMatki" class="textValidationFCapitalize" title="Imię matki"/>
		<stripes:errors field="${poleOsoba}.nazwiskoRodoweMatki"/>
		<stripes:errors field="${poleOsoba}.imieMatki"/>
		<span class="tip">
			np. "Prymanowska", "Jadwiga"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			płeć, stan cywilny
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleOsoba}.plec" class="required" id="plec${poleOsoba}" onchange="wybierzSC('plec${poleOsoba}', 'stan${poleOsoba}');">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.Plec" label="nazwa"/>
		</stripes:select>
		<stripes:hidden name="${poleOsoba}.stanCywilnyId" id="_stan${poleOsoba}"/>
		<stripes:select style="width:145px;" name="${poleOsoba}stanCyw" id="stan${poleOsoba}" onchange="ustawSC('${poleOsoba}', this.value);">
		</stripes:select>
		<div style="clear: both;">
			<stripes:errors field="${poleOsoba}.plec"/>
			<stripes:errors field="${poleOsoba}.stanCywilnyId"/>
		</div>
	</div>
</div>
<c:if test="${not empty daneMalzonka && daneMalzonka}">
	<div class="row">
		<div class="label">
			<label>
				nazwisko, imię współmałżonka
			</label>
		</div>
		<div class="input">
			<stripes:text name="${poleOsoba}.nazwiskoWspolmalzonka" class="textValidationFCapitalize" title="Nazwisko współmałżonka"/>
			<stripes:text name="${poleOsoba}.imieWspolmalzonka" class="textValidationFCapitalize" title="Imię współmałżonka"/>
			<stripes:errors field="${poleOsoba}.nazwiskoWspolmalzonka"/>
			<stripes:errors field="${poleOsoba}.imieWspolmalzonka"/>
			<span class="tip">
				np. "Ogoniok", "Marusia"
			</span>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			nr telefonu kom.
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.telefonKom" title="Numer telefonu komórkowego"/>
		<stripes:errors field="${poleOsoba}.telefonKom"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wykształcenie
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleOsoba}.wyksztalcenieId" id="kodWykształcenia">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodWyksztalceniaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_WYKSZTALCENIA', 'kodWykształcenia'); return false;"
				title="Wprowadź nowe słowo">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleOsoba}.wyksztalcenieId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wyznanie
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleOsoba}.wyznanieId" id="kodWyznania">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodWyznaniaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_WYZNANIA', 'kodWyznania'); return false;"
				title="Wprowadź nowe słowo">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleOsoba}.wyznanieId"/>
	</div>
</div>

<div id="${poleOsoba}WalidacjaDanychDiv" style="clear: both; margin-left: 10px;"></div>
