<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${nazwaPolaNieobecnosci}.rodzajNieobecnosciId"
				id="nieobecnoscRodzaj${nazwaPolaNieobecnosci}" title="Rodzaj nieobecności" disabled="${not empty wszystkoReadonly ? true : ''}">
			<c:choose>
				<c:when test="${not empty wszystkoReadonly}">
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
				</c:when>
				<c:otherwise>
					<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
				</c:otherwise>
			</c:choose>
			
			<stripes:options-collection collection="${kodRodzajuNieobecnosciSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<c:choose>
			<c:when test="${not empty wszystkoReadonly}">
				<%-- jeżeli ma być do odczytu to powyższe pole nie będzie commitowane i stracimy informacje dlatego należy dodać taki hidden --%>
				<stripes:hidden name="${nazwaPolaNieobecnosci}.rodzajNieobecnosciId"></stripes:hidden>
			</c:when>
			<c:otherwise>
				&nbsp;&nbsp;
				<a class="imgButton noweSlowoButton"
						onclick="slowoWprowadzanieAjax('KOD_RODZAJU_NIEOBECNOSCI', 'nieobecnoscRodzaj${nazwaPolaNieobecnosci}'); return false;"
						title="Wprowadź nowe słowo dla 'rodzaj'">
					<img src="${root}/img/icons/add.png" style="border: 0px;">
				</a>
			</c:otherwise>
		</c:choose>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnosci}.rodzajNieobecnosciId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			status
		</label>
	</div>
	<div class="input">
		<c:set var="__statusNieobecnosciBeanFieldName" value="${nazwaPolaNieobecnosci}.status"/>
		<c:set var="__statusNieobecnosciBeanFieldValue" value="${ttFn:extractProperty(actionBean, __statusNieobecnosciBeanFieldName)}"/>
		<stripes:select name="${__statusNieobecnosciBeanFieldName}" class="required" title="Status nieobecności">
			<c:choose>
				<c:when test="${empty __statusNieobecnosciBeanFieldValue}">
					<stripes:options-enumeration enum="pl.topteam.dps.enums.StatusNieobecnosci" label="opis"/>
				</c:when>
				<c:otherwise>
					<c:forEach items="${__statusNieobecnosciBeanFieldValue.transitions}" var="state">
						<stripes:option label="${state.opis}" value="${stripes:enumName(state)}"/>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</stripes:select>
		<stripes:errors field="${__statusNieobecnosciBeanFieldName}"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			uwagi
		</label>
	</div>
	<div class="input">
		<stripes:textarea name="${nazwaPolaNieobecnosci}.uwagi" title="Uwagi" rows="8" cols="80"/>
		<stripes:errors field="${nazwaPolaNieobecnosci}.uwagi"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNieobecnosci}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 400px;"
				id="status${nazwaPolaNieobecnosci}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNieobecnosci}.szablonWydrukuId"/>
	</div>
</div>
