<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaPolaIdNoty" value="${nazwaPolaNota}.id"/>
<c:set var="wartoscIdNoty" value="${ttFn:extractProperty(actionBean, nazwaPolaIdNoty)}"/>

<div class="row">
	<div class="label">
		nr
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNota}.nr" class="required" title="Nr" size="80"/>
		
		<c:if test="${empty wartoscIdNoty}">
			&nbsp;&nbsp;&nbsp;
			<stripes:button name="pomocZmienneWydruku" class="noLoadImage" onclick="" value="Pomoc - zmienne"/>
		</c:if>
		
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaNota}.nr"/>
		
		<c:if test="${empty wartoscIdNoty}">
			<span class="tip">
				<stripes:hidden name="${nazwaPolaNota}.nrFormat"/>
				&#36;&#123;auto&#125; == "${actionBean.nota.nrFormat}"
			</span>
		</c:if>
	</div>
</div>

<stripes:hidden name="${nazwaPolaNota}.rodzajZadluzenia"/>
<stripes:hidden name="${nazwaPolaNota}.typ"/>

<div class="row">
	<div class="label">
		<label>
			data wystawienia
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNota}.data" class="data required" title="Data wystawienia" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaNota}.data"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNota}.szablonWydrukuId" class="mySelect" title="Szablon wydruku" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNota}.szablonWydrukuId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			szablon wydruku 2
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNota}.szablonWydruku2Id" class="mySelect" title="Szablon wydruku 2" style="width: 350px;">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSzablonow}" label="nazwa" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNota}.szablonWydruku2Id"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			sporządził/a
		</label>
	</div>
	<div class="input">
		<c:choose>
			<c:when test="${empty wartoscIdNoty}">
				${sessionPracownik.nazwiskoImie}
				<stripes:hidden name="${nazwaPolaNota}.pracownikId" value="${sessionPracownik.id}"/>
			</c:when>
			<c:otherwise>
				<c:set var="nazwaPolaPracownikSporzadzil" value="${nazwaPolaNota}.pracownik"/>
				<c:set var="pracownikSporzadzil" value="${ttFn:extractProperty(actionBean, nazwaPolaPracownikSporzadzil)}"/>
				${pracownikSporzadzil.nazwiskoImie}
				<stripes:hidden name="${nazwaPolaNota}.pracownikId"/>
				<stripes:hidden name="${nazwaPolaNota}.pracownik.id"/>
				<stripes:hidden name="${nazwaPolaNota}.pracownik.nazwisko"/>
				<stripes:hidden name="${nazwaPolaNota}.pracownik.imie"/>
			</c:otherwise>
		</c:choose>
		<stripes:errors field="${nazwaPolaNota}.pracownikId"/>
	</div>
</div>
