<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- TODO poprawić a narazie dałem hidden - gdy jest zwrot za odpis --%>
<stripes:hidden name="${nazwaPolaOdpis}.odpisId"/>

<div class="row">
	<div class="label">
		<label>
			dotyczy nieobecności
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" name="${nazwaPolaOdpis}.nieobecnoscId" disabled="${nieobecnoscDisabled}"
				onchange="zmianaNieobecnosci();">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaNieobecnosci}" label="label" value="id"/>
		</stripes:select>
		<c:if test="${typ == 'ODPIS' && empty actionBean.odpis.id && fn:length(listaNieobecnosci) == 0}">
			<a href="${root}/html/pomoc/podpOdpisNieobecnosc.htm?width=350" class="jTip" id="podpNieobecnosc" title="Odpis z nieobecności">
				<img src="${root}/img/help.gif" border="0"/>
			</a>
		</c:if>
		<c:if test="${not empty nieobecnoscDisabled && nieobecnoscDisabled}">
			<stripes:hidden name="${nazwaPolaOdpis}.nieobecnoscId"/>
		</c:if>
		<stripes:errors field="${nazwaPolaOdpis}.nieobecnoscId"/>
	</div>
</div>

<div class="row">
	<div class="label">
		<label>
			rodzaj zadłużenia
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaOdpis}.rodzajZadluzenia" title="Rodzaj zadłużenia">
			<stripes:option value="">domyślny</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajZadluzenia" label="opis"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaOdpis}.rodzajZadluzenia"/>
	</div>
</div>
<div class="row">&nbsp;</div>
<%@ include file="polaOdpisZwrotDaty.jsp" %>
<div class="row">
	<div class="label">
		w okresie
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaOdpis}.rok" class="rok required" title="Uwzględnij odpis w roku" size="7"/>
		/
		<c:set var="klasaWymagane" value="required"/>
		<c:set var="poleMiesiac" value="${nazwaPolaOdpis}.miesiac"/>
		<c:set var="poleMiesiacTitle" value="Uwzględnij odpis w miesiącu"/>
		<%@ include file="nazwyMiesiecySelect.jsp" %>
		
		<stripes:errors field="${nazwaPolaOdpis}.rok"/>
		<stripes:errors field="${nazwaPolaOdpis}.miesiac"/>
	</div>
</div>

<c:set var="zdefiniowanoPlatnosci" value="${fn:length(osobyList) > 0 || fn:length(instytucjeList) > 0}"/>
<div class="row">
	<div class="label">
		<label>
			dotyczy osoby
		</label>
	</div>
	<div class="input">
		<stripes:select class="mySelect" name="${nazwaPolaOdpis}.osobaId"
				title="Osoba zobowiązana do płatności" style="width: 350px;">
			<c:choose>
				<c:when test="${!zdefiniowanoPlatnosci}">
					<stripes:option value="">NIE ZDEFINIOWANO KWOT PŁATNOŚCI</stripes:option>
				</c:when>
				<c:otherwise>
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-collection collection="${osobyList}" label="nazwiskoImie" value="id"/>
				</c:otherwise>
			</c:choose>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaOdpis}.osobaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dotyczy instytucji
		</label>
	</div>
	<div class="input">
		<stripes:select class="mySelect" name="${nazwaPolaOdpis}.instytucjaId" id="instytucjaZobow"
				title="Instytucja zobowiązana do płatności" style="width: 350px;">
			<c:choose>
				<c:when test="${!zdefiniowanoPlatnosci}">
					<stripes:option value="">NIE ZDEFINIOWANO KWOT PŁATNOŚCI</stripes:option>
				</c:when>
				<c:otherwise>
					<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
					<stripes:options-collection collection="${instytucjeList}" label="nazwa" value="id"/>
				</c:otherwise>
			</c:choose>
		</stripes:select>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaOdpis}.instytucjaId"/>
		<c:if test="${!zdefiniowanoPlatnosci}">
			<ttSec:secure roles="SOC_R_ODPLATNOSC">
				<div style="clear: both;">&nbsp;</div>
				<stripes:link beanclass="pl.topteam.dps.action.socjalni.odplatnosc.obliczanie.ListaOdplatnosciAction" event="lista"
						class="button" title="Zdefiniuj kwoty płatności poszczególnych osób/instytucji" style="color: red;">
					Wprowadź kwoty płatności
				</stripes:link>
			</ttSec:secure>
		</c:if>
	</div>
</div>
<div class="row">
	<div class="label">
		kwota
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaOdpis}.kwota" class="kwota required" title="Kwota odpisu/zwrotu" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaOdpis}.kwota"/>
	</div>
</div>
