<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nr urzędowy
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaOrzeczenia}.nr" class="required" title="Numer urzędowy orzeczenia"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wydania
		</label>
	</div>
	<div class="input">
		<stripes:text id="data_orzeczenia_${i}" name="${nazwaPolaOrzeczenia}.dataOrzeczenia" class="data required" title="Data wydania orzeczenia" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.dataOrzeczenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			obowiązuje od
		</label>
	</div>
	<div class="input">
		<stripes:text id="data_obowiazywania_${i}" name="${nazwaPolaOrzeczenia}.obowiazujeOd" class="data required" title="Data od kiedy obowiązuje" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.obowiazujeOd"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			stopień niepełnosprawności,<br/>data ważności
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${nazwaPolaOrzeczenia}.stopienNiepelnospraw" id="stopienNiepelnospr_${i}"
				onchange="ustawDatyDisEna('dataOrzeczenia_${i}', 'wazneDo_${i}', 'bezPrzypomnienia_${i}', this.value);">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodStopniaNiepelnosprawnosciSlownik}" label="wartString" value="kod"/>
		</stripes:select>
		<div style="clear: both; padding-bottom: 10px;"></div>
		<stripes:text name="${nazwaPolaOrzeczenia}.wazneDo" class="data" id="wazneDo_${i}" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.stopienNiepelnospraw"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.wazneDo"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj orzecznictwa
		</label>
	</div>
	<div class="input">
		<stripes:select id="niepelRodzajOrzecznictwa_${i}" style="width:400px" class="mySelect" name="${nazwaPolaOrzeczenia}.rodzajOrzecznictwaId">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuOrzecznictwaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" title="Wprowadź nowe słowo" onclick="slowoWprowadzanieAjax('KOD_RODZAJU_ORZECZNICTWA_N', 'niepelRodzajOrzecznictwa_${i}'); return false;">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaOrzeczenia}.rodzajOrzecznictwaId"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.rodzajOrzecznictwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wydane przez
		</label>
	</div>
	<div class="input">
		<stripes:select id="stopienNiepelnosprWydanePrzez_${i}" style="width:400px" class="mySelect"
				name="${nazwaPolaOrzeczenia}.wydanePrzezId">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodOrganuWydOrzeczNiepelSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" title="Wprowadź nowe słowo"
				onclick="slowoWprowadzanieAjax('KOD_ORGANU_WYDAJACEGO_ORZ_NIEPEL', 'stopienNiepelnosprWydanePrzez_${i}'); return false;">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both;"></div>
		<stripes:errors field="${nazwaPolaOrzeczenia}.wydanePrzezId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="bezPrzypomnienia_${i}" class="cursorPointer">
			nie przypominaj
		</label>
	</div>
	<div class="input">
		<stripes:checkbox id="bezPrzypomnienia_${i}" name="${nazwaPolaOrzeczenia}.bezPrzypomnienia" title="Nie przypominaj o końcu terminu ważności"/>
		<stripes:errors field="${nazwaPolaOrzeczenia}.bezPrzypomnienia"/>
	</div>
</div>
