<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="${poleOsoba}.importProgram"/>

<div class="row">
	<div class="label">
		<label>
			nazwisko i imię (imiona)
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nazwisko" class="textValidationFCapitalize required" title="Nazwisko" onchange="sprawdzOsobePoDanych('${poleOsoba}');"/>
		<stripes:text name="${poleOsoba}.imie" class="textValidationFCapitalize required" title="Imię" onchange="sprawdzOsobePoDanych('${poleOsoba}');"/>
		<stripes:text name="${poleOsoba}.imieDrugie" class="textValidationFCapitalize" title="Imię drugie"/>
		<stripes:errors field="${poleOsoba}.nazwisko"/>
		<stripes:errors field="${poleOsoba}.imie"/>
		<stripes:errors field="${poleOsoba}.imieDrugie"/>
		<span class="tip">
			np. "Kos", "Jan", "Cezary"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label for="${poleOsoba}.imie">
			nazwisko rodowe
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.nazwiskoRodowe" class="textValidationFCapitalize" title="Nazwisko rodowe"/>
		<stripes:errors field="${poleOsoba}.nazwiskoRodowe"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			PESEL
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.pesel" class="pesel" onchange="pesel(this.value, 'dataUrodzeniaD', 'plec', 'errorsPesel');sprawdzOsobePoDanych('${poleOsoba}');" title="PESEL"/>
		<stripes:errors field="${poleOsoba}.pesel"/>
		<div style="text-align: left; display: none;" id="errorsPeselDiv">
			<div class="bladlokalny">
				<img src="${root}/img/error.gif">
				<span id="errorsPesel"></span>
			</div>
		</div>
		<span class="tip">
			np. "14081478278"
		</span>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data, miejsce urodzenia
		</label>
	</div>
	<div class="input">
		<stripes:text id="dataUrodzeniaD" name="${poleOsoba}.dataUrodzenia" class="data required" title="Data urodzenia" formatPattern="${DATE_PATTERN}"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:text name="${poleOsoba}.miejsceUrodzenia" class="textValidationFCapitalize" title="Miejsce urodzenia" style="width: 23em;"/>
		<stripes:errors field="${poleOsoba}.dataUrodzenia"/>
		<stripes:errors field="${poleOsoba}.miejsceUrodzenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			płeć, stan cywilny
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleOsoba}.plec" class="required" id="plec${poleOsoba}" onchange="wybierzSC('plec${poleOsoba}', 'stan${poleOsoba}');">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.Plec" label="nazwa"/>
		</stripes:select>
		<stripes:hidden name="${poleOsoba}.stanCywilnyId" id="_stan${poleOsoba}"/>
		<stripes:select style="width:145px;" name="${poleOsoba}stanCyw" id="stan${poleOsoba}" onchange="ustawSC('${poleOsoba}', this.value);">
		</stripes:select>
		<div style="clear: both;">
			<stripes:errors field="${poleOsoba}.plec"/>
			<stripes:errors field="${poleOsoba}.stanCywilnyId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr telefonu kom.
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleOsoba}.telefonKom" title="Numer telefonu komórkowego"/>
		<stripes:errors field="${poleOsoba}.telefonKom"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wykształcenie
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleOsoba}.wyksztalcenieId" id="kodWykształcenia">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodWyksztalceniaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_WYKSZTALCENIA', 'kodWykształcenia'); return false;"
				title="Wprowadź nowe słowo">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleOsoba}.wyksztalcenieId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			wyznanie
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleOsoba}.wyznanieId" id="kodWyznania">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodWyznaniaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_WYZNANIA', 'kodWyznania'); return false;"
				title="Wprowadź nowe słowo">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both; padding-bottom: 5px;"></div>
		<stripes:errors field="${poleOsoba}.wyznanieId"/>
	</div>
</div>

<div id="walidacjaDanychDiv" style="clear: both; margin-left: 10px;"></div>
