<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			format pliku
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaPlikCsv}.formatCsvId" class="mySelect required" style="width: 350px;"
				title="Wybierz format pliku jaki będzie importowany">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaFormatowCSV}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaPlikCsv}.formatCsvId"/>
		</div>
	</div>
</div>
<c:choose>
	<c:when test="${not empty dodawaniePlikCSV && dodawaniePlikCSV}">
		<div class="row">
			<div class="label">
				<label>
					plik do importu
				</label>
			</div>
			<div class="input">
				<stripes:file name="${nazwaPolaPlikCsv}.plik" class="required" title="Plik wzorca szablonu wydruku" size="50"/>
				<stripes:errors field="${nazwaPolaPlikCsv}.plik"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<div class="row">
			<div class="label">
				<label>
					data
				</label>
			</div>
			<div class="input">
				<stripes:hidden name="${nazwaPolaFormatCsv}.data"/>
				<stripes:text name="${nazwaPolaFormatCsv}.data" class="data required" readonly="true" title="Data importu"/>
				<stripes:errors field="${nazwaPolaFormatCsv}.data"/>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					nazwa
				</label>
			</div>
			<div class="input">
				<stripes:hidden name="${nazwaPolaFormatCsv}.nazwa"/>
				<stripes:text name="${nazwaPolaFormatCsv}.nazwa" class="required" readonly="true" title="Nazwa pliku" size="50"/>
				<stripes:errors field="${nazwaPolaFormatCsv}.nazwa"/>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					suma kontrolna
				</label>
			</div>
			<div class="input">
				<stripes:hidden name="${nazwaPolaFormatCsv}.md5sum"/>
				<stripes:text name="${nazwaPolaFormatCsv}.md5sum" class="required" readonly="true" title="Suma kontrolna pliku" size="50"/>
				<stripes:errors field="${nazwaPolaFormatCsv}.md5sum"/>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					pracownik
				</label>
			</div>
			<div class="input">
				<stripes:hidden name="${nazwaPolaPlikCsv}.pracownikId"/>
				<stripes:select name="${nazwaPolaPlikCsv}.pracownikId" class="mySelect required" disabled="true" style="width: 300px;"
						title="Pracownik, który zaimportował">
					<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
				</stripes:select>
				<div style="clear: both">
					<stripes:errors field="${nazwaPolaPlikCsv}.pracownikId"/>
				</div>
			</div>
		</div>
	</c:otherwise>
</c:choose>

