<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect required" name="${poleSwiadczenie}.kodSwiadczeniaId" id="kodPobierSwiad_${j}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaRodzajowSwiadczen}" label="tekst" value="id"/>
		</stripes:select>
		<div style="clear: both; padding-bottom: 10px;"></div>
		<stripes:errors field="${poleSwiadczenie}.kodSwiadczeniaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			instytucja odpowiedzialna
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleSwiadczenie}.instytucjaDoplacajacaId" id="instytucjaDop_${j}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${actionBean.listaInstytucjiDoplacajacych}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both; padding-bottom: 10px;"></div>
		<stripes:errors field="${poleSwiadczenie}.instytucjaDoplacajacaId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleSwiadczenie}.nr" title="Numer świadczenia" size="35"/>
		<stripes:errors field="${poleSwiadczenie}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			okres pobierania od, do
		</label>
	</div>
	<div class="input">
		<stripes:text name="${poleSwiadczenie}.dataOd" class="data ${zmianaSwiadczeniaRequired}" id="swiadOd_${j}" size="11" formatPattern="${DATE_PATTERN}"/>
		&nbsp;&nbsp;&nbsp;
		<stripes:text name="${poleSwiadczenie}.dataDo" class="data" id="swiadDo_${j}" size="11" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${poleSwiadczenie}.dataOd"/>
		<stripes:errors field="${poleSwiadczenie}.dataDo"/>
	</div>
</div>
<c:if test="${not empty dataZmianySwiadczenia}">
	<div class="row">
		<div class="label">
			<label>
				zmieniono dnia
			</label>
		</div>
		<div class="input">
			<stripes:text name="${poleSwiadczenie}.dataZmiany" class="data required" size="11" formatPattern="${DATE_PATTERN}" readonly="readonly"/>
			<stripes:errors field="${poleSwiadczenie}.dataZmiany"/>
		</div>
	</div>
</c:if>
<div class="row">
	<div class="label">
		<label>
			termin wypłaty
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${poleSwiadczenie}.terminWyplatyId" id="terminWyplPobierSwiad_${j}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaTerminowWyplaty}" label="tekst" value="id"/>
		</stripes:select>
		<div style="clear: both; padding-bottom: 10px;"></div>
		<stripes:errors field="${poleSwiadczenie}.terminWyplatyId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rodzaj odbioru
		</label>
	</div>
	<div class="input">
		<stripes:select name="${poleSwiadczenie}.rodzajOdbioru" id="rodzajOdbioruPobierSwiad_${j}">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajOdbioruSwiadczenia" label="opis"/>
		</stripes:select>
		<div style="clear: both; padding-bottom: 10px;"></div>
		<stripes:errors field="${poleSwiadczenie}.rodzajOdbioru"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota netto
		</label>
	</div>
	<div class="input">
		<stripes:text id="kwotaPobier_${j}" class="kwota required" name="${poleSwiadczenie}.kwota" title="Wysokość świadczenia"
				formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${poleSwiadczenie}.kwota"/>
	</div>
</div>
