<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			czy stosować poniższe założenia ?
		</label>
	</div>
	<div class="input">
		<stripes:checkbox name="${polePolitykaBezpieczenstwa}.zastosuj"/>
		<stripes:errors field="${polePolitykaBezpieczenstwa}.zastosuj"/>
	</div>
</div>

<fieldset>
	<legend>
		stosowane hasła
	</legend>

	<div class="row">
		<div class="label">
			<label>
				długość historii
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.dlHistoriiHasla" class="numberInteger required"
					title="Długość historii haseł jakie są przechowywane w programie" size="7"/>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.dlHistoriiHasla"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				minimalna długość
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.minDlHasla" class="numberInteger required"
					title="Minimalna długość hasła" size="7"/>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.minDlHasla"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				maksymalna długość
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.maxDlHasla" class="numberInteger nChkb"
					title="Maksymalna długość hasła" size="7"/>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.maxDlHasla"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				liczba dni obowiązywania
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.lDniObowiazywaniaHasla" class="numberInteger required"
					title="Maksymalna długość hasła" size="7"/>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.lDniObowiazywaniaHasla"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				liczba dni z ostrzeżeniami<br/>
				o konieczności zmiany
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.lDniZmianaHasla" class="numberInteger required"
					title="Maksymalna długość hasła" size="7"/>
			<span class="tip">0 oznacza natychmiastowe wymuszenie zmiany bez okresu karencji</span>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.lDniZmianaHasla"/>
		</div>
	</div>
	
	<div class="row">
		<div class="label">
			<label>
				szczegóły budowy
			</label>
		</div>
		<div class="input">
			<stripes:errors field="wybraneGrupy"/>
			<div class="jmesa">
				<table class="table">
					<thead>
						<tr class="header">
							<td></td>
							<td>
								min.
							</td>
							<td>
								z zestawu
							</td>
						</tr>
					</thead>
					<tbody class="tbody">
						<c:forEach items="${ttFn:enumValues('pl.topteam.security.password.gen.CharacterGroup')}" var="charGroup" varStatus="_i">
							<c:set var="klasa" value="${_i.count % 2 == 1 ? 'odd' : 'even'}"/>
							<tr class="${klasa}" onmouseover="this.className='highlight'" onmouseout="this.className='${klasa}'">
								
								<%@ include file="polaGrupaZnakowTableRow.jsp" %>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</fieldset>
<fieldset>
	<legend>
		uwierzytelnianie użytkowników
	</legend>

	<div class="row">
		<div class="label">
			<label>
				liczba niepoprawnych prób logowania
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.probNLogowan" class="numberInteger required"
					title="Liczba nieudanych prób uwierzytelnienia użytkownika, po której konto zostanie zablokowane" size="7"/>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.probNLogowan"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				czas blokady po wykorzystanych próbach
			</label>
		</div>
		<div class="input">
			<stripes:text name="${polePolitykaBezpieczenstwa}.probCzasBlokady" class="alignRight required"
					title="Czas pzez jaki konto zostaje zablokowane po nieudanych próbach logowania" size="7"/>&nbsp;min.
			<span class="tip">-1 oznacza blokadę do odwołania przez administratora</span>
			<stripes:errors field="${polePolitykaBezpieczenstwa}.probCzasBlokady"/>
		</div>
	</div>
</fieldset>
