<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jeżli wprowadzone z formatki arkusza ewidencyjnego mieszkańca mieszkańca do nie wyświetlaj --%>
<c:choose>
	<c:when test="${not empty postanowieniaSadu}">
		<div class="row">
			<div class="label">
				<label>
					rodzaj postanowienia
				</label>
			</div>
			<div class="input">
				<c:set var="nazwaPola" value="${nazwaPolaPostanowienia}.id"/>
				<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
				
				<c:choose>
					<c:when test="${empty wartoscZBeana}">
						<stripes:select name="${nazwaPolaPostanowienia}.rodzajPostanowieniaId" class="${klasaWymagane}" title="Rodzaj postanowienia">
							<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
							<stripes:options-collection collection="${kodRodzajuPostanowieniaSaduSlownik}" label="wartString" value="id"/>
						</stripes:select>
					</c:when>
					<c:otherwise>
						<stripes:select name="${nazwaPolaPostanowienia}.rodzajPostanowieniaId" class="${klasaWymagane}" disabled="disabled" title="Rodzaj postanowienia">
							<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
							<stripes:options-collection collection="${kodRodzajuPostanowieniaSaduSlownik}" label="wartString" value="id"/>
						</stripes:select>
						<stripes:hidden name="${nazwaPolaPostanowienia}.rodzajPostanowieniaId"/>
					</c:otherwise>
				</c:choose>
				
				<stripes:errors field="${nazwaPolaPostanowienia}.rodzajPostanowieniaId"/>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<stripes:hidden name="${nazwaPolaPostanowienia}.rodzajPostanowieniaId"/>
		<stripes:errors field="${nazwaPolaPostanowienia}.rodzajPostanowieniaId"/>
	</c:otherwise>
</c:choose>
<div class="row">
	<div class="label">
		<label>
			nr
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPostanowienia}.nr" class="${klasaWymagane}" title="Nr postanowienia" size="40"/>
		<stripes:errors field="${nazwaPolaPostanowienia}.nr"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaPostanowienia}.dataPostanowienia" title="Data postanowienia" class="data ${klasaWymagane}" formatPattern="${DATE_PATTERN}"/>
		<stripes:errors field="${nazwaPolaPostanowienia}.dataPostanowienia"/>
	</div>
</div>
<%-- jeżli wprowadzone z formatki arkusza ewidencyjnego mieszkańca mieszkańca do nie wyświetlaj --%>
<c:if test="${not empty postanowieniaSadu}">
	<div class="row">
		<div class="label">
			<label>
				okres obowiązywania
			</label>
		</div>
		<div class="input">
			<stripes:text name="${nazwaPolaPostanowienia}.dataOd" title="Data od kiedy obowiązuje" class="data" formatPattern="${DATE_PATTERN}"/>
			&nbsp;&nbsp;
			<stripes:text name="${nazwaPolaPostanowienia}.dataDo" title="Data do kiedy obowiązuje" class="data" formatPattern="${DATE_PATTERN}"/>
			
			<stripes:errors field="${nazwaPolaPostanowienia}.dataOd"/>
			<stripes:errors field="${nazwaPolaPostanowienia}.dataDo"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				zakres
			</label>
		</div>
		<div class="input">
			<stripes:select id="${nazwaPolaPostanowienia}zakresId" style="width:400px" class="mySelect" name="${nazwaPolaPostanowienia}.zakresId" title="Zakres stosowania postanowienia">
				<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
				<stripes:options-collection collection="${kodZakresuPostanowienia}" label="wartString" value="id"/>
			</stripes:select>
			&nbsp;&nbsp;
			<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_ZAKRESU_POSTANOWIENIA_SADU', '${nazwaPolaPostanowienia}zakresId'); return false;"
					title="Wprowadź nowe słowo dla 'zakres'">
				<img src="${root}/img/icons/add.png" style="border: 0px;">
			</a>
			<div style="clear: both;"></div>
			<stripes:errors field="${nazwaPolaPostanowienia}.zakresId"/>
		</div>
	</div>
	<div class="row">
		<div class="label">
			<label>
				uwagi
			</label>
		</div>
		<div class="input">
			<stripes:errors field="${nazwaPolaPostanowienia}.uwagi"/>
			<stripes:textarea name="${nazwaPolaPostanowienia}.uwagi" style="width: 95%;" rows="10"/>
		</div>
	</div>
</c:if>
