<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<%@page import="pl.topteam.dps.model.main.Pracownik"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%-- jednoznaczna identyfikacja pola --%>
<c:set var="pracownikFieldId" value="${nazwaPolaPracownika}"/>

<%-- wyłuskiwanie wartości pola z ActionBeana --%>
<c:set var="pracownikBeanFieldName" value="${nazwaPolaPracownika}"/>
<c:catch var="e">
	<c:set var="pracownikBeanFieldValue" value="${ttFn:extractProperty(actionBean, pracownikBeanFieldName)}"/>
</c:catch>
<c:if test="${not empty e}">
	<% pageContext.setAttribute("pracownikBeanFieldValue", new Pracownik()); %>
</c:if>

<div class="row">
	<div class="label">
		<label>
			nazwisko
		</label>
	</div>
	<div class="input">
		${pracownikBeanFieldValue.nazwisko}
		<stripes:hidden name="${nazwaPolaPracownika}.nazwisko"/>
		<stripes:errors field="${nazwaPolaPracownika}.nazwisko"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			imię
		</label>
	</div>
	<div class="input">
		${pracownikBeanFieldValue.imie}
		<stripes:hidden name="${nazwaPolaPracownika}.imie"/>
		<stripes:errors field="${nazwaPolaPracownika}.imie"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			login
		</label>
	</div>
	<div class="input">
		${pracownikBeanFieldValue.login}
		<stripes:hidden name="${nazwaPolaPracownika}.login"/>
		<stripes:errors field="${nazwaPolaPracownika}.login"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			adres e&#8209;mail
		</label>
	</div>
	<div class="input">
		${pracownikBeanFieldValue.eMail}
		<stripes:hidden name="${nazwaPolaPracownika}.eMail"/>
		<stripes:errors field="${nazwaPolaPracownika}.eMail"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			telefon
		</label>
	</div>
	<div class="input">
		${pracownikBeanFieldValue.telefon}
		<stripes:hidden name="${nazwaPolaPracownika}.telefon"/>
		<stripes:errors field="${nazwaPolaPracownika}.telefon"/>
	</div>
</div>

<div>&nbsp;</div>
<div class="row">
	<div class="label">
		<label>
			stare hasło
		</label>
	</div>
	<div class="input">
		<stripes:password name="${nazwaPolaPracownika}.stareHaslo" class="required" size="40" title="Hasło używane do tej pory"/>

		<stripes:errors field="${nazwaPolaPracownika}.stareHaslo"/>
	</div>
</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<%@ include file="/jsp/templatePages/polaPracownikaHaslo.jsp" %>
