<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			oddział NFZ
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="${nazwaPolaRecepty}.oddzialNfz" title="Oddział NFZ, dla którego wystawiono receptę">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.bazmed.enums.OddzialNFZ" label="opis"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaRecepty}.oddzialNfz"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			uprawnienia
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="${nazwaPolaRecepty}.uprawnienie"
				title="Uprawnienie do refundacji przyporządkowane lekom na recepcie">
			<c:forEach items="${uprawnieniaLeki}" var="uprawnienie">
				<c:if test="${empty uprawnienie.ukryty || ! uprawnienie.ukryty}">
					<stripes:option value="${uprawnienie.name()}">${uprawnienie.name}</stripes:option>
				</c:if>
			</c:forEach>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaRecepty}.uprawnienie"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			ch. przewklekłe
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="${nazwaPolaRecepty}.chorobyPrzewlekle"
				title="Uprawnienie do refundacji leków wg chorób przewlekłych mieszkańca">
			<stripes:options-enumeration enum="pl.topteam.bazmed.enums.UprawnieniaChPrzewlekle"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaRecepty}.chorobyPrzewlekle"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data wystawienia
		</label>
	</div>
	<div class="input">
		<c:set var="nazwaPolaIdRecepty" value="${nazwaPolaRecepty}.id"/>
		<stripes:text name="${nazwaPolaRecepty}.dataWystawienia" class="data required" title="Data wystawienia recepty"
				formatPattern="${DATE_PATTERN}" readonly="${not empty ttFn:extractProperty(actionBean, nazwaPolaIdRecepty)}"/>
		<stripes:errors field="${nazwaPolaRecepty}.dataWystawienia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			pracownik wystawił
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:300px" class="mySelect" name="${nazwaPolaRecepty}.lekarzWystawilId" id="${nazwaPolaRecepty}lekarzWystawilId"
				title="Lekarz, który wystawił bazę danych">
			<stripes:option value="">${OPCJA_WYBIERZ_WPROWADZ}</stripes:option>
			<stripes:options-collection collection="${kodLekarzaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_LEKARZA', '${nazwaPolaRecepty}lekarzWystawilId'); return false;"
				title="Wprowadź nowe słowo dla 'organ wydający decyzję'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaRecepty}.lekarzWystawilId"/>
		</div>
	</div>
</div>
