<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			rodzaj
		</label>
	</div>
	<div class="input">
		<c:set var="nazwaPola" value="${nazwaPolaRodzajSwiadczenia}.tekst"/>
		<c:set var="wartoscZBeana" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		${wartoscZBeana}
		
		<stripes:hidden name="${nazwaPolaRodzajSwiadczenia}.tekst"/>
	</div>
</div>

<fieldset class="jmesa">
	<legend>Konfiguracja akcji przy rozliczaniu zgonu osoby</legend>
	<table class="table alignCenter">
		<thead>
			<tr class="header">
				<td></td>
				<td>przed<br/>dniem zgonu</td>
				<td>w dniu<br/>zgonu</td>
				<td>po<br/>dniu zgonu</td>
			</tr>
		</thead>
		<tbody class="tbody">
			<c:set var="iWiersz" value="1"/>
				<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td>odliczenie<br/>w kwocie płatności<br/> świadczenia<br/>(wg terminu wypłaty)</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytPrzedZgon">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajOdliczeniaSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytPrzedZgon"/>
					</div>
				</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytDzienZgonu">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajOdliczeniaSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytDzienZgonu"/>
					</div>
				</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytPoZgon">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajOdliczeniaSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.odliczeniePobytPoZgon"/>
					</div>
				</td>
			</tr>
			
			<c:set var="iWiersz" value="${iWiersz + 1}"/>
			<tr class="${iWiersz % 2 == 0 ? 'odd' : 'even'}">
				<td>zwrot<br/>świadczenia<br/>(wg terminu wypłaty)</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataPrzedZgon">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajZwrotuSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataPrzedZgon"/>
					</div>
				</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataDzienZgonu">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajZwrotuSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataDzienZgonu"/>
					</div>
				</td>
				<td>
					<stripes:select class="required" name="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataPoZgon">
						<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajZwrotuSwiadczenia" label="opis"/>
					</stripes:select>
					<div style="clear: both">
						<stripes:errors field="${nazwaPolaRodzajSwiadczenia}.zwrotWyplataPoZgon"/>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</fieldset>

