<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nazwaPola" value="${nazwaPolaStartZadluzenia}.zadluzeniePozycjaId"/>
<c:set var="_zadluzeniePozycjaId" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>

<c:choose>
	<c:when test="${empty _zadluzeniePozycjaId}">
		<div class="row">
			<div class="label">
				<label>
					rodzaj zadłużenia
				</label>
			</div>
			<div class="input">
				<stripes:select name="${nazwaPolaStartZadluzenia}.rodzajZadluzenia" class="required" title="Rodzaj zadłużenia">
					<stripes:options-collection collection="${actionBean.rodzajeZadluzenia()}" label="opis"/>
				</stripes:select>
				<stripes:errors field="${nazwaPolaStartZadluzenia}.rodzajZadluzenia"/>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					płatnik
				</label>
			</div>
			<div class="input">
				<stripes:errors field="${nazwaPolaStartZadluzenia}.platnik"/>
				
				osoba:
				<c:set var="osobaPoleNazwa" value="${nazwaPolaStartZadluzenia}.osoba"/>
				<c:set var="requiredClass" value=""/>
				<c:set var="mOsoba" value="${true}"/>
				<%@ include file="/jsp/templatePages/podpowiedziField/osobaPodpInput.jsp" %>
				
				instytucja:
				<c:set var="instytucjaPoleNazwa" value="${nazwaPolaStartZadluzenia}.instytucja"/>
				<c:set var="requiredClass" value=""/>
				<%@ include file="/jsp/templatePages/podpowiedziField/instytucjaDoplacajacaPodpInput.jsp" %>
			</div>
		</div>
	</c:when>
	<c:otherwise>
		<div class="row">
			<div class="label">
				<label>
					rodzaj zadłużenia
				</label>
			</div>
			<div class="input">
				<stripes:select name="${nazwaPolaStartZadluzenia}.rodzajZadluzenia" class="required" disabled="disabled" title="Rodzaj zadłużenia">
					<stripes:option value="">domyślny</stripes:option>
					<stripes:options-enumeration enum="pl.topteam.dps.enums.RodzajZadluzenia" label="opis"/>
				</stripes:select>
				<stripes:errors field="${nazwaPolaStartZadluzenia}.rodzajZadluzenia"/>

				<stripes:hidden name="${nazwaPolaStartZadluzenia}.rodzajZadluzenia"/>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					płatnik
				</label>
			</div>
			<div class="input">
				<c:set var="nazwaPola" value="${nazwaPolaStartZadluzenia}.osoba"/>
				<c:set var="_osoba" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
				
				<c:set var="nazwaPola" value="${nazwaPolaStartZadluzenia}.instytucja"/>
				<c:set var="_instytucja" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>

				<c:choose>
					<c:when test="${not empty _osoba}">
						${_osoba.nazwiskoImie}
						
						<stripes:hidden name="${nazwaPolaStartZadluzenia}.osoba.id"/>
						<stripes:hidden name="${nazwaPolaStartZadluzenia}.osoba.nazwisko"/>
						<stripes:hidden name="${nazwaPolaStartZadluzenia}.osoba.imie"/>
					</c:when>
					<c:otherwise>
						${_instytucja.nazwa}

						<stripes:hidden name="${nazwaPolaStartZadluzenia}.instytucja.id"/>
						<stripes:hidden name="${nazwaPolaStartZadluzenia}.instytucja.nazwa"/>
					</c:otherwise>
				</c:choose>
				
				${ttFn:extractProperty(actionBean, nazwaPola)}
			</div>
		</div>
	</c:otherwise>
</c:choose>

<div class="row">
	<div class="label">
		kwota
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaStartZadluzenia}.kwota" class="kwota required" title="Kwota startu zadłużenia" size="11" formatPattern="${DOUBLE_PRECISION_PATTERN}"/>
		<stripes:errors field="${nazwaPolaStartZadluzenia}.kwota"/>
	</div>
</div>
