<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			nazwa
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenie}.nazwa" class="required" title="Nazwa opisowa dla świadczenia" style="width: 300px;"/>
		<stripes:errors field="${nazwaPolaSwiadczenie}.nazwa"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kolejność na wydruku
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenie}.kolejnoscWydruk" class="numberInteger required" title="Kolejność wydruku" size="7"/>
		<stripes:errors field="${nazwaPolaSwiadczenie}.kolejnoscWydruk"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			skrót wydruku
		</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaSwiadczenie}.skrotWydruk" class="required" title="Skrót wydruku" style="width: 300px;"/>
		<stripes:errors field="${nazwaPolaSwiadczenie}.skrotWydruk"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			jednostka
		</label>
	</div>
	<div class="input">
		<stripes:select class="required" name="${nazwaPolaSwiadczenie}.jednostka" title="Jednostka miary">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-enumeration enum="pl.topteam.dps.enums.JednostkaMiary" label="opis"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaSwiadczenie}.jednostka"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			rozliczaj w ramach
		</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaSwiadczenie}.rozliczajWRamachId"
				title="Rozliczaj świadczenie w ramach (gdy zrealizowane je dla mieszkańca, a nie przydzielono decyzją)">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaSwiadczen}" label="nazwa" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaSwiadczenie}.rozliczajWRamachId"/>
		</div>
	</div>
</div>

<%-- grupa świadczeń na stosownych formularzach --%>
