<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>

		<%@ include file="/jsp/templatePages/podpowiedziHead/osobaPodpHead.jsp" %>
		
		<stripes:url var="_DowodOsobistyActionURL" beanclass="pl.topteam.dps.action.utils.DowodOsobistyAction" prependContext="true" addSourcePage="false"/>
		<stripes:url var="_EwidencjaDanychOsobowychActionURL" beanclass="pl.topteam.dps.action.socjalni.ewidencja.EwidencjaDanychOsobowychAction" prependContext="true" addSourcePage="false"/>
		<stripes:url var="_PeselActionURL" beanclass="pl.topteam.dps.action.utils.PeselAction" prependContext="true" scope="page"/>
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<stripes:url var="_StanCywilnyActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.StanCywilnyAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _DowodOsobistyActionURL = "${_DowodOsobistyActionURL}";
			var _EwidencjaDanychOsobowychActionURL = "${_EwidencjaDanychOsobowychActionURL}";
			var _PeselActionURL = "${_PeselActionURL}";
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
			var _StanCywilnyActionURL = "${_StanCywilnyActionURL}";
		</script>

		<script type="text/javascript" src="${root}/js/utils/daneOsobowe.js"></script>
		<script type="text/javascript" src="${root}/js/utils/dowodOsobisty.js"></script>
		<script type="text/javascript" src="${root}/js/utils/mySelect.js"></script>
		<script type="text/javascript" src="${root}/js/utils/pesel.js"></script>
		<script type="text/javascript" src="${root}/js/utils/stanCywilny.js"></script>
		<script type="text/javascript" src="${root}/js/utils/showHideAdres.js"></script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
		
		<%@ include file="/jsp/ewidencja/plikiIncludeZleceniodawca.jsp" %>
		<script type="text/javascript">
			function customShowHideAdres(adresClass) {
				showHideAdres(adresClass);
			
				if($("input[id^='status_']").filter(":checked").length > 0) {
					$("div." + adresClass).hide();
				} else {
					$("div." + adresClass).show();
				}
			}
		
			$(document).ready(function() {
				// ustawienie odpowiedniego stanu cywilnego
		    	wybierzSC('plecosoba', 'stanosoba');

				// początkowe ustawienie adresu zleceniodawcy
		    	customShowHideAdres('elemAdresZleceniodawca');
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="pl.topteam.fund.action.socjalni.umowa.UmowaAction" name="umowaForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="decyzjaKierujaca.wydanaNaZasadach"/>
				
				<fieldset>
					<legend>
						Umowa
					</legend>
					
					<c:set var="poleUmowa" value="decyzjaKierujaca"/>
					<%@ include file="/jsp/templatePages/polaUmowaFundacja.jsp" %>
					
					<fieldset id="fieldsetZleceniodawca">
						<c:choose>
							<c:when test="${empty actionBean.zleceniodawcaWybor || ! actionBean.zleceniodawcaWybor}">
								<%@ include file="/jsp/ewidencja/polaEwidencjiZleceniodawcyFundacja.jsp" %>
							</c:when>
							<c:otherwise>
								<c:set var="requiredClass" value="required"/>
								<%@ include file="/jsp/ewidencja/polaEwidencjiZleceniodawcyWyborFundacja.jsp" %>
							</c:otherwise>
						</c:choose>
					</fieldset>
					
					<fieldset>
						<legend>
							Warunki
						</legend>
						
						<c:set var="poleEwidencja" value="ewidencjaDps"/>
						<c:set var="poleUmowa" value="umowa"/>
						<%@ include file="/jsp/templatePages/polaEwidencjaMieszkaniecFundacja.jsp" %>
						
						<c:set var="poleOdplatnosc" value="odplatnoscSkladnik"/>
						<%@ include file="/jsp/templatePages/polaOdplatnoscSkladnikDzienneRozliczenia.jsp" %>
						
						<c:set var="poleParametryUmowy" value="listaParametrowUmowy"/>
						<%@ include file="/jsp/templatePages/polaUmowaFundacjaParametry.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.fund.action.socjalni.umowa.ListaUmowAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
