<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaDecyzji}" id="listaDecyzji" var="umowa" editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaDecyzji)}">
	<jmesa:htmlTable style="width: 600px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr" title="Numer" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="SOC_U_UMOWA" defaultText="${not empty umowa.nr ? umowa.nr : '---'}">
					<stripes:link beanclass="pl.topteam.fund.action.socjalni.umowa.UmowaEdycjaAction" event="edycja">
						<stripes:param name="umowa.id" value="${umowa.id}"/>
						${not empty umowa.nr ? umowa.nr : '---'}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataZawarcia" title="Data zawarcia" sortable="false">
				<ttSec:secure roles="SOC_U_UMOWA" defaultText="${umowa.dataWydania}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.fund.action.socjalni.umowa.UmowaEdycjaAction" event="edycja">
						<stripes:param name="umowa.id" value="${umowa.id}"/>
						<fmt:formatDate value="${umowa.dataWydania}" pattern="${DATE_PATTERN}" />
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_UMOWA">
						<stripes:link beanclass="pl.topteam.fund.action.socjalni.umowa.UmowaEdycjaAction" event="edycja">
							<stripes:param name="umowa.id" value="${umowa.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_D_UMOWA">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.fund.action.socjalni.umowa.ListaUmowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć umowę /${umowa.nr}/ ? ')">
							<stripes:param name="umowa.id" value="${umowa.id}"/>
							<c:choose>
								<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_ZGON' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'MIESZKANIEC_WYPROWADZKA'}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/umowa/listaMieszkaniec.jsp')}"/>
								</c:when>
								<c:when test="${stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_REZYGNACJA' || stripes:enumName(actionBean.osoba.ewidencjaDps.typ) == 'OSOBA_OCZEKUJACA_ZGON'}">
									<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/umowa/listaOczekujacy.jsp')}"/>
								</c:when>
							</c:choose>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
