<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="errorCode" value="0"/>
<c:catch>
	<%-- jeżeli DataAccessException --%>
	<c:set var="errorCode" value="${e.cause.errorCode}"/>
</c:catch>
<c:if test="${empty errorCode || errorCode == 0}">
	<%-- jeżeli JdbcSQLException --%>
	<c:catch>
		<c:set var="errorCode" value="${e.SQLState}"/>
	</c:catch>
</c:if>
<c:choose>
	<c:when test="${errorCode == 90005}">
		<table align="center" class="formTable">
			<tbody>
				<tr>
					<th class="title" colspan="2">Wprowadzanie danych</th>
				</tr>
				<tr>
					<th>BŁĄD:</th>
					<td class="bladlokalny">
						<img src="${pageContext.request.contextPath}/img/error.gif">
						Do jednego z pól wprowadzono za dużo znaków!
					</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2" style="padding: 5px;">
						Powyższy błąd spowodował, że zapisanie danych nie powiodło się.<br/><br/>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.IndexAction" event="index">
							Wróć
						</stripes:link>
						aby naprawić błąd i spróbuj ponownie.
					</td>
				</tr>
			</tfoot>
		</table>
		<c:if test="${not empty detailMessage}">
			<br/><br/>
			${detailMessage}
			<br/>
		</c:if>
	</c:when>
	<c:otherwise>
		<h1>Wystapił błąd dostępu do danych:</h1>
		<h2>Komunikat</h2>
		<p>${e.message}</p>
		<h2>Przyczyna</h2>
		<pre>${e.cause}</pre>
		<h2>Stos wywołań</h2>
		<p>
			<c:forEach items="${e.stackTrace}" var="st" begin="0" end="4">
				${st}<br/>
			</c:forEach>
			...
		</p>
		<%@ include file="/jsp/server/tomcatLogi.jsp" %>
	</c:otherwise>
</c:choose>
