<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>

<c:set var="root" value="${pageContext.request.contextPath}" />

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style>
			h1.tytH1 {
				font-size: 12px;
				text-align: center;
			}
			
			h2.tytH2 {
				font-size: 10px;
				margin: 10px 5px 5px;
			}
			
			pre, p {
				border: dashed 1px black;
				padding: 10px;
				margin: 5px 10px;
			}
		</style>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<script>
				$(document).ready(function() {
					$("#showStos").click(function() {
						$("#stos").toggle(500);
					});
					$("#showPrzyczyna").click(function() {
						$("#przyczyna").toggle(500);
					});
				});
			</script>
			<h1 class="tytH1">Wystapił błąd systemu</h1>
			<h2 class="tytH2">Komunikat</h2>
			<p>
				<c:choose>
					<c:when test="${not empty e.message}">
						${e.message}
					</c:when>
					<c:otherwise>
						${e}
					</c:otherwise>
				</c:choose>
			</p>
			<h2 class="tytH2">
				<button id="showPrzyczyna" class="cursorPointer">Przyczyna</button>
			</h2>
			<pre id="przyczyna" style="display: none;">
				<c:choose>
					<c:when test="${not empty e.cause}">
						${e.message}
					</c:when>
					<c:otherwise>
						${e}
					</c:otherwise>
				</c:choose>
			</pre>
			<h2 class="tytH2">
				<button id="showStos" class="cursorPointer">Stos wywołań</button>
			</h2>
			<p id="stos" style="display: none;">
				<c:forEach items="${e.stackTrace}" var="st" begin="0" end="5">
					${st}<br />
				</c:forEach>
				...
			</p>
			<%@ include file="/jsp/server/tomcatLogi.jsp"%>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
