<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZlecen}" id="listaZlecen" var="zlecenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione" sortable="true" filterable="true">
				${zlecenie.osoba.nazwisko}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione" sortable="true" filterable="true">
				${zlecenie.osoba.imie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr_ewidencyjny" title="Nr" sortable="true" filterable="true"
					style="min-width: 180px;">
				${not empty zlecenie.nrEwidencyjny ? zlecenie.nrEwidencyjny : '&nbsp;'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_wystawienia" title="Data<br/>wystawienia" sortable="true"
					filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${zlecenie.dataWystawienia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescBAction"
							event="dodawanieSzybkie">
						<stripes:param name="osoba.id" value=""/>
						<stripes:param name="zlecenie.zlecenieNadrzedneId" value="${zlecenie.id}"/>
						<img src="${root}/img/forward.png" class="iconspace" title="Wprowadź część B zlecenia"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
