<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:if test="${empty actionBean.uprawnienia}">
	<ttSec:secure roles="MED_U_WYROB_MEDYCZNY">
		<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.PotwierdzenieWydaniaAction"
				class="button" event="edycja" title="Edytuj potwierdzenie">
			<stripes:param name="potwierdzenie.zlecenieId" value="${actionBean.zlecenie.id}"></stripes:param>
			Edytuj
		</stripes:link>
	</ttSec:secure>
	<ttSec:secure roles="MED_U_WYROB_MEDYCZNY">
		<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieNaZaopatrzeniePodgladAction"
				class="button noLoadImage" event="usunPotwierdzenie" onclick="return confirmation('Czy na pewno chcesz usunąć to potwierdzenie ? ')"
				title="Usuń">
			<stripes:param name="zlecenie.id" value="${actionBean.zlecenie.id}"></stripes:param>
			<stripes:param name="zakladka" value="zaklPotwierdzenie"></stripes:param>
			<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/wyrobyMedyczne/comiesieczne/podglad.jsp')}"/>
			Usuń
		</stripes:link>
	</ttSec:secure>
	<br/><br/>
</c:if>
<div class="row">
	<div class="label">
		<label>
			nr umowy
		</label>
	</div>
	<div class="input">
		${actionBean.potwierdzenie.nrUmowy}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			liczba sztuk
		</label>
	</div>
	<div class="input">
		${actionBean.potwierdzenie.liczbaSztuk}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			dane dotyczące SP
		</label>
	</div>
	<div class="input">
		${actionBean.potwierdzenie.daneWm}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota NFZ
		</label>
	</div>
	<div class="input">
		<fmt:formatNumber value="${actionBean.potwierdzenie.kwotaNfz}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			kwota świadczeniobiorca
		</label>
	</div>
	<div class="input">
		<fmt:formatNumber value="${actionBean.potwierdzenie.kwotaSwiadczeniobiorca}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			data odbioru
		</label>
	</div>
	<div class="input">
		<fmt:formatDate value="${actionBean.potwierdzenie.dataOdbioru}" pattern="${DATE_PATTERN}" />
	</div>
</div>
