<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:choose>
	<c:when test="${empty actionBean.uprawnienia}">
		<ttSec:secure roles="MED_U_WYROB_MEDYCZNY">
			<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescBAction"
					class="button" event="dodawanie" title="Wprowadź część B zlecenia">
				<stripes:param name="zlecenie.zlecenieNadrzedneId" value="${actionBean.zlecenie.id}"></stripes:param>
				Dodaj
			</stripes:link>
		</ttSec:secure>
	</c:when>
	<c:otherwise>
		<ttSec:secure roles="MED_U_WYROB_MEDYCZNY">
			<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescBAction"
					class="button" event="edycja" title="Edytuj część B zlecenia">
				<stripes:param name="zlecenie.id" value="${actionBean.uprawnienia.id}"></stripes:param>
				Edytuj
			</stripes:link>
		</ttSec:secure>
		<ttSec:secure roles="MED_D_WYROB_MEDYCZNY">
			<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieNaZaopatrzeniePodgladAction"
					class="button noLoadImage" event="usunCzescB" onclick="return confirmation('Czy na pewno chcesz usunąć część B tego zlecenia ? ')"
					title="Usuń">
				<stripes:param name="zlecenie.id" value="${actionBean.uprawnienia.id}"></stripes:param>
				Usuń
			</stripes:link>
		</ttSec:secure>
		<br/><br/>
		<div class="row">
			<div class="label">
				<label>
					kod tytułu<br/>
					uprawnienia
				</label>
			</div>
			<div class="input">
				<c:set var="slowaSlownika" value="${kodTytuluUprawnieniaSlownik}"/>
				<c:set var="wartoscDoPorow" value="${actionBean.uprawnienia.kodTytuluUpr}"/>
				<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					kod tytułu<br/>
					uprawnienia dodatkowego
				</label>
			</div>
			<div class="input">
				<c:choose>
					<c:when test="${not empty actionBean.uprawnienia.kodTytuluUprDod}">
						<c:set var="slowaSlownika" value="${kodTytuluUprawnieniaDodatkowegoSlownik}"/>
						<c:set var="wartoscDoPorow" value="${actionBean.uprawnienia.kodTytuluUpr}"/>
						<%@ include file="/jsp/templatePages/wypiszWartStringZeSlownikaWgKodu.jsp" %>
					</c:when>
					<c:otherwise>
						-
					</c:otherwise>
				</c:choose>
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					data od
				</label>
			</div>
			<div class="input">
				<fmt:formatDate value="${actionBean.uprawnienia.dataOd}" pattern="${DATE_PATTERN}" />
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					data do
				</label>
			</div>
			<div class="input">
				<fmt:formatDate value="${actionBean.uprawnienia.dataDo}" pattern="${DATE_PATTERN}" />
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					kod
				</label>
			</div>
			<div class="input">
				${actionBean.uprawnienia.kod}
			</div>
		</div>
		<div class="row">
			<div class="label">
				<label>
					kod zamiennika
				</label>
			</div>
			<div class="input">
				${actionBean.uprawnienia.kodZam1}<c:if test="${actionBean.uprawnienia.kodZam2}">,</c:if>
				${actionBean.uprawnienia.kodZam2}<c:if test="${actionBean.uprawnienia.kodZam3}">,</c:if>
				${actionBean.uprawnienia.kodZam3}
			</div>
		</div>
	</c:otherwise>
</c:choose>
