<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<%@ include file="wprowadzanieWspolneHead.jsp" %>

		<script type="text/javascript">
			$(document).ready(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
				
				// ograniczanie zakresu podpowiedzi
				acOptionsWyrobMedByOpis["extraParams"] = {
			    		typSrodka : "KSPOM"
		  		};
				bindujWyrobMedByOpisPodpowiedzPole("#zlecenieprzedmiotOpis");
				
				bindujRodzajSchorzeniaPodpowiedzPole("#zlecenieICD10");
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescAAction" id="wyborMedForm">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<stripes:hidden name="mieszkaniec.id" value="${actionBean.osoba.id}"/>
				<fieldset>
					<legend>
						Zlecenie na środki pomocnicze przysługujące comiesięcznie (Część A)
					</legend>

					<fieldset class="elemMiejZamieszkania">
						<stripes:hidden name="adres.id"/>
						<stripes:hidden name="adres.typ" value="ZAMIESZKANIA"/>
						<legend>
							Adres&nbsp;&nbsp;&nbsp;
							<stripes:text id="adresAdrPodp_adres" name="adresPodp_adres" class="kodPocztPodp" style="width: 4em;" onkeyup="adres('adres');"/>
							<a href="${root}/html/pomoc/podpAdresy.htm?width=350" class="jTip" id="podpAdresy" name="Funkcja podpowiadania adresów">
								<img src="${root}/img/help.gif" border="0"/>
							</a>
							
							&nbsp;
							<c:set var="kotwicaPomoc" value="PZP_podpowiadanie-adresy"/>
							<%@ include file="/jsp/layout/menu/pomocSmall.jsp" %>
						</legend>
						<div style="clear: both; padding-top: 5px; padding-bottom: 10px;">
							<stripes:button class="noLoadImage" onclick="podpAdres('ZAMIESZKANIA');" name="podAdrZamMieszk">Podpowiedz adres zamieszkania mieszkańca</stripes:button>
							<stripes:button class="noLoadImage" onclick="podpAdres('POBYTU_STALEGO');" name="podOstAdrZameldowania">Podpowiedz ost. adres zameldowania mieszkańca</stripes:button>
							<span id="msgPodpAdres"></span>
						</div>
	
						<c:set var="nazwaPolaAdresu" value="adres"/>
						<c:set var="klasaWymagane" value="required"/>
						<%@ include file="/jsp/templatePages/polaAdresuMiedzynarodowego.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Dane zlecenia
						</legend>
						
						<c:set var="poleWyrobMedyczny" value="zlecenie"/>
						<%@ include file="/jsp/templatePages/polaZlecenieWyrobMedyczny.jsp" %>
	
						<c:set var="poleWyrobMedyczny" value="zlecenie.przedmiot"/>
						<%@ include file="/jsp/templatePages/podpowiedziField/wyrobMedycznyPodpField.jsp" %>
						
						<%@ include file="/jsp/templatePages/polaZleceniePrzedmiot.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Schorzenie
						</legend>
						
						<c:set var="poleWyrobMedyczny" value="zlecenie"/>
						<%@ include file="/jsp/templatePages/podpowiedziField/rodzajSchorzeniaPodpField.jsp" %>
					</fieldset>
					<fieldset>
						<legend>
							Zaopatrzenie
						</legend>
						
						<c:set var="polaZlecenieWydaniaWyrobMiesiac" value="wydaniaMiesiac"/>
						<%@ include file="/jsp/templatePages/polaZlecenieWydaniaWyrobMiesiac.jsp" %>
					</fieldset>
				</fieldset>
								
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaZlecenOsobyAction"
								class="button" event="lista">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
