<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link type="text/css" rel="stylesheet" href="${root}/css/jquery.asmselect.css"/>
		
		<%@ include file="realizacjaPodpowiedzHead.jsp" %>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<h3>
			<c:choose>
				<c:when test="${empty actionBean.brakFaktury || !actionBean.brakFaktury}">
					Rejestracja przyjęcia wyrobów medycznych dla ${actionBean.mieszkaniec.nazwiskoImie}
				</c:when>
				<c:otherwise>
					Wprowadzanie faktury za wyroby medyczne (${actionBean.mieszkaniec.nazwiskoImie})
				</c:otherwise>
			</c:choose>
		</h3>
		<div class="formContainer">
			<stripes:form id="fakturaForm" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.faktury.FakturaZaWyrobyMedyczneAction">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

				<stripes:hidden name="zabronBrakRealizacji"/>
				<fieldset>
					<legend>
						Wyroby medyczne
					</legend>
					
					<c:set var="nazwaPolaRealizacjiRecepty" value="realizacjaRecepty"/>
					<%@ include file="/jsp/templatePages/polaRealizacjiRecept.jsp" %>
					<stripes:submit name="wyborWyrobuSpozaListy" value="Wprowadź inny wyrób" title="Wprowadź wyrób na fakturę"/>
					<div id="jmesaContainer">
						<c:set var="brakFaktury" value="${not empty actionBean.brakFaktury && actionBean.brakFaktury}"/>
						<c:set var="niezrealizowaneCol" value="${not empty actionBean.zabronBrakRealizacji && actionBean.zabronBrakRealizacji}"/>
						<%@ include file="listaWyrobow.jsp" %>
					</div>
					<stripes:errors field="listaWyrobow"/>
				</fieldset>
				<c:if test="${empty actionBean.brakFaktury || !actionBean.brakFaktury}">
					<fieldset>
						<legend>
							Faktura
						</legend>
						<div class="row">
							<div class="label">
								<label>
									faktura
								</label>
							</div>
							<div class="input">
								<stripes:select id="realizacjaFakturaSel" name="realizacjaRecepty.fakturaId" class="mySelect"
										onchange="submitFaktura();" style="width: 350px;">
									<stripes:option label="-- NOWA FAKTURA --" value=""/>
									<stripes:options-collection collection="${listaFaktur}" label="nr" value="id"/>
								</stripes:select>
								<img src="${root}/img/help.gif" border="0" title="Na liście znajdują się jedynie faktury wystawione w przeciągu ostatnich ${__liczba_dni_waznosc_recepta} dni"/>
							</div>
						</div>
						<c:if test="${empty actionBean.realizacjaRecepty.fakturaId}">
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFaktury.jsp" %>
							
							<c:set var="nazwaPolaFaktura" value="faktura"/>
							<%@ include file="/jsp/templatePages/polaFakturyKwoty.jsp" %>
						</c:if>
						
						<stripes:submit id="powrotKrokFakturaSubmit" name="powrotKrokFaktura" style="display: none;"></stripes:submit>
					</fieldset>
				</c:if>
				
				<%@ include file="/jsp/templatePages/podpowiedziField/kontynuujWprowadzanieFieldset.jsp" %>
			
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.IndexAction" class="button" event="index">
							&laquo; Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.faktury.FakturaZaWyrobyMedyczneAction"
								class="button" event="krokMieszkaniec">
							&laquo; Zmień
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
