<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:form beanclass="${ttFn:classCanonicalName(actionBean)}" partial="true">
	<c:set var="i" value="-1"/>
	<jmesa:tableFacade items="${actionBean.listaWyrobow}" id="listaWyrobow" var="wyrobPostac" maxRows="${fn:length(actionBean.listaWyrobow)}"
			editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView">
		<jmesa:htmlTable style="width: 700px; margin-left: auto; margin-right: auto;">
			<jmesa:htmlRow>
				
				<%@ include file="listaWyrobowPodstKolumny.jsp" %>
				<jmesa:htmlColumn property="dataRealizacji" title="Data<br/>przyjęcia" sortable="false" filterable="false" styleClass="nowrap">
					<stripes:text name="listaWyrobow[${i}].lekRealizacja.data" class="data" formatPattern="${DATE_PATTERN}"/>
					<stripes:errors field="listaWyrobow[${i}].lekRealizacja.data"/>
					
					<br/><br/>
					<stripes:select name="listaWyrobow[${i}].lekRealizacja.slowoId" title="Przyjęto na dyżurze pielęgniarskim">
						<stripes:option value="" class="alignCenter">${OPCJA_WYBIERZ}</stripes:option>
						<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
					</stripes:select>
					<stripes:errors field="listaWyrobow[${i}].lekRealizacja.slowoId"/>
				</jmesa:htmlColumn>
				
				<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
					<div class="ikonki">
						<a href="#" onclick="kopiujLek(${i});">
							<img src="${root}/img/copy.gif" class="iconspace" title="Skopiuj lek"/>
						</a>
						<c:choose>
							<c:when test="${not empty allowDeleteLek && allowDeleteLek}">
								<a href="#">
									<img src="${root}/img/delete_disabled.gif" class="iconspace"
											title="Nie można usunąć wyrobu z listy. Prawdopobodnie znajduje on już na fakturze."/>
								</a>
							</c:when>
							<c:otherwise>
								<a href="#" onclick="usunLek('listaWyrobow_row${i + 1}');">
									<img src="${root}/img/delete.gif" class="iconspace" title="Usuń wyrób z listy"/>
								</a>
							</c:otherwise>
						</c:choose>
					</div>
				</jmesa:htmlColumn>
			</jmesa:htmlRow>
		</jmesa:htmlTable>
	</jmesa:tableFacade>
	
	<div id="bledylistaWyrobow"></div>
</stripes:form>
