<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaZlecen}" id="listaZlecen" var="zlecenie" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable>
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rodzaj" title="Rodzaj" sortable="true" filterable="true"
					filterEditor="pl.topteam.dps.jmesa.view.editor.RodzajZlecenieWyrobMedycznyDropListFilterEditor"
					style="width: 220px;">
				${zlecenie.rodzaj.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr_ewidencyjny" title="Nr" styleClass="daneWyroznione" sortable="true" filterable="true"
					style="min-width: 180px;">
				${not empty zlecenie.nrEwidencyjny ? zlecenie.nrEwidencyjny : '&nbsp;'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_wystawienia" title="Data<br/>wystawienia" styleClass="daneWyroznione" sortable="true"
					filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${zlecenie.dataWystawienia}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<c:choose>
						<c:when test="${empty zlecenie.potwierdzono || ! zlecenie.potwierdzono}">
							<ttSec:secure roles="MED_U_WYROB_MEDYCZNY">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZleceniaNaZaopatrzenieCzescAAction"
										event="edycja">
									<stripes:param name="zlecenie.id" value="${zlecenie.id}"/>
									<img src="${root}/img/edit.gif" class="iconspace" title="Edycja"/>
								</stripes:link>
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.PotwierdzenieWydaniaAction"
										event="dodawanie">
									<stripes:param name="zlecenie.id" value="${zlecenie.id}"/>
									<img src="${root}/img/edit.png" class="iconspace" title="Potwierdź wydanie"/>
								</stripes:link>
							</ttSec:secure>
							<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieWydrukAction"
										class="noLoadImage" event="generuj" title="Drukuj PDF">
									<stripes:param name="zlecenie.id" value="${zlecenie.id}"/>
									<stripes:param name="typWydruku" value="PDF"/>
									<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
								<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.comiesieczne.ZlecenieNaZaopatrzeniePodgladAction"
										event="podglad">
									<stripes:param name="zlecenie.id" value="${zlecenie.id}"/>
									<img src="${root}/img/lupa.gif" class="iconspace" title="Podgląd zlecenia"/>
								</stripes:link>
							</ttSec:secure>
						</c:otherwise>
					</c:choose>
					<ttSec:secure roles="MED_R_WYROB_MEDYCZNY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaZlecenOsobyAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć zlecenie ${empty zlecnie.nrEwidencyjny} ? ')">
							<stripes:param name="zlecenie.id" value="${zlecenie.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/wyrobyMedyczne/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
