<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRealizacji}" id="listaRealizacji" var="realizacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data" styleClass="daneWyroznione" sortable="false" filterable="false"
					cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer"/>
			<jmesa:htmlColumn property="dataWystawienia" title="Data faktury" styleClass="daneWyroznione" sortable="false" filterable="false">
				<c:choose>
					<c:when test="${not empty realizacja.faktura.dataWystawienia}">
						<fmt:formatDate value="${realizacja.faktura.dataWystawienia}" pattern="${DATE_PATTERN}" />
					</c:when>
					<c:otherwise>
						---
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nr" title="Nr faktury" sortable="false" filterable="false">
				${not empty realizacja.faktura.nr ? realizacja.faktura.nr : '---'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="MED_U_REALIZACJA_WYROBOW_MED">
						<stripes:link beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.faktury.RealizacjaWyrobowEdycjaAction" event="edycja">
							<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="MED_D_REALIZACJA_WYROBOW_MED">
						<stripes:link  class="noLoadImage" beanclass="pl.topteam.dps.action.medyczni.wyrobyMedyczne.ListaRealizacjiZlecenAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć realizację wyrobu?')">
							<stripes:param name="realizacjaRecepty.id" value="${realizacja.id}"></stripes:param>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/wyrobyMedyczne/listaRealizacji.jsp')}"/>
							<img src="${root}/img/delete.gif" border="0" title="Usuń realizację wyrobu"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
