<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaWywiadow}" id="listaWywiadow" var="wywiad" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="data" title="Data wywiadu" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<fmt:formatDate value="${wywiad.data}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="mieszkaniec" title="Mieszkaniec" sortable="false" filterable="false">
				${wywiad.osoba.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="typ" title="Typ" sortable="false" filterable="false">
				${wywiad.typ.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" filterable="false" sortable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_U_WYWIADY">
						<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.w20120622_4.WywiadEdycjaAction" event="edycja">
							<stripes:param name="wywiad" value="${wywiad.id}"/>
							<stripes:param name="mieszkaniec" value="${wywiad.osobaId}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.WywiadWydrukDispatcher" event="drukuj" target="_blank" title="Drukuj">
						<stripes:param name="wywiad" value="${wywiad.id}"/>
						<img src="${root}/img/wykonajPDF.gif" class="iconspace"/>
					</stripes:link>
					<ttSec:secure roles="SOC_D_WYWIADY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.ListaWywiadowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten wywiad? ')">
							<stripes:param name="wywiad" value="${wywiad.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/wywiad/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
