<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="daneWyroznione">
	Dabe osoby, z którą przeprowadzono wywiad
</div>
	
<stripes:hidden name="wywiadXml.punkt1.osoba.nazwisko"/>
<stripes:hidden name="wywiadXml.punkt1.osoba.imie"/>

<stripes:errors field="wywiadXml.punkt1.osoba.nazwisko"/>
<stripes:errors field="wywiadXml.punkt1.osoba.imie"/>

<div class="row">
	<div class="label">
		<label>
			data urodzenia
		</label>
	</div>
	<div class="input">
		<fmt:formatDate value="${actionBean.wywiadXml.punkt1.osoba.dataUrodzenia.toDate()}" pattern="${DATE_PATTERN}" />
		<stripes:hidden name="wywiadXml.punkt1.osoba.dataUrodzenia"/>
		<stripes:errors field="wywiadXml.punkt1.osoba.dataUrodzenia"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			seria dok. potw. tożsamość
		</label>
	</div>
	<div class="input">
		${actionBean.wywiadXml.punkt1.osoba.nrDowoduOsobistego}
		<stripes:hidden name="wywiadXml.punkt1.osoba.nrDowoduOsobistego"/>
		<stripes:errors field="wywiadXml.punkt1.osoba.nrDowoduOsobistego"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>
			PESEL
		</label>
	</div>
	<div class="input">
		${actionBean.wywiadXml.punkt1.osoba.pesel}
		<stripes:hidden name="wywiadXml.punkt1.osoba.pesel"/>
		<stripes:errors field="wywiadXml.punkt1.osoba.pesel"/>
	</div>
</div>
<hr/>
<div>Adres:</div>
<c:set var="nazwaPolaAdresu" value="wywiadXml.punkt1.osoba.adres"/>
<c:set var="klasaWymagane" value="required"/>
<%@ include file="daneAdresowe.jsp" %>
<hr/>
<div>Dochód:</div>
<div class="row">
	<div class="label">
		<label title="Dotychczas otrzymywane świadczenia - na podstawie ostatniej decyzji">
			świadczenia
		</label>
	</div>
	<div class="input">
		<c:set var="i" value="-1"/>
		<jmesa:tableFacade items="${actionBean.wywiadXml.punkt1.otrzymywaneSwiadczenia}" id="otrzymywaneSwiadczenia" var="swiadczenie" autoFilterAndSort="true"
				editable="false" exportTypes="" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView" maxRows="${fn:length(actionBean.wywiadXml.punkt1.otrzymywaneSwiadczenia)}">
			<jmesa:htmlTable style="min-width: 300px;" styleClass="padding-top-10 alignCenter">
				<jmesa:htmlRow>
					<jmesa:htmlColumn property="nazwaSwiadczenia" title="Świadczenie" sortable="false" filterable="false">
						<c:set var="i" value="${i + 1}"/>
						
						${swiadczenie.nazwa}<br/>
						${swiadczenie.nr != '' ? swiadczenie.nr : '---'}<br/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].nazwa"/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].nr"/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].dataOd"/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].dataDo"/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].instutycjaWyplacajaca"/>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="dodatki" title="_" sortable="false" filterable="false" styleClass="nowrap">
						-
						<c:if test="${fn:length(swiadczenie.dodatki) > 0}">
							<c:forEach items="${swiadczenie.dodatki}" var="d" varStatus="j">
								<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].dodatki[${j.count - 1}].nazwa"/>
								<br/>${d.nazwa}
							</c:forEach>
						</c:if>
					</jmesa:htmlColumn>
					<jmesa:htmlColumn property="kwota" styleClass="kwotaTd" title="Kwota <br/>[${GL_JEDNOSTKA_MONETARNA}]" sortable="false" filterable="false" style="nowrap">
						<fmt:formatNumber value="${swiadczenie.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
						<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].kwota"/>
						<c:if test="${fn:length(swiadczenie.dodatki) > 0}">
							<c:forEach items="${swiadczenie.dodatki}" var="d" varStatus="j">
								<stripes:hidden name="wywiadXml.punkt1.otrzymywaneSwiadczenia[${i}].dodatki[${j.count - 1}].kwota"/>
								<br/><fmt:formatNumber value="${d.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
							</c:forEach>
						</c:if>
					</jmesa:htmlColumn>
				</jmesa:htmlRow>
			</jmesa:htmlTable>
		</jmesa:tableFacade>
	</div>
</div>
<div class="row">
	<div class="label">
		<label title="Aktualna łączna wysokość dochodu (zgodnie z art. 8 ustawy z dnia 12 marca 2004r. o pomocy społecznej) / Aktualna wysokość dochodu na osobę w rodzinie">
			dochód / dochód na osobę
		</label>
	</div>
	<div class="input">
		<stripes:text name="wywiadXml.punkt1.dochod" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/> /
		<stripes:text name="wywiadXml.punkt1.dochodNaOsobe" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
		<stripes:errors field="wywiadXml.punkt1.dochod"/>
		<stripes:errors field="wywiadXml.punkt1.dochodNaOsobe"/>
	</div>
</div>
<hr/>
<div>Aktualizacja sytuacji:</div>
<c:forEach items="${actionBean.wywiadXml.punkt1.aktualizacjaSytuacji}" var="aktualizacja" varStatus="i">
	<div class="row">
		<div class="label">
			<label>
				<stripes:hidden name="wywiadXml.punkt1.aktualizacjaSytuacji[${i.count - 1}].rodzajSytuacji"/>
				${aktualizacja.rodzajSytuacji.value()}
			</label>
		</div>
		<div class="input">
			
			<div style="clear: both">
				<stripes:errors field="wywiadXml.punkt1.aktualizacjaSytuacji[${i.count - 1}].value"/>
			</div>
			<stripes:textarea name="wywiadXml.punkt1.aktualizacjaSytuacji[${i.count - 1}].value" cols="78"/>
		</div>
	</div>
</c:forEach>
