<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:hidden name="wywiadXml.punkt4.miejscowosc"/>
<stripes:hidden name="wywiadXml.punkt4.data"/>

<div class="daneWyroznione">
	Plan pomocy i działań na rzecz osoby lub rodziny
</div>
<div class="padding-top-10">Dochód:</div>
<div class="row">
	<div class="label">
		<label title="Aktualna łączna wysokość dochodu (zgodnie z art. 8 ustawy z dnia 12 marca 2004r. o pomocy społecznej) / Aktualna wysokość dochodu na osobę w rodzinie">
			dochód / dochód na osobę
		</label>
	</div>
	<div class="input">
		<stripes:text name="wywiadXml.punkt4.lacznyDochodWRodzinie" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/> /
		<stripes:text name="wywiadXml.punkt4.dochodNaOsobeWRodzinie" class="kwota required" formatPattern="${DOUBLE_PRECISION_PATTERN}" size="8"/>
		<stripes:errors field="wywiadXml.punkt4.lacznyDochodWRodzinie"/>
		<stripes:errors field="wywiadXml.punkt4.dochodNaOsobeWRodzinie"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label title="Kryterium dochodowe dla danej osoby/rodziny (wynikające z art. 8 ust. 1 lub 2 ustawy z dnia 12 marca 2004r. o pomocy społecznej)">
			kryterium dochodowe
		</label>
	</div>
	<div class="input">
		<fmt:formatNumber value="${actionBean.wywiadXml.punkt4.kryteriumDochodowe}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
		<stripes:hidden name="wywiadXml.punkt4.kryteriumDochodowe"/>
		<stripes:errors field="wywiadXml.punkt4.kryteriumDochodowe"/>
	</div>
</div>
<hr/>
<div>Formy pomocy:</div>
<div class="jmesa">
	<table class="table">
		<thead>
			<tr class="header">
				<td>rodzaj i zakres</td>
				<td>źródło finansowania</td>
			</tr>
		</thead>
		<tbody class="tbody">
			<c:set var="iWiersz" value="1"/>
			<c:set var="indexSocjalna" value="-1"/>
			<c:forEach items="${actionBean.wywiadXml.punkt4.formyIZakresPomocy}" var="formaIZakres" varStatus="i">
				<c:choose>
					<c:when test="${stripes:enumName(formaIZakres.forma) == 'PRACA_SOCJALNA'}">
						<c:set var="indexSocjalna" value="${i.count - 1}"/>
					</c:when>
					<c:otherwise>
						<tr class="${iWiersz % 2 == 1 ? 'odd' : 'even'}">
							<td colspan="2">
								<stripes:hidden name="wywiadXml.punkt4.formyIZakresPomocy[${i.count - 1}].forma"/>
								${formaIZakres.forma.value()}
							</td>
						</tr>
						<tr>
							<td>
								<stripes:textarea name="wywiadXml.punkt4.formyIZakresPomocy[${i.count - 1}].zakres" cols="50"/>
							</td>
							<td>
								<stripes:textarea name="wywiadXml.punkt4.formyIZakresPomocy[${i.count - 1}].zrodloFinansowania" cols="30"/>
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
			</c:forEach>
		</tbody>
		<tbody>
			<tr><td colspan="2">praca socjalna</td></tr>
			<tr>
				<td colspan="2">
					<stripes:hidden name="wywiadXml.punkt4.formyIZakresPomocy[${indexSocjalna}].forma"/>
					<stripes:textarea name="wywiadXml.punkt4.formyIZakresPomocy[${indexSocjalna}].zakres" cols="90"/>
				</td>
			</tr>
		</tbody>
	</table>
</div>
