<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/wywiadyLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			textarea {
				resize: none;
				overflow: auto;
				height: 50px;
				max-height: 200px
			}

			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			.ui-tabs-nav.ui-widget-header {
				border: 0px none;
				background: none;
			}
		</style>
		
		<script type="text/javascript" src="${root}/js/tinymce/jquery_jscripts/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript" src="${root}/js/utils/tinyMCEUtils.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$("#tab-container").tabs();
				$("textarea").flexible();
			});
		</script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="doplatyForm" beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.w20120622_4.WywiadEdycjaAction" >
				<stripes:hidden name="mieszkaniec"/>
				<stripes:hidden name="wywiad"/>
				<stripes:errors/>
				
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				<div>
					Wywiad środowiskowy,<br/>
					Aktualizacja dla <span class="daneWyroznione">${actionBean.mieszkaniec.nazwiskoImie}, ${actionBean.mieszkaniec.pesel}</span>
				</div>
				<div id="tab-container" class="form" style="border: 0px none;">
					<ul>
						<li><a href="#ui-tabs-metryczka">Metryczka</a></li>
						<li><a href="#ui-tabs-dane-osoby-wywiad">I. Dane osoby, ...</a></li>
						<li><a href="#ui-tabs-potrzeby-oczekiwania">II. Potrzeby i oczekiwania...</a></li>
						<li><a href="#ui-tabs-ocena-sytuacji-rodziny">III. Ocena sytuacji...</a></li>
						<li><a href="#ui-tabs-plan-pomocy">IV. Plan pomocy...</a></li>
						<li><a href="#ui-tabs-plan-pomocy-zatwierdzony">V. Plan pomocy zatwierdzony...</a></li>
					</ul>
					<div id="ui-tabs-metryczka">
						<%@ include file="dzial_00_metryczka.jsp" %>
					</div>
					<div id="ui-tabs-dane-osoby-wywiad">
						<%@ include file="dzial_01_daneOsoby.jsp" %>
					</div>
					<div id="ui-tabs-potrzeby-oczekiwania">
						<%@ include file="dzial_02_potrzebyOczekiwania.jsp" %>
					</div>
					<div id="ui-tabs-ocena-sytuacji-rodziny">
						<%@ include file="dzial_03_ocenaSytuacji.jsp" %>
					</div>
					<div id="ui-tabs-plan-pomocy">
						<%@ include file="dzial_04_plan_pomocy.jsp" %>
					</div>
					<div id="ui-tabs-plan-pomocy-zatwierdzony">
						<%@ include file="dzial_05_planPomocyZatwierdzony.jsp" %>
					</div>
				</div>
				<div class="alignCenter padding-top-10">
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.wywiad.srodowiskowy.ListaWywiadowAction" class="button" event="lista">
						&laquo; Wróć do listy
					</stripes:link>
			  		&nbsp;&nbsp;
			  		<stripes:submit name="zapisz" value="Zapisz"/>
				</div>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
