<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="zadaniaNiemodyfikowalne" value="${actionBean.zadaniaNiemodyfikowalne}"/>
<c:set var="zadaniaNiewymuszalne" value="${actionBean.zadaniaNiewymuszalne}"/>

<jmesa:tableFacade items="${listaWyzwalaczy}" id="listaWyzwalaczy" var="wyzwalacz"
		editable="false" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		maxRows="${fn:length(listaWyzwalaczy)}">
	<jmesa:htmlTable style="min-width: 500px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="grupaWyzw" title="Grupa" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="ADM_U_ZADANIE_CZASOWE" defaultText="${wyzwalacz.triggerGroup}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweEdycjaAction" event="edycja">
						<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
						<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
						${wyzwalacz.triggerGroup.opis}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwaWyzw" title="Nazwa" styleClass="daneWyroznione" sortable="false">
				<ttSec:secure roles="ADM_U_ZADANIE_CZASOWE" defaultText="${wyzwalacz.triggerName}">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweEdycjaAction" event="edycja">
						<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
						<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
						${wyzwalacz.triggerName}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="zadanie" title="Zadanie" sortable="false">
				<ttSec:secure roles="ADM_U_ZADANIE_CZASOWE" defaultText="${wyzwalacz.jobName} -<br/>('${wyzwalacz.jobGroup.opis}')" escapeXml="true">
					<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweEdycjaAction" event="edycja">
						<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
						<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
						${wyzwalacz.jobName}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<c:set var="wyzwalaczKey" value="${wyzwalacz.jobName}_${wyzwalacz.jobGroup.name}"/>
 				<c:set var="niemodyfikowalne" value="${ttFn:collectionContainsToStringCompare(zadaniaNiemodyfikowalne, wyzwalaczKey)}"/>
				<c:set var="niewymuszalne" value="${ttFn:collectionContainsToStringCompare(zadaniaNiewymuszalne, wyzwalaczKey)}"/>

				<div class="ikonki">
					<c:choose>
						<c:when test="${(not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER) || !niemodyfikowalne}">
							<ttSec:secure roles="ADM_U_ZADANIE_CZASOWE">
								<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweEdycjaAction" event="edycja">
									<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
									<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
									<img src="${root}/img/edit.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:when>
						<c:otherwise>
							<ttSec:secure roles="ADM_R_ZADANIE_CZASOWE">
								<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.ZadanieCzasoweAction" event="podglad">
									<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
									<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
									<img src="${root}/img/lupa.gif" class="iconspace"/>
								</stripes:link>
							</ttSec:secure>
						</c:otherwise>
					</c:choose>
					<c:if test="${(not empty WERSJA_TT_DEVELOPER && WERSJA_TT_DEVELOPER) || !niewymuszalne}">
						<ttSec:secure roles="ADM_U_ZADANIE_CZASOWE">
							<stripes:link beanclass="pl.topteam.dps.action.administracja.zadaniaCzasowe.WymusUruchamianieAction" event="uruchom"
									title="Wymuś natychmiastowe wykonanie zadania">
								<stripes:param name="qrtzTriggers.triggerName" value="${wyzwalacz.triggerName}"/>
								<stripes:param name="qrtzTriggers.triggerGroup" value="${wyzwalacz.triggerGroup}"/>
								<img src="${root}/img/wykonaj.gif" class="iconspace"/>
							</stripes:link>
						</ttSec:secure>
					</c:if>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
