<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="kwotaSum" value="0.00"/>
<jmesa:tableFacade items="${listaZapomog}" id="listaZapomog" var="zapomoga" view="pl.topteam.utils.jmesa.view.SimpleTableView"
		editable="false" exportTypes="" autoFilterAndSort="false"
		maxRows="${fn:length(listaZapomog)}">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="rodzajZapomogi" styleClass="daneWyroznione" title="Rodzaj zapomogi" sortable="false">
				<c:set var="slowaSlownika" value="${kodRodzajuZapomogiSlownik}"/>
				<c:set var="wartoscDoPorow" value="${zapomoga.rodzajZapomogiId}"/>
				<%@ include file="/jsp/templatePages/ustawWartStringZeSlownikaWgId.jsp" %>

				${wartoscZmiennejZeSlownika}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dataUdzielenia" title="Data udzielenia" cellRenderer="pl.topteam.utils.jmesa.view.renderer.DateCellRenderer" sortable="false"/>
			<jmesa:htmlColumn property="kwota" title="Wartość" sortable="false" styleClass="kwotaTd">
				<fmt:formatNumber value="${zapomoga.kwota}" pattern="${DOUBLE_PRECISION_PATTERN}"/>
				<c:set var="kwotaSum" value="${kwotaSum + zapomoga.kwota}"/>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
<table class="table" width="600px">
	<tbody class="tbody">
		<tr>
			<td colspan="2" align="right"><hr style="width: 400px;"></hr></td>
			<td>&nbsp;</td>
		</tr>
		<tr>
			<td style="text-align: right;">
				Razem udzielone :
			</td>
			<td class="kwotaTd">
				<fmt:formatNumber value="${kwotaSum}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
			</td>
			<td style="width: 65px;">
				<div class="ikonki">
					&nbsp;
				</div>
			</td>
		</tr>
		<c:if test="${not empty __kwota_zapomogi_ostrzezenie && __kwota_zapomogi_ostrzezenie > 0.00 && kwotaSum > __kwota_zapomogi_ostrzezenie}">
			<tr>
				<td colspan="3">&nbsp;</td>
			</tr>
			<tr>
				<td colspan="3" class="daneWyroznione warning">
					Za rok ${rokZapomogi} przekroczono kwotę wydanych zapomóg o
					<fmt:formatNumber value="${kwotaSum - __kwota_zapomogi_ostrzezenie}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}
					względem odgórnie (poprzez parametr systemowy) ustalonej
					wartości <fmt:formatNumber value="${__kwota_zapomogi_ostrzezenie}" pattern="${DOUBLE_PRECISION_PATTERN}"/>&nbsp;${GL_JEDNOSTKA_MONETARNA}.
				</td>
			</tr>
		</c:if>
	</tbody>
</table>
