SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	SUM(CASE WHEN oz.TYP = 'ODPIS' THEN oz.KWOTA ELSE 0.0 END) as KWOTA_ODPISY,
	SUM(CASE WHEN oz.TYP = 'ZWROT' THEN oz.KWOTA ELSE 0.0 END) as KWOTA_ZWROTY
FROM ODPIS_ZWROT oz
	JOIN ZADLUZENIE_POZYCJA zp ON oz.ZADLUZENIE_POZYCJA_ID = zp.ID
		AND (
				(YEAR(oz.DATA) = ${rokOd?string("0")} AND MONTH(oz.DATA) > ${miesiacOd?string("0")})
			OR
				YEAR(oz.DATA) > ${rokOd?string("0")}
		)
		AND (
				(YEAR(oz.DATA) = ${rokDo?string("0")} AND MONTH(oz.DATA) <= ${miesiacDo?string("0")})
			OR
				YEAR(oz.DATA) < ${rokDo?string("0")}
		)
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zp.INSTYTUCJA_ID)
		)
	JOIN ZADLUZENIE z ON zp.ZADLUZENIE_ID = z.ID
	JOIN OSOBA m ON m.ID = z.OSOBA_ID
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
GROUP BY z.OSOBA_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID
ORDER BY 1, 2
