SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	-- bieżące zadłużenie
	z.OSOBA_ID as MIESZKANIEC_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID,
   	zwmp.ID as POPRZEDNIA_POZYCJA_ID,
   	0.0 as KWOTA_WINIEN_SK, 0.0 as KWOTA_MA_SK,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	zwmp.ID as POP_PWMA_ID,
    COALESCE(zwmp.KWOTA_WINIEN_SK, 0.0) as POP_PWMA_KWOTA_WINIEN_SK,
    COALESCE(zwmp.KWOTA_MA_SK, 0.0) as POP_PWMA_KWOTA_MA_SK
FROM ZESTAWIENIE_WINIEN_MA zwm
	JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON zwm.ID = zwmp.ZESTAWIENIE_ID
		-- najnowsze wygenerowane zestawienie -->
		AND zwm.ROK = ${rokOd?string("0")}
		AND zwm.MIESIAC = ${miesiacOd?string("0")}
	JOIN ZADLUZENIE z ON zp.ZADLUZENIE_ID = z.ID
		<#if mieszkaniec.id??>
			AND z.OSOBA_ID = ${mieszkaniec.id?string("0")}
		</#if>
		AND z.OSOBA_ID = zwmp.MIESZKANIEC_ID
		AND (
				(z.ROK = ${rokOd?string("0")} AND z.MIESIAC > ${miesiacOd?string("0")})
			OR
				z.ROK > ${rokOd?string("0")}
		)
		AND (
				(z.ROK = ${rokDo?string("0")} AND z.MIESIAC <= ${miesiacDo?string("0")})
			OR
				z.ROK < ${rokDo?string("0")}
		)
	JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
		)
	JOIN OSOBA m ON z.OSOBA_ID = m.ID
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID

UNION

SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zwmp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	-- bieżące zadłużenie
	zwmp.MIESZKANIEC_ID, zwmp.OSOBA_ID, zwmp.INSTYTUCJA_ID,
   	zwmp.ID as POPRZEDNIA_POZYCJA_ID,
   	0.0 as KWOTA_WINIEN_SK, 0.0 as KWOTA_MA_SK,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	zwmp.ID as POP_PWMA_ID,
    COALESCE(zwmp.KWOTA_WINIEN_SK, 0.0) as POP_PWMA_KWOTA_WINIEN_SK,
    COALESCE(zwmp.KWOTA_MA_SK, 0.0) as POP_PWMA_KWOTA_MA_SK
FROM ZESTAWIENIE_WINIEN_MA zwm
	JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON zwm.ID = zwmp.ZESTAWIENIE_ID
		-- wszystkie niezerowe pozycje z poprzedniego zestawienia
		AND zwm.ROK = ${rokOd?string("0")}
		AND zwm.MIESIAC = ${miesiacOd?string("0")}
		AND (zwmp.KWOTA_WINIEN_SK > 0.0 OR zwmp.KWOTA_MA_SK > 0.0)
		<#if mieszkaniec.id??>
			AND zwmp.MIESZKANIEC_ID = ${mieszkaniec.id?string("0")}
		</#if>
	JOIN OSOBA m ON zwmp.MIESZKANIEC_ID = m.ID
	-- pozycje dla których nie liczymy już długu wtym miesiącu
	LEFT OUTER JOIN ZADLUZENIE z ON zwmp.MIESZKANIEC_ID = z.OSOBA_ID
		AND z.ROK = ${rokDo?string("0")}
		AND z.MIESIAC = ${miesiacDo?string("0")}
	LEFT OUTER JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
		)
	LEFT OUTER JOIN OSOBA os ON zwmp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zwmp.INSTYTUCJA_ID = i.ID
WHERE zp.ID IS NULL

UNION

SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	-- bieżące zadłużenie
	z.OSOBA_ID as MIESZKANIEC_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID,
	null as POPRZEDNIA_POZYCJA_ID,
	(CASE WHEN SUM(zp.KWOTA) > 0.0 THEN SUM(zp.KWOTA) ELSE 0.0 END) as KWOTA_WINIEN_SK,
	(CASE WHEN SUM(zp.KWOTA) < 0.0 THEN ((-1) * SUM(zp.KWOTA)) ELSE 0.0 END) as KWOTA_MA_SK,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	null as POP_PWMA_ID, 0.0 as POP_PWMA_KWOTA_WINIEN_SK, 0.0 as POP_PWMA_KWOTA_MA_SK
FROM ZADLUZENIE z
	JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		AND z.ROK = ${rokDo?string("0")}
		AND z.MIESIAC = ${miesiacDo?string("0")}
		<#if mieszkaniec.id??>
			AND z.OSOBA_ID = ${mieszkaniec.id?string("0")}
		</#if>
	JOIN OSOBA m ON z.OSOBA_ID = m.ID
	-- poprzednia pozycja
	LEFT OUTER JOIN (
			SELECT tmpzwmp.ID, tmpzwmp.MIESZKANIEC_ID, tmpzwmp.OSOBA_ID, tmpzwmp.INSTYTUCJA_ID
			FROM ZESTAWIENIE_WINIEN_MA tmpzwm
				JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA tmpzwmp ON tmpzwm.ID = tmpzwmp.ZESTAWIENIE_ID
					AND tmpzwm.ROK = ${rokOd?string("0")}
					AND tmpzwm.MIESIAC = ${miesiacOd?string("0")}
		) as zwmp ON z.OSOBA_ID = zwmp.MIESZKANIEC_ID
			AND (
				(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
				OR
				(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
			)
	-- wcześniejsze pozycje
	LEFT OUTER JOIN (
			SELECT tmpzwmp.ID, tmpzwmp.MIESZKANIEC_ID, tmpzwmp.OSOBA_ID, tmpzwmp.INSTYTUCJA_ID
			FROM ZESTAWIENIE_WINIEN_MA tmpzwm
				JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA tmpzwmp ON tmpzwm.ID = tmpzwmp.ZESTAWIENIE_ID
					AND (
						(tmpzwm.ROK = ${rokOd?string("0")} AND tmpzwm.MIESIAC < ${miesiacOd?string("0")})
						OR tmpzwm.ROK < ${rokOd?string("0")}
					)
		) as zwmpp ON z.OSOBA_ID = zwmpp.MIESZKANIEC_ID
			AND (
				(zp.OSOBA_ID IS NOT NULL AND zwmpp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmpp.OSOBA_ID)
				OR
				(zp.INSTYTUCJA_ID IS NOT NULL AND zwmpp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmpp.INSTYTUCJA_ID)
			)
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
WHERE zwmp.ID IS NULL AND zwmpp.ID IS NOT NULL
GROUP BY z.OSOBA_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID

UNION

SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	-- bieżące zadłużenie
	z.OSOBA_ID as MIESZKANIEC_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID,
	null as POPRZEDNIA_POZYCJA_ID,
	(CASE WHEN SUM(zp.KWOTA) > 0.0 THEN SUM(zp.KWOTA) ELSE 0.0 END) as KWOTA_WINIEN_SK,
	(CASE WHEN SUM(zp.KWOTA) < 0.0 THEN ((-1) * SUM(zp.KWOTA)) ELSE 0.0 END) as KWOTA_MA_SK,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	null as POP_PWMA_ID, 0.0 as POP_PWMA_KWOTA_WINIEN_SK, 0.0 as POP_PWMA_KWOTA_MA_SK
FROM ZADLUZENIE z
	JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		<#if mieszkaniec.id??>
			AND z.OSOBA_ID = ${mieszkaniec.id?string("0")}
		</#if>
		AND (
				(z.ROK = ${rokDo?string("0")} AND z.MIESIAC <= ${miesiacDo?string("0")})
			OR
				z.ROK < ${rokDo?string("0")}
		)
	JOIN OSOBA m ON z.OSOBA_ID = m.ID
	LEFT OUTER JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON z.OSOBA_ID = zwmp.MIESZKANIEC_ID
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
		)
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
WHERE zwmp.ID IS NULL
GROUP BY z.OSOBA_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID

ORDER BY 1, 2
