SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	-- bieżące zadłużenie
	z.OSOBA_ID as MIESZKANIEC_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID,
   	zwmp.ID as POPRZEDNIA_POZYCJA_ID,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	zwmp.ID as POP_PWMA_ID,
    COALESCE(zwmp.KWOTA_WINIEN_SK, 0.0) as POP_PWMA_KWOTA_WINIEN_SK,
    COALESCE(zwmp.KWOTA_MA_SK, 0.0) as POP_PWMA_KWOTA_MA_SK
FROM ZESTAWIENIE_WINIEN_MA zwm
	JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON zwm.ID = zwmp.ZESTAWIENIE_ID
		-- najnowsze wygenerowane zestawienie -->
		AND zwm.ROK = ${rokOd?string("0")}
		AND zwm.MIESIAC = ${miesiacOd?string("0")}
	JOIN ZADLUZENIE z ON zp.ZADLUZENIE_ID = z.ID
		<#if mieszkaniec.id??>
			AND z.OSOBA_ID = ${mieszkaniec.id?string("0")}
		</#if>
		AND z.OSOBA_ID = zwmp.MIESZKANIEC_ID
		AND (
				(z.ROK = ${rokOd?string("0")} AND z.MIESIAC > ${miesiacOd?string("0")})
			OR
				z.ROK > ${rokOd?string("0")}
		)
		AND (
				(z.ROK = ${rokDo?string("0")} AND z.MIESIAC <= ${miesiacDo?string("0")})
			OR
				z.ROK < ${rokDo?string("0")}
		)
	JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
		)
	JOIN OSOBA m ON z.OSOBA_ID = m.ID
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
ORDER BY 1, 2
