SELECT
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zwmp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	zwmp.MIESZKANIEC_ID as M_ID, zwmp.OSOBA_ID, zwmp.INSTYTUCJA_ID,
	-- bieżące zadłużenie
	zwmp.MIESZKANIEC_ID, zwmp.OSOBA_ID, zwmp.INSTYTUCJA_ID,
   	zwmp.ID as POPRZEDNIA_POZYCJA_ID,
	-- poprzednia pozycja, która stanowi podstawę dalszego rozliczenia
	zwmp.ID as POP_PWMA_ID,
    COALESCE(zwmp.KWOTA_WINIEN_SK, 0.0) as POP_PWMA_KWOTA_WINIEN_SK,
    COALESCE(zwmp.KWOTA_MA_SK, 0.0) as POP_PWMA_KWOTA_MA_SK
FROM ZESTAWIENIE_WINIEN_MA zwm
	JOIN ZESTAWIENIE_WINIEN_MA_POZYCJA zwmp ON zwm.ID = zwmp.ZESTAWIENIE_ID
		-- wszystkie niezerowe pozycje z poprzedniego zestawienia
		AND zwm.ROK = ${rokOd?string("0")}
		AND zwm.MIESIAC = ${miesiacOd?string("0")}
		AND (zwmp.KWOTA_WINIEN_SK > 0.0 OR zwmp.KWOTA_MA_SK > 0.0)
		<#if mieszkaniec.id??>
			AND zwmp.MIESZKANIEC_ID = ${mieszkaniec.id?string("0")}
		</#if>
	JOIN OSOBA m ON zwmp.MIESZKANIEC_ID = m.ID
	-- pozycje dla których nie liczymy już długu wtym miesiącu
	LEFT OUTER JOIN ZADLUZENIE z ON zwmp.MIESZKANIEC_ID = z.OSOBA_ID
		AND z.ROK = ${rokDo?string("0")}
		AND z.MIESIAC = ${miesiacDo?string("0")}
	LEFT OUTER JOIN ZADLUZENIE_POZYCJA zp ON z.ID = zp.ZADLUZENIE_ID
		AND (
			(zp.OSOBA_ID IS NOT NULL AND zwmp.OSOBA_ID IS NOT NULL AND zp.OSOBA_ID = zwmp.OSOBA_ID)
			OR
			(zp.INSTYTUCJA_ID IS NOT NULL AND zwmp.INSTYTUCJA_ID IS NOT NULL AND zp.INSTYTUCJA_ID = zwmp.INSTYTUCJA_ID)
		)
	LEFT OUTER JOIN OSOBA os ON zwmp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zwmp.INSTYTUCJA_ID = i.ID
WHERE zp.ID IS NULL
ORDER BY 1, 2
