SELECT 
	CONCAT(m.NAZWISKO, ' ', m.IMIE) as MIESZKANIEC,
	(CASE WHEN zp.OSOBA_ID IS NOT NULL THEN CONCAT(os.NAZWISKO, ' ', os.IMIE) ELSE i.NAZWA END) as PLATNIK,
	SUM(np.KWOTA) as KWOTA_PRZYPISY
FROM NALICZENIE_POBYT np
	JOIN ZADLUZENIE_POZYCJA zp ON np.ZADLUZENIE_POZYCJA_ID = zp.ID
		AND (
				(YEAR(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) = ${rokOd?string("0")} AND MONTH(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) > ${miesiacOd?string("0")})
			OR
				YEAR(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) > ${rokOd?string("0")}
		)
		AND (
				(YEAR(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) = ${rokDo?string("0")} AND MONTH(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) <= ${miesiacDo?string("0")})
			OR
				YEAR(COALESCE(np.DATA_KSIEGOWANIA, np.DATA_OBLICZENIA)) < ${rokDo?string("0")}
		)
	JOIN ZADLUZENIE z ON z.ID = zp.ZADLUZENIE_ID
	JOIN OSOBA m ON m.ID = z.OSOBA_ID
	LEFT OUTER JOIN OSOBA os ON zp.OSOBA_ID = os.ID
	LEFT OUTER JOIN INSTYTUCJA_DOPLACAJACA i ON zp.INSTYTUCJA_ID = i.ID
GROUP BY z.OSOBA_ID, zp.OSOBA_ID, zp.INSTYTUCJA_ID
ORDER BY 1, 2
